/*
 * ! UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.predefine('sap/ui/dt/ContextMenuControl',["sap/ui/thirdparty/jquery","./library","sap/ui/unified/Menu","sap/ui/base/ManagedObject","sap/m/Popover","sap/m/VBox","sap/m/HBox","sap/m/Button","sap/m/FlexItemData","sap/ui/dom/jquery/rect"],function(q,l,M,a,P,V,H,B,F){"use strict";
var C=a.extend("sap.ui.dt.ContextMenuControl",{
metadata:{properties:{"maxButtonsDisplayed":{type:"int",defaultValue:4},"buttons":{type:"object[]",defaultValue:[]},styleClass:{type:"string"}},events:{Opened:{},Closed:{},OverflowButtonPressed:{}}},
init:function(){var p=this.getId()+"-popover";var o=new P(p,{showHeader:false,verticalScrolling:false,placement:"Top",showArrow:true,horizontalScrolling:false,content:new H(p+"ContentBox",{renderType:"Bare"})});o._getAnimationDuration=function(){return 0;};o.attachBrowserEvent("keydown",this._changeFocusOnKeyStroke,this);o.oPopup.attachClosed(this._popupClosed,this);this._oPopover=o;o.addStyleClass("sapUiDtContextMenu");var s=this.getId()+"-popoverExp";var b=new P(s,{showHeader:false,showArrow:false,verticalScrolling:false,horizontalScrolling:false,content:new V(s+"ContentBox",{renderType:"Bare"})});b._getAnimationDuration=function(){return 0;};b.attachBrowserEvent("keydown",this._changeFocusOnKeyStroke,this);b.oPopup.attachClosed(this._popupClosed,this);this._oExpandedPopover=b;b.addStyleClass("sapUiDtContextMenu");o.attachBrowserEvent("contextmenu",this._onContextMenu,this);b.attachBrowserEvent("contextmenu",this._onContextMenu,this);this.bOnInit=true;},
exit:function(){this.getPopover(true).oPopup.detachClosed(this._popupClosed,this);this.getPopover(false).oPopup.detachClosed(this._popupClosed,this);this.getPopover(true).detachBrowserEvent("contextmenu",this._onContextMenu,this);this.getPopover(false).detachBrowserEvent("contextmenu",this._onContextMenu,this);this.getPopover(true).destroy();this.getPopover(false).destroy();},
show:function(s,c,o){if(this._bUseExpPop===undefined){this._bUseExpPop=!!c;}this._bCompactMode=q(s.getDomRef()).closest(".sapUiSizeCompact").length>0;this._bOpenAsContextMenu=c;this._oContextMenuPosition=o;this.getPopover(true).addStyleClass(this.getStyleClass()||"");this.getPopover(false).addStyleClass(this.getStyleClass()||"");var b=this.getButtons();this._oTarget=s;if(!this._bOpenAsContextMenu){this._setButtonsForContextMenu(b,s);}else{this._makeAllButtonsVisible(b);}if(this.bOnInit||!this.getPopover().isOpen()){this.finalizeOpening();this.bOnInit=false;}},
finalizeOpening:function(){if(this._bOpenAsContextMenu&&this._oContextMenuPosition.x===null&&this._oContextMenuPosition.y===null){this._bOpenAsContextMenu=false;}this.getPopover().attachAfterOpen(this._handleAfterOpen,this);this.getPopover().attachBeforeClose(this._handleBeforeClose,this);this._oTarget=this._placeContextMenu(this._oTarget,this._bOpenAsContextMenu);this.getPopover().setVisible(true);this.bOpen=true;this.bOpenNew=false;},
_setButtonsForContextMenu:function(b,s){var i=this._getNumberOfEnabledButtons(b);if(i!==0){this._hideDisabledButtons(b);}this._iButtonsVisible=this._hideButtonsInOverflow(b);if(this._iButtonsVisible===this.getMaxButtonsDisplayed()&&this._iButtonsVisible!==b.length){this._replaceLastVisibleButtonWithOverflowButton(b);}else if(i<b.length-1&&i!==0){this.addOverflowButton();}i=null;},
_makeAllButtonsVisible:function(b){this._iFirstVisibleButtonIndex=0;b.forEach(function(o){o.setVisible(true);o._bInOverflow=true;});},
_getNumberOfEnabledButtons:function(b){var c=0;for(var i=0;i<b.length;i++){if(b[i].getEnabled()){c++;if(!this._iFirstVisibleButtonIndex){this._iFirstVisibleButtonIndex=i;}}}return c;},
_hideDisabledButtons:function(b){var v=0;b.forEach(function(o){o.setVisible(o.getEnabled());if(o.getEnabled()){v++;}});return v;},
_hideButtonsInOverflow:function(b){var v=0;for(var i=0;i<b.length;i++){if(v<this.getMaxButtonsDisplayed()&&b[i].getVisible()){v++;}else{b[i].setVisible(false);}}return v;},
_replaceLastVisibleButtonWithOverflowButton:function(b){for(var i=b.length-1;i>=0;i--){if(b[i].getVisible()){b[i].setVisible(false);this.addOverflowButton();return;}}},
_placeContextMenu:function(s,c){this.getPopover().setShowArrow(true);var o=(s.getId&&s.getId())||s.getAttribute("overlay");var f="contextMenuFakeDiv";var O=this._getOverlayDimensions(o);var v=this._getViewportDimensions();var i=O.top-10>v.top?0:v.top-(O.top-10);q("#"+f).remove();q("#"+o).append("<div id=\""+f+"\" overlay=\""+o+"\" style = \"position: absolute; top: "+i+"px; left: 0px;\" />");var b=document.getElementById(f);this.getPopover().setContentWidth(undefined);this.getPopover().setContentHeight(undefined);this.getPopover().openBy(b);var p=this._getPopoverDimensions(!c);if(p.height>=v.height*2/3){this.getPopover().setVerticalScrolling(true);p.height=(v.height*2/3).toFixed(0);this.getPopover().setContentHeight(p.height+"px");}else{this.getPopover().setVerticalScrolling(false);this.getPopover().setContentHeight(undefined);}if(p.width>400){p.width=400;this.getPopover().setContentWidth("400px");}else{this.getPopover().setContentWidth(undefined);}var d={};if(c){d=this._placeAsExpandedContextMenu(this._oContextMenuPosition,p,v);}else{d=this._placeAsCompactContextMenu(O,p,v);}d.top-=O.top;d.left-=O.left;d.top=(d.top<0)?0:d.top;d.left=(d.left<0)?0:d.left;b.style.top=d.top.toFixed(0)+"px";b.style.left=d.left.toFixed(0)+"px";o=null;return b;},
_placeAsExpandedContextMenu:function(c,p,v){this.getPopover().setShowArrow(false);var o={};if(v.height-10-c.y>=p.height){o.top=c.y;this.getPopover().setPlacement("Bottom");}else if(c.y>=p.height){o.top=c.y;this.getPopover().setPlacement("Top");}else{o.top=v.height-p.height;this.getPopover().setPlacement("Bottom");}if(v.width-c.x>=p.width){o.left=c.x;}else if(c.x>=p.width){o.left=c.x-p.width/2;}else{o.left=v.width-p.width;}return o;},
_placeAsCompactContextMenu:function(o,p,v){this.getPopover().setShowArrow(true);var b={top:null,left:null};if(o.top>=p.height&&!o.isOverlappedAtTop){b=this._placeContextMenuOnTop(o);}else if(v.height-o.top>=parseInt(p.height,10)+5){b=this._placeContextMenuAtTheBottom(o,p,v);}else{b=this._placeContextMenuSideways(o,p,v);}return b;},
_placeContextMenuOnTop:function(o){var p={};this.getPopover().setPlacement("Top");p.top=o.top;p.left=o.left+o.width/2;return p;},
_placeContextMenuAtTheBottom:function(o,p,v){this.getPopover().setPlacement("Bottom");var b={},r=q(".sapUiRtaToolbar").height(),i=r?r:v.top,c=r?v.height-r:v.height;b.left=o.left+o.width/2;if((o.height<60||o.isOverlappedAtTop)&&c-o.top-o.height>=p.height){b.top=o.bottom;}else if(o.top>=i){b.top=o.top+5;}else{b.top=i+5;}return b;},
_placeContextMenuSideways:function(o,p,v){var b={};b.left=this._getContextMenuSidewaysPlacement(o,p,v);b.top=this._getMiddleOfOverlayAndViewportEdges(o,v);return b;},
_getContextMenuSidewaysPlacement:function(o,p,v){var L;if(v.width-o.right>=p.width){this.getPopover().setPlacement("Right");L=o.right;}else if(o.left>=p.width){this.getPopover().setPlacement("Left");L=o.left;}else{this.getPopover().setPlacement("Right");if(p.width<=v.width-(o.left+o.width/2)){L=(o.left+o.width/2);}else{L=v.width-p.width;}}return L;},
_getMiddleOfOverlayAndViewportEdges:function(o,v){var t;if(v.top>o.top){t=v.top;}else{t=o.top;}if(v.bottom<o.bottom){t+=v.bottom;}else{t+=o.bottom;}t/=2;return t;},
_getPopoverDimensions:function(w){var p={};var c=this._bCompactMode;var A=this._getArrowHeight(c);var b=this._getBaseFontSize();this._iFirstVisibleButtonIndex=null;p.height=parseInt(q("#"+this.getPopover().getId()).css("height"),10)||40;p.width=parseInt(q("#"+this.getPopover().getId()).css("width"),10)||80;if(w){var i=b*A;if(i){p.height+=i;p.width+=i;}}return p;},
_getArrowHeight:function(c){if(sap.ui.Device.browser.internet_explorer||sap.ui.Device.browser.edge){return c?0.5:0.5;}else{return c?0.5625:0.5625;}},
_getBaseFontSize:function(){return parseInt(q(document.documentElement).css("fontSize"),10);},
_getOverlayDimensions:function(o){var O=q("#"+o).rect();O.right=O.left+O.width;O.bottom=O.top+O.height;O.isOverlappedAtTop=this._isOverlayOverlapped(o,O,"top");O.isOverlappedAtBottom=this._isOverlayOverlapped(o,O,"bottom");return O;},
_isOverlayOverlapped:function(s,o,t){var e;if(t==="top"){e=document.elementFromPoint(o.left+(o.width/2),(o.top+5));}if(t==="bottom"){e=document.elementFromPoint(o.left+(o.width/2),(o.bottom-5));}if(!e){return true;}else if(e.id===s){return false;}return!q("#"+s)[0].contains(e);},
_getViewportDimensions:function(){var v={};v.width=window.innerWidth;v.height=window.innerHeight;v.top=parseInt(q(".type_standalone").css("height"),10)||0;v.bottom=v.top+v.height;return v;},
_getIcon:function(i){if(i===undefined||i===null||typeof i!=="string"){return"sap-icon://incident";}if(i==="blank"){return" ";}return i;},
addOverflowButton:function(){var o="OVERFLOW_BUTTON",b={icon:"sap-icon://overflow",type:"Transparent",enabled:true,press:this._onOverflowPress.bind(this),layoutData:new F({})};return this._addButton(o,b);},
addMenuButton:function(b,c,e){var h=function(d){this.bOpen=false;this.bOpenNew=false;c(this);};var t=typeof b.text==="function"?b.text(e[0]):b.text;var E=typeof b.enabled==="function"?b.enabled(e):b.enabled;var o={icon:this._getIcon(b.icon),text:t,tooltip:t,type:"Transparent",enabled:E,press:h,layoutData:new F({})};return this._addButton(b.id,o);},
_addButton:function(b,o){this.setProperty("buttons",this.getProperty("buttons").concat(o));var c={id:b,key:b};var e=new B(o);e.data(c);delete o.text;var d=new B(o);d.data(c);this.getFlexbox(true).addItem(e);this.getFlexbox(false).addItem(d);return this;},
close:function(e){if(this.getPopover()){if(e){this.getPopover(true).close();this.getPopover(false).close();}if(this.getProperty("buttons").length>this.getProperty("maxButtonsDisplayed")){this.setProperty("buttons",this.getProperty("buttons").splice(0,this.getProperty("buttons").length-1));this.getFlexbox().removeItem(this.getButtons().length-1);}}return this;},
removeButton:function(i){this.setProperty("buttons",this.getProperty("buttons").splice(i,1));this.getFlexbox(true).removeItem(i);return this.getFlexbox(false).removeItem(i);},
removeAllButtons:function(){this.setProperty("buttons",[]);this.getFlexbox(true).removeAllItems();return this.getFlexbox(false).removeAllItems();},
getButtons:function(){return this.getFlexbox().getItems();},
insertButton:function(b,i){this.getFlexbox().insertItem(b,i);return this;},
setButtons:function(_,c,e){this.removeAllButtons();_.forEach(function(b){this.addMenuButton(b,c,e);}.bind(this));},
setMaxButtonsDisplayed:function(m){if(m<2){throw Error("maxButtonsDisplayed can't be less than two!");}this.setProperty("maxButtonsDisplayed",m);},
getPopover:function(e){if(e===undefined){if(this._bUseExpPop){return this._oExpandedPopover;}else{return this._oPopover;}}else if(e){return this._oExpandedPopover;}else{return this._oPopover;}},
getFlexbox:function(e){return this.getPopover(e).getContent()[0];},
setOpenNew:function(v){this.bOpenNew=v;},
_onOverflowPress:function(e){this.fireOverflowButtonPressed({oButton:e.oSource});},
_popupClosed:function(){if(this.getPopover()){this.fireClosed();if(this.bOpenNew){this.bOpenNew=false;this.finalizeOpening();return;}}this.bOpen=false;},
_setFocusOnButton:function(b){if(b.getEnabled()&&b.getVisible()){b.focus();return true;}},
_changeFocusOnKeyStroke:function(e){if(document.activeElement){var i=document.activeElement.id;switch(e.key){case"ArrowRight":this._changeFocusOnButtons(i);break;case"ArrowLeft":this._changeFocusOnButtons(i,true);break;case"ArrowUp":this._changeFocusOnButtons(i,true);break;case"ArrowDown":this._changeFocusOnButtons(i);break;default:break;}}},
_changeFocusOnButtons:function(i,p){this.getButtons().some(function(b,I,A){if(i===b.getId()){if(p){this._setFocusOnPreviousButton(A,I);}else{this._setFocusOnNextButton(A,I);}return true;}}.bind(this));},
_setFocusOnNextButton:function(b,i){for(var c=i+1;c<b.length;c++){if(this._setFocusOnButton(b[c])){return;}}for(var d=0;d<i;d++){if(this._setFocusOnButton(b[d])){return;}}},
_setFocusOnPreviousButton:function(b,i){for(var c=i-1;c>=0;c--){if(this._setFocusOnButton(b[c])){return;}}for(var d=b.length-1;d>=i;d--){if(this._setFocusOnButton(b[d])){return;}}},
_onContextMenu:function(e){if(e.preventDefault){e.preventDefault();}},
_handleAfterOpen:function(){this.getPopover().detachAfterOpen(this._handleAfterOpen,this);this.getPopover().addStyleClass("sapUiDtContextMenuVisible");this.fireOpened();},
_handleBeforeClose:function(){this.getPopover().detachBeforeClose(this._handleBeforeClose,this);this.getPopover().removeStyleClass("sapUiDtContextMenuVisible");},
setStyleClass:function(s){this.setProperty("styleClass",s);}
});
return C;},true);
sap.ui.predefine('sap/ui/dt/ManagedObjectObserver',['sap/ui/base/ManagedObject','sap/ui/dt/ElementUtil'],function(M,E){"use strict";
var a=M.extend("sap.ui.dt.ManagedObjectObserver",{metadata:{"abstract":true,library:"sap.ui.dt",properties:{},associations:{target:{type:"sap.ui.base.ManagedObject"}},events:{modified:{parameters:{type:"string",name:"string",value:"any",oldValue:"any",target:"sap.ui.core.Element"}},destroyed:{}}}});
a.prototype.init=function(){this._fnFireModified=function(e){var p=e.getParameters();if(e.sId==="_change"){e.sId="propertyChanged";}this.fireModified({type:e.sId,name:p.name,value:p.newValue,oldValue:p.oldValue,target:e.getSource()});}.bind(this);};
a.prototype.exit=function(){this.unobserve();delete this._fnFireModified;};
a.prototype.setTarget=function(t){this.unobserve();this.setAssociation("target",t);var T=this.getTargetInstance();if(T){this.observe(T);}return this;};
a.prototype.observe=function(t){this._bIsObserved=true;t.attachEvent("_change",this._fnFireModified,this);this._fnOriginalDestroy=t.destroy;t.destroy=function(){this.unobserve();var o=t.destroy.apply(t,arguments);this.fireDestroyed();return o;}.bind(this);this._fnOriginalBindProperty=t.bindProperty;t.bindProperty=function(){var o=this._fnOriginalBindProperty.apply(t,arguments);this.fireModified();return o;}.bind(this);this._fnOriginalUnBindProperty=t.unbindProperty;t.unbindProperty=function(){var o=this._fnOriginalUnBindProperty.apply(t,arguments);this.fireModified();return o;}.bind(this);this._fnOriginalBindAggregation=t.bindAggregation;t.bindAggregation=function(s){var o=this._fnOriginalBindAggregation.apply(t,arguments);this.fireModified();return o;}.bind(this);this._fnOriginalUnBindAggregation=t.unbindAggregation;t.unbindAggregation=function(s){var o=this._fnOriginalUnBindAggregation.apply(t,arguments);this.fireModified();return o;}.bind(this);this._fnOriginalSetParent=t.setParent;t.setParent=function(p,s,S){var f=false;if(!t._bInSetParent){f=true;t._bInSetParent=true;}var c=t.getParent();var o=this._fnOriginalSetParent.apply(t,arguments);if(f){t._bInSetParent=false;if(!t.__bSapUiDtSupressParentChangeEvent&&(c!==p||s==="dependents")){this.fireModified({type:"setParent",value:p,oldValue:c,target:t});}}return o;}.bind(this);this._fnOriginalAddAggregation=t.addAggregation;t.addAggregation=function(s,o,S){this._sAddOrSetAggregationCall=s;var O=this._fnOriginalAddAggregation.apply(t,arguments);this.fireModified({type:"addOrSetAggregation",name:s,value:o,target:t});return O;}.bind(this);this._fnOriginalSetAggregation=t.setAggregation;t.setAggregation=function(s,o,S){this._sAddOrSetAggregationCall=s;var O=this._fnOriginalSetAggregation.apply(t,arguments);this.fireModified({type:"addOrSetAggregation",name:s,value:o,target:t});return O;}.bind(this);this._fnOriginalRemoveAggregation=t.removeAggregation;t.removeAggregation=function(s,o,S){this._sRemoveAggregationCall=s;var O=this._fnOriginalRemoveAggregation.apply(t,arguments);this.fireModified({type:"removeAggregation",name:s,value:o,target:t});return O;}.bind(this);this._fnOriginalInsertAggregation=t.insertAggregation;t.insertAggregation=function(s,o,i,S){this._sInsertAggregationCall=s;var O=this._fnOriginalInsertAggregation.apply(t,arguments);this.fireModified({type:"insertAggregation",name:s,value:o,target:t});return O;}.bind(this);this._fnOriginalRemoveAllAggregation=t.removeAllAggregation;t.removeAllAggregation=function(s,S){this._sRemoveAllAggregationCall=s;var r=t.getAggregation(s);var o=this._fnOriginalRemoveAllAggregation.apply(t,arguments);this.fireModified({type:"removeAllAggregation",name:s,value:r,target:t});return o;}.bind(this);this._fnOriginalDestroyAggregation=t.destroyAggregation;t.destroyAggregation=function(s,S){this._sDestroyAggregationCall=s;var r=t.getAggregation(s);var o=this._fnOriginalDestroyAggregation.apply(t,arguments);this.fireModified({type:"destroyAggregation",name:s,value:r,target:t});return o;}.bind(this);this._fnOriginalAddAssociation=t.addAssociation;t.addAssociation=function(s,o,S){this._sAddOrSetAssociationCall=s;var O=this._fnOriginalAddAssociation.apply(t,arguments);this.fireModified({type:"addOrSetAggregation",name:s,value:o,target:t});return O;}.bind(this);this._fnOriginalSetAssociation=t.setAssociation;t.setAssociation=function(s,o,S){this._sAddOrSetAssociationCall=s;var O=this._fnOriginalSetAssociation.apply(t,arguments);this.fireModified({type:"addOrSetAggregation",name:s,value:o,target:t});return O;}.bind(this);this._fnOriginalRemoveAssociation=t.removeAssociation;t.removeAssociation=function(s,o,S){this._sRemoveAssociationCall=s;var O=this._fnOriginalRemoveAssociation.apply(t,arguments);this.fireModified({type:"removeAggregation",name:s,value:o,target:t});return O;}.bind(this);this._fnOriginalRemoveAllAssociation=t.removeAllAssociation;t.removeAllAssociation=function(s,S){this._sRemoveAllAssociationCall=s;var r=t.getAssociation(s);var o=this._fnOriginalRemoveAllAssociation.apply(t,arguments);this.fireModified({type:"removeAllAggregation",name:s,value:r,target:t});return o;}.bind(this);this._aOriginalAddMutators={};this._aOriginalInsertMutators={};this._aOriginalRemoveMutators={};this._aOriginalRemoveAllMutators={};this._aOriginalDestructors={};var A=t.getMetadata().getAllAggregations();Object.keys(A).forEach(function(s){var o=A[s];var _=t[o._sMutator];this._aOriginalAddMutators[o.name]=_;t[o._sMutator]=function(O){delete this._sAddOrSetAggregationCall;var v=_.apply(t,arguments);if(!this._sAddOrSetAggregationCall||this._sAddOrSetAggregationCall!==o.name){this.fireModified({type:"addOrSetAggregation",name:o.name,value:O,target:t});}return v;}.bind(this);var b=t[o._sInsertMutator];this._aOriginalInsertMutators[o.name]=b;t[o._sInsertMutator]=function(O,i){delete this._sInsertAggregationCall;var v=b.apply(t,arguments);if(!this._sInsertAggregationCall||this._sInsertAggregationCall!==o.name){this.fireModified({type:"insertAggregation",name:o.name,value:O,target:t});}return v;}.bind(this);var c=t[o._sRemoveMutator];this._aOriginalRemoveMutators[o.name]=c;t[o._sRemoveMutator]=function(O,S){delete this._sRemoveAggregationCall;var v=c.apply(t,arguments);if(!this._sRemoveAggregationCall||this._sRemoveAggregationCall!==o.name){this.fireModified({type:"removeAggregation",name:o.name,value:O,target:t});}return v;}.bind(this);var d=t[o._sRemoveAllMutator];this._aOriginalRemoveAllMutators[o.name]=d;t[o._sRemoveAllMutator]=function(S){delete this._sRemoveAllAggregationCall;var r=this.getAggregation(s);var O=d.apply(t,arguments);if(!this._sRemoveAllAggregationCall||this._sRemoveAllAggregationCall!==o.name){this.fireModified({type:"removeAllAggregation",name:o.name,value:r,target:t});}return O;}.bind(this);var e=t[o._sDestructor];this._aOriginalDestructors[o.name]=e;t[o._sDestructor]=function(S){delete this._sDestroyAggregationCall;var r=this.getAggregation(s);var O=e.apply(t,arguments);if(!this._sDestroyAggregationCall||this._sDestroyAggregationCall!==o.name){this.fireModified({type:"destroyAggregation",name:o.name,value:r,target:t});}return O;}.bind(this);}.bind(this),this);var m=t.getMetadata().getAllAssociations();Object.keys(m).forEach(function(s){var o=m[s];var _=t[o._sMutator];this._aOriginalAddMutators[o.name]=_;t[o._sMutator]=function(O){delete this._sAddOrSetAssociationCall;var v;v=_.apply(t,arguments);if(!this._sAddOrSetAssociationCall||this._sAddOrSetAssociationCall!==o.name){this.fireModified({type:"addOrSetAggregation",name:o.name,value:O,target:t});}return v;}.bind(this);var b=t[o._sRemoveMutator];this._aOriginalRemoveMutators[o.name]=b;t[o._sRemoveMutator]=function(O,S){delete this._sRemoveAssociationCall;var v=b.apply(t,arguments);if(!this._sRemoveAssociationCall||this._sRemoveAssociationCall!==o.name){this.fireModified({type:"removeAggregation",name:o.name,value:O,target:t});}return v;}.bind(this);var c=t[o._sRemoveAllMutator];this._aOriginalRemoveAllMutators[o.name]=c;t[o._sRemoveAllMutator]=function(S){delete this._sRemoveAllAssociationCall;var r=this.getAssociation(s);var O=c.apply(t,arguments);if(!this._sRemoveAllAssociationCall||this._sRemoveAllAssociationCall!==o.name){this.fireModified({type:"removeAllAggregation",name:o.name,value:r,target:t});}return O;}.bind(this);}.bind(this),this);};
a.prototype.unobserve=function(){var t=this.getTargetInstance();if(this._bIsObserved&&t){this._bIsObserved=false;t.destroy=this._fnOriginalDestroy;t.bindProperty=this._fnOriginalBindProperty;t.unbindProperty=this._fnOriginalUnBindProperty;t.bindAggregation=this._fnOriginalBindAggregation;t.unbindAggregation=this._fnOriginalUnBindAggregation;t.setParent=this._fnOriginalSetParent;t.addAggregation=this._fnOriginalAddAggregation;t.removeAggregation=this._fnOriginalRemoveAggregation;t.insertAggregation=this._fnOriginalInsertAggregation;t.setAggregation=this._fnOriginalSetAggregation;t.removeAllAggregation=this._fnOriginalRemoveAllAggregation;t.destroyAggregation=this._fnOriginalDestroyAggregation;t.addAssociation=this._fnOriginalAddAssociation;t.removeAssociation=this._fnOriginalRemoveAssociation;t.setAssociation=this._fnOriginalSetAssociation;t.removeAllAssociation=this._fnOriginalRemoveAllAssociation;var A=t.getMetadata().getAllAggregations();Object.keys(A).forEach(function(s){var o=A[s];t[o._sMutator]=this._aOriginalAddMutators[o.name];t[o._sInsertMutator]=this._aOriginalInsertMutators[o.name];t[o._sRemoveMutator]=this._aOriginalRemoveMutators[o.name];t[o._sRemoveAllMutator]=this._aOriginalRemoveAllMutators[o.name];t[o._sDestructor]=this._aOriginalDestructors[o.name];},this);var m=t.getMetadata().getAllAssociations();Object.keys(m).forEach(function(s){var o=m[s];t[o._sMutator]=this._aOriginalAddMutators[o.name];t[o._sRemoveMutator]=this._aOriginalRemoveMutators[o.name];t[o._sRemoveAllMutator]=this._aOriginalRemoveAllMutators[o.name];},this);t.detachEvent("_change",this._fnFireModified,this);}delete this._fnOriginalDestroy;delete this._fnOriginalBindProperty;delete this._fnOriginalUnBindProperty;delete this._fnOriginalBindAggregation;delete this._fnOriginalUnBindAggregation;delete this._fnOriginalSetParent;delete this._fnOriginalAddAggregation;delete this._fnOriginalRemoveAggregation;delete this._fnOriginalInsertAggregation;delete this._fnOriginalSetAggregation;delete this._fnOriginalRemoveAllAggregations;delete this._fnOriginalDestroyAggregation;delete this._aOriginalAddMutators;delete this._aOriginalInsertMutators;delete this._aOriginalRemoveMutators;delete this._aOriginalRemoveAllMutators;delete this._aOriginalDestructors;};
a.prototype.getTargetInstance=function(){return E.getElementInstance(this.getTarget());};
return a;},true);
sap.ui.predefine('sap/ui/dt/MetadataPropagationUtil',["sap/ui/thirdparty/jquery","sap/ui/dt/Util","sap/base/util/merge"],function(q,U,m){"use strict";var M={};
M._getParentPropagationInfo=function(a){if(!a||!a["propagationInfos"]){return false;}return Object.assign([],a["propagationInfos"]);};
M._getCurrentRelevantContainerPropagation=function(e,E){var n={};if(!e.propagateRelevantContainer){return n;}else if(typeof e.propagateRelevantContainer==="function"){n.relevantContainerFunction=e.propagateRelevantContainer;n.relevantContainerElement=E;}else if(typeof e.propagateRelevantContainer==="boolean"&&e.propagateRelevantContainer){n.relevantContainerFunction=function(){return true;};n.relevantContainerElement=E;}else{var o=U.wrapError("Wrong type: it should be either a function or a boolean value and it is:"+typeof e.propagateRelevantContainer);var l='sap.ui.dt.MetadataPropagationUtil#_getCurrentRelevantContainerPropagation';o.name='Error in '+l;o.message=U.printf("{0} / {1}",l,o.message);throw o;}return n;};
M._getCurrentDesigntimePropagation=function(e,E){var n={};if(!e.propagateMetadata){return n;}else if(typeof e.propagateMetadata==="function"){n.relevantContainerElement=E;n.metadataFunction=e.propagateMetadata;}else{var o=U.wrapError("Wrong type: it should be a function and it is:"+typeof e.propagateRelevantContainer);var l='sap.ui.dt.MetadataPropagationUtil#_getCurrentDesigntimePropagation';o.name='Error in '+l;o.message=U.printf("{0} / {1}",l,o.message);throw o;}return n;};
M._setPropagationInfo=function(a,n,p){if(!p&&q.isEmptyObject(n)){return false;}a.propagationInfos=p?p:[];if(!q.isEmptyObject(n)){a.propagationInfos.push(n);}return a;};
M.propagateMetadataToAggregationOverlay=function(o,e,p){var n,a,r,b=Object.assign({},o);var P=M._getParentPropagationInfo(p);if(b&&!q.isEmptyObject(b)){r=M._getCurrentRelevantContainerPropagation(b,e);a=M._getCurrentDesigntimePropagation(b,e);}if(P||!q.isEmptyObject(r)||!q.isEmptyObject(a)){n=Object.assign({},r,a);return M._setPropagationInfo(b,n,P);}else{return b;}};
M.getRelevantContainerForPropagation=function(p,e){var P=false;if(!p||!p.propagationInfos){return false;}p.propagationInfos.some(function(o){if(o.relevantContainerFunction&&o.relevantContainerFunction(e)){P=o.relevantContainerElement;return true;}});return P?P:false;};
M.getMetadataForPropagation=function(p,e){var r={};if(!p||!p.propagationInfos){return false;}var R=p.propagationInfos.slice().reverse();r=R.reduce(function(r,P){if(P.metadataFunction){var c=P.metadataFunction(e,P.relevantContainerElement);return m(r,c);}else{return r;}},r);return q.isEmptyObject(r)?false:r;};
M.propagateMetadataToElementOverlay=function(t,p,e){var P=M.getRelevantContainerForPropagation(p,e);var v=M.getMetadataForPropagation(p,e);if(!P&&!v){return t;}var r=m({},t);if(P){r.relevantContainer=P;}if(v){if(v.actions===null||v.actions==="not-adaptable"){var a=e.getMetadata().getAllAggregations();var A=Object.keys(a);if(r.aggregations){A=A.concat(Object.keys(r.aggregations).filter(function(s){return A.indexOf(s)<0;}));}else{r.aggregations={};}A.forEach(function(s){if(r.aggregations[s]&&r.aggregations[s].actions){r.aggregations[s].actions=v.actions;}});}return m(r,v);}return r;};
return M;},true);
sap.ui.predefine('sap/ui/dt/MutationObserver',["sap/ui/thirdparty/jquery",'sap/ui/dt/OverlayUtil','sap/ui/dt/ElementUtil','sap/ui/base/ManagedObject','sap/ui/dt/DOMUtil','sap/ui/dt/Util'],function(q,O,E,M,D,U){"use strict";
var a=M.extend("sap.ui.dt.MutationObserver",{metadata:{library:"sap.ui.dt",events:{domChanged:{parameters:{type:{type:"string"},targetNodes:{type:"element[]"}}}}}});
a.prototype.init=function(){this._fireDomChangeOnTransitionEnd=this._fireDomChangeOnTransitionEnd.bind(this);this._fireDomChangeOnAnimationEnd=this._fireDomChangeOnAnimationEnd.bind(this);this._fireDomChangeOnResize=this._fireDomChangeOnResize.bind(this);this._fireDomChangeOnScroll=this._fireDomChangeOnScroll.bind(this);window.addEventListener("transitionend",this._fireDomChangeOnTransitionEnd,true);window.addEventListener("animationend",this._fireDomChangeOnAnimationEnd,true);window.addEventListener("scroll",this._fireDomChangeOnScroll,true);q(window).on("resize",this._fireDomChangeOnResize);this._aIgnoredMutations=[];this._aWhiteList=[];this._startMutationObserver();};
a.prototype.exit=function(){this._stopMutationObserver();window.removeEventListener("transitionend",this._fireDomChangeOnTransitionEnd,true);window.removeEventListener("animationend",this._fireDomChangeOnAnimationEnd,true);window.removeEventListener("scroll",this._fireDomChangeOnScroll,true);q(window).off("resize",this._fireDomChangeOnResize);};
a.prototype.ignoreOnce=function(p){this._aIgnoredMutations.push(p);};
a.prototype.addToWhiteList=function(i){this._aWhiteList.push(i);};
a.prototype.removeFromWhiteList=function(i){this._aWhiteList=this._aWhiteList.filter(function(c){return c!==i;});};
a.prototype._isRelevantNode=function(n){return(document.body.contains(n)&&n.getAttribute('id')!=='sap-ui-static'&&!D.contains('sap-ui-preserve',n)&&(this._aWhiteList.some(function(i){return(D.contains(i,n)||n.contains(document.getElementById(i)));})));};
a.prototype._isRelevantMutation=function(m){return(this._isRelevantNode(this._getTargetNode(m))||(m.target.id==='sap-ui-static'&&U.intersection([].concat(Array.prototype.slice.call(m.addedNodes),Array.prototype.slice.call(m.removedNodes)).map(function(n){return n.id;}),this._aWhiteList).length>0));};
a.prototype._getTargetNode=function(m){return(m.type==="characterData"?m.target.parentNode:m.target);};
a.prototype._startMutationObserver=function(){this._oMutationObserver=new window.MutationObserver(function(m){var t=[];m.forEach(function(o){if(this._isRelevantMutation(o)){var T=this._getTargetNode(o);var i=this._aIgnoredMutations.some(function(I,b,s){if(I.target===o.target&&(!I.type||I.type===o.type)){s.splice(b,1);return true;}});if(!i){t.push(T);}}}.bind(this));if(t.length){this.fireDomChanged({type:"mutation",targetNodes:t});}}.bind(this));this._oMutationObserver.observe(window.document,{childList:true,subtree:true,attributes:true,attributeFilter:["style","class","width","height","border"],characterData:true});};
a.prototype._stopMutationObserver=function(){if(this._oMutationObserver){this._oMutationObserver.disconnect();delete this._oMutationObserver;}};
a.prototype._fireDomChangeOnTransitionEnd=function(){this.fireDomChanged({type:"transitionend"});};
a.prototype._fireDomChangeOnAnimationEnd=function(){this.fireDomChanged({type:"animationend"});};
a.prototype._fireDomChangeOnResize=function(){this.fireDomChanged({type:"resize"});};
a.prototype._fireDomChangeOnScroll=function(e){var t=e.target;if(this._isRelevantNode(t)&&!O.getClosestOverlayForNode(t)&&t!==document){this.fireDomChanged({type:"scroll"});}};
return a;},true);
sap.ui.predefine('sap/ui/dt/OverlayUtil',['sap/ui/dt/OverlayRegistry','sap/ui/dt/ElementUtil'],function(O,E){"use strict";var c={};
c.isInTargetZoneAggregation=function(e){var a=e.getParent();return!!a&&a.isTargetZone();};
c.getParentInformation=function(e){var p=e.getParentElementOverlay();if(p){var P=p.getElement();var s=e.getParentAggregationOverlay().getAggregationName();var C=E.getAggregation(P,s);var o=e.getElement();var i=C.indexOf(o);return{parent:P,aggregation:s,index:i};}else{return{parent:null,aggregation:"",index:-1};}};
c.getClosestOverlayFor=function(e){if(!e){return null;}var p=e;var P=O.getOverlay(p);while(p&&!P){p=p.getParent();P=O.getOverlay(p);}return P;};
c.getGeometry=function(g){var m,a,b,d;g.forEach(function(e){if(e){if(!m||e.position.left<m){m=e.position.left;}if(!b||e.position.top<b){b=e.position.top;}var r=e.position.left+e.size.width;if(!a||r>a){a=r;}var B=e.position.top+e.size.height;if(!d||B>d){d=B;}}});if(typeof m==="number"){return{size:{width:a-m,height:d-b},position:{left:m,top:b},visible:true};}};
c.getFirstDescendantByCondition=function(o,C){if(!C){throw new Error("expected condition is 'undefined' or not a function");}var a=c.getAllChildOverlays(o);for(var i=0,n=a.length;i<n;i++){var b=a[i];if(C(b)){return b;}var d=this.getFirstDescendantByCondition(b,C);if(d){return d;}}return undefined;};
c.getLastDescendantByCondition=function(o,C){if(!C){throw new Error("expected condition is 'undefined' or not a function");}var a=c.getAllChildOverlays(o);for(var i=a.length-1,n=-1;i>n;i--){var b=a[i];if(C(b)){return b;}var d=this.getLastDescendantByCondition(b,C);if(d){return d;}}return undefined;};
c.getAllChildOverlays=function(e){var C=[],a=[];if(!e){return C;}var A=e.getChildren();for(var i=0;i<A.length;i++){a=A[i].getChildren();if(a&&a.length>0){C=C.concat(a);}}return C;};
c.getFirstChildOverlay=function(o){var C=this.getAllChildOverlays(o);if(C.length){return C[0];}return undefined;};
c.getLastChildOverlay=function(o){var C=this.getAllChildOverlays(o);if(C.length){return C[C.length-1];}return undefined;};
c.getNextSiblingOverlay=function(o){if(!o){return undefined;}var p=o.getParentAggregationOverlay();if(p){var a=p.getChildren();var i=a.indexOf(o);if(i!==a.length-1){return a[i+1];}else if(i===a.length-1){var P=o.getParentElementOverlay();a=P.getAggregationOverlays();for(i=a.indexOf(p)+1;i<a.length;i++){var b=a[i].getChildren();if(b.length){return b[0];}}}}};
c.getPreviousSiblingOverlay=function(o){if(!o){return undefined;}var p=o.getParentAggregationOverlay();if(p){var a=p.getChildren();var i=a.indexOf(o);if(i>0){return a[i-1];}else if(i===0){var P=o.getParentElementOverlay();a=P.getAggregationOverlays();for(i=a.indexOf(p)-1;i>=0;i--){var b=a[i].getChildren();if(b.length){return b[b.length-1];}}}}};
c.getNextOverlay=function(o){if(!o){return undefined;}var f=this.getFirstChildOverlay(o);if(f){return f;}var n=this.getNextSiblingOverlay(o);if(n){return n;}do{o=o.getParentElementOverlay();n=this.getNextSiblingOverlay(o);}while(o&&!n);return n;};
c.getPreviousOverlay=function(o){if(!o){return undefined;}var p=o.getParentAggregationOverlay();if(!p){return undefined;}var P=this.getPreviousSiblingOverlay(o);if(P){var l=P;do{P=l;l=this.getLastChildOverlay(P);}while(l);return P;}return o.getParentElementOverlay();};
c.iterateOverlayElementTree=function(e,C){C(e);e.getAggregationOverlays().forEach(function(a){a.getChildren().forEach(function(o){this.iterateOverlayElementTree(o,C);},this);},this);};
c.getClosestOverlayForNode=function(n){var e=E.getClosestElementForNode(n);return c.getClosestOverlayFor(e);};
c.findAllSiblingOverlaysInContainer=function(o,r){var p=o.getParentElementOverlay();var R=[];if(p){if(p!==r){var P=c.findAllSiblingOverlaysInContainer(p,r);R=P.map(function(p){var a=p.getAggregationOverlay(o.getParentAggregationOverlay().getAggregationName());return a?a.getChildren():[];}).reduce(function(f,C){return f.concat(C);},[]);}else{R=o.getParentElementOverlay().getAggregationOverlay(o.getParentAggregationOverlay().getAggregationName()).getChildren();}}R=R.filter(function(o){return o.getDesignTimeMetadata();});return R;};
c.findAllOverlaysInContainer=function(o){var r=o.getRelevantContainer()||o.getElement();var R=O.getOverlay(r);var a=[];var m=c._findAllSiblingsAndParents(o,R,0);if(m[0]){for(var l in m){a=a.concat(m[l]);}var C=[];m[0].forEach(function(o){C=C.concat(c._findAllChildrenInContainer(o,r));});a=a.concat(C);}else{a=c._findAllChildrenInContainer(o,r);}a.push(R);a=a.filter(function(o){return o.getDesignTimeMetadata();});return a;};
c._findAllSiblingsAndParents=function(o,r,l){var p=o.getParentElementOverlay();if(!p){return[];}if(p!==r){var P=c._findAllSiblingsAndParents(p,r,l+1);var d=P[l+1].map(function(p){var a=p.getAggregationOverlay(o.getParentAggregationOverlay().getAggregationName());return a?a.getChildren():[];}).reduce(function(a,b){return a.concat(b);},[]);P[l]=d;return P;}var C=o.getParentElementOverlay().getAggregationOverlay(o.getParentAggregationOverlay().getAggregationName()).getChildren();var R={};R[l]=C;return R;};
c._findAllChildrenInContainer=function(e,r,_){_=_?_:[];if(e.getChildren().length>0){e.getChildren().forEach(function(a){a.getChildren().forEach(function(C){if(C.getRelevantContainer()===r){_.push(C);c._findAllChildrenInContainer(C,r,_);}});});}return _;};
c.findAllUniqueAggregationOverlaysInContainer=function(o,r){var a=c.findAllSiblingOverlaysInContainer(o,r);return a.map(function(o){return o.getParentAggregationOverlay();}).filter(function(o,p,A){return A.indexOf(o)===p;});};
c.isInAggregationBinding=function(e,a){if(a&&e.getElement().getBinding(a)){return true;}return e.isRoot()?false:(this.isInAggregationBinding(e.getParentElementOverlay(),e.getElement().sParentAggregationName));};
c.getAggregationInformation=function(e){var s=[];return this._evaluateBinding(e,s);};
c._evaluateBinding=function(e,s){var o=e.getElement();var a;var i;var p;if(e.getParentAggregationOverlay()){i=e.getParentAggregationOverlay().getChildren().indexOf(e);a=e.getParentAggregationOverlay().getAggregationName();p=e.getParentElementOverlay().getElement();}else{i=-1;}s.push({element:o.getId(),type:o.getMetadata().getName(),aggregation:a,index:i});if(a&&p.getBinding(a)){var b=p.getBindingInfo(a);var t=b&&b.template;return{elementId:p.getId(),aggregation:a,templateId:t?t.getId():undefined,stack:s};}return e.isRoot()?{elementId:undefined,aggregation:undefined,templateId:undefined,stack:s}:(this._evaluateBinding(e.getParentElementOverlay(),s));};
return c;},true);
sap.ui.predefine('sap/ui/dt/plugin/ContextMenu',["sap/ui/thirdparty/jquery",'sap/ui/dt/Plugin','sap/ui/dt/ContextMenuControl','sap/ui/dt/Util','sap/ui/Device',"sap/base/assert","sap/ui/events/KeyCodes","sap/base/util/merge"],function(q,P,C,U,D,a,K,m){"use strict";
var b=P.extend("sap.ui.dt.plugin.ContextMenu",{metadata:{properties:{contextElement:{type:"object"},styleClass:{type:"string"},openOnHover:{type:"boolean",defaultValue:true},openOnClick:{type:"boolean",defaultValue:true}},events:{openedContextMenu:{},closedContextMenu:{}}}});
b.prototype.init=function(){this.iMenuLeftclickOpeningDelay=0;this.iMenuHoverOpeningDelay=500;this.iMenuHoverClosingDelay=250;this.oContextMenuControl=new C({maxButtonsDisplayed:4});this.oContextMenuControl.attachClosed(this._contextMenuClosed,this);this.oContextMenuControl.attachOverflowButtonPressed(this._pressedOverflowButton,this);this._aMenuItems=[];this._aGroupedItems=[];this._aSubMenus=[];this._aPluginsWithBusyFunction=[];};
b.prototype.exit=function(){this._clearHoverTimeout();delete this._aMenuItems;if(this.oContextMenuControl){this.oContextMenuControl.detachClosed(this._contextMenuClosed,this);this.oContextMenuControl.detachOverflowButtonPressed(this._pressedOverflowButton,this);this.oContextMenuControl.destroy();delete this.oContextMenuControl;}};
b.prototype.addMenuItem=function(M,r,p){var c={menuItem:M,fromPlugin:!!r,bPersistOneTime:p};this._aMenuItems.push(c);};
b.prototype.registerElementOverlay=function(o){o.attachBrowserEvent("click",this._onClickorTouch,this);o.attachBrowserEvent("touchstart",this._onClickorTouch,this);o.attachBrowserEvent("contextmenu",this._onContextMenu,this);o.attachBrowserEvent("keydown",this._onKeyDown,this);};
b.prototype.deregisterElementOverlay=function(o){o.detachBrowserEvent("click",this._onClickorTouch,this);o.detachBrowserEvent("touchstart",this._onClickorTouch,this);o.detachBrowserEvent("contextmenu",this._onContextMenu,this);o.detachBrowserEvent("keydown",this._onKeyDown,this);};
b.prototype.open=function(p,o,c,i){this._bContextMenu=!!c;this._aPluginsWithBusyFunction=[];this.setContextElement(o.getElement());var d=this.getDesignTime().getPlugins();d.forEach(function(e){if(e.isBusy){this._aPluginsWithBusyFunction.push(e);}}.bind(this));this.getDesignTime().getSelectionManager().attachChange(this._onSelectionChanged,this);var s=this.getSelectedOverlays().filter(function(e){return e!==o;});s.unshift(o);this._aMenuItems=this._aMenuItems.filter(function(e){if(e.bPersistOneTime){e.bPersistOneTime=false;return true;}return!e.fromPlugin;});if(!i){this._aGroupedItems=[];this._aSubMenus=[];d.forEach(function(e){var f=e.getMenuItems(s)||[];f.forEach(function(g){if(g.group!=undefined&&!c){this._addMenuItemToGroup(g);}else if(g.submenu!=undefined){this._addSubMenu(g,p,o);}else{this.addMenuItem(g,true);}}.bind(this));}.bind(this));this._addItemGroupsToMenu(p,o);}var M=this._aMenuItems.map(function(e){return e.menuItem;});if(M.length>0){this.oContextMenuControl._bUseExpPop=!!c;M=this._sortMenuItems(M);this.oContextMenuControl.setButtons(M,this._onItemSelected.bind(this),s);this.oContextMenuControl.setStyleClass(this.getStyleClass());if(i){this.oContextMenuControl.setOpenNew(true);}this.oContextMenuControl.show(o,c,{x:p.clientX,y:p.clientY});}this.fireOpenedContextMenu();};
b.prototype._sortMenuItems=function(M){return M.sort(function(f,s){if(!f.rank&&!s.rank){return 0;}if(!f.rank&&s.rank){return-1;}if(f.rank&&!s.rank){return 1;}return f.rank-s.rank;});};
b.prototype._onContextMenu=function(e){var o=sap.ui.getCore().byId(e.currentTarget.id);var p={clientX:e.clientX,clientY:e.clientY};this._openContextMenu(e,o,p);};
b.prototype._onItemSelected=function(e){this.oContextMenuControl.close(true);this._ensureSelection(this._oCurrentOverlay);this.setFocusLock(true);var s=[],c=this.getContextElement(),S=e.data("id");this._aMenuItems.some(function(M){if(S===M.menuItem.id){var i=M.menuItem;s=this.getSelectedOverlays();a(s.length>0,"sap.ui.rta - Opening context menu, with empty selection - check event order");var p={};p.eventItem=e;p.contextElement=c;i.handler(s,p);i=null;return true;}},this);};
b.prototype._onClickorTouch=function(e){var o=sap.ui.getCore().byId(e.currentTarget.id);if(o&&o.isSelectable()&&o.getSelected()&&this.getOpenOnClick()){if(this.isMenuOpeningLocked()){this.unlockMenuOpening();this.oContextMenuControl.close();}this._startOpeningWithDelay(e);}};
b.prototype._startOpeningWithDelay=function(e){var c=m({},e);this.clickTimeout=setTimeout(function(){this._startOpening(c,true);}.bind(this),this.iMenuLeftclickOpeningDelay);};
b.prototype._startOpening=function(e,l){clearTimeout(this.hoverTimeout);this._bOpenedByHover=false;if(this._oTempTarget!=e.currentTarget.id){clearTimeout(this.clickTimeout);}this._oTempTarget=e.currentTarget.id;var o=sap.ui.getCore().byId(e.currentTarget.id);var t=e.target.className;if(o&&o.isSelectable()&&t.indexOf("sapUiDtOverlay")>-1&&(!this.isMenuOpeningLocked())){e.stopPropagation();if(this._shouldContextMenuOpen(e)){this._ensureSelection(o);if(this._oCurrentOverlay.isSelected()||D.os.android){if(l){this.lockMenuOpening();}this.oContextMenuControl.setOpenNew(true);this.open({clientX:e.clientX,clientY:e.clientY},o);return true;}}}};
b.prototype._onHover=function(e){var o=sap.ui.getCore().byId(e.currentTarget.id);if(o&&o.isSelectable()&&!e.ctrlKey&&this.getOpenOnHover()){e.stopPropagation();if(this._shouldContextMenuOpen(e,true)){if(this.iMenuHoverClosingDelay>=this.iMenuHoverOpeningDelay){q.error("sap.ui.dt ContextMenu iMenuHoverClosingDelay is bigger or equal to iMenuHoverOpeningDelay!");}if(this.oContextMenuControl.getPopover().isOpen()){this._closingTimeout=setTimeout(function(){if(this.oContextMenuControl.getPopover().isOpen()){this.oContextMenuControl.close();}}.bind(this),this.iMenuHoverClosingDelay);}this.hoverTimeout=setTimeout(function(){sap.ui.getCore().byId(e.currentTarget.id).focus();this._startOpening(e);this._bOpenedByHover=true;}.bind(this),this.iMenuHoverOpeningDelay);}}};
b.prototype._clearHoverTimeout=function(){if(this.hoverTimeout){clearTimeout(this.hoverTimeout);this.hoverTimeout=null;}if(this._closingTimeout){clearTimeout(this._closingTimeout);this._closingTimeout=null;}};
b.prototype._onKeyDown=function(e){var o=sap.ui.getCore().byId(e.currentTarget.id);if((e.keyCode===K.SPACE||e.keyCode===K.ENTER)&&(e.shiftKey===false)&&(e.altKey===false)&&(e.ctrlKey===false)){if(o&&o.isSelectable()){this._startOpening(e,true);e.stopPropagation();}}if((e.keyCode===K.F10)&&(e.shiftKey===true)&&(e.altKey===false)&&(e.ctrlKey===false)){if(o&&o.isSelectable()){e.preventDefault();var p={clientX:o.$().offset().left+o.$().width()/2,clientY:o.$().offset().top+o.$().height()/2};this._openContextMenu(e,o,p);}}};
b.prototype._shouldContextMenuOpen=function(e,o){if((!this._checkForPluginLock()&&!this.isMenuOpeningLocked())){if(!o){this._oCurrentOverlay=sap.ui.getCore().byId(e.currentTarget.id);}return true;}else{return false;}};
b.prototype._pressedOverflowButton=function(e){this.lockMenuOpening();var o=sap.ui.getCore().byId(e.oSource._oTarget.getAttribute("overlay"));var p={clientX:e.mParameters.oButton.$().offset().left,clientY:e.mParameters.oButton.$().offset().top};this._openContextMenu(e,o,p);this.setFocusLock(true);};
b.prototype._openContextMenu=function(e,o,p){if(o&&o.isSelectable()){e.preventDefault();this._oCurrentOverlay=o;this.oContextMenuControl.close(true);this._bOpenedByHover=false;if(document.activeElement){document.activeElement.blur();}clearTimeout(this.hoverTimeout);this._ensureSelection(o);clearTimeout(this.clickTimeout);this.lockMenuOpening();this.oContextMenuControl.setOpenNew(true);this.open(p,o,true);e.stopPropagation&&e.stopPropagation();}};
b.prototype._contextMenuClosed=function(){this.unlockMenuOpening();this.setFocusLock(false);};
b.prototype._onSelectionChanged=function(){this.oContextMenuControl.close(true);this.getDesignTime().getSelectionManager().detachChange(this._onSelectionChanged,this);};
b.prototype.lockMenuOpening=function(o){if((this.oContextMenuControl.getPopover(true).isOpen()||this.oContextMenuControl.getPopover(false).isOpen())&&o!==true){this._bAsyncLock=true;}else{this._bOpeningLocked=true;}};
b.prototype.unlockMenuOpening=function(){this._bOpeningLocked=false;if(this._bAsyncLock){this.lockMenuOpening(true);}this._bAsyncLock=false;};
b.prototype.isMenuOpeningLocked=function(){return this._bOpeningLocked;};
b.prototype.setFocusLock=function(i){this._bFocusLocked=i;};
b.prototype._ensureSelection=function(o){if(o&&!o.isSelected()){o.setSelected(true);}};
b.prototype._checkForPluginLock=function(){if(D.os.ios){return false;}if(this._aPluginsWithBusyFunction.some(function(p){return(typeof p.isBusy==="function"&&p.isBusy());})){return true;}this.setFocusLock(false);return false;};
b.prototype._addMenuItemToGroup=function(M){var g=this._aGroupedItems.some(function(_){if(_.sGroupName===M.group){_.aGroupedItems.push(M);return true;}});if(!g){this._aGroupedItems.push({sGroupName:M.group,aGroupedItems:[M]});}};
b.prototype._addSubMenu=function(M,p,o){M.submenu.forEach(function(s){s.handler=M.handler;});M.handler=function(s,p,o,O,c){this._aSubMenus.some(function(_){if(_.sSubMenuId===s){_.aSubMenuItems.forEach(function(S){this.addMenuItem(S,true,true);}.bind(this));return true;}}.bind(this));if(!this._bContextMenu){p.clientX=null;p.clientY=null;}this.oContextMenuControl.close();setTimeout(function(){this.open(p,o,true,true);}.bind(this),0);this.lockMenuOpening();}.bind(this,M.id,p,o);this._aSubMenus.push({sSubMenuId:M.id,aSubMenuItems:M.submenu});this.addMenuItem(M,true);};
b.prototype._addItemGroupsToMenu=function(p,o){this._aGroupedItems.forEach(function(g,i){if(g.aGroupedItems.length===1){this.addMenuItem(g.aGroupedItems[0],true,false);}else{var h=function(i,p,o){this._aGroupedItems[i].aGroupedItems.forEach(function(M){this.addMenuItem(M,true,true);}.bind(this));p.clientX=null;p.clientY=null;this.oContextMenuControl.close();setTimeout(function(){this.open(p,o,true,true);}.bind(this),0);this.lockMenuOpening();};this.addMenuItem({id:g.sGroupName+"-groupButton",enabled:true,text:g.sGroupName,icon:g.aGroupedItems[0].icon,rank:g.aGroupedItems[0].rank,handler:h.bind(this,i,p,o)},true);}}.bind(this));};
return b;},true);
sap.ui.predefine('sap/ui/dt/plugin/ControlDragDrop',['sap/ui/dt/plugin/DragDrop','sap/ui/dt/plugin/ElementMover','sap/ui/dt/ElementUtil','sap/ui/dt/OverlayUtil'],function(D,E,a,O){"use strict";
var C=D.extend("sap.ui.dt.plugin.ControlDragDrop",{metadata:{library:"sap.ui.dt",properties:{draggableTypes:{type:"string[]",defaultValue:["sap.ui.core.Element"]},elementMover:{type:"any"}},associations:{}}});
var d="sapUiDtOverlayDropZone";
C.prototype.init=function(){D.prototype.init.apply(this,arguments);this.setElementMover(new E());};
C.prototype.setElementMover=function(n){var o=this.getElementMover();if(o!==n){if(o){o.destroy();}this.setProperty("elementMover",n);}};
C.prototype.setDraggableTypes=function(b){this.getElementMover().setMovableTypes(b);return this.setProperty("draggableTypes",b);};
C.prototype.registerElementOverlay=function(o){var e=o.getElement();if(this.getElementMover().isMovableType(e)&&this.getElementMover().checkMovable(o)&&!O.isInAggregationBinding(o,e.sParentAggregationName)){o.setMovable(true);}if(this.oDraggedElement){this.getElementMover().activateTargetZonesFor(o,d);}D.prototype.registerElementOverlay.apply(this,arguments);};
C.prototype.deregisterElementOverlay=function(o){D.prototype.deregisterElementOverlay.apply(this,arguments);o.setMovable(false);if(this.oDraggedElement){this.getElementMover().deactivateTargetZonesFor(o,d);}};
C.prototype.getDraggedOverlay=function(){return this._oDraggedOverlay;};
C.prototype.onDragStart=function(o){this._oDraggedOverlay=o;this.getElementMover().setMovedOverlay(o);this.getElementMover().activateAllValidTargetZones(this.getDesignTime(),d);};
C.prototype.onDragEnd=function(o){delete this._oPreviousTarget;this.getElementMover().deactivateAllTargetZones(this.getDesignTime(),d);delete this._oDraggedOverlay;this.getElementMover().setMovedOverlay(null);};
C.prototype.onDragEnter=function(t){var o=this.getDraggedOverlay();if(t.getElement()!==o.getElement()&&t!==this._oPreviousTarget){this.getElementMover().repositionOn(o,t);}this._oPreviousTarget=t;};
C.prototype.onAggregationDragEnter=function(A){delete this._oPreviousTarget;var o=this.getDraggedOverlay();this.getElementMover().insertInto(o,A);};
return C;},true);
sap.ui.predefine('sap/ui/dt/plugin/CutPaste',['sap/ui/dt/Plugin','sap/ui/dt/plugin/ElementMover','sap/ui/dt/OverlayUtil','sap/ui/dt/OverlayRegistry',"sap/ui/events/KeyCodes"],function(P,E,O,a,K){"use strict";
var C=P.extend("sap.ui.dt.plugin.CutPaste",{metadata:{library:"sap.ui.dt",properties:{movableTypes:{type:"string[]",defaultValue:["sap.ui.core.Element"]},elementMover:{type:"any"}},associations:{}}});
C.prototype.init=function(){this.setElementMover(new E());};
C.prototype.registerElementOverlay=function(o){var e=o.getElement();o.attachBrowserEvent("keydown",this._onKeyDown,this);if(this.getElementMover().isMovableType(e)&&this.getElementMover().checkMovable(o)&&!O.isInAggregationBinding(o,e.sParentAggregationName)){o.setMovable(true);}if(this.getElementMover().getMovedOverlay()){this.getElementMover().activateTargetZonesFor(this.getElementMover().getMovedOverlay());}};
C.prototype.deregisterElementOverlay=function(o){o.setMovable(false);o.detachBrowserEvent("keydown",this._onKeyDown,this);if(this.getElementMover().getMovedOverlay()){this.getElementMover().deactivateTargetZonesFor(this.getElementMover().getMovedOverlay());}};
C.prototype.setMovableTypes=function(m){this.getElementMover().setMovableTypes(m);return this.setProperty("movableTypes",m);};
C.prototype.setElementMover=function(e){e.setMovableTypes(this.getMovableTypes());return this.setProperty("elementMover",e);};
C.prototype.getCuttedOverlay=function(){return this.getElementMover().getMovedOverlay();};
C.prototype.isElementPasteable=function(t){var T=this._getTargetZoneAggregation(t);if((T)||(O.isInTargetZoneAggregation(t))){return true;}else{return false;}};
C.prototype._onKeyDown=function(e){var o=a.getOverlay(e.currentTarget.id);var c=sap.ui.Device.os.macintosh?e.metaKey:e.ctrlKey;if((e.keyCode===K.X)&&(e.shiftKey===false)&&(e.altKey===false)&&(c===true)){this.cut(o);e.stopPropagation();}else if((e.keyCode===K.V)&&(e.shiftKey===false)&&(e.altKey===false)&&(c===true)){if(this.getElementMover().getMovedOverlay()){this.paste(o);}e.stopPropagation();}else if(e.keyCode===K.ESCAPE){this.stopCutAndPaste();e.stopPropagation();}};
C.prototype.cut=function(o){this.stopCutAndPaste();if(o.isMovable()){this.getElementMover().setMovedOverlay(o);o.addStyleClass("sapUiDtOverlayCutted");this.getElementMover().activateAllValidTargetZones(this.getDesignTime());}};
C.prototype._executePaste=function(t){var c=this.getElementMover().getMovedOverlay();if(!c){return false;}var r=false;if(!this._isForSameElement(c,t)){var T=this._getTargetZoneAggregation(t);if(T){this.getElementMover().insertInto(c,T);r=true;}else if(O.isInTargetZoneAggregation(t)){this.getElementMover().repositionOn(c,t);r=true;}}if(r){c.setSelected(true);setTimeout(function(){c.focus();},0);}return r;};
C.prototype.paste=function(t){var p=this._executePaste(t);if(p===true){this.stopCutAndPaste();}};
C.prototype.stopCutAndPaste=function(){var c=this.getElementMover().getMovedOverlay();if(c){c.removeStyleClass("sapUiDtOverlayCutted");this.getElementMover().setMovedOverlay(null);this.getElementMover().deactivateAllTargetZones(this.getDesignTime());}};
C.prototype._isForSameElement=function(c,t){return t.getElement()===c.getElement();};
C.prototype._getTargetZoneAggregation=function(t){var A=t.getAggregationOverlays();var p=A.filter(function(o){return o.isTargetZone();});if(p.length>0){return p[0];}else{return null;}};
return C;},true);
sap.ui.predefine('sap/ui/dt/plugin/ElementMover',["sap/ui/base/Object","sap/ui/base/ManagedObject","sap/ui/dt/ElementUtil","sap/ui/dt/DOMUtil","sap/ui/dt/OverlayUtil"],function(B,M,E,D,O){"use strict";
var a=M.extend("sap.ui.dt.plugin.ElementMover",{metadata:{library:"sap.ui.dt",properties:{movableTypes:{type:"string[]",defaultValue:["sap.ui.core.Element"]}},associations:{}}});
a.prototype._getMovableTypes=function(){return this.getProperty("movableTypes")||[];};
a.prototype.isMovableType=function(e){var m=this._getMovableTypes();return m.some(function(t){return B.isA(e,t);});};
a.prototype.checkMovable=function(o){return true;};
a.prototype.getMovedOverlay=function(){return this._oMovedOverlay;};
a.prototype.setMovedOverlay=function(m){if(m){this._source=O.getParentInformation(m);}else{delete this._source;}this._oMovedOverlay=m;};
a.prototype._getSource=function(){return this._source;};
a.prototype.activateAllValidTargetZones=function(d,A){this._iterateAllAggregations(d,this._activateValidTargetZone.bind(this),A);};
a.prototype._activateValidTargetZone=function(A,s){if(this.checkTargetZone(A)){A.setTargetZone(true);if(s){A.addStyleClass(s);}}};
a.prototype.checkTargetZone=function(A,o,b){var m=o?o:this.getMovedOverlay();var g=A.getGeometry();var G=g&&g.size.height>0&&g.size.width>0;if((b&&!G)||!b&&!D.isVisible(A.getDomRef())||!(A.getElement().getVisible&&A.getElement().getVisible())){return false;}var p=A.getElement();if(!p.getParent()){return false;}var c=m.getElement();var s=A.getAggregationName();if(E.isValidForAggregation(p,s,c)){return true;}};
a.prototype._deactivateTargetZone=function(A,s){A.setTargetZone(false);if(s){A.removeStyleClass(s);}};
a.prototype.activateTargetZonesFor=function(o,A){this._iterateOverlayAggregations(o,this._activateValidTargetZone.bind(this),A);};
a.prototype.deactivateTargetZonesFor=function(o,A){this._iterateOverlayAggregations(o,this._deactivateTargetZone.bind(this),A);};
a.prototype.deactivateAllTargetZones=function(d,A){this._iterateAllAggregations(d,this._deactivateTargetZone.bind(this),A);};
a.prototype._iterateAllAggregations=function(d,s,A){var o=d.getElementOverlays();o.forEach(function(b){this._iterateOverlayAggregations(b,s,A);},this);};
a.prototype._iterateOverlayAggregations=function(o,s,A){var b=o.getAggregationOverlays();b.forEach(function(c){s(c,A);});};
a.prototype.repositionOn=function(m,t){var o=m.getElement();var T=O.getParentInformation(t);var A;var p=m.getParentAggregationOverlay();var r=m.getRelevantContainer();var P=m.getParentElementOverlay();if(p&&P){var s=p.getAggregationName();A=P.getDesignTimeMetadata().getAggregation(s);}if(T.index!==-1){if(A&&A.beforeMove){A.beforeMove(r,o);}E.insertAggregation(T.parent,T.aggregation,o,T.index);if(A&&A.afterMove){A.afterMove(r,o);}}};
a.prototype.insertInto=function(m,t){var o=m.getElement();var T=t.getElement();var A;var p=m.getParentAggregationOverlay();var r=m.getRelevantContainer();var P=m.getParentElementOverlay();if(p&&P){var s=p.getAggregationName();A=P.getDesignTimeMetadata().getAggregation(s);}var b=E.getAggregation(t.getElement(),t.getAggregationName());var i=b.indexOf(o);if(!(i>-1&&i===b.length-1)){if(A&&A.beforeMove){A.beforeMove(r,o);}var c=t.getAggregationName();E.addAggregation(T,c,o);if(A&&A.afterMove){A.afterMove(r,o);}}};
a.prototype._compareSourceAndTarget=function(s,t){var p;for(p in s){switch(typeof(s[p])){case'object':if(s[p].getId()!==t[p].getId()){return false;}break;default:if(s[p]!==t[p]){return false;}}}return true;};
return a;},true);
sap.ui.predefine('sap/ui/dt/plugin/TabHandling',["sap/ui/thirdparty/jquery",'sap/ui/dt/Plugin','sap/ui/dt/Overlay','sap/ui/dt/OverlayRegistry',"sap/ui/dom/jquery/Selectors"],function(q,P,O,a){"use strict";
var T=P.extend("sap.ui.dt.plugin.TabHandling",{metadata:{library:"sap.ui.dt",properties:{},associations:{},events:{}}});
T.prototype.registerElementOverlay=function(o){if(o.isRoot()){this.removeTabIndex();}};
T.prototype.deregisterElementOverlay=function(o){if(o.isRoot()){this.restoreTabIndex();}};
T.prototype.setDesignTime=function(d){P.prototype.setDesignTime.apply(this,arguments);if(d){if(!this._oMutationObserver){this._oMutationObserver=O.getMutationObserver();this._oMutationObserver.attachDomChanged(this._onDomChanged,this);}}else{this._oMutationObserver.detachDomChanged(this._onDomChanged,this);delete this._oMutationObserver;this.restoreTabIndex();}};
T.prototype.removeTabIndex=function(){var d=this.getDesignTime();var r=d.getRootElements();r.forEach(function(R){var o=a.getOverlay(R);var $=o&&o.getAssociatedDomRef();if($){$.find(":focusable:not([tabIndex=-1], #overlay-container *)").each(function(i,n){n.setAttribute("data-sap-ui-dt-tabindex",n.tabIndex);n.setAttribute("tabIndex",-1);});}});};
T.prototype.restoreTabIndex=function(){q("[data-sap-ui-dt-tabindex]").each(function(i,n){n.setAttribute("tabIndex",n.getAttribute("data-sap-ui-dt-tabindex"));n.removeAttribute("data-sap-ui-dt-tabindex");});};
T.prototype._onDomChanged=function(){if(this.getDesignTime().getEnabled()){this.removeTabIndex();}};
return T;},true);
/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.predefine('sap/ui/dt/AggregationDesignTimeMetadata',['sap/ui/dt/DesignTimeMetadata'],function(D){"use strict";
var A=D.extend("sap.ui.dt.AggregationDesignTimeMetadata",{metadata:{library:"sap.ui.dt"}});
A.prototype.getLabel=function(e,a){return D.prototype.getLabel.apply(this,arguments)||a;};
return A;},true);
sap.ui.predefine('sap/ui/dt/AggregationOverlay',["sap/ui/thirdparty/jquery",'sap/ui/dt/Overlay','sap/ui/dt/OverlayRegistry','sap/ui/dt/ElementUtil','sap/ui/dt/Util','sap/base/util/merge'],function(q,O,a,E,U,m){"use strict";
var A=O.extend("sap.ui.dt.AggregationOverlay",{metadata:{library:"sap.ui.dt",properties:{aggregationName:{type:"string"},targetZone:{type:"boolean",defaultValue:false},scrollContainerId:{type:"int"}},events:{targetZoneChange:{parameters:{targetZone:{type:"boolean"}}}}}});
A.prototype._getAttributes=function(){return m({},O.prototype._getAttributes.apply(this,arguments),{"data-sap-ui-dt-aggregation":this.getAggregationName()});};
A.prototype._getChildIndex=function(c){var C=this.getChildren();var p;var P=C.indexOf(c)-1;while(P>0){p=C[P];if(p.isRendered()){break;}P--;}return P<0?0:P+1;};
A.prototype.insertChild=function(p,c){if(!(U.isInteger(p))){p=E[this.isAssociation()?'getIndexInAssociation':'getIndexInAggregation'](c.getElement(),this.getElement(),this.getAggregationName());}var P=this.indexOfAggregation('children',c);if(P!==p){if(P>-1){this.removeAggregation('children',c);}this.insertAggregation('children',c,p);if(this.isRendered()){var i=this._getChildIndex(c);var C=c.isRendered();var $=C?c.$():c.render(true);var b=q(this.getChildrenDomRef());var d=b.find('>').index($);var I;if(d!==i){if(i>0){I=d>-1&&d<i?i:i-1;b.find('>').eq(I).after($);}else{I=i;b.prepend($);}}if(!C){c.fireAfterRendering({domRef:$.get(0)});}}this.fireChildAdded();}};
A.prototype.addChild=function(c,s){this.insertChild(this.getChildren().length,c);if(!s){this.fireChildAdded();}};
A.prototype.render=function(){if(this.getChildren().length>0||this.getDesignTimeMetadata().getDomRef()){this.addStyleClass('sapUiDtAggregationOverlay');return O.prototype.render.apply(this,arguments);}};
A.prototype._getRenderingParent=function(){if(U.isInteger(this.getScrollContainerId())){return this.getParent().getScrollContainerById(this.getScrollContainerId());}else{return O.prototype._getRenderingParent.apply(this,arguments);}};
A.prototype._setPosition=function(t,g,p,f){O.prototype._setPosition.apply(this,arguments);if(g.domRef&&!U.isInteger(this.getScrollContainerId())){this._handleOverflowScroll(g,this.$(),this.getParent(),f);}};
A.prototype.getAssociatedDomRef=function(){var e=this.getElement();var s=this.getAggregationName();var d=this.getDesignTimeMetadata();return d.getAssociatedDomRef(e,d.getDomRef(),s);};
A.prototype.setTargetZone=function(t){if(this.getTargetZone()!==t){this.setProperty("targetZone",t);this.toggleStyleClass("sapUiDtOverlayTargetZone",t);this.fireTargetZoneChange({targetZone:t});}return this;};
A.prototype.isTargetZone=function(){return this.getTargetZone();};
A.prototype.isAssociation=function(){return!!this.getDesignTimeMetadata().getData().aggregationLike;};
return A;},true);
sap.ui.predefine('sap/ui/dt/ControlObserver',['sap/ui/dt/ManagedObjectObserver'],function(M){"use strict";
var C=M.extend("sap.ui.dt.ControlObserver",{metadata:{library:"sap.ui.dt",properties:{},associations:{"target":{"type":"sap.ui.core.Control"}},events:{"afterRendering":{}}}});
C.prototype.init=function(){M.prototype.init.apply(this,arguments);this._oControlDelegate={onAfterRendering:this._onAfterRendering};};
C.prototype.observe=function(c){M.prototype.observe.apply(this,arguments);c.addEventDelegate(this._oControlDelegate,this);};
C.prototype.unobserve=function(){var c=this.getTargetInstance();if(c){c.removeDelegate(this._oControlDelegate,this);}M.prototype.unobserve.apply(this,arguments);};
C.prototype._onAfterRendering=function(){this.fireAfterRendering();};
return C;},true);
sap.ui.predefine('sap/ui/dt/DOMUtil',["sap/ui/thirdparty/jquery",'sap/ui/Device','sap/ui/dt/Util',"sap/ui/dom/jquery/zIndex"],function(q,D,U){"use strict";var a={};
a.getSize=function(d){var c=d.getBoundingClientRect();return{width:c.width,height:c.height};};
a.getOffsetFromParent=function(g,p){var P=p?q(p):null;var s=P?P.scrollTop():null;var S=p?a.getScrollLeft(p):null;var m=P?P.offset():null;var o={left:g.position.left,top:g.position.top};if(m){o.left-=(m.left-(S?S:0));o.top-=(m.top-(s?s:0));}if(sap.ui.getCore().getConfiguration().getRTL()){var i=P?P.width():q(window).width();if((D.browser.blink||U.isWebkit())&&a.hasVerticalScrollBar(P)){o.left-=a.getScrollbarWidth();}o.left=o.left-(i-g.size.width);}return o;};
a.getScrollLeft=function(e){var s=e.scrollLeft;if(!sap.ui.getCore().getConfiguration().getRTL()||!a.hasHorizontalScrollBar(e)){return s;}if(D.browser.blink){var m=e.scrollWidth-e.clientWidth;return s-m;}else if(D.browser.msie||D.browser.edge){return-s;}else{return s;}};
a.getZIndex=function(d){var z;var e=q(d);if(e.length){z=e.zIndex()||e.css("z-index");}return z;};
a.hasVerticalScrollBar=function(d){var $=q(d);var o=$.css("overflow-y")==="auto"||$.css("overflow-y")==="scroll";return o&&$.get(0).scrollHeight>$.height();};
a.hasHorizontalScrollBar=function(d){var $=q(d);var o=$.css("overflow-x")==="auto"||$.css("overflow-x")==="scroll";return o&&$.get(0).scrollWidth>$.width();};
a.hasScrollBar=function(d){return a.hasVerticalScrollBar(d)||a.hasHorizontalScrollBar(d);};
a.getScrollbarWidth=function(){if(typeof a.getScrollbarWidth._cache==='undefined'){var o=q('<div/>').css({position:'absolute',top:'-9999px',left:'-9999px',width:'100px'}).appendTo('body');var w=o.width();o.css('overflow','scroll');var i=q('<div/>').css('width','100%').appendTo(o);var W=i.width();o.remove();a.getScrollbarWidth._cache=w-W;}return a.getScrollbarWidth._cache;};
a.getOverflows=function(d){var $=q(d);return{overflowX:$.css("overflow-x"),overflowY:$.css("overflow-y")};};
a.getGeometry=function(d,u){if(d){var o=q(d).offset();if(u){o.left=o.left-q(window).scrollLeft();o.top=o.top-q(window).scrollTop();}return{domRef:d,size:this.getSize(d),position:o,visible:this.isVisible(d)};}};
a.syncScroll=function(s,t){var $=q(t);var T=$.scrollTop();var o=$.scrollLeft();var b=q(s);var S=b.scrollTop();var c=b.scrollLeft();if(S!==T){$.scrollTop(S);}if(c!==o){$.scrollLeft(c);}};
a.getDomRefForCSSSelector=function(d,c){if(c&&d){var $=q(d);if(c===":sap-domref"){return $;}if(c.indexOf(":sap-domref")>-1){return $.find(c.replace(/:sap-domref/g,""));}return $.find(c);}else{return q();}};
a.isVisible=function(d){return d?d.offsetWidth>0&&d.offsetHeight>0:false;};
a.getEscapedString=function(s){return s.replace(/([;&,\.\+\*\~':"\!\^#$%@\[\]\(\)=>\|])/g,'\\$1');};
a.setDraggable=function(e,v){e=q(e);e.attr("draggable",v);};
a.getDraggable=function(e){e=q(e);return e.attr("draggable");};
a._copyStylesTo=function(s,d){var S="";var b="";var l=s.length;for(var i=0;i<l;i++){b=s[i];S=S+b+":"+s.getPropertyValue(b)+";";}d.style.cssText=S;};
a._copyPseudoElement=function(p,s,d){var S=window.getComputedStyle(s,p);var c=S.getPropertyValue("content");if(c&&c!=="none"){c=q.trim(c);if(c.indexOf("attr(")===0){c=c.replace("attr(","");if(c.length){c=c.substring(0,c.length-1);}c=s.getAttribute(c);}if(c===null||c===undefined){c="";}var P=q("<span></span>");if(p===":after"){P.appendTo(d);}else{P.prependTo(d);}P.text(c.replace(/(^['"])|(['"]$)/g,""));a._copyStylesTo(S,P.get(0));P.css("display","inline");}};
a.copyComputedStyle=function(s,d){s=q(s).get(0);d=q(d).get(0);var S=window.getComputedStyle(s);if(S.getPropertyValue("display")=="none"){d.style.display="none";return;}a._copyStylesTo(S,d);this._copyPseudoElement(":after",s,d);this._copyPseudoElement(":before",s,d);};
a.copyComputedStyles=function(s,d){s=q(s).get(0);d=q(d).get(0);for(var i=0;i<s.children.length;i++){this.copyComputedStyles(s.children[i],d.children[i]);}q(d).removeClass();q(d).attr("id","");q(d).attr("role","");q(d).attr("data-sap-ui","");q(d).attr("for","");q(d).attr("tabIndex",-1);this.copyComputedStyle(s,d);};
a.cloneDOMAndStyles=function(n,t){n=q(n).get(0);var c=n.cloneNode(true);this.copyComputedStyles(n,c);q(t).append(c);};
a.insertStyles=function(s,t){var S=document.createElement('style');S.type='text/css';if(S.styleSheet){S.styleSheet.cssText=s;}else{S.appendChild(document.createTextNode(s));}q(t).prepend(S);};
a.contains=function(i,t){var n=document.getElementById(i);return n&&n.contains(t);};
a.appendChild=function(t,c){var s=c.scrollTop;var S=c.scrollLeft;t.appendChild(c);c.scrollTop=s;c.scrollLeft=S;};
return a;},true);
sap.ui.predefine('sap/ui/dt/DesignTime',['sap/ui/base/ManagedObject','sap/ui/dt/ElementOverlay','sap/ui/dt/AggregationOverlay','sap/ui/dt/OverlayRegistry','sap/ui/dt/SelectionManager','sap/ui/dt/ElementDesignTimeMetadata','sap/ui/dt/AggregationDesignTimeMetadata','sap/ui/dt/ElementUtil','sap/ui/dt/Overlay','sap/ui/dt/OverlayUtil','sap/ui/dt/MetadataPropagationUtil','sap/ui/dt/Util','sap/ui/dt/TaskManager',"sap/base/Log","sap/ui/thirdparty/jquery","sap/base/util/isPlainObject","sap/base/util/merge","sap/ui/dt/SelectionMode","sap/base/util/includes","sap/ui/dt/DesignTimeStatus"],function(M,E,A,O,S,a,b,c,d,e,f,U,T,L,q,i,m,g,h,D){"use strict";
var j=M.extend("sap.ui.dt.DesignTime",{
metadata:{library:"sap.ui.dt",properties:{designTimeMetadata:{type:"object"},enabled:{type:"boolean",defaultValue:true},scope:{type:"string",defaultValue:"default"}},associations:{rootElements:{type:"sap.ui.core.Element",multiple:true}},aggregations:{plugins:{type:"sap.ui.dt.Plugin",multiple:true}},events:{addRootElement:{parameters:{element:{type:"sap.ui.core.Element"}}},enabledChanged:{parameters:{value:{type:"boolean"}}},elementOverlayCreated:{parameters:{elementOverlay:{type:"sap.ui.dt.ElementOverlay"}}},elementOverlayDestroyed:{parameters:{elementOverlay:{type:"sap.ui.dt.ElementOverlay"}}},elementOverlayAdded:{parameters:{id:{type:"string"},targetIndex:{type:"integer"},targetId:{type:"string"},targetAggregation:{type:"string"}}},elementOverlayMoved:{parameters:{id:{type:"string"},targetIndex:{type:"integer"},targetId:{type:"string"},targetAggregation:{type:"string"}}},elementOverlayEditableChanged:{parameters:{id:{type:"string"},elementId:{type:"string"},editable:{type:"boolean"}}},elementPropertyChanged:{parameters:{id:{type:"string"},name:{type:"string"},oldValue:{type:"any"},value:{type:"any"}}},syncing:{},synced:{},syncFailed:{}}},
constructor:function(){this._sStatus=D.SYNCED;this._mPendingOverlays={};this._oTaskManager=new T({complete:function(o){if(o.getSource().isEmpty()){this._registerElementOverlays();this._sStatus=D.SYNCED;this.fireSynced();}}.bind(this),add:function(o){if(o.getSource().count()===1){this._sStatus=D.SYNCING;this.fireSyncing();}}.bind(this)});this._oSelectionManager=new S();this._onElementOverlayDestroyed=this._onElementOverlayDestroyed.bind(this);M.apply(this,arguments);this.getRootElements().forEach(this._createOverlaysForRootElement,this);this.attachEvent("addRootElement",function(o){this._createOverlaysForRootElement(o.getParameter('element'));},this);this.attachEvent("enabledChanged",function(o){var v=o.getParameter('value');var $=d.getOverlayContainer();$[v?'show':'hide']();this.getRootElements().forEach(function(r){var R=O.getOverlay(r);R.setVisible(v);if(v){R.applyStyles(true);}});},this);this._aOverlaysCreatedInLastBatch=[];}
});
j.prototype._removeOverlayFromSyncingBatch=function(o){var I=this._aOverlaysCreatedInLastBatch.indexOf(o);if(I!==-1){this._aOverlaysCreatedInLastBatch.splice(I,1);}};
j.prototype._registerElementOverlays=function(){var p=this.getPlugins();var k=this._aOverlaysCreatedInLastBatch.slice();k.forEach(function(o){O.register(o);o.attachBeforeDestroy(function(l){O.deregister(l.getSource());});});k.forEach(function(o){p.forEach(function(P){try{P.callElementOverlayRegistrationMethods(o);}catch(v){var l=U.propagateError(v,"DesignTime#_registerElementOverlays",U.printf('registerElementOverlay() method of the plugin {0} has failed for overlay with id="{1}" (element id="{2}")',P.getMetadata().getName(),o.getId(),o.getElement().getId()));L.error(U.errorToString(l));}});},this);k.forEach(function(o){try{this.fireElementOverlayCreated({elementOverlay:o});}catch(v){var l=U.propagateError(v,"DesignTime#_registerElementOverlays",U.printf('One of the listeners of elementOverlayCreated event failed while precessing the overlay with id="{0}" for element with id="{1}"',o.getId(),o.getElement().getId()));L.error(U.errorToString(l));}},this);this._aOverlaysCreatedInLastBatch=[];};
j.prototype.exit=function(){this._bDestroyPending=true;this.getPlugins().forEach(function(p){p.destroy();});this._oSelectionManager.destroy();this._oTaskManager.destroy();this._destroyAllOverlays();delete this._aOverlaysCreatedInLastBatch;delete this._bDestroyPending;};
j.prototype.getSelection=function(){return this.getSelectionManager().get();};
j.prototype.getSelectionManager=function(){return this._oSelectionManager;};
j.prototype.getPlugins=function(){return this.getAggregation("plugins")||[];};
j.prototype.addPlugin=function(p){p.setDesignTime(this);this.addAggregation("plugins",p);return this;};
j.prototype.insertPlugin=function(p,I){p.setDesignTime(this);this.insertAggregation("plugins",p,I);return this;};
j.prototype.removePlugin=function(p){this.getPlugins().forEach(function(C){if(C===p){p.setDesignTime(null);return;}});this.removeAggregation("plugins",p);return this;};
j.prototype.removeAllPlugins=function(){this.getPlugins().forEach(function(p){p.setDesignTime(null);});this.removeAllAggregation("plugins");return this;};
j.prototype.getRootElements=function(){return(this.getAssociation("rootElements")||[]).map(function(s){return c.getElementInstance(s);});};
j.prototype.getDesignTimeMetadataFor=function(o){var C;if(typeof o==='string'){C=o;L.error('sap.ui.dt.DesignTime#getDesignTimeMetadataFor / Function getDesignTimeMetadataFor() should be called with element instance');}else{C=o.getMetadata().getName();}return(this.getDesignTimeMetadata()||{})[C];};
j.prototype.addRootElement=function(r){this.addAssociation("rootElements",r);this.fireAddRootElement({element:r});};
j.prototype._createOverlaysForRootElement=function(r){var t=this._oTaskManager.add({type:'createOverlay',element:r,root:true});this.createOverlay({element:c.getElementInstance(r),root:true,visible:this.getEnabled()}).then(function(o){d.getOverlayContainer().append(o.render());o.applyStyles();this._oTaskManager.complete(t);return o;}.bind(this),function(o){var s='sap.ui.dt: root element with id = "{0}" initialization is failed';s=o?U.printf(s+' due to: {1}',r.getId(),o.message):U.printf(s,r.getId());this._oTaskManager.cancel(t);throw U.createError("DesignTime#createOverlay",s,"sap.ui.dt");}.bind(this));};
j.prototype.removeRootElement=function(r){this.removeAssociation("rootElements",r);this._destroyOverlaysForElement(c.getElementInstance(r));return this;};
j.prototype.removeAllRootElement=function(){this.removeAssociation("rootElements");this._destroyAllOverlays();return this;};
j.prototype.getElementOverlays=function(){var k=[];this._iterateRootElements(function(r){k=k.concat(this._getAllElementOverlaysIn(r));},this);return k;};
j.prototype.createOverlay=function(v){var p=Object.assign({},i(v)?v:{element:v});var t=this._oTaskManager.add({type:'createOverlay'});if(!p.element||p.element.bIsDestroyed||!c.isElementValid(p.element)){this._oTaskManager.cancel(t);return Promise.reject(U.createError("DesignTime#createOverlay","can't create overlay without element"));}else{var s=p.element.getId();var o=O.getOverlay(s);if(o){this._oTaskManager.complete(t);return Promise.resolve(o);}else if(s in this._mPendingOverlays){this._oTaskManager.complete(t);return this._mPendingOverlays[s];}else{if(typeof p.root==="undefined"&&!c.getParent(p.element)){p.root=true;}this._mPendingOverlays[s]=this._createElementOverlay(p).then(function(o){return this._createChildren(o,p.parentMetadata).then(function(){this.attachEventOnce("synced",function(){delete this._mPendingOverlays[s];},this);if(this.bIsDestroyed){o.detachEvent('destroyed',this._onElementOverlayDestroyed);o.destroy();this._oTaskManager.cancel(t);return Promise.reject(U.createError("DesignTime#createOverlay","while creating overlay, DesignTime instance has been destroyed"));}else if(o.bIsDestroyed){this._oTaskManager.cancel(t);return Promise.reject(U.createError("DesignTime#createOverlay","while creating children overlays, its parent overlay has been destroyed"));}else{this._aOverlaysCreatedInLastBatch.push(o);this._oTaskManager.complete(t);return o;}}.bind(this));}.bind(this),function(k){throw k;}).catch(function(k){var l=U.propagateError(k,'DesignTime#createOverlay',U.printf("Failed attempt to create overlay for '{0}'",s));delete this._mPendingOverlays[s];this.fireSyncFailed({error:l});this._oTaskManager.cancel(t);return Promise.reject(l);}.bind(this));return this._mPendingOverlays[s];}}};
j.prototype._createElementOverlay=function(p){var o=p.element;return new Promise(function(r,R){new E({element:o,isRoot:p.root,visible:typeof p.visible!=="boolean"||p.visible,metadataScope:this.getScope(),designTimeMetadata:(this.getDesignTimeMetadataFor(o)instanceof a?this.getDesignTimeMetadataFor(o):U.curry(function(k,P,o,l){l=m({},l,k);this._mMetadataOriginal=l;if(P){l=f.propagateMetadataToElementOverlay(l,P,o);}return l;})(this.getDesignTimeMetadataFor(o),p.parentMetadata,o)),init:function(k){r(k.getSource());},initFailed:function(s,k){var l=k.getSource();var n=U.propagateError(k.getParameter('error'),'DesignTime#_createElementOverlay',U.printf("Can't create overlay properly (id='{0}') for '{1}'",l.getId(),s));l.detachEvent('destroyed',this._onElementOverlayDestroyed);l.detachEvent('elementDestroyed',this._onElementDestroyed);l.destroy();R(n);}.bind(this,o.getId()),destroyed:this._onElementOverlayDestroyed,elementDestroyed:this._onElementDestroyed.bind(this),selectionChange:this._onElementOverlaySelectionChange.bind(this),elementModified:this._onElementModified.bind(this),editableChange:this._onEditableChanged.bind(this)});}.bind(this));};
j.prototype._createChildren=function(o,p){return Promise.all(o.getAggregationNames().map(function(s){var k=o.getElement();var l=f.propagateMetadataToAggregationOverlay(o.getDesignTimeMetadata().getAggregation(s),k,p);var n=new A({aggregationName:s,element:k,designTimeMetadata:new b({data:l}),beforeDestroy:function(r){O.deregister(r.getSource());},destroyed:this._onAggregationOverlayDestroyed});O.register(n);return Promise.all(c[n.isAssociation()?'getAssociationInstances':'getAggregation'](k,s).map(function(k){return this.createOverlay({element:k,root:false,parentMetadata:l}).catch(function(r){return r;});},this)).then(function(C){C.map(function(r){if(r instanceof E&&!r.bIsDestroyed){n.addChild(r,true);}},this);return n;}.bind(this));},this)).then(function(k){k.forEach(function(l){if(o.bIsDestroyed){l.destroy();}else{o.addChild(l,true);}});});};
j.prototype._destroyOverlaysForElement=function(o){var k=O.getOverlay(o);if(k){k.destroy();}};
j.prototype._destroyAllOverlays=function(){this._iterateRootElements(function(r){this._destroyOverlaysForElement(r);},this);};
j.prototype._onElementOverlayDestroyed=function(o){if(this._bDestroyPending){return;}var k=o.getSource();var s=k.getAssociation('element');if(s in this._mPendingOverlays){this._removeOverlayFromSyncingBatch(k);return;}if(!O.hasOverlays()){d.destroyMutationObserver();d.removeOverlayContainer();}if(k.isSelected()){this.getSelectionManager().remove(k);}this.fireElementOverlayDestroyed({elementOverlay:k});};
j.prototype._onElementDestroyed=function(o){var s=o.getParameter("targetId");this.removeRootElement(s);};
j.prototype._onAggregationOverlayDestroyed=function(){if(!O.hasOverlays()){d.removeOverlayContainer();}};
j.prototype._onElementOverlaySelectionChange=function(o){var k=o.getSource();var s=o.getParameter("selected");if(s){if(this.getSelectionManager().getSelectionMode()===g.Multi){this.getSelectionManager().add(k);}else{this.getSelectionManager().set(k);}if(!h(this.getSelectionManager().get(),k)){k.setSelected(false);}}else{this.getSelectionManager().remove(k);}};
j.prototype._onElementModified=function(o){var p=m({},o.getParameters());p.type=!p.type?o.getId():p.type;switch(p.type){case"addOrSetAggregation":case"insertAggregation":this._onAddAggregation(p.value,p.target,p.name);break;case"setParent":setTimeout(function(){if(!this.bIsDestroyed){this._checkIfOverlayShouldBeDestroyed(p.target);}}.bind(this),0);break;case"propertyChanged":p.id=o.getSource().getId();delete p.type;delete p.target;if(this.getStatus()===D.SYNCING){this.attachEventOnce('synced',function(p){this.fireElementPropertyChanged(p);}.bind(this,p));}else{this.fireElementPropertyChanged(p);}break;}};
j.prototype._onEditableChanged=function(o){var p=m({},o.getParameters());p.id=o.getSource().getId();if(this.getStatus()===D.SYNCING){this.attachEventOnce('synced',function(){this.fireElementOverlayEditableChanged(p);},this);}else{this.fireElementOverlayEditableChanged(p);}};
j.prototype._onAddAggregation=function(o,p,s){if(c.isElementValid(o)){var P=O.getOverlay(p);var k=P.getAggregationOverlay(s);var l=O.getOverlay(o);if(!l){var t=this._oTaskManager.add({type:'createChildOverlay',element:o});l=this.createOverlay({element:o,parentMetadata:k.getDesignTimeMetadata().getData()}).then(function(l){k.insertChild(null,l);l.applyStyles();var n=k.indexOfAggregation('children',l);this.attachEventOnce("synced",function(){this.fireElementOverlayAdded({id:l.getId(),targetIndex:n,targetId:k.getId(),targetAggregation:k.getAggregationName()});},this);this._oTaskManager.complete(t);}.bind(this),function(v){throw v;}).catch(function(n,r,v){this._oTaskManager.cancel(t);var u=U.propagateError(v,"DesignTime#_onAddAggregation",U.printf("Failed to add new element overlay (elementId='{0}') into aggregation overlay (id='{1}')",n,r));if(!o.bIsDestroyed){L.error(U.errorToString(u));}}.bind(this,o.getId(),k.getId()));}else{if(l&&!this._isElementInRootElements(l)&&l.isRoot()){l.setIsRoot(false);}k.insertChild(null,l);l.setDesignTimeMetadata(f.propagateMetadataToElementOverlay(l._mMetadataOriginal,k.getDesignTimeMetadata().getData(),o));this.fireElementOverlayMoved({id:l.getId(),targetIndex:k.indexOfAggregation('children',l),targetId:k.getId(),targetAggregation:k.getAggregationName()});}}};
j.prototype._checkIfOverlayShouldBeDestroyed=function(o){var k=O.getOverlay(o);if(!o.bIsDestroyed&&k&&(!this._isElementInRootElements(o)||o.sParentAggregationName==="dependents")){k.destroy();}};
j.prototype._isElementInRootElements=function(o){var F=false;this._iterateRootElements(function(r){if(c.hasAncestor(o,r)){F=true;return false;}});return F;};
j.prototype._iterateRootElements=function(s,o){var r=this.getRootElements();r.forEach(function(R){var k=c.getElementInstance(R);s.call(o||this,k);},this);};
j.prototype._getAllElementOverlaysIn=function(o){var k=[];var l=O.getOverlay(o);if(l){e.iterateOverlayElementTree(l,function(C){if(C.getDesignTimeMetadata()){k.push(C);}});}return k;};
j.prototype.setEnabled=function(v){v=!!v;if(this.getEnabled()!==v){this.setProperty('enabled',v);this.fireEnabledChanged({value:v});}};
j.prototype.getStatus=function(){return this._sStatus;};
return j;},true);
sap.ui.predefine('sap/ui/dt/DesignTimeMetadata',["sap/ui/thirdparty/jquery",'sap/ui/base/ManagedObject','sap/ui/dt/ElementUtil','sap/ui/dt/DOMUtil','sap/base/util/merge'],function(q,M,E,D,m){"use strict";
var a=M.extend("sap.ui.dt.DesignTimeMetadata",{metadata:{library:"sap.ui.dt",properties:{data:{type:"any",defaultValue:{}}}}});
a.prototype.setData=function(d){this.setProperty("data",m({},this.getDefaultData(),d));return this;};
a.prototype.getDefaultData=function(){return{ignore:false,domRef:undefined};};
a.prototype.isIgnored=function(e){var i=this.getData().ignore;if(!i||(i&&typeof i==="function"&&!i(e))){return false;}else{return true;}};
a.prototype.markedAsNotAdaptable=function(){var A=this.getData().actions;return A==="not-adaptable";};
a.prototype.getDomRef=function(){return this.getData().domRef;};
a.prototype.getAssociatedDomRef=function(e,d,A){var o=E.getDomRef(e);var b=[];b.push(e);if(A){b.push(A);}if(typeof(d)==="function"){var r=d.apply(null,b);return r?q(r):r;}else if(o&&typeof(d)==="string"){return D.getDomRefForCSSSelector(o,d);}};
a.prototype.getAction=function(A,e){var d=this.getData();if(d.actions&&d.actions[A]){var v=d.actions[A];if(typeof(v)==="function"){v=v.call(null,e);}if(typeof(v)==="string"){return{changeType:v};}else{return v;}}};
a.prototype.getLibraryText=function(e,k,A){var o=e.getMetadata();return this._lookForLibraryTextInHierarchy(o,k,A);};
a.prototype._lookForLibraryTextInHierarchy=function(o,k,A){var l;var p;var r;l=o.getLibraryName();r=this._getTextFromLibrary(l,k,A);if(!r){p=o.getParent();if(p&&p.getLibraryName){r=this._lookForLibraryTextInHierarchy(p,k,A);}else{r=k;}}return r;};
a.prototype._getTextFromLibrary=function(l,k,A){var L=sap.ui.getCore().getLibraryResourceBundle(l+".designtime");if(L&&L.hasText(k)){return L.getText(k,A);}else{L=sap.ui.getCore().getLibraryResourceBundle(l);if(L&&L.hasText(k)){return L.getText(k,A);}}};
a.prototype.getTriggers=function(){var d=this.getData();var t=[];if(d&&Array.isArray(d.triggers)){t=d.triggers;}return t;};
a.prototype.getLabel=function(){var l=this.getData().getLabel;return typeof l==="function"?l.apply(this,arguments):undefined;};
a.prototype.getControllerExtensionTemplate=function(){return this.getData().controllerExtensionTemplate;};
return a;},true);
sap.ui.predefine('sap/ui/dt/DesignTimeStatus',[],function(){"use strict";return{'SYNCING':'syncing','SYNCED':'synced'};});
sap.ui.predefine('sap/ui/dt/ElementDesignTimeMetadata',['sap/ui/dt/DesignTimeMetadata','sap/ui/dt/AggregationDesignTimeMetadata','sap/ui/dt/ElementUtil'],function(D,A,E){"use strict";
var a=D.extend("sap.ui.dt.ElementDesignTimeMetadata",{metadata:{library:"sap.ui.dt"}});
a.prototype.getDefaultData=function(d){var o=D.prototype.getDefaultData.apply(this,arguments);o.aggregations={layout:{ignore:true},dependents:{ignore:true},customData:{ignore:true},layoutData:{ignore:true},tooltip:{ignore:true},dragDropConfig:{ignore:true}};return o;};
a.prototype.hasAggregation=function(s){return!!this.getAggregations()[s];};
a.prototype.getAggregation=function(s){return this.getAggregations()[s];};
a.prototype.createAggregationDesignTimeMetadata=function(m){return new A({data:m});};
a.prototype.getAggregations=function(){var m=this.getData().aggregations||{};var b=this.getData().associations||{};Object.keys(b).forEach(function(s){var c=b[s];if(c.aggregationLike){m[s]=c;}});return m;};
a.prototype.isActionAvailableOnAggregations=function(s){var m=this.getAggregations();return Object.keys(m).some(function(b){return m[b].actions&&m[b].actions[s];});};
a.prototype.getActionDataFromAggregations=function(s,e,b){var v;var m=this.getAggregations();var c=[];for(var d in m){if(m[d].actions&&m[d].actions[s]){v=m[d].actions[s];if(typeof v==="function"){var f=[e];if(b){f=f.concat(b);}v=v.apply(null,f);}if(typeof(v)==="string"){v={changeType:v};}if(v){v.aggregation=d;}c.push(v);}}return c;};
a.prototype._getText=function(e,n){if(typeof n==="function"){return n();}else{return this.getLibraryText(e,n);}};
a.prototype.getAggregationDescription=function(s,e){var c=this.getAggregation(s).childNames;if(typeof c==="function"){c=c.call(null,e);}if(c){return{singular:this._getText(e,c.singular),plural:this._getText(e,c.plural)};}};
a.prototype.getName=function(e){var n=this.getData().name;if(typeof n==="function"){n=n.call(null,e);}if(n){return{singular:this._getText(e,n.singular),plural:this._getText(e,n.plural)};}};
a.prototype.isAggregationIgnored=function(e,s){var m=this.getAggregations();var o=m[s];var i=(o)?o.ignore:false;if(!i||(i&&typeof i==="function"&&!i(e))){return false;}else{return true;}};
a.prototype.getScrollContainers=function(e){var s=this.getData().scrollContainers||[];s.forEach(function(S){if(typeof S.aggregations==="function"){S.aggregations=S.aggregations.call(null,e);}});return s;};
a.prototype.getLabel=function(e){return D.prototype.getLabel.apply(this,arguments)||E.getLabelForElement(e);};
a.prototype.getStableElements=function(o){var e=o.getElement();var s;var g=this.getData().getStableElements;if(g){s=g(e);}else{s=[e];}if(!s||!Array.isArray(s)){s=[];}return s;};
return a;},true);
sap.ui.predefine('sap/ui/dt/ElementOverlay',['sap/ui/dt/Overlay','sap/ui/dt/ControlObserver','sap/ui/dt/ManagedObjectObserver','sap/ui/dt/ElementDesignTimeMetadata','sap/ui/dt/ElementUtil','sap/ui/dt/DOMUtil','sap/ui/dt/Util','sap/ui/core/Control',"sap/ui/thirdparty/jquery","sap/base/Log","sap/base/util/isPlainObject","sap/base/util/merge"],function(O,C,M,E,a,D,U,b,q,L,i,m){"use strict";var S='sapUiDtOverlayScrollContainer';
var c=O.extend("sap.ui.dt.ElementOverlay",{
metadata:{library:"sap.ui.dt",associations:{editableByPlugins:{type:"any[]",multiple:true,singularName:"editableByPlugin"}},properties:{selected:{type:"boolean",defaultValue:false},selectable:{type:"boolean",defaultValue:false},movable:{type:"boolean",defaultValue:false},editable:{type:"boolean",defaultValue:false},relevantOverlays:{type:"any[]",defaultValue:[]},metadataScope:{type:"string"}},events:{selectionChange:{parameters:{selected:{type:"boolean"}}},movableChange:{parameters:{movable:{type:"boolean"}}},selectableChange:{parameters:{selectable:{type:"boolean"}}},editableChange:{parameters:{editable:{type:"boolean"}}},elementModified:{parameters:{type:"string",name:"string",value:"any",oldValue:"any",target:"sap.ui.core.Element"}},elementDestroyed:{parameters:{targetId:"string"}}}},
constructor:function(){this._aMetadataEnhancers=[];O.apply(this,arguments);}
});
c.prototype.asyncInit=function(){return(this.getDesignTimeMetadata()?Promise.resolve():this._loadDesignTimeMetadata()).then(function(){this._initMutationObserver();this._initControlObserver();}.bind(this));};
c.prototype._initMutationObserver=function(){if(this.isRoot()){this._subscribeToMutationObserver();}this.attachEvent('isRootChanged',function(e){if(e.getParameter('value')){this._subscribeToMutationObserver();}else{this._unsubscribeFromMutationObserver();}},this);};
c.prototype._subscribeToMutationObserver=function(){var o=O.getMutationObserver();var d=this.getAssociatedDomRef();this._sObservableNodeId=d&&d.get(0).id;if(this._sObservableNodeId){o.addToWhiteList(this._sObservableNodeId);o.attachDomChanged(this._onDomChanged,this);}else{L.error('sap.ui.dt.ElementOverlay#_subscribeToMutationObserver: please provide a root control with proper domRef and id to ensure that RTA is working properly');}};
c.prototype._unsubscribeFromMutationObserver=function(){if(this._sObservableNodeId){var o=O.getMutationObserver();o.removeFromWhiteList(this._sObservableNodeId);o.detachDomChanged(this._onDomChanged,this);delete this._sObservableNodeId;}};
c.prototype._initControlObserver=function(){if(this.getElement()instanceof b){this._oObserver=new C({target:this.getElement()});}else{this._oObserver=new M({target:this.getElement()});}this._oObserver.attachModified(this._onElementModified,this);this._oObserver.attachDestroyed(this._onElementDestroyed,this);};
c.prototype._destroyControlObserver=function(){if(this._oObserver){this._oObserver.destroy();}};
c.prototype._getAttributes=function(){return m({},O.prototype._getAttributes.apply(this,arguments),{"data-sap-ui-dt-for":this.getElement().getId(),"draggable":this.getMovable()});};
c.prototype.render=function(){this.addStyleClass('sapUiDtElementOverlay');return O.prototype.render.apply(this,arguments);};
c.prototype.onAfterRendering=function(){var o=!this._oDomRef;O.prototype.onAfterRendering.apply(this,arguments);if(o&&this._oDomRef){var p={id:this.getId(),type:"overlayRendered"};this.fireElementModified(p);}};
c.prototype.exit=function(){if(this.isRoot()){this._unsubscribeFromMutationObserver();}this._destroyControlObserver();if(this._iApplyStylesRequest){window.cancelAnimationFrame(this._iApplyStylesRequest);}O.prototype.exit.apply(this,arguments);};
c.prototype._loadDesignTimeMetadata=function(){return this.getElement().getMetadata().loadDesignTime(this.getElement(),this.getMetadataScope()).then(function(d){var e=this.getElement();if(!e||e.bIsDestroyed){new Error("sap.ui.dt.ElementOverlay#loadDesignTimeMetadata / Can't set metadata to overlay which element has been destroyed already");}this.setDesignTimeMetadata(d);}.bind(this)).catch(function(e){var o=U.wrapError(e);if(U.isForeignError(o)){var l='sap.ui.dt.ElementOverlay#loadDesignTimeMetadata';o.name='Error in '+l;o.message=U.printf("{0} / Can't load designtime metadata data for overlay with id='{1}', element id='{2}' ({3}): {4}",l,this.getId(),this.getElement().getId(),this.getElement().getMetadata().getName(),o.message);}throw o;}.bind(this));};
c.prototype._setPosition=function(t,g,p,f){O.prototype._setPosition.apply(this,arguments);this.getScrollContainers().forEach(function(s,I){var $=this.getDesignTimeMetadata().getAssociatedDomRef(this.getElement(),s.domRef)||q();var d=this.getScrollContainerById(I);if($.length){var o=$.get(0);var e=D.getGeometry(o);this._setSize(d,e);O.prototype._setPosition.call(this,d,e,this.$());this._handleOverflowScroll(e,d,this,f);this._setZIndex(e,d);}},this);};
c.prototype._applySizes=function(){var p=this.getChildren().filter(function(o){return o.isRendered();}).map(function(o){return new Promise(function(r){o.attachEventOnce('geometryChanged',r);});});O.prototype._applySizes.apply(this,arguments);Promise.all(p).then(function(){this._sortChildren(this.getChildrenDomRef());this.getScrollContainers().forEach(function(s,I){var $=this.getDesignTimeMetadata().getAssociatedDomRef(this.getElement(),s.domRef)||q();var d=this.getScrollContainerById(I);if($.length){this._sortChildren(d.get(0));}},this);}.bind(this));};
c.prototype._sortChildren=function(o){var f=function(g,h){var G=D.getGeometry(g);var j=D.getGeometry(h);var p=G&&G.position;var P=j&&j.position;if(p&&P){var B=p.top+G.size.height;var k=P.top+j.size.height;if(p.top<P.top){if(B>=k&&P.left<p.left){return 1;}else{return-1;}}else if(p.top===P.top){if(p.left===P.left){if(G.size.height<j.size.height||G.size.width<j.size.width){return-1;}else if(G.size.height>j.size.height||G.size.width>j.size.width){return 1;}else{return 0;}}else if(p.left<P.left){return-1;}else{return 1;}}else if(B<=k&&P.left>p.left){return-1;}else{return 1;}}return 0;};var d=q(o).find('>:not(.sapUiDtDummyScrollContainer)').toArray();var s=d.slice().sort(f);var e=d.some(function(g,I){return g!==s[I];});if(e){s.forEach(function(g){D.appendChild(o,g);});}};
c.prototype.placeInOverlayContainer=function(){if(this._bInit){if(this.isRoot()){if(!this.isRendered()){O.getOverlayContainer().append(this.render());this.applyStyles();}else{L.error('sap.ui.dt.ElementOverlay: overlay is already rendered and can\'t be placed in overlay container. Isn\'t it already there?');}}else{L.error('sap.ui.dt.ElementOverlay: it\'s not possible to place overlay inside overlay container while it\'s part of some hierarchy');}}else{L.error('sap.ui.dt.ElementOverlay: overlay is not ready yet. Please wait until "init" event happens');}};
c.prototype.setDesignTimeMetadata=function(d){var o=this.getDesignTimeMetadata();var e;if(q.isFunction(d)){if(!o){this._aMetadataEnhancers=this._aMetadataEnhancers.concat(d);}else{o.setData(d(m({},o.getData())));return;}}else if(d instanceof E){o=d;}else if(i(d)){e=d;var f;while(f=this._aMetadataEnhancers.shift()){e=f.call(this,e);}o=new E({data:e});}if(o){O.prototype.setDesignTimeMetadata.call(this,o);}};
c.prototype.getScrollContainers=function(){return this.getDesignTimeMetadata().getScrollContainers(this.getElement());};
c.prototype._renderChildren=function(){var d=O.prototype._renderChildren.apply(this,arguments);this.getScrollContainers().forEach(function(s,I){var $=q("<div/>",{"class":S,"data-sap-ui-dt-scrollContainerIndex":I});if(s.aggregations){U.intersection(s.aggregations,this.getAggregationNames()).forEach(function(A){var o=this.getAggregationOverlay(A);var e=d.indexOf(o.$());o.setScrollContainerId(I);$.append(d[e]);d.splice(e,1);},this);}d.push($);},this);return d;};
c.prototype.getScrollContainerById=function(I){return q(this.getChildrenDomRef()).find('>.'+S+'[data-sap-ui-dt-scrollcontainerindex="'+I+'"]');};
c.prototype.getAssociatedDomRef=function(){var d=this.getDesignTimeMetadata();var v=d.getDomRef();var o=d.getAssociatedDomRef(this.getElement(),v);if(!o){o=a.getDomRef(this.getElement());}if(o){return q(o);}return undefined;};
c.prototype.setSelectable=function(s){s=!!s;if(s!==this.isSelectable()){if(!s){this.setSelected(false);}this.toggleStyleClass("sapUiDtOverlaySelectable",s);this.setProperty("selectable",s);this.fireSelectableChange({selectable:s});}this.setFocusable(s);return this;};
c.prototype.setSelected=function(s){s=!!s;if(this.isSelectable()&&s!==this.isSelected()){this.setProperty("selected",s);this.toggleStyleClass("sapUiDtOverlaySelected",s);this.fireSelectionChange({selected:s});}return this;};
c.prototype.setMovable=function(d){d=!!d;if(this.getMovable()!==d){this.toggleStyleClass("sapUiDtOverlayMovable",d);this.setProperty("movable",d);this.fireMovableChange({movable:d});this.$()[d?'attr':'removeAttr']('draggable',d);}return this;};
c.prototype.setEditable=function(e){e=!!e;if(this.getEditable()!==e){this.toggleStyleClass("sapUiDtOverlayEditable",e);this.setProperty("editable",e);this.fireEditableChange({editable:e});}return this;};
c.prototype.getAggregationNames=function(){var e=this.getElement();var d=this.getDesignTimeMetadata();var A=e.getMetadata().getAllAggregations();return[].concat(Object.keys(A),Object.keys(d.getAggregations())).filter(function(s,I,f){return(I===f.indexOf(s)&&!d.isAggregationIgnored(e,s));});};
c.prototype._onChildAdded=function(e){var A=e.getSource();if(this.isRendered()&&!A.isRendered()){var t=(U.isInteger(A.getScrollContainerId())?this.getScrollContainerById(A.getScrollContainerId()):q(this.getChildrenDomRef()));t.append(A.render());}};
c.prototype.addChild=function(A){A.detachChildAdded(this._onChildAdded,this);A.attachChildAdded(this._onChildAdded,this);O.prototype.addChild.apply(this,arguments);};
c.prototype._onElementModified=function(e){var p=e.getParameters();var n=p.name;if(p.type==="propertyChanged"){if(n==="visible"){this.setRelevantOverlays([]);}this.fireElementModified(p);}else if(n){var A=this.getAggregationOverlay(n);if(A){this.setRelevantOverlays([]);this.fireElementModified(p);}}else if(e.getParameters().type==="setParent"){this.fireElementModified(p);}};
c.prototype._onDomChanged=function(){if(this.isReady()&&this.isRoot()){if(this._iApplyStylesRequest){window.cancelAnimationFrame(this._iApplyStylesRequest);}this._iApplyStylesRequest=window.requestAnimationFrame(function(){this.applyStyles();delete this._iApplyStylesRequest;}.bind(this));}};
c.prototype._onElementDestroyed=function(e){var s=e.getSource().getTarget();this.fireElementDestroyed({targetId:s});if(this._bInit){this.destroy();}else{this._bShouldBeDestroyed=true;}};
c.prototype.getAggregationOverlays=function(){return this.getAggregation("children")||[];};
c.prototype.getAggregationOverlay=function(A){return this.getChildren().filter(function(o){return o.getAggregationName()===A;}).pop();};
c.prototype.getParentElementOverlay=function(){var p=this.getParentAggregationOverlay();if(p){return p.getParent();}};
c.prototype.getParentAggregationOverlay=function(){var p=this.getParent();return p instanceof sap.ui.dt.AggregationOverlay?p:null;};
c.prototype.isSelected=function(){return this.getSelected();};
c.prototype.isSelectable=function(){return this.getSelectable();};
c.prototype.isMovable=function(){return this.getMovable();};
c.prototype.isEditable=function(){return this.getEditable();};
c.prototype._getElementInstanceVisible=function(){var e=this.getElement();if(e){var g=this.getGeometry();return g&&g.visible;}else{return false;}};
c.prototype.getElementVisibility=function(){var e=this.getElement();if(e instanceof sap.ui.core.Control){return e.getVisible();}var d=this.getDesignTimeMetadata();var f=d&&d.getData().isVisible;if(!f){return undefined;}return f(this.getElement());};
c.prototype.isElementVisible=function(){var e=this.getElement();var v=false;if(this.getDesignTimeMetadata().isIgnored(e)){v=false;}else{var g=this.getGeometry(true);if(g){v=g.visible;}else if(q.isFunction(this.getDesignTimeMetadata().getData().isVisible)){v=this.getDesignTimeMetadata().getData().isVisible(e);}else if(e instanceof b){v=!!e.getDomRef()&&e.getVisible();}}return v;};
c.prototype.isVisible=function(){return(O.prototype.isVisible.apply(this,arguments)&&this.isElementVisible());};
c.prototype.getRelevantContainer=function(f){var d=this.getDesignTimeMetadata();if(d&&d.getData().relevantContainer){return d.getData().relevantContainer;}else if(f){return this.getElement();}var p=this.getParentElementOverlay();return p?p.getElement():undefined;};
return c;},true);
sap.ui.predefine('sap/ui/dt/ElementUtil',["sap/ui/thirdparty/jquery","sap/ui/base/Object","sap/ui/base/ManagedObject","sap/ui/dt/Util","sap/base/Log","sap/ui/core/Component"],function(q,B,M,U,L,C){"use strict";var E={};E.iMaxAllowedZIndex=null;
E.iterateOverAllPublicAggregations=function(e,c){var a=e.getMetadata().getAllAggregations();var A=Object.keys(a);A.forEach(function(s){var o=a[s];var v=this.getAggregation(e,s);c(o,v);},this);};
E.getElementInstance=function(e){if(typeof e==="string"){var o=sap.ui.getCore().byId(e);return o||C.get(e);}else{return e;}};
E.hasAncestor=function(e,a){a=this.fixComponentContainerElement(a);var f;while(e&&e!==a){f=this.fixComponentParent(e);if(e===f){e=e.getParent();}else{e=f;}}return!!e;};
E.getClosestElementForNode=function(n){var c=q(n).closest("[data-sap-ui]");return c.length?sap.ui.getCore().byId(c.data("sap-ui")):undefined;};
E.fixComponentParent=function(e){if(B.isA(e,"sap.ui.core.UIComponent")){var c=e.oContainer;if(c){return c.getParent();}}else{return e;}};
E.fixComponentContainerElement=function(e){if(B.isA(e,"sap.ui.core.ComponentContainer")){if(!e.getComponentInstance()){return;}return e.getComponentInstance().getRootControl();}else{return e;}};
E.getDomRef=function(e){if(e){var d;if(e.getDomRef){d=e.getDomRef();}if(!d&&e.getRenderedDomRef){d=e.getRenderedDomRef();}return d;}};
E.findAllSiblingsInContainer=function(e,c){var p=e.getParent();if(!p){return[];}if(p!==c){var P=E.findAllSiblingsInContainer(p,c);return P.map(function(p){return E.getAggregation(p,e.sParentAggregationName);}).reduce(function(a,b){return a.concat(b);},[]);}return E.getAggregation(p,e.sParentAggregationName);};
E.getAggregationAccessors=function(e,a){var m=e.getMetadata();m.getJSONKeys();var A=m.getAggregation(a);if(A){var g=A._sGetter;if(A.altTypes&&A.altTypes.length&&e[A._sGetter+"Control"]){g=A._sGetter+"Control";}return{get:g,add:A._sMutator,remove:A._sRemoveMutator,insert:A._sInsertMutator,removeAll:A._sRemoveAllMutator};}else{return{};}};
E.getAggregation=function(e,a){var v;var g=this.getAggregationAccessors(e,a).get;if(g){v=e[g]();}else{v=e.getAggregation(a);}v=v&&v.splice?v:(v?[v]:[]);return v;};
E.getIndexInAggregation=function(e,p,a){return this.getAggregation(p,a).indexOf(e);};
E.addAggregation=function(p,a,e){if(this.hasAncestor(p,e)){throw new Error("Trying to add an element to itself or its successors");}var A=this.getAggregationAccessors(p,a).add;if(A){p[A](e);}else{p.addAggregation(a,e);}};
E.removeAggregation=function(p,a,e,s){var A=this.getAggregationAccessors(p,a).remove;if(A){p[A](e,s);}else{p.removeAggregation(a,e,s);}};
E.insertAggregation=function(p,a,e,i){if(this.hasAncestor(p,e)){throw new Error("Trying to add an element to itself or its successors");}if(this.getIndexInAggregation(e,p,a)!==-1){e.__bSapUiDtSupressParentChangeEvent=true;try{this.removeAggregation(p,a,e,true);}finally{delete e.__bSapUiDtSupressParentChangeEvent;}}var A=this.getAggregationAccessors(p,a).insert;if(A){p[A](e,i);}else{p.insertAggregation(a,e,i);}};
E.isValidForAggregation=function(p,a,e){var A=p.getMetadata().getAggregation(a);if(this.hasAncestor(p,e)){return false;}if(A){var t=A.type;if(A.multiple===false&&this.getAggregation(p,a)&&this.getAggregation(p,a).length>0){return false;}return B.isA(e,t)||this.hasInterface(e,t);}};
E.getAssociationAccessors=function(e,a){var m=e.getMetadata();m.getJSONKeys();var A=m.getAssociation(a);if(A){return{get:A._sGetter,add:A._sMutator,remove:A._sRemoveMutator,insert:A._sInsertMutator,removeAll:A._sRemoveAllMutator};}else{return{};}};
E.getAssociation=function(e,a){var v;var g=this.getAssociationAccessors(e,a).get;if(g){v=e[g]();}return v;};
E.getIndexInAssociation=function(e,p,a){return this.getAssociationInstances(p,a).indexOf(e);};
E.getAssociationInstances=function(e,a){var v=U.castArray(this.getAssociation(e,a));return v.map(function(i){return this.getElementInstance(i);},this);};
E.hasInterface=function(e,i){var I=e.getMetadata().getInterfaces();return I.indexOf(i)!==-1;};
E.isElementValid=function(e,s,a){var i=e instanceof M&&!e.bIsDestroyed;if(!i&&s&&a){L.error(["sap.ui.dt.DesignTime: child element in aggregation "+a+" of '"+s,"' should be a descendant of 'sap.ui.base.ManagedObject' and it is a '"+typeof e+"'. ","Please ignore the aggregation '"+a+"' in the .designtime configuration"].join(''));}return i;};
E.getParent=function(e){return B.isA(e,'sap.ui.core.Component')?e.oContainer:e.getParent();};
E.getLabelForElement=function(e,f){if(!E.isElementValid(e)){throw U.createError("ElementUtil#getLabelForElement","A valid managed object instance should be passed as parameter","sap.ui.dt");}if(typeof f==="function"){return f(e);}else{var c=function(e){var F=(typeof e.getText==="function"&&e.getText()||typeof e.getLabelText==="function"&&e.getLabelText()||typeof e.getLabel==="function"&&e.getLabel()||typeof e.getTitle==="function"&&e.getTitle()||typeof e.getHeading==="function"&&e.getHeading());if(E.isElementValid(F)){return c(F);}else{return F;}};var v=c(e);return typeof v!=="string"?e.getId():v;}};
E.extractTemplateId=function(b){if(b.templateId){if(b.stack.length>1){var r;var a=sap.ui.getCore().byId(b.templateId);var A;var I;for(var i=b.stack.length-2;i>=0;i--){A=b.stack[i].aggregation;I=b.stack[i].index;r=E.getAggregation(a,A)[I];a=r;}return a.getId();}else if(b.stack.length===1){return b.templateId;}}else{return undefined;}};
E.getZIndexBelowOpenPopups=function(c){if(U.isInteger(this.iMaxAllowedZIndex)&&this.iMaxAllowedZIndex<c){return this.iMaxAllowedZIndex;}else{return c;}};
E.setMaxAllowedZIndex=function(z){this.iMaxAllowedZIndex=z;};
return E;},true);
sap.ui.predefine('sap/ui/dt/Overlay',["sap/ui/thirdparty/jquery",'sap/ui/core/Element','sap/ui/dt/MutationObserver','sap/ui/dt/ElementUtil','sap/ui/dt/OverlayUtil','sap/ui/dt/DOMUtil','sap/ui/dt/ScrollbarSynchronizer','sap/ui/dt/Util','sap/base/Log','sap/ui/dt/util/getNextZIndex'],function(q,E,M,a,O,D,S,U,L,g){"use strict";var b="overlay-container";var o;var m;
var c=E.extend("sap.ui.dt.Overlay",{
metadata:{library:"sap.ui.dt",properties:{visible:{type:"boolean",defaultValue:true},focusable:{type:"boolean",defaultValue:false},isRoot:{type:"boolean",defaultValue:false}},associations:{element:{type:"sap.ui.core.Element"}},aggregations:{children:{type:"sap.ui.dt.Overlay",multiple:true},designTimeMetadata:{type:"sap.ui.dt.DesignTimeMetadata",altTypes:["function","object"],multiple:false}},events:{init:{},initFailed:{},afterRendering:{},beforeDestroy:{},destroyed:{parameters:{}},visibleChanged:{parameters:{visible:"boolean"}},geometryChanged:{},childAdded:{},scrollSynced:{},isRootChanged:{parameters:{value:{type:"boolean"}}},beforeGeometryChanged:{}}},
constructor:function(){this._aStyleClasses=this._aStyleClasses.slice(0);this._oScrollbarSynchronizers=new Map();this._aBindParameters=[];E.apply(this,arguments);if(!this.getElement()){throw new Error("sap.ui.dt: can't create overlay without element");}this.asyncInit().then(function(){if(this._bShouldBeDestroyed){this.fireInitFailed({error:U.createError("Overlay#asyncInit","ElementOverlay is destroyed during initialization ('"+this.getId()+"')")});}else{this._bInit=true;this.fireInit();}}.bind(this)).catch(function(e){var d=U.wrapError(e);if(U.isForeignError(d)){var l='sap.ui.dt.Overlay#asyncInit';d.name='Error in '+l;d.message=U.printf("{0} / Can't initialize overlay (id='{1}') properly: {2}",l,this.getId(),d.message);}this.fireInitFailed({error:d});}.bind(this));this.attachEventOnce('afterRendering',function(e){var d=q(e.getParameter('domRef'));this._aBindParameters.forEach(function(B){d.on(B.sEventType,B.fnProxy);});},this);},
_bInit:false,
_bRendered:false,
_$DomRef:null,
_aStyleClasses:['sapUiDtOverlay'],
_bShouldBeDestroyed:false,
_aBindParameters:null
});
c.getOverlayContainer=function(){if(!o){o=q("<div/>").attr('id',b).appendTo("body");}return o;};
c.removeOverlayContainer=function(){if(o){o.remove();}o=undefined;};
c.getMutationObserver=function(){if(!m){m=new M();}return m;};
c.destroyMutationObserver=function(){if(m){m.destroy();m=null;}};
c.prototype.asyncInit=function(){return Promise.resolve();};
c.prototype._getAttributes=function(){return{"id":this.getId(),"data-sap-ui":this.getId(),"class":this._aStyleClasses.join(" "),"tabindex":this.isFocusable()?0:null};};
c.prototype._renderChildren=function(){return this.getChildren().map(function(C){return C.isRendered()?C.$():C.render();});};
c.prototype.render=function(s){if(this.isRendered()){return this.getDomRef();}this._$DomRef=q('<div/>').attr(this._getAttributes());this._$Children=q('<div/>').attr({"class":"sapUiDtOverlayChildren"}).appendTo(this._$DomRef);this._$Children.append(this._renderChildren());this._bRendered=true;if(!s){this.fireAfterRendering({domRef:this._$DomRef.get(0)});}return this._$DomRef;};
c.prototype.isInit=function(){return this._bInit;};
c.prototype.isRendered=function(){return this._bRendered;};
c.prototype.isReady=function(){return this.isInit()&&this.isRendered();};
c.prototype.addStyleClass=function(C){if(!this.hasStyleClass(C)){this._aStyleClasses.push(C);if(this.isReady()){this.$().addClass(C);}}};
c.prototype.hasStyleClass=function(C){return this._aStyleClasses.indexOf(C)!==-1;};
c.prototype.removeStyleClass=function(C){if(this.hasStyleClass(C)){this._aStyleClasses=this._aStyleClasses.filter(function(i){return i!==C;});if(this.isReady()){this.$().removeClass(C);}}};
c.prototype.toggleStyleClass=function(C){this[(this.hasStyleClass(C)?'remove':'add')+'StyleClass'](C);};
c.prototype.setElement=function(e){if(!this.getElement()){this.setAssociation("element",e);if(this._designTimeMetadataCache){this.setDesignTimeMetadata(this._designTimeMetadataCache);delete this._designTimeMetadataCache;}}};
c.prototype.destroy=function(){if(this.bIsDestroyed){L.error('FIXME: Do not destroy overlay twice (overlayId = '+this.getId()+')!');return;}this.fireBeforeDestroy();E.prototype.destroy.apply(this,arguments);};
c.prototype.exit=function(){this._oScrollbarSynchronizers.forEach(function(s){s.destroy();});this._oScrollbarSynchronizers.clear();this.$().remove();delete this._bInit;delete this._bShouldBeDestroyed;delete this._$DomRef;delete this._oScrollbarSynchronizers;this.fireDestroyed();};
c.prototype.setDesignTimeMetadata=function(v){if(!this.getElement()){this._designTimeMetadataCache=v;}else{this.setAggregation('designTimeMetadata',v);}};
c.prototype.getDomRef=function(){return this.$().get(0);};
c.prototype.getChildrenDomRef=function(){return this._$Children.get(0);};
c.prototype.$=function(){return this._$DomRef||q();};
c.prototype.getAssociatedDomRef=function(){throw new Error("This method is abstract and needs to be implemented");};
c.prototype.getElementInstance=function(){return this.getElement();};
c.prototype.getElement=function(){return a.getElementInstance(this.getAssociation('element'));};
c.prototype.hasFocus=function(){return document.activeElement===this.getDomRef();};
c.prototype.focus=function(){this.$().focus();};
c.prototype.setFocusable=function(f){f=!!f;if(this.getFocusable()!==f){this.setProperty("focusable",f);this.toggleStyleClass("sapUiDtOverlayFocusable");this.$().attr("tabindex",f?0:null);}};
c.prototype.isFocusable=function(){return this.getFocusable();};
c.prototype._getRenderingParent=function(){return this.isRoot()?null:this.getParent().$();};
c.prototype.applyStyles=function(f){this.fireBeforeGeometryChanged();if(!this.isRendered()){return;}if(this.isVisible()){var G=this.getGeometry(true);if(G&&G.visible){this._setSize(this.$(),G);var r=this._getRenderingParent();if(!this.isRoot()){var p=[];this.getParent()._oScrollbarSynchronizers.forEach(function(s){if(s._bSyncing){p.push(new Promise(function(R){s.attachEventOnce('synced',R);}));}});if(p.length){Promise.all(p).then(function(){this._applySizes(G,r,f);this.fireGeometryChanged();}.bind(this));}else{this._applySizes(G,r,f);}}else{this._applySizes(G,r,f);}}else{this.$().css("display","none");}}else{this.$().css("display","none");}if(!p||!p.length){this.fireGeometryChanged();}};
c.prototype._applySizes=function(G,r,f){this._setPosition(this.$(),G,r,f);if(G.domRef){this._setZIndex(G,this.$());}this.getChildren().forEach(function(C){C.applyStyles(f);});};
c.prototype._setZIndex=function(G,$){var d=G.domRef;var z=D.getZIndex(d);if(U.isInteger(z)){$.css("z-index",z);}else if(this.isRoot()){this._iZIndex=a.getZIndexBelowOpenPopups(this._iZIndex)||g();$.css("z-index",this._iZIndex);}};
c.prototype._setSize=function(t,G){t.css("display","block");var s=G.size;t.css("width",s.width+"px");t.css("height",s.height+"px");};
c.prototype._setPosition=function(t,G,p){var P=D.getOffsetFromParent(G,p?p.get(0):null);t.css("transform","translate("+P.left+"px, "+P.top+"px)");};
c.prototype.attachBrowserEvent=function(e,h,l){if(e&&(typeof(e)==="string")){if(typeof h==="function"){if(!this._aBindParameters){this._aBindParameters=[];}l=l||this;var p=h.bind(l);this._aBindParameters.push({sEventType:e,fnHandler:h,oListener:l,fnProxy:p});this.$().on(e,p);}}return this;};
c.prototype.detachBrowserEvent=function(e,h,l){if(e&&(typeof(e)==="string")){if(typeof(h)==="function"){var $=this.$(),i,p;l=l||this;if(this._aBindParameters){for(i=this._aBindParameters.length-1;i>=0;i--){p=this._aBindParameters[i];if(p.sEventType===e&&p.fnHandler===h&&p.oListener===l){this._aBindParameters.splice(i,1);$.unbind(e,p.fnProxy);}}}}}return this;};
c.prototype._deleteDummyContainer=function(t,T){var d=t.find(">.sapUiDtDummyScrollContainer");if(d.length){d.remove();this._oScrollbarSynchronizers.get(t.get(0)).destroy();this._oScrollbarSynchronizers.delete(t.get(0));if(T._oScrollbarSynchronizers.size===0&&!T.getChildren().some(function(A){return A._oScrollbarSynchronizers.size>0;})){T.removeStyleClass("sapUiDtOverlayWithScrollBar");T.removeStyleClass("sapUiDtOverlayWithScrollBarVertical");T.removeStyleClass("sapUiDtOverlayWithScrollBarHorizontal");}}};
c.prototype._handleOverflowScroll=function(G,t,T,f){var d=G.domRef;var s=G.size;var e=D.getOverflows(d);t.css("overflow-x",e.overflowX);t.css("overflow-y",e.overflowY);var i=d.scrollHeight;var h=d.scrollWidth;if(i>Math.ceil(s.height)||h>Math.ceil(s.width)){var j=t.find("> .sapUiDtDummyScrollContainer");if(!j.length){j=q("<div/>",{css:{height:i+"px",width:h+"px"}});j=q("<div class='sapUiDtDummyScrollContainer' style='height: "+i+"px; width: "+h+"px;'></div>");if(T&&D.hasVerticalScrollBar(d)){T.addStyleClass("sapUiDtOverlayWithScrollBar");T.addStyleClass("sapUiDtOverlayWithScrollBarVertical");}if(T&&D.hasHorizontalScrollBar(d)){T.addStyleClass("sapUiDtOverlayWithScrollBar");T.addStyleClass("sapUiDtOverlayWithScrollBarHorizontal");}t.append(j);var k=new S({synced:this.fireScrollSynced.bind(this)});k.addTarget(d,t.get(0));this._oScrollbarSynchronizers.set(t.get(0),k);}else{j.css({"height":i,"width":h});var k=this._oScrollbarSynchronizers.get(t.get(0));if(!k.hasTarget(d)){k.addTarget(d);}}if(f){k.sync(d,true);}}else{this._deleteDummyContainer(t,T);}};
c.prototype.getGeometry=function(f){if(f||!this._mGeometry){var d=this.getAssociatedDomRef();var C;if(d){var i=this.isRoot();C=q.makeArray(d).map(function($){return D.getGeometry($,i);});}else{C=this.getChildren().map(function(e){return e.getGeometry(true);});}if(C.length){this._mGeometry=C.length>1?O.getGeometry(C):C[0];}else{delete this._mGeometry;}}return this._mGeometry;};
c.prototype.setVisible=function(v){v=!!v;if(this.getVisible()!==v){this.setProperty("visible",v);this.fireVisibleChanged({visible:v});}};
c.prototype.isVisible=function(){return(this.getVisible()&&(this.isRoot()?true:this.getParent().isVisible()));};
c.prototype.setIsRoot=function(v){v=!!v;if(this.getIsRoot()!==v){this.setProperty('isRoot',v);this.fireIsRootChanged({value:v});}};
c.prototype.isRoot=function(){return this.getIsRoot();};
c.prototype.getShouldBeDestroyed=function(){return this._bShouldBeDestroyed;};
return c;},true);
sap.ui.predefine('sap/ui/dt/OverlayRegistry',["sap/ui/base/ManagedObject","sap/ui/dt/ElementUtil","sap/ui/dt/Util"],function(M,E,U){"use strict";var O={};var S='sap.ui.dt.ElementOverlay';var a='sap.ui.dt.AggregationOverlay';var o={};var A={};
O.getOverlay=function(e){var I=(typeof e==="string"?e:E.getElementInstance(e)&&E.getElementInstance(e).getId());return o[I]||A[I];};
O.getOverlays=function(){return U.objectValues(o);};
O.register=function(b){if(!i(b)){var l='sap.ui.dt.OverlayRegistry#register';var e=new Error(l+' / Attempt to register illegal overlay');e.name=l;throw e;}o[b.getId()]=b;if(b.getMetadata().getName()===S){A[b.getAssociation('element')]=b;}};
O.deregister=function(b){if(!i(b)){var l='sap.ui.dt.OverlayRegistry#deregister';var e=new Error(l+' / Attempt to deregister illegal overlay');e.name=l;throw e;}delete o[b.getId()];if(b.getMetadata().getName()===S){delete A[b.getAssociation('element')];}};
O.hasOverlays=function(){return!jQuery.isEmptyObject(o);};
function i(b){return(b instanceof M&&[S,a].indexOf(b.getMetadata().getName())>-1);}
return O;},true);
sap.ui.predefine('sap/ui/dt/Plugin',['sap/ui/base/ManagedObject'],function(M){"use strict";
var P=M.extend("sap.ui.dt.Plugin",{metadata:{"abstract":true,library:"sap.ui.dt",properties:{designTime:{type:"object",multiple:false}}}});
P.prototype.init=function(){};
P.prototype.exit=function(){this.setDesignTime(null);};
P.prototype.setDesignTime=function(d){var o=this.getDesignTime();if(o){this._deregisterOverlays(o);}this.setProperty("designTime",d);if(d){this._registerOverlays(d);}return this;};
P.prototype._registerOverlays=function(d){if(this.registerElementOverlay||this.registerAggregationOverlay){var e=d.getElementOverlays();e.forEach(this.callElementOverlayRegistrationMethods.bind(this));}};
P.prototype._deregisterOverlays=function(d){if(this.deregisterElementOverlay||this.deregisterAggregationOverlay){var o=d.getElementOverlays();o.forEach(this._callElementOverlayDeregestrationMethods.bind(this));}};
P.prototype.callAggregationOverlayRegistrationMethods=function(e){if(this.registerAggregationOverlay){var a=e.getAggregationOverlays();a.forEach(this.registerAggregationOverlay.bind(this));}};
P.prototype.callElementOverlayRegistrationMethods=function(e){if(this.registerElementOverlay){this.registerElementOverlay(e);}this.callAggregationOverlayRegistrationMethods(e);};
P.prototype._callElementOverlayDeregestrationMethods=function(e){if(this.deregisterElementOverlay){this.deregisterElementOverlay(e);}if(this.deregisterAggregationOverlay){var a=e.getAggregationOverlays();a.forEach(this.deregisterAggregationOverlay.bind(this));}};
P.prototype._onElementOverlayCreated=function(e){var o=e.getParameter("elementOverlay");this.callElementOverlayRegistrationMethods(o);};
P.prototype.getMenuItems=function(){};
P.prototype.getActionName=function(){};
P.prototype.getAction=function(o){return o.getDesignTimeMetadata()?o.getDesignTimeMetadata().getAction(this.getActionName(),o.getElement()):null;};
P.prototype.getSelectedOverlays=function(){return this.getDesignTime().getSelectionManager().get();};
P.prototype.getActionText=function(o,a,p){var n=a.name;var e=o.getElement();if(n){if(typeof n==="function"){return n.call(null,e);}else{return o.getDesignTimeMetadata()?o.getDesignTimeMetadata().getLibraryText(e,n):"";}}else{return sap.ui.getCore().getLibraryResourceBundle('sap.ui.rta').getText(p);}};
P.prototype.isAvailable=function(e){return e.every(function(E){return this._isEditableByPlugin(E);},this);};
P.prototype.handler=function(e){};
P.prototype.isEnabled=function(e){};
P.prototype._getMenuItems=function(e,p){var E=e[0];var a=this.getAction(E);if(!a||!this.isAvailable(e)){return[];}return[{id:p.pluginId,text:this.getActionText(E,a,p.pluginId),handler:this.handler.bind(this),enabled:this.isEnabled.bind(this),rank:p.rank,icon:p.icon,group:p.group}];};
return P;},true);
sap.ui.predefine('sap/ui/dt/ScrollbarSynchronizer',['sap/ui/base/ManagedObject','sap/ui/dt/DOMUtil',"sap/ui/thirdparty/jquery"],function(M,D,q){"use strict";
var S=M.extend("sap.ui.dt.ScrollbarSynchronizer",{
metadata:{library:"sap.ui.dt",properties:{"scrollTop":{type:"float"},"scrollLeft":{type:"float"},"targets":{type:"any[]",defaultValue:[]}},events:{synced:{}}},
_bSyncing:false,
constructor:function(){this._scrollEventHandler=this._scrollEventHandler.bind(this);M.apply(this,arguments);}
});
S.prototype.getTargets=function(){return this.getProperty('targets').slice(0);};
S.prototype.setTargets=function(t){var T=Array.isArray(t)?t:[t];this.getTargets().forEach(this.removeTarget.bind(this));this.addTarget.apply(this,T);};
S.prototype.removeTarget=function(d){this._detachScrollEvent(d);this.setProperty('targets',this.getTargets().filter(function(t){return t!==d;}));};
S.prototype.addTarget=function(){var t=Array.prototype.slice.call(arguments);if(!t.length){return;}this._removeDeadNodes();t.forEach(this._attachScrollEvent,this);var n=this.getTargets().concat(t);this.setProperty('targets',n);this.sync(n[0]);};
S.prototype.hasTarget=function(d){return this.getTargets().indexOf(d)>-1;};
S.prototype._removeDeadNodes=function(){this.getTargets().forEach(function(d){if(!document.body.contains(d)){this.removeTarget(d);}},this);};
S.prototype._attachScrollEvent=function(d){q(d).on("scroll",this._scrollEventHandler);};
S.prototype._detachScrollEvent=function(d){q(d).off("scroll",this._scrollEventHandler);};
S.prototype._scrollEventHandler=function(e){this.sync(e.target);};
S.prototype.sync=function(s,f){if(f||this.getScrollTop()!==s.scrollTop||this.getScrollLeft()!==s.scrollLeft){this.setScrollTop(s.scrollTop);this.setScrollLeft(s.scrollLeft);if(!this._bSyncing){this._bSyncing=true;this.animationFrame=window.requestAnimationFrame(function(){this.getTargets().filter(function(d){return s!==d;}).forEach(function(d){D.syncScroll(s,d);});this.fireSynced();this._bSyncing=false;}.bind(this));}}};
S.prototype.destroy=function(){this.getTargets().forEach(function(d){this.removeTarget(d);},this);M.prototype.destroy.apply(this,arguments);};
S.prototype.isSyncing=function(){return this._bSyncing;};
return S;},true);
sap.ui.predefine('sap/ui/dt/SelectionManager',['sap/ui/base/ManagedObject','sap/ui/dt/OverlayRegistry','sap/ui/dt/Util','sap/ui/dt/SelectionMode','sap/ui/dt/ElementOverlay','sap/base/util/includes'],function(M,O,U,S,E,i){"use strict";
var a=M.extend("sap.ui.dt.SelectionManager",{metadata:{events:{"change":{parameters:{selection:{type:"sap.ui.dt.ElementOverlay[]"}}}}}});
function g(o){return U.castArray(o).map(function(b){if(b instanceof E){return b;}else{var e=O.getOverlay(b);if(e){return e;}}}).filter(function(e,I,b){return e&&b.indexOf(e)===I;});}
function s(e){return e.every(function(o){return o.isSelectable();});}
a.prototype.init=function(){this._aSelection=[];this._aValidators=[];this.addValidator(s);};
a.prototype.exit=function(){delete this._aSelection;delete this._aValidators;};
a.prototype.getSelectionMode=function(){return this._aSelection.length>1?S.Multi:S.Single;};
a.prototype.get=function(){return this._aSelection.slice();};
a.prototype.set=function(o){var e=g(o);var r=false;if(this._validate(e)){var b=this.get().filter(function(c){return!i(e,c);});r=this._remove(b)||r;r=this._add(e)||r;if(r){this.fireChange({selection:this.get()});}}return r;};
a.prototype._validate=function(e){return this.getValidators().every(function(v){return v(e);});};
a.prototype._add=function(e){var c=this.get();e=e.filter(function(o){return!i(c,o);});if(e.length){var n=c.concat(e);if(this._validate(n)){this._aSelection=n;e.forEach(function(o){o.setSelected(true);},this);return true;}}return false;};
a.prototype.add=function(o){if(this._add(g(o))){this.fireChange({selection:this.get()});return true;}return false;};
a.prototype._remove=function(e){var c=this.get();var n=c.filter(function(o){return!i(e,o);});if(n.length!==c.length){this._aSelection=n;e.forEach(function(o){o.setSelected(false);});return true;}return false;};
a.prototype.remove=function(o){if(this._remove(g(o))){this.fireChange({selection:this.get()});return true;}return false;};
a.prototype.reset=function(){return this.remove(this.get());};
a.prototype.addValidator=function(v){if(typeof v==="function"&&!i(this._aValidators,v)){this._aValidators=this._aValidators.concat(v);}};
a.prototype.removeValidator=function(v){this._aValidators=this._aValidators.filter(function(c){return v!==c;});};
a.prototype.getValidators=function(){return this._aValidators.slice();};
return a;});
sap.ui.predefine('sap/ui/dt/SelectionMode',function(){"use strict";return{Multi:"Multi",Single:"Single"};},true);
sap.ui.predefine('sap/ui/dt/TaskManager',['sap/ui/base/ManagedObject',"sap/ui/thirdparty/jquery","sap/base/util/isPlainObject"],function(M,q,i){"use strict";
var T=M.extend("sap.ui.dt.TaskManager",{
metadata:{library:"sap.ui.dt",properties:{suppressEvents:{type:"boolean",defaultValue:false}},events:{add:{parameters:{taskId:"int"}},complete:{parameters:{taskId:"int"}}}},
constructor:function(){M.apply(this,arguments);this._aList=[];},
_iNextId:0
});
T.prototype.add=function(t){if(!i(t)||!t.type){throw new Error('Invalid task specified');}var a=this._iNextId++;this._aList.push(Object.assign({},t,{id:a}));if(!this.getSuppressEvents()){this.fireAdd({taskId:a});}return a;};
T.prototype.complete=function(t){this._aList=this._aList.filter(function(m){return m.id!==t;});if(!this.getSuppressEvents()){this.fireComplete({taskId:t});}};
T.prototype.cancel=function(t){this.complete(t);};
T.prototype.isEmpty=function(){return this.count()===0;};
T.prototype.count=function(){return this._aList.length;};
T.prototype.getList=function(){return this._aList.slice(0);};
T.prototype.getList=function(){return this._aList.slice(0);};
T.prototype.destroy=function(){this.setSuppressEvents(true);this.getList().forEach(function(t){this.cancel(t.id);},this);};
return T;});
sap.ui.predefine('sap/ui/dt/Util',["sap/ui/thirdparty/jquery",'sap/ui/Device','sap/base/util/includes','sap/base/util/isPlainObject','sap/ui/dt/DesignTimeStatus'],function(q,D,i,a,b){"use strict";var U={};var S='sap.ui.dt';
U.wrapError=function(e){var E=e instanceof Error&&e||new Error();if(typeof e==='string'){E.message=e;}return E;};
U.isForeignError=function(e,l){if(e instanceof Error){return e.name.indexOf(l||S)===-1;}else{throw U.createError('Util#isForeignError','Wrong parameter specified');}};
U.createError=function(l,m,L){var e=new Error();var s=(L||S)+(l?'.'+l:'');e.name='Error in '+s;e.message=m;return e;};
U.errorToString=function(e){if(typeof e==='string'){return e;}else if(e instanceof Error){var E=e.toString();if(e.stack){E+='\n'+e.stack.replace(E,'').trim();}return E;}else{throw U.createError('Util#errorToString','Wrong parameter specified');}};
U.propagateError=function(e,l,m,L){var E=U.wrapError(e);if(U.isForeignError(E,L)){var s=(L||S)+'.'+l;var o=(E.name||'')+E.message;E.name='Error in '+s;E.message=U.printf('{0}. Original error: {1}',m,o||'¯\\_(ツ)_/¯');}return E;};
U.printf=function(s){var A=Array.prototype.slice.call(arguments,1);return s.replace(/{(\d+)}/g,function(m,I){return typeof A[I]!=='undefined'?A[I]:m;});};
U.curry=function(o){var A=o.length;var r=function(){var c=Array.prototype.slice.call(arguments);if(c.length>=A){return o.apply(this,c);}else{return function(){return r.apply(this,c.concat(Array.prototype.slice.call(arguments)));};}};return r;};
U.objectValues=function(o){return q.map(o,function(v){return v;});};
U.intersection=function(A,c){return A.filter(function(v){return c.indexOf(v)>-1;});};
U.isInteger=function(v){return q.isNumeric(v)&&Math.ceil(v)===v;};
U.castArray=function(v){var r=[];if(v){if(!Array.isArray(v)){r.push(v);}else{r=v;}}return r;};
U.wrapIntoPromise=function(h){if(!q.isFunction(h)){throw U.createError("Util#wrapIntoPromise",U.printf("Invalid argument specified. Function is expected, but '{0}' is given",typeof h),"sap.ui.dt");}return function(){var A=Array.prototype.slice.call(arguments);return Promise.resolve().then(function(){return h.apply(null,A);});};};
U.isWebkit=function(){return D.browser.webkit&&(D.browser.safari||D.browser.chrome&&D.browser.mobile);};
U.pick=function(s,p){s=a(s)?s:{};var P=(Array.isArray(p)?p:(arguments.length>1?[p]:[]));P=P.map(function(v){return String(v);});return Object.keys(s).reduce(function(r,c){if(i(P,c)){r[c]=s[c];}return r;},{});};
U.waitForSynced=function(o,d){return function(){var A=arguments;return new Promise(function(r,R){if(d.getStatus()===b.SYNCING){d.attachEventOnce("synced",function(){r(o.apply(null,A));});d.attachEventOnce("syncFailed",R);}else{r(o.apply(null,A));}});};};
return U;},true);
sap.ui.predefine('sap/ui/dt/library',["sap/ui/dt/SelectionMode",'sap/ui/core/library'],function(){"use strict";sap.ui.getCore().initLibrary({name:"sap.ui.dt",version:"1.60.23",dependencies:["sap.ui.core"],types:["sap.ui.dt.SelectionMode"],interfaces:[],controls:[],elements:[]});return sap.ui.dt;},true);
sap.ui.predefine('sap/ui/dt/plugin/DragDrop',['sap/ui/base/Object','sap/ui/dt/Plugin','sap/ui/dt/DOMUtil','sap/ui/dt/OverlayUtil','sap/ui/dt/ElementUtil','sap/ui/dt/OverlayRegistry',"sap/ui/thirdparty/jquery"],function(B,P,D,O,E,a,q){"use strict";
var b=P.extend("sap.ui.dt.plugin.DragDrop",{metadata:{"abstract":true,library:"sap.ui.dt",properties:{},associations:{},events:{}}});
var I=7;var _=false;var p=false;var o;
b.prototype._preventScrollOnTouch=function(f){if(p){f.preventDefault();}};
b.prototype.init=function(){P.prototype.init.apply(this,arguments);document.addEventListener('touchmove',this._preventScrollOnTouch,true);this._dragScrollHandler=this._dragScroll.bind(this);this._dragLeaveHandler=this._dragLeave.bind(this);this._mScrollIntervals={};};
b.prototype.exit=function(){P.prototype.exit.apply(this,arguments);document.removeEventListener('touchmove',this._preventScrollOnTouch);delete this._mElementOverlayDelegate;delete this._mAggregationOverlayDelegate;delete this._dragScrollHandler;};
b.prototype.registerElementOverlay=function(f){f.attachEvent("movableChange",this._onMovableChange,this);if(f.isMovable()){this._attachDragEvents(f);}f.attachBrowserEvent("dragover",this._onDragOver,this);f.attachBrowserEvent("dragenter",this._onDragEnter,this);f.attachBrowserEvent("dragleave",this._onDragLeave,this);};
b.prototype.registerAggregationOverlay=function(A){A.attachTargetZoneChange(this._onAggregationTargetZoneChange,this);if(!sap.ui.Device.browser.webkit){this._attachDragScrollHandler(A);}};
b.prototype.deregisterElementOverlay=function(f){f.detachEvent("movableChange",this._onMovableChange,this);this._detachDragEvents(f);f.detachBrowserEvent("dragover",this._onDragOver,this);f.detachBrowserEvent("dragenter",this._onDragEnter,this);f.detachBrowserEvent("dragleave",this._onDragLeave,this);};
b.prototype.deregisterAggregationOverlay=function(A){A.detachTargetZoneChange(this._onAggregationTargetZoneChange,this);if(!sap.ui.Device.browser.webkit){this._removeDragScrollHandler(A);this._clearScrollIntervalFor(A.$().attr("id"));}};
b.prototype._attachDragEvents=function(f){f.attachBrowserEvent("dragstart",this._onDragStart,this);f.attachBrowserEvent("drag",this._onDrag,this);f.attachBrowserEvent("dragend",this._onDragEnd,this);f.attachBrowserEvent("touchstart",this._onTouchStart,this);};
b.prototype._detachDragEvents=function(f){f.detachBrowserEvent("dragstart",this._onDragStart,this);f.detachBrowserEvent("drag",this._onDrag,this);f.detachBrowserEvent("dragend",this._onDragEnd,this);f.detachBrowserEvent("touchstart",this._onTouchStart,this);};
b.prototype.onMovableChange=function(f){};
b.prototype.onDragStart=function(f){};
b.prototype.onDragEnd=function(f){};
b.prototype.onDrag=function(f){};
b.prototype.onDragEnter=function(f){};
b.prototype.onDragLeave=function(f){};
b.prototype.onDragOver=function(f){};
b.prototype.onAggregationDragEnter=function(A){};
b.prototype.onAggregationDragOver=function(A){};
b.prototype.onAggregationDragLeave=function(A){};
b.prototype.onAggregationDrop=function(A){};
b.prototype._checkMovable=function(f){if(f.isMovable()||D.getDraggable(f.$())!==undefined){D.setDraggable(f.$(),f.isMovable());}};
b.prototype._onMovableChange=function(f){var g=f.getSource();if(g.isMovable()){this._attachDragEvents(g);}else{this._detachDragEvents(g);}this.onMovableChange(g);};
b.prototype._onDragStart=function(f){var g=a.getOverlay(f.currentTarget.id);f.stopPropagation();if(sap.ui.Device.browser.firefox&&f&&f.originalEvent&&f.originalEvent.dataTransfer&&f.originalEvent.dataTransfer.setData){f.originalEvent.dataTransfer.setData('text/plain','');}_=true;this.showGhost(g,f);this.onDragStart(g);};
b.prototype._attachTouchDragEvents=function(f){f.attachBrowserEvent("touchmove",this._onTouchMove,this);f.attachBrowserEvent("touchend",this._onTouchEnd,this);};
b.prototype._detachTouchDragEvents=function(f){f.detachBrowserEvent("touchmove",this._onTouchMove,this);f.detachBrowserEvent("touchend",this._onTouchEnd,this);};
b.prototype._onTouchStart=function(f){var t=f.touches[0].pageX;var g=f.touches[0].pageY;var T,h;var i=a.getOverlay(f.currentTarget.id);var j=function(){i.detachBrowserEvent("touchmove",T,this);i.detachBrowserEvent("touchend",h,this);i.detachBrowserEvent("contextmenu",h,this);};var G=function(k,l){var m=t-k;var n=g-l;return Math.sqrt((m*m)+(n*n));};T=function(f){var k=f.touches[0].pageX;var l=f.touches[0].pageY;var m=G(k,l);if(m>I){this.onDragStart(i);j.call(this);this._attachTouchDragEvents(i);}};h=function(f){j.call(this);p=false;};p=true;f.stopPropagation();i.attachBrowserEvent("touchmove",T,this);i.attachBrowserEvent("contextmenu",h,this);i.attachBrowserEvent("touchend",h,this);};
b.prototype._getTargetOverlay=function(f){if(B.isA(f,"sap.ui.dt.Overlay")){var t;if(B.isA(f,"sap.ui.dt.AggregationOverlay")&&f.getTargetZone()){t=f;}else if(B.isA(f,"sap.ui.dt.ElementOverlay")&&O.isInTargetZoneAggregation(f)){t=f;}return t?t:this._getTargetOverlay(f.getParent());}};
b.prototype._findTargetOverlayFromCoordinates=function(f,g){var h=document.elementFromPoint(f,g);var i=h?sap.ui.getCore().byId(h.id):undefined;return this._getTargetOverlay(i);};
b.prototype._onTouchMove=function(f){var g=a.getOverlay(f.currentTarget.id);this.onDrag(g);var t=f.touches||f.changedTouches;var h=t[0].pageX;var i=t[0].pageY;var T=this._findTargetOverlayFromCoordinates(h,i);if(!T){return;}if(T!==o){if(o){if(B.isA(o,"sap.ui.dt.AggregationOverlay")){this.onAggregationDragLeave(o);}else{this.onDragLeave(o);}}o=T;if(B.isA(T,"sap.ui.dt.AggregationOverlay")){this.onAggregationDragEnter(T);}else{this.onDragEnter(T);}}if(B.isA(T,"sap.ui.dt.AggregationOverlay")){this.onAggregationDragOver(T);}else{this.onDragOver(T);}f.stopPropagation();};
b.prototype._getValidTargetZoneAggregationOverlay=function(f){if(B.isA(f,"sap.ui.dt.AggregationOverlay")&&f.getTargetZone()){return f;}else{return this._getValidTargetZoneAggregationOverlay(f.getParent());}};
b.prototype._onTouchEnd=function(f){var g=a.getOverlay(f.currentTarget.id);var A=this._getValidTargetZoneAggregationOverlay(g);if(A){this.onAggregationDrop(A);}this.onDragEnd(g);this._detachTouchDragEvents(g);o=undefined;p=false;};
b.prototype.showGhost=function(f,g){if(g&&g.originalEvent&&g.originalEvent.dataTransfer){g.originalEvent.dataTransfer.effectAllowed="move";g.originalEvent.dataTransfer.dropEffect="move";if(!sap.ui.Device.browser.internet_explorer&&!sap.ui.Device.browser.edge&&!sap.ui.Device.browser.msie&&g.originalEvent.dataTransfer.setDragImage){this._$ghost=this.createGhost(f,g);this._$ghost.appendTo("#overlay-container");setTimeout(function(){this._removeGhost();}.bind(this),0);g.originalEvent.dataTransfer.setDragImage(this._$ghost.get(0),g.originalEvent.pageX-f.$().offset().left,g.originalEvent.pageY-f.$().offset().top);}}};
b.prototype._removeGhost=function(){this.removeGhost();delete this._$ghost;};
b.prototype.removeGhost=function(){var $=this.getGhost();if($){$.remove();}};
b.prototype.createGhost=function(f){var g=f.getAssociatedDomRef();var $;if(!g){g=this._getAssociatedDomCopy(f);$=g;}else{$=q("<div></div>");q.makeArray(g).forEach(function(n){D.cloneDOMAndStyles(n,$);});}var h=q("<div></div>").addClass("sapUiDtDragGhostWrapper");return h.append($.addClass("sapUiDtDragGhost"));};
b.prototype._getAssociatedDomCopy=function(f){var $=q("<div></div>");f.getAggregationOverlays().forEach(function(A){A.getChildren().forEach(function(C){var g=C.getAssociatedDomRef();if(g){D.cloneDOMAndStyles(g,$);}else{D.cloneDOMAndStyles(this._getAssociatedDomCopy(C),$);}},this);},this);return $;};
b.prototype.getGhost=function(){return this._$ghost;};
b.prototype._onDragEnd=function(f){_=false;var g=a.getOverlay(f.currentTarget.id);this._removeGhost();this._clearAllScrollIntervals();this.onDragEnd(g);f.stopPropagation();};
b.prototype._onDrag=function(f){var g=a.getOverlay(f.currentTarget.id);this.onDrag(g);f.stopPropagation();};
b.prototype._onDragEnter=function(f){var g=a.getOverlay(f.currentTarget.id);if(O.isInTargetZoneAggregation(g)){if(!this.onDragEnter(g)){f.stopPropagation();}}f.preventDefault();};
b.prototype._onDragLeave=function(f){var g=a.getOverlay(f.currentTarget.id);if(O.isInTargetZoneAggregation(g)){if(!this.onDragLeave(g)){f.stopPropagation();}}f.preventDefault();};
b.prototype._onDragOver=function(f){var g=a.getOverlay(f.currentTarget.id);if(O.isInTargetZoneAggregation(g)){if(!this.onDragOver(g)){f.stopPropagation();}}f.preventDefault();};
b.prototype._onAggregationTargetZoneChange=function(f){var A=f.getSource();var t=f.getParameter("targetZone");if(t){this._attachAggregationOverlayEvents(A);}else{this._detachAggregationOverlayEvents(A);}};
b.prototype._attachAggregationOverlayEvents=function(A){A.attachBrowserEvent("dragenter",this._onAggregationDragEnter,this);A.attachBrowserEvent("dragover",this._onAggregationDragOver,this);A.attachBrowserEvent("dragleave",this._onAggregationDragLeave,this);A.attachBrowserEvent("drop",this._onAggregationDrop,this);};
b.prototype._detachAggregationOverlayEvents=function(A){A.detachBrowserEvent("dragenter",this._onAggregationDragEnter,this);A.detachBrowserEvent("dragover",this._onAggregationDragOver,this);A.detachBrowserEvent("dragleave",this._onAggregationDragLeave,this);A.detachBrowserEvent("drop",this._onAggregationDrop,this);};
b.prototype._onAggregationDragEnter=function(f){var A=a.getOverlay(f.currentTarget.id);this.onAggregationDragEnter(A);f.preventDefault();f.stopPropagation();};
b.prototype._onAggregationDragOver=function(f){var A=a.getOverlay(f.currentTarget.id);this.onAggregationDragOver(A);f.preventDefault();f.stopPropagation();};
b.prototype._onAggregationDragLeave=function(f){var A=a.getOverlay(f.currentTarget.id);this.onAggregationDragLeave(A);f.preventDefault();f.stopPropagation();};
b.prototype._onAggregationDrop=function(f){var A=a.getOverlay(f.currentTarget.id);this.onAggregationDrop(A);f.preventDefault();f.stopPropagation();};
var c=100;var d=20;var e=50;
b.prototype._clearScrollInterval=function(s,f){if(this._mScrollIntervals[s]){window.clearInterval(this._mScrollIntervals[s][f]);delete this._mScrollIntervals[s][f];}};
b.prototype._clearScrollIntervalFor=function(s){if(this._mScrollIntervals[s]){Object.keys(this._mScrollIntervals[s]).forEach(function(f){this._clearScrollInterval(s,f);},this);}};
b.prototype._clearAllScrollIntervals=function(){Object.keys(this._mScrollIntervals).forEach(this._clearScrollIntervalFor.bind(this));};
b.prototype._checkScroll=function($,s,i){var S;var f;var g=1;if(s==="top"||s==="bottom"){S=$.height();f=$.scrollTop.bind($);}else{S=$.width();f=$.scrollLeft.bind($);}if(s==="top"||s==="left"){g=-1;}var h=Math.floor(S/4);var t=c;if(h<c){t=h;}if(i<t){this._mScrollIntervals[$.attr("id")]=this._mScrollIntervals[$.attr("id")]||{};if(!this._mScrollIntervals[$.attr("id")][s]){this._mScrollIntervals[$.attr("id")][s]=window.setInterval(function(){var j=f();f(j+g*d);},e);}}else{this._clearScrollInterval($.attr("id"),s);}};
b.prototype._dragLeave=function(f){var A=a.getOverlay(f.currentTarget.id);this._clearScrollIntervalFor(A.$().attr("id"));};
b.prototype._dragScroll=function(f){var A=a.getOverlay(f.currentTarget.id);var $=A.$();var i=f.clientX;var g=f.clientY;var h=$.offset();var H=$.height();var w=$.width();var t=h.top;var l=h.left;var j=t+H;var r=l+w;this._checkScroll($,"bottom",j-g);this._checkScroll($,"top",g-t);this._checkScroll($,"right",r-i);this._checkScroll($,"left",i-l);};
b.prototype._attachDragScrollHandler=function(f){var A;if(B.isA(f,"sap.ui.dt.AggregationOverlay")){A=f;}else{A=f.srcControl;}if(D.hasScrollBar(A.$())){A.getDomRef().addEventListener("dragover",this._dragScrollHandler,true);A.getDomRef().addEventListener("dragleave",this._dragLeaveHandler,true);}};
b.prototype._removeDragScrollHandler=function(f){var A;if(B.isA(f,"sap.ui.dt.AggregationOverlay")){A=f;}else{A=f.srcControl;}var g=A.getDomRef();if(g){g.removeEventListener("dragover",this._dragScrollHandler,true);}};
b.prototype.isBusy=function(){return _;};
return b;},true);
sap.ui.predefine('sap/ui/dt/plugin/MouseSelection',['sap/ui/dt/Plugin'],function(P){"use strict";
var M=P.extend("sap.ui.dt.plugin.MouseSelection",{metadata:{library:"sap.ui.dt",properties:{},associations:{},events:{}}});
M.prototype.init=function(){P.prototype.init.apply(this,arguments);};
M.prototype.registerElementOverlay=function(o){o.setSelectable(true);o.attachBrowserEvent('click',this._onClick,o);};
M.prototype.deregisterElementOverlay=function(o){o.detachBrowserEvent('click',this._onClick,o);};
M.prototype._onClick=function(e){this.setSelected(!this.getSelected());e.preventDefault();e.stopPropagation();};
return M;},true);
sap.ui.predefine('sap/ui/dt/test/Element',["sap/ui/thirdparty/jquery","sap/ui/dt/ElementUtil","sap/ui/dt/DOMUtil","sap/ui/dt/OverlayRegistry"],function(q,E,D,O){"use strict";var M=5;var a={};
a.getInfo=function(e){var m=e.getMetadata();var o=O.getOverlay(e);return{metadata:m,overlay:o};};
a.getAggregationInfo=function(e,A){var m={ignored:true,domRefDeclared:false,domRefFound:false,domRefVisible:false,overlayTooSmall:false,overlayGeometryCalculatedByChildren:false,overlayVisible:false};var d;var b=this.getInfo(e);var o=b.overlay.getAggregationOverlay(A);if(o){d=o.getDesignTimeMetadata();}if(d&&!d.isIgnored(e)){m.ignored=false;m.domRefDeclared=!!d.getDomRef();var $=o.getAssociatedDomRef();if($){m.domRefFound=true;m.domRefVisible=D.isVisible($.get(0));}var g=o.getGeometry();if(g){var s=g.size;m.overlayTooSmall=(s.width<=M||s.height<=M);m.overlayGeometryCalculatedByChildren=!g.domRef;m.overlayVisible=g.visible;}}return m;};
a.getAggregationsInfo=function(e){var A={};E.iterateOverAllPublicAggregations(e,function(o){A[o.name]=this.getAggregationInfo(e,o.name);}.bind(this));return A;};
return a;},true);
sap.ui.predefine('sap/ui/dt/test/ElementEnablementTest',["sap/ui/thirdparty/jquery",'sap/ui/dt/test/Test','sap/ui/dt/DesignTime','sap/ui/dt/test/Element',"sap/base/util/ObjectPath"],function(q,T,D,E,O){"use strict";
function t(){return new Promise(function(r){function o(){sap.ui.getCore().detachThemeChanged(o);r();}sap.ui.getCore().attachThemeChanged(o);});}
function w(){if(sap.ui.getCore().isThemeApplied()){return Promise.resolve();}else{return t();}}
var a=T.extend("sap.ui.dt.test.ElementEnablementTest",{metadata:{library:"sap.ui.dt",properties:{type:{type:"string"},create:{type:"any"},timeout:{type:"int",defaultValue:0},groupPostfix:{type:"string"}}}});
a.prototype.init=function(){this._aAggregatedTestResult=null;this._aAggregatedInfoResult=null;this._sAggregation=null;this._$TestAreaDomRef=null;};
a.prototype.exit=function(){if(this._oDesignTime){this._oDesignTime.destroy();}window.clearTimeout(this._iTimeout);this._oElement.destroy();if(this._$TestAreaDomRef){this._$TestAreaDomRef.remove();delete this._$TestAreaDomRef;}};
a.prototype.run=function(){return this._setup().then(function(){this._mResult=this.createSuite("Element Enablement Test");var e=this.addGroup(this._mResult.children,this.getType(),"Given that a DesignTime is created for "+this.getType());this._testAggregations(e.children);this._mResult=this.aggregate(this._mResult);return this._mResult;}.bind(this));};
a.prototype._createElement=function(){var s=this.getType();var c=this.getCreate();var b=O.get(s||"");var e;if(c){e=c();}else{e=new b();}if(e.addStyleClass){e.addStyleClass("minSize");}return e;};
a.prototype._getTestArea=function(){if(!this._$TestAreaDomRef){this._$TestAreaDomRef=q("<div id='"+this.getId()+"--testArea"+"'></div>").css({height:"500px",width:"1000px"}).appendTo("body");}return this._$TestAreaDomRef;};
a.prototype._setup=function(){window.clearTimeout(this._iTimeout);this._bNoRenderer=false;this._bErrorDuringRendering=false;return new Promise(function(r,R){w().then(function(){this._oElement=this._createElement();try{this._oElement.getRenderer();}catch(e){this._bNoRenderer=true;}if(!this._bNoRenderer){try{this._oElement.placeAt(this._getTestArea().get(0));sap.ui.getCore().applyChanges();}catch(e){this._bErrorDuringRendering=true;}if(!this._bErrorDuringRendering){this._oDesignTime=new D({rootElements:[this._oElement]});this._oDesignTime.attachEventOnce("synced",function(){if(this.getTimeout()){this._iTimeout=window.setTimeout(function(){r();},this.getTimeout());}else{r();}},this);}else{r();}}else{r();}}.bind(this));}.bind(this));};
a.prototype._testAggregations=function(b){var A=this.addGroup(b,"Aggregations","Each aggregation needs to be ignored or has a visible domRef maintained in the metadata",this.getGroupPostfix());if(this._bNoRenderer){this.addTest(A.children,true,"Control has no renderer","Control has no renderer, not supported by the element test (requires a special element test)",T.STATUS.UNKNOWN);}else if(this._bErrorDuringRendering){this.addTest(A.children,true,"Error during rendering","Element can't be rendered, not supported by the DesignTime (please, provide a create method for this element)",T.STATUS.ERROR);}else{var m=E.getAggregationsInfo(this._oElement);for(var s in m){var c=m[s];var d=this.addGroup(A.children,s,(c.ignored?"Aggregation ignored":"Aggregation tests"));if(!c.ignored){this.addTest(d.children,c.overlayVisible,"Overlay Visible","Overlay domRef is visible in DOM");if(c.domRefDeclared){this.addTest(d.children,c.domRefDeclared,"Dom Ref Declared","DomRef is declared in design time metadata");this.addTest(d.children,c.domRefFound,"Dom Ref Found","Declared DomRef is found in DOM");this.addTest(d.children,c.domRefVisible,"Dom Ref Visible","Declared DomRef is visible");}else if(c.overlayVisible){this.addTest(d.children,c.overlayGeometryCalculatedByChildren,"Overlay Geometry calculated by children","Control might work based on DT Heuristic, but safer with domRefDeclared",T.STATUS.PARTIAL_SUPPORTED);}else{this.addTest(d.children,false,"Overlay Dom Ref","Overlay domRef is not declared and aggregation overlay is not visible (please, declare domRef for this aggregation)",T.STATUS.PARTIAL_SUPPORTED);}if(c.overlayTooSmall){this.addTest(d.children,false,"Overlay too small","Aggregation Overlay is too small to be accessible, please ensure to render it big enough that it can be reach by a user. If content is needed, provide a create method for this element",T.STATUS.PARTIAL_SUPPORTED);}}}}};
return a;},true);
sap.ui.predefine('sap/ui/dt/test/ElementEnablementTest2',['sap/ui/base/ManagedObject','sap/ui/dt/test/Element','sap/ui/fl/registry/ChangeRegistry',"sap/base/util/ObjectPath"],function(M,E,C,O){"use strict";
var a=M.extend("sap.ui.dt.test.ElementEnablementTest2",{metadata:{library:"sap.ui.dt",properties:{type:{type:"string"}}}});
a.prototype.init=function(){};
a.prototype.exit=function(){};
a.prototype.run=function(){return this._setup().then(function(d){var A;this._mResult={name:this.getType(),actions:undefined};if(!this._bError){A=this._testActions(d);}if(A){this._mResult.actions=A;}return this._mResult;}.bind(this)).catch(function(e){});};
a.prototype._setup=function(){window.clearTimeout(this._iTimeout);this._bNotSupported=false;this._bError=false;var o=O.get(this.getType()||"");try{return o.getMetadata().loadDesignTime();}catch(e){this._bError=true;return Promise.reject(e);}};
a.prototype._testActions=function(d){var A;var p;var m=[];var b=[];var c=false;var e=false;var i=0;if(!d||(!d.actions&&!d.aggregations)){this._bNotSupported=true;}else{if(d.actions){for(var s in d.actions){b[i]=s;m[i]={action:s,aggregation:"self"};i=i+1;}c=true;}if(d.aggregations){for(var f in d.aggregations){var o=d.aggregations[f];if(o.propagateMetadata){p=(p)?p+", "+f:"propagate ("+f;}for(var s in o.actions){i=b.indexOf(s);if(i===-1){b.push(s);i=b.indexOf(s);m[i]={action:s,aggregation:f};}else{m[i].aggregation=m[i].aggregation+", "+f;}e=true;}}}if(!c&&!e){this._bNotSupported=true;return A;}m.forEach(function(g){A=(A)?A+", ":"";A=A+g.action+" ("+g.aggregation+")";});if(p){p=p+")";A=A+" + "+p;}return A;}};
return a;},true);
sap.ui.predefine('sap/ui/dt/test/LibraryEnablementTest',["sap/ui/thirdparty/jquery",'sap/ui/dt/test/Test','sap/ui/dt/test/ElementEnablementTest'],function(q,T,E){"use strict";
var L=T.extend("sap.ui.dt.test.LibraryEnablementTest",{metadata:{library:"sap.ui.dt",properties:{libraryName:{type:"string"},testData:{type:"object"}}}});
L.prototype.run=function(){this._aResult=[];var t=this.getTestData()||{};var l=this.getLibraryName();var e=[];var o=sap.ui.getCore().getLoadedLibraries()[l];if(o){var a=o.controls;a.forEach(function(s){var b=t[s];if(!b&&b!==false){b={};}if(b!==false){b.type=s;var c=null;if(b.create){c=Object.assign({},b);delete c.create;b.groupPostfix="with create method";}e.push(new E(b));if(c){e.push(new E(c));}}});}var r=[];var i=function(R){if(R){r.push(R);}var b=e.shift();if(b){return b.run().then(function(R){b.destroy();return i(R);});}else{return Promise.resolve(r);}};return i().then(function(r){var R=this.createSuite("Library Enablement Test");r.forEach(function(m){var c=m.children[0];var p=R.children[R.children.length-1];if(p&&c.name==p.name){p.children=p.children.concat(c.children);}else{R.children.push(c);}});R=this.aggregate(R);return R;}.bind(this));};
return L;},true);
sap.ui.predefine('sap/ui/dt/test/LibraryEnablementTest2',['sap/ui/base/ManagedObject','sap/ui/dt/test/ElementEnablementTest2'],function(M,E){"use strict";
var L=M.extend("sap.ui.dt.test.LibraryEnablementTest2",{});
L.prototype._fillElementArray=function(t){var e={};if(["sap.ui.richtexteditor.RichTextEditor","sap.ui.ux3.QuickView","sap.uiext.inbox.SubstitutionRulesManager","sap.ui.codeeditor.CodeEditor"].indexOf(t)===-1){e.type=t;this.aElementEnablementTest.push(new E(e));}};
L.prototype.run=function(l){this._aResult=[];this.aElementEnablementTest=[];this._aControlsCollection=[];var a=[];if(l.length===0){var v=sap.ui.getVersionInfo();v.libraries.forEach(function(o){if(o.name.indexOf("sap.ui.server")===-1&&o.name.indexOf("themelib_")===-1&&o.name.indexOf("sap.ui.dev")===-1&&o.name.indexOf("sap.ui.demoapps")===-1&&o.name!=="sap.ui.core"&&o.name!=="sap.ui.fl"){a.push(sap.ui.getCore().loadLibrary(o.name,{async:true}));}});}else{l.forEach(function(s){a.push(sap.ui.getCore().loadLibrary(s,{async:true}));});}return Promise.all(a).then(function(){var o=sap.ui.getCore().getLoadedLibraries();for(var s in o){if(l.length>0&&l.indexOf(s)===-1){continue;}var b=sap.ui.getCore().getLoadedLibraries()[s];if(b&&s!=="sap.ui.core"){var c=b.controls;var d=b.elements;var A=c.concat(d).sort();A.forEach(this._fillElementArray,this);}}var r=[];var i=function(R){if(R&&R.actions){r.push(R);}var e=this.aElementEnablementTest.shift();if(e){return e.run().then(function(R){e.destroy();return i(R);});}else{return Promise.resolve(r);}}.bind(this);return i().then(function(r){var R={results:[]};r.forEach(function(e){R.results.push(e);});return R;});}.bind(this));};
return L;},true);
sap.ui.predefine('sap/ui/dt/test/LibraryTest',['sap/ui/model/resource/ResourceModel','sap/ui/model/json/JSONModel','sap/ui/thirdparty/jquery'],function(R,J,q){"use strict";var d=[],m=[],b={},l;
function h(k,B){return B.hasText(k)||B.getText(k,[],true)!==undefined;}
var L=function(t,Q){var p=new Promise(function(r){sap.ui.getCore().loadLibraries([t]).then(function(){var c=sap.ui.getCore().getLoadedLibraries()[t],E=c.controls.concat(c.elements);l=t;sap.ui.require(E.map(function(s){return q.sap.getResourceName(s,"");}),function(){var f=sap.ui.getCore().getLoadedLibraries();try{var g=new R({bundleUrl:sap.ui.resource(t,"messagebundle.properties"),bundleLocale:"en"}),D=new R({bundleUrl:sap.ui.resource(t+".designtime","messagebundle.properties"),bundleLocale:"en"});b.runtime=g.getResourceBundle();b.designtime=D.getResourceBundle();Object.keys(f).forEach(function(s){if(t!==s){g.enhance({bundleUrl:sap.ui.resource(s,"messagebundle.properties"),bundleLocale:"en"});D.enhance({bundleUrl:sap.ui.resource(s+".designtime","messagebundle.properties"),bundleLocale:"en"});}});}catch(e){}var j=[],C=[];for(var i=0;i<arguments.length;i++){if(arguments[i].getMetadata()._oDesignTime){j.push(arguments[i].getMetadata().loadDesignTime());C.push(arguments[i].getMetadata());}}Promise.all(j).then(function(E){var i=0;d=E;m=d.map(function(o){var k=new J(o);k._oControlMetadata=C[i];i++;return k;});a(Q);Q.start();r();});});});});return p;};var M={"/":{optional:false,check:function(c,o,C){c.strictEqual(typeof o,"object",C+" is an object");}},"/designtimeModule":{optional:false,check:function(c,s,C){c.strictEqual(typeof s,"string",C+" defines /designtimeModule : "+s);}},"/actions":{optional:true,check:function(c,A,C){Object.keys(A).forEach(function(s){if(A[s].changeType){c.strictEqual(typeof A[s].changeType,"string",C+" defines "+s+" with changetype:"+A[s].changeType);}else{if(typeof A[s]==="string"){c.strictEqual(typeof A[s],"string",C+" defines "+s+" as string");}else{c.strictEqual(typeof A[s],"function",C+" defines "+s+" as function");}}});}},"/name":{optional:true,check:function(c,e,C){if(typeof e==="string"&&e.indexOf("{")===0&&e.indexOf("}")==e.length-1){return true;}var k=["singular","plural"];k.forEach(function(K){if(typeof e[K]==="function"){c.strictEqual(typeof e[K],"function",C+" defines mandatory entry /name/"+K);}else{c.strictEqual(typeof e[K],"string",C+" defines mandatory entry /name/"+K);}});k.forEach(function(K){var D=false;if(typeof e[K]==="function"){c.strictEqual(typeof e[K],"function",C+" defines function for translation of entry /name/"+K);c.strictEqual(typeof e[K](),"string","Assuming that "+K+" with "+e[K].toString()+" returns a translation at runtime");return;}if(e[K].toUpperCase()!==e[K]){c.ok(true,"Assuming that "+K+" with "+e[K]+" needs currently no translation");return;}if(b.designtime){D=h(e[K],b.designtime);c.strictEqual(D,true,e[K]+" found in designtime message bundle");}if(b.runtime){if(D){c.strictEqual(h(e[K],b.runtime),false,e[K]+" found in runtime message bundle and designtime message bundle, please delete the entry from the runtime message bundle (messagebundle.properties + messagebundle_en.properties)");}else{c.strictEqual(h(e[K],b.runtime),true,e[K]+" found in runtime message bundle only, consider to move this text to the designtime message bundle");}}});}},"/palette":{optional:true,check:function(c,e,C){var v=["ACTION","DISPLAY","LAYOUT","LIST","INPUT","CONTAINER","CHART","TILE","DIALOG"];c.strictEqual(typeof e,"object",C+" defines optional entry /palette/");c.strictEqual(v.indexOf(e.group)>-1,true,"palette entry defines valid group "+e.group);if(e.icons){Object.keys(e.icons).forEach(function(k){var i=e.icons[k];c.strictEqual(typeof i,"string","palette/icons/"+k+" entry defines icon path "+i);var r=q.sap.sjax({url:sap.ui.require.toUrl(i)+""});c.ok(r.status==="success","File "+i+" does exist. Check entry palette/icons/"+k);if(i.indexOf(".svg")===i.length-4){c.ok(r.data.documentElement&&r.data.documentElement.tagName==="svg","File "+i+" starts with a svg node");}});}}},"/templates":{optional:true,check:function(c,e,C){if(e.create){var s=e.create;c.strictEqual(typeof s,"string","templates/create entry defines fragment path to "+s);var D=q.sap.sjax({url:sap.ui.require.toUrl(s)+""});c.ok(D.data.documentElement&&D.data.documentElement.localName==="FragmentDefinition","File "+s+" exists and starts with a FragmentDefinition node");}}}};
function a(Q){Q.asyncTest("Checking library.designtime.js",function(c){var e=sap.ui.getCore().getLoadedLibraries()[l];if(e.designtime){sap.ui.require([e.designtime],function(o){c.ok(o!==null,e.designtime+" loaded successfully");Q.start();});}else{c.ok(true,"No library.designtime.js "+l);Q.start();}});Q.test("Checking loaded designtime data",function(c){d.forEach(function(D){c.strictEqual(D!=null,true,"Designtime data found and loaded successful");c.strictEqual(typeof D,"object","Designtime data returned an object");});});m.forEach(function(o){var c=o._oControlMetadata,C=c.getName();Q.test(C+": Checking entries in designtime data",function(e){Object.keys(M).forEach(function(p){var f=M[p];var v=o.getProperty(p);if(v===undefined&&!f.optional){e.equal(false,true,C+" does not define mandatory entry "+p);}else if(v!==undefined&&f.optional){e.equal(true,true,C+" does define optional entry "+p);f.check(e,v,C);}else if(v!==undefined&&!f.optional){e.equal(true,true,C+" does define mandatory entry "+p);f.check(e,v,C);}});});});}
return L;},true);
sap.ui.predefine('sap/ui/dt/test/Test',['sap/ui/base/ManagedObject'],function(M){"use strict";
var T=M.extend("sap.ui.dt.test.Test",{metadata:{"abstract":true}});
T.STATUS={"SUPPORTED":{key:"SUPPORTED",text:"supported",value:3},"PARTIAL_SUPPORTED":{key:"PARTIAL_SUPPORTED",text:"partial supported",value:2},"NOT_SUPPORTED":{key:"NOT_SUPPORTED",text:"not supported",value:1},"ERROR":{key:"ERROR",text:"error",value:0},"UNKNOWN":{key:"UNKNOWN",text:"unknown",value:0}};T.TYPE={"TEST":"Test","GROUP":"Group","SUITE":"Suite"};
T.prototype.createSuite=function(n,m){return this.add(null,false,n,m,null,T.TYPE.SUITE);};
T.prototype.addGroup=function(p,n,m,N){return this.add(p,true,n+(N?(" ("+N+")"):""),m,null,T.TYPE.GROUP);};
T.prototype.addTest=function(p,r,n,m,s){return this.add(p,r,n,m,s,T.TYPE.TEST);};
T.prototype.add=function(p,r,n,m,s,t){if(!s){if(r){s=T.STATUS.SUPPORTED;}else{s=T.STATUS.NOT_SUPPORTED;}}var e={name:n,message:m,result:r,status:s,type:t,statistic:{},children:[]};if(p){p.push(e);}return e;};
T.prototype.run=function(){throw new Error("Abstract method");};
T.prototype.aggregate=function(r){if(r.type!=T.TYPE.TEST&&r.children.length>0){var c=r.children;var m=c.map(function(e){var C=this.aggregate(e);return{result:C.result,status:C.status};},this);if(m.length==1){m.push(m[0]);}var R=m.reduce(function(p,C){return{result:this._getResult(p,C),status:this._getStatus(p,C),statistic:this._getStatistic(p,C)};}.bind(this));r.result=R.result;r.status=R.status;r.statistic=R.statistic;}return r;};
T.prototype._getResult=function(p,c){return!p.result?false:c.result;};
T.prototype._getStatus=function(p,c){return p.status.value<c.status.value?p.status:c.status;};
T.prototype._getStatistic=function(p,c){var s=this._getStatisticObjectForEntry(p);if(p!==c){s[c.status.key]++;}return s;};
T.prototype._getStatisticObjectForEntry=function(e){var s={};if(!e.statistic){for(var S in T.STATUS){s[S]=0;}s[e.status.key]++;}else{s=e.statistic;}return s;};
return T;},true);
sap.ui.predefine('sap/ui/dt/test/report/QUnit',['sap/ui/base/ManagedObject'],function(M){"use strict";
var Q=M.extend("sap.ui.dt.test.report.QUnit",{
metadata:{library:"sap.ui.dt",properties:{data:{type:"object"}}},
init:function(){if(!QUnit){throw new Error("QUnit is required for this report.");}},
setData:function(d){if(d){var c=d.children;c.forEach(function(g){this._createModule(g);},this);}this.setProperty("data",d);},
_createModule:function(g){QUnit.module(g.message);g.children.forEach(function(g){this._createTest(g);},this);},
_createTest:function(g){QUnit.test(g.name+": "+g.message,function(a){g.children.forEach(function(g){this._createAssertion(a,g);},this);}.bind(this));},
_createAssertion:function(a,g){if(g.children.length>0){g.children.forEach(function(t){a.ok(t.result,g.name+": "+t.message);});}else{a.ok(true,g.name+": "+g.message);}}
});
return Q;},true);
sap.ui.predefine('sap/ui/dt/test/report/Statistic',['sap/ui/core/Control','sap/ui/model/json/JSONModel','sap/ui/layout/form/SimpleForm',"sap/m/Label","sap/m/Text","./StatisticRenderer"],function(C,J,S,L,T,a){"use strict";
var s=C.extend("sap.ui.dt.test.report.Statistic",{
metadata:{properties:{data:{type:"object"}},aggregations:{"_form":{type:"sap.ui.layout.form.SimpleForm",hidden:true,multiple:false}}},
init:function(){this._oModel=null;this.setAggregation("_form",this._createForm());},
exit:function(){this.setData(null);},
setData:function(d){if(this._oModel){this._oModel.destroy();delete this._oModel;}if(d){this._oModel=new J(d);this._getForm().setModel(this._oModel);}else{this._getForm().setModel(null);}this.setProperty("data",d);},
_createForm:function(){var f=new sap.ui.layout.form.SimpleForm(this.getId()+"--form",{editable:false,title:"Statistics",content:[new L(this.getId()+"--form-supported-label",{text:"Supported"}),new T(this.getId()+"--form-supported-value",{text:"{/statistic/SUPPORTED}"}),new L(this.getId()+"--form-partial-supported-label",{text:"Partial Supported"}),new T(this.getId()+"--form-partial-supported-value",{text:"{/statistic/PARTIAL_SUPPORTED}"}),new L(this.getId()+"--form-not-supported-label",{text:"Not Supported"}),new T(this.getId()+"--form-not-supported-value",{text:"{/statistic/NOT_SUPPORTED}"}),new L(this.getId()+"--form-unknown-label",{text:"Unknown"}),new T(this.getId()+"--form-unknown-value",{text:"{/statistic/UNKNOWN}"}),new L(this.getId()+"--form-error-label",{text:"Error"}),new T(this.getId()+"--form-error-value",{text:"{/statistic/ERROR}"})]});return f;},
_getForm:function(){return this.getAggregation("_form");}
});
return s;},true);
sap.ui.predefine('sap/ui/dt/test/report/StatisticRenderer',function(){"use strict";var S={};
S.render=function(r,s){r.addClass("sapUiDtStatisticReport");r.write("<div");r.writeControlData(s);r.writeStyles();r.writeClasses();r.write(">");r.renderControl(s._getForm());r.write("</div>");};
return S;},true);
sap.ui.predefine('sap/ui/dt/test/report/Table',['sap/ui/core/Control','sap/ui/model/json/JSONModel','sap/ui/table/TreeTable','sap/ui/table/Column','sap/m/Toolbar','sap/m/Title','sap/m/ToolbarSpacer','sap/m/Button','sap/m/SearchField','sap/m/Text','sap/m/RatingIndicator','sap/ui/model/Filter','sap/ui/model/FilterOperator',"./TableRenderer"],function(C,J,T,a,b,c,d,B,S,e,R,F,f,g){"use strict";
var t=C.extend("sap.ui.dt.test.report.Table",{
metadata:{properties:{data:{type:"object"}},aggregations:{"_table":{type:"sap.ui.table.TreeTable",hidden:true,multiple:false}}},
init:function(){this.setAggregation("_table",this._createTable());},
exit:function(){clearTimeout(this._iFilterTimeout);this.setData(null);},
setData:function(D){if(this._oModel){this._oModel.destroy();delete this._oModel;}if(D){this._oModel=new J(D);this._getTable().setModel(this._oModel);}else{this._getTable().setModel(null);}this.setProperty("data",D);},
filter:function(s){var m=this._getTable().getModel();if(m){if(s.length>0){var D=this.getData();var h=D.children.filter(function(E){if(s.indexOf("status=")!=-1){return E.status.value==s.substring(s.indexOf("=")+1);}else{return E.name.toLowerCase().indexOf(s.toLowerCase())!=-1;}});m.setData(h);}else{m.setData(this.getData());}}},
_createTable:function(){var t=new T(this.getId()+"--table",{selectionMode:"MultiToggle",visibleRowCount:20,enableSelectAll:false,ariaLabelledBy:"title",toolbar:this._createToolbar(),rows:"{path:'/', parameters: {arrayNames:['children']}}",columns:[this._createTextColumn("name","Name","{name}"),this._createRatingIndicatorColumn("value","Status Values","{status/value}","{status/text} ({status/value})"),this._createTextColumn("status","Status","{status/text}"),this._createTextColumn("message","Message","{message}")]});return t;},
_createToolbar:function(){return new b(this.getId()+"--toolbar",{content:[new d(this.getId()+"--toolbar-spacer"),new B(this.getId()+"--toolbar-collapse-button",{text:"Collapse all",press:this._onCollapseAll.bind(this)}),new B(this.getId()+"--toolbar-expand-button",{text:"Expand",press:this._onExpandSecondLevel.bind(this)}),new S(this.getId()+"--toolbar-search-field",{liveChange:this._onSearch.bind(this)})]});},
_onSearch:function(E){var s=E.getParameter('newValue');clearTimeout(this._iFilterTimeout);this._iFilterTimeout=setTimeout(function(){this.filter(s);}.bind(this),100);},
_createTextColumn:function(i,s,r){return this._createColumn(i,s,new e({text:r}));},
_createRatingIndicatorColumn:function(i,s,r,h){return this._createColumn(i,s,new R({maxValue:3,value:r,enabled:false,tooltip:h}));},
_createColumn:function(i,s,o){return new a(this.getId()+"--table-column-"+i,{label:s,width:"13em",template:o});},
_getTable:function(){return this.getAggregation("_table");},
_onCollapseAll:function(E){var t=this._getTable();t.collapseAll();},
_onExpandSecondLevel:function(E){var t=this._getTable();t.expandToLevel(2);}
});
return t;},true);
sap.ui.predefine('sap/ui/dt/test/report/TableRenderer',function(){"use strict";var T={};
T.render=function(r,t){r.addClass("sapUiDtTableReport");r.write("<div");r.writeControlData(t);r.writeStyles();r.writeClasses();r.write(">");r.renderControl(t._getTable());r.write("</div>");};
return T;},true);
sap.ui.predefine('sap/ui/dt/util/getNextZIndex',["sap/ui/core/Popup","sap/ui/core/BusyIndicator","sap/base/Log"],function(P,B,L){"use strict";var Z=10;var l;var m;var i;var g=function(){var n;var b=B.oPopup;if(b&&b.isOpen()&&b.getModal()){if(l!==b._iZIndex){l=b._iZIndex;i=l-Z;m=l-3;}if(i<m){n=++i;}else{n=m;L.error('sap.ui.dt.util.getNextZIndex: z-index limit has been exceeded, therefore all following calls receive the same z-Index = '+n);}}else{n=P.getNextZIndex();}return n;};return g;});
sap.ui.require.preload({
	"sap/ui/dt/manifest.json":'{"_version":"1.9.0","sap.app":{"id":"sap.ui.dt","type":"library","embeds":[],"applicationVersion":{"version":"1.60.23"},"title":"SAP UI library: sap.ui.dt (by SAP, Author)","description":"SAP UI library: sap.ui.dt (by SAP, Author)","ach":"CA-UI5-FL-RTA","resources":"resources.json","offline":true},"sap.ui":{"technology":"UI5","supportedThemes":["base","sap_hcb"]},"sap.ui5":{"dependencies":{"minUI5Version":"1.60","libs":{"sap.ui.core":{"minVersion":"1.60.23"}}},"library":{"i18n":false,"content":{"controls":[],"elements":[],"types":["sap.ui.dt.SelectionMode"],"interfaces":[]}}}}'
},"sap/ui/dt/library-preload"
);
//# sourceMappingURL=library-preload.js.map