/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./library"],function(l){"use strict";var D={};D.render=function(r,d){var o=d._getState(),s="sapFDynamicPageTitle",b=d.getBackgroundDesign();r.write("<div");r.writeControlData(d);r.writeAccessibilityState({role:"heading",level:2});r.addClass(s);if(b){r.addClass(s+b);}r.writeClasses();r.write(">");r.renderControl(o.focusSpan);this._renderTopArea(r,o);this._renderMainArea(r,o);r.renderControl(o.expandButton);r.write("</div>");};D._renderTopArea=function(r,d){if(d.hasTopContent){r.write("<div id="+d.id+"-top");r.addClass("sapFDynamicPageTitleTop");if(d.hasOnlyBreadcrumbs){r.addClass("sapFDynamicPageTitleTopBreadCrumbsOnly");}if(d.hasOnlyNavigationActions){r.addClass("sapFDynamicPageTitleTopNavActionsOnly");}r.writeClasses();r.write(">");this._renderTopBreadcrumbsArea(r,d);this._renderTopNavigationArea(r,d);r.write("</div>");}};D._renderTopBreadcrumbsArea=function(r,d){if(d.breadcrumbs){r.write("<div");r.writeAttribute("id",d.id+"-breadcrumbs");r.addClass("sapFDynamicPageTitleTopLeft");r.writeClasses();r.write(">");r.renderControl(d.breadcrumbs);r.write("</div>");}};D._renderTopNavigationArea=function(r,d){if(d.hasNavigationActions){r.write("<div");r.writeAttribute("id",d.id+"-topNavigationArea");r.addClass("sapFDynamicPageTitleTopRight");r.writeClasses();r.write(">");r.write("</div>");}};D._renderMainArea=function(r,d){r.write("<div id="+d.id+"-main");r.addClass("sapFDynamicPageTitleMain");if(!d.hasContent){r.addClass("sapFDynamicPageTitleMainNoContent");}r.writeClasses();r.write(">");r.write("<div");r.addClass("sapFDynamicPageTitleMainInner");r.writeClasses();r.write(">");this._renderMainHeadingArea(r,d);this._renderMainContentArea(r,d);this._renderMainActionsArea(r,d);r.write("</div>");this._renderMainNavigationArea(r,d);r.write("</div>");};D._renderMainHeadingArea=function(r,d){r.write("<div");r.writeAttribute("id",d.id+"-left-inner");r.addClass("sapFDynamicPageTitleMainHeading");r.writeClasses();r.addStyle("flex-shrink",d.headingAreaShrinkFactor);r.writeStyles();r.write(">");r.write("<div");r.addClass("sapFDynamicPageTitleHeading-CTX");r.addClass("sapFDynamicPageTitleMainHeadingInner");r.writeClasses();r.write(">");if(d.heading){r.renderControl(d.heading);}else{if(d.snappedHeading){D._renderSnappedHeading(r,d);}if(d.expandedHeading){D._renderExpandHeading(r,d);}}r.write("</div>");if(d.hasAdditionalContent){r.write("<div");r.addClass("sapFDynamicPageTitleMainHeadingSnappedExpandContent");r.writeClasses();r.write(">");if(d.hasSnappedContent){D._renderSnappedContent(r,d);}if(d.hasExpandedContent){D._renderExpandContent(r,d);}r.write("</div>");}r.write("</div>");};D._renderMainContentArea=function(r,d){r.write("<div");r.writeAttributeEscaped("id",d.id+"-content");r.addClass("sapFDynamicPageTitleMainContent");r.addClass("sapFDynamicPageTitleContent-CTX");r.writeClasses();r.addStyle("flex-shrink",d.contentAreaShrinkFactor);if(d.contentAreaFlexBasis){r.addStyle("flex-basis",d.contentAreaFlexBasis);}r.writeStyles();r.write(">");d.content.forEach(r.renderControl);r.write("</div>");};D._renderMainActionsArea=function(r,d){r.write("<div");r.writeAttribute("id",d.id+"-mainActions");r.addClass("sapFDynamicPageTitleMainActions");r.writeClasses();r.addStyle("flex-shrink",d.actionsAreaShrinkFactor);if(d.actionsAreaFlexBasis){r.addStyle("flex-basis",d.actionsAreaFlexBasis);}r.writeStyles();r.write(">");if(d.hasActions){r.renderControl(d.actionBar);}r.write("</div>");};D._renderMainNavigationArea=function(r,d){if(d.hasNavigationActions){r.write("<div");r.writeAttribute("id",d.id+"-mainNavigationAreaWrapper");r.addClass("sapFDynamicPageTitleMainNavigationArea");r.writeClasses();r.write(">");r.renderControl(d.separator);r.write("<div");r.writeAttribute("id",d.id+"-mainNavigationArea");r.addClass("sapFDynamicPageTitleMainNavigationAreaInner");r.writeClasses();r.write(">");r.write("</div>");r.write("</div>");}};D._renderExpandHeading=function(r,d){r.write("<div");r.writeAttribute("id",d.id+"-expand-heading-wrapper");r.writeClasses();r.write(">");r.renderControl(d.expandedHeading);r.write("</div>");};D._renderSnappedHeading=function(r,d){r.write("<div");r.writeAttribute("id",d.id+"-snapped-heading-wrapper");if(!d.isSnapped){r.addClass("sapUiHidden");}r.writeClasses();r.write(">");r.renderControl(d.snappedHeading);r.write("</div>");};D._renderExpandContent=function(r,d){r.write("<div");r.writeAttributeEscaped("id",d.id+"-expand-wrapper");r.writeClasses();r.write(">");d.expandedContent.forEach(r.renderControl);r.write("</div>");};D._renderSnappedContent=function(r,d){r.write("<div");r.writeAttributeEscaped("id",d.id+"-snapped-wrapper");if(!d.isSnapped){r.addClass("sapUiHidden");}r.addClass("sapFDynamicPageTitleSnapped");r.writeClasses();r.write(">");d.snappedContent.forEach(r.renderControl);r.write("</div>");};return D;},true);
