/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/m/library","sap/ui/Device"],function(l,D){"use strict";var C=l.CarouselArrowsPlacement;var P=l.PlacementType;var a={};a._BULLETS_TO_NUMBERS_THRESHOLD=9;a.render=function(r,c){var p=c.getPages(),i=p.length,s=c.getPageIndicatorPlacement(),A=c.getArrowsPlacement(),I=c.getId(),b=a._BULLETS_TO_NUMBERS_THRESHOLD,d=c._getPageNumber(c.getActivePage());this._renderOpeningDiv(r,c);if(s===P.Top){this._renderPageIndicatorAndArrows({rm:r,iPageCount:i,sId:I,iIndex:d,iBulletsToNumbersThreshold:b,sArrowsPlacement:A,bBottom:false,bShowPageIndicator:c.getShowPageIndicator()},c);}this._renderInnerDiv(r,c,p,s);if(D.system.desktop&&i>1&&A===C.Content){this._renderHudArrows(r,c);}if(s===P.Bottom){this._renderPageIndicatorAndArrows({rm:r,iPageCount:i,sId:I,iIndex:d,iBulletsToNumbersThreshold:b,sArrowsPlacement:A,bBottom:true,bShowPageIndicator:c.getShowPageIndicator()},c);}this._renderClosingDiv(r);};a._renderOpeningDiv=function(r,c){var t=c.getTooltip_AsString();r.write("<div");r.writeControlData(c);r.writeAttribute("data-sap-ui-customfastnavgroup","true");r.addStyle("width",c.getWidth());r.addStyle("height",c.getHeight());r.writeStyles();r.addClass("sapMCrsl");r.addClass("sapMCrslFluid");r.writeClasses();if(t){r.writeAttributeEscaped("title",t);}r.writeAttributeEscaped("tabindex","0");r.writeAccessibilityState(c,{role:"list"});r.write(">");};a._renderInnerDiv=function(r,c,p,s){r.write("<div class='sapMCrslInner");c._cleanUpScrollContainer();if(p.length>1&&(c.getShowPageIndicator()||c.getArrowsPlacement()===C.PageIndicator)){if(s===P.Bottom){r.write(" sapMCrslBottomOffset");if(c.getArrowsPlacement()===C.PageIndicator){r.write(" sapMCrslBottomArrowsOffset");}}else{r.write(" sapMCrslTopOffset");if(c.getArrowsPlacement()===C.PageIndicator){r.write(" sapMCrslTopArrowsOffset");}}}r.write("'>");var R=function(o,i,A){r.write("<div class='sapMCrslItem");r.write("' id='"+c.sId+"-"+o.sId+"-slide'");r.writeAccessibilityState(o,{role:"listitem",posinset:i+1,setsize:A.length});r.write(">");r.renderControl(c._createScrollContainer(o,i));r.write("</div>");};p.forEach(R);r.write("</div>");};a._renderClosingDiv=function(r){r.write('</div>');};a._renderPageIndicatorAndArrows=function(s,c){var r=s.rm,p=s.iPageCount,S=D.system.desktop&&s.sArrowsPlacement===C.PageIndicator,b=s.bBottom,I=s.sId,d=s.iIndex,B=s.iBulletsToNumbersThreshold,e=s.bShowPageIndicator,f=e?'':'opacity: 0',R=sap.ui.getCore().getLibraryResourceBundle('sap.m'),o="",t=R.getText("CAROUSEL_PAGE_INDICATOR_TEXT",[d+1,p]);if(p<=1){return;}if(!e&&!S){return;}if(b){o+=" sapMCrslControlsBottom";}else{o+=" sapMCrslControlsTop";}if(S){r.write('<div');r.addClass("sapMCrslControls");r.addClass(o);r.writeClasses();r.write('>');r.write('<div class="sapMCrslControlsContainer'+o+'">');}else{r.write('<div class="sapMCrslControlsNoArrows'+o+'">');}if(S){this._renderPrevArrow(r,c);}var g=I+'-pageIndicator';r.write('<div id="'+g+'" style="'+f+'"');if(p<B){r.write(' class="sapMCrslBulleted">');for(var i=1;i<=p;i++){r.write("<span role='img' data-slide="+i+" aria-label='"+R.getText('CAROUSEL_POSITION',[i,p])+"'>"+i+"</span>");}}else{r.write(' class="sapMCrslNumeric">');r.write('<span id='+I+'-'+'slide-number>'+t+'</span>');}r.write('</div>');if(S){this._renderNextArrow(r,c);}if(!S){r.write('</div>');}if(S){r.write('</div>');r.write('</div>');}};a._renderHudArrows=function(r,c){var b;if(c.getShowPageIndicator()){if(c.getPageIndicatorPlacement()===P.Top){b="sapMCrslHudTop";}else if(c.getPageIndicatorPlacement()===P.Bottom){b="sapMCrslHudBottom";}}else{b="sapMCrslHudMiddle";}var h=c.getId()+'-hud';r.write('<div id="'+h+'" class="sapMCrslHud '+b+'">');this._renderPrevArrow(r,c);this._renderNextArrow(r,c);r.write("</div>");};a._renderPrevArrow=function(r,c){r.write("<a class='sapMCrslPrev' href='#' data-slide='prev' tabindex='-1'><div class='sapMCrslArrowInner'>");r.renderControl(c._getNavigationArrow('left'));r.write("</div></a>");};a._renderNextArrow=function(r,c){r.write("<a class='sapMCrslNext' href='#' data-slide='next' tabindex='-1'><div class='sapMCrslArrowInner'>");r.renderControl(c._getNavigationArrow('right'));r.write("</div></a>");};return a;},true);
