/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Renderer","sap/ui/core/library","sap/ui/Device","./library","./ListItemBaseRenderer","./Label","sap/base/Log","sap/base/security/encodeXML"],function(R,c,D,l,L,a,b,e){"use strict";var P=l.PopinDisplay;var V=c.VerticalAlign;var d=l.PopinLayout;var C=R.extend(L);C.render=function(r,o){var t=o.getTable();if(!t){return;}L.render.apply(this,arguments);if(o.getVisible()&&t.hasPopin()){this.renderPopin(r,o,t);}};C.renderHighlight=function(r,o){r.write('<td class="sapMListTblHighlightCell" aria-hidden="true">');L.renderHighlight.apply(this,arguments);r.write('</td>');};C.renderType=function(r,o){r.write('<td class="sapMListTblNavCol" aria-hidden="true">');L.renderType.apply(this,arguments);r.write('</td>');};C.renderModeContent=function(r,o){r.write('<td class="sapMListTblSelCol" aria-hidden="true">');L.renderModeContent.apply(this,arguments);r.write('</td>');};C.renderCounter=function(r,o){};C.getAriaRole=function(o){return"";};C.renderLIAttributes=function(r,o){r.addClass("sapMListTblRow");var A=o.getVAlign();if(A!=V.Inherit){r.addClass("sapMListTblRow"+A);}var t=o.getTable();if(t&&t.getAlternateRowColors()){var p=t.indexOfItem(o);if(p%2==0){r.addClass("sapMListTblRowAlternate");}}};C.renderLIContentWrapper=function(r,o){var t=o.getTable();if(!t){return;}var f=t.getColumns(true),g=o.getCells();o._destroyClonedHeaders();f.forEach(function(h,i){var j,H,k=true,m=g[h.getInitialOrder()];if(!m||!h.getVisible()||h.isPopin()){h.setIndex(-1);return;}r.write("<td");r.addClass("sapMListTblCell");r.writeAttribute("id",o.getId()+"_cell"+i);r.writeAttribute("data-sap-ui-column",h.getId());if(h){j=h.getStyleClass(true);j&&r.addClass(e(j));H=h.getHeader();if(H){r.writeAttribute("headers",H.getId());}if(!t.hasPopin()&&h.getMergeDuplicates()){var F=h.getMergeFunctionName(),n=F.split("#"),s=n[1],p=n[0];if(typeof m[p]!="function"){b.warning("mergeFunctionName property is defined on "+h+" but this is not function of "+m);}else if(t._bRendering||!m.bOutput){var q=h.getLastValue(),u=m[p](s);if(q===u){k=sap.ui.getCore().getConfiguration().getAccessibility();m.addStyleClass("sapMListTblCellDupCnt");r.addClass("sapMListTblCellDup");}else{h.setLastValue(u);}}else if(m.hasStyleClass("sapMListTblCellDupCnt")){r.addClass("sapMListTblCellDup");}}h.getVAlign()!="Inherit"&&r.addStyle("vertical-align",h.getVAlign().toLowerCase());var A=h.getCssAlign();if(A){r.addStyle("text-align",A);}r.writeStyles();}r.writeClasses();r.write(">");if(k){this.applyAriaLabelledBy(H,m);r.renderControl(m);}r.write("</td>");},this);};C.applyAriaLabelledBy=function(h,o){if(o&&o.removeAriaLabelledBy){o.removeAriaLabelledBy(o.data("ariaLabelledBy")||undefined);}if(h&&h.getText&&o.addAriaLabelledBy&&h.getVisible()){o.addAriaLabelledBy(h);o.data("ariaLabelledBy",h.getId());}};C.renderPopin=function(r,o,t){o.removePopin();r.write("<tr");r.addClass("sapMListTblSubRow");r.writeElementData(o.getPopin());r.writeAttribute("tabindex","-1");if(o.isSelectable()){r.writeAttribute("aria-selected",o.getSelected());}r.writeClasses();r.write(">");this.renderHighlight(r,o);r.write("<td");r.writeAttribute("id",o.getId()+"-subcell");r.writeAttribute("colspan",t.getColSpan());var p=t.getPopinLayout();if(D.browser.msie||(D.browser.edge&&D.browser.version<16)){p=d.Block;}r.write("><div");r.addClass("sapMListTblSubCnt");r.addClass("sapMListTblSubCnt"+p);r.writeClasses();r.write(">");var f=o.getCells(),g=t.getColumns(true);g.forEach(function(h){if(!h.getVisible()||!h.isPopin()){return;}var i=f[h.getInitialOrder()],H=h.getHeader();if(!H&&!i){return;}var s=h.getStyleClass(),j=h.getPopinDisplay();r.write("<div");r.addClass("sapMListTblSubCntRow");s&&r.addClass(e(s));r.writeClasses();r.write(">");if(H&&j!=P.WithoutHeader){r.write("<div");r.addClass("sapMListTblSubCntHdr");r.writeClasses();r.write(">");var k=sap.ui.require("sap/m/ColumnHeader");if(typeof k=="function"&&H instanceof k){var m=H.getText();H=new a({text:m});}else{H=H.clone();}h.addDependent(H);o._addClonedHeader(H);r.renderControl(H);r.write("</div>");r.write("<div class='sapMListTblSubCntSpr'>:</div>");}if(i){r.write("<div");r.addClass("sapMListTblSubCntVal");r.addClass("sapMListTblSubCntVal"+j);r.writeClasses();r.write(">");this.applyAriaLabelledBy(H,i);r.renderControl(i);r.write("</div>");}r.write("</div>");},this);r.write("</div></td></tr>");};C.addLegacyOutlineClass=function(r,o){};return C;},true);
