/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['./library','sap/ui/core/Control','sap/ui/core/LabelEnablement','sap/m/HyphenationSupport','sap/ui/core/library','./LabelRenderer',"sap/base/Log","sap/base/security/encodeXML"],function(l,C,L,H,c,a,b,e){"use strict";var T=c.TextDirection;var d=c.TextAlign;var f=l.LabelDesign;var V=c.VerticalAlign;var W=l.WrappingType;var g=C.extend("sap.m.Label",{metadata:{interfaces:["sap.ui.core.Label","sap.ui.core.IShrinkable","sap.m.IOverflowToolbarContent","sap.m.IHyphenation"],library:"sap.m",properties:{design:{type:"sap.m.LabelDesign",group:"Appearance",defaultValue:f.Standard},text:{type:"string",group:"Misc",defaultValue:null},textAlign:{type:"sap.ui.core.TextAlign",group:"Appearance",defaultValue:d.Begin},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:T.Inherit},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:''},required:{type:"boolean",group:"Misc",defaultValue:false},displayOnly:{type:"boolean",group:"Appearance",defaultValue:false},wrapping:{type:"boolean",group:"Appearance",defaultValue:false},wrappingType:{type:"sap.m.WrappingType",group:"Appearance",defaultValue:W.Normal},vAlign:{type:"sap.ui.core.VerticalAlign",group:"Appearance",defaultValue:V.Inherit}},associations:{labelFor:{type:"sap.ui.core.Control",multiple:false}},designtime:"sap/m/designtime/Label.designtime"}});g.prototype.setText=function(t){var v=this.getText();if(v!==t){this.setProperty("text",t,true);this.$("bdi").html(e(H.getTextForRender(this,"main")));if(t){this.$().removeClass("sapMLabelNoText");}else{this.$().addClass("sapMLabelNoText");}}return this;};g.prototype.setTooltip=function(t){var v=this.getTooltip();if(v!==t){this.setAggregation("tooltip",t,true);this.$().attr("title",this.getTooltip());}return this;};g.prototype.setDisplayOnly=function(h){if(typeof h!=="boolean"){b.error("DisplayOnly property should be boolean. The new value will not be set");return this;}this.$().toggleClass("sapMLabelDisplayOnly",h);return C.prototype.setProperty.call(this,"displayOnly",h);};g.prototype.getAccessibilityInfo=function(){return{description:this.getText()};};g.prototype.getOverflowToolbarConfig=function(){var o={canOverflow:true,propsUnrelatedToSize:["design","required","displayOnly"]};function h(j){var k=j&&j.getLayoutData();if(i(k,"sap/m/OverflowToolbarLayoutData")){return k.getGroup();}}o.onBeforeEnterOverflow=function(j){var I=false,t,s,k,m,n;t=j.getParent();if(!i(t,"sap/m/OverflowToolbar")){return;}s=j.getLabelFor();k=s&&sap.ui.getCore().byId(s);if(!k||(t.indexOfContent(k)<0)){return;}m=h(j);n=h(k);I=m&&(m===n);j.toggleStyleClass("sapMLabelMediumMarginTop",I,true);};o.onAfterExitOverflow=function(j){j.toggleStyleClass("sapMLabelMediumMarginTop",false,true);};return o;};g.prototype.getTextsToBeHyphenated=function(){return{"main":this.getText()};};g.prototype.getDomRefsForHyphenatedTexts=function(){return{"main":this.$("bdi")[0]};};L.enrich(g.prototype);H.mixInto(g.prototype);function i(o,m){if(o&&m){var h=sap.ui.require(m);return(typeof h==='function')&&(o instanceof h);}}return g;});
