/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['./Button','./Dialog','./Text','./FormattedText','./Link','./VBox','sap/ui/core/IconPool','sap/ui/core/ElementMetadata','sap/ui/core/library','sap/ui/core/Control','sap/m/library',"sap/ui/thirdparty/jquery"],function(B,D,T,F,L,V,I,E,c,C,l,q){"use strict";var a=l.DialogType;var b=l.DialogRoleType;var d=c.TextDirection;var M={};M.Action={OK:"OK",CANCEL:"CANCEL",YES:"YES",NO:"NO",ABORT:"ABORT",RETRY:"RETRY",IGNORE:"IGNORE",CLOSE:"CLOSE",DELETE:"DELETE"};M.Icon={NONE:undefined,INFORMATION:"INFORMATION",WARNING:"WARNING",ERROR:"ERROR",SUCCESS:"SUCCESS",QUESTION:"QUESTION"};(function(){var A=M.Action,e=M.Icon,m={"INFORMATION":"sapMMessageBoxInfo","WARNING":"sapMMessageBoxWarning","ERROR":"sapMMessageBoxError","SUCCESS":"sapMMessageBoxSuccess","QUESTION":"sapMMessageBoxQuestion","STANDARD":"sapMMessageBoxStandard"},f={"INFORMATION":I.getIconURI("message-information"),"WARNING":I.getIconURI("message-warning"),"ERROR":I.getIconURI("message-error"),"SUCCESS":I.getIconURI("message-success"),"QUESTION":I.getIconURI("question-mark")};var _=function(){if(M._rb!==sap.ui.getCore().getLibraryResourceBundle("sap.m")){M._rb=sap.ui.getCore().getLibraryResourceBundle("sap.m");}};M.show=function(v,o){var g,h,j,r=null,k=[],i,s,t,n,p,u,w,x={id:E.uid("mbox"),initialFocus:null,textDirection:d.Inherit,verticalScrolling:true,horizontalScrolling:true,details:"",contentWidth:null};_();if(typeof o==="string"||arguments.length>2){s=arguments[1];t=arguments[2];n=arguments[3];p=arguments[4];u=arguments[5];w=arguments[6];o={icon:s,title:t,actions:n,onClose:p,id:u,styleClass:w};}if(o&&o.hasOwnProperty("details")){x.icon=e.INFORMATION;x.actions=[A.OK,A.CANCEL];o=q.extend({},x,o);}o=q.extend({},x,o);if(typeof o.actions!=="undefined"&&!Array.isArray(o.actions)){o.actions=[o.actions];}if(!o.actions||o.actions.length===0){o.actions=[A.OK];}function y(J){var K;if(M.Action.hasOwnProperty(J)){K=M._rb.getText("MSGBOX_"+J);}var N=new B({id:E.uid("mbox-btn-"),text:K||J,press:function(){r=J;g.close();}});return N;}for(i=0;i<o.actions.length;i++){k.push(y(o.actions[i]));}function z(o,h){var J,S,K=new V({items:[h]});if(!o.details){return K;}if(typeof o.details=='object'){o.details="<pre>"+JSON.stringify(o.details,null,'\t').replace(/{/gi,"\\{")+"</pre>";}J=new F().setVisible(false).setHtmlText(o.details);S=new L({text:M._rb.getText("MSGBOX_LINK_TITLE"),press:function(){var N=g.getInitialFocus();g.addAriaLabelledBy(J);J.setVisible(true);S.setVisible(false);if(N&&N!==S.getId()){g._setInitialFocus();}else{k[0].focus();}}});S.addStyleClass("sapMMessageBoxLinkText");J.addStyleClass("sapMMessageBoxDetails");K.addItem(S);K.addItem(J);return K;}function G(){if(typeof o.onClose==="function"){o.onClose(r);}g.detachAfterClose(G);g.destroy();}function H(){var i=0;var J=null;if(o.initialFocus){if(o.initialFocus instanceof C){J=o.initialFocus;}if(typeof o.initialFocus==="string"){for(i=0;i<k.length;i++){if(M.Action.hasOwnProperty(o.initialFocus)){if(M._rb.getText("MSGBOX_"+o.initialFocus).toLowerCase()===k[i].getText().toLowerCase()){J=k[i];break;}}else{if(o.initialFocus.toLowerCase()===k[i].getText().toLowerCase()){J=k[i];break;}}}}}return J;}if(typeof(v)==="string"){j=new T({textDirection:o.textDirection}).setText(v).addStyleClass("sapMMsgBoxText");h=j;}else if(v instanceof C){j=v.addStyleClass("sapMMsgBoxText");}if(o&&o.hasOwnProperty("details")&&o.details!==""){j=z(o,j);}g=new D({id:o.id,type:a.Message,title:o.title,content:j,icon:f[o.icon],initialFocus:H(),verticalScrolling:o.verticalScrolling,horizontalScrolling:o.horizontalScrolling,afterClose:G,buttons:k,ariaLabelledBy:h?h.getId():undefined,contentWidth:o.contentWidth});g.setProperty("role",b.AlertDialog);if(m[o.icon]){g.addStyleClass(m[o.icon]);}else{g.addStyleClass(m.STANDARD);}if(o.styleClass){g.addStyleClass(o.styleClass);}g.open();};M.alert=function(v,o){_();var g={icon:e.NONE,title:M._rb.getText("MSGBOX_TITLE_ALERT"),actions:A.OK,id:E.uid("alert"),initialFocus:null},h,t,s,S;if(typeof o==="function"||arguments.length>2){h=arguments[1];t=arguments[2];s=arguments[3];S=arguments[4];o={onClose:h,title:t,id:s,styleClass:S};}o=q.extend({},g,o);return M.show(v,o);};M.confirm=function(v,o){_();var g={icon:e.QUESTION,title:M._rb.getText("MSGBOX_TITLE_CONFIRM"),actions:[A.OK,A.CANCEL],id:E.uid("confirm"),initialFocus:null},h,t,s,S;if(typeof o==="function"||arguments.length>2){h=arguments[1];t=arguments[2];s=arguments[3];S=arguments[4];o={onClose:h,title:t,id:s,styleClass:S};}o=q.extend({},g,o);return M.show(v,o);};M.error=function(v,o){_();var g={icon:e.ERROR,title:M._rb.getText("MSGBOX_TITLE_ERROR"),actions:[A.CLOSE],id:E.uid("error"),initialFocus:null};o=q.extend({},g,o);return M.show(v,o);};M.information=function(v,o){_();var g={icon:e.INFORMATION,title:M._rb.getText("MSGBOX_TITLE_INFO"),actions:[A.OK],id:E.uid("info"),initialFocus:null};o=q.extend({},g,o);return M.show(v,o);};M.warning=function(v,o){_();var g={icon:e.WARNING,title:M._rb.getText("MSGBOX_TITLE_WARNING"),actions:[A.OK],id:E.uid("warning"),initialFocus:null};o=q.extend({},g,o);return M.show(v,o);};M.success=function(v,o){_();var g={icon:e.SUCCESS,title:M._rb.getText("MSGBOX_TITLE_SUCCESS"),actions:[A.OK],id:E.uid("success"),initialFocus:null};o=q.extend({},g,o);return M.show(v,o);};}());return M;},true);
