/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/library"],function(c){'use strict';var P=c.Priority;var N={};var a='sapMNLG';var b='sapMNLB';var d='sapMLIB';var e='sapMNLB-AuthorPicture';var f='sapMNLB-Header';var g='sapMNLG-Header';var h='sapMNLG-Body';var i='sapMNLB-SubHeader';var j='sapMNLG-SubHeader';var k='sapMNLB-CloseButton';var l='sapMNLB-Priority';var m='sapMNLG-Details';var n='sapMNLB-Bullet';var o='sapMNLG-Description';var p='sapMNLG-Collapsed';var q='sapMNLGNoHdrFooter';var r='sapMNLG-MaxNotifications';var s='sapMNLG-NoNotifications';N.render=function(R,C){if(C.getVisible()){var v=C._getVisibleItemsCount();var _=C.getShowEmptyGroup()||(v>0);R.write('<li');R.addClass(a);R.addClass(b);R.addClass(d);if(!_){R.addClass(q);}if(C.getCollapsed()){R.addClass(p);}if(v==0){R.addClass(s);}R.writeClasses();R.writeControlData(C);R.writeAttribute('tabindex','0');R.writeAccessibilityState(C,{labelledby:C._ariaLabbeledByIds});R.write('>');if(_){this.renderHeader(R,C);this.renderSubHeader(R,C);this.renderBody(R,C);}R.write('</li>');}else{this.renderInvisibleItem(R,C);}};N.renderHeader=function(R,C){R.write('<div');R.addClass(f);R.addClass(g);R.writeClasses();R.write('>');this.renderInvisibleInfoText(R,C);this.renderPriorityArea(R,C);this.renderCloseButton(R,C);this.renderTitle(R,C);this.renderDetails(R,C);R.write('</div>');};N.renderTitle=function(R,C){R.renderControl(C._getHeaderTitle());};N.renderCloseButton=function(R,C){if(C.getShowCloseButton()){R.renderControl(C.getAggregation('_closeButton').addStyleClass(k));}};N.renderAuthorPicture=function(R,C){if(!C.getAuthorPicture()){return;}R.write('<div');R.addClass(e);R.writeClasses();R.write('>');R.renderControl(C._getAuthorImage());R.write('</div>');};N.renderDetails=function(R,C){R.write('<div class="'+m+'">');this.renderAuthorPicture(R,C);R.write('<div class="'+o+'">');this.renderAuthorName(R,C);if(C.getAuthorName()!=""&&C.getDatetime()!=""){R.write('<span class="'+n+'">&#x00B7</span>');}this.renderDatetime(R,C);R.write('</div></div>');};N.renderInvisibleInfoText=function(R,C){R.renderControl(C.getAggregation('_ariaDetailsText'));};N.renderAuthorName=function(R,C){R.renderControl(C._getAuthorName());};N.renderSubHeader=function(R,C){var t=C.getButtons();R.write('<div');R.addClass(j);R.addClass(i);R.writeClasses();R.write('>');this.renderPriorityArea(R,C);this.renderCollapseGroupButton(R,C);if(t&&t.length&&C.getShowButtons()){R.renderControl(C.getAggregation('_overflowToolbar'));}R.write('</div>');};N.renderPriorityArea=function(R,C){R.write('<div');var t='';var u=C.getPriority();switch(u){case(P.Low):t='sapMNLB-Low';break;case(P.Medium):t='sapMNLB-Medium';break;case(P.High):t='sapMNLB-High';break;default:t='sapMNLB-None';break;}R.addClass(l);R.addClass(t);R.writeClasses();R.write('>');R.write('</div>');};N.renderCollapseGroupButton=function(R,C){R.renderControl(C.getAggregation('_collapseButton'));};N.renderInvisibleItem=function(R,C){R.write("<li");R.writeInvisiblePlaceholderData(C);R.write(">");R.write("</li>");};N.renderBody=function(R,C){R.write('<ul class='+h+'>');this.renderNotifications(R,C);if(C._maxNumberReached){this.renderMaxNumberReachedMessage(R,C);}R.write('</ul>');};N.renderDatetime=function(R,C){R.renderControl(C._getDateTimeText());};N.renderNotifications=function(R,C){var t=C.getItems();var u=t.length;if(u){for(var v=0;v<C._maxNumberOfNotifications;v++){R.renderControl(t[v]);}}};N.renderMaxNumberReachedMessage=function(R,C){var t='<span>'+C._maxNumberOfNotificationsTitle+'</span> <br>'+C._maxNumberOfNotificationsBody;R.write('<div');R.addClass(r);R.writeClasses();R.write('>');R.write(t);R.write('</div>');};return N;},true);
