/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/core/date/UniversalDate','sap/ui/core/InvisibleText','sap/ui/unified/library'],function(U,I,u){"use strict";var C=u.CalendarDayType;var a=u.CalendarAppointmentVisualization;var O={};O.render=function(r,c){r.write("<div");r.writeControlData(c);r.addClass("sapMOnePersonGrid");r.addClass("sapUiSizeCompact");r.writeClasses();r.write(">");r.renderControl(c.getAggregation("_columnHeaders"));this.renderBlockersContainer(r,c);r.write("<div");r.addClass("sapMOnePersonGridContent");r.writeClasses();r.write(">");this.renderRowHeaders(r,c);this.renderNowMarker(r,c);this.renderColumns(r,c);r.write("</div>");r.write("</div>");};O.renderBlockersContainer=function(r,c){var b=c._getColumns(),m=c._getBlockersToRender().iMaxlevel,s=c.getStartDate();r.write("<div");r.addClass("sapMOnePersonBlockersRow");r.writeClasses();r.write(">");r.write("<div");r.addClass("sapMOnePersonBlockersColumns");r.addStyle("height",(m+1)*c._getBlockerRowHeight()+"px");r.writeClasses();r.writeStyles();r.write(">");for(var i=0;i<b;i++){var o=new U(s.getFullYear(),s.getMonth(),s.getDate()+i),d=c._formatDayAsString(o);r.write("<div");r.writeAttribute("data-sap-day",d);r.addClass("sapMOnePersonBlockersColumn");if(c._areDatesInSameDay(o,c._getUniversalCurrentDate())){r.addClass("sapMOnePersonBlockersColumnToday");}if(c._isWeekend(o)){r.addClass("sapMOnePersonBlockersColumnWeekend");}r.writeClasses();r.write(">");r.write("</div>");}this.renderBlockers(r,c);r.write("</div>");r.write("</div>");};O.renderBlockers=function(r,c){var t=this,b=c._getBlockersToRender().oBlockersList;r.write("<div");r.addClass("sapMOnePersonBlockers");if(c.getAppointmentsVisualization()===a.Filled){r.addClass("sapUiCalendarRowVisFilled");}r.writeClasses();r.write(">");b.getIterator().forEach(function(B){t.renderBlockerAppointment(r,c,B);});r.write("</div>");};O.renderBlockerAppointment=function(r,c,b){var g=c._getDayPart(c.getStartDate()).getTime(),B=b.getData(),i=c._getDayPart(B.getStartDate()).getTime(),d=c._getDayPart(B.getEndDate()).getTime(),s=c._calculateDaysDifference(g,i),e=c._calculateDaysDifference(g,d),f=c._getColumns(),F=c.getAppointmentsVisualization()===a.Filled,R=c._getBlockerRowHeight(),h=b.level,j=b.width,t=B.getTooltip_AsString(),T=B.getType(),k=B.getColor(),l=B.getTitle(),m=B.getText(),n=B.getIcon(),o=B.getId(),A={labelledby:{value:I.getStaticId("sap.ui.unified","APPOINTMENT")+" "+o+"-Descr",append:true}},p=c.getAriaLabelledBy(),L=s*(100/f),q=(f-e-1)*(100/f),v=sap.ui.getCore().getConfiguration().getRTL();if(p.length>0){A["labelledby"].value=A["labelledby"].value+" "+p.join(" ");}if(l){A["labelledby"].value=A["labelledby"].value+" "+o+"-Title";}if(m){A["labelledby"].value=A["labelledby"].value+" "+o+"-Text";}if(B.getSelected()){A["labelledby"].value=A["labelledby"].value+" "+I.getStaticId("sap.ui.unified","APPOINTMENT_SELECTED");}if(B.getTentative()){A["labelledby"].value=A["labelledby"].value+" "+I.getStaticId("sap.ui.unified","APPOINTMENT_TENTATIVE");}r.write("<div");r.writeElementData(B);r.writeAttribute("data-sap-level",h);r.writeAttribute("data-sap-width",j);if(t){r.writeAttributeEscaped("title",t);}r.writeAccessibilityState(B,A);r.addClass("sapMOnePersonAppointmentWrap");if(F){r.addClass("sapUiCalendarRowApps");}r.addStyle("top",R*h+"px");r.addStyle(v?"right":"left",Math.max(L,0)+"%");r.addStyle(v?"left":"right",Math.max(q,0)+"%");r.writeClasses();r.writeStyles();r.write(">");r.write("<div");r.addClass("sapUiCalendarApp");if(B.getSelected()){r.addClass("sapUiCalendarAppSel");}if(B.getTentative()){r.addClass("sapUiCalendarAppTent");}if(n){r.addClass("sapUiCalendarAppWithIcon");}if(!k&&T&&T!=C.None){r.addClass("sapUiCalendarApp"+T);}r.writeClasses();r.writeStyles();r.write(">");r.write("<div");r.addClass("sapUiCalendarAppCont");if(k&&F){r.addStyle("background-color",B._getCSSColorForBackground(k));r.writeStyles();}r.writeClasses();r.write(">");if(L<0){r.writeIcon("sap-icon://arrow-left",null,{title:null});}if(n){var w=["sapUiCalendarAppIcon"];var x={};x["id"]=o+"-Icon";x["title"]=null;r.writeIcon(n,w,x);}if(l){r.write("<span");r.writeAttribute("id",o+"-Title");r.addClass("sapUiCalendarAppTitle");r.writeClasses();r.write(">");r.writeEscaped(l,true);r.write("</span>");}if(q<0){r.writeIcon("sap-icon://arrow-right",null,{title:null});}r.write("</div>");r.write("</div>");r.write("</div>");};O.renderRowHeaders=function(r,c){var s=c._getVisibleStartHour(),e=c._getVisibleEndHour(),S=c._getUniversalCurrentDate(),h=c._getHoursFormat(),A=c._getAMPMFormat();r.write("<div");r.addClass("sapMOnePersonRowHeaders");r.writeClasses();r.write(">");for(var i=s;i<=e;i++){S.setHours(i);r.write("<span");r.addClass("sapMOnePersonRowHeader");r.addClass("sapMOnePersonRowHeader"+i);if(c._shouldHideRowHeader(i)){r.addClass("sapMOnePersonRowHeaderHidden");}r.writeClasses();r.write(">");r.write(h.format(S));if(c._hasAMPM()){r.write("<span");r.addClass("sapMOnePersonRowHeaderAMPM");r.writeClasses();r.write(">");r.write(" "+A.format(S));r.write("</span>");}r.write("</span>");}r.write("</div>");};O.renderColumns=function(r,c){var b=c._getColumns(),s=c.getStartDate(),A=c._getAppointmentsToRender();r.write("<div");r.addClass("sapMOnePersonColumns");r.writeClasses();r.write(">");for(var i=0;i<b;i++){var o=new U(s.getFullYear(),s.getMonth(),s.getDate()+i),d=c._formatDayAsString(o);r.write("<div");r.writeAttribute("data-sap-day",d);r.addClass("sapMOnePersonColumn");if(c._areDatesInSameDay(o,c._getUniversalCurrentDate())){r.addClass("sapMOnePersonColumnToday");}if(c._isWeekend(o)){r.addClass("sapMOnePersonColumnWeekend");}r.writeClasses();r.write(">");this.renderRows(r,c);this.renderAppointments(r,c,A[d],o);r.write("</div>");}r.write("</div>");};O.renderRows=function(r,c){var s=c._getVisibleStartHour(),e=c._getVisibleEndHour();for(var i=s;i<=e;i++){r.write("<div");r.addClass("sapMOnePersonRow");if(!c._isWorkingHour(i)){r.addClass("sapMOnePersonNonWorkingRow");}r.writeAttribute("data-sap-hour",i);r.writeClasses();r.write(">");r.write("</div>");}};O.renderAppointments=function(r,c,A,o){var t=this;if(A){r.write("<div");r.addClass("sapMOnePersonAppointments");if(c.getAppointmentsVisualization()===a.Filled){r.addClass("sapUiCalendarRowVisFilled");}r.writeClasses();r.write(">");A.oAppointmentsList.getIterator().forEach(function(b){var m=A.iMaxLevel,l=b.level,w=b.width,d=b.getData();t.renderAppointment(r,c,m,l,w,d,o);});r.write("</div>");}};O.renderAppointment=function(r,c,m,A,i,o,b){var f=c.getAppointmentsVisualization()===a.Filled,R=c._getRowHeight(),d=new U(b.getFullYear(),b.getMonth(),b.getDate(),c._getVisibleStartHour()),e=new U(b.getFullYear(),b.getMonth(),b.getDate(),c._getVisibleEndHour(),59,59),g=o.getStartDate(),h=o.getEndDate(),t=o.getTooltip_AsString(),T=o.getType(),s=o.getColor(),j=o.getTitle(),k=o.getText(),l=o.getIcon(),n=o.getId(),p={labelledby:{value:I.getStaticId("sap.ui.unified","APPOINTMENT")+" "+n+"-Descr",append:true}},q=c.getAriaLabelledBy(),v=d.getTime()>g.getTime(),w=e.getTime()<h.getTime(),x=v?0:c._calculateTopPosition(g),y=w?0:c._calculateBottomPosition(h),z=100/(m+1);if(q.length>0){p["labelledby"].value=p["labelledby"].value+" "+q.join(" ");}if(j){p["labelledby"].value=p["labelledby"].value+" "+n+"-Title";}if(k){p["labelledby"].value=p["labelledby"].value+" "+n+"-Text";}if(o.getSelected()){p["labelledby"].value=p["labelledby"].value+" "+I.getStaticId("sap.ui.unified","APPOINTMENT_SELECTED");}if(o.getTentative()){p["labelledby"].value=p["labelledby"].value+" "+I.getStaticId("sap.ui.unified","APPOINTMENT_TENTATIVE");}r.write("<div");r.writeElementData(o);r.writeAttribute("data-sap-level",A);r.writeAttribute("data-sap-width",i);if(t){r.writeAttributeEscaped("title",t);}r.writeAccessibilityState(o,p);r.addClass("sapMOnePersonAppointmentWrap");if(f){r.addClass("sapUiCalendarRowApps");}r.addStyle("top",x+"px");r.addStyle("bottom",y+"px");r.addStyle("min-height",R/2+"px");r.addStyle(sap.ui.getCore().getConfiguration().getRTL()?"right":"left",z*A+"%");r.addStyle("width",z*i+"%");r.writeClasses();r.writeStyles();r.write(">");r.write("<div");r.addClass("sapUiCalendarApp");if(o.getSelected()){r.addClass("sapUiCalendarAppSel");}if(o.getTentative()){r.addClass("sapUiCalendarAppTent");}if(l){r.addClass("sapUiCalendarAppWithIcon");}if(!s&&T&&T!=C.None){r.addClass("sapUiCalendarApp"+T);}r.writeClasses();r.writeStyles();r.write(">");r.write("<div");r.addClass("sapUiCalendarAppCont");if(s&&f){r.addStyle("background-color",o._getCSSColorForBackground(s));r.writeStyles();}r.writeClasses();r.write(">");if(l){var B=["sapUiCalendarAppIcon"];var D={};D["id"]=n+"-Icon";D["title"]=null;r.writeIcon(l,B,D);}if(j){r.write("<span");r.writeAttribute("id",n+"-Title");r.addClass("sapUiCalendarAppTitle");r.writeClasses();r.write(">");r.writeEscaped(j,true);r.write("</span>");}if(k){r.write("<span");r.writeAttribute("id",n+"-Text");r.addClass("sapUiCalendarAppText");r.writeClasses();r.write(">");r.writeEscaped(k,true);r.write("</span>");}r.write("</div>");r.write("</div>");r.write("</div>");};O.renderNowMarker=function(r,c){var d=c._getUniversalCurrentDate();r.write("<div");r.writeAttribute("id",c.getId()+"-nowMarker");r.addStyle("top",c._calculateTopPosition(d)+"px");r.addClass("sapMOnePersonNowMarker");if(c._isOutsideVisibleHours(d.getHours())){r.addClass("sapMOnePersonNowMarkerHidden");}r.writeClasses();r.writeStyles();r.write(">");r.write("<span");r.writeAttribute("id",c.getId()+"-nowMarkerText");r.addClass("sapMOnePersonNowMarkerText");r.writeClasses();r.write(">");r.write(c._formatTimeAsString(d));r.write("</span>");r.write("</div>");};return O;},true);
