/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/Device','sap/m/library',"sap/ui/dom/getScrollbarSize"],function(D,l,g){"use strict";var P=l.PlacementType;var a={};a.render=function(r,c){var C;r.write("<div");r.writeControlData(c);C=this.generateRootClasses(c);C.forEach(function(s,i){r.addClass(s);});r.writeClasses();var t=c.getTooltip_AsString();if(t){r.writeAttributeEscaped("title",t);}r.writeAttribute("tabindex","-1");r.writeAccessibilityState(c,c._getAccessibilityOptions());r.write(">");if(c.getResizable()){r.writeIcon("sap-icon://resize-corner",["sapMPopoverResizeHandle"],{"title":""});}this.renderContent(r,c);r.write("</div>");};a.isButtonFooter=function(f){if(f instanceof sap.m.Bar){var c=f.getContentLeft(),C=f.getContentRight(),b=f.getContentMiddle(),L=(!c||c.length===0),r=(!C||C.length===0),m=false;if(b&&b.length===2){if((b[0]instanceof sap.m.Button)&&(b[1]instanceof sap.m.Button)){m=true;}}return L&&r&&m;}else{return false;}};a.renderContent=function(r,c){var h,I=c.getId(),i=0,b=c._getAllContent(),f=c.getFooter(),s=c.getSubHeader(),C=c.getContentWidth(),d=c.getContentMinWidth(),e=c.getContentHeight(),F="sapMPopoverFooter ";if(c.getShowHeader()){h=c._getAnyHeader();}if(D.system.desktop){r.write("<span class='sapMPopoverHiddenFocusable' id='"+c.getId()+"-firstfe' tabindex='0'></span>");}if(h){r.write("<header");r.addClass("sapMPopoverHeader");r.writeClasses();r.write(">");if(h._applyContextClassFor){h._applyContextClassFor("header");}r.renderControl(h);r.write("</header>");}if(s){r.write("<header");r.addClass("sapMPopoverSubHeader");r.writeClasses();r.write(">");if(s._applyContextClassFor){s._applyContextClassFor("subheader");}r.renderControl(s);r.write("</header>");}r.write("<div");r.writeAttribute("id",I+"-cont");if(C){r.addStyle("width",C);}if(d){r.addStyle("min-width",d);}if(e){r.addStyle("height",e);}r.writeStyles();r.addClass("sapMPopoverCont");r.writeClasses();if(sap.ui.getCore().getConfiguration().getAccessibility()&&!sap.ui.getCore().getConfiguration().getAvoidAriaApplicationRole()){r.writeAttribute("role","application");}r.write(">");r.write('<div class="sapMPopoverScroll"');r.writeAttribute("id",c.getId()+"-scroll");if(!c.getHorizontalScrolling()){r.addStyle(sap.ui.getCore().getConfiguration().getRTL()?"margin-left":"margin-right",g().width+"px");}r.writeStyles();r.write(">");for(i=0;i<b.length;i++){r.renderControl(b[i]);}r.write("</div>");r.write("</div>");if(f){if(this.isButtonFooter(f)){F+="sapMPopoverSpecialFooter";}r.write("<footer");r.addClass(F);r.writeClasses();r.write(">");if(f._applyContextClassFor){f._applyContextClassFor("footer");f.addStyleClass("sapMTBNoBorders");}r.renderControl(f);r.write("</footer>");}if(c.getShowArrow()){r.write("<span");r.writeAttribute("id",I+"-arrow");r.addClass("sapMPopoverArr");r.writeClasses();r.write("></span>");}if(D.system.desktop){r.write("<span class='sapMPopoverHiddenFocusable' id='"+c.getId()+"-lastfe' tabindex='0'></span>");}};a.generateRootClasses=function(c){var C=["sapMPopover"],s=c.getSubHeader(),f=c.getFooter(),v=c.getVerticalScrolling()&&!c._forceDisableScrolling,h=c.getHorizontalScrolling()&&!c._forceDisableScrolling,H;if(c.getShowHeader()){H=c._getAnyHeader();}if(H){C.push("sapMPopoverWithBar");}else{C.push("sapMPopoverWithoutBar");}if(s){C.push("sapMPopoverWithSubHeader");}else{C.push("sapMPopoverWithoutSubHeader");}if(c._hasSingleNavContent()){C.push("sapMPopoverNav");}if(c._hasSinglePageContent()){C.push("sapMPopoverPage");}if(f){C.push("sapMPopoverWithFooter");}else{C.push("sapMPopoverWithoutFooter");}if(c.getPlacement()===P.Top){C.push("sapMPopoverPlacedTop");}if(!v){C.push("sapMPopoverVerScrollDisabled");}if(!h){C.push("sapMPopoverHorScrollDisabled");}C.push("sapMPopup-CTX");if(c._bSizeCompact){C.push("sapUiSizeCompact");}return C.concat(c.aCustomStyleClasses);};a.rerenderContentOnly=function(c){var p=c.$(),o=c.getDomRef(),C,r;if(!o){return;}p.removeClass();C=this.generateRootClasses(c);p.addClass(C.join(" "));r=sap.ui.getCore().createRenderManager();this.renderContent(r,c);r.flush(o,true);r.destroy();c._onOrientationChange();};return a;},true);
