/*!
* UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
*/
sap.ui.define(['./library','./SliderUtilities','./SliderTooltipBase','sap/ui/core/Control','sap/ui/core/library','./delegate/ValueStateMessage','./SliderTooltipRenderer'],function(L,S,a,C,c,V,b){"use strict";var d=c.ValueState;var e=a.extend("sap.m.SliderTooltip",{metadata:{library:"sap.m",properties:{value:{type:"float",group:"Data",defaultValue:0,bindable:"bindable"},min:{type:"float",group:"Data",defaultValue:0},max:{type:"float",group:"Data",defaultValue:100},editable:{type:"boolean",defaultValue:false},step:{type:"float",group:"Data",defaultValue:1},valueState:{type:"sap.ui.core.ValueState",group:"Appearance",defaultValue:d.None},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{change:{parameters:{value:{type:"float"}}}}}});e.prototype.init=function(){this._oValueStateMessage=new V(this);this._fLastValidValue=0;};e.prototype.getValueStateText=function(){return"";};e.prototype.getFocusDomRef=function(){return this.$("input");};e.prototype.getDomRefForValueStateMessage=function(){return this.getDomRef();};e.prototype.setValue=function(v){v=this.validateProperty("value",v);a.prototype.setValue.call(this,v);return this.setProperty("value",v,true);};e.prototype.sliderValueChanged=function(v){if(this.getDomRef()){this.getFocusDomRef().val(v);}this._fLastValidValue=v;this.setValueState(d.None);};e.prototype.setEditable=function(E){E=this.validateProperty("editable",E);if(this.getDomRef()){this.getFocusDomRef().toggleClass(S.CONSTANTS.TOOLTIP_CLASS+"NotEditable");}return this.setProperty("editable",E,true);};e.prototype.setValueState=function(v){var E,o;v=this.validateProperty("valueState",v);this.setProperty("valueState",v,true);E=(v===d.Error);o=this.getDomRef()&&E;this._oValueStateMessage[o?"open":"close"]();this.$().toggleClass(S.CONSTANTS.TOOLTIP_CLASS+"ErrorState",E);return this;};e.prototype.onfocusout=function(E){var v=parseFloat(this.getFocusDomRef().val());this._validateValue(v);};e.prototype.onsapenter=function(E){var v=parseFloat(this.getFocusDomRef().val());this._validateValue(v);};e.prototype.onsapescape=function(E){this.sliderValueChanged(this._fLastValidValue);this.setValueState(d.None);};e.prototype._validateValue=function(v){if(this._isValueValid(v)){this.sliderValueChanged(v);this.fireChange({value:v});}else{this.setValueState(d.Error);}};e.prototype._isValueValid=function(v){return!(isNaN(v)||v<this.getMin()||v>this.getMax());};return e;});
