/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define([],function(){"use strict";var C={NAVIGATION:"sapMWizardProgressNav",LIST:"sapMWizardProgressNavList",LIST_VARYING:"sapMWizardProgressNavListVarying",LIST_NO_TITLES:"sapMWizardProgressNavListNoTitles",STEP:"sapMWizardProgressNavStep",ANCHOR:"sapMWizardProgressNavAnchor",ANCHOR_CIRCLE:"sapMWizardProgressNavAnchorCircle",ANCHOR_TITLE:"sapMWizardProgressNavAnchorTitle",ANCHOR_TITLE_OPTIONAL_TITLE:"sapMWizardProgressNavAnchorTitleOptional",ANCHOR_TITLE_OPTIONAL_LABEL:"sapMWizardProgressNavAnchorLabelOptional",ANCHOR_ICON:"sapMWizardProgressNavAnchorIcon",ANCHOR_TITLE_CONTAINER:"sapMWizardProgressNavAnchorTitleContainer"};var A={STEP:"data-sap-ui-wpn-step",STEP_COUNT:"data-sap-ui-wpn-step-count",CURRENT_STEP:"data-sap-ui-wpn-step-current",ACTIVE_STEP:"data-sap-ui-wpn-step-active",OPEN_STEP:"data-sap-ui-wpn-step-open",OPEN_STEP_PREV:"data-sap-ui-wpn-step-open-prev",OPEN_STEP_NEXT:"data-sap-ui-wpn-step-open-next",ARIA_LABEL:"aria-label",ARIA_DISABLED:"aria-disabled"};var W={CLASSES:C,ATTRIBUTES:A},r=sap.ui.getCore().getLibraryResourceBundle("sap.m");W.render=function(R,c){this.startNavigator(R,c);this.renderList(R,c);this.endNavigator(R);};W.startNavigator=function(R,c){var w=r.getText("WIZARD_LABEL");R.write("<nav");R.writeControlData(c);R.addClass(C.NAVIGATION+" sapContrastPlus");R.writeClasses();R.writeAttribute(A.STEP_COUNT,c.getStepCount());R.writeAccessibilityState({"role":"navigation","label":w});R.write(">");};W.renderList=function(R,c){this.startList(R,c);this.renderSteps(R,c);this.endList(R);};W.startList=function(R,c){var s=c.getStepTitles();R.write("<ul");if(c.getVaryingStepCount()){R.addClass(C.LIST_VARYING);}else{R.addClass(C.LIST);}if(!s.length){R.addClass(C.LIST_NO_TITLES);}R.writeAccessibilityState({"role":"list"});R.writeClasses();R.write(">");};W.renderSteps=function(R,c){var s=c.getStepCount(),S=c.getStepTitles(),a=c._stepOptionalIndication,b=c.getStepIcons(),o=r.getText("WIZARD_STEP_OPTIONAL_STEP_TEXT");for(var i=1;i<=s;i++){var l=a[i-1]?o:"";this.startStep(R,i);this.renderAnchor(R,c,i,S[i-1],b[i-1],l);this.endStep(R);}};W.startStep=function(R,s){R.write("<li");R.writeAttribute("class",C.STEP);R.writeAttribute(A.STEP,s);R.writeAccessibilityState({"role":"listitem"});R.write(">");};W.renderAnchor=function(R,c,s,S,i,o){var a=c._cachedSteps,b=a[s];R.write("<a tabindex='-1' ");if(!b||!!parseInt(b.style.zIndex,10)){R.write("aria-disabled='true'");}R.writeAttribute("class",C.ANCHOR);this.writeAnchorTooltip(R,S,o,s);R.write(">");this.renderAnchorCircle(R,i,s);if(S){this.renderAnchorTitle(R,S,o);}R.write("</a>");};W.renderAnchorCircle=function(R,i,s){R.write("<span");R.writeAttribute("class",C.ANCHOR_CIRCLE);R.write(">");if(i){R.writeIcon(i,[C.ANCHOR_ICON],{title:null});}else{R.write(s);}R.write("</span>");};W.writeAnchorTooltip=function(R,s,o,S){var a=r.getText("WIZARD_PROG_NAV_STEP_TITLE"),t;if(s){t=S+". "+s;}else{t=a+" "+S;}if(o){t+=" ("+o+")";}R.writeAttributeEscaped("title",t);};W.renderAnchorTitle=function(R,s,o){R.write("<span");R.writeAttribute("class",C.ANCHOR_TITLE_CONTAINER);R.write(">");R.write("<span");R.addClass(C.ANCHOR_TITLE);if(o){R.addClass(C.ANCHOR_TITLE_OPTIONAL_TITLE);}R.writeClasses();R.write(">");R.writeEscaped(s);R.write("</span>");if(o){R.write("<span");R.writeAttribute("class",C.ANCHOR_TITLE_OPTIONAL_LABEL);R.write(">");R.writeEscaped("("+o+")");R.write("</span>");}R.write("</span>");};W.endStep=function(R){R.write("</li>");};W.endList=function(R){R.write("</ul>");};W.endNavigator=function(R){R.write("</nav>");};return W;},true);
