/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/Metadata","sap/m/library","sap/m/OverflowToolbarLayoutData","sap/ui/core/IconPool"],function(M,l,O,I){"use strict";var B=l.ButtonType;var P=l.PlacementType;var S=l.semantic.SemanticRuleSetType;var a=l.OverflowToolbarPriority;var b=M.createClass("sap.m.semantic.SemanticConfiguration",{});b.prototype._PositionInPage={headerLeft:"headerLeft",headerRight:"headerRight",headerMiddle:"headerMiddle",footerLeft:"footerLeft",footerRight_IconOnly:"footerRight_IconOnly",footerRight_TextOnly:"footerRight_TextOnly",shareMenu:"shareMenu"};b._PageMode={display:"display",edit:"edit",multimode:"multimode"};b.isKnownSemanticType=function(t){return b.getConfiguration(t)!=undefined;};b.getConfiguration=function(t){return b._oTypeConfigs[t];};b.getSettings=function(t){return b._oTypeConfigs[t].getSettings();};b.getPositionInPage=function(t){return b._oTypeConfigs[t].position;};b.getSequenceOrderIndex=function(t){return b._oTypeConfigs[t].order;};b.getAriaId=function(t){return b._oTypeConfigs[t].getSettings().ariaLabelledBy;};b.getShareMenuConfig=function(r){switch(r){case S.Classic:return{baseButtonPlacement:P.Bottom,actionSheetPlacement:P.Top};case S.Optimized:return{baseButtonPlacement:P.Top,actionSheetPlacement:P.Bottom};}};b._oTypeConfigs=(function(){var t={},o=sap.ui.getCore().getLibraryResourceBundle("sap.m");t["sap.m.semantic.MultiSelectAction"]={position:b.prototype._PositionInPage.headerRight,getSettings:function(){return{icon:I.getIconURI("multi-select"),tooltip:o.getText("SEMANTIC_CONTROL_MULTI_SELECT")};}};t["sap.m.semantic.MainAction"]={position:b.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{type:B.Emphasized,layoutData:new O({priority:a.NeverOverflow})};},order:0};t["sap.m.semantic.EditAction"]={position:b.prototype._PositionInPage.footerRight_TextOnly,triggers:b._PageMode.edit,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_EDIT"),type:B.Emphasized,layoutData:new O({priority:a.NeverOverflow})};},order:1};t["sap.m.semantic.SaveAction"]={position:b.prototype._PositionInPage.footerRight_TextOnly,triggers:b._PageMode.display,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_SAVE"),type:B.Emphasized,layoutData:new O({priority:a.NeverOverflow})};},order:3};t["sap.m.semantic.DeleteAction"]={position:b.prototype._PositionInPage.footerRight_TextOnly,triggers:b._PageMode.display,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_DELETE"),layoutData:new O({priority:a.NeverOverflow})};},order:4};t["sap.m.semantic.PositiveAction"]={position:b.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{type:B.Accept,layoutData:new O({priority:a.NeverOverflow})};},order:5};t["sap.m.semantic.NegativeAction"]={position:b.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{type:B.Reject,layoutData:new O({priority:a.NeverOverflow})};},order:6};t["sap.m.semantic.CancelAction"]={position:b.prototype._PositionInPage.footerRight_TextOnly,triggers:b._PageMode.display,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_CANCEL")};},order:7};t["sap.m.semantic.ForwardAction"]={position:b.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_FORWARD")};},order:8};t["sap.m.semantic.OpenInAction"]={position:b.prototype._PositionInPage.footerRight_TextOnly,getSettings:function(){return{text:o.getText("SEMANTIC_CONTROL_OPEN_IN")};},order:9};t["sap.m.semantic.AddAction"]={position:b.prototype._PositionInPage.footerRight_IconOnly,triggers:b._PageMode.edit,getSettings:function(){return{icon:I.getIconURI("add"),text:o.getText("SEMANTIC_CONTROL_ADD"),tooltip:o.getText("SEMANTIC_CONTROL_ADD")};},order:0,constraints:"IconOnly"};t["sap.m.semantic.FavoriteAction"]={position:b.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("favorite"),text:o.getText("SEMANTIC_CONTROL_FAVORITE"),tooltip:o.getText("SEMANTIC_CONTROL_FAVORITE")};},order:1,constraints:"IconOnly"};t["sap.m.semantic.FlagAction"]={position:b.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("flag"),text:o.getText("SEMANTIC_CONTROL_FLAG"),tooltip:o.getText("SEMANTIC_CONTROL_FLAG")};},order:2,constraints:"IconOnly"};t["sap.m.semantic.ISort"]={position:b.prototype._PositionInPage.footerRight_IconOnly,order:3};t["sap.m.semantic.IFilter"]={position:b.prototype._PositionInPage.footerRight_IconOnly,order:4};t["sap.m.semantic.IGroup"]={position:b.prototype._PositionInPage.footerRight_IconOnly,order:5};t["sap.m.semantic.SortAction"]={position:b.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("sort"),text:o.getText("SEMANTIC_CONTROL_SORT"),tooltip:o.getText("SEMANTIC_CONTROL_SORT")};},constraints:"IconOnly"};t["sap.m.semantic.SortSelect"]={position:b.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("sort"),type:"IconOnly",autoAdjustWidth:true,tooltip:o.getText("SEMANTIC_CONTROL_SORT")};},getEventDelegates:function(c){return{onAfterRendering:function(){this.$().attr({"aria-haspopup":true});}.bind(c)};},constraints:"IconOnly"};t["sap.m.semantic.FilterAction"]={position:b.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("filter"),text:o.getText("SEMANTIC_CONTROL_FILTER"),tooltip:o.getText("SEMANTIC_CONTROL_FILTER")};},constraints:"IconOnly"};t["sap.m.semantic.FilterSelect"]={position:b.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("filter"),type:"IconOnly",autoAdjustWidth:true,tooltip:o.getText("SEMANTIC_CONTROL_FILTER")};},constraints:"IconOnly"};t["sap.m.semantic.GroupAction"]={position:b.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("group-2"),text:o.getText("SEMANTIC_CONTROL_GROUP"),tooltip:o.getText("SEMANTIC_CONTROL_GROUP")};},constraints:"IconOnly"};t["sap.m.semantic.GroupSelect"]={position:b.prototype._PositionInPage.footerRight_IconOnly,getSettings:function(){return{icon:I.getIconURI("group-2"),type:"IconOnly",autoAdjustWidth:true};},getEventDelegates:function(c){return{onAfterRendering:function(){this.$().attr({"aria-haspopup":true});}.bind(c)};},constraints:"IconOnly"};t["saveAsTileAction"]={position:b.prototype._PositionInPage.shareMenu,order:0,constraints:"IconOnly"};t["pagingAction"]={position:b.prototype._PositionInPage.headerRight};t["sap.m.semantic.DiscussInJamAction"]={position:b.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:I.getIconURI("discussion-2"),text:o.getText("SEMANTIC_CONTROL_DISCUSS_IN_JAM")};},order:1,constraints:"IconOnly"};t["sap.m.semantic.ShareInJamAction"]={position:b.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:I.getIconURI("share-2"),text:o.getText("SEMANTIC_CONTROL_SHARE_IN_JAM")};},order:2,constraints:"IconOnly"};t["sap.m.semantic.SendMessageAction"]={position:b.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:I.getIconURI("discussion"),text:o.getText("SEMANTIC_CONTROL_SEND_MESSAGE")};},order:3,constraints:"IconOnly"};t["sap.m.semantic.SendEmailAction"]={position:b.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:I.getIconURI("email"),text:o.getText("SEMANTIC_CONTROL_SEND_EMAIL")};},order:4,constraints:"IconOnly"};t["sap.m.semantic.PrintAction"]={position:b.prototype._PositionInPage.shareMenu,getSettings:function(){return{icon:I.getIconURI("print"),text:o.getText("SEMANTIC_CONTROL_PRINT")};},order:5,constraints:"IconOnly"};t["sap.m.semantic.MessagesIndicator"]={position:b.prototype._PositionInPage.footerLeft,getSettings:function(){return{icon:I.getIconURI("message-popup"),text:{path:"message>/",formatter:function(m){return m.length||0;}},tooltip:o.getText("SEMANTIC_CONTROL_MESSAGES_INDICATOR"),type:B.Emphasized,visible:{path:"message>/",formatter:function(m){return m&&m.length>0;}},models:{message:sap.ui.getCore().getMessageManager().getMessageModel()},layoutData:new O({priority:a.NeverOverflow})};}};t["draftIndicator"]={position:b.prototype._PositionInPage.footerLeft,getSettings:function(){return{layoutData:new O({shrinkable:false})};},order:1};return t;})();return b;},false);
