/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/m/library","sap/ui/Device"],function(l,D){"use strict";var L=l.ListGrowingDirection;var a=l.ListKeyboardMode;var T=l.ToolbarDesign;var S=/^([X][L](?:[1-9]|1[0-2]))? ?([L](?:[1-9]|1[0-2]))? ?([M](?:[1-9]|1[0-2]))? ?([S](?:[1-9]|1[0-2]))?$/i;var b={"XL":"sapTntBoxContainerSpanXL7","L":"sapTntBoxContainerSpanL6","M":"sapTntBoxContainerSpanM4","S":"sapTntBoxContainerSpanS2"};var c=S.exec("XL7 L6 M4 S2");var B={};B.render=function(r,C){r.write("<div");r.addClass("sapMList");r.addClass("sapTntBoxContainerList");this.addSpanClasses(r,C);r.writeControlData(C);if(C.getWidth()){r.addStyle("width",C.getWidth());}var t=C.getTooltip_AsString();if(t){r.writeAttributeEscaped("title",t);}r.writeStyles();r.writeClasses();r.write(">");var h=C.getHeaderText();var H=C.getHeaderToolbar();if(H){H.setDesign(T.Transparent,true);H.addStyleClass("sapMListHdrTBar");H.addStyleClass("sapMTBHeader-CTX");r.renderControl(H);}else if(h){r.write("<header class='sapMListHdrText'");r.writeAttribute("id",C.getId("header"));r.write(">");r.writeEscaped(h);r.write("</header>");}var o=this.getRenderingConfiguration(C);if(o.upwardGrowing){this.renderGrowing(r,C);}if(o.renderItems||o.showNoData){this.renderDummyArea(r,C,"before",-1);}this.renderList(r,C);if(o.renderItems||o.showNoData){this.renderDummyArea(r,C,"after",o.tabIndex);}if(!o.upwardGrowing){this.renderGrowing(r,C);}r.write("</div>");};B.renderList=function(r,C){var I=C.getItems(),o=this.getRenderingConfiguration(C);r.write("<ul");r.addClass("sapMListItems");C.addNavSection(C.getId("listUl"));if(!o.grouped){this.renderGrid(r,C);}r.writeAttribute("id",C.getId("listUl"));r.writeAccessibilityState(C,this.getAccessibilityState(C));if(o.renderItems||o.showNoData){r.writeAttribute("tabindex",o.tabIndex);}r.addClass("sapMListUl");r.writeClasses();r.writeStyles();r.write(">");if(o.grouped){this.renderGroupedList(r,C);}else if(o.renderItems){if(o.upwardGrowing){I.reverse();}for(var i=0;i<I.length;i++){r.renderControl(I[i]);}}if(!o.renderItems&&o.showNoData){this.renderNoData(r,C);}r.write("</ul>");};B.renderGroupedList=function(r,C){var I=C.getItems(),g=[],G=[],o;for(var i=0;i<I.length;i++){o=I[i];if(o.isGroupHeader()&&i!==0){G.push(g);g=[];}g.push(o);}G.push(g);G.forEach(function(d){r.write("<li>");this.renderGroup(r,C,d);r.write("</li>");},this);};B.renderGroup=function(r,C,I){var o=this.getRenderingConfiguration(C);r.write("<ul");r.addClass("sapMListItems");r.addClass("sapMListUl");this.renderGrid(r,C);r.writeClasses();r.writeStyles();r.write(">");if(o.renderItems){if(o.upwardGrowing){I.reverse();}for(var i=0;i<I.length;i++){r.renderControl(I[i]);}}r.write("</ul>");};B.renderGrid=function(r,C){var w=C.getBoxWidth(),m=C.getBoxMinWidth();if(!w&&!m){r.addClass("sapTntBoxContainerRelativeWidth");}r.addClass("sapTntBoxContainerGrid");if(C.isGrouped()){r.addClass("sapTntBoxContainerGridGrouped");}if(!D.browser.msie){if(m){r.addStyle("grid-template-columns","repeat(auto-fit, minmax("+m+", 1fr)");}else if(w){r.addStyle("grid-template-columns","repeat(auto-fit, "+w+")");}}};B.addSpanClasses=function(r,C){var s,d,e=C.getBoxesPerRowConfig(),f,g,h,j;if(C._hasBoxWidth()){return;}if(!e||!e.lenght===0){s=c;}else{s=S.exec(e);}if(s){for(var i=1;i<s.length;i++){d=s[i];if(d){d=d.toUpperCase();switch(d.substr(0,1)){case"X":if(d.substr(1,1)==="L"){f=this.getBoxesPerRowClass(d,2);}break;case"L":g=this.getBoxesPerRowClass(d,1);break;case"M":h=this.getBoxesPerRowClass(d,1);break;case"S":j=this.getBoxesPerRowClass(d,1);break;default:break;}}}}f=f||b.XL;g=g||b.L;h=h||b.M;j=j||b.S;r.addClass([f,g,h,j].join(" "));};B.getBoxesPerRowClass=function(s,i){var d=parseInt(s.substr(i,s.length),10);if(d&&d>0&&d<13){return"sapTntBoxContainerSpan"+s;}};B.getAccessibilityState=function(C){return{role:"listbox"};};B.getRenderingConfiguration=function(C){return{grouped:C.isGrouped(),showNoData:C.getShowNoData(),renderItems:C.shouldRenderItems()&&C.getItems()&&C.getItems().length,tabIndex:C.getKeyboardMode()==a.Edit?-1:0,upwardGrowing:C.getGrowingDirection()==L.Upwards&&C.getGrowing()};};B.renderNoData=function(r,C){r.write("<li");r.writeAttribute("tabindex",C.getKeyboardMode()==a.Navigation?-1:0);r.writeAttribute("id",C.getId("nodata"));r.addClass("sapMLIB sapMListNoData sapMLIBTypeInactive");r.writeClasses();r.write(">");r.write("<div");r.addClass("sapMListNoDataText");r.writeAttribute("id",C.getId("nodata-text"));r.writeClasses();r.write(">");r.writeEscaped(C.getNoDataText(true));r.write("</div>");r.write("</li>");};B.renderDummyArea=function(r,C,A,t){r.write("<div");r.writeAttribute("id",C.getId(A));r.writeAttribute("tabindex",t);if(D.system.desktop){r.addClass("sapMListDummyArea").writeClasses();}r.write("></div>");};B.renderGrowing=function(r,C){var g=C._oGrowingDelegate;if(!g){return;}g.render(r);};return B;},true);
