/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','./Menu','./MenuItem','./MenuItemBase','./library','sap/ui/core/Control',"./MenuBarRenderer"],function(q,M,a,b,l,C,c){"use strict";var d=C.extend("sap.ui.commons.MenuBar",{metadata:{library:"sap.ui.commons",properties:{enabled:{type:"boolean",group:"Behavior",defaultValue:true},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'},design:{type:"sap.ui.commons.MenuBarDesign",group:"Appearance",defaultValue:sap.ui.commons.MenuBarDesign.Standard}},defaultAggregation:"items",aggregations:{items:{type:"sap.ui.unified.MenuItem",multiple:true,singularName:"item"}}}});a.extend("sap.ui.commons._DelegatorMenuItem",{constructor:function(A){a.apply(this);this.oAlterEgoItm=A;this.bNoSubMenu=true;var s=this.oAlterEgoItm.getSubmenu();if(s){var t=this;s.getRootMenu=function(){return t.getParent();};this.bNoSubMenu=false;}},exit:function(){if(!this.bNoSubMenu){this.oAlterEgoItm.getSubmenu().getRootMenu=M.prototype.getRootMenu;}this.bNoSubMenu=true;this.oAlterEgoItm=null;},getText:function(){return this.oAlterEgoItm.getText();},getIcon:function(){return this.oAlterEgoItm.getIcon();},getEnabled:function(){return this.oAlterEgoItm.getEnabled();},getVisible:function(){return this.oAlterEgoItm.getVisible();},getSubmenu:function(){return this.oAlterEgoItm.getSubmenu();}});(function(){d.prototype.init=function(){this.oOvrFlwMnu=null;this.sCurrentFocusedItemRefId=null;this.data("sap-ui-fastnavgroup","true",true);};d.prototype.exit=function(){if(this.oOvrFlwMnu){this.oOvrFlwMnu.destroy();}this.oOvrFlwMnu=null;if(this.sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}};d.prototype.doBeforeRendering=function(){var I=this.getItems();for(var i=0;i<I.length;i++){var m=I[i].getSubmenu();if(m){m.setRootMenuTopStyle(this.getDesign()==sap.ui.commons.MenuBarDesign.Header);}}if(this.oOvrFlwMnu){this.oOvrFlwMnu.setRootMenuTopStyle(this.getDesign()==sap.ui.commons.MenuBarDesign.Header);}if(this.sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}};d.prototype.onAfterRendering=function(){this.sResizeListenerId=sap.ui.core.ResizeHandler.register(this.getDomRef(),q.proxy(this.onresize,this));this.onresize();};d.prototype.onresize=function(E){u(this);};d.prototype.onfocusin=function(E){var i=this.getId();var t=q(E.target);var T=t.attr("id");if(!T||T==i||T==i+"-area"){var I=this.$("area").children();this.sCurrentFocusedItemRefId=I.length==0?null:q(I.get(0)).attr("id");}else{this.sCurrentFocusedItemRefId=T;}var F=q.sap.byId(this.sCurrentFocusedItemRefId).get(0);if(F){F.focus();}this.$().attr("tabindex","-1");};d.prototype.onfocusout=function(E){this.$().attr("tabindex","0");};d.prototype.onmousedown=function(E){var m=_(this,E);if(m==="ovrflw"){this._bOvrFlwMnuSkipOpen=this.oOvrFlwMnu&&this.oOvrFlwMnu.bOpen;}else if(m){var h=m.getSubmenu();m._bSkipOpen=h&&h.bOpen;}};d.prototype.onmouseout=function(E){var m=_(this,E);if(m==="ovrflw"){var r=g(this,E);if(this._bOvrFlwMnuSkipOpen&&q.sap.checkMouseEnterOrLeave(E,r[0])){this._bOvrFlwMnuSkipOpen=false;}}else if(m){var r=g(this,E);if(m._bSkipOpen&&q.sap.checkMouseEnterOrLeave(E,r[0])){m._bSkipOpen=false;}}};d.prototype.onclick=function(E){o(this,E,false);};d.prototype.onsapselect=function(E){o(this,E,true);};d.prototype.onsapdown=function(E){o(this,E,true);};d.prototype.onsapdownmodifiers=function(E){if(E.altKey){o(this,E,true);}};d.prototype.onsapprevious=function(E){if(E.keyCode!=q.sap.KeyCodes.ARROW_UP){f(this,E,"prev");}};d.prototype.onsapnext=function(E){if(E.keyCode!=q.sap.KeyCodes.ARROW_DOWN){f(this,E,"next");}};d.prototype.onsaphome=function(E){f(this,E,"first");};d.prototype.onsapend=function(E){f(this,E,"last");};var o=function(t,E,w){E.preventDefault();E.stopPropagation();if(t.getEnabled()){var m=_(t,E);if(m==="ovrflw"){var r=g(t,E);if(t.oOvrFlwMnu&&!t._bOvrFlwMnuSkipOpen){var h=sap.ui.core.Popup.Dock;t.oOvrFlwMnu.open(w,r.get(0),h.EndTop,h.EndBottom,r.get(0));}}else if(m){if(m.getEnabled()){var r=g(t,E);var j=m.getSubmenu();if(j&&!m._bSkipOpen){var h=sap.ui.core.Popup.Dock;j.open(w,r.get(0),h.BeginTop,h.BeginBottom,r.get(0));}else if(!j){m.fireSelect({item:m});}}}}t._bOvrFlwMnuSkipOpen=false;var I=t.getItems();for(var i=0;i<I.length;i++){I[i]._bSkipOpen=false;}};var g=function(t,E){var r=q(E.target);if(!r.attr("itemidx")){r=r.parent();}return r.attr("itemidx")?r:null;};var _=function(t,E){var r=g(t,E);if(r){var i=r.attr("itemidx");if(i){if(i=="ovrflw"){return"ovrflw";}else{var I=parseInt(i,10);var m=t.getItems()[I];return m;}}}return null;};var e=function(t){var v=0;var A=t.$("area");var i=A.children();var r=sap.ui.getCore().getConfiguration().getRTL();var h=(r?100000:0);i.each(function(I){if(I==0){return true;}var j=this.offsetLeft;var L=(r?(j>=h):(j<=h));if(L){v=I;return false;}else if(q(this).attr("id")==t.getId()+"-ovrflw"){v=I;return false;}else{h=j;return true;}});return v;};var u=function(t){var v=e(t);var h=v;var A=t.$("area");var I=A.children();var O=t.$("ovrflw");var U=false;if(v<I.length-1){O.attr("style","display:block;");if(!t.oOvrFlwMnu){t.oOvrFlwMnu=new M(t.getId()+"-ovrflwmnu");t.oOvrFlwMnu.bUseTopStyle=t.getDesign()==sap.ui.commons.MenuBarDesign.Header;t.oOvrFlwMnu.attachItemSelect(function(E){var k=E.getParameter("item");if(!(k instanceof sap.ui.commons._DelegatorMenuItem)){var m=M.prototype.getRootMenu.apply(k.getParent());m.fireItemSelect({item:k});}else if(k.bNoSubMenu&&k instanceof sap.ui.commons._DelegatorMenuItem){k.oAlterEgoItm.fireSelect({item:k.oAlterEgoItm});}});}t.oOvrFlwMnu.destroyItems();var j=t.getItems();for(var i=0;i<j.length;i++){var k=j[i];if(v!=0){if(k.getVisible()){v--;}if(v==0){t.sLastVisibleItemId=k.getId();}}else{t.oOvrFlwMnu.addItem(new sap.ui.commons._DelegatorMenuItem(k));if(k.getId()==t.sCurrentFocusedItemRefId){U=true;}}}if(sap.ui.getCore().getConfiguration().getAccessibility()){I.attr("aria-setsize",h+1);O.attr("aria-posinset",h+1);}}else{O.attr("style","display:none;");if(t.oOvrFlwMnu){t.oOvrFlwMnu.destroyItems();}t.sLastVisibleItemId=null;if(sap.ui.getCore().getConfiguration().getAccessibility()){I.attr("aria-setsize",h);O.attr("aria-posinset",0);}}A.scrollTop(0);if(U){t.sCurrentFocusedItemRefId=t.sLastVisibleItemId;q.sap.byId(t.sLastVisibleItemId).get(0).focus();}};var f=function(t,E,D){E.stopPropagation();E.preventDefault();if(!t.sCurrentFocusedItemRefId){return;}var F=null;if(t.sLastVisibleItemId&&((t.sCurrentFocusedItemRefId==t.sLastVisibleItemId&&D=="next")||D=="last")){F=t.getId()+"-ovrflw";}else if(t.sLastVisibleItemId&&t.sCurrentFocusedItemRefId==t.getId()+"-ovrflw"&&D=="prev"){F=t.sLastVisibleItemId;}else{var s=D+"All";var i=false;if(D=="first"){s="prevAll";i=true;}else if(D=="last"){s="nextAll";i=true;}var j=q.sap.byId(t.sCurrentFocusedItemRefId);var h=j[s](":visible");F=q(h.get(i?h.length-1:0)).attr("id");}if(F){t.sCurrentFocusedItemRefId=F;q.sap.byId(F).get(0).focus();}};}());return d;},true);
