/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','./library','sap/ui/core/Control',"./ProgressIndicatorRenderer"],function(q,l,C,P){"use strict";var a=C.extend("sap.ui.commons.ProgressIndicator",{metadata:{library:"sap.ui.commons",properties:{enabled:{type:"boolean",group:"Behavior",defaultValue:true},barColor:{type:"sap.ui.core.BarColor",group:"Appearance",defaultValue:sap.ui.core.BarColor.NEUTRAL},displayValue:{type:"string",group:"Appearance",defaultValue:'0%'},percentValue:{type:"int",group:"Data",defaultValue:0},showValue:{type:"boolean",group:"Appearance",defaultValue:true},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'}}}});a.prototype.onclick=function(e){this.focus();};a.prototype.onselectstart=function(e){return false;};a.prototype.setEndBar=function(){var w=this.getPercentValue();var b;var B=this.getBarColor();var t;this.oBar=this.getDomRef("bar");this.oEnd=this.getDomRef("end");this.oBox=this.getDomRef("box");q(this.oEnd).removeClass('sapUiProgIndEndHidden');q(this.oEnd).addClass(this._getProgIndTypeClass(B));if(w>100){b=(10000/w)+'%';}else{b='100%';}if(w>100){t=(w-100)*20;}else{t=(100-w)*20;}q(this.oBox).animate({width:b},0,'linear');if(this.bRtl){q(this.oEnd).animate({right:b},t,'linear');}else{q(this.oEnd).animate({left:b},t,'linear');}q(this.oBar).animate({width:w+'%'},t,'linear');if(!this.oThis){this.oThis=this.$();}this.oThis.attr('aria-valuenow',w+'%');};a.prototype.setEndBarGoesBack=function(p){var w=this.getPercentValue();var b;var B=this.getBarColor();var t;this.oBar=this.getDomRef("bar");this.oEnd=this.getDomRef("end");this.oBox=this.getDomRef("box");if(p>100){b=(10000/p)+'%';}else{b='100%';}q(this.oEnd).removeClass(this._getProgIndTypeClass(B));q(this.oEnd).addClass('sapUiProgIndEndHidden');if(w>100){t=(w-100)*20;}else{t=(100-w)*20;}q(this.oBox).animate({width:b},0,'linear');if(this.bRtl){q(this.oEnd).animate({right:b},t,'linear');}else{q(this.oEnd).animate({left:b},t,'linear');}q(this.oBar).animate({width:w+'%'},t,'linear');if(!this.oThis){this.oThis=this.$();}this.oThis.attr('aria-valuenow',w+'%');};a.prototype.setPercentValue=function(p){var w=this.getPercentValue();var b;this.oBar=this.getDomRef("bar");this.oEnd=this.getDomRef("end");this.oBox=this.getDomRef("box");var t=this;var c;if(p<0){p=0;}if(p>100){b=(10000/p)+'%';}else{b='100%';}if(!this.oBar){c=p*20;this.setProperty('percentValue',p,true);q(this.oBar).animate({width:p+'%'},c,'linear');return this;}if(p>100&&w<=100){c=(100-w)*20;this.setProperty('percentValue',p,true);q(this.oBar).animate({width:'100%'},c,'linear',function(){t.setEndBar();});}else if(p<=100&&w>100){c=(w-100)*20;this.setProperty('percentValue',p,true);q(this.oBar).animate({width:'100%'},c,'linear',function(){t.setEndBarGoesBack();});}else if(p>100&&w>100){if(p>w){c=(p-w)*20;}else{c=(w-p)*20;}b=(10000/p)+'%';this.setProperty('percentValue',p,true);q(this.oBox).animate({width:b},0,'linear');if(this.bRtl){q(this.oEnd).animate({right:b},c,'linear');}else{q(this.oEnd).animate({left:b},c,'linear');}q(this.oBar).animate({width:p+'%'},c,'linear',function(){});if(!this.oThis){this.oThis=this.$();}this.oThis.attr('aria-valuenow',p+'%');}else{if(p>w){c=(p-w)*20;}else{c=(w-p)*20;}this.setProperty('percentValue',p,true);q(this.oBar).animate({width:p+'%'},c,'linear');if(!this.oThis){this.oThis=this.$();}this.oThis.attr('aria-valuenow',p+'%');}return this;};a.prototype._getProgIndTypeClass=function(b){switch(b){case"POSITIVE":return'sapUiProgIndPosEnd';case"NEGATIVE":return'sapUiProgIndNegEnd';case"CRITICAL":return'sapUiProgIndCritEnd';case"NEUTRAL":return'sapUiProgIndEnd';default:return'sapUiProgIndEnd';}};a.prototype.getAccessibilityInfo=function(){var b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");return{role:"progressbar",type:b.getText("ACC_CTR_TYPE_PROGRESS"),description:b.getText("ACC_CTR_STATE_PROGRESS",[this.getPercentValue()]),focusable:this.getEnabled(),enabled:this.getEnabled()};};return a;},true);
