/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','./Button','./Paginator','./Toolbar'],function(q,B,P,T){"use strict";var R={};R.render=function(r,c){r.write("<div");r.writeControlData(c);r.addClass("sapUiRrDesign"+c.getDesign());r.writeClasses();r.write(">");if(c.getDesign()!==sap.ui.commons.RowRepeaterDesign.BareShell){this.renderHeader(r,c);}this.renderBody(r,c);if(c.getDesign()!==sap.ui.commons.RowRepeaterDesign.BareShell){this.renderFooter(r,c);}r.write("</div>");};R.renderHeader=function(r,c){this.renderPrimaryToolbar(r,c);if(c.getSorters().length>1&&c.isBound()){this.renderSecondaryToolbar(r,c);}};R.renderPrimaryToolbar=function(r,c){r.write("<div");r.addClass("sapUiRrPtb");r.writeClasses();r.write(">");if(c.getTitle()!==null){this.renderTitle(r,c);}this.renderFilterToolbar(r,c);this.renderController(r,c);r.write("</div>");};R.renderTitle=function(r,c){var t=c.getTitle();var s=t.getTooltip_AsString();if(t.getIcon()){r.write("<div");r.addClass("sapUiRrLogo");r.writeClasses();if(s!==undefined){r.writeAttributeEscaped("title",s);}r.write(">");if(t.getIcon()){r.write("<img");r.writeAttributeEscaped("src",t.getIcon());r.write("/>");}r.write("</div>");}if(t.getText()){r.write("<div");r.addClass("sapUiRrTitle");r.writeClasses();r.writeAttribute("role","heading");r.write(">");r.writeEscaped(t.getText());r.write("</div>");}};R.renderFilterToolbar=function(r,c){var f=c.getFilters();if(f.length>0){r.write("<div");r.addClass("sapUiRrFilters");r.writeClasses();r.write(">");if(f.length>1&&c.isBound()){r.renderControl(c.getAggregation("filterToolbar"));}r.write("</div>");}};R.renderController=function(r,c){if(!c.bPagingMode){r.write("<div");r.addClass("sapUiRrCtrl");r.writeClasses();r.write(">");r.renderControl(c.getAggregation("headerShowMoreButton"));r.write("</div>");}};R.renderSecondaryToolbar=function(r,c){r.write("<div");r.addClass("sapUiRrStb");r.writeClasses();r.write(">");r.write("<div");r.addClass("sapUiRrSortBy");r.writeClasses();r.write(">");r.writeEscaped(c.oResourceBundle.getText("SORT_BY")+":");r.write("</div>");r.write("<div");r.addClass("sapUiRrSorters");r.writeClasses();r.write(">");r.renderControl(c.getAggregation("sorterToolbar"));r.write("</div>");r.write("</div>");};R.renderBody=function(r,c){var i=c.getId();var s=c.getShowMoreSteps();var C=c.getCurrentPage();var n=c.getNumberOfRows();var S=(C-1)*n;var a=c.getRows();var b=c._getRowCount();var m=b-S;var d=c._getRowCount()>n?n:m;var l=Math.ceil(b/n);var e;d=Math.min(d,m);if(s>0){S=0;}r.write("<div");r.writeAttribute("id",i+"-body");r.addClass("sapUiRrBody");r.writeClasses();r.write(">");r.write("<ul");r.writeAttribute("id",i+"-page_"+C);r.addClass("sapUiRrPage");r.writeClasses();r.write(">");if(a.length===0||l<C){r.write("<li");r.addClass("sapUiRrNoData");r.writeClasses();r.write(">");var N=c.getNoData();if(N){r.renderControl(N);}else{r.writeEscaped(c.oResourceBundle.getText("NO_DATA"));}r.write("</li>");}else{var f;if(c.getFixedRowHeight()!==""){f="height:"+c.getFixedRowHeight()+";overflow:hidden;";}if(c.getBinding("rows")){S=c._bSecondPage?n:0;}for(e=S;e<S+d;e++){r.write("<li");r.writeAttribute("id",i+"-row_"+e);if(f){r.writeAttribute("style",f);}r.addClass("sapUiRrRow");r.writeClasses();r.write(">");r.renderControl(a[e]);r.write("</li>");}}r.write("</ul>");r.write("</div>");};R.renderFooter=function(r,c){r.write("<div");r.addClass("sapUiRrFtr");r.writeClasses();r.write(">");if(c.bPagingMode){r.renderControl(c.getAggregation("footerPager"));}else{r.renderControl(c.getAggregation("footerShowMoreButton"));}r.write("</div>");};return R;},true);
