/*!
 # * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.predefine('sap/ui/commons/Toolbar',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/Popup','sap/ui/core/delegate/ItemNavigation','./ToolbarRenderer'],function(q,l,C,P,I,T){"use strict";
var a=C.extend("sap.ui.commons.Toolbar",{metadata:{interfaces:["sap.ui.core.Toolbar"],library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'auto'},design:{type:"sap.ui.commons.ToolbarDesign",group:"Appearance",defaultValue:sap.ui.commons.ToolbarDesign.Flat},standalone:{type:"boolean",group:"Appearance",defaultValue:true}},defaultAggregation:"items",aggregations:{items:{type:"sap.ui.commons.ToolbarItem",multiple:true,singularName:"item"},rightItems:{type:"sap.ui.commons.ToolbarItem",multiple:true,singularName:"rightItem"}}}});
a.prototype.init=function(){this.bOpen=false;this.oDomRef=null;this.oInnerRef=null;this.oOverflowDomRef=null;this._oOverflowPopup=null;this.sOriginalStylePropertyWidth=null;this.bHasRightItems=false;this._bRendering=false;this.bRtl=sap.ui.getCore().getConfiguration().getRTL();this._detectVisibleItemCountChangeTimer=null;var t=this;this.oItemDelegate={onAfterRendering:q.proxy(t._itemRendered,t)};this.data("sap-ui-fastnavgroup","true",true);};
a.prototype.onBeforeRendering=function(){T.emptyOverflowPopup(this,false);this.cleanup();this.$("mn").unbind("keydown",this._handleKeyDown);this.bFirstTime=true;this._bRendering=true;};
a.prototype.onAfterRendering=function(){this._bRendering=false;this.oDomRef=this.getDomRef();this.oInnerRef=this.oDomRef.firstChild.firstChild;q(this.oInnerRef).css("visibility","visible");var o=this.getId()+"-mn";this.oOverflowDomRef=q.sap.domById(o);if(!this.oItemNavigation){this.oItemNavigation=new I();this.addDelegate(this.oItemNavigation);}this.$("mn").bind("keydown",q.proxy(this._handleKeyDown,this));this.sResizeListenerId=sap.ui.core.ResizeHandler.register(this.oDomRef,q.proxy(this.ontoolbarresize,this));var R=this.getRightItems().length;this.bHasRightItems=R>0;if(this.bHasRightItems){this.sRightSideResizeListenerId=sap.ui.core.ResizeHandler.register(this.oDomRef.lastChild,q.proxy(this.onrightsideresize,this));this.updateAfterResize(true);this._observeVisibleItemCountChange(40);}else{this.updateAfterResize(true);this._observeVisibleItemCountChange(350);}};
a.prototype._handleKeyDown=function(e){if((e.keyCode==q.sap.KeyCodes.SPACE)&&(e.target.id===this.getId()+"-mn")){this.handleOverflowButtonTriggered();e.preventDefault();e.stopPropagation();}};
a.prototype.exit=function(){this.cleanup();if(this.oItemNavigation){this.removeDelegate(this.oItemNavigation);this.oItemNavigation.destroy();delete this.oItemNavigation;}this.oItemDelegate=undefined;q(window).unbind("resize",this.onwindowresize);r.call(this);};
a.prototype.updateAfterResize=function(d){if(this._bRendering){return;}var v=this.getVisibleItemInfo();this._oLastVisibleItem=v.oLastVisibleItem;this._oFirstInvisibleItem=v.oFirstInvisibleItem;this._iLastVisibleItemTop=v.iLastVisibleItemTop;this.updateItemNavigation(v.iAllItemsBeforeBreak,d);this.updateOverflowIcon(v.bOverflow);if(this.sUpdateItemNavigationTimer){q.sap.clearDelayedCall(this.sUpdateItemNavigationTimer);this.sUpdateItemNavigationTimer=null;}};
a.prototype._detectVisibleItemCountChange=function(){if(!this.getDomRef()){if(this._detectVisibleItemCountChangeTimer){q.sap.clearDelayedCall(this._detectVisibleItemCountChangeTimer);this._detectVisibleItemCountChangeTimer=null;}return;}if(this._oLastVisibleItem&&this._oFirstInvisibleItem){var d=this._oLastVisibleItem.offsetLeft;var f=this._oFirstInvisibleItem.offsetLeft;var e=this._oLastVisibleItem.offsetTop;var i=this.bRtl?(f<d):(f>d);if((e!=this._iLastVisibleItemTop)||(!this.bOpen&&i)){if(this.bOpen){this.closePopup(true);}this.updateAfterResize(false);}}else if(this._oLastVisibleItem&&!this._oFirstInvisibleItem){if(this._oLastVisibleItem.offsetTop!=this._iLastVisibleItemTop){this.updateAfterResize(false);}}this._observeVisibleItemCountChange(350);if(this.bFirstTime&&this.bHasRightItems){this.onrightsideresize();this.bFirstTime=false;}};
a.prototype._observeVisibleItemCountChange=function(i){this._detectVisibleItemCountChangeTimer=q.sap.delayedCall(i,this,"_detectVisibleItemCountChange");};
a.prototype.updateItemNavigation=function(A,d){this.oItemNavigation.setRootDomRef(this.oDomRef);var L=g.call(this);var e=[];for(var i=0;i<A;i++){var D=L[i].getFocusDomRef();if(D){e.push(D);}}e.push(this.oOverflowDomRef);this.iLeftItemDomRefCount=e.length;var R=this.getRightItems();for(var i=0;i<R.length;i++){var D=R[i].getFocusDomRef();if(D){e.push(D);}}this.oItemNavigation.setItemDomRefs(e);this.iItemDomRefCount=e.length;if(d){for(var i=A;i<L.length;i++){var D=L[i].getFocusDomRef();var $=q(D);if(D&&($.attr("tabindex")=="0")){$.attr("tabIndex",-1);}}}};
a.prototype.getVisibleItemInfo=function(d){var v=0;if(this.oInnerRef){var e=d?this.oInnerRef.childNodes:this.oInnerRef.parentNode.querySelectorAll("#"+this.oInnerRef.id+' > :not(.sapUiHiddenPlaceholder)');this.bRtl=sap.ui.getCore().getConfiguration().getRTL();var L,E,f=0,h,j,k=0,o=null,F=null,m,A,O=false;for(var i=1,n=e.length;i<n;i++){E=e[i];h=E.offsetLeft;if(i==1){j=e[0].offsetWidth;k=e[0].offsetLeft;}if(this.bRtl){f=E.offsetWidth;L=!b.call(this,E)&&(h+f>=k+j);}else{L=!b.call(this,E)&&(h<=k)&&(E.offsetTop>e[0].offsetTop);}if(L){v=i;o=e[i-1];F=E;m=o.offsetTop;O=true;break;}else if(b.call(this,E)){v=i;o=e[i-1];F=null;m=o.offsetTop;O=false;break;}else{k=h;j=f;}}A=c.call(this,o);}return{"count":v,"oLastVisibleItem":o,"oFirstInvisibleItem":F,"iLastVisibleItemTop":m,"iAllItemsBeforeBreak":A,"bOverflow":O};};
a.prototype.updateOverflowIcon=function(o){this.oOverflowDomRef.style.display=o||this.bOpen?"block":"none";};
a.prototype.onclick=function(e){if(e.target.id===this.getId()+"-mn"){this.handleOverflowButtonTriggered();e.preventDefault();e.stopPropagation();}};
a.prototype.onsapdown=function(e){if(e.target.id===this.getId()+"-mn"){if(!this.bOpen){this.handleOverflowButtonTriggered();e.preventDefault();e.stopImmediatePropagation();}}};
a.prototype.onsapup=function(e){if(e.target.id===this.getId()+"-mn"){if(this.bOpen){this.handleOverflowButtonTriggered();e.preventDefault();e.stopPropagation();}}};
a.prototype.handleOverflowButtonTriggered=function(){if(!this.bPopupInitialized){this._oOverflowPopup=new sap.ui.commons.ToolbarOverflowPopup(this);this.popup=new P(this._oOverflowPopup,false,true,true);this.popup.setAutoCloseAreas([this.getId()+"-mn"]);this.bPopupInitialized=true;}if(this.bOpen){this.closePopup(false);}else{this.openPopup();}};
a.prototype.openPopup=function(){this.getRenderer().setActive(this);var d=q(this.getDomRef());this.sOriginalStylePropertyWidth=d.prop('style').width;d.width(d.width());T.fillOverflowPopup(this);this.popup.attachEvent("opened",this.handlePopupOpened,this);this.popup.attachEvent("closed",this.handlePopupClosed,this);q(window).bind("resize",q.proxy(this.onwindowresize,this));var D=0;this.popup.open(D,P.Dock.EndTop,P.Dock.EndBottom,this.$("mn"),"","fit",true);};
a.prototype.handlePopupOpened=function(){var L=g.call(this);var A=this.getVisibleItemInfo().iAllItemsBeforeBreak;this.bOpen=true;var n=[];for(var i=A;i<L.length;i++){var d=L[i].getFocusDomRef();if(d){n.push(d);}}this.popup.getContent().initItemNavigation(n);};
a.prototype.closePopup=function(R){this._bResetFocus=R;this.popup.close();q(window).unbind("resize",this.onwindowresize);};
a.prototype.handlePopupClosed=function(){this.getRenderer().unsetActive(this);this.bOpen=false;T.emptyOverflowPopup(this);var A=this.getVisibleItemInfo().iAllItemsBeforeBreak;this.updateItemNavigation(A,true);if(this._bResetFocus){this.oItemNavigation.focusItem(this.iLeftItemDomRefCount-1);}this._bResetFocus=false;};
a.prototype.prepareFocusInfoRedirect=function(o){if(o&&!o._orig_getFocusInfo){var i=this.getId();o._orig_getFocusInfo=o.getFocusInfo;o.getFocusInfo=function(){return{id:i,childInfo:this._orig_getFocusInfo()};};var t=this;o._orig_applyFocusInfo=o.applyFocusInfo;o.applyFocusInfo=function(f){return t.applyFocusInfo(f.childInfo);};}return o;};
a.prototype.cleanupFocusInfoRedirect=function(o){if(o){o.getFocusInfo=o._orig_getFocusInfo;delete o._orig_getFocusInfo;delete o._orig_applyFocusInfo;}return o;};
a.prototype.insertItem=function(i,d){this.insertAggregation("items",this.prepareFocusInfoRedirect(i),d);i.addDelegate(this.oItemDelegate);return this;};
a.prototype.addItem=function(i){this.addAggregation("items",this.prepareFocusInfoRedirect(i));i.addDelegate(this.oItemDelegate);return this;};
a.prototype.removeItem=function(e){var t=this.removeAggregation("items",e);t.removeDelegate(this.oItemDelegate);return this.cleanupFocusInfoRedirect(t);};
a.prototype.removeAllItems=function(){var t=this.removeAllAggregation("items");for(var i=0,L=t.length;i<L;i++){t[i]=this.cleanupFocusInfoRedirect(t[i]);t[i].removeDelegate(this.oItemDelegate);}return t;};
a.prototype.insertRightItem=function(i,d){this.insertAggregation("rightItems",this.prepareFocusInfoRedirect(i),d);i.addDelegate(this.oItemDelegate);return this;};
a.prototype.addRightItem=function(i){this.addAggregation("rightItems",this.prepareFocusInfoRedirect(i));i.addDelegate(this.oItemDelegate);return this;};
a.prototype.removeRightItem=function(e){var t=this.removeAggregation("rightItems",e);t.removeDelegate(this.oItemDelegate);return this.cleanupFocusInfoRedirect(t);};
a.prototype.removeAllRightItems=function(){var t=this.removeAllAggregation("rightItems");for(var i=0,L=t.length;i<L;i++){t[i]=this.cleanupFocusInfoRedirect(t[i]);t[i].removeDelegate(this.oItemDelegate);}return t;};
a.prototype.getFocusInfo=function(){var i=this.getId();if(this.bOpen){return{id:i,childId:i};}else{return{id:i};}};
a.prototype.applyFocusInfo=function(f){if(f){var s=f.childId;if(this.bOpen&&s){if(s===this.getId()){return;}var o=sap.ui.getCore().byId(s);var d;if(o&&this.popup&&(d=this.popup.getContent())&&q.sap.containsOrEquals(d.getDomRef(),o.getDomRef())){d.applyFocusInfo(f.childInfo);return;}}}this.focus();};
sap.ui.core.Element.extend("sap.ui.commons.ToolbarOverflowPopup",{
constructor:function(t){this.oToolbar=t;var i=t.getId()+"-pu";sap.ui.core.Element.call(this,i);},
exit:function(){this.$().remove();},
initItemNavigation:function(n){if(!this.oItemNavigation){this.oItemNavigation=new I();this.addDelegate(this.oItemNavigation);}this.oItemNavigation.setRootDomRef(T.getPopupArea(this.oToolbar));this.oItemNavigation.setItemDomRefs(n);this.oItemNavigation.focusItem(0);},
getDomRef:function(){var p=T.getPopupArea(this.oToolbar);if(p){return p.parentNode;}else{return null;}},
isActive:function(){return T.getPopupArea(this.oToolbar)!=null;},
onsapescape:function(e){this.oToolbar.closePopup(true);},
onsaptabnext:function(e){this.oToolbar.closePopup(true);e.preventDefault();e.stopPropagation();},
onsaptabprevious:function(e){this.oToolbar.closePopup(true);e.preventDefault();e.stopPropagation();}
});
a.prototype._itemRendered=function(){if(this.oItemNavigation){this.updateAfterResize(true);}else{if(!this.sUpdateItemNavigationTimer){this.sUpdateItemNavigationTimer=q.sap.delayedCall(0,this,"updateAfterResize",[true]);}}};
a.prototype.onwindowresize=function(e){if(this.bOpen){this.closePopup(true);}};
a.prototype.ontoolbarresize=function(e){if(this.bOpen){this.closePopup(true);}};
a.prototype.onrightsideresize=function(){if(!this.getDomRef()){this.cleanup();return;}if(this.getRightItems().length>0){var R=this.oDomRef.lastChild;var i=R.offsetWidth;if(this.bRtl){q(this.oInnerRef).css("margin-left",(i+10)+"px");}else{q(this.oInnerRef).css("margin-right",(i+10)+"px");}var f=this.oDomRef.firstChild.firstChild.firstChild;var o=this.getDomRef("mn").offsetWidth;var m=f.offsetWidth+i+o+20;q(this.oDomRef).css("min-width",m+"px");q(this.oInnerRef).css("visibility","visible");}};
a.prototype.cleanup=function(){if(this._detectVisibleItemCountChangeTimer){q.sap.clearDelayedCall(this._detectVisibleItemCountChangeTimer);this._detectVisibleItemCountChangeTimer=null;}if(this.sUpdateItemNavigationTimer){q.sap.clearDelayedCall(this.sUpdateItemNavigationTimer);this.sUpdateItemNavigationTimer=null;}if(this.sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}if(this.sRightSideResizeListenerId){sap.ui.core.ResizeHandler.deregister(this.sRightSideResizeListenerId);this.sRightSideResizeListenerId=null;}};
function g(){var i=[];this.getItems().forEach(function(d){if(d instanceof sap.ui.commons.ToolbarSeparator||d.getVisible()){i.push(d);}});return i;}
function b(e){var o=this.getId()+"-mn";return e.id===o;}
function c(L){var A=0;var d=g.call(this);d.forEach(function(e,i){if(e.getDomRef()===L){A=i+1;return false;}});return A;}
return a;
function r(){if(this.bPopupInitialized){this._oOverflowPopup.destroy();this._oOverflowPopup=null;this.popup.detachOpened(this.handlePopupOpened,this);this.popup.detachClosed(this.handlePopupClosed,this);this.popup.destroy();this.popup=null;this.bPopupInitialized=false;}}
},true);
/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.predefine('sap/ui/commons/AccordionRenderer',['jquery.sap.global'],function(q){"use strict";var A={};
A.render=function(r,a){var b=r;b.write("<div");b.writeControlData(a);if(sap.ui.getCore().getConfiguration().getAccessibility()){b.writeAttribute('role','tablist');}b.addClass("sapUiAcd");b.addStyle("width",a.getWidth());b.writeClasses();b.writeStyles();b.write(">");b.write("<div id='"+a.getId()+"-dropTarget"+"' style='width:"+a.getWidth()+"' tabIndex='-1' class='sapUiAcd-droptarget'></div>");var s=a.getSections();var d=a.getOpenedSectionsId().split(",");for(var i=0;i<s.length;i++){if(a.bInitialRendering){if(q.inArray(s[i].getId(),d)!=-1){s[i]._setCollapsed(false);}else{s[i]._setCollapsed(true);}}A.renderSection(b,s[i]);}b.write('<SPAN id="'+a.getId()+'-Descr" style="visibility: hidden; display: none;">');b.write(a.rb.getText("ACCORDION_DSC"));b.write('</SPAN>');b.write("</div>");a.bInitialRendering=false;};
A.renderSection=function(r,c){var a=r;var b=sap.ui.getCore().getConfiguration().getAccessibility();var h=sap.ui.commons.AccordionSection._isSizeSet(c.getMaxHeight());var w=sap.ui.commons.AccordionSection._isSizeSet(c.getParent().getWidth());a.write("<div");a.writeElementData(c);a.addClass("sapUiAcdSection");if(c.getParent().isLastSection(c)){a.addClass("sapUiAcdSectionLast");}a.addStyle("width",c.getParent().getWidth());if(!c.getCollapsed()){a.addStyle("height",c.getMaxHeight());}else{a.addClass("sapUiAcdSectionColl");}a.addClass("sapUiAcdSectionArea");if(!h){a.addClass("sapUiAcdSectionFlexHeight");}if(!c.getEnabled()){a.addClass("sapUiAcdSectionDis");}a.writeClasses();a.writeStyles();a.write("><div class='sapUiAcdSectionHdr'");if(c.getEnabled()){a.write(" tabindex='0'");}a.writeAttribute("id",c.getId()+"-hdr");if(b){a.writeAttribute('role','tab');a.writeAttribute("aria-labelledby",c.getId()+"-lbl");a.writeAttribute("aria-describedby",c.getParent().getId()+"-Descr");if(c.getEnabled()){if(c.getCollapsed()){a.writeAttribute("aria-expanded","false");}else{a.writeAttribute("aria-expanded","true");}}}a.write(">");a.write("<div ");a.writeAttribute("id",c.getId()+"-trgt");a.write(">");a.write("<span id='"+c.getId()+"-hdrL'>");if(c.getEnabled()){a.write("<a id='"+c.getId()+"-minL' class='sapUiAcdSectionMinArrow' href='# title='Collapse/Expand'");}else{a.write("<a id='"+c.getId()+"-minL' class='sapUiAcdSectionMinArrow sapUiAcdCursorText' href='#' title='Collapse/Expand'");}a.write(" tabindex='-1' ");if(b){a.writeAttribute("aria-labelledby",c.getId()+"-lbl");if(c.getCollapsed()){a.writeAttribute("aria-selected","false");}else{a.writeAttribute("aria-selected","true");}if(c.getEnabled()){a.writeAttribute("aria-disabled","false");if(!sap.ui.Device.browser.internet_explorer){a.writeAttribute("aria-grabbed","false");}}else{a.writeAttribute("aria-disabled","true");if(!sap.ui.Device.browser.internet_explorer){a.writeAttribute("aria-grabbed","");}}}a.write("></a>");a.write("<span tabindex='-1' id='"+c.getId()+"-lbl' class='sapUiAcdSectionLabel'");if(c.getCollapsed()){a.writeAttribute("aria-selected","false");a.addStyle("font-weight","normal");a.writeStyles();}else{a.writeAttribute("aria-selected","true");a.addStyle("font-weight","bold");a.writeStyles();}if(b){a.writeAttribute("role","heading");if(c.getEnabled()){a.writeAttribute("aria-disabled","false");}else{a.writeAttribute("aria-disabled","true");}}a.write(">");a.writeEscaped(c.getTitle());a.write("</span>");a.write("</span>");a.write("</div></div>");if(!c.getCollapsed()){a.write("<div class='sapUiAcdSectionCont' tabindex='-1' id='"+c.getId()+"-cont'");if(h&&w){a.write(" style='position:absolute;'");}else{a.write(" style='position:relative;top:0px;'");}if(sap.ui.getCore().getConfiguration().getAccessibility()){a.writeAttribute('role','tabpanel');}a.write(">");var C=c.getContent(),l=C.length;for(var i=0;i<l;i++){a.renderControl(C[i]);}a.write("</div>");}a.write("</div>");};
return A;},true);
sap.ui.predefine('sap/ui/commons/AccordionSection',['jquery.sap.global','./library','sap/ui/core/Element'],function(q,l,E){"use strict";
var A=E.extend("sap.ui.commons.AccordionSection",{metadata:{library:"sap.ui.commons",properties:{maxHeight:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},enabled:{type:"boolean",group:"Behavior",defaultValue:true},collapsed:{type:"boolean",group:"Behavior",defaultValue:false},title:{type:"string",group:"Misc",defaultValue:null}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"}},events:{scroll:{parameters:{left:{type:"int"},top:{type:"int"}}}}}});
A.prototype.init=function(){this.oScrollDomRef=null;this.data("sap-ui-fastnavgroup","true",true);};
A.prototype.focusFirstControl=function(){var c=this.getContent();if(c[0]){c[0].focus();}};
A.prototype.focus=function(){var h=this.getDomRef("hdr");h.focus();};
A.prototype.onThemeChanged=function(){var h=this.getDomRef("hdrL");if(h){h.style.width="auto";this.onAfterRendering();}};
A.prototype.onAfterRendering=function(){this.oScrollDomRef=this.getDomRef("cont");var c=this.oScrollDomRef,r=this.getDomRef(),a=this.getParent().getDomRef(),d=this.getDomRef("lbl");if(!A._isSizeSet(this.getParent().getWidth())&&A._isSizeSet(this.getMaxHeight())){if(c){var b=c.offsetTop;var t=(r.offsetHeight-b);c.style.height=t+"px";var e=c.offsetHeight;if(e>t){c.style.height=t-(e-t)+"px";}}}d.style.width=a.offsetWidth-30+"px";var s=this.__scrollproxy__;if(!s){s=this.__scrollproxy__=q.proxy(this.onscroll,this);}this.$("cont").bind("scroll",s);};
A.prototype.onBeforeRendering=function(){var s=this.__scrollproxy__;if(s){this.$("cont").unbind("scroll",s);}};
A.prototype.setEnabled=function(e){this.setProperty("enabled",e,true);var r=this.getDomRef();if(r){if(e){q(r).removeClass("sapUiAcdSectionDis");}else{q(r).addClass("sapUiAcdSectionDis");}}return this;};
A.prototype._setCollapsed=function(c){this.setProperty("collapsed",c,true);this._setCollapsedState(c);};
A.prototype.setCollapsed=function(c){if(this.getParent()){if(!c){this.getParent().openSection(this.getId());}else{this.getParent().closeSection(this.getId());}}else{this._setCollapsed(c);}return this;};
A.prototype._setCollapsedState=function(c){var t=this.getDomRef("tb"),a=this.getDomRef("cont"),b=sap.ui.getCore().getConfiguration().getAccessibility();if(this.getDomRef()){if(c){if(!this.getParent().getWidth()){this.getDomRef().style.width=this.getDomRef().offsetWidth+"px";}q(this.getDomRef()).addClass("sapUiAcdSectionColl");if(t){t.style.display="none";}if(a){a.style.display="none";}if(b){a.setAttribute("aria-expanded","false");a.setAttribute("aria-hidden","true");}this.invalidate();}else{if(!a){this.invalidate();}else{q(this.getDomRef()).removeClass("sapUiAcdSectionColl");if(t){t.style.display="block";}a.style.display="block";if(b){a.setAttribute("aria-expanded","true");}if(this.getMaxHeight()){this.getDomRef().style.height=this.getMaxHeight();}}}}};
A._isSizeSet=function(c){return(c&&!(c==="auto")&&!(c==="inherit"));};
A.prototype._handleTrigger=function(e){if((e.target.id===this.getId()+"-minL")||(e.target.id===this.getId()+"-minR")){var c=!this.getProperty("collapsed");this._setCollapsed(c);e.preventDefault();e.stopPropagation();}};
return A;},true);
sap.ui.predefine('sap/ui/commons/ApplicationHeader',['jquery.sap.global','./library','sap/ui/core/Control','./Image','./TextView','./Button',"./ApplicationHeaderRenderer"],function(q,l,C,I,T,B,A){"use strict";
var a=C.extend("sap.ui.commons.ApplicationHeader",{metadata:{library:"sap.ui.commons",properties:{logoSrc:{type:"sap.ui.core.URI",group:"Misc",defaultValue:null},logoText:{type:"string",group:"Misc",defaultValue:null},displayLogoff:{type:"boolean",group:"Misc",defaultValue:true},userName:{type:"string",group:"Misc",defaultValue:null},displayWelcome:{type:"boolean",group:"Misc",defaultValue:true}},events:{logoff:{}}}});
a.prototype.init=function(){this.initializationDone=false;};
a.prototype.exit=function(){this.oLogo&&this.oLogo.destroy();this.oLogoText&&this.oLogoText.destroy();this.oLogoffBtn&&this.oLogoffBtn.destroy();};
a.prototype.initControls=function(){var b=this.getId();var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");this.oLogo&&this.oLogo.destroy();this.oLogo=new I(b+"-logoImg");this.oLogo.setTooltip(r.getText("APPHDR_LOGO_TOOLTIP"));this.oLogo.setParent(this);this.oLogoText&&this.oLogoText.destroy();this.oLogoText=new T(b+"-logoText");this.oLogoText.setAccessibleRole(sap.ui.core.AccessibleRole.Heading);this.oLogoText.setParent(this);this.oLogoffBtn&&this.oLogoffBtn.destroy();this.oLogoffBtn=new B(b+"-logoffBtn");var L=r.getText("APPHDR_LOGOFF");this.oLogoffBtn.setText(L);this.oLogoffBtn.setTooltip(L);this.oLogoffBtn.attachPress(this.logoff,this);this.oLogoffBtn.setParent(this);this.oLogoffBtn.setLite(true);};
a.prototype.logoff=function(e){this.fireLogoff();};
a.prototype.setLogoSrc=function(L){this.initializationDone=false;this.setProperty("logoSrc",L);return this;};
a.prototype.setLogoText=function(L){this.initializationDone=false;this.setProperty("logoText",L);return this;};
a.prototype.setUserName=function(u){this.initializationDone=false;this.setProperty("userName",u);return this;};
a.prototype.setDisplayWelcome=function(d){this.initializationDone=false;this.setProperty("displayWelcome",d);return this;};
a.prototype.setDisplayLogoff=function(d){this.initializationDone=false;this.setProperty("displayLogoff",d);return this;};
return a;},true);
sap.ui.predefine('sap/ui/commons/ApplicationHeaderRenderer',['jquery.sap.global'],function(q){"use strict";var A={};
A.render=function(r,a){if(!a.initializationDone){a.initControls();a.initializationDone=true;}var b=a.getId();r.write("<header");r.writeControlData(a);r.addClass("sapUiAppHdr");r.writeClasses();r.write(">");r.write("<div id=\""+b+"-appHeaderWelcomeLogoffAreas\" class=\"sapUiAppHdrWelcomeLogoffArea sapUiInverted-CTX\">");this.renderWelcomeAndLogoffAreas(r,a);r.write("</div>");r.write("<div id=\""+b+"-logoArea\" class=\"sapUiAppHdrLogo\">");this.renderLogoArea(r,a);r.write("</div>");r.write("</header>");};
A.renderLogoArea=function(r,a){var s=a.getLogoSrc();if(!s){q.sap.require("sap.ui.core.theming.Parameters");s=sap.ui.core.theming.Parameters._getThemeImage();}if(!s){s=sap.ui.resource("sap.ui.commons","themes/"+sap.ui.getCore().getConfiguration().getTheme()+"/img/applicationheader/SAPLogo.png");}a.oLogo.setSrc(s);r.renderControl(a.oLogo);if(a.getLogoText()!=""){a.oLogoText.setText(a.getLogoText());a.oLogoText.setTooltip(a.getLogoText());r.renderControl(a.oLogoText);}};
A.renderWelcomeAndLogoffAreas=function(r,a){var b=a.getId();if(a.getDisplayWelcome()){var c=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");var p=sap.ui.getCore().getConfiguration().getRTL()?"padding-left":"padding-right";if(a.getUserName()!=""){r.write("<label class=\"sapUiLbl sapUiLblEmph\" style=\"text-align: left;\" id=\""+b+"-welcomeLabel\">"+c.getText("APPHDR_WELCOME_USER")+":</label>");r.write("&nbsp;");r.write("<label class=\"sapUiLbl\" style=\"text-align: left;",p,":15px;\" id=\"",b,"-userLabel\">");r.writeEscaped(a.getUserName());r.write("</label>");}else{r.write("<label class=\"sapUiLbl sapUiLblEmph\" style=\"text-align: left;"+p+":15px;\" id=\""+b+"-welcomeLabel\">"+c.getText("APPHDR_WELCOME")+"</label>");}}if(a.getDisplayLogoff()){if(a.getDisplayWelcome()){r.write("<span role=\"separator\" class=\"sapUiTbSeparator\"></span>");}r.renderControl(a.oLogoffBtn);}};
return A;},true);
sap.ui.predefine('sap/ui/commons/Area',['jquery.sap.global','./library','sap/ui/core/Element'],function(q,l,E){"use strict";
var A=E.extend("sap.ui.commons.Area",{metadata:{library:"sap.ui.commons",properties:{shape:{type:"string",group:"Misc",defaultValue:null},coords:{type:"string",group:"Misc",defaultValue:null},href:{type:"sap.ui.core.URI",group:"Misc",defaultValue:null},alt:{type:"string",group:"Misc",defaultValue:null}}}});
A.prototype.onclick=function(e){var o=q(e.target).control(0);this.getParent().firePress({areaId:o.getId()});};
return A;},true);
sap.ui.predefine('sap/ui/commons/AutoComplete',['jquery.sap.global','./ComboBox','./library',"./AutoCompleteRenderer",'jquery.sap.strings'],function(q,C,l,A){"use strict";
var a=C.extend("sap.ui.commons.AutoComplete",{metadata:{interfaces:["sap.ui.commons.ToolbarItem"],library:"sap.ui.commons",properties:{enableScrolling:{type:"boolean",group:"Misc",defaultValue:true}},events:{suggest:{parameters:{suggestValue:{type:"string"}}}}}});
a._DEFAULTFILTER=function(v,i){if(this._skipFilter){return true;}return q.sap.startsWithIgnoreCase(i.getText(),v);};
a.prototype.init=function(){C.prototype.init.apply(this,arguments);this.mobile=false;this._filter=a._DEFAULTFILTER;};
a.prototype.exit=function(){if(this._oListBox){this._oListBox.removeAllItems();}C.prototype.exit.apply(this,arguments);};
a.prototype.setFilterFunction=function(f){if(typeof(f)=="function"){this._filter=f;}else{this._filter=a._DEFAULTFILTER;}};
a.prototype.onkeypress=function(e){var k=e.which||e.keyCode;if(k===q.sap.KeyCodes.ESCAPE){sap.ui.commons.TextField.prototype.onkeypress.apply(this,arguments);q(this.getInputDomRef()).removeAttr("aria-posinset");}};
a.prototype.onfocusin=function(e){if(!this.$().hasClass("sapUiTfFoc")){C.prototype.onfocusin.apply(this,arguments);}};
(function(){
function g(o,I){var d=o.getAriaDescribedBy();var D="";for(var i=0;i<d.length;i++){D+=d[i];if(i<d.length-1){D+=" ";}}if(I){D+=" "+o.getId()+"-ariaLbl";}return D;}
function u(o){var $=q(o.getInputDomRef());var d=g(o,false);if(d.length>0){$.attr("aria-describedby",d);}else{$.removeAttr("aria-describedby");}$.removeAttr("aria-posinset");$.removeAttr("aria-setsize");}
a.prototype._close=function(){u(this);C.prototype._close.apply(this,arguments);};
a.prototype._handleClosed=function(){u(this);C.prototype._handleClosed.apply(this,arguments);};
a.prototype.onAfterRendering=function(){C.prototype.onAfterRendering.apply(this,arguments);q(this.getInputDomRef()).removeAttr("aria-setsize");};
a.prototype._prepareOpen=function(L){var $=q(this.getInputDomRef());var d=g(this,true);$.attr("aria-describedby",d);$.removeAttr("aria-posinset");};
a.prototype._fireLiveChange=function(e){var f=false;var k;if(!this.getEnabled()||!this.getEditable()){this._close();}else{this._sTypedChars=q(this.getInputDomRef()).val();switch(e.type){case"keyup":case"sapup":case"sapdown":case"saphome":case"sapend":if(!C._isHotKey(e)){f=true;}else{break;}case"sapescape":this._close();break;case"keypress":k=e.which||e.keyCode;if(k===q.sap.KeyCodes.ESCAPE){this._close();break;}default:r(this);f=true;}}if(f){this.fireSuggest({suggestValue:this._sTypedChars});}C.prototype._fireLiveChange.apply(this,arguments);};
a.prototype._doTypeAhead=function(){this._sTypeAhead=null;this._sWantedSelectedKey=undefined;this._sWantedSelectedItemId=undefined;this._sTypedChars=q(this.getInputDomRef()).val();r(this);};
a.prototype.refreshItems=function(R){var b=this.getBinding("items");if(R=="filter"&&b){b.getContexts();}else{a.prototype.updateItems.apply(this,arguments);}};
a.prototype._handleItemsChanged=function(e,d){if(d){this._sHandleItemsChanged=null;this._bNoItemCheck=undefined;}if(this._bNoItemCheck){return;}var i=[];if(this._getExistingListBox()){i=this._getListBox().getItems();}var D=this.getDomRef();if(D){q(this.getInputDomRef()).attr("aria-setsize",i.length);}};
a.prototype.getItems=function(){return this.getAggregation("items",[]);};
a.prototype.insertItem=function(i,I){this.insertAggregation("items",I,i,true);r(this);return this;};
a.prototype.addItem=function(i){this.addAggregation("items",i,true);r(this);return this;};
a.prototype.removeItem=function(i){var b=this.removeAggregation("items",i,true);r(this);return b;};
a.prototype.removeAllItems=function(){var b=this.removeAllAggregation("items");r(this);return b;};
a.prototype.indexOfItem=function(i){return this.indexOfAggregation("items",i);};
a.prototype.destroyItems=function(){this.destroyAggregation("items",true);r(this);return this;};
a.prototype.setEnableScrolling=function(e){this.setProperty("enableScrolling",e,true);if(this.oPopup&&this.oPopup.isOpen()){r(this);}return this;};
function r(o){if(!o.getDomRef()||!o.$().hasClass("sapUiTfFoc")){return false;}var I,b=o.getItems(),f=o._sTypedChars&&o._sTypedChars.length>0,L=o._getListBox(),m=o.getMaxPopupItems(),s=o.getEnableScrolling(),h=[];if(!f){o._close();return;}L.removeAllItems();L.clearSelection();for(var i=0;i<b.length;i++){I=b[i];if(!I.__CLONE){I.__CLONE=I.clone(I.getId()+"-CLONE",null,{cloneBindings:false});I.__origexit=I.exit;I.exit=function(){this.__CLONE.destroy();delete this.__CLONE;this.exit=this.__origexit;delete this.__origexit;if(typeof this.exit==="function"){this.exit.apply(this,arguments);}};}if((!f||o._filter(o._sTypedChars,I))&&(s||(!s&&h.length<m))){h.push(I.__CLONE);}}var c=h.length;if(c>0){if(o._sort){h.sort(function(d,e){if(d.getText()>e.getText()){return 1;}if(d.getText()<e.getText()){return-1;}return 0;});}for(var i=0;i<c;i++){L.addItem(h[i]);}L.setVisibleItems(m<c?m:c);if(!o.oPopup||!o.oPopup.isOpen()){o._open();}}else{o._close();}}
})();
a.prototype.setListBox=function(){return this;};
a.prototype.setSelectedKey=function(){return this;};
a.prototype.setSelectedItemId=function(){return this;};
return a;},true);
sap.ui.predefine('sap/ui/commons/AutoCompleteRenderer',['jquery.sap.global','./ComboBoxRenderer','sap/ui/core/Renderer'],function(q,C,R){"use strict";var A=R.extend(C);
A.renderExpander=function(r,c){if(!c.__sARIATXT){var a=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");c.__sARIATXT=a.getText("AUTOCOMPLETE_ARIA_SUGGEST");}r.write("<span id=\"",c.getId(),"-ariaLbl\" style=\"display:none;\">",c.__sARIATXT,"</span>");};
A.renderOuterAttributes=function(r,c){r.addClass("sapUiTfAutoComp");C.renderOuterAttributes.apply(this,arguments);};
A.renderComboARIAInfo=function(r,c){var p={role:"textbox",owns:c.getId()+"-input "+c._getListBox().getId()};if(!c.getEnabled()){p["disabled"]=true;}r.writeAccessibilityState(null,p);};
A.renderARIAInfo=function(r,c){var p={autocomplete:"list",live:"polite",relevant:"all",setsize:c._getListBox().getItems().length};if(c.getValueState()==sap.ui.core.ValueState.Error){p["invalid"]=true;}r.writeAccessibilityState(c,p);};
return A;},true);
sap.ui.predefine('sap/ui/commons/Button',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/EnabledPropagator','sap/ui/core/IconPool',"./ButtonRenderer"],function(q,l,C,E,I,B){"use strict";
var a=C.extend("sap.ui.commons.Button",{metadata:{interfaces:["sap.ui.commons.ToolbarItem","sap.ui.core.IFormContent"],library:"sap.ui.commons",properties:{text:{type:"string",group:"Appearance",defaultValue:''},enabled:{type:"boolean",group:"Behavior",defaultValue:true},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},helpId:{type:"string",group:"Behavior",defaultValue:''},icon:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:''},iconHovered:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:''},iconSelected:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:''},iconFirst:{type:"boolean",group:"Appearance",defaultValue:true},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},styled:{type:"boolean",group:"Appearance",defaultValue:true},lite:{type:"boolean",group:"Appearance",defaultValue:false},style:{type:"sap.ui.commons.ButtonStyle",group:"Appearance",defaultValue:sap.ui.commons.ButtonStyle.Default}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{press:{}}}});
E.call(a.prototype);
a.prototype.onclick=function(e){if(this.getEnabled()&&this.getVisible()){this.firePress({});}e.preventDefault();e.stopPropagation();};
a.prototype.onsapenter=function(e){e.stopPropagation();};
a.prototype.onmousedown=function(e){this.handleMouseDown(e,true);};
a.prototype.handleMouseDown=function(e,f){if(this.getEnabled()&&this.getRenderer().onactive){this.getRenderer().onactive(this);}if(f&&(!!sap.ui.Device.browser.webkit||(!!sap.ui.Device.browser.firefox&&navigator.platform.indexOf("Mac")===0))){if(sap.ui.Device.browser.mobile&&!!sap.ui.Device.browser.webkit){this.focus();}q.sap.delayedCall(0,this,function(){this.focus();});}};
a.prototype.onmouseup=function(e){if(this.getEnabled()&&this.getRenderer().ondeactive){this.getRenderer().ondeactive(this);}};
a.prototype.onmouseout=function(e){if(this.getEnabled()&&this.getRenderer().onmouseout){this.getRenderer().onmouseout(this);}};
a.prototype.onmouseover=function(e){if(this.getEnabled()&&this.getRenderer().onmouseover){this.getRenderer().onmouseover(this);}};
a.prototype.onfocusout=function(e){if(this.getEnabled()&&this.getRenderer().onblur){this.getRenderer().onblur(this);}};
a.prototype.onfocusin=function(e){if(this.getEnabled()&&this.getRenderer().onfocus){this.getRenderer().onfocus(this);}};
a.prototype.setIcon=function(i){this._setIcon(i,"icon");return this;};
a.prototype.setIconHovered=function(i){this._setIcon(i,"iconHovered");return this;};
a.prototype.setIconSelected=function(i){this._setIcon(i,"iconSelected");return this;};
a.prototype._setIcon=function(i,p){var s=this.getProperty(p);if(s==i){return;}var u=false;if(I.isIconURI(s)){u=true;}var U=false;if(I.isIconURI(i)){U=true;}var S=true;if((!s&&i)||(s&&!i)||(u!=U)){S=false;}this.setProperty(p,i,S);if(S==true&&this.getDomRef()&&this.getRenderer().changeIcon){this.getRenderer().changeIcon(this);}};
a.prototype.getAccessibilityInfo=function(){var d=this.getText()||this.getTooltip_AsString();if(!d&&this.getIcon()){var i=sap.ui.core.IconPool.getIconInfo(this.getIcon());if(i){d=i.text||i.name;}}return{role:"button",type:sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons").getText("ACC_CTR_TYPE_BUTTON"),description:d,focusable:this.getEnabled(),enabled:this.getEnabled()};};
return a;},true);
sap.ui.predefine('sap/ui/commons/ButtonRenderer',['jquery.sap.global'],function(q){"use strict";var B={};
B.render=function(r,o){r.addClass("sapUiBtn");r.write("<button type=\"button\"");r.writeControlData(o);if(o.getTooltip_AsString()){r.writeAttributeEscaped("title",o.getTooltip_AsString());}if(o.getStyled()){r.addClass("sapUiBtnS");}if(o.getLite()){r.addClass("sapUiBtnLite");}else{r.addClass("sapUiBtnNorm");}var s=o.getStyle();if(s!=""&&s!=sap.ui.commons.ButtonStyle.Default){r.addClass("sapUiBtn"+q.sap.encodeHTML(s));}r.writeAccessibilityState(o,{role:'button',disabled:!o.getEnabled()});if(!o.getEnabled()){r.write(" tabIndex=\"-1\"");r.addClass("sapUiBtnDsbl");}else{r.write(" tabIndex=\"0\"");r.addClass("sapUiBtnStd");}var i=false;if(!o.getText()&&o.getIcon()){r.addClass("sapUiBtnIconOnly");i=true;var I=sap.ui.core.IconPool.getIconInfo(o.getIcon()),t=o.getTooltip_AsString();if(t||(I&&I.name)){r.writeAttributeEscaped("title",t||I.name);}}if(o.getIcon()&&o.getText()){r.addClass("sapUiBtnIconAndText");}if(o.getWidth()&&o.getWidth()!=''){r.addStyle("width",o.getWidth());r.addClass("sapUiBtnFixedWidth");}if(o.getHeight()&&o.getHeight()!=''){r.addStyle("height",o.getHeight());}r.writeStyles();if(this.renderButtonAttributes){this.renderButtonAttributes(r,o);}if(!!sap.ui.Device.browser.internet_explorer&&(!document.documentMode||document.documentMode<10)){r.addClass("sapUiBtnNoGradient");}r.writeClasses();r.write(">");if(this.renderButtonContentBefore){this.renderButtonContentBefore(r,o);}var u=false;if(sap.ui.core.IconPool.isIconURI(o.getIcon())){u=true;}if(o.getIconFirst()){if(u){this.writeIconHtml(r,o);}else if(this._getIconForState(o,"base")){this.writeImgHtml(r,o,i);}}if(o.getText()){if(!o.getIcon()&&!this.renderButtonContentBefore&&!this.renderButtonContentAfter){r.writeEscaped(o.getText());}else{r.write("<span class=\"sapUiBtnTxt\">");r.writeEscaped(o.getText());r.write("</span>");}}if(!o.getIconFirst()){if(u){this.writeIconHtml(r,o);}else if(this._getIconForState(o,"base")){this.writeImgHtml(r,o,i);}}if(this.renderButtonContentAfter){this.renderButtonContentAfter(r,o);}r.write("</button>");};
B.onactive=function(o){o.$().addClass("sapUiBtnAct").removeClass("sapUiBtnStd");o.$("img").attr("src",this._getIconForState(o,"active"));};
B.ondeactive=function(o){o.$().addClass("sapUiBtnStd").removeClass("sapUiBtnAct");o.$("img").attr("src",this._getIconForState(o,"deactive"));};
B.onblur=function(o){o.$().removeClass("sapUiBtnFoc");o.$("img").attr("src",this._getIconForState(o,"blur"));if(!!sap.ui.Device.browser.internet_explorer){B.onmouseout(o);}};
B.onfocus=function(o){o.$().addClass("sapUiBtnFoc");o.$("img").attr("src",this._getIconForState(o,"focus"));};
B.onmouseout=function(o){o.$().removeClass("sapUiBtnAct");o.$().addClass("sapUiBtnStd");o.$("img").attr("src",this._getIconForState(o,"mouseout"));};
B.onmouseover=function(o){o.$("img").attr("src",this._getIconForState(o,"mouseover"));};
B._getIconForState=function(o,s){if(!o.getEnabled()){s="disabled";}switch(s){case"focus":case"blur":case"base":if(o.$().hasClass("sapUiBtnAct")){var i=o.getIconSelected()||o.getIconHovered();return i?i:o.getIcon();}else if(o.$().hasClass("sapUiBtnFoc")){return o.getIcon();}return o.getIcon();case"mouseout":if(o.$().hasClass("sapUiBtnFoc")){return o.getIcon();}return o.getIcon();case"active":var i=o.getIconSelected()||o.getIconHovered();return i?i:o.getIcon();case"mouseover":case"deactive":var i=o.getIconHovered();return i?i:o.getIcon();}return o.getIcon();};
B.writeImgHtml=function(r,o,i){var a=r,c=this._getIconForState(o,"base");a.write("<img");a.writeAttribute("id",o.getId()+"-img");a.writeAttributeEscaped("src",c);if(o.getTooltip_AsString()&&!o.getText()){a.writeAttributeEscaped("alt",o.getTooltip_AsString());}else{a.writeAttribute("alt","");}if(!i){a.writeAttribute("role","presentation");}a.addClass("sapUiBtnIco");if(o.getText()){a.addClass(o.getIconFirst()?"sapUiBtnIcoL":"sapUiBtnIcoR");}a.writeClasses();a.write("/>");};
B.writeIconHtml=function(r,o){var a=r;var c=[];var A=b(o);c.push("sapUiBtnIco");if(o.getText()){c.push(o.getIconFirst()?"sapUiBtnIcoL":"sapUiBtnIcoR");}a.writeIcon(o.getIcon(),c,A);};
B.changeIcon=function(o){if(sap.ui.core.IconPool.isIconURI(o.getIcon())){var i=sap.ui.core.IconPool.getIconInfo(o.getIcon());var I=o.$("icon");I.attr("data-sap-ui-icon-content",i.content);if(!i.skipMirroring){I.addClass("sapUiIconMirrorInRTL");}else{I.removeClass("sapUiIconMirrorInRTL");}}else if(o.$().hasClass("sapUiBtnAct")){o.$("img").attr("src",this._getIconForState(o,"active"));}else if(o.$().hasClass("sapUiBtnFoc")){o.$("img").attr("src",this._getIconForState(o,"focus"));}else if(o.$().hasClass("sapUiBtnStd")){o.$("img").attr("src",this._getIconForState(o,"base"));}};
function b(o){var a={},t=o.getTooltip_AsString();a["id"]=o.getId()+"-icon";if(t){a["title"]=null;a["aria-label"]=null;a["aria-hidden"]=true;}return a;}
return B;},true);
sap.ui.predefine('sap/ui/commons/Callout',['jquery.sap.global','./CalloutBase','./library',"./CalloutRenderer"],function(q,C,l,a){"use strict";
var b=C.extend("sap.ui.commons.Callout",{metadata:{library:"sap.ui.commons",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"}}}});
return b;},true);
sap.ui.predefine('sap/ui/commons/CalloutBase',['jquery.sap.global','./library','sap/ui/core/TooltipBase',"./CalloutBaseRenderer"],function(q,l,T,C){"use strict";
var a=T.extend("sap.ui.commons.CalloutBase",{metadata:{library:"sap.ui.commons",events:{open:{parameters:{parent:{type:"sap.ui.core.Control"}}},close:{},beforeOpen:{allowPreventDefault:true,parameters:{parent:{type:"sap.ui.core.Control"}}},opened:{}}}});
a.prototype.init=function(){this.oPopup=new sap.ui.core.Popup();this.oPopup.setShadow(true);this.oRb=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");this.setPosition(sap.ui.core.Popup.Dock.BeginBottom,sap.ui.core.Popup.Dock.BeginTop);this.fAnyEventHandlerProxy=q.proxy(this.onAnyEvent,this);var t=this;this.oPopup._applyPosition=function(p){sap.ui.core.Popup.prototype._applyPosition.call(this,p);t.setTip();};this.oPopup.setFollowOf(sap.ui.core.Popup.CLOSE_ON_SCROLL);};
a.prototype.exit=function(){this.oPopup.close();this.oPopup.detachEvent("opened",this.handleOpened,this);this.oPopup.detachEvent("closed",this.handleClosed,this);this.oPopup.destroy();delete this.oPopup;delete this.oRb;q.sap.unbindAnyEvent(this.fAnyEventHandlerProxy);};
a.prototype._getPopup=function(){return this.oPopup;};
a.prototype.hasChild=function(d){return d&&!!(q(d).closest(this.getDomRef()).length);};
a.prototype.isPopupElement=function(d){if(!d){return false;}if(this.hasChild(d)){return true;}var s=sap.ui.getCore().getStaticAreaRef();var t=parseInt(q(d).closest(q(s).children()).css("z-index"),10);var b=parseInt(this.$().css("z-index"),10);return t&&b&&t>=b;};
a.prototype.setTip=function(){if(!this.oPopup||!this.oPopup.isOpen()){return;}var $=this._currentControl.$(),b=this.$(),c=this.$("arrow"),d=b.offset(),e=$.offset(),s=true,f={},t={l:d.left,r:d.left+b.outerWidth(),w:b.outerWidth(),t:d.top,b:d.top+b.outerHeight(),h:b.outerHeight()},p={l:e.left,r:e.left+$.outerWidth(),w:$.outerWidth(),t:e.top,b:e.top+$.outerHeight(),h:$.outerHeight()},g=(b.outerWidth()-b.innerWidth())/2,h=c.outerWidth()*1.4,i=c.outerWidth()/5,j=i-g-8,m=this.getMyPosition();if(t.r<p.l-j){f.x="right";}else if(t.l-j>p.r){f.x="left";}if(t.t>p.b-j){f.y="top";}else if(t.b<p.t+j){f.y="bottom";}if(f.x){var P=0;if(m.indexOf("top")>-1){P=20;}else if(m.indexOf("bottom")>-1){P=t.h-20-h;}else{P=(t.h-h)/2;}var k=t.t+P+h/2+g;if((k<p.t)||(k>p.b)||(p.t>t.t&&p.b<t.b)){P=(Math.max(t.t,p.t)+Math.min(t.b,p.b))/2-t.t-h/2;}c.css(f.x,j+"px");c.css("top",P);if(P<0||P>t.h-h){s=false;}}if(f.y){var r=sap.ui.getCore().getConfiguration().getRTL();if(r){m.replace("begin","right").replace("end","left");}var n=0;if((m.indexOf("begin")>-1)||(m.indexOf("left")>-1)){n=20;}else if((m.indexOf("right")>-1)||(m.indexOf("end")>-1)){n=t.w-20-h;}else{n=(t.w-h)/2;}var o=t.l+n+h/2+g;if((o<p.l)||(o>p.r)){n=(Math.max(t.l,p.l)+Math.min(t.r,p.r))/2-t.l-h/2;}c.css(f.y,j+"px");c.css("left",n+"px");if(n<0||n>t.w-h){s=false;}}if(f.x&&f.y||!f.x&&!f.y){s=false;}c.toggle(s);};
a.prototype.adjustPosition=function(){function _(){if(this.oPopup){var p=this._currentControl.getDomRef();this.oPopup.setPosition(this.getMyPosition(),this.getAtPosition(),p,this.getOffset(),this.getCollision());}}setTimeout(q.proxy(_,this),0);};
a.prototype.focus=function(){if(this.oPopup&&this.oPopup.isOpen()){var c=this.$("cont");q.sap.focus(c.firstFocusableDomRef()||c.get(0));}};
a.prototype.openPopup=function(s){if(!this.oPopup||this.oPopup.isOpen()){return;}if(T.sOpenTimeout){q.sap.clearDelayedCall(T.sOpenTimeout);T.sOpenTimeout=undefined;}if(!this.fireEvent("beforeOpen",{parent:this._currentControl},true,false)){if(!this.sCloseNowTimeout){T.sOpenTimeout=q.sap.delayedCall(200,this,"openPopup",[this._currentControl]);}return;}this.oParentFocusInfo=s.getFocusInfo();this.oPopup.attachEvent("opened",this.handleOpened,this);T.prototype.openPopup.call(this,s);this.adjustPosition();this.fireOpen({parent:this._currentControl});};
a.prototype.close=function(){if(this.oPopup&&this.oPopup.isOpen()&&!this.sCloseNowTimeout){if(T.sOpenTimeout){q.sap.clearDelayedCall(T.sOpenTimeout);T.sOpenTimeout=undefined;}this.closePopup();}};
a.prototype.closePopup=function(){var w=this.oPopup!==undefined&&this.oPopup.isOpen();if(this.fAnyEventHandlerProxy){q.sap.unbindAnyEvent(this.onAnyEvent);}T.prototype.closePopup.call(this);if(w&&this._currentControl&&this.bFocused){this._currentControl.applyFocusInfo(this.oParentFocusInfo);this.bFocused=false;}this.fireClose();};
a.prototype.handleClosed=function(){if(this.oPopup){this.oPopup.detachEvent("closed",this.handleClosed,this);this.fireClosed();}};
a.prototype.onkeydown=function(e){var c=e.ctrlKey&&e.which==q.sap.KeyCodes.I;var E=e.which==q.sap.KeyCodes.ESCAPE;if(!c&&!E){if(q(e.target).control(0)===this._currentControl){this.close();}return;}if(c){if(this.oPopup&&this.oPopup.isOpen()){return;}this.bDoFocus=true;}T.prototype.onkeydown.call(this,e);};
a.prototype.handleOpened=function(){this.oPopup.detachEvent("opened",this.handleOpened,this);if(this.bDoFocus){this.focus();this.bDoFocus=false;this.bFocused=true;}this.$().css("display:","");this.fireOpened();q.sap.bindAnyEvent(this.fAnyEventHandlerProxy);};
a.prototype.onfocusin=function(e){this.bFocused=true;var s=e.target;if(s.id===this.getId()+"-fhfe"){q.sap.focus(this.$("cont").lastFocusableDomRef());}else if(s.id===this.getId()+"-fhee"){q.sap.focus(this.$("cont").firstFocusableDomRef());}};
a.prototype.onfocusout=function(e){return;};
a.prototype.onmouseover=function(e){if(this.oPopup&&(this.oPopup.isOpen()&&this.oPopup.getContent()==this)){if(this.sCloseNowTimeout){q.sap.clearDelayedCall(this.sCloseNowTimeout);this.sCloseNowTimeout=null;}return;}else{T.prototype.onmouseover.call(this,e);}};
a.prototype.onmouseout=function(e){if(this.oPopup&&(this.oPopup.isOpen()&&this.isPopupElement(e.relatedTarget))){return;}T.prototype.onmouseout.call(this,e);};
a.prototype.onmousedown=function(e){if(q(e.target).control(0)===this._currentControl){this.close();this.removeStandardTooltips();}};
a.prototype.onAnyEvent=function(e){if((this.oPopup&&!this.oPopup.isOpen())||e.type!="mouseover"||this.hasChild(e.target)){return;}var d=this.isPopupElement(e.target)||q(e.target).control(0)===this._currentControl;if(!d&&!this.sCloseNowTimeout&&!T.sOpenTimeout){this.sCloseNowTimeout=q.sap.delayedCall(400,this,"closePopup");}if(d&&this.sCloseNowTimeout){q.sap.clearDelayedCall(this.sCloseNowTimeout);this.sCloseNowTimeout=null;}};
a.prototype.setPosition=function(m,b){var c=m||sap.ui.core.Popup.Dock.BeginBottom;var d=b||sap.ui.core.Popup.Dock.BeginTop;var e=0,f=0,g=0,h=0,i=5;if((c.indexOf("begin")>-1)||(c.indexOf("left")>-1)){e=-1;}else if((c.indexOf("right")>-1)||(c.indexOf("end")>-1)){e=1;}if((d.indexOf("begin")>-1)||(d.indexOf("left")>-1)){g=-1;}else if((d.indexOf("right")>-1)||(d.indexOf("end")>-1)){g=1;}if(c.indexOf("top")>-1){f=-1;}else if(c.indexOf("bottom")>-1){f=1;}if(d.indexOf("top")>-1){h=-1;}else if(d.indexOf("bottom")>-1){h=1;}var o=((e-g)*e*g*i)+" "+((f-h)*f*h*i);this.setMyPosition(c);this.setAtPosition(d);this.setOffset(o);return this;};
return a;},true);
sap.ui.predefine('sap/ui/commons/CalloutBaseRenderer',['jquery.sap.global'],function(q){"use strict";var C={};
C.render=function(r,c){var a=r;var b=sap.ui.getCore().getConfiguration().getAccessibility();var i=c.getId();a.write("<div");a.writeControlData(c);a.addClass("sapUiCltBase");if(this.addRootClasses){this.addRootClasses(a,c);}a.writeClasses();if(b){a.writeAttribute("role","dialog");var A=c.oRb.getText('CALLOUT_ARIA_NAME');if(A){a.writeAttributeEscaped("aria-label",A);}}if(c.getTooltip_AsString()){a.writeAttributeEscaped("title",c.getTooltip_AsString());}a.addStyle("display","none");a.writeStyles();a.write(">");a.write("<span id=\""+i+"-fhfe\" tabIndex=\"0\"></span>");a.write("<div");a.writeAttribute("id",i+"-cont");a.addClass("sapUiCltBaseCont");if(this.addContentClasses){this.addContentClasses(a,c);}a.writeClasses();a.writeAttribute("tabindex","-1");a.write(">");if(this.renderContent){this.renderContent(a,c);}a.write("</div>");a.write("<div");a.writeAttribute("id",i+"-arrow");if(b){a.writeAttribute("role","presentation");}a.addClass("sapUiCltBaseArr");if(this.addArrowClasses){this.addArrowClasses(a,c);}a.writeClasses();a.write("></div>");a.write("<span id=\""+i+"-fhee\" tabIndex=\"0\"></span>");a.write("</div>");};
return C;},true);
sap.ui.predefine('sap/ui/commons/CalloutRenderer',['jquery.sap.global','./CalloutBaseRenderer','sap/ui/core/Renderer'],function(q,C,R){"use strict";var a=R.extend(C);
a.renderContent=function(r,c){var b=r;var d=c.getContent();for(var i=0;i<d.length;i++){b.renderControl(d[i]);}};
a.addRootClasses=function(r,c){r.addClass("sapUiClt");};
a.addContentClasses=function(r,c){r.addClass("sapUiCltCont");};
a.addArrowClasses=function(r,c){r.addClass("sapUiCltArr");};
return a;},true);
sap.ui.predefine('sap/ui/commons/CarouselRenderer',['jquery.sap.global'],function(q){"use strict";var C={};
C.render=function(r,c){var a=r;var R=sap.ui.getCore().getConfiguration().getRTL();a.write("<div");a.addClass("sapUiCrsl");if(c.getWidth()!=""){a.addStyle("width",c.getWidth());}if(c.getHeight()!=""){a.addStyle("height",c.getHeight());}a.writeStyles();a.writeClasses();a.writeControlData(c);a.write(">");var b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");a.write("<div");a.writeAttribute("id",c.getId()+"-prevbutton");a.writeAttribute("title",b.getText("CAROUSEL_SHOW_PREV"));a.addClass("sapUiCrslPrevBtn");a.writeClasses();if(c.getHandleSize()!=22){if(c.getOrientation()=="vertical"){a.addStyle("height",c.getHandleSize()+"px");}else{a.addStyle("width",c.getHandleSize()+"px");}a.writeStyles();}a.write(">");if(c.getOrientation()=="vertical"){a.write("&#9650");}else{if(R){a.write("&#9658");}else{a.write("&#9668");}}a.write("</div>");a.write("<div");a.writeAttribute("id",c.getId()+"-nextbutton");a.writeAttribute("title",b.getText("CAROUSEL_SHOW_NEXT"));a.addClass("sapUiCrslNextBtn");a.writeClasses();if(c.getHandleSize()!=22){if(c.getOrientation()=="vertical"){a.addStyle("height",c.getHandleSize()+"px");}else{a.addStyle("width",c.getHandleSize()+"px");}a.writeStyles();}a.write(">");if(c.getOrientation()=="vertical"){a.write("&#9660");}else{if(R){a.write("&#9668");}else{a.write("&#9658");}}a.write("</div>");a.write("<div");a.writeAttribute("id",c.getId()+"-contentarea");a.addClass("sapUiCrslCnt");a.writeClasses();a.write(">");var d=c.getContent();a.write("<ul");a.writeAttribute("id",c.getId()+"-scrolllist");a.writeAttribute("role","listbox");a.writeAttribute("aria-describedby",c.getId()+"-navigate");a.addClass("sapUiCrslScl");a.writeClasses();a.write(">");for(var i=0;i<d.length;i++){var o=d[i];a.write("<li");a.writeAttribute("id",c.getId()+"-item-"+o.getId());a.writeAccessibilityState(c,{role:"option",posinset:i+1,setsize:d.length,labelledby:c.getId()+"-toggleaction"});a.writeAttribute("tabindex","-1");a.addClass("sapUiCrslItm");a.writeClasses();a.write(">");a.renderControl(o);a.write("</li>");}a.write("</ul>");a.write("</div>");a.write("<div");a.writeAttribute("tabindex","0");a.addClass("sapUiCrslBefore");a.writeClasses();a.write("></div>");a.write("<div");a.writeAttribute("tabindex","0");a.addClass("sapUiCrslAfter");a.writeClasses();a.write("></div>");a.write("<span");a.writeAttribute("id",c.getId()+"-toggleaction");a.addStyle("position","absolute");a.addStyle("top","-20000px");a.writeStyles();a.write(">");a.write(b.getText("CAROUSEL_ACTION_MODE"));a.write("</span>");a.write("<span");a.writeAttribute("id",c.getId()+"-navigate");a.addStyle("position","absolute");a.addStyle("top","-20000px");a.writeStyles();a.write(">");a.write(b.getText("CAROUSEL_NAV"));a.write("</span>");a.write("</div>");};
return C;},true);
sap.ui.predefine('sap/ui/commons/CheckBox',['jquery.sap.global','./library','sap/ui/core/Control',"./CheckBoxRenderer"],function(q,l,C,a){"use strict";
var b=C.extend("sap.ui.commons.CheckBox",{metadata:{library:"sap.ui.commons",properties:{checked:{type:"boolean",group:"Data",defaultValue:false,bindable:"bindable"},text:{type:"string",group:"Appearance",defaultValue:null},enabled:{type:"boolean",group:"Behavior",defaultValue:true},editable:{type:"boolean",group:"Behavior",defaultValue:true},valueState:{type:"sap.ui.core.ValueState",group:"Data",defaultValue:sap.ui.core.ValueState.None},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:sap.ui.core.TextDirection.Inherit},name:{type:"string",group:"Misc",defaultValue:null}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{change:{parameters:{checked:{type:"boolean"}}}}}});
b.prototype.onclick=function(e){if(!!sap.ui.Device.browser.internet_explorer&&!this.getEnabled()){this.$().attr("tabindex",0).addClass("sapUiCbFoc");}this.userToggle(e);};
b.prototype.onfocusout=function(e){if(!!sap.ui.Device.browser.internet_explorer&&!this.getEnabled()){this.$().attr("tabindex",-1).removeClass("sapUiCbFoc");}};
b.prototype.onsapspace=function(e){this.userToggle(e);};
b.prototype.userToggle=function(e){e.preventDefault();if(this.getEnabled()&&this.getEditable()){this.toggle();this.fireChange({checked:this.getChecked()});}else{this.getDomRef().focus();}};
b.prototype.toggle=function(){this.setChecked(!this.getChecked());return this;};
b.prototype.getAccessibilityInfo=function(){var B=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");return{role:"checkbox",type:B.getText("ACC_CTR_TYPE_CHECKBOX"),description:(this.getText()||"")+(this.getChecked()?(" "+B.getText("ACC_CTR_STATE_CHECKED")):""),focusable:this.getEnabled(),enabled:this.getEnabled(),editable:this.getEditable()};};
return b;},true);
sap.ui.predefine('sap/ui/commons/CheckBoxRenderer',['jquery.sap.global','sap/ui/core/ValueStateSupport'],function(q,V){"use strict";var C={};
C.render=function(r,c){r.addClass("sapUiCb");r.write("<span");r.writeControlData(c);r.writeAccessibilityState(c,{"role":sap.ui.core.AccessibleRole.Checkbox.toLowerCase()});r.writeAttributeEscaped("aria-labelledby",c.getId()+"-label");var e=c.getEnabled()!=null&&c.getEnabled();var a=c.getEditable()!=null&&c.getEditable();var i=false;var b=false;if(c.getValueState()!=null){i=sap.ui.core.ValueState.Error==c.getValueState();b=sap.ui.core.ValueState.Warning==c.getValueState();}if(c.getChecked()){r.addClass("sapUiCbChk");}var m=0;if(!a){r.addClass("sapUiCbRo");m=0;}if(!e){r.addClass("sapUiCbDis");m=-1;}if(i){r.addClass("sapUiCbErr");r.writeAttribute("aria-invalid","true");}else if(b){r.addClass("sapUiCbWarn");}if(e&&a&&!i&&!b){r.addClass("sapUiCbStd");}if(e&&a){r.addClass("sapUiCbInteractive");}r.writeClasses();if(c.getWidth()&&c.getWidth()!=''){r.writeAttribute("style","width:"+c.getWidth()+";");}r.writeAttribute("tabIndex",m);r.write(">");r.write("<input type='CheckBox' tabindex='-1' id='");r.write(c.getId());r.write("-CB'");if(c.getName()){r.writeAttributeEscaped('name',c.getName());}if(c.getChecked()){r.write(" checked='checked'");}if(!e){r.write(" disabled='disabled'");}var t=V.enrichTooltip(c,c.getTooltip_AsString());if(t){r.writeAttributeEscaped("title",t);}if(!a){r.write(" disabled='disabled'");}r.write(" />");r.write("<label");r.writeAttributeEscaped("id",c.getId()+"-label");if(t){r.writeAttributeEscaped("title",t);}r.writeAttribute("for",c.getId()+"-CB");if(!c.getText()){r.write(" class='sapUiCbNoText'");}r.write(">");if(c.getText()){this.renderText(r,c.getText(),c.getTextDirection());}r.write("</label>");r.write("</span>");};
C.renderText=function(r,t,e){var a=r;if(!e||e==sap.ui.core.TextDirection.Inherit){a.writeEscaped(t);}else{a.write("<span style=\"direction:"+e.toLowerCase()+";\">");a.writeEscaped(t);a.write("</span>");}};
return C;},true);
sap.ui.predefine('sap/ui/commons/ColorPicker',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/unified/ColorPicker'],function(q,l,C,U){"use strict";
var a=U.extend("sap.ui.commons.ColorPicker",{
metadata:{deprecated:true,library:"sap.ui.commons"},
renderer:"sap.ui.unified.ColorPickerRenderer"
});
try{sap.ui.getCore().loadLibrary("sap.ui.unified");}catch(e){q.sap.log.error("The control 'sap.ui.commons.ColorPicker' needs library 'sap.ui.unified'.");throw(e);}return a;},true);
sap.ui.predefine('sap/ui/commons/ComboBox',['jquery.sap.global','./TextField','./library','sap/ui/core/Popup',"./ComboBoxRenderer",'jquery.sap.strings'],function(q,T,a,P,C){"use strict";
var b=T.extend("sap.ui.commons.ComboBox",{metadata:{interfaces:["sap.ui.commons.ToolbarItem"],library:"sap.ui.commons",properties:{maxPopupItems:{type:"int",group:"Behavior",defaultValue:10},displaySecondaryValues:{type:"boolean",group:"Misc",defaultValue:false},selectedKey:{type:"string",group:"Data",defaultValue:null},selectedItemId:{type:"string",group:"Data",defaultValue:null}},defaultAggregation:"items",aggregations:{items:{type:"sap.ui.core.ListItem",multiple:true,singularName:"item",bindable:"bindable"},myListBox:{type:"sap.ui.commons.ListBox",multiple:false,visibility:"hidden"}},associations:{listBox:{type:"sap.ui.commons.ListBox",multiple:false}}}});
b.prototype.init=function(){T.prototype.init.apply(this,arguments);this._iClosedUpDownIdx=-1;this._sCloseId=null;this.setAccessibleRole(sap.ui.core.AccessibleRole.Combobox);if(!sap.ui.Device.system.desktop){this.mobile=true;}};
b.prototype.exit=function(){if(this._oListBox){if(this._oListBoxDelegate){this._oListBox.removeDelegate(this._oListBoxDelegate);}if(this.getAggregation("myListBox")){this.destroyAggregation("myListBox",true);}else{this._oListBox.destroy();}this._oListBox=null;}else if(this.getListBox()){var l=sap.ui.getCore().byId(this.getListBox());if(l){l.detachEvent("itemsChanged",this._handleItemsChanged,this);l.detachEvent("itemInvalidated",this._handleItemInvalidated,this);}}this._sWantedSelectedKey=undefined;this._sWantedSelectedItemId=undefined;if(this._sHandleItemsChanged){q.sap.clearDelayedCall(this._sHandleItemsChanged);this._sHandleItemsChanged=null;this._bNoItemCheck=undefined;}};
b.prototype.onclick=function(e){if(this.getEnabled&&this.getEnabled()&&this.getEditable()&&e.target===this.getF4ButtonDomRef()){if(this.oPopup&&this.oPopup.isOpen()){this._close();}else if(!this._F4ForClose){this._open();}this.focus();}this._F4ForClose=false;};
b.prototype.onmousedown=function(e){var f=this.getF4ButtonDomRef();if(e.target!==f||!this.getEnabled()||!this.getEditable()){if(this.oPopup&&this.oPopup.isOpen()){e.stopPropagation();}return;}else if(e.target==f&&q(this.getFocusDomRef()).data("sap.INItem")){e.stopPropagation();this.focus();}if(this.oPopup&&this.oPopup.isOpen()){this._F4ForClose=true;}else{this._F4ForOpen=true;}};
b.prototype.onsapshow=function(e){if(this.mobile){return;}if(this.oPopup&&this.oPopup.isOpen()){this._close();}else{this._open();}e.preventDefault();e.stopImmediatePropagation();};
b.prototype.onsapnextmodifiers=function(e){T.prototype.onsapnextmodifiers.apply(this,arguments);if(e.keyCode==q.sap.KeyCodes.ARROW_DOWN&&e.altKey){this.onsapshow(e);e.stopPropagation();}};
b.prototype.onsaphide=function(e){if(this.mobile){return;}this._close();e.stopPropagation();};
b.prototype.onsapescape=function(e){if(this.oPopup&&this.oPopup.isOpen()){this._close();e.stopPropagation();}T.prototype.onsapescape.apply(this,arguments);var i=this.getSelectedItemId();if(i){var I=sap.ui.getCore().byId(i);this._iClosedUpDownIdx=this.indexOfItem(I);var l=this._getListBox();l.setSelectedIndex(this._iClosedUpDownIdx);this._updatePosInSet(null,this._iClosedUpDownIdx+1,(I.getAdditionalText?I.getAdditionalText():""));}else{this._updatePosInSet(null,-1,null);this._iClosedUpDownIdx=-1;}};
b.prototype.onsapenter=function(e){this._close();this._checkChange(e);};
b.prototype.onsapfocusleave=function(e){var l=this._getListBox();if((e.relatedControlId&&q.sap.containsOrEquals(l.getFocusDomRef(),sap.ui.getCore().byId(e.relatedControlId).getFocusDomRef()))||this._bOpening){this.focus();}else{T.prototype.onsapfocusleave.apply(this,arguments);}};
b.prototype._checkChange=function(e,I){var o=this.getInputDomRef();if(!o){return;}var n=q(o).val(),O=this.getValue();if(!this._F4ForOpen&&(this.getEditable()&&this.getEnabled())){var c=this.getItems(),d=null,t,k,s,f;if(O!=n){this.setValue(n,true);for(var i=0,l=c.length;i<l;i++){t=c[i].getText();if(t===n){if(i==this._iClosedUpDownIdx){d=c[i];k=d.getKey();s=d.getId();f=i;break;}else if(!f){d=c[i];k=d.getKey();s=d.getId();f=i;}}}this.setProperty("selectedKey",k,true);this.setProperty("selectedItemId",s,true);if(s){this._iClosedUpDownIdx=f;}else{this._iClosedUpDownIdx=-1;}if(this.mobile){if(!s){this._addDummyOption(n);}else{this._removeDummyOption();this.getDomRef("select").selectedIndex=f;}}}else{var g=this.getSelectedItemId();var N;f=this._iClosedUpDownIdx;if(f>=0){d=c[f];if(d.getText()==n){N=d.getId();}}if(N&&N!=g){this.setSelectedItemId(N,true);}else{return;}}this.fireChange({newValue:n,selectedItem:d});}};
b.prototype.onkeypress=function(e){if(e.target.id==this.getId()+"-select"){return;}if(!this.getEnabled()||!this.getEditable()){return;}if(this._sTypeAhead){q.sap.clearDelayedCall(this._sTypeAhead);}var k=q.sap.KeyCodes;if(b._isHotKey(e)||e.keyCode===k.F4&&e.which===0){return;}var K=e.which||e.keyCode;if(K!==k.DELETE&&K!==k.BACKSPACE&&K!==k.ESCAPE){this._sTypeAhead=q.sap.delayedCall(200,this,"_doTypeAhead");}else{T.prototype.onkeypress.apply(this,arguments);if(K!==k.ESCAPE){this._updatePosInSet(null,-1,null);}}};
b.prototype.onsapup=function(e){if(e.target.id==this.getId()+"-select"){return;}if(!this.getEnabled()||!this.getEditable()){return;}if(q(this.getFocusDomRef()).data("sap.InNavArea")){return;}var l=this._getListBox(),I=l.getItems(),d=this.getInputDomRef(),v=q(d).val();var i=this._prepareUpDown(I,v);i=this._updateIdx(I,d,i-1,i,e);e.preventDefault();e.stopPropagation();};
b.prototype.onsapdown=function(e){if(e.target.id==this.getId()+"-select"){return;}if(!this.getEnabled()||!this.getEditable()){return;}if(q(this.getFocusDomRef()).data("sap.InNavArea")){return;}var l=this._getListBox(),I=l.getItems(),d=this.getInputDomRef(),v=q(d).val();var i=this._prepareUpDown(I,v);i=this._updateIdx(I,d,i+1,i,e);e.preventDefault();e.stopPropagation();};
b.prototype.onsaphome=function(e){T.prototype.onsaphome.apply(this,arguments);if(e.target.id==this.getId()+"-select"){return;}if(!this.getEditable()||!this.getEnabled()||!this.oPopup||!this.oPopup.isOpen()){return;}var l=this._getListBox(),i=l.getItems(),d=this.getInputDomRef();this._updateIdx(i,d,0,undefined,e);e.preventDefault();e.stopPropagation();};
b.prototype.onsapend=function(e){T.prototype.onsapend.apply(this,arguments);if(e.target.id==this.getId()+"-select"){return;}if(!this.getEditable()||!this.getEnabled()||!this.oPopup||!this.oPopup.isOpen()){return;}var l=this._getListBox(),I=l.getItems(),d=this.getInputDomRef();var i=I.length-1;i=this._updateIdx(I,d,i,undefined,e);e.preventDefault();e.stopPropagation();};
b.prototype._doTypeAhead=function(){this._sTypeAhead=null;this._sWantedSelectedKey=undefined;this._sWantedSelectedItemId=undefined;var L=this._getListBox(),I=L.getItems(),o,t,r=q(this.getInputDomRef()),v=r.val(),s=q.sap.startsWithIgnoreCase;this._sTypedChars=v;var f=false;var i=0;for(var l=I.length;i<l;i++){o=I[i];t=""+o.getText();if(s(t,v)&&o.getEnabled()){this._updatePosInSet(r,i+1,(o.getAdditionalText?o.getAdditionalText():""));r.val(t);this._doSelect(v.length,t.length);L.setSelectedIndex(i);L.scrollToIndex(i,true);f=true;if(this.mobile){this._removeDummyOption();this.getDomRef("select").selectedIndex=i;}return;}}L.clearSelection();L.scrollToIndex(i,true);if(!f){this._updatePosInSet(r,-1,null);if(this.mobile){this._addDummyOption(v);}}};
b.prototype._prepareUpDown=function(I,v){var t;if(this._iClosedUpDownIdx>=0&&I[this._iClosedUpDownIdx]&&I[this._iClosedUpDownIdx].getText()!==v){this._iClosedUpDownIdx=-1;}if(this._iClosedUpDownIdx===-1){for(var i=0,l=I.length;i<l;i++){t=I[i].getText();if(t===v){this._iClosedUpDownIdx=i;break;}}}return this._iClosedUpDownIdx;};
b.prototype._updateIdx=function(I,d,n,c,e){var l=I.length,f=n===0&&c===undefined,D=c!==undefined&&c<n||f,i,r=q(d);if(n<0){i=0;}else if(n<l){i=n;}else{i=l-1;}var o,v=false;do{n=D?i++:i--;o=I[n];v=o&&o.getEnabled()&&!(o instanceof sap.ui.core.SeparatorItem)&&o.getId()!==this.getId()+"_shi";}while(!v&&i<l&&i>=0);if(v){var t=o.getText();var p=n+1;if(this._determinePosinset){p=this._determinePosinset(I,n);}this._updatePosInSet(r,p,(o.getAdditionalText?o.getAdditionalText():""));r.val(t);this._doSelect();this._fireLiveChange(e);var L=this._getListBox();L.setSelectedIndex(n);L.scrollToIndex(n,true);}else{n=c;}this._iClosedUpDownIdx=n;return n;};
b.prototype._doSelect=function(s,e){var d=this.getInputDomRef();if(d){var r=q(d);d.focus();r.selectText(s?s:0,e?e:r.val().length);}return this;};
b.prototype.getF4ButtonDomRef=function(){return this.getDomRef("icon");};
b.prototype._getPrivateListBox=function(){if(this._oListBox){return this._oListBox;}this._oListBox=new sap.ui.commons.ListBox(this.getId()+"-lb",{allowMultiSelect:false});this.setAggregation("myListBox",this._oListBox,true);this._oListBox.attachEvent("itemsChanged",this._handleItemsChanged,this);this._oListBox.attachEvent("itemInvalidated",this._handleItemInvalidated,this);if(this.getDomRef()){this.$().attr("aria-owns",this.getId()+"-input "+this._oListBox.getId());}return this._oListBox;};
b.prototype._getExistingListBox=function(){var l=this.getListBox(),L;if(l){L=sap.ui.getCore().byId(l);}else if(this._oListBox){L=this._getPrivateListBox();}return L;};
b.prototype._getListBox=function(u){var l=this._getExistingListBox();if(!l){l=this._getPrivateListBox();}if(u){l.setAllowMultiSelect(false);l.setDisplaySecondaryValues(this.getDisplaySecondaryValues());var d=this.getDomRef();if(d){l.setMinWidth(q(d).rect().width+"px");}}return l;};
b.prototype._open=function(d){if(this.mobile){return;}if(d===undefined){d=-1;}if(!this.getEditable()||!this.getEnabled()){return;}if(!this.oPopup){this.oPopup=new P();}this._F4ForOpen=false;var l=this._getListBox(!this.oPopup.isOpen());var p=this.oPopup;this._prepareOpen(l);if(!this._oListBoxDelegate){this._oListBoxDelegate={oCombo:this,onclick:function(E){var i=q(E.target).closest("li").attr("id");if(i){var n=new sap.ui.base.Event("_internalSelect",this.oCombo,{selectedId:i});this.oCombo._handleSelect(n);}}};}l.addDelegate(this._oListBoxDelegate);p.setContent(l);p.setAutoClose(true);p.setAutoCloseAreas([this.getDomRef()]);p.setDurations(0,0);p.setInitialFocusId(this.getId()+'-input');var s=this._rerenderListBox(l);if(s){return;}p.attachOpened(this._handleOpened,this);var e=P.Dock;p.open(d,e.BeginTop,e.BeginBottom,this,null,null,P.CLOSE_ON_SCROLL);q(l.getFocusDomRef()).attr("tabIndex","-1");q(this.getDomRef()).attr("aria-expanded",true);};
b.prototype._rerenderListBox=function(l){sap.ui.getCore().applyChanges();return false;};
b.prototype._prepareOpen=function(L){this._bOpening=true;var r=q(this.getInputDomRef()),v=r.val(),n,I=L.getItems(),t,s=q.sap.startsWithIgnoreCase,e=v==="",S=this.getSelectedItemId(),o;var i=0;var c=-1;for(var l=I.length;i<l;i++){o=I[i];if(!o.getEnabled()){continue;}t=""+o.getText();if(e||s(t,v)){if(t==v&&i==this._iClosedUpDownIdx){c=i;n=t;break;}else if(this._iClosedUpDownIdx<0&&t==v&&o.getId()==S){c=i;n=t;break;}else if(c<0){c=i;n=t;}}}if(c>=0){this._iClosedUpDownIdx=c;this._updatePosInSet(r,c+1,(o.getAdditionalText?o.getAdditionalText():""));r.val(n);this._doSelect();var E=new q.Event("sapshow");E.which=q.sap.KeyCodes.F4;this._fireLiveChange(E);}var d=L.getItems().length;var m=this.getMaxPopupItems();L.setVisibleItems(m<d?m:-1);L.setSelectedIndex(c);};
b.prototype._handleOpened=function(){this.oPopup.detachOpened(this._handleOpened,this);var l=this._getListBox();l.scrollToIndex(this._iClosedUpDownIdx,true);l.attachSelect(this._handleSelect,this);this.oPopup.attachClosed(this._handleClosed,this);if(!!sap.ui.Device.browser.internet_explorer){q.sap.delayedCall(0,this,function(){q(this.getInputDomRef()).focus();});}if(q(this.getFocusDomRef()).data("sap.InNavArea")){q(this.getFocusDomRef()).data("sap.InNavArea",false);}this._bOpening=false;};
b.prototype._close=function(e){if(this.oPopup){this.oPopup.close(0);}};
b.prototype._handleClosed=function(){this.oPopup.detachClosed(this._handleClosed,this);var l=this._getListBox();l.removeDelegate(this._oListBoxDelegate);l.detachSelect(this._handleSelect,this);q(this.getDomRef()).attr("aria-expanded",false);if(this._cleanupClose){this._cleanupClose(l);}};
b.prototype._handleSelect=function(c){var s=c.getParameter("selectedIndex"),S=c.getParameter("selectedId"),i=c.getParameter("selectedItem");if(!i&&S){i=sap.ui.getCore().byId(S);if(i.getParent()!==this._getListBox(false)){i=null;}s=q.inArray(i,this._getListBox().getItems());}if(i&&i.getEnabled()){var n=i.getText();this._iClosedUpDownIdx=s;this._close();this._updatePosInSet(null,this._getListBox().getSelectedIndex()+1,(i.getAdditionalText?i.getAdditionalText():""));var o=this.getValue();var O=this.getSelectedKey();var N=i.getKey();var d=this.getSelectedItemId();var e=i.getId();this._sTypedChars=n;this._sWantedSelectedKey=undefined;this._sWantedSelectedItemId=undefined;if(o!=n||O!=N||d!=e){this.setValue(n,true);this.setProperty("selectedKey",N,true);this.setProperty("selectedItemId",e,true);this.fireChange({newValue:n,selectedItem:i});}else if(n!=q(this.getInputDomRef()).val()){q(this.getInputDomRef()).val(n);}}this._doSelect();return i;};
b.prototype.getItems=function(){var l=this._getExistingListBox();return l?l.getItems():[];};
b.prototype.insertItem=function(i,I){i=this.validateAggregation("items",i,true);this._getListBox().insertItem(i,I);return this;};
b.prototype.addItem=function(i){i=this.validateAggregation("items",i,true);this._getListBox().addItem(i);return this;};
b.prototype.removeItem=function(e){return this._getListBox().removeItem(e);};
b.prototype.removeAllItems=function(){var l=this._getExistingListBox();return l?l.removeAllItems():[];};
b.prototype.indexOfItem=function(i){return this._getListBox().indexOfItem(i);};
b.prototype.destroyItems=function(){var l=this._getExistingListBox();if(l){this._getListBox().destroyItems();}return this;};
b.prototype.updateItems=function(){this._bNoItemCheck=true;this.updateAggregation("items");if(!this._sHandleItemsChanged){this._sHandleItemsChanged=q.sap.delayedCall(0,this,"_handleItemsChanged",[null,true]);}};
b.prototype.setListBox=function(l){var o=sap.ui.getCore().byId(this.getListBox());if(o){o.detachEvent("itemsChanged",this._handleItemsChanged,this);o.detachEvent("itemInvalidated",this._handleItemInvalidated,this);if(this._bListBoxDependentSet){this.removeDependent(o);this._bListBoxDependentSet=false;}}if(this._oListBox&&l){this._oListBox.detachEvent("itemsChanged",this._handleItemsChanged,this);this._oListBox.detachEvent("itemInvalidated",this._handleItemInvalidated,this);if(this.getAggregation("myListBox")){this.destroyAggregation("myListBox",true);}else{this._oListBox.destroy();}this._oListBox=null;}this.setAssociation("listBox",l);var L=typeof l==="string"?sap.ui.getCore().byId(l):l;if(L&&L.attachEvent){L.attachEvent("itemsChanged",this._handleItemsChanged,this);L.attachEvent("itemInvalidated",this._handleItemInvalidated,this);}if(L&&!L.getParent()){this.addDependent(L);this._bListBoxDependentSet=true;}if(this.getDomRef()&&L){this.$().attr("aria-owns",this.getId()+"-input "+L.getId());}return this;};
b.prototype._handleItemsChanged=function(e,d){if(d){this._sHandleItemsChanged=null;this._bNoItemCheck=undefined;}if(this._bNoItemCheck){return;}var I=[];if(this._getExistingListBox()){I=this._getListBox().getItems();}var s=this.getSelectedKey();var S=this.getSelectedItemId();var n,N,c,f;var v=this.getValue();var g=-1;var F=false;var h=false;var j=false;this._iClosedUpDownIdx=-1;var B=!!this.getBinding("value");var k=!!this.getBinding("selectedKey");if(B&&k){B=false;}var i=0;var o;for(i=0;i<I.length;i++){o=I[i];if((this._sWantedSelectedKey||this._sWantedSelectedItemId)&&(o.getKey()==this._sWantedSelectedKey||o.getId()==this._sWantedSelectedItemId)&&o.getEnabled()){n=o.getKey();N=o.getId();c=o.getText();f=(o.getAdditionalText?o.getAdditionalText():"");g=i;this._sWantedSelectedKey=undefined;this._sWantedSelectedItemId=undefined;break;}else if(s&&o.getKey()==s&&o.getEnabled()&&!(j&&B)){F=true;n=s;N=o.getId();c=o.getText();f=(o.getAdditionalText?o.getAdditionalText():"");g=i;if(c==v&&N==S&&!this._sWantedSelectedKey&&!this._sWantedSelectedItemId){break;}if(k&&!this._sWantedSelectedKey&&!this._sWantedSelectedItemId){break;}}else if(S&&o.getId()==S&&o.getEnabled()&&!F&&!(j&&B)){h=true;n=o.getKey();N=S;c=o.getText();f=(o.getAdditionalText?o.getAdditionalText():"");g=i;}else if(o.getText()==v&&o.getEnabled()&&!(F&&!B)&&!(h&&!B)&&!j){j=true;n=o.getKey();N=o.getId();c=v;f=(o.getAdditionalText?o.getAdditionalText():"");g=i;if(B&&!this._sWantedSelectedKey&&!this._sWantedSelectedItemId){break;}}}this._iClosedUpDownIdx=g;if(v!=c&&g>=0){this.setProperty("value",c,true);q(this.getInputDomRef()).val(c);}this.setProperty("selectedKey",n,true);this.setProperty("selectedItemId",N,true);var D=this.getDomRef();if(D){q(this.getInputDomRef()).attr("aria-setsize",I.length);if(N){this._updatePosInSet(null,g+1,f);}else{this._updatePosInSet(null,-1,null);}if(this.mobile){var l=this.getDomRef("select");while(l.length>0){l.remove(0);}for(i=0;i<I.length;i++){o=I[i];var O=document.createElement("option");O.text=o.getText();O.id=this.getId()+"-"+o.getId();if(!o.getEnabled()){O.disabled="disabled";}l.add(O,null);}l.selectedIndex=g;}}};
b.prototype._handleItemInvalidated=function(e){if(this._bNoItemCheck){return;}var i=e.getParameter("item");if(i.getId()==this.getSelectedItemId()){if(i.getKey()!=this.getSelectedKey()){this.setProperty("selectedKey",i.getKey(),true);}if(i.getText()!=this.getValue()){T.prototype.setValue.apply(this,[i.getText()]);}}if(!this._sHandleItemsChanged){this._handleItemsChanged(e);}};
b.prototype.onAfterRendering=function(e){T.prototype.onAfterRendering.apply(this,arguments);var l=this.getListBox();if(l){var L=sap.ui.getCore().byId(l);if(L.getDomRef()){L.$().appendTo(sap.ui.getCore().getStaticAreaRef());}}if(this.mobile){var t=this;this.$("select").bind("change",function(){var n=t.$("select").val();var c=t.getItems();var E=true;var o=0;var O=t.getValue();for(var i=0;i<c.length;i++){if(c[i].getText()==n){E=c[i].getEnabled();}if(c[i].getText()==O){o=i;}}if(E){t.setValue(n);t.fireChange({newValue:n,selectedItem:sap.ui.getCore().byId(t.getSelectedItemId())});}else{t.getDomRef("select").selectedIndex=o;}});if(this.getSelectedItemId()){for(var i=0;i<this.getItems().length;i++){var I=this.getItems()[i];if(this.getSelectedItemId()==I.getId()){this.getDomRef("select").selectedIndex=i;break;}}}else{this._addDummyOption(this.getValue());}}};
b._isHotKey=function(e){if(e.altKey||e.ctrlKey||e.metaKey){return true;}var k=e.keyCode||e.which,c=q.sap.KeyCodes;switch(k){case c.ENTER:case c.SHIFT:case c.TAB:case c.ALT:case c.CONTROL:return true;case c.END:case c.HOME:case c.ARROW_LEFT:case c.ARROW_UP:case c.ARROW_RIGHT:case c.ARROW_DOWN:case c.F1:case c.F2:case c.F3:case c.F4:case c.F5:case c.F6:case c.F7:case c.F8:case c.F9:case c.F10:case c.F11:case c.F12:if(e.type=="keypress"){return e.which===0;}else{return true;}default:return false;}};
b.prototype.setSelectedKey=function(s){if(this.getSelectedKey()==s){return this;}if(!s&&this._isSetEmptySelectedKeyAllowed()){return this;}var I=this.getItems();var n=true;var S;var c;var A;for(var i=0;i<I.length;i++){if(I[i].getKey()==s&&I[i].getEnabled()){var o=I[i];S=o.getId();var v=o.getText();A=(o.getAdditionalText?o.getAdditionalText():"");this.setValue(v,true);this._sTypedChars=v;c=i;n=false;break;}}if(!n){this.setProperty("selectedKey",s,true);this.setProperty("selectedItemId",S,true);var d=this.getDomRef();if(d){this._updatePosInSet(null,c+1,A);if(this.mobile){this._removeDummyOption();this.getDomRef("select").selectedIndex=c;}}this._sWantedSelectedKey=undefined;this._iClosedUpDownIdx=c;}else{this._sWantedSelectedKey=s;this._iClosedUpDownIdx=-1;}this._sWantedSelectedItemId=undefined;return this;};
b.prototype._isSetEmptySelectedKeyAllowed=function(){this.setProperty("selectedKey","",true);this.setProperty("selectedItemId","",true);this.setValue("",true);return true;};
b.prototype.setSelectedItemId=function(s){if(this.getSelectedItemId()==s){return this;}if(!s&&this._isSetEmptySelectedKeyAllowed()){return this;}var I=this.getItems();var n=true;var k;var c;var A;for(var i=0;i<I.length;i++){if(I[i].getId()==s&&I[i].getEnabled()){var S=I[i];k=S.getKey();var v=S.getText();A=(S.getAdditionalText?S.getAdditionalText():"");this.setValue(v,true);this._sTypedChars=v;c=i;n=false;break;}}if(!n){this.setProperty("selectedItemId",s,true);this.setProperty("selectedKey",k,true);var d=this.getDomRef();if(d){this._updatePosInSet(null,c+1,A);if(this.mobile){this._removeDummyOption();this.getDomRef("select").selectedIndex=c;}}this._sWantedSelectedItemId=undefined;this._iClosedUpDownIdx=c;}else{this._sWantedSelectedItemId=s;this._iClosedUpDownIdx=-1;}this._sWantedSelectedKey=undefined;return this;};
b.prototype.setValue=function(v,n){if(!n){var I=this.getItems();var k;var s;var c;var A;this._iClosedUpDownIdx=-1;for(var i=0;i<I.length;i++){if(I[i].getText()==v&&I[i].getEnabled()){var S=I[i];s=S.getId();k=S.getKey();A=(S.getAdditionalText?S.getAdditionalText():"");c=i;this._iClosedUpDownIdx=c;break;}}this.setProperty("selectedKey",k,true);this.setProperty("selectedItemId",s,true);var d=this.getDomRef();if(d){if(s){this._updatePosInSet(null,c+1,A);}else{this._updatePosInSet(null,-1,null);}if(this.mobile){if(!s){this._addDummyOption(v);}else{this._removeDummyOption();this.getDomRef("select").selectedIndex=c;}}}}T.prototype.setValue.apply(this,[v]);this._sTypedChars=this.getValue();this._sWantedSelectedKey=undefined;this._sWantedSelectedItemId=undefined;return this;};
b.prototype.invalidate=function(o){if(!o||!(o instanceof sap.ui.commons.ListBox)||o!=this._getListBox()){sap.ui.core.Control.prototype.invalidate.apply(this,arguments);}else{if(this.getUIArea()&&o.getDomRef()){this.getUIArea().addInvalidatedControl(o);}}};
b.prototype.clone=function(i){var c=sap.ui.core.Control.prototype.clone.apply(this,arguments),l=this.getAggregation("myListBox"),L;if(l&&!c._oListBox){l.detachEvent("itemsChanged",this._handleItemsChanged,this);l.detachEvent("itemInvalidated",this._handleItemInvalidated,this);L=l.clone(i);L.attachEvent("itemsChanged",c._handleItemsChanged,c);L.attachEvent("itemInvalidated",c._handleItemInvalidated,c);c.setAggregation("myListBox",L,true);c._oListBox=L;l.attachEvent("itemsChanged",this._handleItemsChanged,this);l.attachEvent("itemInvalidated",this._handleItemInvalidated,this);}return c;};
b.prototype._addDummyOption=function(v){var o=this.getDomRef("dummyOption");if(!o){var i=this.getItems();o=document.createElement("option");o.text=v;o.id=this.getId()+"-dummyOption";if(i.length>0){this.getDomRef("select").add(o,q.sap.domById(this.getId()+"-"+i[0].getId()));}else{this.getDomRef("select").add(o,null);}}else{o.text=v;}this.getDomRef("select").selectedIndex=0;};
b.prototype._removeDummyOption=function(){var o=this.getDomRef("dummyOption");if(o){this.getDomRef("select").remove(0);}};
b.prototype.getFocusDomRef=function(){if(this.mobile){return this.getDomRef("select")||null;}else{return this.getDomRef("input")||null;}};
b.prototype._updatePosInSet=function(i,I,A){if(!i){i=this.$("input");}if(I>=0){i.attr("aria-posinset",I);if(this.getDisplaySecondaryValues()){this.$("SecVal").text(A);}}else{i.removeAttr("aria-posinset");if(this.getDisplaySecondaryValues()){this.$("SecVal").text("");}}};
b.prototype.getAccessibilityInfo=function(){var i=T.prototype.getAccessibilityInfo.apply(this,arguments);i.role="combobox";i.type=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons").getText("ACC_CTR_TYPE_COMBO");return i;};
return b;},true);
sap.ui.predefine('sap/ui/commons/ComboBoxRenderer',['jquery.sap.global','./TextFieldRenderer','sap/ui/core/Renderer'],function(q,T,R){"use strict";var C=R.extend(T);
C.renderOuterAttributes=function(r,c){r.addClass("sapUiTfCombo");this.renderComboARIAInfo(r,c);};
C.renderOuterContentBefore=function(r,c){this.renderExpander(r,c);this.renderSelectBox(r,c,'-1');};
C.renderExpander=function(r,c){r.write("<div");r.writeAttributeEscaped('id',c.getId()+'-icon');r.writeAttribute('unselectable','on');if(sap.ui.getCore().getConfiguration().getAccessibility()){r.writeAttribute("role","presentation");}r.addClass("sapUiTfComboIcon");r.writeClasses();r.write(">&#9660;</div>");};
C.renderSelectBox=function(r,c,t){if(c.mobile){r.write("<select");r.writeAttributeEscaped('id',c.getId()+'-select');r.writeAttribute('tabindex',t);if(!c.getEnabled()||!c.getEditable()){r.writeAttribute('disabled','disabled');}r.write(">");for(var i=0;i<c.getItems().length;i++){var I=c.getItems()[i];r.write("<option");r.writeAttributeEscaped('id',c.getId()+"-"+I.getId());if(!I.getEnabled()){r.writeAttribute("disabled","disabled");}r.write(">");r.writeEscaped(I.getText());r.write("</option>");}r.write("</select>");}};
C.renderOuterContent=function(r,c){if(c.getDisplaySecondaryValues()){r.write("<span id=\""+c.getId()+"-SecVal\" style=\"display: none;\"></span>");}};
C.renderInnerAttributes=function(r,c){if(c.mobile){r.writeAttribute('autocapitalize','off');r.writeAttribute('autocorrect','off');}};
C.renderComboARIAInfo=function(r,c){var l=c.getListBox();if(!l&&c._oListBox){l=c._oListBox.getId();}var p={role:"combobox",owns:c.getId()+"-input "+l};if(!c.getEnabled()){p["disabled"]=true;}r.writeAccessibilityState(null,p);};
C.renderARIAInfo=function(r,c){var p=-1;if(c.getSelectedItemId()){for(var i=0;i<c.getItems().length;i++){var I=c.getItems()[i];if(I.getId()==c.getSelectedItemId()){p=i+1;break;}}}var P={autocomplete:"inline",live:"polite",setsize:c.getItems().length,posinset:(p>=0)?p:undefined};if(c.getValueState()==sap.ui.core.ValueState.Error){P["invalid"]=true;}if(c.getDisplaySecondaryValues()){P["describedby"]={value:c.getId()+"-SecVal",append:true};}r.writeAccessibilityState(c,P);};
C.setEditable=function(c,e){if(c.mobile){var s=c.$("select");if(e&&c.getEnabled()){s.removeAttr("disabled");}else{s.attr("disabled","disabled");}}T.setEditable.apply(this,arguments);};
C.setEnabled=function(c,e){if(c.mobile){var s=c.$("select");if(e&&c.getEditable()){s.removeAttr("disabled");}else{s.attr("disabled","disabled");}}T.setEnabled.apply(this,arguments);};
return C;},true);
sap.ui.predefine('sap/ui/commons/DatePicker',['jquery.sap.global','./TextField','sap/ui/model/type/Date','sap/ui/core/date/UniversalDate','./library',"./DatePickerRenderer"],function(q,T,D,U,l,a){"use strict";
var b=T.extend("sap.ui.commons.DatePicker",{metadata:{library:"sap.ui.commons",properties:{locale:{type:"string",group:"Misc",defaultValue:null},yyyymmdd:{type:"string",group:"Misc",defaultValue:null}}}});
(function(){
b.prototype.init=function(){T.prototype.init.apply(this,arguments);this._oFormatYyyymmdd=sap.ui.core.format.DateFormat.getInstance({pattern:"yyyyMMdd",strictParsing:true,calendarType:sap.ui.core.CalendarType.Gregorian});if(!sap.ui.Device.system.desktop){this._bMobile=true;this._oFormatMobile=sap.ui.core.format.DateFormat.getInstance({pattern:"yyyy-MM-dd",strictParsing:true,calendarType:sap.ui.core.CalendarType.Gregorian});}this._oMinDate=new Date(1,0,1);this._oMinDate.setFullYear(1);this._oMaxDate=new Date(9999,11,31,23,59,59,99);};
b.prototype.exit=function(){this._oDate=undefined;this._oLocale=undefined;if(this._oPopup){if(this._oPopup.isOpen()){this._oPopup.close();}delete this._oPopup;}if(this._oCalendar){this._oCalendar.destroy();delete this._oCalendar;}};
b.prototype.onAfterRendering=function(){T.prototype.onAfterRendering.apply(this,arguments);if(this._bMobile){if(this._oDate){var I=q(this.getInputDomRef());var o=this._oFormatMobile.format(this._oDate);I.val(o);}}};
b.prototype.invalidate=function(o){if(!o||o!=this._oCalendar){sap.ui.core.Control.prototype.invalidate.apply(this,arguments);}};
b.prototype.onsapshow=function(E){var t=this;f(t);E.preventDefault();};
b.prototype.onsaphide=b.prototype.onsapshow;
b.prototype.onsappageup=function(E){var t=this;j(t,1,"day");E.preventDefault();};
b.prototype.onsappageupmodifiers=function(E){var t=this;if(!E.ctrlKey&&E.shiftKey){j(t,1,"month");}else{j(t,1,"year");}E.preventDefault();};
b.prototype.onsappagedown=function(E){var t=this;j(t,-1,"day");E.preventDefault();};
b.prototype.onsappagedownmodifiers=function(E){var t=this;if(!E.ctrlKey&&E.shiftKey){j(t,-1,"month");}else{j(t,-1,"year");}E.preventDefault();};
b.prototype.onkeypress=function(E){if(E.charCode){var t=this;var F=_(t);var C=String.fromCharCode(E.charCode);if(C&&F.sAllowedCharacters&&F.sAllowedCharacters.indexOf(C)<0){E.preventDefault();}}};
b.prototype.onclick=function(E){if(q(E.target).hasClass("sapUiTfDateIcon")&&!this._bMobile){var t=this;f(t);}};
b.prototype.onsapfocusleave=function(E){if(this._oCalendar&&E.relatedControlId&&(q.sap.containsOrEquals(this._oCalendar.getDomRef(),sap.ui.getCore().byId(E.relatedControlId).getFocusDomRef())||this.getId()==E.relatedControlId)){return;}T.prototype.onsapfocusleave.apply(this,arguments);};
b.prototype.setValue=function(v){var o=this.getValue();if(v==o){return this;}var t=this;d(t);this.setProperty("value",v,true);this._bValueSet=true;if(v){this._oDate=this._parseValue(v);if(!this._oDate||this._oDate.getTime()<this._oMinDate.getTime()||this._oDate.getTime()>this._oMaxDate.getTime()){this._oDate=undefined;q.sap.log.warning("Value can not be converted to a valid date",this);}}else{this._oDate=undefined;}var y="";if(this._oDate){y=this._oFormatYyyymmdd.format(this._oDate);}this.setProperty("yyyymmdd",y,true);if(this.getDomRef()){var O="";var I=q(this.getInputDomRef());if(this._bMobile&&this._oDate){O=this._oFormatMobile.format(this._oDate);}else{O=v;}I.val(O);}return this;};
b.prototype.setYyyymmdd=function(y){var o=this.getYyyymmdd();if(y==o){return this;}this.setProperty("yyyymmdd",y,true);this._bValueSet=false;var v="";if(y){this._oDate=this._oFormatYyyymmdd.parse(y);if(!this._oDate||this._oDate.getTime()<this._oMinDate.getTime()||this._oDate.getTime()>this._oMaxDate.getTime()){this._oDate=undefined;q.sap.log.warning("Value can not be converted to a valid date",this);}}else{this._oDate=undefined;}if(this._oDate){v=this._formatValue(this._oDate);}this.setProperty("value",v,true);if(this.getDomRef()){var O="";var I=q(this.getInputDomRef());if(this._bMobile&&this._oDate){O=this._oFormatMobile.format(this._oDate);}else{O=v;}I.val(O);}return this;};
b.prototype.setLocale=function(L){var o=this.getLocale();if(L==o){return this;}this.setProperty("locale",L,true);var t=this;d(t);this._oLocale=new sap.ui.core.Locale(L);this._sUsedPattern=undefined;var v="";if(this._bValueSet){v=this.getValue();if(v){this._oDate=this._parseValue(v);if(!this._oDate||this._oDate.getTime()<this._oMinDate.getTime()||this._oDate.getTime()>this._oMaxDate.getTime()){this._oDate=undefined;q.sap.log.warning("Value can not be converted to a valid date",this);}}else{this._oDate=undefined;}var y="";if(this._oDate){y=this._oFormatYyyymmdd.format(this._oDate);}this.setProperty("yyyymmdd",y,true);}else{if(this._oDate){v=this._formatValue(this._oDate);}this.setProperty("value",v,true);}if(this.getDomRef()){var O="";var I=q(this.getInputDomRef());if(this._bMobile&&this._oDate){O=this._oFormatMobile.format(this._oDate);}else{O=v;}I.val(O);}return this;};
b.prototype.oninput=function(E){if(this._bMobile){var I=this.getInputDomRef();var n=I&&I.value;if(n){var o=this._oFormatMobile.parse(n);}if(!n||o){this._checkChange(E);}}else{T.prototype.oninput.apply(this,arguments);}};
b.prototype._checkChange=function(E){var I=this.getInputDomRef();var n=I&&I.value;if(this._bMobile&&n!=""){this._oDate=this._oFormatMobile.parse(n);n=this._formatValue(this._oDate);}if(this.getEditable()&&this.getEnabled()&&n!=this.getValue()){var w=false;if(n!=""){if(!this._bMobile){this._oDate=this._parseValue(n);if(!this._oDate||this._oDate.getTime()<this._oMinDate.getTime()||this._oDate.getTime()>this._oMaxDate.getTime()){this._oDate=undefined;w=true;}else{n=this._formatValue(this._oDate);I.value=n;if(this._oPopup&&this._oPopup.isOpen()){this._oCalendar.focusDate(this._oDate);if(!this._oDateRange.getStartDate()||this._oDateRange.getStartDate().getTime()!=this._oDate.getTime()){this._oDateRange.setStartDate(new Date(this._oDate.getTime()));}}}}}else{this._oDate=undefined;}this.setProperty("value",n,true);this._bValueSet=false;if(!w){var y="";if(this._oDate){y=this._oFormatYyyymmdd.format(this._oDate);}this.setProperty("yyyymmdd",y,true);}this.fireChange(w);}else if(this.getEditable()&&this.getEnabled()&&n==this.getYyyymmdd()){I.value=this.getValue();}};
b.prototype.fireChange=function(I){this.fireEvent("change",{newValue:this.getValue(),newYyyymmdd:this.getYyyymmdd(),invalidValue:I});return this;};
b.prototype._parseValue=function(v){var t=this;var F=_(t);var o=F.parse(v);return o;};
b.prototype._formatValue=function(o){var t=this;var F=_(t);var v=F.format(o);return v;};
b.prototype.getAccessibilityInfo=function(){var I=T.prototype.getAccessibilityInfo.apply(this,arguments);I.type=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons").getText("ACC_CTR_TYPE_DATEINPUT");return I;};
function _(t){var p="";var r=false;var B=t.getBinding("value");var L;var C;if(B&&B.oType&&(B.oType instanceof D)){p=B.oType.getOutputPattern();r=!!B.oType.oOutputFormat.oFormatOptions.relative;C=B.oType.oOutputFormat.oFormatOptions.calendarType;}if(!p){L=c(t);var o=sap.ui.core.LocaleData.getInstance(L);p=o.getDatePattern("medium");C=sap.ui.getCore().getConfiguration().getCalendarType();}if(p!=t._sUsedPattern||C!=t._sUsedCalendarType){t._sUsedPattern=p;t._sUsedCalendarType=C;if(p=="short"||p=="medium"||p=="long"){t._oFormat=sap.ui.core.format.DateFormat.getInstance({style:p,strictParsing:true,relative:r,calendarType:C},L);}else{t._oFormat=sap.ui.core.format.DateFormat.getInstance({pattern:p,strictParsing:true,relative:r,calendarType:C},L);}}return t._oFormat;}
function c(t){var L=t.getLocale();var o;if(L){o=t._oLocale;}else{o=sap.ui.getCore().getConfiguration().getFormatSettings().getFormatLocale();}return o;}
function d(t){var B=t.getBinding("value");var L=t.getLocale();if(B&&B.oType&&(B.oType instanceof D)&&L){q.sap.log.warning("DatePicker "+t.getId()+": Using a locale and Databinding at the same time is not supported");t._bIgnoreLocale=true;}}
function e(t){if(!t._oPopup){q.sap.require("sap.ui.core.Popup");t._oPopup=new sap.ui.core.Popup();t._oPopup.setAutoClose(true);t._oPopup.setDurations(0,0);t._oPopup.attachClosed(i,t);}if(!t._oCalendar){sap.ui.getCore().loadLibrary("sap.ui.unified");q.sap.require("sap.ui.unified.library");t._oCalendar=new sap.ui.unified.Calendar(t.getId()+"-cal");t._oDateRange=new sap.ui.unified.DateRange();t._oCalendar.addSelectedDate(t._oDateRange);t._oCalendar.attachSelect(g,t);t._oCalendar.attachCancel(h,t);t._oPopup.setContent(t._oCalendar);t._oCalendar.addStyleClass("sapUiSizeCompact");t._oCalendar.setPopupMode(true);t._oCalendar.setParent(t,undefined,true);}var v="";if(t._oDate){v=t._formatValue(t._oDate);}if(v!=t.$("input").val()){t._checkChange();}var C;var B=t.getBinding("value");if(B&&B.oType&&(B.oType instanceof D)){C=B.oType.oOutputFormat.oFormatOptions.calendarType;}if(C){t._oCalendar.setPrimaryCalendarType(C);}var o=t._oDate;if(o){t._oCalendar.focusDate(o);if(!t._oDateRange.getStartDate()||t._oDateRange.getStartDate().getTime()!=o.getTime()){t._oDateRange.setStartDate(new Date(o.getTime()));}}else{t._oCalendar.focusDate(new Date());if(t._oDateRange.getStartDate()){t._oDateRange.setStartDate(undefined);}}if(!t._bIgnoreLocale){t._oCalendar.setLocale(t.getLocale());}t._oPopup.setAutoCloseAreas([t.getDomRef()]);var k=sap.ui.core.Popup.Dock;t._oPopup.open(0,k.BeginTop,k.BeginBottom,t,null,null,true);}
function f(t){if(t.getEditable()&&t.getEnabled()){if(!t._oPopup||!t._oPopup.isOpen()){e(t);}else{t._oPopup.close();t.focus();}}}
function g(E){var s=this._oCalendar.getSelectedDates();var o="";if(s.length>0){this._oDate=s[0].getStartDate();o=this._formatValue(this._oDate);}this._oPopup.close();this.focus();var n=this._formatValue(this._oDate);this.setProperty("value",n,true);this._bValueSet=false;var y=this._oFormatYyyymmdd.format(this._oDate);this.setProperty("yyyymmdd",y,true);var I=this.$("input");if(I.val()!==o){I.val(o);this._curpos=o.length;I.cursorPos(this._curpos);}this.fireChange();}
function h(E){if(this._oPopup&&this._oPopup.isOpen()){this._oPopup.close();this.focus();}}
function i(E){if(!q.sap.containsOrEquals(this.getDomRef(),document.activeElement)&&this.getRenderer().onblur){this.getRenderer().onblur(this);}}
function j(t,n,u){var o=t._oDate;if(o&&t.getEditable()&&t.getEnabled()){var B=t.getBinding("value");var C;if(B&&B.oType&&(B.oType instanceof D)){C=B.oType.oOutputFormat.oFormatOptions.calendarType;}else{C=sap.ui.getCore().getConfiguration().getCalendarType();}var k=U.getInstance(new Date(o.getTime()),C);o=U.getInstance(new Date(o.getTime()),C);var I=q(t.getInputDomRef());var p=I.cursorPos();switch(u){case"day":k.setDate(k.getDate()+n);break;case"month":k.setMonth(k.getMonth()+n);var m=(o.getMonth()+n)%12;if(m<0){m=12+m;}while(k.getMonth()!=m){k.setDate(k.getDate()-1);}break;case"year":k.setFullYear(k.getFullYear()+n);while(k.getMonth()!=o.getMonth()){k.setDate(k.getDate()-1);}break;default:break;}if(k.getTime()<t._oMinDate.getTime()){k=new U(t._oMinDate.getTime());}else if(k.getTime()>t._oMaxDate.getTime()){k=new U(t._oMaxDate.getTime());}t._oDate=new Date(k.getTime());var O=t._formatValue(t._oDate);I.val(O);I.cursorPos(p);}}
}());return b;},true);
sap.ui.predefine('sap/ui/commons/DatePickerRenderer',['jquery.sap.global','./TextFieldRenderer'],function(q,T){"use strict";var D=sap.ui.core.Renderer.extend(T);
D.renderOuterAttributes=function(r,c){r.addClass("sapUiTfCombo");this.renderDatePickerARIAInfo(r,c);};
D.renderOuterContentBefore=function(r,c){r.write("<div");r.writeAttribute('id',c.getId()+'-icon');r.writeAttribute('tabindex','-1');r.addClass("sapUiTfDateIcon");r.writeClasses();r.write("></div>");var a=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");var t=a.getText("DATEPICKER_DATE_TYPE");var s=sap.ui.core.ValueStateSupport.enrichTooltip(c,c.getTooltip_AsString());if(s){t=t+". "+s;}r.write('<SPAN id="'+c.getId()+'-Descr" style="visibility: hidden; display: none;">');r.writeEscaped(t);r.write('</SPAN>');};
D.renderInnerAttributes=function(r,d){if(d._bMobile){r.writeAttribute('type','date');r.addStyle('position','absolute');}};
D.renderDatePickerARIAInfo=function(r,c){};
D.renderARIAInfo=function(r,d){var p={role:d.getAccessibleRole().toLowerCase(),multiline:false,autocomplete:"none",haspopup:true,describedby:{value:d.getId()+"-Descr",append:true}};if(d.getValueState()==sap.ui.core.ValueState.Error){p["invalid"]=true;}r.writeAccessibilityState(d,p);};
D.convertPlaceholder=function(d){var p=d.getPlaceholder();if(p.length==8&&!isNaN(p)){var o=d._oFormatYyyymmdd.parse(p);if(o){p=d._formatValue(o);}}return p;};
return D;},true);
sap.ui.predefine('sap/ui/commons/Dialog',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/Popup','sap/ui/core/RenderManager',"./DialogRenderer"],function(q,l,C,P,R,D){"use strict";
var a=C.extend("sap.ui.commons.Dialog",{metadata:{interfaces:["sap.ui.core.PopupInterface"],library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},scrollLeft:{type:"int",group:"Behavior",defaultValue:0},scrollTop:{type:"int",group:"Behavior",defaultValue:0},title:{type:"string",group:"Misc",defaultValue:''},applyContentPadding:{type:"boolean",group:"Appearance",defaultValue:true},showCloseButton:{type:"boolean",group:"Behavior",defaultValue:true},resizable:{type:"boolean",group:"Behavior",defaultValue:true},minWidth:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},minHeight:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},maxWidth:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},maxHeight:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},contentBorderDesign:{type:"sap.ui.commons.enums.BorderDesign",group:"Appearance",defaultValue:sap.ui.commons.enums.BorderDesign.None},modal:{type:"boolean",group:"Misc",defaultValue:false},accessibleRole:{type:"sap.ui.core.AccessibleRole",group:"Accessibility",defaultValue:sap.ui.core.AccessibleRole.Dialog},keepInWindow:{type:"boolean",group:"Behavior",defaultValue:false},autoClose:{type:"boolean",group:"Misc",defaultValue:false}},defaultAggregation:"content",aggregations:{buttons:{type:"sap.ui.core.Control",multiple:true,singularName:"button"},content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"}},associations:{defaultButton:{type:"sap.ui.commons.Button",multiple:false},initialFocus:{type:"sap.ui.core.Control",multiple:false}},events:{closed:{parameters:{width:{type:"int"},height:{type:"int"},top:{type:"int"},left:{type:"int"}}}}}});
a.prototype.init=function(){this.oPopup=new P(this,true,true);this._minWidth=64;this._minHeight=48;this.allowTextSelection(false);this._mParameters={};this._mParameters.that=this;this._mParameters.firstFocusable=this.getId()+"-fhfe";this._mParameters.lastFocusable=this.getId()+"-fhee";this._fnOnResizeRecenter=q.proxy(this._onResize,this);};
a.prototype.setInitialFocus=function(i){if(i&&typeof i!="string"){i=i.getId();}this.oPopup.setInitialFocusId(i);this.setAssociation("initialFocus",i,true);};
a.prototype.onAfterRendering=function(){var $=this.$("cont");var _=this.getMinSize();this._minWidth=_.width;this._minHeight=_.height;if(!this._isSizeSet(this.getWidth())&&!this._isSizeSet(this.getMaxWidth())){$.children().each(function(i,e){if(q.trim(this.style.width)=="100%"){this.style.width="auto";}});}if(!this._isSizeSet(this.getHeight())&&this._isSizeSet(this.getMinHeight())){var f=this.getDomRef("footer");var b=f.offsetTop+f.offsetHeight;var d=this.getDomRef().offsetHeight;if(b<d){this.$().removeClass("sapUiDlgFlexHeight");}}};
a.prototype.onclick=function(e){var c=this.getId()+"-close";if(e.target.id===c){this.close();e.preventDefault();}return false;};
a.prototype.open=function(){if(!this.oPopup){q.sap.log.fatal("This dialog instance has been destroyed already");}else if(!this._bOpen){this._oPreviousFocus=P.getCurrentFocusInfo();this.oPopup.attachEvent("opened",this.handleOpened,this);this.oPopup.attachEvent("closed",this.handleClosed,this);this.oPopup.setModal(this.getModal());this.oPopup.setAutoClose(this.getAutoClose());this.oPopup.open(400);this._onResize();this._bOpen=true;this._registerContentResizeHandler();}};
a.prototype.onThemeChanged=function(){this.invalidate();};
a.prototype._handleOpened=function(){this.$().show();var i=this.getInitialFocus();var t;this._bInitialFocusSet=true;if(i){sap.ui.getCore().byId(i).focus();return;}i=this.getDefaultButton();t=q(":sapTabbable",this.$("cont"));if(i){sap.ui.getCore().byId(i).focus();}else if(this.getButtons().length){this.getButtons()[0].focus();}else if(this.getContent().length&&t.length){t[0].focus();}else{var f=q.sap.domById(this._mParameters.firstFocusable);q.sap.focus(f);}};
a.prototype.handleOpened=function(){this.oPopup.detachEvent("opened",this.handleOpened,this);this._handleOpened();};
a.prototype.close=function(){if(!this._bOpen){return;}var r=this.$().rect();this._bOpen=false;this._bInitialFocusSet=false;if(this.oPopup.isOpen()){this.oPopup.close(400);}q.sap.delayedCall(400,this,"restorePreviousFocus");q.each(r,function(k,v){r[k]=parseInt(v,10);});this._oRect=r;};
a.prototype.handleClosed=function(){this.oPopup.detachEvent("closed",this.handleClosed,this);this._deregisterContentResizeHandler();this.fireClosed(this._oRect);this.close();if(this.getDomRef()){R.preserveContent(this.getDomRef());this.$().remove();}};
a.prototype.restorePreviousFocus=function(){P.applyFocusInfo(this._oPreviousFocus);};
a.prototype.setTitle=function(t){this.setProperty("title",t,true);this.$("lbl").text(t);return this;};
a.prototype.exit=function(){var w=this.isOpen();this.close();this.oPopup.detachEvent("opened",this.handleOpened,this);this.oPopup.detachEvent("closed",this.handleClosed,this);this._deregisterContentResizeHandler();this.oPopup.destroy();if(w){this.fireClosed(this._oRect);}this.oPopup=null;q.sap.clearDelayedCall(this._sDelayedCall);this._sDelayedCall=null;delete this._mParameters;this._fnOnResizeRecenter=null;};
a.prototype._isSizeSet=function(c){return!!(c&&c!=="auto"&&c!=="inherit");};
a.prototype.onsapescape=function(e){this.close();e.preventDefault();e.stopPropagation();};
a.prototype.onsapenter=function(e){var f,i=this.getDefaultButton();if(i&&(f=sap.ui.getCore().byId(i))&&q.contains(this.getDomRef(),f.getDomRef())){if(f instanceof sap.ui.commons.Button){f.onclick(e);}}e.preventDefault();e.stopPropagation();};
a.prototype.onfocusin=function(e){this.sLastRelevantNavigation=null;if(!this._bInitialFocusSet){return;}this._mParameters.event=e;this._mParameters.$FocusablesContent=q(":sapTabbable",this.$("cont"));this._mParameters.$FocusablesFooter=q(":sapTabbable",this.$("footer"));this.oPopup.focusTabChain(this._mParameters);};
a.prototype.restoreFocus=function(){if(this.oRestoreFocusInfo&&this.oPopup.bOpen){var c=sap.ui.getCore().byId(this.oRestoreFocusInfo.sFocusId);if(c){c.applyFocusInfo(this.oRestoreFocusInfo.oFocusInfo);}}};
a.prototype.onselectstart=function(e){if(!q.sap.containsOrEquals(this.getDomRef("cont"),e.target)){e.preventDefault();e.stopPropagation();}};
a.prototype.getMinSize=function(){var A=36;var $=q.sap.byId(this.sId);var b=q.sap.byId(this.sId+"-hdr");var c=q.sap.byId(this.sId+"-footer");var f=c.children("DIV").get(0);var w=f?f.offsetWidth:0;var F=c.css('display')!=='none';var d=0;var h;var e;d+=c.outerWidth(false)-c.width();d+=$.outerWidth(false)-$.width();if(d<=20){d=20;}w+=d;if(w<100){w=100;}h=b.outerHeight(false);e=c.outerHeight(false);return{width:w,height:h+e+(F?A:0)};};
a.prototype.forceInvalidate=C.prototype.invalidate;
a.prototype.invalidate=function(o){if(this.oPopup&&(this.oPopup.eOpenState!=="CLOSING"||this.isOpen())){this.forceInvalidate(o);}};
a.prototype.isOpen=function(){return this.oPopup.isOpen();};
a.prototype.getOpenState=function(){return this.oPopup.getOpenState();};
a.prototype.getEnabled=function(){var e=this.getOpenState();return e===sap.ui.core.OpenState.OPENING||e===sap.ui.core.OpenState.OPEN;};
a.prototype.ondragstart=function(e){if(this.sDragMode=="resize"||this.sDragMode=="move"){e.preventDefault();e.stopPropagation();}};
a.prototype.onmousedown=function(e){var s=e.target,i=this.getId();this._bRtlMode=sap.ui.getCore().getConfiguration().getRTL();var d=this.getDomRef();if(q.sap.containsOrEquals(this.getDomRef("hdr"),s)){if(s.id!=(i+"-close")){this.sDragMode="move";this._RootWidth=d.offsetWidth;this._RootHeight=d.offsetHeight;}}else if(s.id==i+"-grip"){this.sDragMode="resize";var w=d.offsetWidth+"px";var h=d.offsetHeight+"px";d.style.width=w;d.style.height=h;q(d).removeClass("sapUiDlgFlexHeight sapUiDlgFlexWidth");this.setProperty("width",w,true);this.setProperty("height",h,true);}if(!this.sDragMode){return;}var A=document.activeElement;if(A&&A.id){var c=q.sap.byId(A.id).control(0);if(c){this.oRestoreFocusInfo={sFocusId:c.getId(),oFocusInfo:c.getFocusInfo()};}}this.startDragX=e.screenX;this.startDragY=e.screenY;this.originalRectangle=this.$().rect();q(window.document).on("selectstart",q.proxy(this.ondragstart,this));q(window.document).on("mousemove",q.proxy(this.handleMove,this));q(window.document).on("mouseup",q.proxy(this.handleMouseUp,this));var o=this._findSameDomainParentWinDoc();if(o){q(o).on("selectstart",q.proxy(this.ondragstart,this));q(o).on("mousemove",q.proxy(this.handleMove,this));q(o).on("mouseup",q.proxy(this.handleMouseUp,this));}};
a.prototype._findSameDomainParentWinDoc=function(){var o=null;try{var w=window;while(w.parent&&(w.parent!=w)){if(w.parent.document){o=w.parent.document;w=w.parent;}}}catch(e){}return o;};
a.prototype.handleMove=function(e){if(!this.sDragMode){return;}e=e||window.event;this._deregisterContentResizeHandler();if(this.sDragMode=="resize"){var d=e.screenX-this.startDragX||0;var b=e.screenY-this.startDragY||0;var w=(this._bRtlMode?this.originalRectangle.width-d:this.originalRectangle.width+d)||0;var h=this.originalRectangle.height+b||0;w=Math.max(w,this._minWidth);h=Math.max(h,this._minHeight);var o=this.getDomRef();o.style.width=w+"px";o.style.height=h+"px";w=o.offsetWidth;h=o.offsetHeight;this.setProperty("width",w+"px",true);this.setProperty("height",h+"px",true);}else if(this.sDragMode=="move"){var L=this.originalRectangle.left+e.screenX-this.startDragX;var t=this.originalRectangle.top+e.screenY-this.startDragY;t=Math.max(t,window.pageYOffset);if(this._bRtlMode||this._keepInWindow()){L=Math.min(L,document.documentElement.clientWidth+window.pageXOffset-this._RootWidth);}if(!this._bRtlMode||this._keepInWindow()){L=Math.max(L,0);}if(this._keepInWindow()){t=Math.min(t,document.documentElement.clientHeight+window.pageYOffset-this._RootHeight);}this.oPopup.setPosition(P.Dock.LeftTop,{left:L,top:t});}e.cancelBubble=true;this._registerContentResizeHandler();return false;};
a.prototype._keepInWindow=function(){return this.getKeepInWindow()||this.getModal();};
a.prototype.handleMouseUp=function(e){if(this.sDragMode===null){return;}q(window.document).off("selectstart",this.ondragstart);q(window.document).off("mousemove",this.handleMove);q(window.document).off("mouseup",this.handleMouseUp);var o=this._findSameDomainParentWinDoc();if(o){q(o).off("selectstart",this.ondragstart);q(o).off("mousemove",this.handleMove);q(o).off("mouseup",this.handleMouseUp);}this.restoreFocus();this.sDragMode=null;};
a.setAutoClose=function(A){this.oPopup.setAutoClose(A);};
a.getAutoClose=function(){this.oPopup.getAutoClose();};
a.prototype._deregisterContentResizeHandler=function(){if(this._sContentResizeListenerId){sap.ui.core.ResizeHandler.deregister(this._sContentResizeListenerId);this._sContentResizeListenerId=null;}};
a.prototype._registerContentResizeHandler=function(){if(!this._sContentResizeListenerId){this._sContentResizeListenerId=sap.ui.core.ResizeHandler.register(this.getDomRef("cont"),this._fnOnResizeRecenter);}};
a.prototype._onResize=function(){var e=P.Dock;if(this.oPopup){this.oPopup.setPosition(e.CenterCenter,e.CenterCenter,window);}};
return a;},true);
sap.ui.predefine('sap/ui/commons/DialogRenderer',['jquery.sap.global'],function(q){"use strict";var D={};
D.render=function(r,c){var h=c._isSizeSet(c.getHeight());var w=c._isSizeSet(c.getWidth());var a=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");c.getScrollTop();c.getScrollLeft();var b=c.getButtons();var B=b.length;r.write("<div");r.writeControlData(c);r.addClass("sapUiDlg");if(c.getModal()){r.addClass("sapUiDlgModal");}r.addClass("sapUiDlgContentBorderDesign"+c.getContentBorderDesign());r.addStyle("width",c.getWidth());r.addStyle("height",c.getHeight());r.addStyle("min-width",c.getMinWidth());r.addStyle("min-height",c.getMinHeight());r.addStyle("max-width",c.getMaxWidth());r.addStyle("max-height",c.getMaxHeight());r.addStyle("display","none");if(!h){r.addClass("sapUiDlgFlexHeight");}if(!w){r.addClass("sapUiDlgFlexWidth");}if(B==0){r.addClass("sapUiDlgNoButtons");}if(!c.getApplyContentPadding()){r.addClass("sapUiDlgNoPad");}r.writeClasses();r.writeStyles();r.writeAttribute("aria-labelledby",c.getId()+"-lbl "+c.getId()+"-acc");r.writeAttribute("role",c.getAccessibleRole().toLowerCase());r.writeAttribute("tabindex","-1");r.write("><span style='display:none;' id='",c.getId(),"-acc'>",a.getText("DIALOG_CLOSE_HELP"),"</span>");r.write("<span id='"+c.getId()+"-fhfe' tabIndex='0'></span><div id='"+c.getId()+"-hdr' class='sapUiDlgHdr'>");r.write("<span class='sapUiDlgHdrLeft' id='"+c.getId()+"-hdrL'>");var t=c.getTitle();r.write("<span id='"+c.getId()+"-lbl' class='sapUiDlgLabel'");r.writeAttribute("role","heading");r.writeAttribute("aria-level","1");if(t){r.writeAttributeEscaped("title",t);}r.write(">");if(!t){r.write("&nbsp;");}else{r.writeEscaped(t);}r.write("</span></span>");r.write("<span id='",c.getId(),"-hdrR' class='sapUiDlgHdrBtns'>");if(c.getShowCloseButton()){r.write("<a id='",c.getId(),"-close' class='sapUiDlgCloseBtn' href='#'");r.write(" tabIndex='-1'");r.writeAttribute("role","button");r.writeAttributeEscaped("aria-label",a.getText("DIALOG_CLOSE_HELP"));r.writeAttributeEscaped("title",a.getText("DIALOG_CLOSE_TEXT"));r.write("></a>");}r.write("</span></div>");r.write('<div class="sapUiDlgHdrSep"></div>');r.write("<div class='sapUiDlgCont' id='",c.getId(),"-cont' tabindex=\"-1\">");var C=c.getContent();for(var i=0;i<C.length;i++){r.renderControl(C[i]);}r.write("</div>");if(B>0){r.write('<div class="sapUiDlgFooterSep"></div>');}r.write("<div id='");r.write(c.getId());r.write("-footer' class='sapUiDlgFooter'>");r.write("<div class='sapUiDlgBtns'>");for(var i=0;i<B;i++){r.renderControl(b[i]);}r.write("</div><div class='sapUiDlgWave'></div></div>");if(c.getResizable()){r.write("<span id='");r.write(c.getId());r.write("-grip' class='sapUiDlgGrip'>&#916;</span>");}r.write("<span id='"+c.getId()+"-fhee' tabIndex='0'></span></div>");};
return D;},true);
sap.ui.predefine('sap/ui/commons/DropdownBox',['jquery.sap.global','./ComboBox','./library','sap/ui/core/History','sap/ui/core/SeparatorItem',"./DropdownBoxRenderer"],function(q,C,a,H,S,D){"use strict";
var b=C.extend("sap.ui.commons.DropdownBox",{metadata:{library:"sap.ui.commons",properties:{searchHelpEnabled:{type:"boolean",group:"Behavior",defaultValue:false},searchHelpText:{type:"string",group:"Appearance",defaultValue:null},searchHelpAdditionalText:{type:"string",group:"Appearance",defaultValue:null},searchHelpIcon:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:null},maxHistoryItems:{type:"int",group:"Behavior",defaultValue:0}},events:{searchHelp:{parameters:{value:{type:"string"}}}}}});
b.prototype.init=function(){C.prototype.init.apply(this,arguments);this._oValueBeforePaste=null;this._oValueBeforeOpen=null;this.__aItems=null;this._iCursorPosBeforeBackspace=null;this._searchHelpItem=null;this._iItemsForHistory=10;this._oHistory=new H(this.getId());};
b.prototype.exit=function(){var I=this.getId()+"-h-";if(this._searchHelpItem){this._searchHelpItem[0].destroy();this._searchHelpItem[1].destroy();this._searchHelpItem=null;}C.prototype.exit.apply(this,arguments);function r(c){var o=sap.ui.getCore().byId(c);if(o){o.destroy();}}for(var i=0;i<this.getMaxHistoryItems();i++){r(I+i);}if(this.__oSeparator){this.__oSeparator.destroy();this.__oSeparator=null;}this._oHistory=null;this.__aItems=null;this._sWantedValue=undefined;};
b.prototype.onAfterRendering=function(e){C.prototype.onAfterRendering.apply(this,arguments);if(!this._sHandleItemsChanged){this.checkValueInItems();}};
b.prototype.getItems=function(){if(this.oPopup&&this.oPopup.isOpen()){return this.__aItems;}else{return C.prototype.getItems.apply(this,arguments);}};
b.prototype.insertItem=function(i,I){if(this.oPopup&&this.oPopup.isOpen()){this.__aItems.splice(I,0,i);if(this.__aItems.length<=this._iItemsForHistory&&!this._searchHelpItem){this._getListBox().insertItem(i,I);}if(!this._bNoItemCheck){var r=q(this.getInputDomRef());var c=r.cursorPos();this._doTypeAhead(r.val().substr(0,c),"");}return this;}else{return C.prototype.insertItem.apply(this,arguments);}};
b.prototype.addItem=function(i){if(this.oPopup&&this.oPopup.isOpen()){this.__aItems.push(i);if(this.__aItems.length<=this._iItemsForHistory&&!this._searchHelpItem){this._getListBox().addItem(i);}if(!this._bNoItemCheck){var r=q(this.getInputDomRef());var c=r.cursorPos();this._doTypeAhead(r.val().substr(0,c),"");}return this;}else{return C.prototype.addItem.apply(this,arguments);}};
b.prototype.removeItem=function(e){if(this.oPopup&&this.oPopup.isOpen()){var I=null;var o=e;if(typeof(e)=="string"){e=sap.ui.getCore().byId(e);}if(typeof(e)=="object"){for(var i=0;i<this.__aItems.length;i++){if(this.__aItems[i]==e){e=i;break;}}}if(typeof(e)=="number"){if(e<0||e>=this.__aItems.length){q.sap.log.warning("Element.removeAggregation called with invalid index: Items, "+e);}else{I=this.__aItems[e];this.__aItems.splice(e,1);}}if(this.__aItems.length<=this._iItemsForHistory&&!this._searchHelpItem){this._getListBox().removeItem(o);}if(!this._bNoItemCheck){var r=q(this.getInputDomRef());var c=r.cursorPos();this._doTypeAhead(r.val().substr(0,c),"");}return I;}else{return C.prototype.removeItem.apply(this,arguments);}};
b.prototype.removeAllItems=function(){if(this.oPopup&&this.oPopup.isOpen()){var i=this.__aItems;if(!i){return[];}C.prototype.removeAllItems.apply(this,arguments);this.__aItems=[];return i;}else{return C.prototype.removeAllItems.apply(this,arguments);}};
b.prototype.indexOfItem=function(I){if(this.oPopup&&this.oPopup.isOpen()){if(this.__aItems){if(this.__aItems.length==undefined){return-2;}for(var i=0;i<this.__aItems.length;i++){if(this.__aItems[i]==I){return i;}}}return-1;}else{return C.prototype.indexOfItem.apply(this,arguments);}};
b.prototype.destroyItems=function(){if(this.oPopup&&this.oPopup.isOpen()){if(!this.__aItems){return this;}this._getListBox().removeAllItems();for(var i=0;i<this.__aItems.length;i++){if(this.__aItems[i]){this.__aItems[i].destroy();}}this.__aItems=[];return this;}else{return C.prototype.destroyItems.apply(this,arguments);}};
b.prototype.updateItems=function(){C.prototype.updateItems.apply(this,arguments);if(this.oPopup&&this.oPopup.isOpen()){var r=q(this.getInputDomRef());var c=r.cursorPos();this._doTypeAhead(r.val().substr(0,c),"");}};
b.prototype._handleItemsChanged=function(e,d){if(d){this._sHandleItemsChanged=null;this._bNoItemCheck=undefined;}if(this._bNoItemCheck){return;}if(this.__aItems&&(!this.oPopup||!this.oPopup.isOpen())){throw new Error("DropdownBox "+this.getId()+" : this.__aItems is not empty!");}if(this.getListBox()&&this.oPopup&&this.oPopup.isOpen()){if(this.__aItems.length>this._iItemsForHistory||this._searchHelpItem){var I;var i=0;switch(e.getParameter("event")){case"destroyItems":for(i=0;i<this.__aItems.length;i++){I=this.__aItems[i];if(!I.bIsDestroyed){I.destroy();}}this.__aItems=[];if(this.getSearchHelpEnabled()){this._searchHelpItem=null;this.setSearchHelpEnabled(this.getSearchHelpEnabled(),this.getSearchHelpText(),this.getSearchHelpAdditionalText(),this.getSearchHelpIcon());}break;case"removeAllItems":this.__aItems=[];break;case"removeItem":I=e.getParameter("item");for(i=0;i<this.__aItems.length;i++){if(this.__aItems[i]==I){this.__aItems.splice(i,1);break;}}if(this.__aItems.length<=this._iItemsForHistory){this._getListBox().setItems(this.__aItems,false,true);}break;case"insertItem":this.__aItems.splice(e.getParameter("index"),0,e.getParameter("item"));break;case"addItem":this.__aItems.push(e.getParameter("item"));break;case"setItems":this.__aItems=e.getParameter("items");break;case"updateItems":for(i=0;i<this.__aItems.length;i++){I=this.__aItems[i];if(!I.bIsDestroyed){I.destroy();}}if(this.getSearchHelpEnabled()){this._searchHelpItem=null;this.setSearchHelpEnabled(this.getSearchHelpEnabled(),this.getSearchHelpText(),this.getSearchHelpAdditionalText(),this.getSearchHelpIcon());}this.__aItems=this._getListBox().getItems();break;default:break;}}else{this.__aItems=this._getListBox().getItems();}var r=q(this.getInputDomRef());var c=r.cursorPos();this._doTypeAhead(r.val().substr(0,c),"");}C.prototype._handleItemsChanged.apply(this,arguments);this.checkValueInItems();};
b.prototype.onclick=function(e){if(!this.mobile&&this.getEnabled&&this.getEnabled()&&this.getEditable()){if(this.oPopup&&this.oPopup.isOpen()){this._close();this._doSelect();}else if(!this._F4ForClose){this._open();}this.focus();}this._F4ForClose=false;};
b.prototype.onmousedown=function(e){if(!this.getEnabled()||!this.getEditable()){return;}if(this.oPopup&&this.oPopup.isOpen()){this._F4ForClose=true;}else{this._F4ForOpen=true;}C.prototype.onmousedown.apply(this,arguments);};
b.prototype.onsapshow=function(e){if(this.mobile){return;}if(!this.getEnabled()||!this.getEditable()){e.preventDefault();e.stopImmediatePropagation();return;}if(e.which===q.sap.KeyCodes.F4&&this._searchHelpItem){this._close();this.fireSearchHelp({value:q(this.getInputDomRef()).val()});e.preventDefault();e.stopImmediatePropagation();return;}if(this.oPopup&&this.oPopup.isOpen()){this._close();}else{this._open();var l=this._getListBox();l.scrollToIndex(l.getSelectedIndex());this._doSelect();}e.preventDefault();e.stopImmediatePropagation();};
b.prototype.onkeydown=function(e){if(e.target.id==this.getId()+"-select"){return;}if(!!sap.ui.Device.browser.webkit&&(e.which==q.sap.KeyCodes.DELETE||e.which==q.sap.KeyCodes.BACKSPACE)){this.onkeypress(e);}if(!sap.ui.Device.browser.internet_explorer||e.which!==q.sap.KeyCodes.BACKSPACE){return;}this._iCursorPosBeforeBackspace=q(this.getInputDomRef()).cursorPos();};
b.prototype.onpaste=function(e){if(e.target.id==this.getId()+"-select"){return;}if(this._oValueBeforePaste===null){this._oValueBeforePaste=q(this.getInputDomRef()).val();}};
b.prototype.oncut=b.prototype.onpaste;
b.prototype.oninput=function(e){if(this.mobile){return;}if(!this._realOninput(e)){return;}var r=q(this.getInputDomRef());var v=r.val();if(!this.oPopup||!this.oPopup.isOpen()){this.noTypeAheadByOpen=true;this._open();this.noTypeAheadByOpen=undefined;}var V=this._doTypeAhead(v,"");if(!V&&this._oValueBeforePaste){this._doTypeAhead("",this._oValueBeforePaste);}this._oValueBeforePaste=null;this._fireLiveChange(e);};
b.prototype.onkeyup=function(e){if(e.target.id==this.getId()+"-select"){return;}if(!this.getEnabled()||!this.getEditable()){return;}var k=e.which,K=q.sap.KeyCodes;sap.ui.commons.TextField.prototype.onkeyup.apply(this,arguments);if(!(!!sap.ui.Device.browser.internet_explorer&&k===K.BACKSPACE)&&this._oValueBeforePaste===null||k===K.TAB){return;}if(!this.oPopup||!this.oPopup.isOpen()){this.noTypeAheadByOpen=true;this._open();this.noTypeAheadByOpen=undefined;}var r=q(this.getInputDomRef()),v=false;if(k===K.BACKSPACE&&this._iCursorPosBeforeBackspace!==null){var c=r.cursorPos();if(this._iCursorPosBeforeBackspace!==c){c++;}this._iCursorPosBeforeBackspace=null;v=this._doTypeAhead(r.val().substr(0,c-1),"");}else if(!(v=this._doTypeAhead("",r.val()))){r.val(this._oValueBeforePaste);}if(v){this._getListBox().rerender();}this._oValueBeforePaste=null;};
b.prototype.onsaphome=function(e){if(e.target.id==this.getId()+"-select"){return;}if((!this.oPopup||!this.oPopup.isOpen())&&this.getEditable()&&this.getEnabled()){sap.ui.commons.TextField.prototype.onsaphome.apply(this,arguments);var r=q(this.getInputDomRef());r.cursorPos(0);this._updateSelection();e.preventDefault();}else{C.prototype.onsaphome.apply(this,arguments);}};
b.prototype.onsapdelete=function(e){if(e.target.id==this.getId()+"-select"){return;}if(!this.oPopup||!this.oPopup.isOpen()){return;}var l=this._getListBox(),i=l.getSelectedItem(),m=i.getId().match(/\-h\-([0-4])/),I=l.getSelectedIndex();if(m&&m.length===2){this._oHistory.remove(i.getText());l.removeItem(I);var L=this._oHistory.get().length;if(L===0){l.removeItem(0);}l.rerender();var n=I+(this._searchHelpItem?2:0);if(n==L){n++;}l.setSelectedIndex(n);this.setValue(l.getSelectedItem().getText());}};
b.prototype.onkeypress=function(e){if(e.target.id==this.getId()+"-select"){return;}if(!this.getEnabled()||!this.getEditable()){return;}var k=e.which,K=e.keyCode,o=q.sap.KeyCodes;if((C._isHotKey(e)||(!!sap.ui.Device.browser.firefox&&K===o.HOME)||K===o.F4&&e.which===0)&&!(e.ctrlKey&&e.which==120)){return;}else if(K==o.ESCAPE){var v=this.getProperty("value");var i=this.getInputDomRef();if(i&&i.value!==v){q(i).val(v);}return;}var n=String.fromCharCode(k),r=q(this.getInputDomRef()),c=r.cursorPos(),V=r.val();if(!this.oPopup||!this.oPopup.isOpen()){this.noTypeAheadByOpen=true;this._open();this.noTypeAheadByOpen=undefined;}if(k===o.BACKSPACE){this._doTypeAhead(V.substr(0,c-1),"");}else{this._doTypeAhead(V.substr(0,c),n);}if(V!=r.val()){this._fireLiveChange(e);}this._bFocusByOpen=undefined;e.preventDefault();};
b.prototype.onsapright=function(e){if(e.target.id==this.getId()+"-select"){return;}if(!this.getEnabled()||!this.getEditable()){return;}var r=sap.ui.getCore().getConfiguration().getRTL();if(!r){this._updateSelection(1);}else{this._updateSelection(-1);}e.preventDefault();};
b.prototype.onsapleft=function(e){if(e.target.id==this.getId()+"-select"){return;}if(!this.getEnabled()||!this.getEditable()){return;}var r=sap.ui.getCore().getConfiguration().getRTL();if(!r){this._updateSelection(-1);}else{this._updateSelection(1);}e.preventDefault();};
b.prototype.onfocusin=function(e){if(!this.oPopup||!this.oPopup.isOpen()||this._bFocusByOpen){var r=q(this.getInputDomRef()),l=r.val().length;if(l>0&&!this.mobile){this._callDoSelectAfterFocusIn(0,l);}this._bFocusByOpen=undefined;}C.prototype.onfocusin.apply(this,arguments);};
b.prototype._callDoSelectAfterFocusIn=function(s,e){if(!sap.ui.Device.browser.internet_explorer){this._doSelect(s,e);}else{if(!this._eDoSelectAfterFocusIn||this._eDoSelectAfterFocusIn!=="_doSelect"){this._eDoSelectAfterFocusIn="onfocusin";this._doSelect(s,e);}else{this._eDoSelectAfterFocusIn=undefined;}}};
b.prototype.onselect=function(e){var t=new Date().getTime();if(this._bIgnoreSelect){this._bIgnoreSelect=false;this.iOldTimestamp=t;return;}if(this.iOldTimestamp&&t-this.iOldTimestamp<50){return;}this.iOldTimestamp=undefined;if(!this.getEnabled()||!this.getEditable()){return;}var r=q(this.getInputDomRef()),n=r.cursorPos(),v=r.val();if(v.length>0&&n>0){this._doTypeAhead(v.substr(0,n),"");if(!this.oPopup||!this.oPopup.isOpen()){this._cleanupClose(this._getListBox());}}e.preventDefault();};
b.prototype._determinePosinset=function(i,n){var p=n+1;if(this.oPopup&&this.oPopup.isOpen()){this.dontSetPoisinset=undefined;var I=i[n];var h=i[0].getId().search(this.getId()+"-h-")!=-1;if(I.getId().search(this.getId()+"-h-")==-1){if(h){p=p-1;}if(this._searchHelpItem){p=p-2;}}}return p;};
b.prototype._doSelect=function(s,e){this._bIgnoreSelect=true;var d=this.getInputDomRef();if(d){var r=q(d);r.selectText(s?s:0,e?e:r.val().length);}return this;};
b.prototype._updateSelection=function(m){var r=q(this.getInputDomRef()),n=r.cursorPos()+(m||0),v=r.val();this._doTypeAhead(v.substr(0,n),"");if(!this.oPopup||!this.oPopup.isOpen()){this._cleanupClose(this._getListBox());}else{this._getListBox().rerender();}};
b.prototype._doTypeAhead=function(v,n,N,I){if(this.__doTypeAhead===true){return;}this.__doTypeAhead=true;this._sWantedSelectedKey=undefined;this._sWantedSelectedItemId=undefined;this._sWantedValue=undefined;var l=this._getListBox(),m=this.getMaxPopupItems(),c=this.__aItems||l.getItems(),V=c.length,h=this.getMaxHistoryItems()>0&&c.length>this._iItemsForHistory,f=!N&&h,o=v+n,s=new RegExp("[.*+?|()\\[\\]{}\\\\]","g"),r=o.toLowerCase().replace(s,"\\$&"),d=RegExp("^"+r+".*$"),M=n&&n.length||0,R=q(this.getInputDomRef());this.__aItems=c;if(V<=0){this.__doTypeAhead=false;return false;}var e,F=this._getFilteredItems(c,d),g=F.length>0;if(!g){f=false;}if(f){e=F;}else{e=c.slice(0);}var j=[];if(h){j=this._addHistoryItems(e,f&&d);l.setItems(e,false,true);V=e.length;}l.setVisibleItems(m<V?m:-1);var k,p=j.length;var i=0;if(I>=0){k=c[I];}if(!f&&p>0&&g){j=this._getFilteredItems(j,d);k=j[0];}if(f){k=F[0];}else if(!k){if(F.length>0){k=F[0];}else{var O=R.val();var t=0;for(i=0;i<e.length;i++){var u=e[i];if(u.getEnabled()){if(!t){t=i;}if(u.getText()==O){k=u;break;}}}if(!k){k=e[t];}}}var w=this._searchHelpItem;if(w){e.splice(p++,0,w[0],w[1]);l.setItems(e,false,true);}i=l.indexOfItem(k);var T=k.getText();var P=i+1;var x=e.length;if(j.length>0){x=x-1;}if(w){x=x-2;}if(P>j.length){if(j.length>0){P=P-1;}if(w){P=P-2;}}this._updatePosInSet(R,P,(k.getAdditionalText?k.getAdditionalText():""));R.attr("aria-setsize",x);R.val(T);this._sTypedChars=o;this._doSelect(v.length+M,T.length);l.setSelectedIndex(i);if(w&&i==2){l.scrollToIndex(0);}else{l.scrollToIndex(i);}this._iClosedUpDownIdx=i;if(!g){R=this.$();R.addClass("sapUiTfErr");q.sap.delayedCall(300,R,"removeClass",["sapUiTfErr"]);R.cursorPos(v.length);this._doSelect(v.length,T.length);}this.__doTypeAhead=false;return g;};
b.prototype._prepareOpen=function(l,p){this._oValueBeforeOpen=q(this.getInputDomRef()).val();this._bOpening=true;if(!this.noTypeAheadByOpen){var i;if(this._iClosedUpDownIdx>=0){i=this._iClosedUpDownIdx;}else if(this.getSelectedItemId()){i=this.indexOfItem(sap.ui.getCore().byId(this.getSelectedItemId()));}this._doTypeAhead("",q(this.getInputDomRef()).val(),true,i);this._doSelect();}return this;};
b.prototype._handleOpened=function(){C.prototype._handleOpened.apply(this,arguments);if(!sap.ui.Device.browser.internet_explorer){q(this.getInputDomRef()).focus();}else{this._bFocusByOpen=true;}};
b.prototype._cleanupClose=function(l){if(this.__aItems){var s=l.getSelectedItem();l.setItems(this.__aItems,false,true);this._iClosedUpDownIdx=l.indexOfItem(s);l.setSelectedIndex(this._iClosedUpDownIdx);this.__aItems=undefined;}this._oValueBeforeOpen=null;this._bOpening=undefined;return this;};
b.prototype._getFilteredItems=function(I,r){var t=I.slice(0),o;for(var i=t.length-1;i>=0;i--){o=t[i];if(!r.test(o.getText().toLowerCase())||!o.getEnabled()){t.splice(i,1);}}return t;};
b.prototype._addHistoryItems=function(I,r){var s=this.getId()+"-h-",o,h=this._oHistory.get(),l=h.length,n=[];for(var i=0,j=0;j<this.getMaxHistoryItems()&&i<l;i++){if(!r||r.test(h[i])){o=(o=sap.ui.getCore().byId(s+j))&&o.setText(h[i])||new sap.ui.core.ListItem(s+j,{text:h[i]});n.push(o);j++;}}if(n.length>0){var c=s+"separator",d=this._getSeparator(c);n.push(d);}I.unshift.apply(I,n);return n;};
b.prototype._getSeparator=function(s){if(!this.__oSeparator&&s){this.__oSeparator=sap.ui.getCore().byId(s)||new S(s);}return this.__oSeparator||null;};
b.prototype.fireChange=function(A){this.fireEvent("change",A);if(A.newValue&&(this.getMaxHistoryItems()>0)){this._oHistory.add(A.newValue);}this._sWantedValue=undefined;return this;};
b.prototype.setValue=function(v,n){v=(v===undefined||v===null||v==="")?"":v;var I=this.getItems(),t,V=false,f;for(var i=0,l=I.length;i<l&&!V;i++){var o=I[i];var e=o.getEnabled();t=o.getText();if(e&&!f){f=t;}V=t===v&&e;}if(V){C.prototype.setValue.call(this,v,n);this._sWantedValue=undefined;}else if(v===""&&I.length>0){C.prototype.setValue.call(this,f,n);}else{this._sWantedValue=v;}return this;};
b.prototype.applyFocusInfo=function(f){C.prototype.applyFocusInfo.apply(this,arguments);if(!this._bOpening&&(!this.oPopup||!this.oPopup.isOpen())){this._cleanupClose(this._getListBox());}return this;};
b.prototype._focusAfterListBoxClick=function(){if(!sap.ui.Device.browser.webkit){this.focus();}else{var l=this._getListBox();l.addDelegate({onclick:function(){l.removeDelegate(this);this.focus();}.bind(this)});}};
b.prototype.onsapfocusleave=function(e){var l=this._getListBox();if(e.relatedControlId&&q.sap.containsOrEquals(l.getFocusDomRef(),sap.ui.getCore().byId(e.relatedControlId).getFocusDomRef())){this._focusAfterListBoxClick();}else{if(this.oPopup&&this.oPopup.isOpen()){this._close();}sap.ui.commons.TextField.prototype.onsapfocusleave.apply(this,arguments);}};
b.prototype.getTooltip_AsString=function(){var t=C.prototype.getTooltip_AsString.apply(this,arguments);if(!this._searchHelpItem){return t;}else{var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");var s=r.getText("DDBX_SHI_ARIA");s=s==="DDBX_SHI_ARIA"?"Open search help via {0}":s;var A=this._searchHelpItem[0]&&this._searchHelpItem[0].getAdditionalText()||r.getText("DDBX_SHIF4");A=A==="DDBX_SHIF4"?"F4":A;s=s.replace("{0}",A);return(t?t+" - ":"")+s;}};
b.prototype._handleSelect=function(c){if(this._searchHelpItem&&c.getParameter("selectedItem")===this._searchHelpItem[0]){var e=new q.Event("sapshow");e.which=q.sap.KeyCodes.F4;this.onsapshow(e);}else{var i=c.getParameter("selectedItem");if(!i){i=sap.ui.getCore().byId(c.getParameter("selectedId"));}if(i.getId().search(this.getId()+"-h-")!=-1){var l=this._getListBox(),I=l.getItems();var L=this._oHistory.get().length;if(L>this.getMaxHistoryItems()){L=Math.max(this.getMaxHistoryItems(),0);}for(var d=L;d<I.length;d++){if(I[d].getText()==i.getText()&&I[d].getEnabled()){c.mParameters.selectedIndex=d;if(!c.getParameter("selectedIndices")){c.mParameters.selectedIndices=new Array(1);c.mParameters.aSelectedIndices=new Array(1);}c.mParameters.selectedIndices[0]=d;c.mParameters.aSelectedIndices[0]=d;c.mParameters.selectedItem=I[d];break;}}}this._sWantedValue=undefined;return C.prototype._handleSelect.apply(this,arguments);}};
b.prototype.setSearchHelpEnabled=function(e,t,A,i){this.setProperty("searchHelpEnabled",e);if(t){this.setProperty("searchHelpText",t);}else{t=this.getSearchHelpText();}if(A){this.setProperty("searchHelpAdditionalText",A);}else{A=this.getSearchHelpAdditionalText();}if(i){this.setProperty("searchHelpIcon",i);}else{i=this.getSearchHelpIcon();}if(e){var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");if(r){t=t||r.getText("DDBX_SHI");t=t==="DDBX_SHI"?"Search Help":t;A=A||r.getText("DDBX_SHIF4");A=A==="DDBX_SHIF4"?"F4":A;}i=i||sap.ui.resource("sap.ui.commons","images/dropdown/ico12_f4.gif");if(!this._searchHelpItem){this._searchHelpItem=[new sap.ui.core.ListItem(this.getId()+"_shi",{text:t,additionalText:A,enabled:true,icon:i}),new S()];}else{this._searchHelpItem[0].setText(t).setAdditionalText(A).setIcon(i);}}else{if(this._searchHelpItem){this._searchHelpItem[0].destroy();this._searchHelpItem[1].destroy();this._searchHelpItem=null;}}return this;};
b.prototype.setSearchHelpText=function(s){this.setProperty("searchHelpText",s);this.setSearchHelpEnabled(this.getSearchHelpEnabled(),s,this.getSearchHelpAdditionalText(),this.getSearchHelpIcon());return this;};
b.prototype.setSearchHelpAdditionalText=function(s){this.setProperty("searchHelpAdditionalText",s);this.setSearchHelpEnabled(this.getSearchHelpEnabled(),this.getSearchHelpText(),s,this.getSearchHelpIcon());return this;};
b.prototype.setSearchHelpIcon=function(s){this.setProperty("searchHelpIcon",s);this.setSearchHelpEnabled(this.getSearchHelpEnabled(),this.getSearchHelpText(),this.getSearchHelpAdditionalText(),s);return this;};
b.prototype.checkValueInItems=function(){var v=this.getValue();var I=C.prototype.getItems.apply(this);var w=this._sWantedSelectedKey;var W=this._sWantedSelectedItemId;if(I&&I.length>0){var V=false;var f;var i=0,l=0;var o;var e=false;var t="";if(this._sWantedValue){for(i=0,l=I.length;i<l&&!V;i++){o=I[i];e=o.getEnabled();t=o.getText();if(e&&!f){f=t;}V=t===this._sWantedValue&&e;}if(V){v=this._sWantedValue;this._sWantedValue=undefined;w=undefined;W=undefined;C.prototype.setValue.call(this,v);}}if(!V){for(i=0,l=I.length;i<l&&!V;i++){o=I[i];e=o.getEnabled();t=o.getText();if(e&&!f){f=t;}V=t===v&&e;}}if(!V){v=f;C.prototype.setValue.call(this,v);}}else{v="";C.prototype.setValue.call(this,v);}this._sWantedSelectedKey=w;this._sWantedSelectedItemId=W;return v;};
b.prototype.setMaxHistoryItems=function(m){var o=this.getMaxHistoryItems();var I=this.getId()+"-h-";var c;this.setProperty('maxHistoryItems',m,true);if(m<o){var l=this._getListBox();for(var i=Math.max(m,0);i<o;i++){c=sap.ui.getCore().byId(I+i);if(c){l.removeItem(c);c.destroy();}}if(m<=0&&this.__oSeparator){l.removeItem(this.__oSeparator);}}return this;};
b.prototype.clearHistory=function(){this._oHistory.clear();var I=this.getId()+"-h-";var l=this._getListBox();var o;for(var i=0;i<this.getMaxHistoryItems();i++){o=sap.ui.getCore().byId(I+i);if(o){l.removeItem(o);o.destroy();}}if(this.__oSeparator){l.removeItem(this.__oSeparator);}};
b.prototype.ondrop=function(e){e.preventDefault();};
b.prototype._isSetEmptySelectedKeyAllowed=function(){return false;};
return b;},true);
sap.ui.predefine('sap/ui/commons/DropdownBoxRenderer',['jquery.sap.global','./ComboBoxRenderer'],function(q,C){"use strict";var D=sap.ui.core.Renderer.extend(C);
D.renderOuterContentBefore=function(r,d){this.renderExpander(r,d);};
D.renderOuterContent=function(r,d){this.renderSelectBox(r,d,'0');if(d.getDisplaySecondaryValues()){r.write("<span id=\""+d.getId()+"-SecVal\" style=\"display: none;\"></span>");}};
D.renderTextFieldEnabled=function(r,d){if(d.mobile){r.writeAttribute('tabindex','-1');}else if(!d.getEnabled()){r.writeAttribute('disabled','disabled');r.writeAttribute('tabindex','-1');}else if(!d.getEditable()){r.writeAttribute('tabindex','0');}else{r.writeAttribute('tabindex','0');}};
D.renderARIAInfo=function(r,d){var p=-1;if(d.getSelectedItemId()){for(var i=0;i<d.getItems().length;i++){var I=d.getItems()[i];if(I.getId()==d.getSelectedItemId()){p=i+1;break;}}}var P={autocomplete:"list",live:"polite",setsize:d.getItems().length,posinset:(p>=0)?p:undefined};if(d.getValueState()==sap.ui.core.ValueState.Error){P["invalid"]=true;}if(d.getDisplaySecondaryValues()){P["describedby"]={value:d.getId()+"-SecVal",append:true};}r.writeAccessibilityState(d,P);};
return D;},true);
sap.ui.predefine('sap/ui/commons/FileUploader',['jquery.sap.global','./library','sap/ui/unified/FileUploader',"./FileUploaderRenderer"],function(q,l,U,F){"use strict";
var a=U.extend("sap.ui.commons.FileUploader",{metadata:{deprecated:true,library:"sap.ui.commons"}});
try{sap.ui.getCore().loadLibrary("sap.ui.unified");}catch(e){q.sap.log.error("The control 'sap.ui.commons.FileUploader' needs library 'sap.ui.unified'.");throw(e);}return a;},true);
sap.ui.predefine('sap/ui/commons/FileUploaderParameter',['jquery.sap.global','./library','sap/ui/unified/FileUploaderParameter'],function(q,l,U){"use strict";
var F=U.extend("sap.ui.commons.FileUploaderParameter",{metadata:{deprecated:true,library:"sap.ui.commons"}});
try{sap.ui.getCore().loadLibrary("sap.ui.unified");}catch(e){q.sap.log.error("The element 'sap.ui.commons.FileUploaderParameter' needs library 'sap.ui.unified'.");throw(e);}return F;},true);
sap.ui.predefine('sap/ui/commons/FileUploaderRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/unified/FileUploaderRenderer'],function(q,R,F){"use strict";var a=R.extend(F);return a;},true);
sap.ui.predefine('sap/ui/commons/FormattedTextView',['jquery.sap.global','./library','sap/ui/core/Control',"./FormattedTextViewRenderer"],function(q,l,C,F){"use strict";
var a=C.extend("sap.ui.commons.FormattedTextView",{metadata:{library:"sap.ui.commons",properties:{accessibleRole:{type:"sap.ui.core.AccessibleRole",group:"Accessibility",defaultValue:sap.ui.core.AccessibleRole.Document},htmlText:{type:"string",group:"Misc",defaultValue:""}},aggregations:{controls:{type:"sap.ui.core.Control",multiple:true,singularName:"control"}}}});
a.prototype.init=function(){this._renderingRules={};this._renderingRules.ATTRIBS={'span::class':1,'div::class':1,'div::id':1,'span::id':1,'embed::data-index':1};this._renderingRules.ELEMENTS={'abbr':1,'acronym':1,'address':1,'blockquote':1,'br':1,'cite':1,'code':1,'dfn':1,'div':1,'em':1,'h1':1,'h2':1,'h3':1,'h4':1,'h5':1,'h6':1,'kbd':1,'p':1,'pre':1,'q':1,'samp':1,'strong':1,'span':1,'var':1,'dl':1,'dt':1,'dd':1,'ol':1,'ul':1,'li':1,'embed':1};};
a.prototype.exit=function(){delete this._renderingRules;};
a.prototype.hasControls=function(){var c=this.getAggregation("controls");return!!(c&&c.length>0);};
var s=function(t,b){var c=/^[0-9]*$/;for(var i=0;i<b.length;i+=2){var A=t+"::"+b[i];if(this._renderingRules.ATTRIBS[A]){if(t==="embed"&&!(b[i+1].match(c))){return null;}}else{var w='<'+t+'> with attribute ['+b[i]+'="'+b[i+1]+'"] is not allowed and cut';q.sap.log.warning(w,this);b[i+1]=null;}}return b;};var p=function(t,b){if(this._renderingRules.ELEMENTS[t]){var c=q.proxy(s,this);return c(t,b);}else{var w='<'+t+'> is not allowed';q.sap.log.warning(w,this);}};
a.prototype.setHtmlText=function(t){var b="";var P=q.proxy(p,this);b=q.sap._sanitizeHTML(t,{tagPolicy:P});this.setProperty("htmlText",b);return this;};
var S=function(c){if(this.hasControls()){this.removeAllAggregation("controls");}var I=q.isArray(c);if(I&&c.length>0){for(var i=0;i<c.length;i++){this.addAggregation("controls",c[i],true);}this.invalidate();}};
a.prototype.setContent=function(h,c){this.setHtmlText(h);S.call(this,c);};
return a;},true);
sap.ui.predefine('sap/ui/commons/FormattedTextViewRenderer',['jquery.sap.global'],function(q){"use strict";var F={};
F.render=function(r,c){var a=/<embed\s+data-index="([0-9]+)"\s*\/?>/gim;var h=c.getHtmlText();var i=c.getControls().slice();var t=i.length;var l=0;var m=[];r.write("<span");r.writeControlData(c);r.addClass("sapUiFTV");r.writeClasses();if(c.getTooltip_AsString()){r.writeAttributeEscaped("title",c.getTooltip_AsString());}r.write(">");while((m=a.exec(h))!==null){r.write(h.slice(l,m.index));if(this._renderReplacement(r,m[1],i)){t--;}else{q.sap.log.warning("Could not find matching control to placeholder #"+m[1]);}l=a.lastIndex;}r.write(h.slice(l,h.length));if(t>0){q.sap.log.warning('There are leftover controls in the aggregation that have not been used in the formatted text',c);}r.write("</span>");};
F._renderReplacement=function(r,c,C){if(C[c]){r.renderControl(C[c]);C[c]=null;return true;}else{return false;}};
return F;},true);
sap.ui.predefine('sap/ui/commons/HorizontalDivider',['jquery.sap.global','./library','sap/ui/core/Control',"./HorizontalDividerRenderer"],function(q,l,C,H){"use strict";
var a=C.extend("sap.ui.commons.HorizontalDivider",{metadata:{library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:'100%'},type:{type:"sap.ui.commons.HorizontalDividerType",group:"Appearance",defaultValue:sap.ui.commons.HorizontalDividerType.Area},height:{type:"sap.ui.commons.HorizontalDividerHeight",group:"Appearance",defaultValue:sap.ui.commons.HorizontalDividerHeight.Medium}}}});
return a;},true);
sap.ui.predefine('sap/ui/commons/HorizontalDividerRenderer',['jquery.sap.global'],function(q){"use strict";var H={};
H.render=function(r,c){var a=r;a.write("<hr");a.writeControlData(c);a.writeAttribute("role","separator");if(c.getWidth()){a.writeAttribute("style","width:"+c.getWidth()+";");}a.addClass("sapUiCommonsHoriDiv");a.addClass(c.getType()=="Page"?"sapUiCommonsHoriDivTypePage":"sapUiCommonsHoriDivTypeArea");switch(c.getHeight()){case"Ruleheight":a.addClass("sapUiCommonsHoriDivHeightR");break;case"Small":a.addClass("sapUiCommonsHoriDivHeightS");break;case"Large":a.addClass("sapUiCommonsHoriDivHeightL");break;default:a.addClass("sapUiCommonsHoriDivHeightM");}a.writeClasses();a.write("/>");};
return H;},true);
sap.ui.predefine('sap/ui/commons/Image',['jquery.sap.global','./library','sap/ui/core/Control',"./ImageRenderer"],function(q,l,C,I){"use strict";
var a=C.extend("sap.ui.commons.Image",{metadata:{interfaces:["sap.ui.commons.ToolbarItem","sap.ui.commons.FormattedTextViewControl","sap.ui.core.IFormContent"],library:"sap.ui.commons",properties:{src:{type:"sap.ui.core.URI",group:"Data",defaultValue:null},width:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:null},height:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:null},decorative:{type:"boolean",group:"Accessibility",defaultValue:true},alt:{type:"string",group:"Accessibility",defaultValue:null},useMap:{type:"string",group:"Misc",defaultValue:null}},events:{press:{}}}});
a.prototype.onclick=function(e){this.firePress({});};
a.prototype.onsapenter=a.prototype.onclick;
a.prototype.getFormDoNotAdjustWidth=function(){return true;};
return a;},true);
sap.ui.predefine('sap/ui/commons/ImageMap',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/delegate/ItemNavigation',"./ImageMapRenderer"],function(q,l,C,I,a){"use strict";
var b=C.extend("sap.ui.commons.ImageMap",{metadata:{library:"sap.ui.commons",properties:{name:{type:"string",group:"Misc",defaultValue:null}},aggregations:{areas:{type:"sap.ui.commons.Area",multiple:true,singularName:"area"}},events:{press:{parameters:{areaId:{type:"string"}}}}}});
b.prototype.createArea=function(){var A=new sap.ui.commons.Area();for(var i=0;i<arguments.length;i++){var c=arguments[i];var A;if(c instanceof sap.ui.commons.Area){A=c;}else{A=new sap.ui.commons.Area(c);}this.addArea(A);}return this;};
b.prototype.onAfterRendering=function(){this.oDomRef=this.getDomRef();if(!this.oItemNavigation){this.oItemNavigation=new I();}if(!!sap.ui.Device.browser.internet_explorer){var t=this;var c=[];this.oItemNavigation.setTabIndex0();var $=q("img[usemap='#"+this.getName()+"']");$.each(function(i,e){var f=e.getAttribute("id");var g=sap.ui.getCore().byId(f);g.addDelegate(t.oItemNavigation);t.oItemNavigation.setRootDomRef(e);c.push(g);});this.aImageControls=c;}else{this.addDelegate(this.oItemNavigation);this.oItemNavigation.setRootDomRef(this.oDomRef);}var d=[];var A=this.getAreas();for(var i=0;i<A.length;i++){var D=A[i].getFocusDomRef();if(D){d.push(D);}}this.oItemNavigation.setItemDomRefs(d);this.oItemNavigation.setCycling(true);this.oItemNavigation.setSelectedIndex(-1);this.oItemNavigation.setFocusedIndex(-1);};
b.prototype.exit=function(){if(this.oItemNavigation){if(!!sap.ui.Device.browser.internet_explorer){for(var i=0;i<this.aImageControls.length;i++){this.aImageControls[i].removeDelegate(this.oItemNavigation);}}else{this.removeDelegate(this.oItemNavigation);}this.oItemNavigation.destroy();delete this.oItemNavigation;}};
return b;},true);
sap.ui.predefine('sap/ui/commons/ImageMapRenderer',['jquery.sap.global'],function(q){"use strict";var I={};
I.render=function(i,o){var r=i;var a=sap.ui.getCore().getConfiguration().getAccessibility();var b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");r.write('<SPAN id="'+o.getId()+'-Descr" style="visibility: hidden; display: none; outline: none;">');r.writeEscaped(b.getText("IMAGEMAP_DSC"));r.write('</SPAN>');r.write("<map tabindex='-1'");r.writeControlData(o);r.writeAttributeEscaped("name",o.getName());if(o.getTooltip_AsString()){r.writeAttributeEscaped("title",o.getTooltip_AsString());}r.write(">");var A=o.getAreas();for(var c=0,l=A.length;c<l;c++){r.write("<area ");r.writeElementData(A[c]);r.write(' style="display: inline;"');if(a){r.writeAttribute("aria-describedby",o.getId()+"-Descr");}var s=A[c].getShape();var C=A[c].getCoords();var h=A[c].getHref();var d=A[c].getAlt();var t=A[c].getTooltip_AsString();if((s==="rect")||(s==="circle")||(s==="poly")){r.writeAttribute("shape",s);}else{r.writeAttribute("shape","default");}if(C){r.writeAttributeEscaped("coords",C);}if(h){r.writeAttributeEscaped("href",h);}if(d){r.writeAttributeEscaped("alt",d);}if(t){r.writeAttributeEscaped("title",t);}r.writeAttribute("tabIndex",0);r.write(">");}r.write("</map>");};
return I;},true);
sap.ui.predefine('sap/ui/commons/ImageRenderer',['jquery.sap.global'],function(q){"use strict";var I={};
I.render=function(r,i){var a=r;a.write("<img");a.writeControlData(i);a.writeAttributeEscaped("src",i.getSrc()||sap.ui.resource('sap.ui.commons','img/1x1.gif'));a.addClass("sapUiImg");if(i.hasListeners("press")){a.addClass("sapUiImgWithHandler");}if(!i.getSrc()){a.addClass("sapUiImgNoSource");}a.writeClasses();var t=i.getTooltip_AsString();if(t){a.writeAttributeEscaped("title",t);}var u=i.getUseMap();if(u){if(!(q.sap.startsWith(u,"#"))){u="#"+u;}a.writeAttributeEscaped("useMap",u);}var m=0;if((i.getDecorative()&&(!u))){m=-1;a.writeAttribute("role","presentation");a.write(" alt=''");}else{if(i.getAlt()){a.writeAttributeEscaped("alt",i.getAlt()||t);}else if(t){a.writeAttributeEscaped("alt",t);}}a.writeAttribute("tabIndex",m);var b="";if(i.getWidth()&&i.getWidth()!=''){b+="width:"+i.getWidth()+";";}if(i.getHeight()&&i.getHeight()!=''){b+="height:"+i.getHeight()+";";}if(b!=""){a.writeAttribute("style",b);}a.write("/>");};
return I;},true);
sap.ui.predefine('sap/ui/commons/InPlaceEdit',['jquery.sap.global','./TextField','./TextView','./library','sap/ui/core/Control','sap/ui/core/ValueStateSupport','sap/ui/core/theming/Parameters',"./InPlaceEditRenderer"],function(q,T,a,l,C,V,P,I){"use strict";
var b=C.extend("sap.ui.commons.InPlaceEdit",{metadata:{library:"sap.ui.commons",properties:{valueState:{type:"sap.ui.core.ValueState",group:"Data",defaultValue:sap.ui.core.ValueState.None},undoEnabled:{type:"boolean",group:"Misc",defaultValue:true},design:{type:"sap.ui.commons.TextViewDesign",group:"Data",defaultValue:sap.ui.commons.TextViewDesign.Standard}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:false}},events:{change:{parameters:{newValue:{type:"string"}}},liveChange:{parameters:{liveValue:{type:"string"}}}}}});
(function(){
b.prototype.init=function(){this._bEditMode=false;};
b.prototype.exit=function(){this._bEditMode=undefined;this._oDisplayControl=undefined;this._oEditControl=undefined;this._sOldText=undefined;this._sOldTextAvailable=undefined;this._bUseEditButton=undefined;this._iHeight=undefined;if(this._oTextView){this._oTextView.destroy();delete this._oTextView;}if(this._oTextField){this._oTextField.destroy();delete this._oTextField;}if(this._oUndoButton){this._oUndoButton.destroy();delete this._oUndoButton;}if(this._oEditButton){this._oEditButton.destroy();delete this._oEditButton;}var t=this.getContent();if(t){t.detachEvent("_change",r,this);if(t instanceof T){t.detachEvent("change",o,this);t.detachEvent("liveChange",p,this);}}};
b.prototype.onBeforeRendering=function(){var t=this;u(t);e(t);var v=this.getTooltip();if(v instanceof sap.ui.core.TooltipBase){if(this._bEditMode){v._currentControl=this._oEditControl;}else{v._currentControl=this._oDisplayControl;}}};
b.prototype.onAfterRendering=function(){if(!this._bEditMode&&this.getEditable()&&this._oTextView&&this._oTextView.getDomRef()){this._oTextView.$().attr("tabindex","0");}var $=this.$();var t;var O;if(this._bEditMode){this._oEditControl.$().css("width","100%");if(this._iHeight>0){O=$.height();var D=this._iHeight-O;var M=$.outerHeight(true)-$.outerHeight(false);D=D+M;var v=Math.floor(D/2);var w=D-v;$.css("margin-top",v+"px").css("margin-bottom",w+"px");}}else if(this._oDisplayControl.getMetadata().getName()=="sap.ui.commons.Link"){this._oDisplayControl.$().css("width","auto").css("max-width","100%");}else{var x=this._oDisplayControl.$();x.css("width","100%");if(!this._iHeight&&this._iHeight!=0&&this.getDesign()!=sap.ui.commons.TextViewDesign.Standard){t=x.outerHeight(true);O=$.innerHeight();if(O<t){var y=$.outerHeight()-$.innerHeight();this._iHeight=t+y;}else{this._iHeight=0;}}if(this._iHeight>0){$.css("height",this._iHeight+"px");}}if(this._sOldTextAvailable&&this._oUndoButton&&this._oUndoButton.getDomRef()){this._oUndoButton.$().attr("tabindex","-1");}if(this._oEditButton&&this._oEditButton.getDomRef()){this._oEditButton.$().attr("tabindex","-1");}if(this._delayedCallId){q.sap.clearDelayedCall(this._delayedCallId);this._delayedCallId=null;}if(this.getValueState()==sap.ui.core.ValueState.Success){this._delayedCallId=q.sap.delayedCall(3000,this,"removeValidVisualization");}};
b.prototype.removeValidVisualization=function(){var D=this.$();if(D){D.removeClass("sapUiIpeSucc");}};
b.prototype.clearOldText=function(){if(!this.getUndoEnabled()){return;}if(this._bEditMode){this._sOldText=this._oEditControl.getValue();this._sOldTextAvailable=true;}else{this._sOldText=undefined;this._sOldTextAvailable=false;}this.rerender();};
b.prototype.getRequired=function(){if(this.getContent()&&this.getContent().getRequired){return this.getContent().getRequired();}else{return false;}};
b.prototype.getEditable=function(){var t=this.getContent();if(!t||(t.getEditable&&!t.getEditable())||(t.getEnabled&&!t.getEnabled())){return false;}else{return true;}};
b.prototype.onsapescape=function(E){if(this.getUndoEnabled()){if(!sap.ui.Device.browser.firefox){var t=this;f(t);}else{this._bEsc=true;}if(this.$().hasClass("sapUiIpeUndo")){E.stopPropagation();}this._oEditControl._bEsc=undefined;this._oEditControl._sValue=undefined;}};
b.prototype.onkeypress=function(E){if(this._bEsc){var t=this;this._bEsc=undefined;f(t);}};
b.prototype.onkeydown=function(E){if(E.keyCode==q.sap.KeyCodes.F2&&!this._bEditMode){var t=this;s(t);this.$().addClass("sapUiIpeFocus");}};
b.prototype.onfocusin=function(E){if(!this._bEditMode){if(!this._bUseEditButton&&E.target.id!=this.getId()+"--X"){var t=this;s(t);}this.$().addClass("sapUiIpeFocus");}else if(this._focusDelay){q.sap.clearDelayedCall(this._focusDelay);this._focusDelay=null;}};
b.prototype.ontap=function(E){if(sap.ui.Device.os.name=="iOS"){this.onfocusin(E);}};
b.prototype.onfocusout=function(E){if(this._focusDelay){q.sap.clearDelayedCall(this._focusDelay);this._focusDelay=null;}this._focusDelay=q.sap.delayedCall(200,this,"_handleFocusOut",arguments);};
b.prototype._handleFocusOut=function(E){var F=document.activeElement;if(!q.sap.containsOrEquals(this.getDomRef(),F)){if(!this._bEditMode){this.$().removeClass("sapUiIpeFocus");}var t=this;d(t);}this._focusDelay=undefined;};
b.prototype.setContent=function(t){var O=this.getContent();if(O){O.detachEvent("_change",r,this);if(O instanceof T){O.detachEvent("change",o,this);O.detachEvent("liveChange",p,this);O._propagateEsc=undefined;}}this._sOldText=undefined;this._sOldTextAvailable=false;this._oDisplayControl=undefined;this._oEditControl=undefined;this.setAggregation("content",t);if(t){t.attachEvent("_change",r,this);if(t instanceof T){t.attachEvent("change",o,this);t.attachEvent("liveChange",p,this);t._propagateEsc=true;}}var v=this;u(v);};
b.prototype.setValueState=function(v){var t=this.getContent();if(t&&t.setValueState){t.setValueState(v);}else if(this._oEditControl&&this._oEditControl.setValueState){this._oEditControl.setValueState(v);r.call(this);}else{this.setProperty("valueState",v);}return this;};
b.prototype.getValueState=function(){var t=this.getContent();if(t&&t.getValueState){return t.getValueState();}else if(this._oEditControl&&this._oEditControl.getValueState){return this._oEditControl.getValueState();}else{return this.getProperty("valueState");}};
b.prototype.setTooltip=function(t){var v=this.getContent();if(v){v.setTooltip(t);}else{this._refreshTooltipBaseDelegate(t);this.setAggregation("tooltip",t);}return this;};
b.prototype.getTooltip=function(){var t=this.getContent();if(t){return t.getTooltip();}else{return this.getAggregation("tooltip");}};
b.prototype.setDesign=function(D){this.setProperty("design",D);this._iHeight=undefined;return this;};
b.prototype.clone=function(){var t=this.getContent();if(t){t.detachEvent("_change",r,this);if(t instanceof T){t.detachEvent("change",o,this);t.detachEvent("liveChange",p,this);}}var v=C.prototype.clone.apply(this,arguments);if(t){t.attachEvent("_change",r,this);if(t instanceof T){t.attachEvent("change",o,this);t.attachEvent("liveChange",p,this);}}return v;};
b.prototype.getFocusDomRef=function(){if(!this.getDomRef()){return undefined;}if(this._bEditMode){return this._oEditControl.getFocusDomRef();}else{return this._oDisplayControl.getFocusDomRef();}};
b.prototype.getIdForLabel=function(){if(this._oDisplayControl&&this._oDisplayControl.getMetadata().getName()=="sap.ui.commons.Link"){return this._oDisplayControl.getId();}else if(this._oEditControl){return this._oEditControl.getId();}else{return this.getId();}};
b.prototype.onThemeChanged=function(E){var t=this;i(t);k(t);this._iHeight=undefined;if(this.getDomRef()&&!this._bEditMode){this.rerender();}};
b.prototype.getAccessibilityInfo=function(){var t=this.getContent();return t&&t.getAccessibilityInfo?t.getAccessibilityInfo():null;};
var c={onAfterRendering:function(){this.onAfterRendering();}};
function u(t){var v=t.getContent();if(!v){return;}var w=v.getTooltip();switch(v.getMetadata().getName()){case"sap.ui.commons.TextField":case"sap.ui.commons.ComboBox":case"sap.ui.commons.DropdownBox":if(!t._oTextView){t._oTextView=new a(t.getId()+"--TV",{wrapping:false});t._oTextView.setParent(t);t._oTextView.removeDelegate(c);t._oTextView.addDelegate(c,t);t._oTextView.getTooltip=function(){return this.getParent().getTooltip();};}t._oTextView.setText(v.getValue());t._oTextView.setEnabled(v.getEnabled());t._oTextView.setTextDirection(v.getTextDirection());t._oTextView.setVisible(v.getVisible());t._oTextView.setWidth("100%");t._oTextView.setTextAlign(v.getTextAlign());t._oTextView.setDesign(t.getDesign());t._oTextView.setHelpId(v.getHelpId());t._oTextView.setAccessibleRole(v.getAccessibleRole());if(t._oTextView._oTooltip&&t._oTextView._oTooltip!=w){t._oTextView.removeDelegate(t._oTextView._oTooltip);t._oTextView._oTooltip=undefined;}if(w instanceof sap.ui.core.TooltipBase){if(!t._oTextView._oTooltip||t._oTextView._oTooltip!=w){t._oTextView.addDelegate(w);t._oTextView._oTooltip=w;}}t._oDisplayControl=t._oTextView;t._oEditControl=v;t._bUseEditButton=false;break;case"sap.ui.commons.Link":t._oDisplayControl=v;t._oDisplayControl.removeDelegate(c);t._oDisplayControl.addDelegate(c,t);if(t._oTextField){t._oTextField.setValue(v.getText());t._oTextField.setWidth("100%");t._oEditControl=t._oTextField;if(t._oTextField._oTooltip&&t._oTextField._oTooltip!=w){t._oTextField.removeDelegate(t._oTextField._oTooltip);t._oTextField._oTooltip=undefined;}if(w instanceof sap.ui.core.TooltipBase){if(!t._oTextField._oTooltip||t._oTextField._oTooltip!=w){t._oTextField.addDelegate(w);t._oTextField._oTooltip=w;}}}j(t);t._bUseEditButton=true;break;default:throw new Error("Control not supported for InPlaceEdit");}}
function s(t){if(!t._bEditMode&&t.getEditable()){if(!t._oEditControl&&t.getContent().getMetadata().getName()=="sap.ui.commons.Link"){var v=t.getValueState();t._oTextField=new T(t.getId()+"--input",{valueState:v});t._oTextField.setParent(t);t._oTextField.attachEvent('change',n,t);t._oTextField.attachEvent('liveChange',p,t);t._oTextField._propagateEsc=true;t._oTextField.getTooltip=function(){return this.getParent().getTooltip();};}if(!t._sOldTextAvailable&&t.getUndoEnabled()){t._sOldText=g(t);t._sOldTextAvailable=true;}t._bEditMode=true;t.rerender();t._oEditControl.focus();}}
function d(t){if(t._bEditMode&&t.getEditable()){t._bEditMode=false;if(t._sOldText==g(t)){t._sOldText=undefined;t._sOldTextAvailable=false;}t.rerender();}}
function g(t){var v=t.getContent();if(!v){return undefined;}if(v.getValue){return v.getValue();}else if(v.getText){return v.getText();}}
function e(t){if(!t._oUndoButton&&t.getUndoEnabled()){t._oUndoButton=new sap.ui.commons.Button(t.getId()+"--X",{lite:true}).setParent(t);i(t);t._oUndoButton.attachEvent('press',h,t);}if(t._oUndoButton){t._oUndoButton.setEnabled(t.getEditable());}}
function i(t){if(t._oUndoButton){var v=P._getThemeImage('_sap_ui_commons_InPlaceEdit_UndoImageURL');var w=P._getThemeImage('_sap_ui_commons_InPlaceEdit_UndoImageDownURL');if(!v){v="sap-icon://decline";}t._oUndoButton.setIcon(v);t._oUndoButton.setIconHovered(w);}}
function h(E){var t=this;f(t);if(this._bEditMode){this._oEditControl.focus();this.$().removeClass("sapUiIpeUndo");}}
function f(t){if(t.getUndoEnabled()&&t._sOldTextAvailable){var v=t.getContent();if(!v){return;}if(v.setValue){v.setValue(t._sOldText);}else if(v.setText){v.setText(t._sOldText);}if(t._bEditMode){t._oEditControl.setValue(t._sOldText);t._oEditControl.fireChange({newValue:t._sOldText});}else if(v.fireChange){v.fireChange({newValue:t._sOldText});}else{t.fireChange({newValue:t._sOldText});}if(!t._bEditMode){t._sOldText=undefined;t._sOldTextAvailable=false;}}}
function j(t){if(!t._oEditButton){t._oEditButton=new sap.ui.commons.Button(t.getId()+"--Edit",{lite:true}).setParent(t);t._oEditButton.addStyleClass("sapUiIpeEBtn");k(t);t._oEditButton.attachEvent('press',m,t);}}
function k(t){if(t._oEditButton){var v=P._getThemeImage('_sap_ui_commons_InPlaceEdit_EditImageURL');var w=P._getThemeImage('_sap_ui_commons_InPlaceEdit_EditImageDownURL');if(!v){v="sap-icon://edit";}t._oEditButton.setIcon(v);t._oEditButton.setIconHovered(w);}}
function m(E){var t=this;s(t);this.$().addClass("sapUiIpeFocus");}
function n(E){var t=this.getContent();if(t.setText){var N=E.getParameter("newValue");t.setText(N);o.apply(this,arguments);}}
function o(E){if(this._sOldText!=E.getParameter("newValue")&&this.getUndoEnabled()){this.$().addClass("sapUiIpeUndo");}else{this.$().removeClass("sapUiIpeUndo");}this.fireChange(E.getParameters());}
function p(E){if(this._sOldText!=E.getParameter("liveValue")&&this.getUndoEnabled()){this.$().addClass("sapUiIpeUndo");}else{this.$().removeClass("sapUiIpeUndo");}this.fireLiveChange({liveValue:E.getParameter("liveValue")});}
function r(){if(!this._bEditMode){this.invalidate();}else{switch(this.getValueState()){case(sap.ui.core.ValueState.Error):if(!this.$().hasClass('sapUiIpeErr')){this.$().addClass('sapUiIpeErr');this.$().removeClass('sapUiIpeWarn');this.$().removeClass('sapUiIpeSucc');}break;case(sap.ui.core.ValueState.Success):if(!this.$().hasClass('sapUiIpeSucc')){this.$().addClass('sapUiIpeSucc');this.$().removeClass('sapUiIpeErr');this.$().removeClass('sapUiIpeWarn');}break;case(sap.ui.core.ValueState.Warning):if(!this.$().hasClass('sapUiIpeWarn')){this.$().addClass('sapUiIpeWarn');this.$().removeClass('sapUiIpeErr');this.$().removeClass('sapUiIpeSucc');}break;default:this.$().removeClass('sapUiIpeWarn');this.$().removeClass('sapUiIpeErr');this.$().removeClass('sapUiIpeSucc');break;}}}
}());return b;},true);
sap.ui.predefine('sap/ui/commons/InPlaceEditRenderer',['jquery.sap.global'],function(q){"use strict";var I={};
I.render=function(r,i){var c=i.getContent();var w;if(c){if(c.getWidth){w=c.getWidth();}if(c.getVisible&&!c.getVisible()){q.sap.log.warning("Content is not visivle - nothing is rendered",this);return;}}else{q.sap.log.warning("No content provided - nothing is rendered",this);return;}r.write("<DIV");r.writeControlData(i);r.addClass("sapUiIpe");if(!i.getEditable()){r.addClass("sapUiIpeRo");}else if(!i._bEditMode){r.writeAttribute("tabindex","-1");if(!i._sOldTextAvailable){if(c.getMetadata().getName()=="sap.ui.commons.ComboBox"||c.getMetadata().getName()=="sap.ui.commons.DropdownBox"){r.addClass("sapUiIpeCombo");}}if(c.getMetadata().getName()=="sap.ui.commons.Link"){r.addClass("sapUiIpeLink");}}else{r.addClass("sapUiIpeEdit");}if(w){r.addStyle("width",w);}if(i.getUndoEnabled()&&i._sOldTextAvailable&&(!i._bEditMode||(i._bEditMode&&i._oEditControl.getValue()!=i._sOldText))){r.addClass("sapUiIpeUndo");}switch(i.getValueState()){case sap.ui.core.ValueState.Error:r.addClass('sapUiIpeErr');break;case sap.ui.core.ValueState.Success:r.addClass('sapUiIpeSucc');break;case sap.ui.core.ValueState.Warning:r.addClass('sapUiIpeWarn');break;default:break;}var t=sap.ui.core.ValueStateSupport.enrichTooltip(i,i.getTooltip_AsString());if(t){r.writeAttributeEscaped('title',t);}r.writeClasses();r.writeStyles();r.write(">");if(i._sOldTextAvailable||c.getMetadata().getName()=="sap.ui.commons.Link"){r.write("<DIV");r.addClass("sapUiIpeCont");if(c.getMetadata().getName()=="sap.ui.commons.ComboBox"||c.getMetadata().getName()=="sap.ui.commons.DropdownBox"){r.addClass("sapUiIpeCombo");}r.writeClasses();r.write(">");}if(i._bEditMode){this.renderEditContent(r,i);}else{this.renderDisplayContent(r,i);}if(i._sOldTextAvailable||c.getMetadata().getName()=="sap.ui.commons.Link"){r.write("</DIV>");if(i.getUndoEnabled()&&i._sOldTextAvailable){r.renderControl(i._oUndoButton);}}r.write("</DIV>");};
I.renderDisplayContent=function(r,i){if(i._oDisplayControl){r.renderControl(i._oDisplayControl);if(i.getEditable()&&i._oDisplayControl.getMetadata().getName()=="sap.ui.commons.Link"){r.renderControl(i._oEditButton);}}};
I.renderEditContent=function(r,i){if(i._oEditControl){r.renderControl(i._oEditControl);}};
return I;},true);
sap.ui.predefine('sap/ui/commons/Label',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/Popup','sap/ui/core/LabelEnablement',"./LabelRenderer"],function(q,l,C,P,L,a){"use strict";
var b=C.extend("sap.ui.commons.Label",{metadata:{interfaces:["sap.ui.commons.ToolbarItem","sap.ui.core.Label"],library:"sap.ui.commons",properties:{design:{type:"sap.ui.commons.LabelDesign",group:"Appearance",defaultValue:sap.ui.commons.LabelDesign.Standard},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:sap.ui.core.TextDirection.Inherit},wrapping:{type:"boolean",group:"Appearance",defaultValue:false},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:''},text:{type:"string",group:"Misc",defaultValue:''},icon:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:null},textAlign:{type:"sap.ui.core.TextAlign",group:"Appearance",defaultValue:sap.ui.core.TextAlign.Begin},required:{type:"boolean",group:"Appearance",defaultValue:false},requiredAtBegin:{type:"boolean",group:"Misc",defaultValue:null}},associations:{labelFor:{type:"sap.ui.core.Control",multiple:false}}}});
b.prototype.onAfterRendering=function(){var f=this._getLabeledControl();if(f){if(this.getTooltip_AsString()==""||!(this.getTooltip()instanceof sap.ui.core.TooltipBase)){if(f.getTooltip()instanceof sap.ui.core.TooltipBase){this.oForTooltip=f.getTooltip();this.addDelegate(this.oForTooltip);}}this._oFor=f;}};
b.prototype.onBeforeRendering=function(){if(this.oForTooltip){this.removeDelegate(this.oForTooltip);this.oForTooltip=null;}if(this._oFor){this._oFor=undefined;}};
b.prototype.exit=function(){if(this.oForTooltip){this.removeDelegate(this.oForTooltip);this.oForTooltip=null;}if(this._oFor){this._oFor=undefined;}};
b.prototype.setReqiuredAtBegin=function(r){return this.setRequiredAtBegin(r);};
b.prototype.getReqiuredAtBegin=function(){return this.getRequiredAtBegin();};
b.prototype._getLabeledControl=function(){var i=this.getLabelForRendering();if(!i){return null;}return sap.ui.getCore().byId(i);};
b.prototype.getAccessibilityInfo=function(){return{description:this.getText()};};
L.enrich(b.prototype);return b;},true);
sap.ui.predefine('sap/ui/commons/LabelRenderer',['sap/ui/core/Renderer'],function(R){"use strict";var L={};
L.render=function(o,l){var a=o;var r=L;a.write("<label");a.writeControlData(l);sap.ui.core.LabelEnablement.writeLabelForAttribute(o,l);var f=l._getLabeledControl();var t=l.getTooltip_AsString();if((!t||t=="")&&f&&f.getTooltip_AsString()&&f.getTooltip_AsString()!=""){t=f.getTooltip_AsString();}if(l.isRequired()){a.addClass('sapUiLblReq');if(l.getRequiredAtBegin()){a.addClass('sapUiLblReqBeg');}else{a.addClass('sapUiLblReqEnd');}}if(t){a.writeAttributeEscaped('title',t);}a.addClass("sapUiLbl");if(l.getDesign()==sap.ui.commons.LabelDesign.Bold){a.addClass("sapUiLblEmph");}var T=l.getTextDirection();if(T){a.addStyle("direction",T.toLowerCase());}var s=r.getTextAlign(l.getTextAlign(),T);if(s){a.addStyle("text-align",s);}var w=l.getWidth();if(w){a.addStyle("width",w);}if(!l.isWrapping()){a.addClass("sapUiLblNowrap");}a.writeStyles();a.writeClasses();a.write(">");if(l.getIcon()){this.writeImgHtml(a,l);}if(l.getText()){a.writeEscaped(l.getText());}a.write("</label>");};
L.writeImgHtml=function(r,l){var a=r;var i=l.getIcon();var c=r.getConfiguration();var C=[];var A={"title":null};C.push("sapUiLblIco");if((l.getTextDirection()==sap.ui.core.TextDirection.RTL&&!c.getRTL())||(l.getTextDirection()==sap.ui.core.TextDirection.LTR&&c.getRTL())){C.push("sapUiLblIcoR");}else{C.push("sapUiLblIcoL");}a.writeIcon(i,C,A);};
L.getTextAlign=R.getTextAlign;return L;},true);
sap.ui.predefine('sap/ui/commons/Link',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/EnabledPropagator','sap/ui/core/LabelEnablement',"./LinkRenderer"],function(q,l,C,E,L,a){"use strict";
var b=C.extend("sap.ui.commons.Link",{metadata:{interfaces:["sap.ui.commons.ToolbarItem","sap.ui.commons.FormattedTextViewControl","sap.ui.core.IFormContent"],library:"sap.ui.commons",properties:{text:{type:"string",group:"Appearance",defaultValue:''},enabled:{type:"boolean",group:"Behavior",defaultValue:true},helpId:{type:"string",group:"Behavior",defaultValue:''},href:{type:"sap.ui.core.URI",group:"Data",defaultValue:null},target:{type:"string",group:"Data",defaultValue:null},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{press:{allowPreventDefault:true}}}});
E.call(b.prototype);
b.prototype.onBeforeRendering=function(){this.removeAssociation("ariaLabelledBy",this.getId(),true);if(this.getAriaLabelledBy().length>0||L.getReferencingLabels(this).length>0){this.addAssociation("ariaLabelledBy",this.getId(),true);}};
b.prototype.onsapspace=function(e){b.prototype.onclick.apply(this,arguments);};
b.prototype.onclick=function(e){if(this.getEnabled()){if(!this.firePress()||!this.getHref()){e.preventDefault();}}else{e.preventDefault();}};
b.prototype.onsapenter=function(e){e.stopPropagation();};
b.prototype.getAccessibilityInfo=function(){return{role:"link",type:sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons").getText("ACC_CTR_TYPE_LINK"),description:this.getText()||this.getHref()||"",focusable:this.getEnabled(),enabled:this.getEnabled()};};
return b;},true);
sap.ui.predefine('sap/ui/commons/LinkRenderer',['jquery.sap.global'],function(q){"use strict";var L={};
L.render=function(r,l){r.write("<a");r.writeControlData(l);r.writeAccessibilityState(l);if(!l.getEnabled()){r.addClass("sapUiLnkDsbl");r.writeAttribute("disabled","true");}else{r.addClass("sapUiLnk");}r.writeClasses();if(l.getTooltip_AsString()){r.writeAttributeEscaped("title",l.getTooltip_AsString());}if(l.getHref()){r.writeAttributeEscaped("href",l.getHref());}else{r.writeAttribute("href","#");}if(l.getTarget()){r.writeAttributeEscaped("target",l.getTarget());}if(!l.getEnabled()){r.writeAttribute("tabIndex","-1");}else{r.writeAttribute("tabIndex","0");}if(l.getWidth()){r.addStyle("width",l.getWidth());}r.writeStyles();r.write(">");if(l.getText()){r.writeEscaped(l.getText());}r.write("</a>");};
return L;},true);
sap.ui.predefine('sap/ui/commons/ListBox',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/delegate/ItemNavigation',"./ListBoxRenderer",'jquery.sap.strings'],function(q,a,C,I,L){"use strict";
var b=C.extend("sap.ui.commons.ListBox",{metadata:{library:"sap.ui.commons",properties:{editable:{type:"boolean",group:"Behavior",defaultValue:true},enabled:{type:"boolean",group:"Behavior",defaultValue:true},allowMultiSelect:{type:"boolean",group:"Behavior",defaultValue:false},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},scrollTop:{type:"int",group:"Behavior",defaultValue:-1},displayIcons:{type:"boolean",group:"Behavior",defaultValue:false},displaySecondaryValues:{type:"boolean",group:"Misc",defaultValue:false},valueTextAlign:{type:"sap.ui.core.TextAlign",group:"Appearance",defaultValue:sap.ui.core.TextAlign.Begin},secondaryValueTextAlign:{type:"sap.ui.core.TextAlign",group:"Appearance",defaultValue:sap.ui.core.TextAlign.Begin},minWidth:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},maxWidth:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},visibleItems:{type:"int",group:"Dimension",defaultValue:null}},defaultAggregation:"items",aggregations:{items:{type:"sap.ui.core.Item",multiple:true,singularName:"item"}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{select:{parameters:{id:{type:"string"},selectedIndex:{type:"int"},selectedItem:{type:"sap.ui.core.Item"},selectedIndices:{type:"int[]"}}}}}});
b.prototype.init=function(){this.allowTextSelection(false);if(!this._bHeightInItems){this._bHeightInItems=false;this._iVisibleItems=-1;}this._sTotalHeight=null;if(b._fItemHeight===undefined){b._fItemHeight=-1;}if(b._iBordersAndStuff===undefined){b._iBordersAndStuff=-1;}this._aSelectionMap=[];this._iLastDirectlySelectedIndex=-1;this._aActiveItems=null;};
b.prototype.onThemeChanged=function(){this._sTotalHeight=null;if(!this._bHeightInItems){this._iVisibleItems=-1;}this._skipStoreScrollTop=true;if(this.getDomRef()){this.invalidate();}};
b.prototype.onBeforeRendering=function(){if(this._skipStoreScrollTop){delete this._skipStoreScrollTop;return;}this.getScrollTop();};
b.prototype.onAfterRendering=function(){var d=this.getDomRef();if(b._fItemHeight<=0){var s=sap.ui.getCore().getStaticAreaRef();var c=document.createElement("div");c.id="sap-ui-commons-ListBox-sizeDummy";c.innerHTML='<div class="sapUiLbx sapUiLbxFlexWidth sapUiLbxStd"><ul><li class="sapUiLbxI"><span class="sapUiLbxITxt">&nbsp;</span></li></ul></div>';if(sap.ui.Device.browser.safari){s.insertBefore(c,s.firstChild);}else{s.appendChild(c);}var o=c.firstChild.firstChild.firstChild;b._fItemHeight=o.offsetHeight;if(!!sap.ui.Device.browser.internet_explorer&&(document.documentMode==9||document.documentMode==10)){var e=document.defaultView.getComputedStyle(o.firstChild,"");var h=parseFloat(e.getPropertyValue("height").split("px")[0]);if(!(typeof h==="number")||!(h>0)){h=q(o.firstChild).height();}var p=parseFloat(e.getPropertyValue("padding-top").split("px")[0]);var f=parseFloat(e.getPropertyValue("padding-bottom").split("px")[0]);var g=parseFloat(e.getPropertyValue("border-top-width").split("px")[0]);var j=parseFloat(e.getPropertyValue("border-bottom-width").split("px")[0]);b._fItemHeight=h+p+f+g+j;}s.removeChild(c);}if(b._iBordersAndStuff==-1){var D=q(this.getDomRef());var k=D.outerHeight();var l=D.height();b._iBordersAndStuff=k-l;}if(this._bHeightInItems){if(this._sTotalHeight==null){this._calcTotalHeight();d.style.height=this._sTotalHeight;}}if(this._iVisibleItems==-1){this._updatePageSize();}var F=this.getFocusDomRef(),r=F.childNodes,m=[],n=this.getItems();this._aActiveItems=[];var A=this._aActiveItems;for(var i=0;i<r.length;i++){if(!(n[i]instanceof sap.ui.core.SeparatorItem)){A[m.length]=i;m.push(r[i]);}}if(!this.oItemNavigation){var N=(!this.getEnabled()||!this.getEditable());this.oItemNavigation=new I(null,null,N);this.oItemNavigation.attachEvent(I.Events.AfterFocus,this._handleAfterFocus,this);this.addDelegate(this.oItemNavigation);}this.oItemNavigation.setRootDomRef(F);this.oItemNavigation.setItemDomRefs(m);this.oItemNavigation.setCycling(false);this.oItemNavigation.setSelectedIndex(this._getNavigationIndexForRealIndex(this.getSelectedIndex()));this.oItemNavigation.setPageSize(this._iVisibleItems);if(this.oScrollToIndexRequest){this.scrollToIndex(this.oScrollToIndexRequest.iIndex,this.oScrollToIndexRequest.bLazy);}else{var t=this.getProperty("scrollTop");if(t>-1){d.scrollTop=t;}}var u=this;window.setTimeout(function(){if(u.oScrollToIndexRequest){u.scrollToIndex(u.oScrollToIndexRequest.iIndex,u.oScrollToIndexRequest.bLazy);u.oScrollToIndexRequest=null;}else{var t=u.getProperty("scrollTop");if(t>-1){d.scrollTop=t;}}},0);};
b.prototype._getNavigationIndexForRealIndex=function(c){var d=this.getItems();var n=c;for(var i=0;i<c;i++){if(d[i]instanceof sap.ui.core.SeparatorItem){n--;}}return n;};
b.prototype._updatePageSize=function(){var d=this.getDomRef();if(d){if(b._fItemHeight>0){this._iVisibleItems=Math.floor(d.clientHeight/b._fItemHeight);}}};
b.prototype.scrollToIndex=function(i,l){var d=this.getDomRef();if(d){var o=this.$("list").children("li[data-sap-ui-lbx-index="+i+"]");o=o.get(0);if(o){var s=o.offsetTop;if(!l){this.setScrollTop(s);}else{var c=d.scrollTop;var v=q(d).height();if(c>=s){this.setScrollTop(s);}else if((s+b._fItemHeight)>(c+v)){this.setScrollTop(Math.ceil(s+b._fItemHeight-v));}}}this.getScrollTop();}else{this.oScrollToIndexRequest={iIndex:i,bLazy:l};}return this;};
b.prototype.getVisibleItems=function(){return this._iVisibleItems;};
b.prototype.setVisibleItems=function(i){this.setProperty("visibleItems",i,true);this._iVisibleItems=i;if(i<0){this._bHeightInItems=false;}else{this._bHeightInItems=true;}this._sTotalHeight=null;var d=this.getDomRef();if(d){if(this._bHeightInItems){var f=d.firstChild?d.firstChild.firstChild:null;if(f||((b._fItemHeight>0)&&(b._iBordersAndStuff>0))){d.style.height=this._calcTotalHeight();}else{this.invalidate();}}else{d.style.height=this.getHeight();this._updatePageSize();if(this.oItemNavigation){this.oItemNavigation.setPageSize(this._iVisibleItems);}}}return this;};
b.prototype._calcTotalHeight=function(){var d=this._iVisibleItems*b._fItemHeight;this._sTotalHeight=(d+b._iBordersAndStuff)+"px";return this._sTotalHeight;};
b.prototype.setHeight=function(h){this.validateProperty("height",h);if(this.getHeight()===h){return this;}this._bHeightInItems=false;this._iVisibleItems=-1;var d=this.getDomRef();if(d){d.style.height=h;this._updatePageSize();if(this.oItemNavigation){this.oItemNavigation.setPageSize(this._iVisibleItems);}}return this.setProperty("height",h,true);};
b.prototype.setWidth=function(w){var d=this.getDomRef();if(d){d.style.width=w;}this.setProperty("width",w,true);return this;};
b.prototype.setScrollTop=function(s){s=Math.round(s);var c=this.getDomRef();this.oScrollToIndexRequest=null;if(c){c.scrollTop=s;}this.setProperty("scrollTop",s,true);return this;};
b.prototype.getScrollTop=function(){var s=this.getDomRef();if(s){var c=Math.round(s.scrollTop);this.setProperty("scrollTop",c,true);return c;}else{return this.getProperty("scrollTop");}};
b.prototype.onmousedown=function(e){if(!!sap.ui.Device.browser.webkit&&e.target&&e.target.id===this.getId()){var i=document.activeElement?document.activeElement.id:this.getId();var t=this;window.setTimeout(function(){var s=t.getDomRef().scrollTop;q.sap.focus(q.sap.domById(i));t.getDomRef().scrollTop=s;},0);}};
b.prototype.onclick=function(e){this._handleUserActivation(e);};
b.prototype.ontouchmove=function(e){e.setMarked();};
b.prototype.onsapspace=function(e){this._handleUserActivation(e);};
b.prototype.onsapspacemodifiers=b.prototype.onsapspace;b.prototype.onsapenter=b.prototype.onsapspace;b.prototype.onsapentermodifiers=b.prototype.onsapspace;
b.prototype._handleUserActivation=function(e){if(!this.getEnabled()||!this.getEditable()){return;}var s=e.target;if(s.id===""||q.sap.endsWith(s.id,"-txt")){s=s.parentNode;if(s.id===""){s=s.parentNode;}}var c=q(s).attr("data-sap-ui-lbx-index");if(typeof c=="string"&&c.length>0){var i=parseInt(c,10);var d=this.getItems();var o=d[i];if(d.length<=i){i=d.length-1;}if(i>=0&&i<d.length){if(o.getEnabled()&&!(o instanceof sap.ui.core.SeparatorItem)){if(e.ctrlKey||e.metaKey){this._handleUserActivationCtrl(i,o);}else if(e.shiftKey){this.setSelectedIndices(this._getUserSelectionRange(i));this.fireSelect({id:this.getId(),selectedIndex:i,selectedIndices:this.getSelectedIndices(),selectedItem:o,sId:this.getId(),aSelectedIndices:this.getSelectedIndices()});this._iLastDirectlySelectedIndex=i;}else{this._handleUserActivationPlain(i,o);}}}e.preventDefault();e.stopPropagation();}};
b.prototype._handleUserActivationPlain=function(i,o){this._iLastDirectlySelectedIndex=i;this.oItemNavigation.setSelectedIndex(this._getNavigationIndexForRealIndex(i));if(this.getSelectedIndex()!=i||this.getSelectedIndices().length>1){this.setSelectedIndex(i);this.fireSelect({id:this.getId(),selectedIndex:i,selectedIndices:this.getSelectedIndices(),selectedItem:o,sId:this.getId(),aSelectedIndices:this.getSelectedIndices()});}};
b.prototype._handleUserActivationCtrl=function(i,o){this._iLastDirectlySelectedIndex=i;this.oItemNavigation.setSelectedIndex(this._getNavigationIndexForRealIndex(i));if(this.isIndexSelected(i)){this.removeSelectedIndex(i);}else{this.addSelectedIndex(i);}this.fireSelect({id:this.getId(),selectedIndex:i,selectedIndices:this.getSelectedIndices(),selectedItem:o,sId:this.getId(),aSelectedIndices:this.getSelectedIndices()});};
b.prototype._getUserSelectionRange=function(c){if(this._iLastDirectlySelectedIndex==-1){return[];}var d=this.getItems();var r=[];var i;if(this._iLastDirectlySelectedIndex<=c){for(i=this._iLastDirectlySelectedIndex;i<=c;i++){if((i>-1)&&(d[i].getEnabled()&&!(d[i]instanceof sap.ui.core.SeparatorItem))){r.push(i);}}}else{for(i=c;i<=this._iLastDirectlySelectedIndex;i++){if((i>-1)&&(d[i].getEnabled()&&!(d[i]instanceof sap.ui.core.SeparatorItem))){r.push(i);}}}return r;};
b.prototype.getSelectedIndex=function(){for(var i=0;i<this._aSelectionMap.length;i++){if(this._aSelectionMap[i]){return i;}}return-1;};
b.prototype.setSelectedIndex=function(s){if((s<-1)||(s>this._aSelectionMap.length-1)){return this;}var c=this.getItems();if((s>-1)&&(!c[s].getEnabled()||(c[s]instanceof sap.ui.core.SeparatorItem))){return this;}for(var i=0;i<this._aSelectionMap.length;i++){this._aSelectionMap[i]=false;}this._aSelectionMap[s]=true;if(this.oItemNavigation){this.oItemNavigation.setSelectedIndex(this._getNavigationIndexForRealIndex(s));}this.getRenderer().handleSelectionChanged(this);return this;};
b.prototype.addSelectedIndex=function(s){if(!this.getAllowMultiSelect()){this.setSelectedIndex(s);}if((s<-1)||(s>this._aSelectionMap.length-1)){return this;}var i=this.getItems();if((s>-1)&&(!i[s].getEnabled()||(i[s]instanceof sap.ui.core.SeparatorItem))){return this;}if(this._aSelectionMap[s]){return this;}this._aSelectionMap[s]=true;this.getRenderer().handleSelectionChanged(this);return this;};
b.prototype.removeSelectedIndex=function(i){if((i<0)||(i>this._aSelectionMap.length-1)){return this;}if(!this._aSelectionMap[i]){return this;}this._aSelectionMap[i]=false;this.getRenderer().handleSelectionChanged(this);return this;};
b.prototype.clearSelection=function(){for(var i=0;i<this._aSelectionMap.length;i++){if(this._aSelectionMap[i]){this._aSelectionMap[i]=false;}}this._iLastDirectlySelectedIndex=-1;if(this.oItemNavigation){this.oItemNavigation.setSelectedIndex(-1);}this.getRenderer().handleSelectionChanged(this);return this;};
b.prototype.getSelectedIndices=function(){var r=[];for(var i=0;i<this._aSelectionMap.length;i++){if(this._aSelectionMap[i]){r.push(i);}}return r;};
b.prototype.setSelectedIndices=function(s){var c=[];var d=this.getItems();var i;for(i=0;i<s.length;i++){if((s[i]>-1)&&(s[i]<this._aSelectionMap.length)){if(d[s[i]].getEnabled()&&!(d[s[i]]instanceof sap.ui.core.SeparatorItem)){c.push(s[i]);}}}if(c.length>0){if(!this.getAllowMultiSelect()){c=[c[0]];}}for(i=0;i<this._aSelectionMap.length;i++){this._aSelectionMap[i]=false;}for(i=0;i<c.length;i++){this._aSelectionMap[c[i]]=true;}this.getRenderer().handleSelectionChanged(this);return this;};
b.prototype.addSelectedIndices=function(s){var c=[];var d=this.getItems();var i;for(i=0;i<s.length;i++){if((s[i]>-1)&&(s[i]<this._aSelectionMap.length)){if(d[s[i]].getEnabled()&&!(d[s[i]]instanceof sap.ui.core.SeparatorItem)){c.push(s[i]);}}}if(c.length>0){if(!this.getAllowMultiSelect()){c=[c[0]];}for(i=0;i<c.length;i++){this._aSelectionMap[c[i]]=true;}this.getRenderer().handleSelectionChanged(this);}return this;};
b.prototype.isIndexSelected=function(i){if((i<-1)||(i>this._aSelectionMap.length-1)){return false;}return this._aSelectionMap[i];};
b.prototype.setSelectedKeys=function(s){var c=this.getItems();var k={};for(var i=0;i<s.length;i++){k[s[i]]=true;}var d=[];for(var j=0;j<c.length;j++){if(k[c[j].getKey()]){d.push(j);}}return this.setSelectedIndices(d);};
b.prototype.getSelectedKeys=function(){var c=this.getItems();var r=[];for(var i=0;i<this._aSelectionMap.length;i++){if(this._aSelectionMap[i]){r.push(c[i].getKey());}}return r;};
b.prototype.getSelectedItem=function(){var i=this.getSelectedIndex();if((i<0)||(i>=this._aSelectionMap.length)){return null;}return this.getItems()[i];};
b.prototype.getSelectedItems=function(){var c=this.getItems();var r=[];for(var i=0;i<this._aSelectionMap.length;i++){if(this._aSelectionMap[i]){r.push(c[i]);}}return r;};
b.prototype.setAllowMultiSelect=function(A){this.setProperty("allowMultiSelect",A);var o=false;var t=false;if(!A&&this._aSelectionMap){for(var i=0;i<this._aSelectionMap.length;i++){if(this._aSelectionMap[i]){if(!o){o=true;}else{this._aSelectionMap[i]=false;t=true;}}}}if(t){this.getRenderer().handleSelectionChanged(this);}return this;};
b.prototype._handleAfterFocus=function(c){var i=c.getParameter("index");i=((i!==undefined&&i>=0)?this._aActiveItems[i]:0);this.getRenderer().handleARIAActivedescendant(this,i);};
b.prototype.setItems=function(c,d,n){this._bNoItemsChangeEvent=true;if(d){this.destroyItems();}else{this.removeAllItems();}for(var i=0,l=c.length;i<l;i++){this.addItem(c[i]);}this._bNoItemsChangeEvent=undefined;if(!n){this.fireEvent("itemsChanged",{event:"setItems",items:c});}return this;};
b.prototype.addItem=function(i){this._bNoItemInvalidateEvent=true;this.addAggregation("items",i);this._bNoItemInvalidateEvent=false;if(!this._aSelectionMap){this._aSelectionMap=[];}this._aSelectionMap.push(false);if(!this._bNoItemsChangeEvent){this.fireEvent("itemsChanged",{event:"addItem",item:i});}i.attachEvent("_change",this._handleItemChanged,this);return this;};
b.prototype.insertItem=function(i,c){if((c<0)||(c>this._aSelectionMap.length)){return this;}this._bNoItemInvalidateEvent=true;this.insertAggregation("items",i,c);this._bNoItemInvalidateEvent=false;this._aSelectionMap.splice(c,0,false);this.invalidate();if(!this._bNoItemsChangeEvent){this.fireEvent("itemsChanged",{event:"insertItems",item:i,index:c});}i.attachEvent("_change",this._handleItemChanged,this);return this;};
b.prototype.removeItem=function(e){var i=e;if(typeof(e)=="string"){e=sap.ui.getCore().byId(e);}if(typeof(e)=="object"){i=this.indexOfItem(e);}if((i<0)||(i>this._aSelectionMap.length-1)){if(!this._bNoItemsChangeEvent){this.fireEvent("itemsChanged",{event:"removeItem",item:e});}return undefined;}this._bNoItemInvalidateEvent=true;var r=this.removeAggregation("items",i);this._bNoItemInvalidateEvent=false;this._aSelectionMap.splice(i,1);this.invalidate();if(!this._bNoItemsChangeEvent){this.fireEvent("itemsChanged",{event:"removeItem",item:r});}r.detachEvent("_change",this._handleItemChanged,this);return r;};
b.prototype.removeAllItems=function(){this._bNoItemInvalidateEvent=true;var r=this.removeAllAggregation("items");this._bNoItemInvalidateEvent=false;this._aSelectionMap=[];this.invalidate();if(!this._bNoItemsChangeEvent){this.fireEvent("itemsChanged",{event:"removeAllItems"});}for(var i=0;i<r.length;i++){r[i].detachEvent("_change",this._handleItemChanged,this);}return r;};
b.prototype.destroyItems=function(){var c=this.getItems();for(var i=0;i<c.length;i++){c[i].detachEvent("_change",this._handleItemChanged,this);}this._bNoItemInvalidateEvent=true;var d=this.destroyAggregation("items");this._bNoItemInvalidateEvent=false;this._aSelectionMap=[];this.invalidate();if(!this._bNoItemsChangeEvent){this.fireEvent("itemsChanged",{event:"destroyItems"});}return d;};
b.prototype.updateItems=function(){this._bNoItemsChangeEvent=true;this.updateAggregation("items");this._bNoItemInvalidateEvent=true;if(!this._bItemsChangedAfterUpdate){this._bItemsChangedAfterUpdate=q.sap.delayedCall(0,this,"_itemsChangedAfterUpdate");}};
b.prototype._itemsChangedAfterUpdate=function(){this._bNoItemsChangeEvent=undefined;this._bItemsChangedAfterUpdate=undefined;this._bNoItemInvalidateEvent=undefined;this.fireEvent("itemsChanged",{event:"updateItems"});};
b.prototype.exit=function(){if(this.oItemNavigation){this.removeDelegate(this.oItemNavigation);this.oItemNavigation.destroy();delete this.oItemNavigation;}if(this._bItemsChangedAfterUpdate){q.sap.clearDelayedCall(this._bItemsChangedAfterUpdate);this._bItemsChangedAfterUpdate=undefined;this._bNoItemsChangeEvent=undefined;this._bNoItemInvalidateEvent=undefined;}};
b.prototype.getFocusDomRef=function(){return this.getDomRef("list");};
b.prototype.getIdForLabel=function(){return this.getId()+'-list';};
b.prototype._handleItemChanged=function(e){if(!this._bNoItemInvalidateEvent){this.fireEvent("itemInvalidated",{item:e.oSource});}};
return b;},true);
sap.ui.predefine('sap/ui/commons/ListBoxRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/core/IconPool','jquery.sap.strings'],function(q,R,I){"use strict";var L={};
L.render=function(a,l){var r=L;if(r.borderWidths===undefined){if(sap.ui.Device.browser.internet_explorer){var f=document.createElement("div");var s=sap.ui.getCore().getStaticAreaRef();s.appendChild(f);f.className="sapUiLbx";var $=q(f);$.css("width","50px");$.css("min-width","100px");r.borderWidths=f.offsetWidth-100;s.removeChild(f);}else{r.borderWidths=0;}}a.addClass("sapUiLbx");var S=true;if(!l.getEditable()){a.addClass("sapUiLbxRo");S=false;}if(!l.getEnabled()){a.addClass("sapUiLbxDis");S=false;}if(S){a.addClass("sapUiLbxStd");}a.write("<div");a.writeControlData(l);a.writeAttribute("tabindex","-1");var w=l.getWidth();if(w){a.addStyle("width",w);var d=l.getDisplaySecondaryValues();var D=l.getDisplayIcons();if(!d&&!D){a.addClass("sapUiLbxFixed");}}if(!w||(w=="auto")||(w=="inherit")){a.addClass("sapUiLbxFlexWidth");}a.writeClasses();var m=l.getMinWidth();var M=l.getMaxWidth();if(sap.ui.Device.browser.internet_explorer){m=r.fixWidth(m);M=r.fixWidth(M);}if(m){a.addStyle("min-width",m);}if(M){a.addStyle("max-width",M);}if(l._bHeightInItems){if(l._sTotalHeight!=null){a.addStyle("height",l._sTotalHeight);}}else{var h=l.getHeight();if(h){a.addStyle("height",h);}}a.writeStyles();var t=l.getTooltip_AsString();if(t){a.writeAttributeEscaped("title",t);}a.write(">");this.renderItemList(l,a);a.write("</div>");};
L.renderItemList=function(l,r){r.write("<ul id='"+l.getId()+"-list'");r.writeAttribute("tabindex",this.getTabIndex(l));r.writeAccessibilityState(l,{role:"listbox",multiselectable:l.getAllowMultiSelect()});r.write(">");var a=l.getItems(),b=0,c=0;var i;for(i=0;i<a.length;i++){if(!(a[i]instanceof sap.ui.core.SeparatorItem)){c++;}}var d=l.getDisplaySecondaryValues();for(i=0;i<a.length;i++){var e=a[i];if(e instanceof sap.ui.core.SeparatorItem){r.write("<div id='",e.getId(),"' class='sapUiLbxSep' role='separator'><hr/>");if(l.getDisplayIcons()){r.write("<hr/>");}if(d){r.write("<hr/>");}r.write("</div>");}else{r.write("<li");r.writeElementData(e);r.writeAttribute("data-sap-ui-lbx-index",i);r.addClass("sapUiLbxI");if(!e.getEnabled()){r.addClass("sapUiLbxIDis");}r.writeAttribute("tabindex","-1");if(l.isIndexSelected(i)){r.addClass("sapUiLbxISel");}r.writeClasses();var t=e.getText();var s=e.getAdditionalText?e.getAdditionalText():"";if(e.getTooltip_AsString()){r.writeAttributeEscaped("title",e.getTooltip_AsString());}else{r.writeAttributeEscaped("title",t+((d&&s)?"  --  "+s:""));}r.writeAccessibilityState(e,{role:"option",selected:(i===l.getSelectedIndex()),setsize:c,posinset:b+1});r.write(">");if(l.getDisplayIcons()){var f;if(e.getIcon){f=e.getIcon();}r.write("<span");if(I.isIconURI(f)){r.addClass("sapUiLbxIIco");r.addClass("sapUiLbxIIcoFont");var o=I.getIconInfo(f);r.addStyle("font-family","'"+q.sap.encodeHTML(o.fontFamily)+"'");if(o&&!o.skipMirroring){r.addClass("sapUiIconMirrorInRTL");}r.writeClasses();r.writeStyles();r.write(">");r.writeEscaped(o.content);}else{r.write(" class='sapUiLbxIIco'><img src='");if(f){r.writeEscaped(f);}else{r.write(sap.ui.resource('sap.ui.commons','img/1x1.gif'));}r.write("'/>");}r.write("</span>");}r.write("<span class='sapUiLbxITxt");r.write("'");r.writeAttribute("id",e.getId()+"-txt");var v=L.getTextAlign(l.getValueTextAlign(),null);if(v){r.write("style='text-align:"+v+"'");}r.write(">");if(t===""||t===null){r.write("&nbsp;");}else{r.writeEscaped(t);}if(d){r.write("</span><span class='sapUiLbxISec");r.write("'");var S=L.getTextAlign(l.getSecondaryValueTextAlign(),null);if(S){r.write("style='text-align:"+S+"'");}r.write(">");r.writeEscaped(s);}r.write("</span></li>");b++;}}r.write("</ul>");};
L.fixWidth=function(c){if(L.borderWidths>0){if(c&&q.sap.endsWithIgnoreCase(c,"px")){var w=parseInt(c.substr(0,c.length-2),10);var n=w-L.borderWidths;if(n>=0){return n+"px";}}}return c;};
L.getTabIndex=function(l){if(l.getEnabled()&&l.getEditable()){return 0;}else{return-1;}};
L.handleSelectionChanged=function(o){if(o.getDomRef()){var a=o.getItems();for(var i=0,l=a.length;i<l;i++){if(o.isIndexSelected(i)){a[i].$().addClass("sapUiLbxISel").attr("aria-selected","true");}else{a[i].$().removeClass("sapUiLbxISel").attr("aria-selected","false");}}}};
L.handleARIAActivedescendant=function(l,i){var $=l.$("list");if($.length>0){var a=$.children("li[data-sap-ui-lbx-index="+i+"]");$.attr("aria-activedescendant",a.attr("id"));}};
L.getTextAlign=R.getTextAlign;return L;},true);
sap.ui.predefine('sap/ui/commons/Menu',['jquery.sap.global','./MenuItemBase','./library','sap/ui/unified/Menu',"./MenuRenderer"],function(q,M,l,a,b){"use strict";
var c=a.extend("sap.ui.commons.Menu",{metadata:{deprecated:true,library:"sap.ui.commons"}});
c.prototype.bCozySupported=false;return c;},true);
sap.ui.predefine('sap/ui/commons/MenuBar',['jquery.sap.global','./Menu','./MenuItem','./MenuItemBase','./library','sap/ui/core/Control',"./MenuBarRenderer"],function(q,M,a,b,l,C,c){"use strict";
var d=C.extend("sap.ui.commons.MenuBar",{metadata:{library:"sap.ui.commons",properties:{enabled:{type:"boolean",group:"Behavior",defaultValue:true},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'},design:{type:"sap.ui.commons.MenuBarDesign",group:"Appearance",defaultValue:sap.ui.commons.MenuBarDesign.Standard}},defaultAggregation:"items",aggregations:{items:{type:"sap.ui.unified.MenuItem",multiple:true,singularName:"item"}}}});
a.extend("sap.ui.commons._DelegatorMenuItem",{
constructor:function(A){a.apply(this);this.oAlterEgoItm=A;this.bNoSubMenu=true;var s=this.oAlterEgoItm.getSubmenu();if(s){var t=this;s.getRootMenu=function(){return t.getParent();};this.bNoSubMenu=false;}},
exit:function(){if(!this.bNoSubMenu){this.oAlterEgoItm.getSubmenu().getRootMenu=M.prototype.getRootMenu;}this.bNoSubMenu=true;this.oAlterEgoItm=null;},
getText:function(){return this.oAlterEgoItm.getText();},
getIcon:function(){return this.oAlterEgoItm.getIcon();},
getEnabled:function(){return this.oAlterEgoItm.getEnabled();},
getVisible:function(){return this.oAlterEgoItm.getVisible();},
getSubmenu:function(){return this.oAlterEgoItm.getSubmenu();}
});
(function(){
d.prototype.init=function(){this.oOvrFlwMnu=null;this.sCurrentFocusedItemRefId=null;this.data("sap-ui-fastnavgroup","true",true);};
d.prototype.exit=function(){if(this.oOvrFlwMnu){this.oOvrFlwMnu.destroy();}this.oOvrFlwMnu=null;if(this.sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}};
d.prototype.doBeforeRendering=function(){var I=this.getItems();for(var i=0;i<I.length;i++){var m=I[i].getSubmenu();if(m){m.setRootMenuTopStyle(this.getDesign()==sap.ui.commons.MenuBarDesign.Header);}}if(this.oOvrFlwMnu){this.oOvrFlwMnu.setRootMenuTopStyle(this.getDesign()==sap.ui.commons.MenuBarDesign.Header);}if(this.sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}};
d.prototype.onAfterRendering=function(){this.sResizeListenerId=sap.ui.core.ResizeHandler.register(this.getDomRef(),q.proxy(this.onresize,this));this.onresize();};
d.prototype.onresize=function(E){u(this);};
d.prototype.onfocusin=function(E){var i=this.getId();var t=q(E.target);var T=t.attr("id");if(!T||T==i||T==i+"-area"){var I=this.$("area").children();this.sCurrentFocusedItemRefId=I.length==0?null:q(I.get(0)).attr("id");}else{this.sCurrentFocusedItemRefId=T;}var F=q.sap.byId(this.sCurrentFocusedItemRefId).get(0);if(F){F.focus();}this.$().attr("tabindex","-1");};
d.prototype.onfocusout=function(E){this.$().attr("tabindex","0");};
d.prototype.onmousedown=function(E){var m=_(this,E);if(m==="ovrflw"){this._bOvrFlwMnuSkipOpen=this.oOvrFlwMnu&&this.oOvrFlwMnu.bOpen;}else if(m){var h=m.getSubmenu();m._bSkipOpen=h&&h.bOpen;}};
d.prototype.onmouseout=function(E){var m=_(this,E);if(m==="ovrflw"){var r=g(this,E);if(this._bOvrFlwMnuSkipOpen&&q.sap.checkMouseEnterOrLeave(E,r[0])){this._bOvrFlwMnuSkipOpen=false;}}else if(m){var r=g(this,E);if(m._bSkipOpen&&q.sap.checkMouseEnterOrLeave(E,r[0])){m._bSkipOpen=false;}}};
d.prototype.onclick=function(E){o(this,E,false);};
d.prototype.onsapselect=function(E){o(this,E,true);};
d.prototype.onsapdown=function(E){o(this,E,true);};
d.prototype.onsapdownmodifiers=function(E){if(E.altKey){o(this,E,true);}};
d.prototype.onsapprevious=function(E){if(E.keyCode!=q.sap.KeyCodes.ARROW_UP){f(this,E,"prev");}};
d.prototype.onsapnext=function(E){if(E.keyCode!=q.sap.KeyCodes.ARROW_DOWN){f(this,E,"next");}};
d.prototype.onsaphome=function(E){f(this,E,"first");};
d.prototype.onsapend=function(E){f(this,E,"last");};
var o=function(t,E,w){E.preventDefault();E.stopPropagation();if(t.getEnabled()){var m=_(t,E);if(m==="ovrflw"){var r=g(t,E);if(t.oOvrFlwMnu&&!t._bOvrFlwMnuSkipOpen){var h=sap.ui.core.Popup.Dock;t.oOvrFlwMnu.open(w,r.get(0),h.EndTop,h.EndBottom,r.get(0));}}else if(m){if(m.getEnabled()){var r=g(t,E);var j=m.getSubmenu();if(j&&!m._bSkipOpen){var h=sap.ui.core.Popup.Dock;j.open(w,r.get(0),h.BeginTop,h.BeginBottom,r.get(0));}else if(!j){m.fireSelect({item:m});}}}}t._bOvrFlwMnuSkipOpen=false;var I=t.getItems();for(var i=0;i<I.length;i++){I[i]._bSkipOpen=false;}};var g=function(t,E){var r=q(E.target);if(!r.attr("itemidx")){r=r.parent();}return r.attr("itemidx")?r:null;};var _=function(t,E){var r=g(t,E);if(r){var i=r.attr("itemidx");if(i){if(i=="ovrflw"){return"ovrflw";}else{var I=parseInt(i,10);var m=t.getItems()[I];return m;}}}return null;};var e=function(t){var v=0;var A=t.$("area");var i=A.children();var r=sap.ui.getCore().getConfiguration().getRTL();var h=(r?100000:0);i.each(function(I){if(I==0){return true;}var j=this.offsetLeft;var L=(r?(j>=h):(j<=h));if(L){v=I;return false;}else if(q(this).attr("id")==t.getId()+"-ovrflw"){v=I;return false;}else{h=j;return true;}});return v;};var u=function(t){var v=e(t);var h=v;var A=t.$("area");var I=A.children();var O=t.$("ovrflw");var U=false;if(v<I.length-1){O.attr("style","display:block;");if(!t.oOvrFlwMnu){t.oOvrFlwMnu=new M(t.getId()+"-ovrflwmnu");t.oOvrFlwMnu.bUseTopStyle=t.getDesign()==sap.ui.commons.MenuBarDesign.Header;t.oOvrFlwMnu.attachItemSelect(function(E){var k=E.getParameter("item");if(!(k instanceof sap.ui.commons._DelegatorMenuItem)){var m=M.prototype.getRootMenu.apply(k.getParent());m.fireItemSelect({item:k});}else if(k.bNoSubMenu&&k instanceof sap.ui.commons._DelegatorMenuItem){k.oAlterEgoItm.fireSelect({item:k.oAlterEgoItm});}});}t.oOvrFlwMnu.destroyItems();var j=t.getItems();for(var i=0;i<j.length;i++){var k=j[i];if(v!=0){if(k.getVisible()){v--;}if(v==0){t.sLastVisibleItemId=k.getId();}}else{t.oOvrFlwMnu.addItem(new sap.ui.commons._DelegatorMenuItem(k));if(k.getId()==t.sCurrentFocusedItemRefId){U=true;}}}if(sap.ui.getCore().getConfiguration().getAccessibility()){I.attr("aria-setsize",h+1);O.attr("aria-posinset",h+1);}}else{O.attr("style","display:none;");if(t.oOvrFlwMnu){t.oOvrFlwMnu.destroyItems();}t.sLastVisibleItemId=null;if(sap.ui.getCore().getConfiguration().getAccessibility()){I.attr("aria-setsize",h);O.attr("aria-posinset",0);}}A.scrollTop(0);if(U){t.sCurrentFocusedItemRefId=t.sLastVisibleItemId;q.sap.byId(t.sLastVisibleItemId).get(0).focus();}};var f=function(t,E,D){E.stopPropagation();E.preventDefault();if(!t.sCurrentFocusedItemRefId){return;}var F=null;if(t.sLastVisibleItemId&&((t.sCurrentFocusedItemRefId==t.sLastVisibleItemId&&D=="next")||D=="last")){F=t.getId()+"-ovrflw";}else if(t.sLastVisibleItemId&&t.sCurrentFocusedItemRefId==t.getId()+"-ovrflw"&&D=="prev"){F=t.sLastVisibleItemId;}else{var s=D+"All";var i=false;if(D=="first"){s="prevAll";i=true;}else if(D=="last"){s="nextAll";i=true;}var j=q.sap.byId(t.sCurrentFocusedItemRefId);var h=j[s](":visible");F=q(h.get(i?h.length-1:0)).attr("id");}if(F){t.sCurrentFocusedItemRefId=F;q.sap.byId(F).get(0).focus();}};}());return d;},true);
sap.ui.predefine('sap/ui/commons/MenuBarRenderer',['jquery.sap.global'],function(q){"use strict";var M={};
M.render=function(r,m){var a=r;m.doBeforeRendering();a.write("<div");a.writeControlData(m);a.addClass("sapUiMnuBar");if(m.getDesign()==sap.ui.commons.MenuBarDesign.Header){a.addClass("sapUiMnuBarHeader");}var I=!m.getEnabled();if(I){a.addClass("sapUiMnuBarDsbl");}a.addStyle("width",m.getWidth());a.writeStyles();a.writeClasses();a.writeAttribute("tabindex","0");var t=m.getTooltip_AsString();M.writeAria(a,"menubar",t,I);a.write("><ul");a.writeAttribute("id",m.getId()+"-area");a.writeAttribute("class","sapUiMnuBarArea");a.write(">");var v=0;var b=m.getItems();for(var i=0;i<b.length;i++){var o=b[i];if(o.getVisible()){v++;a.write("<li");a.writeElementData(o);a.addClass("sapUiMnuBarItm");var d=!o.getEnabled()||I;if(d){a.addClass("sapUiMnuBarItmDsbl");}a.writeClasses();a.writeAttribute("itemidx",""+i);var t=o.getTooltip_AsString();M.writeAria(a,"menuitem",t,d,v,!!o.getSubmenu());a.writeAttribute("tabindex","-1");a.write("><span>");a.writeEscaped(o.getText());a.write("</span></li>");}}a.write("<li");a.writeAttribute("id",m.getId()+"-ovrflw");a.writeAttribute("itemidx","ovrflw");a.writeAttribute("style","display:none;");a.writeAttribute("tabindex","-1");a.addClass("sapUiMnuBarItm");a.addClass("sapUiMnuBarOvrFlw");if(d){a.addClass("sapUiMnuBarItmDsbl");}a.writeClasses();var c=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");var O;if(c){O=c.getText("MNUBAR_OVRFLW");}M.writeAria(a,"menuitem",O,false,0,true);a.write("><span></span></li></ul></div>");};
M.writeAria=function(r,R,t,d,i,h){if(t){r.writeAttributeEscaped("title",t);}if(!sap.ui.getCore().getConfiguration().getAccessibility()){return;}r.writeAttribute("role",R);if(R=="menuitem"){if(h){r.writeAttribute("aria-haspopup",true);}r.writeAttribute("aria-posinset",i);}if(d){r.writeAttribute("aria-disabled",true);}};
return M;},true);
sap.ui.predefine('sap/ui/commons/MenuButton',['jquery.sap.global','./Button','./Menu','./MenuItemBase','./library',"./MenuButtonRenderer"],function(q,B,M,a,l,b){"use strict";
var c=B.extend("sap.ui.commons.MenuButton",{metadata:{library:"sap.ui.commons",properties:{dockButton:{type:"string",group:"Misc",defaultValue:null},dockMenu:{type:"string",group:"Misc",defaultValue:null}},defaultAggregation:"menu",aggregations:{menu:{type:"sap.ui.unified.Menu",multiple:false}},events:{itemSelected:{parameters:{itemId:{type:"string"},item:{type:"sap.ui.unified.MenuItemBase"}}}}}});
c.prototype.init=function(){this.addStyleClass("sapUiMenuButton");this.bWithKeyboard=false;};
c.prototype.onclick=function(e){if(this.getEnabled()&&!this._bSkipOpen){var t=this.getTooltip();if(t&&t instanceof sap.ui.core.TooltipBase){t._closeOrPreventOpen();}var d=this.getDockButton()?this.getDockButton():sap.ui.core.Popup.Dock.BeginBottom;var D=this.getDockMenu()?this.getDockMenu():sap.ui.core.Popup.Dock.BeginTop;this.getMenu().open(this.bWithKeyboard,this,D,d,this);}this.bWithKeyboard=false;this._bSkipOpen=false;e.preventDefault();e.stopPropagation();};
c.prototype.onmousedown=function(e){this.handleMouseDown(e,false);this._bSkipOpen=this.getMenu()&&this.getMenu().bOpen;};
c.prototype.onmouseout=function(e){if(B.prototype.onmouseout){B.prototype.onmouseout.apply(this,arguments);}if(this._bSkipOpen&&q.sap.checkMouseEnterOrLeave(e,this.getDomRef())){this._bSkipOpen=false;}};
c.prototype.onsapenter=function(e){this.bWithKeyboard=true;};
c.prototype.onsapspace=function(e){this.bWithKeyboard=true;};
c.prototype.onsapdownmodifiers=function(e){if(e.altKey){this.bWithKeyboard=true;this.onclick(e);}};
c.prototype.clone=function(i,L){u(this);var C=B.prototype.clone.apply(this,arguments);u(this,this.getMenu());return C;};
c.prototype.setMenu=function(m){u(this,m);this.setAggregation("menu",m);return this;};
c.prototype.destroyMenu=function(){u(this,null);this.destroyAggregation("menu");return this;};
var u=function(t,n){var m=t.getMenu();if(m){m.detachItemSelect(t._fItemSelectHandler);}t._fItemSelectHandler=q.proxy(o,t);if(n){n.attachItemSelect(t._fItemSelectHandler);}};var o=function(e){var i=e.getParameter("item");this.fireItemSelected({itemId:i.getId(),item:i});this.firePress({itemId:i.getId(),item:i});};return c;},true);
sap.ui.predefine('sap/ui/commons/MenuButtonRenderer',['jquery.sap.global','./ButtonRenderer','sap/ui/core/Renderer'],function(q,B,R){"use strict";var M=R.extend(B);
M.renderButtonAttributes=function(r,c){if(sap.ui.getCore().getConfiguration().getAccessibility()){r.writeAttribute("aria-haspopup","true");}};
M.renderButtonContentAfter=function(r,c){r.write("<span class=\"sapUiMenuButtonIco\"></span>");};
return M;},true);
sap.ui.predefine('sap/ui/commons/MenuItem',['jquery.sap.global','./MenuItemBase','./library','sap/ui/unified/MenuItem'],function(q,M,l,a){"use strict";
var b=a.extend("sap.ui.commons.MenuItem",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return b;},true);
sap.ui.predefine('sap/ui/commons/MenuItemBase',['jquery.sap.global'],function(q){"use strict";try{sap.ui.getCore().loadLibrary("sap.ui.unified");}catch(e){q.sap.log.error("The controls/elements 'sap.ui.commons.Menu*' needs library 'sap.ui.unified'.");throw(e);}q.sap.require("sap.ui.unified.MenuItemBase");return sap.ui.require("sap/ui/unified/MenuItemBase");},true);
sap.ui.predefine('sap/ui/commons/MenuRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/unified/MenuRenderer'],function(q,R,M){"use strict";var a=R.extend(M);return a;},true);
sap.ui.predefine('sap/ui/commons/MenuTextFieldItem',['jquery.sap.global','./MenuItemBase','./library','sap/ui/unified/MenuTextFieldItem'],function(q,M,l,a){"use strict";
var b=a.extend("sap.ui.commons.MenuTextFieldItem",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return b;},true);
sap.ui.predefine('sap/ui/commons/Message',['jquery.sap.global','./Dialog','./library','sap/ui/core/Control',"./MessageRenderer"],function(q,D,l,C,M){"use strict";
var a=C.extend("sap.ui.commons.Message",{metadata:{deprecated:true,library:"sap.ui.commons",properties:{type:{type:"sap.ui.commons.MessageType",group:"Behavior",defaultValue:null},text:{type:"string",group:"Data",defaultValue:null},associatedElementId:{type:"string",group:"Data",defaultValue:null},design:{type:"string",group:"Misc",defaultValue:null}}}});
a.prototype.init=function(){this.isRTL=sap.ui.getCore().getConfiguration().getRTL();this.fnCallBack=null;this.oLink=null;this.oContainer=null;this.oDetails=null;this.oBtnOK=null;};
a.prototype.exit=function(){if(this.oLink){this.oLink.destroy();this.oLink=null;}if(this.oDetails){this.oDetails.destroy();this.oDetails=null;}if(this.oContainer){this.oContainer.destroy();this.oContainer=null;}if(this.oBtnOK){this.oBtnOK.destroy();this.oBtnOK=null;}};
a.closeDetails=function(c){c.getSource().getParent().close();};
a.prototype.closeDetails=function(){if(this.oContainer){this.oContainer.close();}};
a.prototype.openDetails=function(){if(!this.oContainer){var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");var O=r.getText("MSGBAR_DETAILS_DIALOG_CLOSE");var t=r.getText("MSGBAR_DETAILS_DIALOG_TITLE");var h=this.fnCallBack(this.getId());this.oDetails=new a({type:this.getType(),text:h});this.oBtnOK=new sap.ui.commons.Button({text:O,press:a.closeDetails});this.oContainer=new D();this.oContainer.addContent(this.oDetails);this.oContainer.setTitle(t);this.oContainer.addButton(this.oBtnOK);}var c=this.oContainer.getId();var o=0;var b=q('.sapUiDlg');for(var i=b.length-1;i>=0;i--){if(q(b[i]).css('visibility')!="visible"){b.splice(i,1);}else if(b[i].id==c){b.splice(i,1);}else{o=Math.max(o,q(b[i]).css('zIndex'));}}var w=this.oContainer.isOpen();this.oContainer.open();var j=this.oContainer.$();var d=j.rect();if(b.length==0){if(this.isRTL){d.left=Number(j.css('right').replace("px",""));}this.setLastOffsets(d);return;}if(w){if(o>j.css('zIndex')){j.css('zIndex',o+1);}return;}var n=this.getNextOffsets();j.css('top',(n.top-a.TOP_INCR)+"px");if(this.isRTL){j.css('right',(n.left-a.LEFT_INCR)+"px");}else{j.css('left',(n.left-a.LEFT_INCR)+"px");}var d=j.rect();var s=q(window).scrollTop();var e=q(window).scrollLeft();var f=-e;if((q(window).height()+s)<(n.top+d.height)){n.top=s;this.setLastOffsets(n);}if(this.isRTL){if((q(window).width()+f)<(n.left+d.width)){n.left=f;this.setLastOffsets(n);}j.animate({top:n.top+"px",right:n.left+"px"},200);}else{if((q(window).width()+e)<(n.left+d.width)){n.left=e;this.setLastOffsets(n);}j.animate({top:n.top+"px",left:n.left+"px"},200);}};
a.TOP_INCR=20;a.LEFT_INCR=10;(function(){var L=null;
a.setLastOffsets=function(o){L=o;};
a.prototype.setLastOffsets=function(o){a.setLastOffsets(o);};
a.getNextOffsets=function(){L.top+=a.TOP_INCR;L.left+=a.LEFT_INCR;return L;};
a.prototype.getNextOffsets=function(){return a.getNextOffsets();};
}());
a.prototype.bindDetails=function(c){this.fnCallBack=c;};
return a;},true);
sap.ui.predefine('sap/ui/commons/MessageBar',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/Popup','./MessageToast','./MessageList',"./MessageBarRenderer"],function(q,l,C,P,M,a,b){"use strict";
var c=C.extend("sap.ui.commons.MessageBar",{metadata:{deprecated:true,library:"sap.ui.commons",properties:{anchorID:{type:"string",group:"Appearance",defaultValue:''},visible:{type:"boolean",group:"Behavior",defaultValue:true},maxToasted:{type:"int",group:"Misc",defaultValue:3},maxListed:{type:"int",group:"Misc",defaultValue:7},anchorSnapPoint:{type:"string",group:"Misc",defaultValue:"begin top"}}}});
c.prototype.init=function(){this.aErrors=[];this.aWarnings=[];this.aSuccesses=[];this.aToasts=[];this.maxToastsReached=false;this.oPopup=new P(this,false,true,false);this.oList=null;var i=this.getId();this.oToast=new M(i+"__Toast",{anchorId:i+"__sums"});var t=this;this.oToast.attachNext(function(){t.checkForToast();});this.snapPoint=null;this.oHomePosition=null;this.oDropPosition=null;this.bToggleListBackAfterDrag=null;};
c.prototype.exit=function(){this.onmouseup();this.close();this.oPopup.destroy();this.oPopup=null;this.oToast.destroy();this.oToast=null;if(this.oList){this.oList.destroy();this.oList=null;}};
c.prototype.ondragstart=function(e){e.preventDefault();e.stopPropagation();};
c.prototype.onmousedown=function(e){var s=e.target;var S=q(s);if(S.css('cursor')!="move"){return;}this.sDragMode="move";this.oMsgBarDragStartPosition=this.$().rect();this.oMsgBarDragStartPosition.right=Number(this.$().css('right').replace("px",""));if(!this.oHomePosition){this.oHomePosition=this.oMsgBarDragStartPosition;}this.mouseDragStartPositionX=e.screenX;this.mouseDragStartPositionY=e.screenY;var d=q(window.document);d.bind("mousemove",q.proxy(this.handleMove,this));if(window.parent){q(window.parent.document).bind("mousemove",q.proxy(this.handleMove,this),true);}d.bind("selectstart",q.proxy(this.ondragstart,this),true);};
c.prototype.handleMove=function(e){if(!this.sDragMode){return;}if(this.bToggleListBackAfterDrag==null&&this.oList){this.bToggleListBackAfterDrag=this.oList.getVisible();if(this.bToggleListBackAfterDrag){this.toggleList();}}e=e||window.event;var t=this.oMsgBarDragStartPosition.top+e.screenY-this.mouseDragStartPositionY;var L=this.oMsgBarDragStartPosition.left+e.screenX-this.mouseDragStartPositionX;var r=this.oMsgBarDragStartPosition.right-e.screenX+this.mouseDragStartPositionX;this.oPopup._$().css('top',t);if(this.snapPoint.indexOf("right")!=-1){this.oPopup._$().css('right',r);}else{this.oPopup._$().css('left',L);}this.oDropPosition={top:t,left:L,right:r};e.cancelBubble=true;return false;};
c.prototype.onmouseup=function(e){if(!this.sDragMode){return;}if(this.oDropPosition){this.addStyleClass("sapUiMsgBarMoved");}if(this.bToggleListBackAfterDrag){this.toggleList();}this.bToggleListBackAfterDrag=null;var d=q(window.document);d.unbind("mousemove",q.proxy(this.handleMove,this));if(window.parent){q(window.parent.document).unbind("mousemove",q.proxy(this.handleMove,this));}d.unbind("selectstart",q.proxy(this.ondragstart,this));this.sDragMode=null;this.checkForToast();};
c.prototype.onclick=function(e){var s=e.target;var S=q(s);if(S.css('cursor')!="pointer"){return;}if(S.hasClass("sapUiMsgBarToggle")){this.toggleList();}else if(S.hasClass("sapUiMsgBarHome")){this.backHome();}else{q.sap.log.debug("Warning: MessageBar unsupported click on "+S.attr('className'));}};
c.prototype.checkForToast=function(){if(this.maxToastsReached){return;}if(this.aToasts==null||this.aToasts.length==0){return;}var m=this.getMaxToasted();if(m==0){return;}if(this.sDragMode){return;}var n=null;var d="";if(this.aToasts.length>this.getMaxToasted()){this.aToasts=[];this.maxToastsReached=true;d=this.getId()+"__arrowImg";}else{if(!this.oToast.isIdle()){return;}n=this.aToasts.splice(0,1)[0];d=this.getId()+"__"+n.getType()+"Img";}this.oToast.toast(n,d);};
c.prototype.addToasts=function(m){for(var i=0,d=m.length;i<d;i++){var n=m[i];var e=false;for(var j=this.aToasts.length;j>=0;j--){if(n==this.aToasts[j]){e=true;break;}}if(!e){this.aToasts.push(n);}}};
c.prototype.deleteToast=function(i){if(!this.aToasts){return;}for(var j=0,d=this.aToasts.length;j<d;j++){if(this.aToasts[j].getId()==i){this.aToasts.splice(j,1);return;}}};
c.prototype.deleteOneMessage=function(i){if(!i){return;}for(var j=0,d=this.aErrors.length;j<d;j++){if(this.aErrors[j].getId()==i){this.aErrors[j].closeDetails();this.aErrors.splice(j,1);return;}}for(var j=0,d=this.aWarnings.length;j<d;j++){if(this.aWarnings[j].getId()==i){this.aWarnings[j].closeDetails();this.aWarnings.splice(j,1);return;}}for(var j=0,d=this.aSuccesses.length;j<d;j++){if(this.aSuccesses[j].getId()==i){this.aSuccesses[j].closeDetails();this.aSuccesses.splice(j,1);return;}}};
c.prototype.getSnapPoint=function(){if(!this.snapPoint){this.snapPoint=this.getAnchorSnapPoint();if(sap.ui.getCore().getConfiguration().getRTL()){this.snapPoint=this.snapPoint.replace("begin","right").replace("end","left");}else{this.snapPoint=this.snapPoint.replace("begin","left").replace("end","right");}}return this.snapPoint;};
c.prototype.open=function(){var d=0;var s=this.getSnapPoint();var e=null;var f=this.getAnchorID();if(f){e=q.sap.domById(f);}if(!e){e=document.body;}this.oPopup.open(d,s,s,e,"0 0");if(this.oDropPosition){this.oPopup._$().css('top',this.oDropPosition.top);if(s.indexOf("right")!=-1){this.oPopup._$().css('right',this.oDropPosition.right);}else{this.oPopup._$().css('left',this.oDropPosition.left);}}if(this.hasStyleClass("sapUiMsgBarOpen")){this.oList.setVisible(true);}};
c.prototype.close=function(){if(this.oList&&this.oList.getVisible()){this.oList.setVisible(false);}var d=0;this.oPopup.close(d);this.maxToastsReached=false;};
c.prototype.updateCountersAndVisibility=function(){if(!this.getProperty("visible")){return;}var i=this.getId();var o=q.sap.domById(i+"__ErrorCount");if(!o){this.open();o=q.sap.domById(i+"__ErrorCount");}var d=this.aErrors.length;var e=o.innerHTML;var n="("+d+")";var I=null;var j=null;if(n!=e){o.innerHTML=n;if(n=="(0)"){I=q.sap.byId(i+"__ErrorImg");j=q.sap.byId(i+"__ErrorCount");I.addClass("sapUiMsgBarZeroCount");j.addClass("sapUiMsgBarZeroCount");}else if(e=="(0)"){I=q.sap.byId(i+"__ErrorImg");j=q.sap.byId(i+"__ErrorCount");I.removeClass("sapUiMsgBarZeroCount");j.removeClass("sapUiMsgBarZeroCount");}}o=q.sap.domById(i+"__WarningCount");d=this.aWarnings.length;e=o.innerHTML;n="("+d+")";I=null;j=null;if(n!=e){o.innerHTML=n;if(n=="(0)"){I=q.sap.byId(i+"__WarningImg");j=q.sap.byId(i+"__WarningCount");I.addClass("sapUiMsgBarZeroCount");j.addClass("sapUiMsgBarZeroCount");}else if(e=="(0)"){I=q.sap.byId(i+"__WarningImg");j=q.sap.byId(i+"__WarningCount");I.removeClass("sapUiMsgBarZeroCount");j.removeClass("sapUiMsgBarZeroCount");}}o=q.sap.domById(i+"__SuccessCount");d=this.aSuccesses.length;e=o.innerHTML;n="("+d+")";I=null;j=null;if(n!=e){o.innerHTML=n;if(n=="(0)"){I=q.sap.byId(i+"__SuccessImg");j=q.sap.byId(i+"__SuccessCount");I.addClass("sapUiMsgBarZeroCount");j.addClass("sapUiMsgBarZeroCount");}else if(e=="(0)"){I=q.sap.byId(i+"__SuccessImg");j=q.sap.byId(i+"__SuccessCount");I.removeClass("sapUiMsgBarZeroCount");j.removeClass("sapUiMsgBarZeroCount");}}if(this.aErrors.length==0&&this.aWarnings.length==0&&this.aSuccesses.length==0){this.close();return;}else{this.open();}if(this.oList&&this.oList.getVisible()){this.oList.setMessages(this.aSuccesses.concat(this.aWarnings).concat(this.aErrors));}this.checkForToast();};
c.prototype.toggleList=function(){if(!this.oList){var d=this.getId()+"__List";this.oList=new a(d,{anchorId:this.getId(),maxListed:this.getMaxListed()});}var v=this.oList.getVisible();if(!v){this.oList.setMessages(this.aSuccesses.concat(this.aWarnings).concat(this.aErrors));this.addStyleClass("sapUiMsgBarOpen");}else{this.removeStyleClass("sapUiMsgBarOpen");}this.oList.setVisible(!v);};
c.prototype.backHome=function(){var p=this.oPopup._$();if(this.oList&&this.oList.getVisible()){this.toggleList();var t=this;if(this.snapPoint.indexOf("right")!=-1){p.animate({right:this.oHomePosition.right+"px",top:this.oHomePosition.top+"px"},200,function(){t.toggleList();});}else{p.animate({left:this.oHomePosition.left+"px",top:this.oHomePosition.top+"px"},200,function(){t.toggleList();});}}else{if(this.snapPoint.indexOf("right")!=-1){p.animate({right:this.oHomePosition.right+"px",top:this.oHomePosition.top+"px"},200);}else{p.animate({left:this.oHomePosition.left+"px",top:this.oHomePosition.top+"px"},200);}}this.oDropPosition=null;this.removeStyleClass("sapUiMsgBarMoved");};
c.prototype.addMessages=function(m){if(!m){return;}for(var i=0,d=m.length;i<d;i++){this.deleteOneMessage(m[i].getId());switch(m[i].getType()){case sap.ui.commons.MessageType.Error:this.aErrors.push(m[i]);break;case sap.ui.commons.MessageType.Warning:this.aWarnings.push(m[i]);break;case sap.ui.commons.MessageType.Success:this.aSuccesses.push(m[i]);break;default:q.sap.log.debug("ERROR: MessageBar supplied messageType="+m[i].getType());}}this.addToasts(m);this.updateCountersAndVisibility();return this;};
c.prototype.deleteMessages=function(I){if(!I){return;}for(var i=0,d=I.length;i<d;i++){this.deleteOneMessage(I[i]);this.deleteToast(I[i]);}this.updateCountersAndVisibility();return this;};
c.prototype.deleteAllMessages=function(){for(var j=this.aErrors.length-1;j>=0;j--){this.aErrors[j].closeDetails();}for(var j=this.aWarnings.length-1;j>=0;j--){this.aWarnings[j].closeDetails();}for(var j=this.aSuccesses.length-1;j>=0;j--){this.aSuccesses[j].closeDetails();}this.aErrors=[];this.aWarnings=[];this.aSuccesses=[];this.aToasts=[];this.updateCountersAndVisibility();return this;};
c.prototype.setVisible=function(v){this.setProperty("visible",v);if(v){this.updateCountersAndVisibility();}else{this.close();}return this;};
return c;},true);
sap.ui.predefine('sap/ui/commons/MessageBarRenderer',['jquery.sap.global','sap/ui/core/Popup'],function(q,P){"use strict";var M={};
M.render=function(r,c){var a=r;var i=c.getId();a.write('<div draggable="true"');a.writeControlData(c);a.addClass("sapUiMsgBar");if(this.oDropPosition){a.addClass("sapUiMsgBarMoved");}a.writeClasses();a.write(">");a.write('<div id="'+i+'__sums" class="sapUiMsgBarSums">');a.write('<div id="'+i+'__arrowImg" class="sapUiMsgBarToggle"></div>');a.write('<div id="'+i+'__ErrorImg" class="sapUiMsgIcon sapUiMsgIconError sapUiMsgBarZeroCount"></div>');a.write('<span id="'+i+'__ErrorCount" class="sapUiMsgTxt sapUiMsgBarZeroCount">(0)</span>');a.write('<div id="'+i+'__WarningImg" class="sapUiMsgIcon sapUiMsgIconWarning sapUiMsgBarZeroCount"></div>');a.write('<span id="'+i+'__WarningCount" class="sapUiMsgTxt sapUiMsgBarZeroCount">(0)</span>');a.write('<div id="'+i+'__SuccessImg" class="sapUiMsgIcon sapUiMsgIconSuccess sapUiMsgBarZeroCount"></div>');a.write('<span id="'+i+'__SuccessCount" class="sapUiMsgTxt sapUiMsgBarZeroCount">(0)</span>');a.write("</div>");a.write('<div class="sapUiMsgBarHome"></div>');a.write("</div>");};
return M;},true);
sap.ui.predefine('sap/ui/commons/MessageBox',['jquery.sap.global','sap/ui/core/library','sap/ui/core/ElementMetadata','sap/ui/core/Control','./library','./Button','./Dialog','./Image','./TextView','./layout/MatrixLayout','./layout/MatrixLayoutCell'],function(q,c,E,C,a,B,D,I,T,M,b){"use strict";var d={};d.Action={OK:"OK",CANCEL:"CANCEL",YES:"YES",NO:"NO",ABORT:"ABORT",RETRY:"RETRY",IGNORE:"IGNORE",CLOSE:"CLOSE"};d.Icon={NONE:"NONE",INFORMATION:"INFORMATION",WARNING:"WARNING",ERROR:"ERROR",CRITICAL:"CRITICAL",SUCCESS:"SUCCESS",QUESTION:"QUESTION"};var A=c.AccessibleRole,e=d.Action,f=d.Icon,P=a.layout.Padding,V=a.layout.VAlign;var i={INFORMATION:"sapUiMboxInfo",CRITICAL:"sapUiMboxCritical",ERROR:"sapUiMboxError",WARNING:"sapUiMboxWarning",SUCCESS:"sapUiMboxSuccess",QUESTION:"sapUiMboxQuestion"};
d.show=function(m,o,t,v,g,h,s){var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons"),j,R,k,l,n;if(typeof v!=="undefined"&&!q.isArray(v)){v=[v];}if(!v||v.length===0){v=[e.OK];}s=s||E.uid("mbox");function p(y){var z=r&&r.getText("MSGBOX_"+y),F=new B({id:s+"--btn-"+y,text:z||y,press:function(){R=y;j.close();}});if(y===h){n=F;}return F;}function u(k){return new b({padding:P.None,vAlign:V.Top,content:k});}function w(o){var y=new I({id:s+"--icon",tooltip:r&&r.getText("MSGBOX_ICON_"+o),decorative:true});y.addStyleClass("sapUiMboxIcon");y.addStyleClass(i[o]);return y;}function x(){if(typeof g==="function"){g(R||e.CLOSE);}j.detachClosed(x);j.destroy();}k=new M({id:s+"--lyt",layoutFixed:false}).addStyleClass("sapUiMboxCont");if(typeof(m)==="string"){l=new T({id:s+"--msg"}).setText(m).addStyleClass("sapUiMboxText");}else if(m instanceof C){l=m.addStyleClass("sapUiMboxText");}if(o!==d.Icon.NONE){k.createRow(u(w(o)),u(l));}else{k.createRow(u(l));}j=new D({id:s,applyContentPadding:false,accessibleRole:A.AlertDialog,resizable:false,modal:true,buttons:q.map(v,p),content:k,defaultButton:n,closed:x}).setTitle(t);j.open();};
d.alert=function(m,g,t,s){return d.show(m,f.NONE,t,e.OK,function(o){if(typeof g==="function"){g();}},e.OK,s||E.uid("alert"));};
d.confirm=function(m,g,t,s){return d.show(m,f.QUESTION,t,[e.OK,e.CANCEL],function(o){if(typeof g==="function"){g(o===e.OK);}},undefined,s||E.uid("confirm"));};
return d;},true);
sap.ui.predefine('sap/ui/commons/MessageList',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/Popup',"./MessageListRenderer"],function(q,l,C,P,M){"use strict";
var a=C.extend("sap.ui.commons.MessageList",{metadata:{deprecated:true,library:"sap.ui.commons",properties:{visible:{type:"boolean",group:"Behavior",defaultValue:false},anchorId:{type:"string",group:"Appearance",defaultValue:null},maxListed:{type:"string",group:"Misc",defaultValue:'7'}}}});
a.prototype.init=function(){this.aMessages=[];this.iItemHeight=0;this.oPopup=new P(this,false,true,false);};
a.prototype.exit=function(){this.close();this.oPopup.destroy();this.oPopup=null;};
a.prototype.onThemeChanged=function(){this.iItemHeight=0;};
a.prototype.onAfterRendering=function(){var L=this.getDomRef();var j=q(L);var m=this.getMaxListed();var b=this.aMessages.length;if(b<=m){j.height("auto");return;}if(this.iItemHeight==0){var i=L.firstChild;var I=q(i);this.iItemHeight=I.height();}L.style.overflowY="scroll";L.style.overflowX="hidden";var d=(m*this.iItemHeight)+"px";j.height(d);};
a.prototype.open=function(){var r=sap.ui.getCore().getConfiguration().getRTL();var b=200;var m=r?P.Dock.RightTop:P.Dock.LeftTop;var c=r?P.Dock.RightBottom:P.Dock.LeftBottom;var d="0 0";var e=null;var f=this.getAnchorId();if(f){e=q.sap.domById(f);}if(!e){e=document.body;}this.oPopup.open(b,m,c,e,d);};
a.prototype.close=function(){var b=200;this.oPopup.close(b);};
a.prototype.setMessages=function(m){this.aMessages=m;if(this.getVisible()){sap.ui.getCore().getRenderManager().render(this,sap.ui.getCore().getStaticAreaRef(),true);}return this;};
a.prototype.setVisible=function(v){this.setProperty("visible",v);if(v){sap.ui.getCore().getRenderManager().render(this,sap.ui.getCore().getStaticAreaRef(),true);this.open();}else{this.close();}return this;};
return a;},true);
sap.ui.predefine('sap/ui/commons/MessageListRenderer',['jquery.sap.global'],function(q){"use strict";var M={};
M.render=function(r,c){var a=r;a.write('<ul class="sapUiMsgList"');a.writeControlData(c);a.write(">");for(var i=c.aMessages.length-1;i>=0;i--){a.write('<li class="sapUiMsgListLi">');a.renderControl(c.aMessages[i]);a.write("</li>");}a.write("</ul>");};
return M;},true);
sap.ui.predefine('sap/ui/commons/MessageRenderer',['jquery.sap.global'],function(q){"use strict";var M={};
M.render=function(r,c){var a=r;a.write('<div class="sapUiMsg" tabindex="0"');a.writeControlData(c);a.write('>');a.write('<div class="sapUiMsgIcon sapUiMsgIcon'+c.getType()+'"></div>');if(typeof c.fnCallBack==="function"){a.write('<span class="sapUiMsgLnk">');if(!c.oLink){c.oLink=new sap.ui.commons.Link();var b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");c.oLink.setText(b.getText("MSGLIST_DETAILS"));c.oLink.attachPress(function(){c.openDetails();});}a.renderControl(c.oLink);a.write(' - </span>');}a.write('<span class="sapUiMsgTxt">');a.writeEscaped(c.getText());a.write('</span>');a.write('</div>');};
return M;},true);
sap.ui.predefine('sap/ui/commons/MessageToast',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/thirdparty/jqueryui/jquery-ui-core',"./MessageToastRenderer"],function(q,l,C,j,M){"use strict";
var a=C.extend("sap.ui.commons.MessageToast",{metadata:{deprecated:true,library:"sap.ui.commons",properties:{anchorId:{type:"string",group:"Misc",defaultValue:null}},events:{next:{}}}});
a.prototype.init=function(){this.oMessage=null;this.sAnchorId="";this.bIdle=true;this.sLeftOffset="";this.oPopup=new sap.ui.core.Popup(this,false,false,false);this.oPopup.attachClosed(this.next,this);};
a.prototype.exit=function(){if(!this.bIdle){this.close();}this.oPopup.destroy();this.oPopup=null;};
a.prototype.onAfterRendering=function(){var r=sap.ui.getCore().getConfiguration().getRTL();var i=q.sap.byId(this.sAnchorId);var b=i.position();var B=q.sap.byId(this.getAnchorId());var c=B.outerWidth();if(b){var t=r?b.left+i.outerWidth():c-b.left;var T=this.$();var d=T.width();var e=Math.max(d,c);var f=c-d;if(f>0){T.css('minWidth',c);}var m=r?(e-t+2)+"px":(e-t-2)+"px";if(e>=t){var A=q.sap.byId(this.getId()+"Arrow");if(sap.ui.getCore().getConfiguration().getRTL()){A.css('marginRight',m);}else{A.css('marginLeft',m);}this.sLeftOffset="0";}}};
a.prototype.next=function(){this.bIdle=true;this.fireNext();};
a.prototype.open=function(d){if(!this.bIdle){this.oPopup.close(0);}this.bIdle=false;var r=sap.ui.getCore().getConfiguration().getRTL();var p=r?sap.ui.core.Popup.Dock.LeftBottom:sap.ui.core.Popup.Dock.RightBottom;var b=r?sap.ui.core.Popup.Dock.LeftTop:sap.ui.core.Popup.Dock.RightTop;var c=this.sLeftOffset+" 5";var e=null;var f=this.getAnchorId();if(f){e=q.sap.domById(f);}if(!e){e=document.body;}this.oPopup.open(d,p,b,e,c);};
a.prototype.close=function(d){this.oPopup.close(d);};
a.prototype.getClasses=function(){var c="sapUiMsgToast";if(this.oMessage&&this.oMessage.getType()){c+=" sapUiMsgT"+this.oMessage.getType();}return c;};
a.prototype.toast=function(m,A){this.oMessage=m;this.sAnchorId=A;sap.ui.getCore().getRenderManager().render(this,sap.ui.getCore().getStaticAreaRef(),true);this.open(750);this.close(2250);return this;};
a.prototype.isIdle=function(){return this.bIdle;};
return a;},true);
sap.ui.predefine('sap/ui/commons/MessageToastRenderer',['jquery.sap.global'],function(q){"use strict";var M={};
M.render=function(r,c){var a=r;a.write('<div class="'+c.getClasses()+'"');a.writeControlData(c);a.write('>');a.write('<div class="sapUiMsgToastMsg sapUiShd">');if(c.oMessage){a.renderControl(c.oMessage);}else{var m=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons").getText("MSGTOAST_MULTI_MSGS");a.write('<div class="sapUiMsg" tabindex="0"><span class="sapUiMsgTxt">'+m+'</span></div>');}a.write("</div>");a.write('<div id="'+c.getId()+'Arrow" class="sapUiMsgToastArrow"></div>');a.write("</div>");};
return M;},true);
sap.ui.predefine('sap/ui/commons/Paginator',['jquery.sap.global','./library','sap/ui/core/Control',"./PaginatorRenderer"],function(q,l,C,P){"use strict";
var a=C.extend("sap.ui.commons.Paginator",{metadata:{library:"sap.ui.commons",properties:{currentPage:{type:"int",group:"Misc",defaultValue:1},numberOfPages:{type:"int",group:"Misc",defaultValue:null}},events:{page:{parameters:{srcPage:{type:"int"},targetPage:{type:"int"},type:{type:"sap.ui.commons.PaginatorEvent"}}}}}});
a.MAX_NUMBER_PAGES=5;
a.prototype.init=function(){this.bShowAnimation=true;};
a.prototype.onclick=function(e){this._handleSelect(e);};
a.prototype.setCurrentPage=function(t,s){this.setProperty("currentPage",t,s);if(this.getDomRef()){sap.ui.commons.PaginatorRenderer.updateBackAndForward(this);}return this;};
a.prototype.triggerPaginatorAnimation=function(){var I=[];var b=[];var p=this.getId();var c=q.sap.byId(p+"-pages").children();var n=this._calculatePagesRange();var o;if(this._oOldRange){o=this._oOldRange;}else{o={};var d=c[0].id.split("--");o.firstPage=parseInt(d[d.length-1],10);d=c[c.length-1].id.split("--");o.lastPage=parseInt(d[d.length-1],10);}var i;for(i=n.firstPage;i<=n.lastPage;i++){if(i<o.firstPage||i>o.lastPage){b.push(i);}}var e={firstPage:b[0],lastPage:b[b.length-1]};for(i=o.firstPage;i<=o.lastPage;i++){if(i<n.firstPage||i>n.lastPage){I.push(i);}}var f=sap.ui.commons.PaginatorRenderer.getPagesHtml(this.getId(),o,this.getCurrentPage(),true);var g=sap.ui.commons.PaginatorRenderer.getPagesHtml(this.getId(),e,this.getCurrentPage(),false);if(o.firstPage<e.firstPage){g=f+g;}else{g=g+f;}var h=document.activeElement;var j=h?h.id:undefined;this.getDomRef("pages").innerHTML=g;if(j){h=q.sap.domById(j);}else{h=q.sap.domById("testPaginator-a--"+this.getCurrentPage());}q.sap.focus(h);var k=this.getId()+"-li--";this._oOldRange=n;function r(){var s=q.sap.domById(this.id);if(s){s.parentNode.removeChild(s);}}for(i=0;i<I.length;i++){var m=k+I[i];q.sap.byId(m).hide(400,r);}for(i=0;i<b.length;i++){q.sap.byId(k+b[i]).show(400);}};
a.prototype._calculatePagesRange=function(){var f=1;var L=this.getNumberOfPages();var c=this.getCurrentPage();var n=this.getNumberOfPages();if(c<4){f=1;if(L>a.MAX_NUMBER_PAGES){L=a.MAX_NUMBER_PAGES;}}else if(c==L){if(n<5){f=1;}else{f=L-4;}}else if(L-c<3){f=L-4;}else{f=c-2;L=c+2;}return{firstPage:f,lastPage:L};};
a.prototype.onkeydown=function(e){var E=e.getPseudoTypes();if(q.inArray("saptabnext",E)!=-1){this.triggerTabbingNavigation(e,false);}else if(q.inArray("saptabprevious",E)!=-1){this.triggerTabbingNavigation(e,true);}else if(q.inArray("sapincrease",E)!=-1){this.triggerInternalNavigation(e,"next");}else if(q.inArray("sapdecrease",E)!=-1){this.triggerInternalNavigation(e,"previous");}else if(q.inArray("sapenter",E)!=-1){this._handleSelect(e);}};
a.prototype.triggerInternalNavigation=function(e,d){var f=q(this.getDomRef()).find(":sapFocusable");var c=q(f).index(e.target);var n,N;if(d=="next"){n=c+1;if(q(e.target).hasClass("sapUiPagCurrentPage")){n=n+1;}N=f[n];if(N){q(N).focus();e.preventDefault();e.stopPropagation();}}else if(d=="previous"&&f[c-1]){n=c-1;N=f[n];if(N&&q(N).hasClass("sapUiPagCurrentPage")){N=f[n-1];}if(N){q(N).focus();e.preventDefault();e.stopPropagation();}}};
a.prototype.triggerTabbingNavigation=function(e,s){var f=q(this.getDomRef()).find(":sapFocusable");if(!s){q(f[f.length-1]).focus();}else{var c=q(f).index(e.target);if(c!=0){q(f[0]).focus();}}};
a.prototype.getFocusInfo=function(){var i=this.$().find(":focus").attr("id");if(i){return{customId:i};}else{return sap.ui.core.Element.prototype.getFocusInfo.apply(this,arguments);}};
a.prototype.applyFocusInfo=function(f){if(f&&f.customId){this.$().find("#"+f.customId).focus();}else{sap.ui.core.Element.prototype.getFocusInfo.apply(this,arguments);}return this;};
a.prototype._handleSelect=function(e){if(e&&e.target){e.preventDefault();var t=e.target;if(!t.id){t=t.parentNode;}if(t.id&&t.id!=this.getId()+"-pages"){var A=t.id.split("--");if(A.length>1){var b=A[A.length-1];var E=null;var s=this.getCurrentPage();var T=s;if(b.match(/^\d+$/)){E=sap.ui.commons.PaginatorEvent.Goto;T=parseInt(b,10);}else if(b=="firstPageLink"){E=sap.ui.commons.PaginatorEvent.First;T=1;}else if(b=="backLink"){E=sap.ui.commons.PaginatorEvent.Previous;T=Math.max(s-1,1);}else if(b=="forwardLink"){E=sap.ui.commons.PaginatorEvent.Next;T=Math.min(s+1,this.getNumberOfPages());}else if(b=="lastPageLink"){E=sap.ui.commons.PaginatorEvent.Last;T=this.getNumberOfPages();}if(T!=s){if(this.bShowAnimation){this.setCurrentPage(T,true);this.triggerPaginatorAnimation();}else{this.setCurrentPage(T);}this.firePage({srcPage:s,targetPage:T,type:E});}}}}};
return a;},true);
sap.ui.predefine('sap/ui/commons/PaginatorRenderer',['jquery.sap.global','jquery.sap.encoder'],function(q){"use strict";var P={};
P.render=function(r,p){var a=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");r.write("<div");r.writeControlData(p);r.writeAccessibilityState(p,{role:"toolbar",labelledby:p.getId()+"-accDesc"});r.addClass("sapUiPag");r.writeClasses();r.write(">");r.write("<span class='sapUiPagAccDesc' id='"+p.getId()+"-accDesc'>");r.writeEscaped(a.getText("PAGINATOR"));r.write("</span>");this.renderPaginator(r,p);r.write("</div>");};
P.renderPaginator=function(r,p){if(p.getNumberOfPages()<=1){return;}var a=p.getId();var c=p.getCurrentPage();var b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");var l=(c==1)?"sapUiLnkDsbl":"sapUiLnk";var d=(c==1)?" aria-disabled='true'":"";if(p.getNumberOfPages()>5){r.write("<a id='"+a+"--firstPageLink' href='#;' title='");r.writeEscaped(b.getText("FIRST_PAGE"));r.write("' class='sapUiPagBtn sapUiPagFirst "+l+"' "+d+"><span class='sapUiPagText'>");r.writeEscaped(b.getText("PAGINATOR_OTHER_PAGE",[1]));r.write("</span></a>");}r.write("<a id='"+a+"--backLink' href='#' title='");r.writeEscaped(b.getText("PREVIOUS_PAGE"));r.write("' class='sapUiPagBtn sapUiPagBack "+l+"' "+d+"><span class='sapUiPagText'>");r.writeEscaped(b.getText("BACK"));r.write("</span></a>");r.write("<ul id='"+a+"-pages' role='presentation'>");r.write(P.getPagesHtml(a,p._calculatePagesRange(),p.getCurrentPage(),true));r.write("</ul>");l=(c===p.getNumberOfPages())?"sapUiLnkDsbl":"sapUiLnk";d=(c===p.getNumberOfPages())?" aria-disabled='true'":"";r.write("<a id='"+a+"--forwardLink' href='#' title='");r.writeEscaped(b.getText("NEXT_PAGE"));r.write("' class='sapUiPagBtn sapUiPagForward "+l+"' "+d+"><span class='sapUiPagText'>");r.writeEscaped(b.getText("FORWARD"));r.write("</span></a>");if(p.getNumberOfPages()>5){r.write("<a id='"+a+"--lastPageLink' href='#' title='");r.writeEscaped(b.getText("LAST_PAGE"));r.write("' class='sapUiPagBtn sapUiPagLast "+l+"' "+d+"><span class='sapUiPagText'>");r.writeEscaped(b.getText("PAGINATOR_OTHER_PAGE",[p.getNumberOfPages()]));r.write("</span></a>");}};
P.getPagesHtml=function(p,r,c,v){var h=[];var a=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");for(var i=r.firstPage;i<=r.lastPage;i++){h.push("<li id='"+p+"-li--"+i+"' class='sapUiPagPage");h.push((i==c)?" sapUiPagCurrentPage'":"'");if(!v){h.push(" style='display:none'");}h.push(">");h.push("<a id='"+p+"-a--"+i+"' title='");if(i==c){h.push(q.sap.encodeHTML(a.getText("PAGINATOR_CURRENT_PAGE",[i])));}else{h.push(q.sap.encodeHTML(a.getText("PAGINATOR_OTHER_PAGE",[i])));}h.push("' href='#'");if(i==c){h.push(" tabindex='0' class='sapUiLnkDsbl'");}else{h.push(" class='sapUiLnk'");}h.push(">"+i+"</a>");h.push("</li>");}return h.join("");};
P.updateBackAndForward=function(p){var a=p.getCurrentPage();var i=p.getId();var b=(a==1);var c=(a==p.getNumberOfPages());var f=q.sap.byId(i+"--firstPageLink").toggleClass("sapUiLnk",!b).toggleClass("sapUiLnkDsbl",b);var d=q.sap.byId(i+"--backLink").toggleClass("sapUiLnk",!b).toggleClass("sapUiLnkDsbl",b);var e=q.sap.byId(i+"--forwardLink").toggleClass("sapUiLnk",!c).toggleClass("sapUiLnkDsbl",c);var l=q.sap.byId(i+"--lastPageLink").toggleClass("sapUiLnk",!c).toggleClass("sapUiLnkDsbl",c);if(b){f.attr("aria-disabled","true");d.attr("aria-disabled","true");e.removeAttr("aria-disabled");l.removeAttr("aria-disabled");}else if(c){f.removeAttr("aria-disabled");d.removeAttr("aria-disabled");e.attr("aria-disabled","true");l.attr("aria-disabled","true");}else{f.removeAttr("aria-disabled");d.removeAttr("aria-disabled");e.removeAttr("aria-disabled");l.removeAttr("aria-disabled");}};
return P;},true);
sap.ui.predefine('sap/ui/commons/Panel',['jquery.sap.global','./library','sap/ui/core/Control',"./PanelRenderer"],function(q,l,C,P){"use strict";
var a=C.extend("sap.ui.commons.Panel",{metadata:{library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},enabled:{type:"boolean",group:"Behavior",defaultValue:true},scrollLeft:{type:"int",group:"Behavior",defaultValue:0},scrollTop:{type:"int",group:"Behavior",defaultValue:0},applyContentPadding:{type:"boolean",group:"Appearance",defaultValue:true},collapsed:{type:"boolean",group:"Behavior",defaultValue:false},areaDesign:{type:"sap.ui.commons.enums.AreaDesign",group:"Appearance",defaultValue:sap.ui.commons.enums.AreaDesign.Fill},borderDesign:{type:"sap.ui.commons.enums.BorderDesign",group:"Appearance",defaultValue:sap.ui.commons.enums.BorderDesign.Box},showCollapseIcon:{type:"boolean",group:"Behavior",defaultValue:true},text:{type:"string",group:"Misc",defaultValue:null}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"},title:{type:"sap.ui.core.Title",multiple:false},buttons:{type:"sap.ui.commons.Button",multiple:true,singularName:"button"}}}});
a.prototype.init=function(){this._oScrollDomRef=null;this._iMaxTbBtnWidth=-1;this._iTbMarginsAndBorders=0;this._iMinTitleWidth=30;this._iOptTitleWidth=30;this._iTitleMargin=0;this._bFocusCollapseIcon=false;this._resizeDelayTimer=null;this._rb=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");this.data("sap-ui-fastnavgroup","true",true);};
a.prototype.exit=function(){this._rb=undefined;};
a.prototype.onThemeChanged=function(){if(this.getDomRef()&&this._oTitleDomRef){this.getDomRef().style.minWidth="auto";if(this._oToolbarDomRef){this._oToolbarDomRef.style.width="auto";}this._oTitleDomRef.style.width="auto";this._initializeSizes();}};
a.prototype.onBeforeRendering=function(){if(this.sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}};
a.prototype.onAfterRendering=function(){var i=this.getId();this._oScrollDomRef=q.sap.domById(i+"-cont");if(!this._oScrollDomRef){return;}this._oHeaderDomRef=q.sap.domById(i+"-hdr");this._oTitleDomRef=q.sap.domById(i+"-title");this._oToolbarDomRef=q.sap.domById(i+"-tb");if(this._bFocusCollapseIcon){this._bFocusCollapseIcon=false;var $=q.sap.byId(i+"-collArrow");if($.is(":visible")&&($.css("visibility")=="visible"||$.css("visibility")=="inherit")){$.focus();}else{var b=q.sap.byId(i+"-collIco");if(b.is(":visible")&&(b.css("visibility")=="visible"||b.css("visibility")=="inherit")){b.focus();}}}this._initializeSizes();if(a._isSizeSet(this.getHeight())&&(this._hasIcon()||(this.getButtons().length>0))){this._handleResizeNow();this.sResizeListenerId=sap.ui.core.ResizeHandler.register(this.getDomRef(),q.proxy(this._handleResizeSoon,this));}};
a.prototype.getFocusInfo=function(){var c=null;var i=this.getId();if(this._bFocusCollapseIcon){var $=q.sap.byId(i+"-collArrow");if($.is(":visible")&&($.css("visibility")=="visible"||$.css("visibility")=="inherit")){c=$[0].id;}else{var b=q.sap.byId(i+"-collIco");if(b.is(":visible")&&(b.css("visibility")=="visible"||b.css("visibility")=="inherit")){c=b[0].id;}}}return{id:(c?c:i)};};
a.prototype.applyFocusInfo=function(f){var d;if(f&&f.id&&(d=q.sap.byId(f.id))&&(d.length>0)){d.focus();}else{this.focus();}return this;};
a.prototype._initializeSizes=function(){var r=sap.ui.getCore().getConfiguration().getRTL();var b=this.getButtons();if(b&&b.length>0){var m=0;q(this._oToolbarDomRef).children().each(function(){var w=this.offsetWidth;if(w>m){m=w;}});this._iMaxTbBtnWidth=m;if(this._oToolbarDomRef){this._oToolbarDomRef.style.minWidth=m+"px";var $=q(this._oToolbarDomRef);this._iTbMarginsAndBorders=$.outerWidth(true)-$.width();}}var c=this._oTitleDomRef.offsetLeft;var t=this.getDomRef().offsetWidth;if(r){c=t-(c+this._oTitleDomRef.offsetWidth);}var d=q(this._oTitleDomRef);this._iOptTitleWidth=d.width()+1;this._iTitleMargin=d.outerWidth(true)-d.outerWidth();var e=10000;q(this._oHeaderDomRef).children(".sapUiPanelHdrRightItem").each(function(){var h=this.offsetLeft;if(r){h=t-(h+this.offsetWidth);}if((h<e)&&(h>0)){e=h;}});var f=c;f+=this._iMinTitleWidth;f+=this._iMaxTbBtnWidth+1;f+=(e==10000)?10:(t-e);this.getDomRef().style.minWidth=f+10+"px";if(this._oScrollDomRef){var s=this.getProperty("scrollTop");if(s>0){this._oScrollDomRef.scrollTop=s;}var g=this.getProperty("scrollLeft");if(g>0){this._oScrollDomRef.scrollLeft=g;}}};
a.prototype._fixContentHeight=function(){if(a._isSizeSet(this.getHeight())&&(this._hasIcon()||(this.getButtons().length>0))){this._iContTop=this._oHeaderDomRef.offsetHeight;if(this._oScrollDomRef){this._oScrollDomRef.style.top=this._iContTop+"px";}}};
a.prototype._handleResizeSoon=function(){if(this._resizeDelayTimer){q.sap.clearDelayedCall(this._resizeDelayTimer);}this._resizeDelayTimer=q.sap.delayedCall(200,this,function(){this._handleResizeNow();this._resizeDelayTimer=null;});};
a.prototype._handleResizeNow=function(){this._fixContentHeight();};
a.prototype._hasIcon=function(){return(this.getTitle()&&this.getTitle().getIcon());};
a.prototype.setEnabled=function(e){this.setProperty("enabled",e,true);q(this.getDomRef()).toggleClass("sapUiPanelDis",!e);return this;};
a.prototype.setApplyContentPadding=function(p){this.setProperty("applyContentPadding",p,true);q(this.getDomRef()).toggleClass("sapUiPanelWithPadding",p);return this;};
a.prototype.setCollapsed=function(c){this.setProperty("collapsed",c,true);this._setCollapsedState(c);return this;};
a.prototype._setCollapsedState=function(c){var d=this.getDomRef();if(d){var b=sap.ui.getCore().getConfiguration().getAccessibility();if(c){if(!this.getWidth()){d.style.width=this.getDomRef().offsetWidth+"px";}q(d).addClass("sapUiPanelColl");if(b){d.setAttribute("aria-expanded","false");}if(this.getHeight()){d.style.height="auto";}var e=this._rb.getText("PANEL_EXPAND");this.$("collArrow").attr("title",e);this.$("collIco").attr("title",e);}else{if(!this.getDomRef("cont")){this._bFocusCollapseIcon=true;this.rerender();}else{q(d).removeClass("sapUiPanelColl");if(b){d.setAttribute("aria-expanded","true");}if(!this.getWidth()){d.style.width="auto";}if(this.getHeight()){d.style.height=this.getHeight();}var s=this._rb.getText("PANEL_COLLAPSE");this.$("collArrow").attr("title",s);this.$("collIco").attr("title",s);}}}};
a._isSizeSet=function(c){return(c&&!(c=="auto")&&!(c=="inherit"));};
a.prototype.setTitle=function(t){var o=this.getTitle();this.setAggregation("title",t);if(o&&o!==t&&o.getId()===this.getId()+"-tit"){o.destroy();}return this;};
a.prototype.setText=function(t){if(!this.getTitle()){this.setTitle(new sap.ui.core.Title(this.getId()+"-tit",{text:t}));}else{this.getTitle().setText(t);}return this;};
a.prototype.getText=function(){if(!this.getTitle()){return"";}else{return this.getTitle().getText();}};
a.prototype.getScrollLeft=function(){var s=0;if(this._oScrollDomRef){if(sap.ui.getCore().getConfiguration().getRTL()){s=q(this._oScrollDomRef).scrollLeftRTL();}else{s=q(this._oScrollDomRef).scrollLeft();}this.setProperty("scrollLeft",s,true);}return s;};
a.prototype.setScrollLeft=function(p){this.setProperty("scrollLeft",p,true);if(this._oScrollDomRef){if(sap.ui.getCore().getConfiguration().getRTL()){q(this._oScrollDomRef).scrollLeftRTL(p);}else{q(this._oScrollDomRef).scrollLeft(p);}}return this;};
a.prototype.getScrollTop=function(){var s=0;if(this._oScrollDomRef){s=Math.ceil(this._oScrollDomRef.scrollTop);this.setProperty("scrollTop",s,true);}return s;};
a.prototype.setScrollTop=function(p){this.setProperty("scrollTop",p,true);if(this._oScrollDomRef){this._oScrollDomRef.scrollTop=p;}return this;};
a.prototype.setDimensions=function(w,h){this.setWidth(w);this.setHeight(h);return this;};
a.prototype.setWidth=function(w){this.setProperty("width",w,true);var d=this.getDomRef();if(d){d.style.width=w;}return this;};
a.prototype.setHeight=function(h){this.setProperty("height",h,true);var d=this.getDomRef();if(d){d.style.height=h;}return this;};
a.prototype.onclick=function(e){this._handleTrigger(e);};
a.prototype.onsapspace=function(e){this._handleTrigger(e);};
a.prototype._handleTrigger=function(e){var i=this.getId();if((e.target.id===i+"-collArrow")||(e.target.id===i+"-collIco")||(e.target.id===i&&e.type==="sapspace"&&this.getShowCollapseIcon())){this.setCollapsed(!this.getProperty("collapsed"));e.preventDefault();e.stopPropagation();this.fireEvent("collapsedToggled");}};
return a;},true);
sap.ui.predefine('sap/ui/commons/PanelRenderer',['jquery.sap.global'],function(q){"use strict";var P=function(){};
P.render=function(r,c){var a=c.getId();var b=sap.ui.getCore().getConfiguration().getAccessibility();var h=sap.ui.commons.Panel._isSizeSet(c.getHeight());var w=sap.ui.commons.Panel._isSizeSet(c.getWidth());c.getScrollTop();c.getScrollLeft();r.write("<section");r.writeControlData(c);r.addClass("sapUiPanel");r.addStyle("width",c.getWidth());if(!c.getCollapsed()){r.addStyle("height",c.getHeight());}else{r.addClass("sapUiPanelColl");r.addStyle("height","auto");}if(h){r.addClass("sapUiPanelHeightSet");}if(w){r.addClass("sapUiPanelWidthSet");}if(c.getApplyContentPadding()){r.addClass("sapUiPanelWithPadding");}if(!c.getEnabled()){r.addClass("sapUiPanelDis");}if(c.getShowCollapseIcon()){r.addClass("sapUiPanelWithCollapseIcon");}r.addClass("sapUiPanelBorderDesign"+c.getBorderDesign());r.addClass("sapUiPanelAreaDesign"+c.getAreaDesign());r.writeClasses();r.writeStyles();if(b){r.writeAttribute("aria-labelledby",a+"-title ");r.writeAttribute("aria-describedby",a+"-acc");r.writeAttribute("role","region");if(c.getCollapsed()){r.writeAttribute("aria-expanded","false");}else{r.writeAttribute("aria-expanded","true");}r.writeAttribute("tabindex","0");}var t=c.getTooltip_AsString();if(t){r.writeAttributeEscaped("title",t);}r.write("><header id='"+a+"-hdr'");r.addClass("sapUiPanelHdr");var T=c.getTitle();var s;var l=sap.ui.core.TitleLevel.H5;var e=true;if(T){s=T.getTooltip_AsString();if(s){r.writeAttributeEscaped("title",s);}if(T.getLevel()!=sap.ui.core.TitleLevel.Auto){l=T.getLevel();e=T.getEmphasized();}}if(e){r.addClass("sapUiPanelHdrEmph");}r.writeClasses();r.write(">");if(c.getShowCollapseIcon()&&b){r.write("<span id=\""+a+"-acc\" style=\"display:none;\">");r.writeEscaped(c._rb.getText("PANEL_HEAD_ACC"));r.write("</span>");}var C=c._rb.getText(c.getCollapsed()?"PANEL_EXPAND":"PANEL_COLLAPSE");if(c.getShowCollapseIcon()){r.write("<a id='"+a+"-collArrow' class='sapUiPanelHdrItem sapUiPanelCollArrow' href='#' tabindex='0' title='"+C+"'");if(b){r.writeAttribute("role","button");}r.write(">&nbsp;</a>");}if(T&&T.getIcon()){var I=T.getIcon();var d=[];var A={};A["id"]=a+"-ico";A["title"]=null;d.push("sapUiPanelIco");d.push("sapUiPanelHdrItem");d.push("sapUiTv"+l);r.writeIcon(I,d,A);}var f=q.sap.encodeHTML(c.getText());if(!f){f="&nbsp;";}r.write("<"+l+" ");r.addClass("sapUiTv"+l);r.write(" id='"+a+"-title' ");r.addClass("sapUiPanelHdrItem");r.addClass("sapUiPanelTitle");r.writeClasses();if(b){r.writeAttribute("role","heading");}r.write(">");r.write(f);r.write("</"+l+">");var B=c.getButtons();if(B&&(B.length>0)){r.write("<div id='"+a+"-tb' class='sapUiPanelHdrItem sapUiPanelTb sapUiTbDesignFlat'>");for(var i=0;i<B.length;i++){r.renderControl(B[i]);}r.write("</div>");}if(c.getShowCollapseIcon()){r.write("<a id='"+a+"-collIco' class='sapUiPanelHdrRightItem sapUiPanelCollIco' href='#' tabindex='0' title='"+C+"'");if(b){r.writeAttribute("role","button");}r.write(">&nbsp;</a>");}r.write("</header>");if(!c.getCollapsed()){r.write("<div class='sapUiPanelCont' id='",a,"-cont'>");var o=c.getContent(),L=o.length;for(var i=0;i<L;i++){r.renderControl(o[i]);}r.write("</div>");}r.write("</section>");};
return P;},true);
sap.ui.predefine('sap/ui/commons/PasswordField',['jquery.sap.global','./TextField','./library',"./PasswordFieldRenderer"],function(q,T,l,P){"use strict";
var a=T.extend("sap.ui.commons.PasswordField",{metadata:{library:"sap.ui.commons"}});
a.prototype.onfocusin=function(e){T.prototype.onfocusin.apply(this,arguments);if(!sap.ui.Device.support.input.placeholder&&this.getPlaceholder()){q(this.getInputDomRef()).attr("type","password");}};
a.prototype.onsapfocusleave=function(e){if(!sap.ui.Device.support.input.placeholder&&this.getPlaceholder()){var i=q(this.getInputDomRef());if(!i.val()){i.removeAttr("type");}}T.prototype.onsapfocusleave.apply(this,arguments);};
return a;},true);
sap.ui.predefine('sap/ui/commons/PasswordFieldRenderer',['jquery.sap.global','./TextFieldRenderer'],function(q,T){"use strict";var P=sap.ui.core.Renderer.extend(T);
P.renderInnerAttributes=function(r,p){if(sap.ui.Device.support.input.placeholder||p.getValue()||!p.getPlaceholder()){r.writeAttribute('type','password');}};
P.renderTextFieldEnabled=function(r,p){if(!p.getEnabled()&&!p.getEditable()){r.writeAttribute('readonly','readonly');r.writeAttribute('tabindex','-1');}else{r.writeAttribute('tabindex','0');}};
P.setEnabled=function(p,e){var t=p.getDomRef();if(e){if(p.getEditable()){q(t).removeClass('sapUiTfDsbl').addClass('sapUiTfStd');q(t).removeAttr('readonly').attr('tabindex','0');}else{q(t).removeClass('sapUiTfDsbl').addClass('sapUiTfRo');q(t).attr('tabindex','0');}}else{if(p.getEditable()){q(t).removeClass('sapUiTfStd').addClass('sapUiTfDsbl');q(t).attr('readonly','readonly').attr('tabindex','-1');}else{q(t).removeClass('sapUiTfRo').addClass('sapUiTfDsbl');q(t).attr('tabindex','-1');}}};
return P;},true);
sap.ui.predefine('sap/ui/commons/ProgressIndicator',['jquery.sap.global','./library','sap/ui/core/Control',"./ProgressIndicatorRenderer"],function(q,l,C,P){"use strict";
var a=C.extend("sap.ui.commons.ProgressIndicator",{metadata:{library:"sap.ui.commons",properties:{enabled:{type:"boolean",group:"Behavior",defaultValue:true},barColor:{type:"sap.ui.core.BarColor",group:"Appearance",defaultValue:sap.ui.core.BarColor.NEUTRAL},displayValue:{type:"string",group:"Appearance",defaultValue:'0%'},percentValue:{type:"int",group:"Data",defaultValue:0},showValue:{type:"boolean",group:"Appearance",defaultValue:true},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'}}}});
a.prototype.onclick=function(e){this.focus();};
a.prototype.onselectstart=function(e){return false;};
a.prototype.setEndBar=function(){var w=this.getPercentValue();var b;var B=this.getBarColor();var t;this.oBar=this.getDomRef("bar");this.oEnd=this.getDomRef("end");this.oBox=this.getDomRef("box");q(this.oEnd).removeClass('sapUiProgIndEndHidden');q(this.oEnd).addClass(this._getProgIndTypeClass(B));if(w>100){b=(10000/w)+'%';}else{b='100%';}if(w>100){t=(w-100)*20;}else{t=(100-w)*20;}q(this.oBox).animate({width:b},0,'linear');if(this.bRtl){q(this.oEnd).animate({right:b},t,'linear');}else{q(this.oEnd).animate({left:b},t,'linear');}q(this.oBar).animate({width:w+'%'},t,'linear');if(!this.oThis){this.oThis=this.$();}this.oThis.attr('aria-valuenow',w+'%');};
a.prototype.setEndBarGoesBack=function(p){var w=this.getPercentValue();var b;var B=this.getBarColor();var t;this.oBar=this.getDomRef("bar");this.oEnd=this.getDomRef("end");this.oBox=this.getDomRef("box");if(p>100){b=(10000/p)+'%';}else{b='100%';}q(this.oEnd).removeClass(this._getProgIndTypeClass(B));q(this.oEnd).addClass('sapUiProgIndEndHidden');if(w>100){t=(w-100)*20;}else{t=(100-w)*20;}q(this.oBox).animate({width:b},0,'linear');if(this.bRtl){q(this.oEnd).animate({right:b},t,'linear');}else{q(this.oEnd).animate({left:b},t,'linear');}q(this.oBar).animate({width:w+'%'},t,'linear');if(!this.oThis){this.oThis=this.$();}this.oThis.attr('aria-valuenow',w+'%');};
a.prototype.setPercentValue=function(p){var w=this.getPercentValue();var b;this.oBar=this.getDomRef("bar");this.oEnd=this.getDomRef("end");this.oBox=this.getDomRef("box");var t=this;var c;if(p<0){p=0;}if(p>100){b=(10000/p)+'%';}else{b='100%';}if(!this.oBar){c=p*20;this.setProperty('percentValue',p,true);q(this.oBar).animate({width:p+'%'},c,'linear');return this;}if(p>100&&w<=100){c=(100-w)*20;this.setProperty('percentValue',p,true);q(this.oBar).animate({width:'100%'},c,'linear',function(){t.setEndBar();});}else if(p<=100&&w>100){c=(w-100)*20;this.setProperty('percentValue',p,true);q(this.oBar).animate({width:'100%'},c,'linear',function(){t.setEndBarGoesBack();});}else if(p>100&&w>100){if(p>w){c=(p-w)*20;}else{c=(w-p)*20;}b=(10000/p)+'%';this.setProperty('percentValue',p,true);q(this.oBox).animate({width:b},0,'linear');if(this.bRtl){q(this.oEnd).animate({right:b},c,'linear');}else{q(this.oEnd).animate({left:b},c,'linear');}q(this.oBar).animate({width:p+'%'},c,'linear',function(){});if(!this.oThis){this.oThis=this.$();}this.oThis.attr('aria-valuenow',p+'%');}else{if(p>w){c=(p-w)*20;}else{c=(w-p)*20;}this.setProperty('percentValue',p,true);q(this.oBar).animate({width:p+'%'},c,'linear');if(!this.oThis){this.oThis=this.$();}this.oThis.attr('aria-valuenow',p+'%');}return this;};
a.prototype._getProgIndTypeClass=function(b){switch(b){case"POSITIVE":return'sapUiProgIndPosEnd';case"NEGATIVE":return'sapUiProgIndNegEnd';case"CRITICAL":return'sapUiProgIndCritEnd';case"NEUTRAL":return'sapUiProgIndEnd';default:return'sapUiProgIndEnd';}};
a.prototype.getAccessibilityInfo=function(){var b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");return{role:"progressbar",type:b.getText("ACC_CTR_TYPE_PROGRESS"),description:b.getText("ACC_CTR_STATE_PROGRESS",[this.getPercentValue()]),focusable:this.getEnabled(),enabled:this.getEnabled()};};
return a;},true);
sap.ui.predefine('sap/ui/commons/ProgressIndicatorRenderer',['jquery.sap.global'],function(q){"use strict";var P={};
P.render=function(r,p){var w=p.getWidth(),a=p.getPercentValue(),t=p.getTooltip_AsString(),d=p.getDisplayValue(),b;p.bRtl=sap.ui.getCore().getConfiguration().getRTL();if(a>100){b=(10000/a)+'%';}else{b='100%';}r.write('<DIV');r.writeControlData(p);r.writeAttribute('tabIndex','0');if(sap.ui.getCore().getConfiguration().getAccessibility()){r.writeAccessibilityState(p,{role:'progressbar',valuemin:'0%',valuenow:a+'%',valuemax:'100%'});}if(d){r.writeAttributeEscaped('aria-valuetext',d);}if(t){r.writeAttributeEscaped('title',t);}if(p.getWidth()&&p.getWidth()!==''){r.writeAttribute('style','height: 16px; width:'+w+';');}r.addClass('sapUiProgInd');r.writeClasses();r.write('>');r.write('<DIV');r.writeAttribute('id',p.getId()+'-box');if(p.getWidth()&&p.getWidth()!==''){r.writeAttribute('style','height: 16px; width:'+b+';');}r.addClass('sapUiProgIndBorder');r.writeClasses();r.write('>');r.write('<DIV');r.writeAttribute('id',p.getId()+'-bar');r.writeAttribute('style','height: 14px; width:'+p.getPercentValue()+'%;');var B=p.getBarColor();switch(B){case"POSITIVE":r.addClass('sapUiProgIndBarPos');break;case"NEGATIVE":r.addClass('sapUiProgIndBarNeg');break;case"CRITICAL":r.addClass('sapUiProgIndBarCrit');break;case"NEUTRAL":r.addClass('sapUiProgIndBar');break;default:r.addClass('sapUiProgIndBar');break;}r.writeClasses();r.write('>');r.write('<DIV');r.writeAttribute('id',p.getId()+'-end');if(a>100){r.addClass(p._getProgIndTypeClass(B));}else{r.addClass('sapUiProgIndEndHidden');}r.writeClasses();if(p.bRtl){r.writeAttribute('style','position: relative; right:'+b);}else{r.writeAttribute('style','position: relative; left:'+b);}r.write('>');r.write('</DIV>');r.write('<SPAN');r.addClass('sapUiProgIndFont');r.writeClasses();r.write('>');if(p.getShowValue()&&p.getShowValue()){if(p.getDisplayValue()&&p.getDisplayValue()!==''){r.writeEscaped(p.getDisplayValue());}}r.write('</SPAN>');r.write('</DIV>');r.write('</DIV>');r.write('</DIV>');};
return P;},true);
sap.ui.predefine('sap/ui/commons/RadioButton',['jquery.sap.global','./library','sap/ui/core/Control',"./RadioButtonRenderer"],function(q,l,C,R){"use strict";
var a=C.extend("sap.ui.commons.RadioButton",{metadata:{interfaces:["sap.ui.core.IFormContent"],library:"sap.ui.commons",properties:{text:{type:"string",group:"Data",defaultValue:null},enabled:{type:"boolean",group:"Behavior",defaultValue:true},editable:{type:"boolean",group:"Behavior",defaultValue:true},selected:{type:"boolean",group:"Data",defaultValue:false},valueState:{type:"sap.ui.core.ValueState",group:"Data",defaultValue:sap.ui.core.ValueState.None},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:sap.ui.core.TextDirection.Inherit},groupName:{type:"string",group:"Behavior",defaultValue:'sapUiRbDefaultGroup'},key:{type:"string",group:"Data",defaultValue:null}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{select:{}}}});
a.prototype.init=function(){this._changeGroupName(this.getGroupName());};
a.prototype.exit=function(){var g=this.getGroupName(),G=this._groupNames[g];G.splice(G.indexOf(this),1);};
a.prototype.onclick=function(e){if(this.getEnabled()&&e.target.id==(this.getId()+"-RB")){this.focus();}if(!!sap.ui.Device.browser.internet_explorer&&(!this.getEnabled())){this.$().attr("tabindex",0).toggleClass("sapUiRbFoc");}this.userSelect(e);};
a.prototype._groupNames={};
a.prototype.onsapspace=function(e){if(this.getEnabled()&&e.target.id==(this.getId()+"-RB")){this.focus();}this.userSelect(e);};
a.prototype.onsaptabnext=function(e){if(!!sap.ui.Device.browser.internet_explorer){this.bTabPressed=true;var t=this;window.setTimeout(function(){t.bTabPressed=false;},100);}};
a.prototype.onfocusin=function(e){if(this.getEnabled()&&e.target.id==(this.getId()+"-RB")){if(this.bTabPressed){var f=q(":sapFocusable"),F=false;for(var i=0;i<f.length;i++){if(F&&f[i].parentNode!=e.target&&f[i].tabIndex!="-1"){f[i].focus();e.preventDefault();break;}if(e.target==f[i]){F=true;}}}else{this.focus();}}};
a.prototype.onfocusout=function(e){if(!!sap.ui.Device.browser.internet_explorer&&(!this.getEnabled())){this.$().attr("tabindex",-1).toggleClass("sapUiRbFoc");}};
a.prototype.userSelect=function(e){if(this.getEnabled()&&this.getEditable()){var s=this.getSelected();if(!s){this.setSelected(true);this.fireSelect({});}}else{e.preventDefault();}};
a.prototype.setSelected=function(s){var c,S=this.getSelected(),g=this.getGroupName(),b=this._groupNames[g],L=b&&b.length;this.setProperty("selected",s,true);if(s&&g&&g!==""){for(var i=0;i<L;i++){c=b[i];if(c instanceof a&&c!==this&&c.getSelected()){c.setSelected(false);}}}if((S!=s)&&this.getDomRef()&&this.getRenderer().setSelected){this.getRenderer().setSelected(this,s);}return this;};
a.prototype.setGroupName=function(g){g=this.validateProperty("groupName",g);this._changeGroupName(g,this.getGroupName());return this.setProperty("groupName",g,false);};
a.prototype.getTooltipDomRefs=function(){return this.getDomRef().children;};
a.prototype._changeGroupName=function(n,o){var N=this._groupNames[n],O=this._groupNames[o];if(!N){N=this._groupNames[n]=[];}if(N.indexOf(this)===-1){N.push(this);}if(O&&O.indexOf(this)!==-1){O.splice(O.indexOf(this),1);}};
return a;},true);
sap.ui.predefine('sap/ui/commons/RadioButtonGroup',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/delegate/ItemNavigation',"./RadioButtonGroupRenderer"],function(q,l,C,I,R){"use strict";
var a=C.extend("sap.ui.commons.RadioButtonGroup",{metadata:{interfaces:["sap.ui.core.IFormContent"],library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},columns:{type:"int",group:"Appearance",defaultValue:1},editable:{type:"boolean",group:"Behavior",defaultValue:true},valueState:{type:"sap.ui.core.ValueState",group:"Data",defaultValue:sap.ui.core.ValueState.None},selectedIndex:{type:"int",group:"Data",defaultValue:0},enabled:{type:"boolean",group:"Behavior",defaultValue:true}},defaultAggregation:"items",aggregations:{items:{type:"sap.ui.core.Item",multiple:true,singularName:"item",bindable:"bindable"}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{select:{parameters:{selectedIndex:{type:"int"}}}}}});
a.prototype.exit=function(){this.destroyItems();if(this.oItemNavigation){this.removeDelegate(this.oItemNavigation);this.oItemNavigation.destroy();delete this.oItemNavigation;}};
a.prototype.onBeforeRendering=function(){if(this.getSelectedIndex()>this.getItems().length){q.sap.log.warning("Invalid index, set to 0");this.setSelectedIndex(0);}};
a.prototype.onAfterRendering=function(){this.initItemNavigation();for(var i=0;i<this.aRBs.length;i++){this.aRBs[i].getDomRef().setAttribute("aria-posinset",i+1);this.aRBs[i].getDomRef().setAttribute("aria-setsize",this.aRBs.length);}};
a.prototype.initItemNavigation=function(){var d=[];this._aActiveItems=[];var A=this._aActiveItems;var e=false;for(var i=0;i<this.aRBs.length;i++){A[d.length]=i;d.push(this.aRBs[i].getDomRef());if(!e&&this.aRBs[i].getEnabled()){e=true;}}if(e){e=this.getEnabled();}if(!e){if(this.oItemNavigation){this.removeDelegate(this.oItemNavigation);this.oItemNavigation.destroy();delete this.oItemNavigation;}return;}if(!this.oItemNavigation){this.oItemNavigation=new I();this.oItemNavigation.attachEvent(I.Events.AfterFocus,this._handleAfterFocus,this);this.addDelegate(this.oItemNavigation);}this.oItemNavigation.setRootDomRef(this.getDomRef());this.oItemNavigation.setItemDomRefs(d);this.oItemNavigation.setCycling(true);this.oItemNavigation.setColumns(this.getColumns());this.oItemNavigation.setSelectedIndex(this.getSelectedIndex());this.oItemNavigation.setFocusedIndex(this.getSelectedIndex());};
a.prototype.setSelectedIndex=function(s){var i=this.getSelectedIndex();if(s<0){q.sap.log.warning("Invalid index, will not be changed");return this;}this.setProperty("selectedIndex",s,true);if(!isNaN(i)&&this.aRBs&&this.aRBs[i]){this.aRBs[i].setSelected(false);}if(this.aRBs&&this.aRBs[s]){this.aRBs[s].setSelected(true);}if(this.oItemNavigation){this.oItemNavigation.setSelectedIndex(s);this.oItemNavigation.setFocusedIndex(s);}return this;};
a.prototype.setSelectedItem=function(s){for(var i=0;i<this.getItems().length;i++){if(s.getId()==this.getItems()[i].getId()){this.setSelectedIndex(i);break;}}};
a.prototype.getSelectedItem=function(){return this.getItems()[this.getSelectedIndex()];};
a.prototype.addItem=function(i){this.myChange=true;this.addAggregation("items",i);i.attachEvent("_change",this._handleItemChanged,this);this.myChange=undefined;if(!this._bUpdateItems){if(this.getSelectedIndex()===undefined){this.setSelectedIndex(0);}}if(!this.aRBs){this.aRBs=[];}var b=this.aRBs.length;this.aRBs[b]=this.createRadioButton(i,b);return this;};
a.prototype.insertItem=function(o,b){this.myChange=true;this.insertAggregation("items",o,b);o.attachEvent("_change",this._handleItemChanged,this);this.myChange=undefined;if(!this.aRBs){this.aRBs=[];}var L=this.aRBs.length;if(!this._bUpdateItems){if(this.getSelectedIndex()===undefined||L==0){this.setSelectedIndex(0);}else if(this.getSelectedIndex()>=b){this.setProperty("selectedIndex",this.getSelectedIndex()+1,true);}}if(b>=L){this.aRBs[b]=this.createRadioButton(o,b);}else{for(var i=(L);i>b;i--){this.aRBs[i]=this.aRBs[i-1];if((i-1)==b){this.aRBs[i-1]=this.createRadioButton(o,b);}}}return this;};
a.prototype.createRadioButton=function(i,b){if(this.iIDCount==undefined){this.iIDCount=0;}else{this.iIDCount++;}var r=new sap.ui.commons.RadioButton(this.getId()+"-"+this.iIDCount);r.setText(i.getText());r.setTooltip(i.getTooltip());if(this.getEnabled()){r.setEnabled(i.getEnabled());}else{r.setEnabled(false);}r.setKey(i.getKey());r.setTextDirection(i.getTextDirection());r.setEditable(this.getEditable());r.setGroupName(this.getId());r.setValueState(this.getValueState());r.setParent(this);if(b==this.getSelectedIndex()){r.setSelected(true);}r.attachEvent('select',this.handleRBSelect,this);return r;};
a.prototype.removeItem=function(e){var i=e;if(typeof(e)=="string"){e=sap.ui.getCore().byId(e);}if(typeof(e)=="object"){i=this.indexOfItem(e);}this.myChange=true;var o=this.removeAggregation("items",i);o.detachEvent("_change",this._handleItemChanged,this);this.myChange=undefined;if(!this.aRBs){this.aRBs=[];}if(!this.aRBs[i]){return null;}this.aRBs[i].destroy();this.aRBs.splice(i,1);if(!this._bUpdateItems){if(this.aRBs.length==0){this.setSelectedIndex(undefined);}else if(this.getSelectedIndex()==i){this.setSelectedIndex(0);}else if(this.getSelectedIndex()>i){this.setProperty("selectedIndex",this.getSelectedIndex()-1,true);}}return o;};
a.prototype.removeAllItems=function(){this.myChange=true;var b=this.removeAllAggregation("items");for(var i=0;i<b.length;i++){b[i].detachEvent("_change",this._handleItemChanged,this);}this.myChange=undefined;if(!this._bUpdateItems){this.setSelectedIndex(undefined);}if(this.aRBs){while(this.aRBs.length>0){this.aRBs[0].destroy();this.aRBs.splice(0,1);}return b;}else{return null;}};
a.prototype.destroyItems=function(){this.myChange=true;var b=this.getItems();for(var i=0;i<b.length;i++){b[i].detachEvent("_change",this._handleItemChanged,this);}this.destroyAggregation("items");this.myChange=undefined;if(!this._bUpdateItems){this.setSelectedIndex(undefined);}if(this.aRBs){while(this.aRBs.length>0){this.aRBs[0].destroy();this.aRBs.splice(0,1);}}return this;};
a.prototype.updateItems=function(){var s=this.getSelectedIndex();this._bUpdateItems=true;this.updateAggregation("items");this._bUpdateItems=undefined;var i=this.getItems();if(s===undefined&&i.length>0){this.setSelectedIndex(0);}else if(s>=0&&i.length==0){this.setSelectedIndex(undefined);}else if(s>=i.length){this.setSelectedIndex(i.length-1);}};
a.prototype.clone=function(){var b=this.getItems();var i=0;for(i=0;i<b.length;i++){b[i].detachEvent("_change",this._handleItemChanged,this);}var c=C.prototype.clone.apply(this,arguments);for(i=0;i<b.length;i++){b[i].attachEvent("_change",this._handleItemChanged,this);}return c;};
a.prototype.handleRBSelect=function(c){for(var i=0;i<this.aRBs.length;i++){if(this.aRBs[i].getId()==c.getParameter("id")){this.setSelectedIndex(i);this.oItemNavigation.setSelectedIndex(i);this.oItemNavigation.setFocusedIndex(i);this.fireSelect({selectedIndex:i});break;}}};
a.prototype.setEditable=function(e){this.setProperty("editable",e,false);if(this.aRBs){for(var i=0;i<this.aRBs.length;i++){this.aRBs[i].setEditable(e);}}return this;};
a.prototype.setEnabled=function(e){this.setProperty("enabled",e,false);if(this.aRBs){for(var i=0;i<this.aRBs.length;i++){this.aRBs[i].setEnabled(e);}}return this;};
a.prototype.setValueState=function(v){this.setProperty("valueState",v,false);if(this.aRBs){for(var i=0;i<this.aRBs.length;i++){this.aRBs[i].setValueState(v);}}return this;};
a.prototype._handleAfterFocus=function(c){var i=c.getParameter("index");var e=c.getParameter("event");if(i!=this.getSelectedIndex()&&!(e.ctrlKey||e.metaKey)&&this.aRBs[i].getEditable()&&this.aRBs[i].getEnabled()){this.setSelectedIndex(i);this.oItemNavigation.setSelectedIndex(i);this.fireSelect({selectedIndex:i});}};
a.prototype._handleItemChanged=function(e){var o=e.oSource;var p=e.getParameter("name");var s=e.getParameter("newValue");var b=this.getItems();var r;for(var i=0;i<b.length;i++){if(b[i]==o){if(this.aRBs[i]){r=this.aRBs[i];}break;}}switch(p){case"text":r.setText(s);break;case"tooltip":r.setTooltip(s);break;case"enabled":if(this.getEnabled()){r.setEnabled(s);}break;case"key":r.setKey(s);break;case"textDirection":r.setTextDirection(s);break;default:break;}};
return a;},true);
sap.ui.predefine('sap/ui/commons/RadioButtonGroupRenderer',[],function(){"use strict";var R={};
R.render=function(r,o){var a=r;if(!o.aRBs){return;}var C=o.getColumns();var e=o.getEnabled();if(e){var I=o.getItems();e=false;for(var i=0;i<I.length;i++){if(I[i].getEnabled()){e=true;break;}}}a.write("<DIV");a.writeControlData(o);a.addClass("sapUiRbG");if(C>1){if(C==o.aRBs.length){a.addClass("sapUiRbG1Row");}else{a.addClass("sapUiRbGTab");if(o.getWidth()&&o.getWidth()!=''){a.addClass("sapUiRbGTabFlex");}}}if(o.getWidth()&&o.getWidth()!=''){a.addStyle("width",o.getWidth());}if(o.getTooltip_AsString()){a.writeAttributeEscaped("title",o.getTooltip_AsString());}if(e){a.writeAttribute('tabindex','0');}else{a.writeAttribute('tabindex','-1');}a.writeAccessibilityState(o,{role:"radiogroup",invalid:o.getValueState()==sap.ui.core.ValueState.Error,disabled:!o.getEditable()});a.writeClasses();a.writeStyles();a.write(">");for(var c=0;c<C;c++){if(C>1&&C!=o.aRBs.length){a.write("<DIV");a.addClass("sapUiRbGCol");a.writeClasses();a.write(">");}for(var i=c;i<o.aRBs.length;i=i+C){a.renderControl(o.aRBs[i]);}if(C>1&&C!=o.aRBs.length){a.write("</DIV>");}}if(C>1&&C!=o.aRBs.length){a.write('<DIV class="sapUiRbGDummy"> </DIV>');}a.write("</DIV>");};
return R;},true);
sap.ui.predefine('sap/ui/commons/RadioButtonRenderer',['jquery.sap.global','sap/ui/core/ValueStateSupport'],function(q,V){"use strict";var R={};
R.render=function(r,o){var i=o.getId();var t=o.getTooltip_AsString();r.addClass("sapUiRb");r.write("<span");r.writeControlData(o);r.writeAccessibilityState(o,{role:"radio",checked:o.getSelected()===true,invalid:o.getValueState()==sap.ui.core.ValueState.Error,disabled:!o.getEditable(),labelledby:i+"-label",describedby:t?i+"-Descr":undefined});var e=o.getEnabled()!=null&&o.getEnabled();var a=o.getEditable()!=null&&o.getEditable();var b=false;var c=false;if(o.getValueState()!=null){b=sap.ui.core.ValueState.Error==o.getValueState();c=sap.ui.core.ValueState.Warning==o.getValueState();}if(o.getSelected()){r.addClass("sapUiRbSel");}var m=0;var d=false;if(!e){m=-1;d=true;r.addClass("sapUiRbDis");}if(!a){d=true;r.addClass("sapUiRbRo");}if(b){r.addClass("sapUiRbErr");}else if(c){r.addClass("sapUiRbWarn");}if(e&&a&&!b&&!c){r.addClass("sapUiRbStd");}if(e&&a){r.addClass("sapUiRbInteractive");}r.writeClasses();if(o.getWidth()&&o.getWidth()!=''){r.writeAttribute("style","width:"+o.getWidth()+";");}r.writeAttribute("tabIndex",m);var f=V.enrichTooltip(o,t?t:o.getText());if(f){r.writeAttributeEscaped("title",f);}r.write(">");r.write("<input type='radio' tabindex='-1' id='");r.write(i);r.write("-RB' name=\"");r.writeEscaped(o.getGroupName());r.write("\" ");if(o.getSelected()){r.write(" checked='checked'");}if(!e){r.write(" disabled='disabled'");}if(d){r.write(" readonly='readonly'");r.write(" disabled='disabled'");}if(o.getKey()){r.writeAttributeEscaped("value",o.getKey());}r.write(" />");r.write("<label id=\""+i+"-label\"");r.writeAttribute("for",i+"-RB");if(!o.getText()){r.write(" class=\"sapUiRbNoText\"");}r.write(">");if(o.getText()){this.renderText(r,o.getText(),o.getTextDirection());}r.write("</label>");if(t){r.write("<span id=\""+i+"-Descr\" style=\"visibility: hidden; display: none;\">");r.writeEscaped(t);r.write("</span>");}r.write("</span>");};
R.renderText=function(r,t,e){var a=r;if(!e||e==sap.ui.core.TextDirection.Inherit){a.writeEscaped(t);}else{a.write("<span style=\"direction:"+e.toLowerCase()+";\">");a.writeEscaped(t);a.write("</span>");}};
R.setSelected=function(r,s){r.$().toggleClass('sapUiRbSel',s).attr('aria-checked',s);var d=r.getDomRef("RB");if(s){d.checked=true;d.setAttribute('checked','checked');}else{d.checked=false;d.removeAttribute('checked');}};
return R;},true);
sap.ui.predefine('sap/ui/commons/RangeSlider',['jquery.sap.global','./Slider','./library',"./RangeSliderRenderer"],function(q,S,l,R){"use strict";
var a=S.extend("sap.ui.commons.RangeSlider",{metadata:{library:"sap.ui.commons",properties:{value2:{type:"float",group:"Appearance",defaultValue:80}}}});
a.prototype.onAfterRendering=function(){this.oGrip2=this.getDomRef("grip2");S.prototype.onAfterRendering.apply(this);var v=this.getValue();var V=this.getValue2();if(V>=this.getMax()){V=this.getMax();}else if(V<v){V=v;}var n=(V-this.getMin())/(this.getMax()-this.getMin())*this.getBarWidth();if(this.bRtl||this.getVertical()){n=this.getBarWidth()-n;}this.changeGrip(V,n,this.oGrip2);};
a.prototype.onresize=function(e){var n=this.getValue2();var N=(n-this.getMin())/(this.getMax()-this.getMin())*this.getBarWidth();if(this.bRtl||this.getVertical()){N=this.getBarWidth()-N;}this.changeGrip(n,N,this.oGrip2);S.prototype.onresize.apply(this,arguments);};
a.prototype.onfocusin=function(e){this.oMovingGrip=e.target;};
a.prototype.onsaphome=function(e){if(this.getEditable()&&this.getEnabled()){var n=0;var N=0;if(this.oMovingGrip==this.oGrip){n=this.getMin();if(this.getVertical()||(this.bRtl&&!this.getVertical())){N=this.getBarWidth();}}else if(this.oMovingGrip==this.oGrip2){n=this.getValue();N=this.getOffsetLeft(this.oGrip)+this.iShiftGrip;}this.changeGrip(n,N,this.oMovingGrip);this.handleFireChange();}e.preventDefault();e.stopPropagation();};
a.prototype.onsapend=function(e){if(this.getEditable()&&this.getEnabled()){var n=0;var N=0;if(this.oMovingGrip==this.oGrip){n=this.getValue2();N=this.getOffsetLeft(this.oGrip2)+this.iShiftGrip;}else if(this.oMovingGrip==this.oGrip2){n=this.getMax();if(this.getVertical()||(this.bRtl&&!this.getVertical())){N=0;}else{N=this.getBarWidth();}}this.changeGrip(n,N,this.oMovingGrip);this.handleFireChange();}e.preventDefault();e.stopPropagation();};
a.prototype.fireLiveChangeForGrip=function(g,n,o){if(g==this.oGrip){if(o!=n){this.fireLiveChange({value:n,value2:this.getValue2()});}}else if(g==this.oGrip2){if(o!=n){this.fireLiveChange({value2:n,value:this.getValue()});}}};
a.prototype.adjustHighlightBar=function(n,g){if(n<0||isNaN(n)){n=0;}var p=this.getOffsetLeft(this.oGrip)+this.iShiftGrip;var P=this.getOffsetLeft(this.oGrip2)+this.iShiftGrip;var w;if(this.getVertical()){this.setLeft(P,this.oHiLi);this.setRight(this.getBarWidth()-p,this.oHiLi);w=Math.round(p-P);}else{if(this.bRtl){this.setLeft(P,this.oHiLi);this.setRight(this.getBarWidth()-p,this.oHiLi);}else{this.setLeft(p,this.oHiLi);this.setRight(this.getBarWidth()-P,this.oHiLi);}w=Math.abs(Math.round(P-p));}if(w<0){w=0;}this.setObjectWidth(w+'px',this.oHiLi);};
a.prototype.setRight=function(n,o){if(o==undefined){return;}if(this.getVertical()){o.style.bottom=n+'px';}else{o.style.right=n+'px';}};
a.prototype.updateValueProperty=function(n,g){if(g==this.oGrip){this.setProperty('value',n,true);}else{this.setProperty('value2',n,true);}};
a.prototype.setValue=function(v){this.setProperty('value',v,true);this._oldValue1=v;if(isNaN(v)){return this;}if(!this.oBar){return this;}var n=parseFloat(v);var N;if(n>=this.getValue2()){n=this.getValue2();N=this.getOffsetLeft(this.oGrip2)+this.iShiftGrip;if(this.bRtl&&!this.getVertical()){N=this.getBarWidth()-N;}}else if(n<=this.getMin()){n=this.getMin();if(this.getVertical()){N=this.getBarWidth();}else{N=0;}}else{N=(n-this.getMin())/(this.getMax()-this.getMin())*this.getBarWidth();}if(this.bRtl&&!this.getVertical()){N=this.getBarWidth()-N;}this.changeGrip(n,N,this.oGrip);this._oldValue1=n;return this;};
a.prototype.setValue2=function(v){this.setProperty('value2',v,true);this._oldValue2=v;if(isNaN(v)){return this;}if(!this.oBar){return this;}var n=parseFloat(v);var N;if(n>=this.getMax()){n=this.getMax();if(this.getVertical()){N=0;}else{N=this.getBarWidth();}}else if(n<=this.getValue()){n=this.getValue();N=this.getOffsetLeft(this.oGrip)+this.iShiftGrip;if(this.bRtl&&!this.getVertical()){N=this.getBarWidth()-N;}}else{N=(n-this.getMin())/(this.getMax()-this.getMin())*this.getBarWidth();}if(this.bRtl&&!this.getVertical()){N=this.getBarWidth()-N;}this.changeGrip(n,N,this.oGrip2);this._oldValue2=n;return this;};
a.prototype.getLeftGrip=function(){return this.oGrip;};
a.prototype.getRightGrip=function(){return this.oGrip2;};
a.prototype.getValueForGrip=function(g){if(g==this.oGrip){return this.getValue();}else{return this.getValue2();}};
a.prototype.validateNewPosition=function(n,N,g,m){if(!this.bRtl&&!this.getVertical()){if(g==this.oGrip){if(m){if(n<=this.getMin()||N<=0){n=this.getMin();N=0;}}else{if(n>=this.getValue2()){n=this.getValue2();N=this.getOffsetLeft(this.oGrip2)+this.iShiftGrip;}}}else{if(m){if(n<=this.getValue()){n=this.getValue();N=this.getOffsetLeft(this.oGrip)+this.iShiftGrip;}}else{if(n>=this.getMax()||N>=this.getBarWidth()){n=this.getMax();N=this.getBarWidth();}}}}else{if(g==this.oGrip){if(m){if(n<=this.getMin()||N>=this.getBarWidth()){n=this.getMin();N=this.getBarWidth();}}else{if(n>=this.getValue2()){n=this.getValue2();N=this.getOffsetLeft(this.oGrip2)+this.iShiftGrip;}}}else{if(m){if(n<=this.getValue()){n=this.getValue();N=this.getOffsetLeft(this.oGrip)+this.iShiftGrip;}}else{if(n>=this.getMax()||N<=0){n=this.getMax();N=0;}}}}this.oGrip.setAttribute('aria-valuemax',this.getValue2());this.oGrip2.setAttribute('aria-valuemin',this.getValue());return{fNewValue:n,iNewPos:N};};
a.prototype.handleMove=function(e){var d=Math.abs(this.getOffsetLeft(this.oGrip2)-this.getOffsetLeft(this.oGrip));if(!this.bRtl){if(this.oMovingGrip==this.oGrip2&&this.getValue2()==this.getMax()&&(d<2)){this.oMovingGrip=this.oGrip;this.oGrip.focus();}else if(this.oMovingGrip==this.oGrip&&this.getValue()==this.getMin()&&(d<2)){this.oMovingGrip=this.oGrip2;this.oGrip2.focus();}}else{if(this.oMovingGrip==this.oGrip&&this.getValue2()==this.getMin()&&(d<2)){this.oMovingGrip=this.oGrip2;this.oGrip2.focus();}else if(this.oMovingGrip==this.oGrip2&&this.getValue()==this.getMax()&&(d<2)){this.oMovingGrip=this.oGrip;this.oGrip.focus();}}S.prototype.handleMove.apply(this,[e]);};
a.prototype.handleFireChange=function(n){var v=this.getValue();var V=this.getValue2();if(v!==this._oldValue1||V!==this._oldValue2){this._oldValue1=v;this._oldValue2=V;this.fireChange({value2:V,value:v});if(!n){this.fireLiveChange({value:v,value2:V});}}};
a.prototype.getNearestGrip=function(o){var m;var d=0;var D=0;if(this.getVertical()){d=Math.abs(o-this.getOffsetLeft(this.oGrip2));D=Math.abs(this.getOffsetLeft(this.oGrip)-o);if(d==D){if(o>D){m=this.oGrip;}else{m=this.oGrip2;}}else if(d>=D){m=this.oGrip;}else{m=this.oGrip2;}}else{d=Math.abs(o-this.getOffsetLeft(this.oGrip));D=Math.abs(this.getOffsetLeft(this.oGrip2)-o);if(d==D){if((o>D&&!this.bRtl)||(o<D&&this.bRtl)){m=this.oGrip2;}else{m=this.oGrip;}}else if(d<=D){m=this.oGrip;}else{m=this.oGrip2;}}return m;};
a.prototype.setObjectWidth=function(n,o){if(this.getVertical()){o.style.height=n;}else{o.style.width=n;}};
a.prototype.targetIsGrip=function(m){if(m==this.oGrip.id||m==this.oGrip2.id){return true;}return false;};
a.prototype.setAriaState=function(){S.prototype.setAriaState.apply(this);var v=this.getValue2();if(this.bTextLabels){v=this.getNearestLabel(v);}this.oGrip2.setAttribute('aria-valuenow',v);};
return a;},true);
sap.ui.predefine('sap/ui/commons/RangeSliderRenderer',['jquery.sap.global','./SliderRenderer','sap/ui/core/Renderer'],function(q,S,R){"use strict";var a=R.extend(S);
a.renderGrip=function(r,s){var b=r;b.write('<DIV');b.writeAttribute('id',s.getId()+'-grip');if(s.getEnabled()){b.writeAttribute('tabIndex','0');}else{b.writeAttribute('tabIndex','-1');}b.writeAttribute('class','sapUiSliGrip');b.writeAttribute('title',s.getValue());b.writeAccessibilityState(s,{role:'slider',controls:s.getId()+'-grip2',orientation:'horizontal',valuemin:s.getMin(),valuemax:s.getValue2(),live:'assertive',disabled:!s.getEditable()||!s.getEnabled(),describedby:s.getTooltip_AsString()?(s.getId()+'-Descr '+s.getAriaDescribedBy().join(" ")):undefined});b.write('>&#9650;</DIV>');b.write('<DIV');b.writeAttribute('id',s.getId()+'-grip2');if(s.getEnabled()){b.writeAttribute('tabIndex','0');}else{b.writeAttribute('tabIndex','-1');}b.writeAttribute('class','sapUiSliGrip');b.writeAttribute('title',s.getValue2());var o='horizontal';if(s.getVertical()){o='vertical';}b.writeAccessibilityState(s,{role:'slider',controls:s.getId()+'-grip',orientation:o,valuemin:s.getValue(),valuemax:s.getMax(),disabled:!s.getEditable()||!s.getEnabled(),describedby:s.getTooltip_AsString()?(s.getId()+'-Descr '+s.getAriaDescribedBy().join(" ")):undefined});b.write('>&#9650;</DIV>');};
a.controlAdditionalCode=function(r,s){r.addClass('sapUiRSli');};
return a;},true);
sap.ui.predefine('sap/ui/commons/RatingIndicator',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/theming/Parameters',"./RatingIndicatorRenderer"],function(q,l,C,P,R){"use strict";
var a=C.extend("sap.ui.commons.RatingIndicator",{metadata:{library:"sap.ui.commons",properties:{editable:{type:"boolean",group:"Behavior",defaultValue:true},maxValue:{type:"int",group:"Behavior",defaultValue:5},value:{type:"float",group:"Behavior",defaultValue:0,bindable:"bindable"},averageValue:{type:"float",group:"Behavior",defaultValue:0},iconSelected:{type:"sap.ui.core.URI",group:"Behavior",defaultValue:null},iconUnselected:{type:"sap.ui.core.URI",group:"Behavior",defaultValue:null},iconHovered:{type:"sap.ui.core.URI",group:"Behavior",defaultValue:null},visualMode:{type:"sap.ui.commons.RatingIndicatorVisualMode",group:"Behavior",defaultValue:sap.ui.commons.RatingIndicatorVisualMode.Half}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{change:{parameters:{value:{type:"int"}}}}}});
a.NoValue=-9999;
a.prototype.init=function(){this.iHoveredRating=-1;};
a.prototype.exit=function(){};
a.prototype.onThemeChanged=function(e){if(this.getDomRef()){this.invalidate();}};
a.prototype.ondragstart=function(e){e.preventDefault();};
a.prototype._getDisplayValue=function(){var v=this.getValue();if(v==a.NoValue){return this.getAverageValue();}else{return v;}};
a.prototype.onsapincrease=function(e){var n=this.iHoveredRating;if(n==-1){n=Math.round(this._getDisplayValue())-1;if(n==-1){n=0;}}if(n<this.getMaxValue()){n=n+1;}else{n=this.getMaxValue();}this.updateHoverState(e,n);};
a.prototype.onsapdecrease=function(e){var n=this.iHoveredRating;if(n==-1&&Math.round(this._getDisplayValue())==0){return;}if(n==-1){n=Math.round(this._getDisplayValue())+1;}if(n>1){n=n-1;}else{n=1;}this.updateHoverState(e,n);};
a.prototype.onsaphome=function(e){this.updateHoverState(e,1);};
a.prototype.onsapend=function(e){this.updateHoverState(e,this.getMaxValue());};
a.prototype.onsapselect=function(e){this.saveValue(e,true,this.iHoveredRating);};
a.prototype.onsapescape=function(e){this.saveValue(e,true,-1);};
a.prototype.onfocusout=function(e){if(!!sap.ui.Device.browser.internet_explorer&&e.target!=this.getDomRef()){return;}this.saveValue(e,false,this.iHoveredRating);};
a.prototype.onfocusin=function(e){if(!!sap.ui.Device.browser.internet_explorer&&e.target!=this.getDomRef()){this.getDomRef().focus();}};
a.prototype.onclick=function(e){this.saveValue(e,true,this.getSymbolValue(e));};
a.prototype.onmouseover=function(e){e.preventDefault();e.stopPropagation();if(!this.getEditable()){return;}this.iHoveredRating=-1;var s=this.getSymbolValue(e);if(s==-1){return;}for(var i=1;i<=s;i++){sap.ui.commons.RatingIndicatorRenderer.hoverRatingSymbol(i,this);}for(var i=s+1;i<=this.getMaxValue();i++){sap.ui.commons.RatingIndicatorRenderer.hoverRatingSymbol(i,this,true);}};
a.prototype.onmouseout=function(e){e.preventDefault();e.stopPropagation();if(!this.getEditable()){return;}if(q.sap.checkMouseEnterOrLeave(e,this.getDomRef())){this.iHoveredRating=-1;for(var i=1;i<=this.getMaxValue();i++){sap.ui.commons.RatingIndicatorRenderer.unhoverRatingSymbol(i,this);}}};
a.prototype.getSymbolValue=function(e){var s=q(e.target);if(s.hasClass("sapUiRatingItmImg")||s.hasClass("sapUiRatingItmOvrflw")){s=q(e.target.parentNode);}else if(s.hasClass("sapUiRatingItmOvrflwImg")){s=q(e.target.parentNode.parentNode);}var i=s.attr("itemvalue");if(i){return parseInt(i,10);}return-1;};
a.prototype.updateKeyboardHoverState=function(s){for(var i=1;i<=this.getMaxValue();i++){sap.ui.commons.RatingIndicatorRenderer.unhoverRatingSymbol(i,this);if(i<=this.iHoveredRating){sap.ui.commons.RatingIndicatorRenderer.hoverRatingSymbol(i,this);}else if(!s){sap.ui.commons.RatingIndicatorRenderer.hoverRatingSymbol(i,this,true);}}this.setAriaState();};
a.prototype.onAfterRendering=function(){this.setAriaState();};
a.prototype.setAriaState=function(){var v=this.iHoveredRating==-1?this._getDisplayValue():this.iHoveredRating;this.$().attr("aria-valuenow",v).attr("aria-valuetext",this._getText("RATING_ARIA_VALUE",[v])).attr("aria-label",this._getText("RATING_ARIA_NAME"));};
a.prototype._getText=function(k,A){var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");if(r){return r.getText(k,A);}return k;};
a.prototype.saveValue=function(e,b,n){if(b){e.preventDefault();}if(!this.getEditable()){return false;}this.iHoveredRating=-1;if(n!=-1&&n!=this.getValue()){this.setValue(n);this.fireChange({value:n});return true;}else{for(var i=1;i<=this.getMaxValue();i++){sap.ui.commons.RatingIndicatorRenderer.unhoverRatingSymbol(i,this);}this.setAriaState();return false;}};
a.prototype.updateHoverState=function(e,n){e.preventDefault();e.stopPropagation();if(!this.getEditable()){return;}this.iHoveredRating=n;this.updateKeyboardHoverState();};
a.prototype.setMaxValue=function(m){if(m<1){m=1;}this.setProperty("maxValue",m);return this;};
a.prototype.getAccessibilityInfo=function(){var b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");return{role:"slider",type:b.getText("ACC_CTR_TYPE_RATING"),description:b.getText("ACC_CTR_STATE_RATING",[this._getDisplayValue(),this.getMaxValue()]),focusable:true,editable:this.getEditable()};};
return a;},true);
sap.ui.predefine('sap/ui/commons/RatingIndicatorRenderer',['jquery.sap.global'],function(q){"use strict";var R=function(){};
R.render=function(r,o){var a=r;var n=o.getMaxValue();a.write("<div");a.writeControlData(o);a.addClass("sapUiRating");if(o.getEditable()){a.addClass("sapUiRatingEdit");}a.writeClasses();a.writeAttribute("tabindex","0");if(o.getTooltip()&&o.getTooltip_AsString()){a.writeAttributeEscaped("title",o.getTooltip_AsString());}else if(!o.getEditable()){a.writeAttribute("title",o._getDisplayValue());}a.writeAccessibilityState(o,{"role":"slider","orientation":"horizontal","valuemin":1,"valuemax":n,"disabled":!o.getEditable(),"live":"assertive"});a.write(">");for(var i=0;i<n;i++){R.renderItem(a,o,i,o._getDisplayValue());}a.write("</div>");};
R.renderItem=function(r,o,i,v){var a=i+1;r.write("<div");r.writeAttribute("id",o.getId()+"-itm-"+a);r.writeAttribute("itemvalue",a);r.writeAttribute("class","sapUiRatingItm");r.writeAttribute("style","line-height:0px;");if(!o.getTooltip()&&o.getEditable()){r.writeAttributeEscaped("title",o._getText("RATING_TOOLTIP",[a,o.getMaxValue()]));}r.write(">");r.write("<img");r.writeAttribute("class","sapUiRatingItmImg");var I=R.getThemeSymbol("selected",o);r.writeAttributeEscaped("src",I);r.write("/>");r.write("<div");r.writeAttribute("class","sapUiRatingItmOvrflw");var b=o.getVisualMode();if(b=="Full"){v=Math.round(v);}var s;if(v>=a){s="width:0%;";}else if(v<i){s="width:100%;";}else{var d=v-i;if(b=="Half"){var w=50;if(d<0.25){w=100;}if(d>=0.75){w=0;}s="width:"+w+"%;";}else{s="width:"+(100-Math.round(d*100))+"%;";}}r.writeAttribute("style",s);r.write(">");r.write("<img");r.writeAttribute("class","sapUiRatingItmOvrflwImg");I=R.getThemeSymbol("unselected",o);r.writeAttributeEscaped("src",I);r.write("/>");r.write("</div>");r.write("</div>");};
R.hoverRatingSymbol=function(c,r,a){var s=r.$("itm-"+c);s.addClass("sapUiRatingItmHov");var S=s.children("img");var i=R.getThemeSymbol(a?"unselected":"hover",r);S.attr("src",i);};
R.unhoverRatingSymbol=function(c,r){var s=r.$("itm-"+c);s.removeClass("sapUiRatingItmHov");var S=s.children("img");var i=R.getThemeSymbol("selected",r);S.attr("src",i);};
R.getThemeSymbol=function(t,r){var i,p;if(t=="selected"){i=r.getIconSelected();p="_sap_ui_commons_RatingIndicator_SymbolSelected";}else if(t=="unselected"){i=r.getIconUnselected();p="_sap_ui_commons_RatingIndicator_SymbolUnselected";}else{i=r.getIconHovered();p="_sap_ui_commons_RatingIndicator_SymbolHovered";}if(!i){i=sap.ui.core.theming.Parameters._getThemeImage(p);}return i;};
return R;},true);
sap.ui.predefine('sap/ui/commons/ResponsiveContainer',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/ResizeHandler',"./ResponsiveContainerRenderer"],function(q,l,C,R,a){"use strict";
var b=C.extend("sap.ui.commons.ResponsiveContainer",{metadata:{library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'}},aggregations:{ranges:{type:"sap.ui.commons.ResponsiveContainerRange",multiple:true,singularName:"range"},content:{type:"sap.ui.core.Control",multiple:false,visibility:"hidden"}},associations:{defaultContent:{type:"sap.ui.core.Control",multiple:false}},events:{rangeSwitch:{parameters:{currentRange:{type:"sap.ui.commons.ResponsiveContainerRange"}}}}}});
b.prototype.init=function(){this.oCurrentRange=null;};
b.prototype.exit=function(){if(this.sResizeListenerId){R.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}};
b.prototype.onBeforeRendering=function(){if(this.sResizeListenerId){R.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}if(!this.getAggregation("content")){var d=sap.ui.getCore().byId(this.getDefaultContent());this.setAggregation("content",d);}};
b.prototype.onAfterRendering=function(){var r=q.proxy(this.onresize,this);this.sResizeListenerId=R.register(this.getDomRef(),r);this.refreshRangeDimensions();if(!this.oCurrentRange){setTimeout(r,0);}};
b.prototype.onresize=function(e){var r=this.findMatchingRange(),c=r&&r.getContent(),n;if(this.oCurrentRange!=r){this.oCurrentRange=r;if(!r){c=this.getDefaultContent();}n=sap.ui.getCore().byId(c);this.setAggregation("content",n);this.fireRangeSwitch({currentRange:this.oCurrentRange});}};
b.prototype.refreshRangeDimensions=function(){var r=this.getRanges(),c=[],$;q.each(r,function(i,o){$=o.$();c.push({range:o,width:$.width(),height:$.height()});});this.aRangeDimensions=c;};
b.prototype.findMatchingRange=function(){var c=this.$(),w=c.width(),h=c.height(),r,d,e=this.aRangeDimensions,m=null;q.each(e,function(i,o){r=o.width||w;d=o.height||h;if(r<=w&&d<=h){o.area=r*d;if(!m||m.area<o.area){m=o;}}});return m&&m.range;};
return b;},true);
sap.ui.predefine('sap/ui/commons/ResponsiveContainerRange',['jquery.sap.global','./library','sap/ui/core/Element'],function(q,l,E){"use strict";
var R=E.extend("sap.ui.commons.ResponsiveContainerRange",{metadata:{library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:''},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:''},key:{type:"string",group:"Misc",defaultValue:''}},associations:{content:{type:"sap.ui.core.Control",multiple:false}}}});
return R;},true);
sap.ui.predefine('sap/ui/commons/ResponsiveContainerRenderer',['jquery.sap.global'],function(q){"use strict";var R=function(){};
R.render=function(r,c){var o=r,C=c.getAggregation("content");o.write("<div ");o.writeControlData(c);o.addStyle("width",c.getWidth());o.addStyle("height",c.getHeight());o.writeStyles();o.write(">");if(C){o.renderControl(C);}o.write("<div ");o.addStyle("width","0px");o.addStyle("height","0px");o.addStyle("overflow","hidden");o.writeStyles();o.write(">");q.each(c.getRanges(),function(i,a){o.write("<div ");o.writeElementData(a);o.addStyle("width",a.getWidth());o.addStyle("height",a.getHeight());o.writeStyles();o.write("></div>");});o.write("</div>");o.write("</div>");};
return R;},true);
sap.ui.predefine('sap/ui/commons/RichTooltip',['jquery.sap.global','./library','sap/ui/core/TooltipBase',"./RichTooltipRenderer"],function(q,l,T,R){"use strict";
var a=T.extend("sap.ui.commons.RichTooltip",{metadata:{library:"sap.ui.commons",properties:{title:{type:"string",group:"Misc",defaultValue:null},imageSrc:{type:"sap.ui.core.URI",group:"Misc",defaultValue:null},valueStateText:{type:"string",group:"Misc",defaultValue:null},imageAltText:{type:"string",group:"Misc",defaultValue:null}},aggregations:{formattedText:{type:"sap.ui.commons.FormattedTextView",multiple:false,visibility:"hidden"},individualStateText:{type:"sap.ui.commons.FormattedTextView",multiple:false,visibility:"hidden"}}}});
a.prototype.onAfterRendering=function(){var t=this.getAggregation("formattedText");if(t&&t.getDomRef()){t.$().attr("role","tooltip");if(this.getImageSrc()!==""){this.$().addClass("sapUiRttContentWide");}}};
a.prototype.setValueStateText=function(t){var v=this.getAggregation("individualStateText");if(t){if(v){v.setHtmlText(t);}else{v=new sap.ui.commons.FormattedTextView(this.getId()+"-valueStateText",{htmlText:t}).addStyleClass("sapUiRttValueStateText").addStyleClass("individual");this.setAggregation("individualStateText",v);this.setProperty("valueStateText",t,true);}}else{if(v){this.setAggregation("individualStateText",v);}}return this;};
a.prototype.getValueStateText=function(){var v=this.getAggregation("individualStateText");if(v){return v.getHtmlText();}return"";};
a.prototype.setText=function(t){if(!!t){t=t.replace(/(\r\n|\n|\r)/g,"<br />");}var o=this.getAggregation("formattedText");if(o){o.setHtmlText(t);}else{o=new sap.ui.commons.FormattedTextView(this.getId()+"-txt");o.setHtmlText(t);o.addStyleClass("sapUiRttText");this.setAggregation("formattedText",o);this.setProperty("text",t,true);}return this;};
a.prototype.getText=function(){var t=this.getAggregation("formattedText");if(t){return t.getHtmlText();}return"";};
a.prototype.onfocusin=function(e){T.prototype.onfocusin.apply(this,arguments);var s=q(e.target).control(0);if(s!=null){var i=this.getId();var I="";if(this.getTitle()!==""){I+=i+"-title ";}var $=this.$("valueStateText");if($.length>0){I+=i+"-valueStateText ";}if(this.getImageSrc()!==""){I+=i+"-image ";}if(this.getText()!==""){I+=i+"-txt";}var d=s.getFocusDomRef();d.setAttribute("aria-describedby",I);}};
return a;},true);
sap.ui.predefine('sap/ui/commons/RichTooltipRenderer',['jquery.sap.global','sap/ui/core/ValueStateSupport'],function(q,V){"use strict";var R={};
R.render=function(r,o){var i=o.getId();r.write("<div ");r.writeControlData(o);r.addClass("sapUiRtt");r.writeClasses();r.write(" ><div><div>");r.write("<div class='sapUiRttTopL'></div><div class='sapUiRttTopR'></div>");r.write("<div class='sapUiRttCL'>");r.write("<div class='sapUiRttCR'>");r.write("<div class='sapUiRttContent'>");var t=o.getTitle();if(t){r.write("<div id='"+i+"-title' role='tooltip' class='sapUiRttTitle'>");r.writeEscaped(t);r.write("</div>");r.write("<div class='sapUiRttSep'></div>");}var v=V.getAdditionalText(o.getParent());var I=o.getAggregation("individualStateText");if(v||I){r.write('<div class="sapUiRttValueStateContainer">');if(v){var s=o.getParent().getValueState();var a=s!==sap.ui.core.ValueState.None?"ValueState_"+s+".png":"";if(a!==""){a=q.sap.getModulePath("sap.ui.commons.themes."+sap.ui.getCore().getConfiguration().getTheme(),"/img/richtooltip/"+a);r.write('<img id="'+i+'-valueStateImage" class="sapUiRttValueStateImage" src="');r.writeEscaped(a);r.write('"/>');}}if(I){r.renderControl(I);}else{r.write('<div id="'+i+'-valueStateText" class="sapUiRttValueStateText">');r.writeEscaped(v);r.write('</div>');}r.write('</div>');r.write("<div class='sapUiRttSep'></div>");}r.write('<div class="sapUiRttContentContainer">');var b=o.getImageSrc();if(b){var A=o.getImageAltText();r.write('<img id="'+i+'-image" class="sapUiRttImage"');r.writeAttributeEscaped('alt',A);r.writeAttributeEscaped('src',b);r.write('"/>');}var T=o.getAggregation("formattedText");if(T){r.renderControl(T);}r.write('</div>');r.write("</div></div></div>");r.write("<div class='sapUiRttBotL'></div>");r.write("<div class='sapUiRttBotR'></div>");r.write("</div></div></div>");};
return R;},true);
sap.ui.predefine('sap/ui/commons/RoadMap',['jquery.sap.global','./library','sap/ui/core/Control',"./RoadMapRenderer"],function(q,l,C,R){"use strict";
var a=C.extend("sap.ui.commons.RoadMap",{metadata:{library:"sap.ui.commons",properties:{numberOfVisibleSteps:{type:"int",group:"Misc",defaultValue:null},firstVisibleStep:{type:"string",group:"Misc",defaultValue:null},selectedStep:{type:"string",group:"Misc",defaultValue:null},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'}},defaultAggregation:"steps",aggregations:{steps:{type:"sap.ui.commons.RoadMapStep",multiple:true,singularName:"step"}},events:{stepSelected:{parameters:{stepId:{type:"string"}}},stepExpanded:{parameters:{stepId:{type:"string"}}}}}});
(function(){
a.prototype.init=function(){this.iStepWidth=-1;this.sCurrentFocusedStepRefId=null;};
a.prototype.exit=function(){if(this.sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}};
a.prototype.setNumberOfVisibleSteps=function(n){var i=this.getDomRef()?true:false;this.setProperty("numberOfVisibleSteps",n,i);if(i){sap.ui.commons.RoadMapRenderer.updateScrollArea(this,true);}return this;};
a.prototype.setFirstVisibleStep=function(F){var i=this.getDomRef()?true:false;if(i){if(F){var S=sap.ui.getCore().byId(F);if(S&&S.getParent()&&(S.getParent()===this||S.getParent().getParent()===this)&&S.getVisible()){this.setProperty("firstVisibleStep",F,true);sap.ui.commons.RoadMapRenderer.updateScrollArea(this);}}else{this.setProperty("firstVisibleStep","",true);sap.ui.commons.RoadMapRenderer.updateScrollArea(this);}}else{this.setProperty("firstVisibleStep",F);}return this;};
a.prototype.setWidth=function(w){var i=this.getDomRef()?true:false;this.setProperty("width",w,i);if(i){sap.ui.commons.RoadMapRenderer.setRoadMapWidth(this,w);sap.ui.commons.RoadMapRenderer.updateScrollArea(this,true);}return this;};
a.prototype.setSelectedStep=function(S){var i=this.getDomRef()?true:false;if(i){if(S){var o=sap.ui.getCore().byId(S);if(o&&o.getParent()&&(o.getParent()===this||o.getParent().getParent()===this)&&o.getEnabled()&&o.getVisible()){sap.ui.commons.RoadMapRenderer.selectStepWithId(this,S);this.setProperty("selectedStep",S,true);}}else{sap.ui.commons.RoadMapRenderer.selectStepWithId(this,"");this.setProperty("selectedStep","",true);}}else{this.setProperty("selectedStep",S);}return this;};
a.prototype.onThemeChanged=function(e){this.iStepWidth=-1;if(this.getDomRef()){this.invalidate();}};
a.prototype.doBeforeRendering=function(){var I=false;var b=false;var S=this.getSteps();for(var i=0;i<S.length;i++){var o=S[i];if(o.getSubSteps().length==0||!o.getEnabled()){o.setProperty("expanded",false,true);}if(!o.getEnabled()&&!o.getVisible()&&this.getSelectedStep()==o.getId()){this.setProperty("selectedStep","",true);}else if(o.getEnabled()&&o.getVisible()&&this.getSelectedStep()==o.getId()){I=true;}if(o.getVisible()&&this.getFirstVisibleStep()==o.getId()){b=true;}var c=o.getSubSteps();for(var j=0;j<c.length;j++){var d=c[j];d.setProperty("expanded",false,true);if(!d.getEnabled()&&!d.getVisible()&&this.getSelectedStep()==d.getId()){this.setProperty("selectedStep","",true);}else if(d.getEnabled()&&d.getVisible()&&this.getSelectedStep()==d.getId()){I=true;}if(d.getVisible()&&this.getFirstVisibleStep()==d.getId()){b=true;}}}if(!I){this.setProperty("selectedStep","",true);}if(!b){this.setProperty("firstVisibleStep","",true);}if(this.sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}};
a.prototype.onAfterRendering=function(){var S=this.getSteps();if(this.iStepWidth==-1&&S.length>0){var b=S[0].$();this.iStepWidth=b.outerWidth();}for(var i=0;i<S.length;i++){var o=S[i];sap.ui.commons.RoadMapRenderer.addEllipses(o);var c=o.getSubSteps();for(var j=0;j<c.length;j++){sap.ui.commons.RoadMapRenderer.addEllipses(c[j]);}}sap.ui.commons.RoadMapRenderer.updateScrollArea(this);this.sResizeListenerId=sap.ui.core.ResizeHandler.register(this.getDomRef(),q.proxy(this.onresize,this));};
a.prototype.onresize=function(e){var d=function(){if(this.getDomRef()){sap.ui.commons.RoadMapRenderer.updateScrollArea(this,true);r(this,"prev");this.sResizeInProgress=null;}};if(!!sap.ui.Device.browser.firefox){d.apply(this,[]);}else{if(!this.sResizeInProgress){this.sResizeInProgress=q.sap.delayedCall(300,this,d);}}};
a.prototype.onclick=function(e){h(this,e);};
a.prototype.onsapselect=function(e){h(this,e);};
a.prototype.onfocusin=function(e){var t=q(e.target);var T=t.attr("id");if(T&&q.sap.endsWith(T,"-box")){this.sCurrentFocusedStepRefId=T.substring(0,T.length-4);}else if(T&&(q.sap.endsWith(T,"-Start")||q.sap.endsWith(T,"-End"))){}else{this.sCurrentFocusedStepRefId=sap.ui.commons.RoadMapRenderer.getFirstVisibleRef(this).attr("id");r(this);}this.$().attr("tabindex","-1");};
a.prototype.onfocusout=function(e){this.$().attr("tabindex","0");};
a.prototype.onsapprevious=function(e){f(e,this,"prev");};
a.prototype.onsapnext=function(e){f(e,this,"next");};
a.prototype.onsaphome=function(e){f(e,this,"first");};
a.prototype.onsapend=function(e){f(e,this,"last");};
var h=function(t,e){e.stopPropagation();e.preventDefault();var T=q(e.target);var b=T.attr("id");if(!b){return;}var i=b.lastIndexOf("-expandend");if(i!=-1){var S=sap.ui.getCore().byId(b.substring(0,i));if(S&&t.indexOfStep(S)>=0){S.handleSelect(e,true);return;}}if(b==t.getId()+"-Start"){if(T.hasClass("sapUiRoadMapStartScroll")){s(t,"prev",true);}else{r(t);}}else if(b==t.getId()+"-End"){if(T.hasClass("sapUiRoadMapEndScroll")){s(t,"next",true);}else{r(t);}}};var s=function(t,d,u){sap.ui.commons.RoadMapRenderer.scrollToNextStep(t,d,function(F){var i=F.lastIndexOf("-expandend");if(i!=-1){F=F.substring(0,i);}t.setProperty("firstVisibleStep",F,true);if(u){r(t,d);}});};var f=function(e,t,d){if(e){e.stopPropagation();e.preventDefault();}if(!t.sCurrentFocusedStepRefId){return;}var F=d+"All";var i=false;if(d=="first"){F="prevAll";i=true;}else if(d=="last"){F="nextAll";i=true;}var c=q.sap.byId(t.sCurrentFocusedStepRefId);var j=c[F](":visible");var b=q(j.get(i?j.length-1:0)).attr("id");if(b){if(!sap.ui.commons.RoadMapRenderer.isVisibleRef(t,b)){s(t,d);}q.sap.byId(b+"-box").get(0).focus();}};var r=function(t,d){if(!t.sCurrentFocusedStepRefId){return;}if(d&&!sap.ui.commons.RoadMapRenderer.isVisibleRef(t,t.sCurrentFocusedStepRefId)){f(null,t,d);}else{q.sap.byId(t.sCurrentFocusedStepRefId+"-box").get(0).focus();}};}());return a;},true);
sap.ui.predefine('sap/ui/commons/RoadMapRenderer',['jquery.sap.global'],function(q){"use strict";var R={};
R.render=function(j,l){var v=j;l.doBeforeRendering();v.write("<div");v.writeControlData(l);v.addClass("sapUiRoadMap");v.writeClasses();v.writeAttribute("tabIndex","0");var T=l.getTooltip_AsString();if(T){v.writeAttributeEscaped("title",T);}v.writeAttribute("style","width:"+(l.getWidth()?l.getWidth():"100%")+";");v.write(">");r(v,l,true);v.write("<ul");v.writeAttribute("id",l.getId()+"-steparea");v.addClass("sapUiRoadMapStepArea");v.writeClasses();if(sap.ui.getCore().getConfiguration().getAccessibility()){v.writeAttribute("role","group");v.writeAttributeEscaped("aria-label",k("RDMP_DEFAULT_TOOLTIP",[]));if(T){v.writeAttributeEscaped("title",T);}}v.write(">");var S=l.getSteps();for(var i=0;i<S.length;i++){var x=S[i];if(x.getSubSteps().length>0){f(v,l,x);}else{a(v,l,x);}}v.write("</ul>");r(v,l,false);v.write("</div>");};
R.selectStepWithId=function(i,I){var C=i.getSelectedStep();if(C){q.sap.byId(C).removeClass("sapUiRoadMapSelected");}if(I){q.sap.byId(I).addClass("sapUiRoadMapSelected");}if(sap.ui.getCore().getConfiguration().getAccessibility()){if(C){q.sap.byId(C+"-box").removeAttr("aria-checked");}if(I){q.sap.byId(I+"-box").attr("aria-checked",true);}}};
R.selectStep=function(j,S,I,l,E,v){if(!v){R.selectStepWithId(j,S.getId());}if(!I&&S.getSubSteps().length>0){var x=S.getSubSteps();var D=S.$();var y=D.hasClass("sapUiRoadMapExpanded");var C=1;var z=function(){C--;if(C>0){return;}if(E){E(!y?"expanded":"collapsed");}R.updateStepArea(j);};var A=function(F,O,G){var H=q.sap.byId(F);if(!q.fx.off&&!l){H.width(O?"0px":j.iStepWidth);var L=q.sap.byId(F+"-label");L.addClass("sapUiRoadMapHidden");if(O){H.toggleClass("sapUiRoadMapHidden");}H.animate({width:O?j.iStepWidth:"0px"},"fast",function(){if(!O){H.toggleClass("sapUiRoadMapHidden");}H.width("");L.removeClass("sapUiRoadMapHidden");if(G){G();}});}else{H.toggleClass("sapUiRoadMapHidden");if(G){G();}}};D.toggleClass("sapUiRoadMapExpanded");if(sap.ui.getCore().getConfiguration().getAccessibility()){var B=D.hasClass("sapUiRoadMapExpanded");S.$("box").attr("aria-expanded",B);S.$("expandend-box").attr("aria-expanded",B);}for(var i=0;i<x.length;i++){if(x[i].getVisible()){C++;A(x[i].getId(),!y,z);}}A(S.getId()+"-expandend",!y,z);}else{if(E){E("selected");}}};
R.updateStepArea=function(i){if(i.iStepWidth!=-1){var S=i.$("steparea");var j=i.$("Start");var E=i.$("End");var l=i.$();var v=S.scrollLeft();var A=l.width()-j.outerWidth(true)-E.outerWidth(true);var M=i.getNumberOfVisibleSteps();var C=m(i);if(M<1){M=C;}else{M=Math.min(M,C);}var P=Math.floor(A/i.iStepWidth);var N=Math.min(M,P);S.width(N*i.iStepWidth).scrollLeft(v);u(i);}};
R.updateScrollArea=function(i,S){R.updateStepArea(i);if(!S){var j=i.$("steparea");var P=s(i,false);if(i.getFirstVisibleStep()){var l=q.sap.byId(i.getFirstVisibleStep());if(l.length){P=n(j,l);}}t(i,P+o()*j.scrollLeft(),true);}};
R.isVisibleRef=function(j,I){var S=j.$("steparea");var l=S.children(":visible");for(var i=0;i<l.length;i++){var C=q(l.get(i));if(C.attr("id")==I){var P=n(S,C);return P>=0&&P<S.width();}}return false;};
R.getFirstVisibleRef=function(j){var S=j.$("steparea");var l=S.children(":visible");for(var i=0;i<l.length;i++){var C=q(l.get(i));if(n(S,C)==0){return C;}}return null;};
R.setStepLabel=function(S,L){var l=L?q.sap.encodeHTML(L):"";S.$("label").html(l);S.$("expandend-label").html(l);if(!sap.ui.getCore().getConfiguration().getAccessibility()){return;}S.$("box").attr("aria-label",c(S,L));S.$("expandend-box").attr("aria-label",c(S,L));};
R.setStepEnabled=function(i,S,E){var j=S.$();var l=S.$("expandend");if(E){j.removeClass("sapUiRoadMapDisabled");l.removeClass("sapUiRoadMapDisabled");if(sap.ui.getCore().getConfiguration().getAccessibility()){S.$("box").removeAttr("aria-disabled");S.$("expandend-box").removeAttr("aria-disabled");}return false;}else{var v=i.getSelectedStep()==S.getId();if(v){j.removeClass("sapUiRoadMapSelected");}j.addClass("sapUiRoadMapDisabled");l.addClass("sapUiRoadMapDisabled");if(sap.ui.getCore().getConfiguration().getAccessibility()){var x=S.$("box");x.attr("aria-disabled",true);if(v){x.removeAttr("aria-checked");}S.$("expandend-box").attr("aria-disabled",true);}return v;}};
R.setStepVisible=function(j,S,I,v){var l=S.$();var x=S.$("expandend");var y=j.getSelectedStep()==S.getId();var P=S.getParent();if(I){if(P.getEnabled()&&P.getVisible()&&P.getExpanded()){if(v){l.removeClass("sapUiRoadMapHidden");}else{l.addClass("sapUiRoadMapHidden");}}}else{if(v){l.removeClass("sapUiRoadMapHidden");}else{l.addClass("sapUiRoadMapHidden");}var z=S.getSubSteps();if(z.length>0&&S.getExpanded()){if(v){x.removeClass("sapUiRoadMapHidden");}else{x.addClass("sapUiRoadMapHidden");}for(var i=0;i<z.length;i++){if(z[i].getVisible()){var A=z[i].$();if(j.getSelectedStep()==z[i].getId()){y=true;A.removeClass("sapUiRoadMapSelected");z[i].$("box").removeAttr("aria-checked");}if(v){A.removeClass("sapUiRoadMapHidden");}else{A.addClass("sapUiRoadMapHidden");}}}}}return y;};
R.setRoadMapWidth=function(i,W){var j=i.$();j.attr("style","width:"+(W?W:"100%")+";");};
R.scrollToNextStep=function(i,D,E){var P=D;if(D=="first"||D=="last"){P=s(i,D=="last");}t(i,P,false,E);};
R.addEllipses=function(S){if(!S){return;}var j=S.$("label");var O=S.getLabel();var T=O+"";var C=q("<label class=\"sapUiRoadMapTitle\" style=\"display:none;position:absolute;overflow:visible;font-weight:bold;height:auto\">"+T+"</label>");C.width(j.width());q(sap.ui.getCore().getStaticAreaRef()).append(C);var i=false;while(T.length>0&&C.height()>j.height()){T=T.substr(0,T.length-1);C.html(q.sap.encodeHTML(T+"..."));i=true;}if(i){j.html("<span>"+q.sap.encodeHTML(T)+"</span>");j.attr("title",S.getLabel());}else{j.attr("title",g(S));}C.remove();};
R.updateStepAria=function(S){if(!sap.ui.getCore().getConfiguration().getAccessibility()){return;}var I=S.getParent()instanceof sap.ui.commons.RoadMap;var j=S.getParent()[I?"getSteps":"getSubSteps"]();for(var i=0;i<j.length;i++){var P=d(j[i]);var l=e(j[i]);var v=j[i].$("box");v.attr("aria-posinset",P);v.attr("aria-setsize",l);if(I&&j[i].getSubSteps().length>0){v=j[i].$("expandend-box");v.attr("aria-posinset",P);v.attr("aria-setsize",l);}}};
var r=function(i,j,S){var T=S?"Start":"End";i.write("<div");i.writeAttribute("id",j.getId()+"-"+T);i.writeAttribute("tabindex","-1");var l=true;i.addClass(l?"sapUiRoadMap"+T+"Scroll":"sapUiRoadMap"+T+"Fixed");i.addClass("sapUiRoadMapDelim");i.addClass("sapUiRoadMapContent");i.writeClasses();i.write("></div>");};var a=function(j,l,S,A,v,I){j.write("<li");if(I){j.writeAttribute("id",I);}else{j.writeElementData(S);}var x=h(l,S);S.__stepName=x;var T=g(S);j.addClass("sapUiRoadMapContent");j.addClass("sapUiRoadMapStep");if(!S.getVisible()){j.addClass("sapUiRoadMapHidden");}if(S.getEnabled()){if(l.getSelectedStep()==S.getId()){j.addClass("sapUiRoadMapSelected");}}else{j.addClass("sapUiRoadMapDisabled");}if(A){for(var i=0;i<A.length;i++){j.addClass(A[i]);}}j.writeClasses();j.write(">");b(j,I?I:S.getId(),1);j.write("<div");j.writeAttribute("id",(I?I:S.getId())+"-box");j.writeAttribute("tabindex","-1");j.addClass("sapUiRoadMapStepBox");j.writeClasses();j.writeAttributeEscaped("title",T);w(j,l,S,v?true:false);j.write("><span>");j.write(x);j.write("</span>");if(v){v(j,l,S);}j.write("</div>");j.write("<label");j.writeAttribute("id",(I?I:S.getId())+"-label");j.addClass("sapUiRoadMapTitle");j.writeAttributeEscaped("title",T);j.writeClasses();j.write(">");var L=S.getLabel();if(L){j.writeEscaped(L);}j.write("</label>");b(j,I?I:S.getId(),2);j.write("</li>");};var g=function(S){var T=S.getTooltip_AsString();if(!T&&!S.getTooltip()&&sap.ui.getCore().getConfiguration().getAccessibility()){T=k("RDMP_DEFAULT_STEP_TOOLTIP",[S.__stepName]);}return T||"";};var b=function(i,I,j){i.write("<div");i.writeAttribute("id",I+"-add"+j);i.addClass("sapUiRoadMapStepAdd"+j);i.writeClasses();i.write("></div>");};var w=function(i,j,S,I){if(!sap.ui.getCore().getConfiguration().getAccessibility()){return;}i.writeAttribute("role","treeitem");if(S.getEnabled()){i.writeAttribute("aria-checked",j.getSelectedStep()==S.getId());}else{i.writeAttribute("aria-disabled",true);}i.writeAttribute("aria-haspopup",I);i.writeAttribute("aria-level",S.getParent()instanceof sap.ui.commons.RoadMap?1:2);i.writeAttribute("aria-posinset",d(S));i.writeAttribute("aria-setsize",e(S));i.writeAttributeEscaped("aria-label",c(S,S.getLabel()));if(!I){return;}i.writeAttribute("aria-expanded",S.getExpanded());};var c=function(S,l){var i=S.getParent()instanceof sap.ui.commons.RoadMap&&S.getSubSteps().length>0;var j=l||"";if(S.getEnabled()){j=k(i?"RDMP_ARIA_EXPANDABLE_STEP":"RDMP_ARIA_STANDARD_STEP",[j]);}return j;};var d=function(S){var I=S.getParent()instanceof sap.ui.commons.RoadMap;var j=S.getParent()[I?"indexOfStep":"indexOfSubStep"](S);var C=0;var l=S.getParent()[I?"getSteps":"getSubSteps"]();for(var i=0;i<j;i++){if(!l[i].getVisible()){C++;}}return j+1-C;};var e=function(S){var I=S.getParent()instanceof sap.ui.commons.RoadMap;var j=S.getParent()[I?"getSteps":"getSubSteps"]();var C=j.length;for(var i=0;i<j.length;i++){if(!j[i].getVisible()){C--;}}return C;};var f=function(j,l,S){var C=function(j,l,y,z,A){j.write("<div");j.writeAttribute("id",y+"-ico");j.addClass("sapUiRoadMapStepIco");if(A){j.addClass(A);}j.writeClasses();j.write("></div>");};var I=S.getExpanded();a(j,l,S,I?["sapUiRoadMapExpanded"]:null,function(j,l,S){C(j,l,S.getId(),I?"roundtripstart.gif":"roundtrip.gif");});var v=S.getSubSteps();for(var i=0;i<v.length;i++){var x=["sapUiRoadMapSubStep"];if(!I&&v[i].getVisible()){x.push("sapUiRoadMapHidden");}a(j,l,v[i],x);}x=["sapUiRoadMapExpanded","sapUiRoadMapStepEnd"];if(!I){x.push("sapUiRoadMapHidden");}a(j,l,S,x,function(j,l,S){C(j,l,S.getId()+"-expandend","roundtripend.gif");},S.getId()+"-expandend");};var h=function(i,S){var P=S.getParent();if(P===i){return P.indexOfStep(S)+1;}var I=P.indexOfSubStep(S);if(I<26){return String.fromCharCode(97+I);}var j=Math.floor(I/26)-1;var l=I%26;return String.fromCharCode(97+j,97+l);};var u=function(i){var j=o();var S=i.$("steparea");var l=p(S);var v=i.$("Start");v.removeClass("sapUiRoadMapStartScroll").removeClass("sapUiRoadMapStartFixed");v.addClass(j*l>=i.iStepWidth?"sapUiRoadMapStartScroll":"sapUiRoadMapStartFixed");var E=i.$("End");E.removeClass("sapUiRoadMapEndScroll").removeClass("sapUiRoadMapEndFixed");var x=S.get(0).scrollWidth-j*l-S.width()<i.iStepWidth;E.addClass(x?"sapUiRoadMapEndFixed":"sapUiRoadMapEndScroll");};var k=function(K,A){var i=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");if(i){return i.getText(K,A);}return K;};var m=function(l){var v=0;var S=l.getSteps();for(var i=0;i<S.length;i++){if(S[i].getVisible()){v++;if(S[i].getExpanded()){v++;var x=S[i].getSubSteps();for(var j=0;j<x.length;j++){if(x[j].getVisible()){v++;}}}}}return v;};var n=function(S,j){var P=j.position().left;if(sap.ui.getCore().getConfiguration().getRTL()){P=S.width()-P-j.outerWidth();}return P;};var o=function(){return sap.ui.getCore().getConfiguration().getRTL()&&!sap.ui.Device.browser.internet_explorer?-1:1;};var p=function(S){if(sap.ui.getCore().getConfiguration().getRTL()&&!!sap.ui.Device.browser.webkit){return(-1)*(S.get(0).scrollWidth-S.scrollLeft()-S.width());}return S.scrollLeft();};var s=function(i,l){var S=i.$("steparea").get(0).scrollWidth;if(sap.ui.getCore().getConfiguration().getRTL()&&!!sap.ui.Device.browser.webkit){return l?0:(-1)*S;}return l?S:0;};var t=function(i,N,S,E){var j=i.$("steparea");j.stop(false,true);if(N=="next"){N=j.scrollLeft()+i.iStepWidth*o();}else if(N=="prev"){N=j.scrollLeft()-i.iStepWidth*o();}else if(N=="keep"){N=j.scrollLeft();}else{N=N*o();}var D=function(){u(i);if(E){var F=R.getFirstVisibleRef(i);E(F.attr("id"));}};if(!q.fx.off&&!S){j.animate({scrollLeft:N},"fast",D);}else{j.scrollLeft(N);D();}};return R;},true);
sap.ui.predefine('sap/ui/commons/RoadMapStep',['jquery.sap.global','./library','sap/ui/core/Element'],function(q,l,E){"use strict";
var R=E.extend("sap.ui.commons.RoadMapStep",{metadata:{library:"sap.ui.commons",properties:{label:{type:"string",group:"Misc",defaultValue:null},enabled:{type:"boolean",group:"Misc",defaultValue:true},expanded:{type:"boolean",group:"Misc",defaultValue:false,deprecated:true},visible:{type:"boolean",group:"Misc",defaultValue:true}},defaultAggregation:"subSteps",aggregations:{subSteps:{type:"sap.ui.commons.RoadMapStep",multiple:true,singularName:"subStep",deprecated:true}}}});
(function(){
R.prototype.setLabel=function(L){s(this,"label",L,function(){sap.ui.commons.RoadMapRenderer.setStepLabel(this,L);this.setProperty("label",L,true);sap.ui.commons.RoadMapRenderer.addEllipses(this);return true;});return this;};
R.prototype.setEnabled=function(e){var o=this.getEnabled();if((e&&o)||(!e&&!o)){return this;}s(this,"enabled",e,function(){var r=g(this);var w=sap.ui.commons.RoadMapRenderer.setStepEnabled(r,this,e);if(w){r.setProperty("selectedStep","",true);}if(!e){this.setExpanded(false);}return false;});return this;};
R.prototype.setExpanded=function(e){var o=this.getExpanded();if((e&&o)||(!e&&!o)){return this;}s(this,"expanded",e,function(){if(i(this)||this.getSubSteps().length==0||!this.getEnabled()||!e){this.setProperty("expanded",false,true);if(!i(this)&&this.getSubSteps().length>0&&this.getEnabled()){sap.ui.commons.RoadMapRenderer.selectStep(g(this),this,false,true,null,true);}}else{this.setProperty("expanded",true,true);sap.ui.commons.RoadMapRenderer.selectStep(g(this),this,false,true,null,true);}return true;});return this;};
R.prototype.setVisible=function(v){var o=this.getVisible();if((v&&o)||(!v&&!o)){return this;}s(this,"visible",v,function(){var r=g(this);var w=sap.ui.commons.RoadMapRenderer.setStepVisible(r,this,i(this),v);if(w){r.setProperty("selectedStep","",true);}this.setProperty("visible",v,true);sap.ui.commons.RoadMapRenderer.updateStepArea(r);sap.ui.commons.RoadMapRenderer.updateStepAria(this);return true;});return this;};
R.prototype.getFocusDomRef=function(){return q.sap.byId(this.getFocusInfo().id).get(0)||null;};
R.prototype.getFocusInfo=function(){return{id:this.getId()+"-box"};};
R.prototype.onclick=function(e){this.handleSelect(e);};
R.prototype.onsapselect=function(e){this.handleSelect(e);};
R.prototype.handleSelect=function(e,I){e.stopPropagation();e.preventDefault();if(!I&&!q.sap.containsOrEquals(this.getDomRef(),e.target)){return;}if(this.getEnabled()){var r=g(this);var t=this;sap.ui.commons.RoadMapRenderer.selectStep(r,this,i(this),false,function(T){var w=r.getSelectedStep()==t.getId();r.setProperty("selectedStep",t.getId(),true);t.focus();if(T!="selected"){t.setProperty("expanded",T=="expanded",true);r.fireStepExpanded({stepId:t.getId()});}if(!w){r.fireStepSelected({stepId:t.getId()});}});}else{this.focus();}};
var g=function(t){var r=t.getParent();if(i(t)){r=r.getParent();}return r;};var i=function(t){return!(t.getParent()instanceof sap.ui.commons.RoadMap);};var s=function(t,n,v,d){if(!t.getDomRef()){t.setProperty(n,v);return;}var S=d.apply(t,[]);if(!S){t.setProperty(n,v,true);}};}());return R;},true);
sap.ui.predefine('sap/ui/commons/RowRepeater',['jquery.sap.global','./library','sap/ui/core/Control',"./RowRepeaterRenderer"],function(q,a,C,R){"use strict";
var b=C.extend("sap.ui.commons.RowRepeater",{metadata:{library:"sap.ui.commons",properties:{numberOfRows:{type:"int",group:"Dimension",defaultValue:5},currentPage:{type:"int",group:"Data",defaultValue:1},showMoreSteps:{type:"int",group:"Behavior",defaultValue:0},fixedRowHeight:{type:"sap.ui.core.CSSSize",group:"Appearance",defaultValue:''},design:{type:"sap.ui.commons.RowRepeaterDesign",group:"Appearance",defaultValue:sap.ui.commons.RowRepeaterDesign.Standard},threshold:{type:"int",defaultValue:null}},defaultAggregation:"rows",aggregations:{rows:{type:"sap.ui.core.Control",multiple:true,singularName:"row",bindable:"bindable"},title:{type:"sap.ui.core.Title",multiple:false},filters:{type:"sap.ui.commons.RowRepeaterFilter",multiple:true,singularName:"filter"},sorters:{type:"sap.ui.commons.RowRepeaterSorter",multiple:true,singularName:"sorter"},noData:{type:"sap.ui.core.Control",multiple:false},filterToolbar:{type:"sap.ui.commons.Toolbar",multiple:false,visibility:"hidden"},sorterToolbar:{type:"sap.ui.commons.Toolbar",multiple:false,visibility:"hidden"},headerShowMoreButton:{type:"sap.ui.commons.Button",multiple:false,visibility:"hidden"},footerShowMoreButton:{type:"sap.ui.commons.Button",multiple:false,visibility:"hidden"},footerPager:{type:"sap.ui.commons.Paginator",multiple:false,visibility:"hidden"}},events:{filter:{parameters:{filterId:{type:"string"}}},sort:{parameters:{sorterId:{type:"string"}}},page:{parameters:{currentPage:{type:"int"},previousPage:{type:"int"}}},resize:{parameters:{numberOfRows:{type:"int"},previousNumberOfRows:{type:"int"}}}}}});
b.prototype.bPagingMode=true;b.prototype.bShowAnimation=true;b.SHOW_MORE="show_more";b.RESIZE="resize";b.FIRST_PAGE="first_page";b.LAST_PAGE="last_page";b.PREVIOUS_PAGE="previous_page";b.NEXT_PAGE="next_page";b.GOTO_PAGE="goto_page";
b.prototype.init=function(){var i=this.getId();this.oResourceBundle=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");this.sCurrentAnimation=null;this.aAnimationQueue=[];this.aRemoveBuffer=[];this.iPreviousPage=this.getCurrentPage();this.iPreviousNumberOfRows=this.getNumberOfRows();this.setAggregation("filterToolbar",new sap.ui.commons.Toolbar(i+"-ftb",{standalone:false,design:sap.ui.commons.ToolbarDesign.Transparent}));this.setAggregation("sorterToolbar",new sap.ui.commons.Toolbar(i+"-stb",{standalone:false}));var p=new sap.ui.commons.Paginator(i+"-fp",{page:[this.paging,this]});this.setAggregation("footerPager",p);var s=this.oResourceBundle.getText("SHOW_MORE");this.setAggregation("headerShowMoreButton",new sap.ui.commons.Button(i+"-hsm",{text:s,tooltip:s,press:[this.triggerShowMore,this]}));this.setAggregation("footerShowMoreButton",new sap.ui.commons.Button(i+"-fsm",{text:s,tooltip:s,press:[this.triggerShowMore,this]}));this._bSecondPage=false;};
b.prototype.triggerShowMore=function(){if(this.getShowMoreSteps()<=0){return this;}var s=this.getShowMoreSteps();var n=this.getNumberOfRows();var N=Math.min(this._getRowCount(),n+s);if(n===N){return this;}if(this.getDomRef()&&this.bShowAnimation){if(this.sCurrentAnimation!==null){this.aAnimationQueue.push({name:b.SHOW_MORE,animationFunction:this.triggerShowMore,args:arguments});return this;}else{this.sCurrentAnimation=b.SHOW_MORE;}this.iPreviousNumberOfRows=n;this.setProperty("numberOfRows",N,true);this.startResizeAnimation();}else{this.setNumberOfRows(N);}this.fireResize({numberOfRows:N,previousNumberOfRows:n});return this;};
b.prototype.resize=function(n){if(this.getShowMoreSteps()<=0){return this;}var N=this.getNumberOfRows();if(n<=0||n>this._getRowCount()||n===N){return this;}if(this.getDomRef()&&this.bShowAnimation){if(this.sCurrentAnimation!==null){this.aAnimationQueue.push({name:b.RESIZE,animationFunction:this.resize,args:arguments});return this;}else{this.sCurrentAnimation=b.RESIZE;}this.iPreviousNumberOfRows=N;this.setProperty("numberOfRows",n,true);this.startResizeAnimation();}else{this.setNumberOfRows(n);}this.fireResize({numberOfRows:n,previousNumberOfRows:N});return this;};
b.prototype.applyFilter=function(i){var f=this.getFilters();var l=this.getBinding("rows");var F,n;if(f.length===0||l===null){return this;}for(n=0;n<f.length;n++){if(f[n].getId()===i){F=f[n];break;}}if(F){l.filter(F.getFilters(),sap.ui.model.FilterType.Control);this.fireFilter({filterId:i});this.firstPage();}return this;};
b.prototype.triggerSort=function(i){var s=this.getSorters();var l=this.getBinding("rows");var S,n;if(s.length===0||l===null){return this;}for(n=0;n<s.length;n++){if(s[n].getId()===i){S=s[n];break;}}if(S){l.sort(S.getSorter());this.fireSort({sorterId:i});this.firstPage();}return this;};
b.prototype.firstPage=function(){if(this.getShowMoreSteps()>0){return this;}var c=this.getCurrentPage();if(c===1){return this;}this.getAggregation("footerPager").setCurrentPage(1);if(this.getDomRef()&&this.bShowAnimation){if(this.sCurrentAnimation!==null){this.aAnimationQueue.push({name:b.FIRST_PAGE,animationFunction:this.firstPage,args:arguments});return this;}else{this.sCurrentAnimation=b.FIRST_PAGE;}this.iPreviousPage=c;this.setProperty("currentPage",1,true);this.startPagingAnimation();}else{this.setCurrentPage(1);}this.firePage({currentPage:1,previousPage:c});return this;};
b.prototype.lastPage=function(){if(this.getShowMoreSteps()>0){return this;}var c=this.getCurrentPage();var l=Math.ceil(this._getRowCount()/this.getNumberOfRows());if(c===l){return this;}this.getAggregation("footerPager").setCurrentPage(l);if(this.getDomRef()&&this.bShowAnimation){if(this.sCurrentAnimation!==null){this.aAnimationQueue.push({name:b.LAST_PAGE,animationFunction:this.lastPage,args:arguments});return this;}else{this.sCurrentAnimation=b.LAST_PAGE;}this.iPreviousPage=c;this.setProperty("currentPage",l,true);this.startPagingAnimation();}else{this.setCurrentPage(l);}this.firePage({currentPage:l,previousPage:c});return this;};
b.prototype.previousPage=function(){if(this.getShowMoreSteps()>0){return this;}var c=this.getCurrentPage();if(c<=1){return this;}this.getAggregation("footerPager").setCurrentPage(c-1);if(this.getDomRef()&&this.bShowAnimation){if(this.sCurrentAnimation!==null){this.aAnimationQueue.push({name:b.PREVIOUS_PAGE,animationFunction:this.previousPage,args:arguments});return this;}else{this.sCurrentAnimation=b.PREVIOUS_PAGE;}this.iPreviousPage=c;this.setProperty("currentPage",c-1,true);this.startPagingAnimation();}else{this.setCurrentPage(c-1);}this.firePage({currentPage:c-1,previousPage:c});return this;};
b.prototype.nextPage=function(){if(this.getShowMoreSteps()>0){return this;}var c=this.getCurrentPage();var l=Math.ceil(this._getRowCount()/this.getNumberOfRows());if(c>=l){return this;}this.getAggregation("footerPager").setCurrentPage(c+1);if(this.getDomRef()&&this.bShowAnimation){if(this.sCurrentAnimation!==null){this.aAnimationQueue.push({name:b.NEXT_PAGE,animationFunction:this.nextPage,args:arguments});return this;}else{this.sCurrentAnimation=b.NEXT_PAGE;}this.iPreviousPage=c;this.setProperty("currentPage",c+1,true);this.startPagingAnimation();}else{this.setCurrentPage(c+1);}this.firePage({currentPage:c+1,previousPage:c});return this;};
b.prototype.gotoPage=function(p){if(this.getShowMoreSteps()>0){return this;}var c=this.getCurrentPage();var l=Math.ceil(this._getRowCount()/this.getNumberOfRows());if(p<1||p>l||c===p){return this;}this.getAggregation("footerPager").setCurrentPage(p);if(this.getDomRef()&&this.bShowAnimation){if(this.sCurrentAnimation!==null){this.aAnimationQueue.push({name:b.GOTO_PAGE,animationFunction:this.gotoPage,args:arguments});return this;}else{this.sCurrentAnimation=b.GOTO_PAGE;}this.iPreviousPage=c;this.setProperty("currentPage",p,true);this.startPagingAnimation();}else{this.setCurrentPage(p);}this.firePage({currentPage:p,previousPage:c});return this;};
b.prototype.setNumberOfRows=function(n){this.setProperty("numberOfRows",n);if(this.getBinding("rows")){this.updateRows(true);}this.updateChildControls();return this;};
b.prototype.setCurrentPage=function(c){if(this.getCurrentPage()!=c){this.setProperty("currentPage",c);if(this.getBinding("rows")){this.updateRows(true);}this.updateChildControls();}return this;};
b.prototype.setShowMoreSteps=function(s){var n=s>0?false:true,B=this.getBinding("rows");if(n!==this.bPagingMode){this.bPagingMode=n;this.setCurrentPage(1);}this.setProperty("showMoreSteps",s);if(B){this._bSecondPage=false;this.updateRows(true);}return this;};
b.prototype.insertRow=function(r,i){this.insertAggregation("rows",r,i);this.updateChildControls();return this;};
b.prototype.addRow=function(r){this.addAggregation("rows",r);this.updateChildControls();return this;};
b.prototype.removeRow=function(e){this.removeAggregation("rows",e);this.updateChildControls();return this;};
b.prototype.removeAllRows=function(){this.removeAllAggregation("rows");this.updateChildControls();return this;};
b.prototype.destroyRows=function(){this.destroyAggregation("rows");this.updateChildControls();return this;};
b.prototype.setThreshhold=function(t){this.setProperty("threshold",t,true);return this;};
b.prototype.insertFilter=function(f,i){var t=this.getAggregation("filterToolbar");var F=f.getId();var B=new sap.ui.commons.Button({text:f.getText(),icon:f.getIcon(),tooltip:f.getTooltip(),press:[function(){this.applyFilter(F);},this]});t.insertItem(B,i);this.insertAggregation("filters",f,i);return this;};
b.prototype.addFilter=function(f){var t=this.getAggregation("filterToolbar");var F=f.getId();var B=new sap.ui.commons.Button({text:f.getText(),icon:f.getIcon(),tooltip:f.getTooltip(),press:[function(){this.applyFilter(F);},this]});t.addItem(B);this.addAggregation("filters",f);return this;};
b.prototype.removeFilter=function(e){var t=this.getAggregation("filterToolbar");t.removeItem(e);return this.removeAggregation("filters",e);};
b.prototype.removeAllFilters=function(){var t=this.getAggregation("filterToolbar");t.removeAllItems();return this.removeAllAggregation("filters");};
b.prototype.destroyFilters=function(){var t=this.getAggregation("filterToolbar");t.removeAllItems();this.destroyAggregation("filters");return this;};
b.prototype.insertSorter=function(s,i){var t=this.getAggregation("sorterToolbar");var S=s.getId();var B=new sap.ui.commons.Button({text:s.getText(),icon:s.getIcon(),tooltip:s.getTooltip(),press:[function(){this.triggerSort(S);},this]});t.insertItem(B,i);this.insertAggregation("sorters",s,i);return this;};
b.prototype.addSorter=function(s){var t=this.getAggregation("sorterToolbar");var S=s.getId();var B=new sap.ui.commons.Button({text:s.getText(),icon:s.getIcon(),tooltip:s.getTooltip(),press:[function(){this.triggerSort(S);},this]});t.addItem(B);this.addAggregation("sorters",s);return this;};
b.prototype.removeSorter=function(e){var t=this.getAggregation("sorterToolbar");t.removeItem(e);return this.removeAggregation("sorters",e);};
b.prototype.removeAllSorters=function(){var t=this.getAggregation("sorterToolbar");t.removeAllItems();return this.removeAllAggregation("sorters");};
b.prototype.destroySorters=function(){var t=this.getAggregation("sorterToolbar");t.removeAllItems();this.destroyAggregation("sorters");return this;};
b.prototype.startPagingAnimation=function(){var c=sap.ui.getCore(),r=c.getRenderManager(),i=this.getId(),p=this.iPreviousPage,P=this.getCurrentPage(),N=this.getNumberOfRows(),s=(P-1)*N,d=this.getRows(),e=this._getRowCount()>N*P?N:this._getRowCount()-N*(P-1),n,B=this.getBinding("rows");var D,j=this.$("page_"+p),o=this.getDomRef("body"),J=q(o);J.css("height",J.outerHeight());var f;if(sap.ui.getCore()&&sap.ui.getCore().getConfiguration()&&sap.ui.getCore().getConfiguration().getRTL()){f=(P<p)?"left":"right";}else{f=(P<p)?"right":"left";}if(B){this._bSecondPage=!this._bSecondPage;this.updateRows(true);d=this.getRows();s=(this._bSecondPage?1:0)*N;}var S="\"top:-"+j.outerHeight(true)+"px;"+f+":"+j.outerWidth(true)+"px;\"";q("<ul id=\""+i+"-page_"+P+"\" class=\"sapUiRrPage\" style="+S+"/>").appendTo(o);var g=o.lastChild;var h=q(g);for(n=s;n<s+e;n++){q("<li id=\""+i+"-row_"+n+"\" class=\"sapUiRrRow\"/>").appendTo(g);D=g.lastChild;r.render(d[n],D);}if(f==="right"){j.animate({right:-j.outerWidth(true)},"slow");h.animate({right:0},"slow");}else{j.animate({left:-j.outerWidth(true)},"slow");h.animate({left:0},"slow");}J.animate({height:h.outerHeight(true)},"slow",q.proxy(this.endPagingAnimation,this));};
b.prototype.endPagingAnimation=function(){var d=this.getDomRef("body");var D=this.getDomRef("page_"+this.iPreviousPage);var o=this.getDomRef("page_"+this.getCurrentPage());var j=q(o);q(d).css("height","");q(D).remove();var s;if(sap.ui.getCore()&&sap.ui.getCore().getConfiguration()&&sap.ui.getCore().getConfiguration().getRTL()){s=(this.getCurrentPage()<this.iPreviousPage)?"left":"right";}else{s=(this.getCurrentPage()<this.iPreviousPage)?"right":"left";}j.css("top","");j.css(s,"");this.sCurrentAnimation=null;this.nextQueuedAnimation();};
b.prototype.startResizeAnimation=function(){var r=sap.ui.getCore().getRenderManager(),N=this.getNumberOfRows(),o=this.iPreviousNumberOfRows,i=this.getId(),s=0,c,B=this.getBinding("rows");var d,D=this.getDomRef("body"),j=q(D),e=this.getDomRef("page_"+this.getCurrentPage());j.css("height",j.outerHeight());if(B){this.updateRows(true);}c=this.getRows();if(N>o){for(var n=o;n<N;n++){q("<li id=\""+i+"-row_"+n+"\" class=\"sapUiRrRow\"/>").appendTo(e);d=e.lastChild;r.render(c[n],d);}}else{for(var n=N;n<o;n++){d=this.getDomRef("row_"+n);s-=q(d).outerHeight(true);this.aRemoveBuffer.push(d);}}j.animate({height:q(e).outerHeight(true)+s},"slow",q.proxy(this.endResizeAnimation,this));};
b.prototype.endResizeAnimation=function(){var d=this.getDomRef("body");while(this.aRemoveBuffer.length>0){q(this.aRemoveBuffer.pop()).remove();}q(d).css("height","");this.sCurrentAnimation=null;this.nextQueuedAnimation();};
b.prototype.nextQueuedAnimation=function(){var n,l;var c=1;var Q=this.aAnimationQueue;var p,N;if(Q.length>0){n=Q.shift();}if(n&&Q.length>0){while(Q[0]&&Q[0].name===n.name){c++;l=Q.shift();}if(c>0){switch(n.name){case b.SHOW_MORE:N=Math.min(this._getRowCount(),this.getNumberOfRows()+this.getShowMoreSteps()*c);n={name:b.RESIZE,animationFunction:this.resize,args:[N]};break;case b.RESIZE:n=l;break;case b.FIRST_PAGE:break;case b.LAST_PAGE:break;case b.PREVIOUS_PAGE:p=Math.max(1,this.getCurrentPage()-c);n={name:b.GOTO_PAGE,animationFunction:this.gotoPage,args:[p]};break;case b.NEXT_PAGE:p=Math.min(Math.ceil(this._getRowCount()/this.getNumberOfRows()),this.getCurrentPage()+c);n={name:b.GOTO_PAGE,animationFunction:this.gotoPage,args:[p]};break;case b.GOTO_PAGE:n=l;break;}}}if(n){n.animationFunction.apply(this,n.args);}};
b.prototype.paging=function(e){switch(e.getParameter("type")){case sap.ui.commons.PaginatorEvent.First:this.firstPage();break;case sap.ui.commons.PaginatorEvent.Last:this.lastPage();break;case sap.ui.commons.PaginatorEvent.Previous:this.previousPage();break;case sap.ui.commons.PaginatorEvent.Next:this.nextPage();break;case sap.ui.commons.PaginatorEvent.Goto:this.gotoPage(e.getParameter("targetPage"));break;}};
b.prototype.updateChildControls=function(){var s,p;var S;if(this.bPagingMode){var c=this.getCurrentPage();var l=Math.ceil(this._getRowCount()/this.getNumberOfRows());if(this._getRowCount()==0){l=1;}p=this.getAggregation("footerPager");if(p){p.setCurrentPage(c);p.setNumberOfPages(l);}}else{S=this._getRowCount()>this.getNumberOfRows();s=this.getAggregation("headerShowMoreButton");if(s){s.setEnabled(S);}s=this.getAggregation("footerShowMoreButton");if(s){s.setEnabled(S);}}};
b.prototype.isBound=function(n){return sap.ui.core.Element.prototype.isBound.call(this,n||"rows");};
b.prototype._getRowCount=function(){var B=this.getBinding("rows");if(B){return B.getLength();}else{return this.getRows().length;}};
b.prototype.unbindAggregation=function(n){sap.ui.core.Element.prototype.unbindAggregation.apply(this,arguments);if(n==="rows"){this.destroyRows();}return this;};
b.prototype.refreshRows=function(){var B=this.getBindingInfo("rows"),o=B.binding,r=this._getRowCount(),n=this.getNumberOfRows(),N=Math.min(r,n),t=this.getThreshold();this.setProperty("currentPage",1,true);o.getContexts(0,N,t);};
b.prototype.updateRows=function(v){var B=this.getBindingInfo("rows"),f=B.factory,o=B.binding,s=this.getShowMoreSteps(),S=s>0,c=this.getCurrentPage(),r=this._getRowCount(),n=this.getNumberOfRows(),N=Math.min(r,n),L=Math.ceil(r/n)||1;if(c>L){c=L;this.setProperty("currentPage",c);this._bSecondPage=false;}var F=S?0:(c-1)*N,d=(this._bSecondPage?1:0)*N,t=this.getThreshold(),e=o?o.getContexts(F,N,t):[];if(v!==true){this._bSecondPage=false;this.destroyRows();for(var i=0,l=N;i<l;i++){var I=this.getId()+"-"+i,g=f(I,e[i]);g.setBindingContext(e[i],B.model);this.addRow(g);}}else{this._bSuppressInvalidate=true;for(var i=0,l=N;i<l;i++){var h=d+i;var j=this.getRows()[h];if(!S){if(j){this.removeAggregation("rows",j,true);j.destroy();}j=undefined;}if(!j){var I=this.getId()+"-"+h;j=f(I,e[i]);j.setBindingContext(e[i],B.model);this.insertAggregation("rows",j,h,true);}else{j.setBindingContext(e[i],B.model);}}this._bSuppressInvalidate=false;}this.updateChildControls();};
b.prototype.invalidate=function(o){if(this._bSuppressInvalidate){return;}C.prototype.invalidate.apply(this,arguments);};
return b;},true);
sap.ui.predefine('sap/ui/commons/RowRepeaterFilter',['jquery.sap.global','./library','sap/ui/core/Element'],function(q,l,E){"use strict";
var R=E.extend("sap.ui.commons.RowRepeaterFilter",{metadata:{library:"sap.ui.commons",properties:{text:{type:"string",group:"Appearance",defaultValue:null},icon:{type:"string",group:"Appearance",defaultValue:null},filters:{type:"object",group:"Data",defaultValue:null}}}});
return R;},true);
sap.ui.predefine('sap/ui/commons/RowRepeaterRenderer',['jquery.sap.global','./Button','./Paginator','./Toolbar'],function(q,B,P,T){"use strict";var R={};
R.render=function(r,c){r.write("<div");r.writeControlData(c);r.addClass("sapUiRrDesign"+c.getDesign());r.writeClasses();r.write(">");if(c.getDesign()!==sap.ui.commons.RowRepeaterDesign.BareShell){this.renderHeader(r,c);}this.renderBody(r,c);if(c.getDesign()!==sap.ui.commons.RowRepeaterDesign.BareShell){this.renderFooter(r,c);}r.write("</div>");};
R.renderHeader=function(r,c){this.renderPrimaryToolbar(r,c);if(c.getSorters().length>1&&c.isBound()){this.renderSecondaryToolbar(r,c);}};
R.renderPrimaryToolbar=function(r,c){r.write("<div");r.addClass("sapUiRrPtb");r.writeClasses();r.write(">");if(c.getTitle()!==null){this.renderTitle(r,c);}this.renderFilterToolbar(r,c);this.renderController(r,c);r.write("</div>");};
R.renderTitle=function(r,c){var t=c.getTitle();var s=t.getTooltip_AsString();if(t.getIcon()){r.write("<div");r.addClass("sapUiRrLogo");r.writeClasses();if(s!==undefined){r.writeAttributeEscaped("title",s);}r.write(">");if(t.getIcon()){r.write("<img");r.writeAttributeEscaped("src",t.getIcon());r.write("/>");}r.write("</div>");}if(t.getText()){r.write("<div");r.addClass("sapUiRrTitle");r.writeClasses();r.writeAttribute("role","heading");r.write(">");r.writeEscaped(t.getText());r.write("</div>");}};
R.renderFilterToolbar=function(r,c){var f=c.getFilters();if(f.length>0){r.write("<div");r.addClass("sapUiRrFilters");r.writeClasses();r.write(">");if(f.length>1&&c.isBound()){r.renderControl(c.getAggregation("filterToolbar"));}r.write("</div>");}};
R.renderController=function(r,c){if(!c.bPagingMode){r.write("<div");r.addClass("sapUiRrCtrl");r.writeClasses();r.write(">");r.renderControl(c.getAggregation("headerShowMoreButton"));r.write("</div>");}};
R.renderSecondaryToolbar=function(r,c){r.write("<div");r.addClass("sapUiRrStb");r.writeClasses();r.write(">");r.write("<div");r.addClass("sapUiRrSortBy");r.writeClasses();r.write(">");r.writeEscaped(c.oResourceBundle.getText("SORT_BY")+":");r.write("</div>");r.write("<div");r.addClass("sapUiRrSorters");r.writeClasses();r.write(">");r.renderControl(c.getAggregation("sorterToolbar"));r.write("</div>");r.write("</div>");};
R.renderBody=function(r,c){var i=c.getId();var s=c.getShowMoreSteps();var C=c.getCurrentPage();var n=c.getNumberOfRows();var S=(C-1)*n;var a=c.getRows();var b=c._getRowCount();var m=b-S;var d=c._getRowCount()>n?n:m;var l=Math.ceil(b/n);var e;d=Math.min(d,m);if(s>0){S=0;}r.write("<div");r.writeAttribute("id",i+"-body");r.addClass("sapUiRrBody");r.writeClasses();r.write(">");r.write("<ul");r.writeAttribute("id",i+"-page_"+C);r.addClass("sapUiRrPage");r.writeClasses();r.write(">");if(a.length===0||l<C){r.write("<li");r.addClass("sapUiRrNoData");r.writeClasses();r.write(">");var N=c.getNoData();if(N){r.renderControl(N);}else{r.writeEscaped(c.oResourceBundle.getText("NO_DATA"));}r.write("</li>");}else{var f;if(c.getFixedRowHeight()!==""){f="height:"+c.getFixedRowHeight()+";overflow:hidden;";}if(c.getBinding("rows")){S=c._bSecondPage?n:0;}for(e=S;e<S+d;e++){r.write("<li");r.writeAttribute("id",i+"-row_"+e);if(f){r.writeAttribute("style",f);}r.addClass("sapUiRrRow");r.writeClasses();r.write(">");r.renderControl(a[e]);r.write("</li>");}}r.write("</ul>");r.write("</div>");};
R.renderFooter=function(r,c){r.write("<div");r.addClass("sapUiRrFtr");r.writeClasses();r.write(">");if(c.bPagingMode){r.renderControl(c.getAggregation("footerPager"));}else{r.renderControl(c.getAggregation("footerShowMoreButton"));}r.write("</div>");};
return R;},true);
sap.ui.predefine('sap/ui/commons/RowRepeaterSorter',['jquery.sap.global','./library','sap/ui/core/Element'],function(q,l,E){"use strict";
var R=E.extend("sap.ui.commons.RowRepeaterSorter",{metadata:{library:"sap.ui.commons",properties:{text:{type:"string",group:"Appearance",defaultValue:null},icon:{type:"string",group:"Appearance",defaultValue:null},sorter:{type:"object",group:"Data",defaultValue:null}}}});
return R;},true);
sap.ui.predefine('sap/ui/commons/SearchField',['jquery.sap.global','./ComboBox','./ComboBoxRenderer','./ListBox','./TextField','./TextFieldRenderer','./library','sap/ui/core/Control','sap/ui/core/History','sap/ui/core/Renderer',"./SearchFieldRenderer",'jquery.sap.dom'],function(q,C,a,L,T,b,l,c,H,R,S){"use strict";
var d=c.extend("sap.ui.commons.SearchField",{metadata:{interfaces:["sap.ui.commons.ToolbarItem"],library:"sap.ui.commons",properties:{enableListSuggest:{type:"boolean",group:"Behavior",defaultValue:true},showListExpander:{type:"boolean",group:"Behavior",defaultValue:true},enableClear:{type:"boolean",group:"Behavior",defaultValue:false},showExternalButton:{type:"boolean",group:"Behavior",defaultValue:false},enableCache:{type:"boolean",group:"Behavior",defaultValue:true},enableFilterMode:{type:"boolean",group:"Behavior",defaultValue:false},value:{type:"string",group:"Data",defaultValue:''},enabled:{type:"boolean",group:"Behavior",defaultValue:true},editable:{type:"boolean",group:"Behavior",defaultValue:true},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},maxLength:{type:"int",group:"Behavior",defaultValue:0},valueState:{type:"sap.ui.core.ValueState",group:"Appearance",defaultValue:sap.ui.core.ValueState.None},placeholder:{type:"string",group:"Appearance",defaultValue:""},textAlign:{type:"sap.ui.core.TextAlign",group:"Appearance",defaultValue:sap.ui.core.TextAlign.Begin},visibleItemCount:{type:"int",group:"Behavior",defaultValue:20},startSuggestion:{type:"int",group:"Behavior",defaultValue:3},maxSuggestionItems:{type:"int",group:"Behavior",defaultValue:10},maxHistoryItems:{type:"int",group:"Behavior",defaultValue:0}},aggregations:{searchProvider:{type:"sap.ui.core.search.SearchProvider",multiple:false}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{search:{parameters:{query:{type:"string"}}},suggest:{parameters:{value:{type:"string"}}}}}});
(function(){var _=20;
d.prototype.init=function(){h(this,this.getEnableListSuggest());this._oHistory=new H(this.getId());this._clearTooltipText=j("SEARCHFIELD_CLEAR_TOOLTIP");};
d.prototype.exit=function(){if(this._ctrl){this._ctrl.destroy();}if(this._lb){this._lb.destroy();}if(this._btn){this._btn.destroy();}this._ctrl=null;this._lb=null;this._btn=null;this._oHistory=null;};
d.prototype.onThemeChanged=function(E){if(this.getDomRef()){this.invalidate();}};
d.prototype.onAfterRendering=function(){if(this.getShowExternalButton()){var B=this._btn.$().outerWidth(true);this._ctrl.$().css(sap.ui.getCore().getConfiguration().getRTL()?"left":"right",B+"px");}e(this);};
d.prototype.getFocusDomRef=function(){return this._ctrl.getFocusDomRef();};
d.prototype.getIdForLabel=function(){return this._ctrl.getId()+'-input';};
d.prototype.onpaste=function(E){var t=this;setTimeout(function(){t._ctrl._triggerValueHelp=true;t._ctrl.onkeyup();},0);};
d.prototype.oncut=d.prototype.onpaste;
d.prototype.fireSearch=function(A){var v=q(this._ctrl.getInputDomRef()).val();if(!this.getEditable()||!this.getEnabled()){return this;}this.setValue(v);if(!v&&!this.getEnableFilterMode()){return this;}if(!A){A={};}if(!A.noFocus){v=this.getValue();this.focus();if(v&&(this.getMaxHistoryItems()>0)){this._oHistory.add(v);}this.fireEvent("search",{query:v});}return this;};
d.prototype.hasListExpander=function(){return k()?false:this.getShowListExpander();};
d.prototype.clearHistory=function(){this._oHistory.clear();};
d.prototype.suggest=function(s,i){if(!this.getEnableListSuggest()||!s||!i){return;}this._ctrl.updateSuggestions(s,i);};
d.prototype.setEnableListSuggest=function(E){if((this.getEnableListSuggest()&&E)||(!this.getEnableListSuggest()&&!E)){return this;}h(this,E);this.setProperty("enableListSuggest",E);return this;};
d.prototype.getValue=function(){return g(this,"Value");};
d.prototype.setValue=function(v){var r=f(this,"Value",v,!!this.getDomRef(),true);if(this.getEnableClear()&&this.getDomRef()){this.$().toggleClass("sapUiSearchFieldVal",!!v);e(this);}return r;};
d.prototype.setEnableCache=function(E){return this.setProperty("enableCache",E,true);};
d.prototype.getEnabled=function(){return g(this,"Enabled");};
d.prototype.setEnabled=function(E){if(this._btn){this._btn.setEnabled(E&&this.getEditable());}return f(this,"Enabled",E,false,true);};
d.prototype.getEditable=function(){return g(this,"Editable");};
d.prototype.setEditable=function(E){if(this._btn){this._btn.setEnabled(E&&this.getEnabled());}return f(this,"Editable",E,false,true);};
d.prototype.getMaxLength=function(){return g(this,"MaxLength");};
d.prototype.setMaxLength=function(M){return f(this,"MaxLength",M,false,true);};
d.prototype.getValueState=function(){return g(this,"ValueState");};
d.prototype.setValueState=function(v){return f(this,"ValueState",v,false,true);};
d.prototype.getPlaceholder=function(){return g(this,"Placeholder");};
d.prototype.setPlaceholder=function(t){return f(this,"Placeholder",t,false,true);};
d.prototype.getTextAlign=function(){return g(this,"TextAlign");};
d.prototype.setTextAlign=function(t){return f(this,"TextAlign",t,false,true);};
d.prototype.getTooltip=function(){return g(this,"Tooltip");};
d.prototype.setTooltip=function(t){return f(this,"Tooltip",t,true,false);};
d.prototype.getVisibleItemCount=function(){return g(this,"MaxPopupItems");};
d.prototype.setVisibleItemCount=function(v){return f(this,"MaxPopupItems",v,false,true);};
d.prototype.setShowExternalButton=function(s){if(!this._btn){q.sap.require("sap.ui.commons.Button");var t=this;this._btn=new sap.ui.commons.Button(this.getId()+"-btn",{text:j("SEARCHFIELD_BUTTONTEXT"),enabled:this.getEditable()&&this.getEnabled(),press:function(){t.fireSearch();}});this._btn.setParent(this);}this.setProperty("showExternalButton",s);return this;};
d.prototype.getAriaDescribedBy=function(){return this._ctrl.getAriaDescribedBy();};
d.prototype.getAriaLabelledBy=function(){return this._ctrl.getAriaLabelledBy();};
d.prototype.removeAllAriaDescribedBy=function(){return this._ctrl.removeAllAriaDescribedBy();};
d.prototype.removeAllAriaLabelledBy=function(){return this._ctrl.removeAllAriaLabelledBy();};
d.prototype.removeAriaDescribedBy=function(v){return this._ctrl.removeAriaDescribedBy(v);};
d.prototype.removeAriaLabelledBy=function(v){return this._ctrl.removeAriaLabelledBy(v);};
d.prototype.addAriaDescribedBy=function(v){this._ctrl.addAriaDescribedBy(v);return this;};
d.prototype.addAriaLabelledBy=function(v){this._ctrl.addAriaLabelledBy(v);return this;};
var e=function(t){var $=t.$(),i=t._ctrl.$("searchico");if($.hasClass("sapUiSearchFieldClear")&&$.hasClass("sapUiSearchFieldVal")){i.attr("title",t._clearTooltipText);}else{i.removeAttr("title");}};var f=function(t,M,v,s,u){var o=g(t,M);t._ctrl["set"+M](v);if(!s){t.invalidate();}if(u){t.updateModelProperty(M.toLowerCase(),v,o);}return t;};var g=function(t,G){return t._ctrl["get"+G]();};var h=function(t,E){if(!t._lb){t._lb=new L(t.getId()+"-lb");}var o=t._ctrl;var n=null;if(E){n=new d.CB(t.getId()+"-cb",{listBox:t._lb,maxPopupItems:_});n.addDependent(t._lb);}else{n=new d.TF(t.getId()+"-tf");}n.setParent(t);n.addEventDelegate({onAfterRendering:function(){e(t);var F=q(n.getFocusDomRef());var s=F.attr("aria-labelledby")||"";if(s){s=" "+s;}F.attr("aria-labelledby",t.getId()+"-label"+s);}});if(o){n.setValue(o.getValue());n.setEnabled(o.getEnabled());n.setEditable(o.getEditable());n.setMaxLength(o.getMaxLength());n.setValueState(o.getValueState());n.setPlaceholder(o.getPlaceholder());n.setTextAlign(o.getTextAlign());n.setTooltip(o.getTooltip());n.setMaxPopupItems(o.getMaxPopupItems());var A=o.getAriaDescribedBy();for(var i=0;i<A.length;i++){n.addAriaDescribedBy(A[i]);}o.removeAllAriaDescribedBy();A=o.getAriaLabelledBy();for(var i=0;i<A.length;i++){n.addAriaLabelledBy(A[i]);}o.removeAllAriaLabelledBy();o.removeAllDependents();o.destroy();}t._ctrl=n;};var j=function(K,A){var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");if(r){return r.getText(K,A);}return K;};var k=function(){return sap.ui.Device.browser.mobile&&!sap.ui.Device.system.desktop;};var m=function(r,o){r.write("<div");r.writeAttributeEscaped('id',o.getId()+'-searchico');r.writeAttribute('unselectable','on');if(sap.ui.getCore().getConfiguration().getAccessibility()){r.writeAttribute("role","presentation");}r.addClass("sapUiSearchFieldIco");r.writeClasses();r.write("></div>");};
T.extend("sap.ui.commons.SearchField.TF",{
metadata:{visibility:"hidden"},
constructor:function(i,s){T.apply(this,arguments);},
getInputDomRef:function(){return this.getDomRef("input");},
onkeyup:function(E){d.CB.prototype.onkeyup.apply(this,arguments);},
_triggerSuggest:function(s){this._sSuggest=null;if((s&&s.length>=this.getParent().getStartSuggestion())||(!s&&this.getParent().getStartSuggestion()==0)){this.getParent().fireSuggest({value:s});}},
_checkChange:function(E,D){this.getParent().fireSearch({noFocus:D});},
onsapfocusleave:function(E){if(this.getEditable()&&this.getEnabled()&&this.getRenderer().onblur&&E.relatedControlId!=this.getId()){this.getRenderer().onblur(this);}this._checkChange(E,true);},
onclick:function(E){if(E.target===this.getDomRef("searchico")){if(this.oPopup&&this.oPopup.isOpen()){this.oPopup.close();}if(this.getEditable()&&this.getEnabled()){this.focus();}if(!this.getParent().getEnableClear()){this._checkChange(E);}else{if(!q(this.getInputDomRef()).val()||!this.getEditable()||!this.getEnabled()){return;}this.setValue("");this._triggerValueHelp=true;this.onkeyup();if(this.getParent().getEnableFilterMode()){q(this.getInputDomRef()).val("");this.getParent().fireSearch();}}}},
getMaxPopupItems:function(){return this._iVisibleItemCount?this._iVisibleItemCount:_;},
setMaxPopupItems:function(M){this._iVisibleItemCount=M;},
renderer:{renderOuterContentBefore:m,renderOuterAttributes:function(r,o){r.addClass("sapUiSearchFieldTf");},renderInnerAttributes:function(r,o){if(!sap.ui.Device.os.ios){r.writeAttribute("type","search");}if(k()){r.writeAttribute('autocapitalize','off');r.writeAttribute('autocorrect','off');}}}
});
d.TF.prototype.getFocusDomRef=d.TF.prototype.getInputDomRef;
C.extend("sap.ui.commons.SearchField.CB",{
metadata:{visibility:"hidden"},
constructor:function(i,s){C.apply(this,arguments);this._mSuggestions={};this._aSuggestValues=[];this.mobile=false;},
updateSuggestions:function(s,i){this._mSuggestions[s]=i;if(this.getInputDomRef()&&q(this.getInputDomRef()).val()===s&&this._hasSuggestValue(s)){this._doUpdateList(s);}},
applyFocusInfo:function(F){q(this.getInputDomRef()).val(F.sTypedChars);return this;},
_getListBox:function(){return this.getParent()._lb;},
_hasSuggestValue:function(s){return this._aSuggestValues.length>0&&s==this._aSuggestValues[this._aSuggestValues.length-1];},
_doUpdateList:function(s,i){var E=this._updateList(s);this._aSuggestValues=[s];if((!this.oPopup||!this.oPopup.isOpen())&&!i&&!E){this._open();}else if(this.oPopup&&this.oPopup.isOpen()&&E){this._close();}if(!E&&!this._lastKeyIsDel&&s===q(this.getInputDomRef()).val()){this._doTypeAhead();}},
onclick:function(E){C.prototype.onclick.apply(this,arguments);if(E.target===this.getDomRef("searchico")){if(this.oPopup&&this.oPopup.isOpen()){this.oPopup.close();}if(!this.getParent().getEnableClear()){this.getParent().fireSearch();}else if(q(this.getInputDomRef()).val()&&this.getEditable()&&this.getEnabled()){this.setValue("");this._triggerValueHelp=true;this.onkeyup();this._aSuggestValues=[];if(this.getParent().getEnableFilterMode()){q(this.getInputDomRef()).val("");this.getParent().fireSearch();}}if(this.getEditable()&&this.getEnabled()){this.focus();}}else if(q.sap.containsOrEquals(this.getDomRef("providerico"),E.target)){if(this.getEditable()&&this.getEnabled()){this.focus();}}},
onkeypress:d.TF.prototype.onkeypress,
onkeyup:function(E){var i=q(this.getInputDomRef());var v=i.val();this.getParent().$().toggleClass("sapUiSearchFieldVal",!!v);e(this.getParent());if(E){var K=q.sap.KeyCodes;if(E.keyCode===K.F2){var F=q(this.getFocusDomRef());var D=F.data("sap.InNavArea");if(typeof D==="boolean"){F.data("sap.InNavArea",!D);}}if(C._isHotKey(E)||E.keyCode===K.F4&&E.which===0){return;}if(v&&v==i.getSelectedText()){return;}var n=E.which||E.keyCode;if(n!==K.ESCAPE||this instanceof d.TF){this._triggerValueHelp=true;this._lastKeyIsDel=n==K.DELETE||n==K.BACKSPACE;}}if(this._triggerValueHelp){this._triggerValueHelp=false;if(this._sSuggest){q.sap.clearDelayedCall(this._sSuggest);this._sSuggest=null;}var s=q(this.getInputDomRef()).val();if((s&&s.length>=this.getParent().getStartSuggestion())||(!s&&this.getParent().getStartSuggestion()==0)){this._sSuggest=q.sap.delayedCall(200,this,"_triggerSuggest",[s]);}else if(this._doUpdateList){this._doUpdateList(s,true);}}},
_triggerSuggest:function(s){this._sSuggest=null;if(!this._mSuggestions[s]||!this.getParent().getEnableCache()){this._aSuggestValues.push(s);var o=this.getParent().getSearchProvider();if(o){var i=this.getParent();o.suggest(s,function(v,n){if(i){i.suggest(v,n);}});}else{this.getParent().fireSuggest({value:s});}}else{this._doUpdateList(s);}},
_updateList:function(s){var E=false;var o=this._getListBox();o.destroyAggregation("items",true);var n=function(o,v,t,u){v=v?v:[];var w=Math.min(v.length,t);if(u&&w>0){o.addItem(new sap.ui.core.SeparatorItem());}for(var i=0;i<w;i++){o.addItem(new sap.ui.core.ListItem({text:v[i]}));}return w;};var p=n(o,this.getParent()._oHistory.get(s),this.getParent().getMaxHistoryItems(),false);var r=n(o,s&&s.length>=this.getParent().getStartSuggestion()?this._mSuggestions[s]:[],this.getParent().getMaxSuggestionItems(),p>0);if(p<=0&&r==0){o.addItem(new sap.ui.core.ListItem({text:j("SEARCHFIELD_NO_ITEMS"),enabled:false}));E=true;}var I=o.getItems().length;var M=this.getMaxPopupItems();o.setVisibleItems(M<I?M:I);o.setSelectedIndex(-1);o.setMinWidth(q(this.getDomRef()).rect().width+"px");o.rerender();return E;},
_prepareOpen:function(){},
_open:function(){C.prototype._open.apply(this,[0]);},
_rerenderListBox:function(){return this._updateList(this._aSuggestValues.length>0?this._aSuggestValues[this._aSuggestValues.length-1]:null)&&!this._forceOpen;},
_checkChange:function(E,i,D){this.getParent().fireSearch({noFocus:D});},
onsapfocusleave:function(E){if(E.relatedControlId===this._getListBox().getId()){this.focus();return;}this._checkChange(E,true,true);},
onfocusout:function(E){if(this.getEditable()&&this.getEnabled()&&this.getRenderer().onblur){this.getRenderer().onblur(this);}this._checkChange(E,true,true);},
onsapshow:function(E){if(this.getParent().hasListExpander()){C.prototype.onsapshow.apply(this,arguments);}else{E.preventDefault();E.stopImmediatePropagation();}},
_handleSelect:function(o){var i=C.prototype._handleSelect.apply(this,arguments);if(i&&i.getEnabled()){this.getParent().fireSearch();}},
renderer:{renderOuterContentBefore:function(r,o){if(o.getParent().hasListExpander()){a.renderOuterContentBefore.apply(this,arguments);}m.apply(this,arguments);if(o.getParent().getSearchProvider()&&o.getParent().getSearchProvider().getIcon()){r.write("<div");r.writeAttributeEscaped('id',o.getId()+'-providerico');r.writeAttribute('unselectable','on');if(sap.ui.getCore().getConfiguration().getAccessibility()){r.writeAttribute("role","presentation");}r.addClass("sapUiSearchFieldProvIco");r.writeClasses();r.write("><img src=\""+o.getParent().getSearchProvider().getIcon()+"\"/></div>");}},renderOuterAttributes:function(r,o){a.renderOuterAttributes.apply(this,arguments);r.addClass("sapUiSearchFieldCb");if(o.getParent().getSearchProvider()&&o.getParent().getSearchProvider().getIcon()){r.addClass("sapUiSearchFieldCbProv");}},renderInnerAttributes:function(r,o){if(!sap.ui.Device.os.ios){r.writeAttribute("type","search");}if(k()){r.writeAttribute('autocapitalize','off');r.writeAttribute('autocorrect','off');}}}
});
}());return d;},true);
sap.ui.predefine('sap/ui/commons/SearchFieldRenderer',['jquery.sap.global'],function(q){"use strict";var S={};
S.render=function(r,c){var a=r;a.write("<div");a.writeControlData(c);a.addClass("sapUiSearchField");if(!c.getEditable()||!c.getEnabled()){a.addClass("sapUiSearchFieldDsbl");}if(!c.hasListExpander()){a.addClass("sapUiSearchFieldNoExp");}if(c.getEnableClear()){a.addClass("sapUiSearchFieldClear");}if(c.getWidth()){a.addStyle("width",c.getWidth());}if(c.getValue()){a.addClass("sapUiSearchFieldVal");}a.writeClasses();a.writeStyles();a.write(">");a.renderControl(c._ctrl);if(c.getShowExternalButton()){a.renderControl(c._btn);}var b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");a.write("<span id='",c.getId(),"-label' style='display:none;' aria-hidden='true'>");a.writeEscaped(b.getText("SEARCHFIELD_BUTTONTEXT"));a.write("</span>");a.write("</div>");};
return S;},true);
sap.ui.predefine('sap/ui/commons/SearchProvider',['jquery.sap.global','./library','sap/ui/core/search/OpenSearchProvider'],function(q,l,O){"use strict";
var S=O.extend("sap.ui.commons.SearchProvider",{metadata:{deprecated:true,library:"sap.ui.commons"}});
S.prototype._doSuggest=function(s,a){this.suggest(a,function(v,b){if(s&&s.suggest){s.suggest(v,b);}});};
return S;},true);
sap.ui.predefine('sap/ui/commons/SegmentedButton',['jquery.sap.global','sap/ui/core/Control','sap/ui/core/delegate/ItemNavigation',"./SegmentedButtonRenderer"],function(q,C,I,S){"use strict";
var a=C.extend("sap.ui.commons.SegmentedButton",{metadata:{interfaces:["sap.ui.commons.ToolbarItem","sap.ui.core.IFormContent"],library:"sap.ui.commons",properties:{enabled:{type:"boolean",group:"Misc",defaultValue:true}},aggregations:{buttons:{type:"sap.ui.commons.Button",multiple:true,singularName:"button"}},associations:{selectedButton:{type:"sap.ui.commons.Button",multiple:false}},events:{select:{parameters:{selectedButtonId:{type:"string"}}}}}});
a.prototype.init=function(){if(!this._oItemNavigation){this._oItemNavigation=new I();this._oItemNavigation.setCycling(true);this.addDelegate(this._oItemNavigation);}this._oButtonDelegate={oSegmentedButton:this,onAfterRendering:this._buttonOnAfterRendering};};
a.prototype.exit=function(){if(this._oItemNavigation){this.removeDelegate(this._oItemNavigation);this._oItemNavigation.destroy();delete this._oItemNavigation;}};
a.prototype.onAfterRendering=function(){this._setItemNavigation(true);};
a.prototype._buttonSelected=function(e){var o=sap.ui.getCore().byId(this.getSelectedButton()),n=e.getSource();if(n!==o){this.setSelectedButton(n);this.fireSelect({selectedButtonId:n.getId()});}};
a.prototype._setItemNavigation=function(A){var b,B,c=[];if(!this.getEnabled()){return;}if(this.getDomRef()){this._oItemNavigation.setRootDomRef(this.getDomRef("radiogroup"));B=this.getButtons();for(var i=0;i<B.length;i++){b=B[i];c.push(b.getDomRef());this._setAriaInfo(b,i+1);if(A){b.removeDelegate(this._oButtonDelegate);b.addDelegate(this._oButtonDelegate);}}this._oItemNavigation.setItemDomRefs(c);}};
a.prototype._setAriaInfo=function(b,i){var $=q(b.getDomRef()),l=this.getButtons().length;$.attr("aria-posinset",i);$.attr("aria-setsize",l);$.attr("role","radio");if(b.getId()===this.getSelectedButton()){$.attr("aria-checked","true");$.removeAttr("aria-describedby");}else{$.removeAttr("aria-checked");$.attr("aria-describedby",this.getId()+"-label");}};
a.prototype._buttonOnAfterRendering=function(){this.oSegmentedButton._setItemNavigation();};
a.prototype._rerenderButtons=function(){var $=this.$();if($.length>0){var r=sap.ui.getCore().createRenderManager();sap.ui.commons.SegmentedButtonRenderer.renderButtons(r,this);r.flush($[0]);r.destroy();}};
a.prototype.addButton=function(b){this.addAggregation("buttons",b,true);b.attachPress(this._buttonSelected,this);this._rerenderButtons();return this;};
a.prototype.insertButton=function(b,i){this.insertAggregation("buttons",b,i,true);b.attachPress(this._buttonSelected,this);this._rerenderButtons();return this;};
a.prototype.removeButton=function(b){var r=this.removeAggregation("buttons",b,true);if(r){r.detachPress(this._buttonSelected,this);r.removeDelegate(this._oButtonDelegate);this._rerenderButtons();}return r;};
a.prototype.removeAllButtons=function(){var r=this.removeAllAggregation("buttons",true);q.each(r,function(i,b){b.detachPress(this._buttonSelected,this);b.removeDelegate(this._oButtonDelegate);});this._rerenderButtons();return r;};
a.prototype.setSelectedButton=function(b){var B,o=sap.ui.getCore().byId(this.getSelectedButton());this.setAssociation("selectedButton",b,true);B=sap.ui.getCore().byId(this.getSelectedButton());this._setItemNavigation();var c=this.getButtons();for(var i=0;i<c.length;i++){if(c[i]===B){this._oItemNavigation.setFocusedIndex(i);break;}}if(o){o.removeStyleClass("sapUiSegButtonSelected");o.$().blur();}if(o&&o._icon){o.setIcon(o._icon);o._icon=null;}if(B){if(B.getIconHovered()){B._icon=B.getIcon();B.setIcon(B.getIconHovered());}B.addStyleClass("sapUiSegButtonSelected");}};
a.prototype.setEnabled=function(e){q.each(this.getButtons(),function(i,b){b.setEnabled(e);});if(this._oItemNavigation&&!e){this.removeDelegate(this._oItemNavigation);}else{this.addDelegate(this._oItemNavigation);}this.setProperty("enabled",e);return this;};
a.prototype.clone=function(s){var b=this.getButtons(),B,i=0;for(;i<b.length;i++){B=b[i];B.detachPress(this._buttonSelected,this);}var c=sap.ui.core.Element.prototype.clone.apply(this,arguments);for(i=0;i<b.length;i++){B=b[i];B.attachPress(this._buttonSelected,this);}return c;};
a.prototype.getFocusDomRef=function(){return this.getDomRef("radiogroup")||null;};
return a;},true);
sap.ui.predefine('sap/ui/commons/SegmentedButtonRenderer',['jquery.sap.global'],function(q){"use strict";var S={};
S.render=function(r,c){var a=r,b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons"),t=b.getText("SEGMENTEDBUTTON_ARIA_SELECT");a.write("<span");a.writeControlData(c);a.addClass("sapUiSegmentedButton");a.writeClasses();a.write(">");a.write('<span id="'+c.getId()+'-radiogroup"');a.writeAccessibilityState(c,{role:"radiogroup",disabled:!c.getEnabled()});if(c.getEnabled()){a.writeAttribute("tabIndex","0");}else{a.writeAttribute("tabIndex","-1");}a.write(">");this.renderButtons(a,c);a.write("</span>");a.write('<span id="'+c.getId()+'-label" style="visibility: hidden; display: none;">');a.writeEscaped(t);a.write('</span>');a.write("</span>");};
S.renderButtons=function(r,c){var a=r,b=c.getButtons();q.each(b,function(i,B){a.renderControl(B);});};
return S;},true);
sap.ui.predefine('sap/ui/commons/Slider',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/EnabledPropagator','sap/ui/core/ResizeHandler',"./SliderRenderer"],function(q,l,C,E,R,S){"use strict";
var a=C.extend("sap.ui.commons.Slider",{metadata:{interfaces:["sap.ui.core.IFormContent"],library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'},min:{type:"float",group:"Appearance",defaultValue:0},max:{type:"float",group:"Appearance",defaultValue:100},value:{type:"float",group:"Appearance",defaultValue:50},smallStepWidth:{type:"float",group:"Appearance",defaultValue:null},totalUnits:{type:"int",group:"Appearance",defaultValue:null},stepLabels:{type:"boolean",group:"Appearance",defaultValue:false},editable:{type:"boolean",group:"Behavior",defaultValue:true},enabled:{type:"boolean",group:"Behavior",defaultValue:true},labels:{type:"string[]",group:"Misc",defaultValue:null},vertical:{type:"boolean",group:"Appearance",defaultValue:false},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{change:{parameters:{value:{type:"float"}}},liveChange:{parameters:{value:{type:"float"}}}}}});
E.call(a.prototype);
a.prototype.exit=function(){if(this.sResizeListenerId){R.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}};
a.prototype.onBeforeRendering=function(){if(this.sResizeListenerId){R.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}var m=this.getMin();var M=this.getMax();if(m>M){q.sap.log.warning('Property wrong: Min:'+m+' > Max:'+M+'; values switched',this);this.setMin(M);this.setMax(m);M=m;m=this.getMin();}};
a.prototype.onAfterRendering=function(){this.oGrip=this.getDomRef("grip");this.oBar=this.getDomRef("bar");this.oHiLi=this.getDomRef("hili");this.bRtl=sap.ui.getCore().getConfiguration().getRTL();this.bAcc=sap.ui.getCore().getConfiguration().getAccessibility();this.bTextLabels=(this.getLabels()&&this.getLabels().length>0);this.oMovingGrip=this.oGrip;if(this.bTextLabels&&(this.getLabels().length-1)!=this.getTotalUnits()){q.sap.log.warning('label count should be one more than total units',this);}this.iDecimalFactor=this.calcDecimalFactor(this.getSmallStepWidth());this.iShiftGrip=Math.round(this.getOffsetWidth(this.oGrip)/2);var v=this.getValue();var m=this.getMin();var M=this.getMax();if(v>M){q.sap.log.warning('Property wrong: value:'+v+' > Max:'+M+'; value set to Max',this);v=M;}else if(v<m){q.sap.log.warning('Property wrong: value:'+v+' < Min:'+m+'; value set to Min',this);v=m;}var n=(v-this.getMin())/(this.getMax()-this.getMin())*this.getBarWidth();if(this.bRtl||this.getVertical()){n=this.getBarWidth()-n;}this.changeGrip(v,n,this.oGrip);this.repositionTicksAndLabels();this.allowTextSelection(false);this.oDomRef=this.getDomRef();this.sResizeListenerId=R.register(this.oDomRef,q.proxy(this.onresize,this));};
a.prototype.onclick=function(e){var m=this.oMovingGrip;if(this.getEditable()&&this.getEnabled()){var M;var s=e.target.getAttribute('ID');var n=this.getValue();var N=this.getOffsetLeft(this.oGrip)+this.iShiftGrip;var t=0;var o=0;var O=0;switch(s){case(this.oBar.id):case(this.oHiLi.id):if(this.getVertical()){M=this.getBarWidth()-this.getOffsetX(e);}else{M=this.getOffsetX(e);}if(s==this.oHiLi.id){if(this.getVertical()){M-=this.getOffsetLeft(this.oHiLi);}else{M+=this.getOffsetLeft(this.oHiLi);}}n=this.convertRtlValue(this.getMin()+(((this.getMax()-this.getMin())/this.getBarWidth())*M));N=this.getOffsetX(e);if(s==this.oHiLi.id){N+=this.getOffsetLeft(this.oHiLi);}if(this.oStartTarget&&this.targetIsGrip(this.oStartTarget.id)){m=this.oStartTarget;}else if(this.targetIsGrip(s)){m=e.target;}else{m=this.getNearestGrip(N);}break;case(this.getId()+'-left'):N=0;if(this.getVertical()){n=this.getMax();m=this.getRightGrip();}else{n=this.getMin();m=this.getLeftGrip();}break;case(this.getId()+'-right'):N=this.getBarWidth();if(!this.getVertical()){n=this.getMax();m=this.getRightGrip();}else{n=this.getMin();m=this.getLeftGrip();}break;default:if(this.targetIsGrip(s)){return;}t=s.search('-tick');if(t>=0){var T=parseInt(s.slice(this.getId().length+5),10);N=this.fTickDist*T;var i;if(this.bTextLabels){i=this.getLabels().length-1;}else{i=this.getTotalUnits();}n=this.convertRtlValue(this.getMin()+(((this.getMax()-this.getMin())/i)*T));if(this.oStartTarget&&this.targetIsGrip(this.oStartTarget.id)){m=this.oStartTarget;}else if(this.targetIsGrip(s)){m=e.target;}else{m=this.getNearestGrip(N);}break;}o=q(this.oBar).offset();O=q(e.target).offset();if(this.getVertical()){N=this.getOffsetX(e)-(o.top-O.top);}else{N=this.getOffsetX(e)-(o.left-O.left);}if(N<=0){N=0;if(this.getVertical()){n=this.getMax();}else{n=this.getMin();}}else{if(N>=this.getBarWidth()){N=this.getBarWidth();if(this.getVertical()){n=this.getMin();}else{n=this.getMax();}}else{if(this.getVertical()){M=this.getBarWidth()-N;}else{M=N;}n=this.getMin()+(((this.getMax()-this.getMin())/this.getBarWidth())*M);}}n=this.convertRtlValue(n);if(this.oStartTarget&&this.targetIsGrip(this.oStartTarget.id)){m=this.oStartTarget;}else if(this.targetIsGrip(s)){m=e.target;}else{m=this.getNearestGrip(N);}break;}var v=this.validateNewPosition(n,N,m,(this.getValueForGrip(m)>n));n=v.fNewValue;N=v.iNewPos;this.changeGrip(n,N,m);this.handleFireChange();}m.focus();this.oMovingGrip=m;this.oStartTarget=null;};
a.prototype.onmousedown=function(e){if(this.getEditable()&&this.getEnabled()&&!this._cancelMousedown){var m=e.target.getAttribute('ID');if(this.targetIsGrip(m)){this.bGripMousedown=true;if(e.targetTouches){this.iStartDragX=e.targetTouches[0].pageX;this.iStartDragY=e.targetTouches[0].pageY;}else{this.iStartDragX=e.pageX;this.iStartDragY=e.pageY;}this.iStartLeft=this.getOffsetLeft(e.target)+this.iShiftGrip;this.oMovingGrip=e.target;var t=this;this.handleMoveCall=function(b){t.handleMove(b);};this.preventSelect=function(b){return false;};if(!e.targetTouches){q(window.document).bind('mousemove',this.handleMoveCall);q(window.document).bind('selectstart',this.preventSelect);q.sap.bindAnyEvent(q.proxy(this.onAnyEvent,this));}}this.oStartTarget=null;}};
a.prototype.ontouchstart=function(e){if((e.originalEvent&&q.sap.startsWith(e.originalEvent.type,"mouse"))||(e.handleObj&&q.sap.startsWith(e.handleObj.origType,"mouse"))){return;}this._cancelMousedown=false;this.onmousedown(e);this._cancelMousedown=true;};
a.prototype.onmouseup=function(e){if(this.getEditable()&&this.getEnabled()){this.bGripMousedown=false;if(this.handleMoveCall){q(window.document).unbind('mousemove',this.handleMoveCall);q(window.document).unbind('selectstart',this.preventSelect);q.sap.unbindAnyEvent(this.onAnyEvent);if(this.iStartLeft!=(this.getOffsetLeft(this.oMovingGrip)+this.iShiftGrip)){this.handleFireChange(true);}this.handleMoveCall=null;this.iStartDragX=null;this.iStartDragY=null;this.iStartLeft=null;}}};
a.prototype.ontouchend=function(e){if((e.originalEvent&&q.sap.startsWith(e.originalEvent.type,"mouse"))||(e.handleObj&&q.sap.startsWith(e.handleObj.origType,"mouse"))){return;}this.onmouseup(e);};
a.prototype.handleMove=function(e){if(this.getEditable()&&this.getEnabled()&&this.bGripMousedown){e=e||window.event;var p,P;if(e.targetTouches){p=e.targetTouches[0].pageX;P=e.targetTouches[0].pageY;}else{p=e.pageX;P=e.pageY;}var n;var N;if(this.getVertical()){n=this.iStartLeft+P-this.iStartDragY;}else{n=this.iStartLeft+p-this.iStartDragX;}if(n<=0){n=0;if(this.getVertical()){N=this.getMax();}else{N=this.getMin();}}else{if(n>=this.getBarWidth()){n=this.getBarWidth();if(this.getVertical()){N=this.getMin();}else{N=this.getMax();}}else{var m;if(this.getVertical()){m=this.getBarWidth()-n;}else{m=n;}N=this.getMin()+(((this.getMax()-this.getMin())/this.getBarWidth())*m);}}N=this.convertRtlValue(N);var o=this.getValueForGrip(this.oMovingGrip);var v=this.validateNewPosition(N,n,this.oMovingGrip,(o>N));N=v.fNewValue;n=v.iNewPos;this.changeGrip(N,n,this.oMovingGrip);N=this.getValueForGrip(this.oMovingGrip);this.fireLiveChangeForGrip(this.oMovingGrip,N,o);this.oStartTarget=this.oMovingGrip;}e.cancelBubble=true;return false;};
a.prototype.ontouchmove=function(e){if((e.originalEvent&&q.sap.startsWith(e.originalEvent.type,"mouse"))||(e.handleObj&&q.sap.startsWith(e.handleObj.origType,"mouse"))){return;}this.handleMove(e);e.preventDefault();};
a.prototype.fireLiveChangeForGrip=function(g,n,o){if(g==this.oGrip){if(o!=n){this.fireLiveChange({value:n});}}};
a.prototype.onAnyEvent=function(e){q.sap.log.info('onAnyEvent fired: "'+e.type+'"');if((!this.getEditable())||(!this.getEnabled())||!this.bGripMousedown){return;}var s=e.target;if((!q.sap.containsOrEquals(this.oDomRef,s)||s.tagName=="BODY")&&e.type=='mouseup'){this.onmouseup(e);}};
a.prototype.onsapright=function(e){if(this.getEditable()&&this.getEnabled()){var n=this.convertRtlValue(this.getValueForGrip(this.oMovingGrip));var N=this.getOffsetLeft(this.oMovingGrip)+this.iShiftGrip;if(this.getSmallStepWidth()>0){var s=this.getBarWidth()/(this.getMax()-this.getMin())*this.getSmallStepWidth();if(s>1){n=n+this.getSmallStepWidth();if(this.getVertical()){N=N-s;}else{N=N+s;}}else{n=n+(1/s*this.getSmallStepWidth());if(this.getVertical()){N=N-1;}else{N=N+1;}}}else{n=n+((this.getMax()-this.getMin())/this.getBarWidth());if(this.getVertical()){N=N-1;}else{N=N+1;}}n=this.convertRtlValue(n);var v=this.validateNewPosition(n,N,this.oMovingGrip,!this.getVertical()&&this.bRtl);n=v.fNewValue;N=v.iNewPos;this.changeGrip(n,N,this.oMovingGrip);this.handleFireChange();}e.preventDefault();e.stopPropagation();};
a.prototype.onsapleft=function(e){if(this.getEditable()&&this.getEnabled()){var n=this.convertRtlValue(this.getValueForGrip(this.oMovingGrip));var N=this.getOffsetLeft(this.oMovingGrip)+this.iShiftGrip;if(this.getSmallStepWidth()>0){var s=this.getBarWidth()/(this.getMax()-this.getMin())*this.getSmallStepWidth();if(s>1){n=n-this.getSmallStepWidth();if(this.getVertical()){N=N+s;}else{N=N-s;}}else{n=n-(1/s*this.getSmallStepWidth());if(this.getVertical()){N=N+1;}else{N=N-1;}}}else{n=n-((this.getMax()-this.getMin())/this.getBarWidth());if(this.getVertical()){N=N+1;}else{N=N-1;}}n=this.convertRtlValue(n);var v=this.validateNewPosition(n,N,this.oMovingGrip,this.getVertical()||!this.bRtl);n=v.fNewValue;N=v.iNewPos;this.changeGrip(n,N,this.oMovingGrip);this.handleFireChange();}e.preventDefault();e.stopPropagation();};
a.prototype.onsapup=function(e){if(this.bRtl&&!this.getVertical()){this.onsapleft(e);}else{this.onsapright(e);}};
a.prototype.onsapdown=function(e){if(this.bRtl&&!this.getVertical()){this.onsapright(e);}else{this.onsapleft(e);}};
a.prototype.onsapexpand=function(e){if(!this.bRtl){this.onsapright(e);}else{this.onsapleft(e);}};
a.prototype.onsapcollapse=function(e){if(!this.bRtl){this.onsapleft(e);}else{this.onsapright(e);}};
a.prototype.onsaphome=function(e){if(this.getEditable()&&this.getEnabled()){var n=0;if(this.getVertical()||(this.bRtl&&!this.getVertical())){n=this.getBarWidth();}this.changeGrip(this.getMin(),n,this.oMovingGrip);this.handleFireChange();}e.preventDefault();e.stopPropagation();};
a.prototype.onsapend=function(e){if(this.getEditable()&&this.getEnabled()){var n=this.getBarWidth();if(this.getVertical()||(this.bRtl&&!this.getVertical())){n=0;}this.changeGrip(this.getMax(),n,this.oMovingGrip);this.handleFireChange();}e.preventDefault();e.stopPropagation();};
a.prototype.onsaprightmodifiers=function(e){if(this.getEditable()&&this.getEnabled()){if(!this.fPageSize){if(this.getTotalUnits()>0){this.fPageSize=(this.getMax()-this.getMin())/this.getTotalUnits();}else{this.fPageSize=(this.getMax()-this.getMin())/10;}}var n;if(!this.bRtl||this.getVertical()){n=this.getValueForGrip(this.oMovingGrip)+this.fPageSize;}else{n=this.getValueForGrip(this.oMovingGrip)-this.fPageSize;}var N=(n-this.getMin())/(this.getMax()-this.getMin())*this.getBarWidth();if(this.bRtl&&!this.getVertical()){N=this.getBarWidth()-N;}if(this.getVertical()){if(N>this.getBarWidth()){N=this.getBarWidth();}N=this.getBarWidth()-N;}var v=this.validateNewPosition(n,N,this.oMovingGrip,!this.getVertical()&&this.bRtl);n=v.fNewValue;N=v.iNewPos;this.changeGrip(n,N,this.oMovingGrip);this.handleFireChange();}e.preventDefault();e.stopPropagation();};
a.prototype.onsapleftmodifiers=function(e){if(this.getEditable()&&this.getEnabled()){if(!this.fPageSize){if(this.getTotalUnits()>0){this.fPageSize=(this.getMax()-this.getMin())/this.getTotalUnits();}else{this.fPageSize=(this.getMax()-this.getMin())/10;}}var n;if(!this.bRtl||this.getVertical()){n=this.getValueForGrip(this.oMovingGrip)-this.fPageSize;}else{n=this.getValueForGrip(this.oMovingGrip)+this.fPageSize;}var N=(n-this.getMin())/(this.getMax()-this.getMin())*this.getBarWidth();if(this.bRtl&&!this.getVertical()){N=this.getBarWidth()-N;}if(this.getVertical()){if(N<0){N=0;}N=this.getBarWidth()-N;}var v=this.validateNewPosition(n,N,this.oMovingGrip,this.getVertical()||!this.bRtl);n=v.fNewValue;N=v.iNewPos;this.changeGrip(n,N,this.oMovingGrip);this.handleFireChange();}e.preventDefault();e.stopPropagation();};
a.prototype.onsapdownmodifiers=function(e){if(this.bRtl&&!this.getVertical()){this.onsaprightmodifiers(e);}else{this.onsapleftmodifiers(e);}};
a.prototype.onsapupmodifiers=function(e){if(this.bRtl&&!this.getVertical()){this.onsapleftmodifiers(e);}else{this.onsaprightmodifiers(e);}};
a.prototype.onresize=function(e){if(!this.getDomRef()){if(this.sResizeListenerId){R.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}return;}var n=this.getValue();var N=(n-this.getMin())/(this.getMax()-this.getMin())*this.getBarWidth();if(this.getVertical()||this.bRtl){N=this.getBarWidth()-N;}this.changeGrip(n,N,this.oGrip);this.repositionTicksAndLabels();};
a.prototype.repositionTicksAndLabels=function(){var t;if(this.bTextLabels){t=this.getLabels().length-1;}else{t=this.getTotalUnits();}if(t>0){var T=null;var o=null;this.fTickDist=this.getBarWidth()/t;for(var i=0;i<=t;i++){T=q.sap.domById(this.getId()+'-tick'+i);var L=0;if(!this.bRtl||this.getVertical()){L=Math.round(this.fTickDist*i)-Math.ceil(this.getOffsetWidth(T)/2);}else{L=Math.round(this.fTickDist*i)-Math.floor(this.getOffsetWidth(T)/2);}if(this.getVertical()){L=this.getBarWidth()-L-this.getOffsetWidth(T);}this.setLeft(L,T);if(this.getStepLabels()&&i>0&&i<t){o=q.sap.domById(this.getId()+'-text'+i);if(this.getSmallStepWidth()>0&&this.iDecimalFactor>0&&!this.bTextLabels){q(o).text(Math.round(parseFloat(q(o).text())*this.iDecimalFactor)/this.iDecimalFactor);}if(!this.bRtl||this.getVertical()){L=Math.round((this.fTickDist*i))-Math.round((this.getOffsetWidth(o)/2));}else{L=Math.round((this.fTickDist*(t-i)))-Math.round((this.getOffsetWidth(o)/2));}if(this.getVertical()){L=this.getBarWidth()-L-this.getOffsetWidth(o);}this.setLeft(L,o);}}}};
a.prototype.onThemeChanged=function(e){if(this.getDomRef()){this.iShiftGrip=Math.round(this.getOffsetWidth(this.oGrip)/2);this.onresize();}};
a.prototype.changeGrip=function(n,N,g){if(N!=(this.getOffsetLeft(g)+this.iShiftGrip)){if(this.getSmallStepWidth()>0){var s=parseInt((n-this.getMin())/this.getSmallStepWidth(),10);var L=(s*this.getSmallStepWidth())+this.getMin();var r=((s+1)*this.getSmallStepWidth())+this.getMin();if(r>this.getMax()){r=this.getMax();}var f=this.getBarWidth()/(this.getMax()-this.getMin())*this.getSmallStepWidth();if((n-L)<(r-n)){n=L;N=s*f;}else{n=r;N=(s+1)*f;if(N>this.getBarWidth()){N=this.getBarWidth();}}if(this.getVertical()||this.bRtl){N=this.getBarWidth()-N;}n=Math.round(n*this.iDecimalFactor)/this.iDecimalFactor;}var i=Math.round(N-this.iShiftGrip);if(isNaN(i)){return;}q.sap.log.info("iNewPos: "+N+" - iLeft: "+i+" - iShiftGrip: "+this.iShiftGrip);this.updateValueProperty(n,g);if(this.bTextLabels){g.title=this.getNearestLabel(n);}else{g.title=n;}this.setLeft(i,g);this.adjustHighlightBar(N,g);if(this.bAcc){this.setAriaState();}}};
a.prototype.updateValueProperty=function(n,g){this.setProperty('value',n,true);};
a.prototype.adjustHighlightBar=function(n,g){if(this.bRtl){if(this.getVertical()){this.oHiLi.style.height=this.getBarWidth()-Math.round(n)+'px';}else{this.oHiLi.style.width=this.getBarWidth()-Math.round(n)+'px';}}else{if(this.getVertical()){this.oHiLi.style.height=this.getBarWidth()-Math.round(n)+'px';}else{this.oHiLi.style.width=Math.round(n)+'px';}}};
a.prototype.calcDecimalFactor=function(V){var f=1;if(!(V>0)){return f;}var m=String(V);var M=0;if(m.indexOf('.')>=0){M=m.length-m.indexOf('.')-1;}else{if(m.indexOf('e-')>=0){M=m.slice(m.indexOf('e-')+2);}else{return f;}}for(var i=1;i<=M;i++){f=f*10;}return f;};
a.prototype.setEditable=function(e){this.setProperty('editable',e,true);if(this.oDomRef&&this.getEnabled()){if(e){q(this.oDomRef).removeClass('sapUiSliRo').addClass('sapUiSliStd');if(this.bAcc){q(this.oGrip).attr('aria-disabled',false).attr('aria-readonly',false);}}else{q(this.oDomRef).removeClass('sapUiSliStd').addClass('sapUiSliRo');if(this.bAcc){q(this.oGrip).attr('aria-disabled',true).attr('aria-readonly',true);}}}return this;};
a.prototype.setEnabled=function(e){this.setProperty('enabled',e,true);if(this.oDomRef){q(this.oDomRef).toggleClass('sapUiSliDsbl',!e);if(e){q(this.oGrip).attr('tabindex','0');if(this.getEditable()){q(this.oDomRef).addClass('sapUiSliStd');if(this.bAcc){q(this.oGrip).attr('aria-disabled',false);}}else{q(this.oDomRef).addClass('sapUiSliRo');if(this.bAcc){q(this.oGrip).attr('aria-disabled',true);}}}else{q(this.oGrip).attr('tabindex','-1').attr('aria-disabled',true);if(this.getEditable()){q(this.oDomRef).removeClass('sapUiSliStd');}else{q(this.oDomRef).removeClass('sapUiSliRo');}}}return this;};
a.prototype.setTotalUnits=function(t){this.setProperty('totalUnits',t,false);this.fPageSize=false;return this;};
a.prototype.setValue=function(v){var n,m,M,b,i,N=parseFloat(v);this.setProperty('value',v,true);this._lastValue=v;if(!this.oBar||isNaN(v)){return this;}m=this.getMin();M=this.getMax();b=this.getBarWidth();i=this.getVertical();if(N>M){N=M;n=b;}else if(N<m){N=m;n=0;}else{n=((N-m)/(M-m))*b;}if(this.bRtl||i){n=b-n;}this.changeGrip(N,n,this.oGrip);this._lastValue=N;return this;};
a.prototype.handleFireChange=function(n){var v=this.getValue();if(v!==this._lastValue){this.fireChange({value:v});if(!n){this.fireLiveChange({value:v});}this._lastValue=v;}};
a.prototype.setAriaState=function(){var v=this.getValue();if(this.bTextLabels){v=this.getNearestLabel(v);}this.oGrip.setAttribute('aria-valuenow',v);};
a.prototype.getValueForGrip=function(g){return this.getValue();};
a.prototype.validateNewPosition=function(n,N,g,m){if(!this.bRtl||this.getVertical()){if(m){if(n<=this.getMin()||N<=0){n=this.getMin();if(this.getVertical()){N=this.getBarWidth();}else{N=0;}}}else{if(n>=this.getMax()||N>this.getBarWidth()){n=this.getMax();if(!this.getVertical()){N=this.getBarWidth();}else{N=0;}}}}else{if(m){if(n<=this.getMin()||N>this.getBarWidth()){n=this.getMin();N=this.getBarWidth();}}else{if(n>=this.getMax()||N<=0){n=this.getMax();N=0;}}}return{fNewValue:n,iNewPos:N};};
a.prototype.getNearestLabel=function(v){var p=Math.round((this.getLabels().length-1)/(this.getMax()-this.getMin())*(v-this.getMin()));if(this.bRtl){p=this.getLabels().length-1-p;}return this.getLabels()[p];};
a.prototype.getNearestGrip=function(o){return this.oGrip;};
a.prototype.getLeftGrip=function(){return this.oGrip;};
a.prototype.getRightGrip=function(){return this.oGrip;};
a.prototype.setLeft=function(n,o){if(o==undefined){return;}if(this.getVertical()){o.style.top=n+'px';}else{o.style.left=n+'px';}};
a.prototype.getOffsetWidth=function(o){if(this.getVertical()){return o.offsetHeight;}else{return o.offsetWidth;}};
a.prototype.getBarWidth=function(){if(this.getVertical()){return this.oBar.clientHeight;}else{return this.oBar.clientWidth;}};
a.prototype.getOffsetLeft=function(o){if(this.getVertical()){return o.offsetTop;}else{return o.offsetLeft;}};
a.prototype.getOffsetX=function(e){if(this.getVertical()){return e.getOffsetY();}else{if(this.bRtl){return e.getOffsetX();}else{return e.getOffsetX();}}};
a.prototype.convertRtlValue=function(n){if(this.bRtl&&!this.getVertical()){n=this.getMax()-n+this.getMin();}return n;};
a.prototype.targetIsGrip=function(m){if(m==this.oGrip.id){return true;}return false;};
a.prototype.getFocusDomRef=function(){return this.oGrip;};
a.prototype.getIdForLabel=function(){return this.getId()+'-grip';};
return a;},true);
sap.ui.predefine('sap/ui/commons/SliderRenderer',['jquery.sap.global'],function(q){"use strict";var S={};
S.render=function(r,s){var a=r;a.write('<DIV');a.writeControlData(s);a.addClass('sapUiSli');this.controlAdditionalCode(a,s);if(s.getTooltip_AsString()){a.writeAttributeEscaped('title',s.getTooltip_AsString());}if(!s.getVertical()&&s.getWidth()){a.writeAttribute('style','width:'+s.getWidth()+';');}else{a.writeAttribute('style','height:'+s.getHeight()+';');}if(!s.getEnabled()){a.addClass('sapUiSliDsbl');}else{if(!s.getEditable()){a.addClass('sapUiSliRo');}else{a.addClass('sapUiSliStd');}}if(s.getVertical()){a.addClass('sapUiSliVert');}else{a.addClass('sapUiSliHori');}a.writeClasses();if(s.getTooltip_AsString()){a.write('><SPAN id="'+s.getId()+'-Descr" style="visibility: hidden; display: none;">');a.writeEscaped(s.getTooltip_AsString());a.write('</SPAN');}a.write('><DIV');a.writeAttribute('id',s.getId()+'-right');a.write('class="sapUiSliR" > <DIV');a.writeAttribute('id',s.getId()+'-left');a.write('class="sapUiSliL" > <DIV');a.writeAttribute('id',s.getId()+'-bar');a.write('class="sapUiSliBar" >');var u=false;if(s.getLabels()&&s.getLabels().length>0){u=true;}if(s.getTotalUnits()>0||u){var t=s.getTotalUnits();if(u){t=s.getLabels().length-1;}var f=(s.getMax()-s.getMin())/t;for(var i=0;i<=t;i++){a.write('<DIV');a.writeAttribute('id',s.getId()+'-tick'+i);a.write('class="sapUiSliTick" ');a.write('></DIV>');if(s.getStepLabels()){a.write('<DIV');a.writeAttribute('id',s.getId()+'-text'+i);switch(i){case(0):a.write('class="sapUiSliText sapUiSliTextLeft" >');break;case(t):a.write('class="sapUiSliText sapUiSliTextRight" >');break;default:a.write('class="sapUiSliText" >');break;}if(u){a.writeEscaped(s.getLabels()[i]);}else{a.write(s.getMin()+i*f);}a.write('</DIV>');}}}a.write('<DIV');a.writeAttribute('id',s.getId()+'-hili');a.write('class="sapUiSliHiLi"></DIV>');this.renderGrip(a,s);a.write('</DIV></DIV></DIV></DIV>');};
S.renderGrip=function(r,s){r.write('<DIV');r.writeAttribute('id',s.getId()+'-grip');if(s.getEnabled()){r.writeAttribute('tabIndex','0');}else{r.writeAttribute('tabIndex','-1');}r.writeAttribute('class','sapUiSliGrip');r.writeAttribute('title',s.getValue());var o='horizontal';if(s.getVertical()){o='vertical';}r.writeAccessibilityState(s,{role:'slider',orientation:o,valuemin:s.getMin(),valuemax:s.getMax(),disabled:!s.getEditable()||!s.getEnabled(),describedby:s.getTooltip_AsString()?(s.getId()+'-Descr '+s.getAriaDescribedBy().join(" ")):undefined});if(s.getVertical()){r.write('>&#9668;</DIV>');}else{r.write('>&#9650;</DIV>');}};
S.controlAdditionalCode=function(r,s){};
return S;},true);
sap.ui.predefine('sap/ui/commons/Splitter',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/Popup','sap/ui/core/ResizeHandler','sap/ui/core/delegate/ItemNavigation',"./SplitterRenderer",'jquery.sap.events','jquery.sap.keycodes'],function(q,l,C,P,R,I,S){"use strict";
var a=C.extend("sap.ui.commons.Splitter",{metadata:{library:"sap.ui.commons",properties:{splitterOrientation:{type:"sap.ui.core.Orientation",group:"Behavior",defaultValue:sap.ui.core.Orientation.Vertical},splitterPosition:{type:"sap.ui.core.Percentage",group:"Behavior",defaultValue:'50%'},minSizeFirstPane:{type:"sap.ui.core.Percentage",group:"Behavior",defaultValue:'0%'},minSizeSecondPane:{type:"sap.ui.core.Percentage",group:"Behavior",defaultValue:'0%'},width:{type:"sap.ui.commons.SplitterSize",group:"Behavior",defaultValue:'100%'},height:{type:"sap.ui.commons.SplitterSize",group:"Behavior",defaultValue:'100%'},showScrollBars:{type:"boolean",group:"Behavior",defaultValue:true},splitterBarVisible:{type:"boolean",group:"Behavior",defaultValue:true}},aggregations:{firstPaneContent:{type:"sap.ui.core.Control",multiple:true,singularName:"firstPaneContent"},secondPaneContent:{type:"sap.ui.core.Control",multiple:true,singularName:"secondPaneContent"}}}});
a.prototype.onBeforeRendering=function(){if(this.sResizeListenerId){R.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}if(this.sSpecialResizeListenerId){R.deregister(this.sSpecialResizeListenerId);this.sSpecialResizeListenerId=null;}};
a.prototype.onAfterRendering=function(){this._recalculateInternals();this.sResizeListenerId=R.register(this.splitterDIV,q.proxy(this.onresize,this));};
a.prototype._recalculateInternals=function(){this.splitterDIV=this.getDomRef();this.splitterBar=q.sap.domById(this.getId()+'_SB');this.firstPane=q.sap.domById(this.getId()+'_firstPane');this.secondPane=q.sap.domById(this.getId()+'_secondPane');this.minSizeFP=this.getMinSizeFirstPane();this.minSizeSP=this.getMinSizeSecondPane();this.minSizeFP=this.minSizeFP.substring(0,(this.minSizeFP).length-1);this.minSizeFP=parseFloat(this.minSizeFP);this.minSizeSP=this.minSizeSP.substring(0,(this.minSizeSP).length-1);this.minSizeSP=parseFloat(this.minSizeSP);this.spOrientation=this.getSplitterOrientation();this.sBarPosition=this.getSplitterPosition();this.sBarPosition=this.sBarPosition.substring(0,this.sBarPosition.length-1);this.sBarPosition=parseFloat(this.sBarPosition);if(sap.ui.getCore().getConfiguration().getTheme()=="sap_hcb"){this.sbSize=6;}else{this.sbSize=4;}this.resizeSplitterElements();var s=q(this.splitterBar).height();if(this.spOrientation==sap.ui.core.Orientation.Vertical){if(s<=0||s>q(this.splitterDIV).height()){this.fixHeight();}}else{if(s<=0||s!=this.sbSize){this.fixHeight();}}};
a.prototype.onresize=function(e){this.resizeSplitterElements();};
a.prototype.resizeSplitterElements=function(){var s,b,w,h,c,d;if(this.spOrientation==sap.ui.core.Orientation.Vertical){w=q(this.splitterDIV).width();if(w==0){w=100;}s=(this.sbSize*100)/w;if(this.sBarPosition>=100||this.sBarPosition+s>100){this.sBarPosition=100-s;c=0;}else{c=100-s-this.sBarPosition;}q(this.firstPane).css("width",this.sBarPosition+"%");q(this.splitterBar).css("width",s+"%");q(this.secondPane).css("width",c+"%");}else{h=q(this.splitterDIV).height();if(h==0){h=100;}b=(this.sbSize*100)/h;if(this.sBarPosition>=100||this.sBarPosition+b>100){this.sBarPosition=100-b;d=0;}else{d=100-b-this.sBarPosition;}q(this.firstPane).css("height",this.sBarPosition+"%");q(this.splitterBar).css("height",b+"%");q(this.secondPane).css("height",d+"%");}this.setProperty("splitterPosition",this.sBarPosition+"%",true);if(q(this.splitterDIV).height()==0&&!this.splitterDIV.style.height){q(this.splitterDIV).css("height","100px");q(this.splitterBar).css("height","100px");}};
a.prototype.setSplitterPosition=function(p){if(this.getDomRef()){this.setProperty("splitterPosition",p,true);this._recalculateInternals();}else{this.setProperty("splitterPosition",p);}return this;};
a.prototype.setSplitterBarVisible=function(v){if(this.getDomRef()){this.setProperty("splitterBarVisible",v,true);var c=this.getSplitterOrientation()===sap.ui.core.Orientation.Vertical?"sapUiVertical":"sapUiHorizontal";if(v){q.sap.byId(this.getId()+"_SB").removeClass(c+"SplitterBarHidden").addClass(c+"SplitterBar");}else{q.sap.byId(this.getId()+"_SB").removeClass(c+"SplitterBar").addClass(c+"SplitterBarHidden");}}else{this.setProperty("splitterBarVisible",v);}return this;};
a.prototype.fixHeight=function(){var p=q(this.splitterDIV.parentNode).height();var s=q(this.splitterDIV).height();if(p>s){s=p;var c=this.getHeight();if(c&&c.toLowerCase().indexOf("px")!=-1){s=parseInt(c,10);}if(c&&c.toLowerCase().indexOf("%")!=-1){var b=parseInt(c,10);if(b<100){s=q(this.splitterDIV).height();}}if(s<=0){s=p;}}q(this.splitterDIV).css("height",s+"px");if(this.spOrientation==sap.ui.core.Orientation.Vertical){q(this.splitterBar).css("height",s+"px");}var o=this.splitterDIV.parentNode;if(o){var h=q.proxy(this.onresizespecial,this);this.sSpecialResizeListenerId=R.register(o,h);}};
a.prototype.exit=function(){if(this.sResizeListenerId){R.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}if(this.sSpecialResizeListenerId){R.deregister(this.sSpecialResizeListenerId);this.sSpecialResizeListenerId=null;}};
a.prototype.onresizespecial=function(e){var s=q(this.splitterDIV);var o=s.height();s.css("height","0px");var d=this.getDomRef();if(d&&window.getComputedStyle){window.getComputedStyle(d);}var p=q(e.target).height();var c=s.height();if(c!=p){s.css("height",p+"px");if(this.spOrientation==sap.ui.core.Orientation.Vertical){q(this.splitterBar).css("height",p+"px");}}if(p<=0){s.css("height",o+"px");if(this.spOrientation==sap.ui.core.Orientation.Vertical){q(this.splitterBar).css("height",o+"px");}}};
a.prototype.onmousedown=function(e){if(e.target!=this.splitterBar){return;}var j=q(document.body);j.bind("selectstart",q.proxy(this.splitterSelectStart,this));var o=q(this.splitterBar).offset();var h=q(this.splitterBar).height();var w=q(this.splitterBar).width();var c;if(this.spOrientation==sap.ui.core.Orientation.Vertical){c="sapUiVSBGhost";}else{c="sapUiHSBGhost";}var z=P.getLastZIndex()+5;if(z<20){z=20;}q(document.body).append("<div id=\""+this.getId()+"_ghost\" class=\""+c+"\" style =\" height:"+h+"px; width:"+w+"px; left:"+o.left+"px; top:"+o.top+"px;z-index:"+z+"\"></div>");q(document.body).append("<div id=\""+this.getId()+"_overlay\" style =\"left: 0px;"+" right: 0px; bottom: 0px; top: 0px; position:fixed; z-index:"+z+"\" ></div>");q(document).bind("mouseup",q.proxy(this.onGhostMouseRelease,this));q(document).bind("mousemove",q.proxy(this.onGhostMouseMove,this));q(this.splitterBar).focus();e.preventDefault();e.stopPropagation();};
a.prototype.splitterSelectStart=function(e){e.preventDefault();e.stopPropagation();return false;};
a.prototype.onGhostMouseRelease=function(e){var n,s,b;var c=q.sap.domById(this.getId()+"_ghost");var r=sap.ui.getCore().getConfiguration().getRTL();if(this.spOrientation==sap.ui.core.Orientation.Vertical){if(!r){n=e.pageX-q(this.firstPane).offset().left;b=q(this.splitterDIV).width();n=(n*100)/b;}else{n=e.pageX-q(this.secondPane).offset().left;b=q(this.splitterDIV).width();n=((b-n)*100)/b;}}else{n=e.pageY-q(this.firstPane).offset().top;s=q(this.splitterDIV).height();n=(n*100)/s;}if(n<this.minSizeFP){n=this.minSizeFP;}else if((100-n)<this.minSizeSP){n=100-this.minSizeSP;}this.sBarPosition=n;this.resizeSplitterElements();q(c).remove();q.sap.byId(this.getId()+"_overlay").remove();var j=q(document.body);j.unbind("selectstart",this.splitterSelectStart);q(document).unbind("mouseup",this.onGhostMouseRelease);q(document).unbind("mousemove",this.onGhostMouseMove);};
a.prototype.onGhostMouseMove=function(e){var s=q.sap.domById(this.getId()+"_ghost");var m;var b;var r=sap.ui.getCore().getConfiguration().getRTL();var c=q(this.firstPane).offset().left;var w=q(this.splitterDIV).width();var d=q(this.secondPane).offset().left;if(this.getSplitterOrientation()==sap.ui.core.Orientation.Vertical){if(!r){b=c+(w*this.minSizeFP)/100;m=c+(w*(100-this.minSizeSP))/100;if(e.pageX>b&&e.pageX<m){q(s).css("left",e.pageX+"px");}}else{b=d+(w*this.minSizeSP)/100;m=d+(w*(100-this.minSizeFP))/100;if(e.pageX>b&&e.pageX<m){q(s).css("left",e.pageX+"px");}}}else{var h=q(this.splitterDIV).height();b=q(this.firstPane).offset().top+(h*this.minSizeFP)/100;m=q(this.secondPane).offset().top+q(this.secondPane).height()-(h*this.minSizeSP)/100;if(e.pageY>b&&e.pageY<m){q(s).css("top",e.pageY+"px");}}};
a.prototype.getCtrlKey=function(e){return!!(e.ctrlKey||e.metaKey);};
a.prototype.checkModifierKey=function(e,c,A,s){return e.shiftKey==s&&e.altKey==A&&this.getCtrlKey(e)==c;};
a.prototype.onsaphome=function(e){if(e.target==this.splitterBar){this.sBarPosition=this.minSizeFP;this.resizeSplitterElements();e.preventDefault();e.stopPropagation();}};
a.prototype.onsapend=function(e){if(e.target==this.splitterBar){this.sBarPosition=100-this.minSizeSP;this.resizeSplitterElements();e.preventDefault();e.stopPropagation();}};
a.prototype.onArrowKeys=function(e,i){var w,h,s,b,n;if(this.spOrientation==sap.ui.core.Orientation.Vertical){w=q(this.splitterDIV).width();b=q(this.firstPane).width();b=(b*100)/w;s=(10*100)/w;}else{h=q(this.splitterDIV).height();b=q(this.firstPane).height();b=(b*100)/h;s=(10*100)/h;}if(i=="false"){n=b-s;}else if(i=="true"){n=b+s;}if(n<this.minSizeFP){n=this.minSizeFP;}else if((100-n)<this.minSizeSP){n=100-this.minSizeSP;}this.sBarPosition=n;this.resizeSplitterElements();};
a.prototype.onsapupmodifiers=function(e){if(this.checkModifierKey(e,false,false,true)){if(e.target==this.splitterBar){if(this.spOrientation==sap.ui.core.Orientation.Horizontal){this.onArrowKeys(e,"false");}else{this.onsapleftmodifiers(e);}}e.preventDefault();e.stopPropagation();}};
a.prototype.onsapdownmodifiers=function(e){if(this.checkModifierKey(e,false,false,true)){if(e.target==this.splitterBar){if(this.spOrientation==sap.ui.core.Orientation.Horizontal){this.onArrowKeys(e,"true");}else{this.onsaprightmodifiers(e);}}e.preventDefault();e.stopPropagation();}};
a.prototype.onsapleftmodifiers=function(e){if(this.checkModifierKey(e,false,false,true)){if(e.target==this.splitterBar){if(this.spOrientation==sap.ui.core.Orientation.Vertical){var r=sap.ui.getCore().getConfiguration().getRTL();if(r){this.onArrowKeys(e,"true");}else{this.onArrowKeys(e,"false");}}else{this.onsapupmodifiers(e);}}e.preventDefault();e.stopPropagation();}};
a.prototype.onsaprightmodifiers=function(e){if(this.checkModifierKey(e,false,false,true)){if(e.target==this.splitterBar){if(this.spOrientation==sap.ui.core.Orientation.Vertical){var r=sap.ui.getCore().getConfiguration().getRTL();if(r){this.onArrowKeys(e,"false");}else{this.onArrowKeys(e,"true");}}else{this.onsapdownmodifiers(e);}}e.preventDefault();e.stopPropagation();}};
a.prototype.ondragstart=function(e){if(e.target!=this.splitterBar){return;}e.preventDefault();e.stopPropagation();};
a.prototype.getText=function(k,A){var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");if(r){return r.getText(k,A);}return k;};
return a;},true);
sap.ui.predefine('sap/ui/commons/SplitterRenderer',['jquery.sap.global'],function(q){"use strict";var S={};
S.render=function(r,c){var a=r;var o=c.getSplitterOrientation();var p=c.getSplitterPosition();var d;var C;var l;var i;p=p.substring(0,p.length-1);d=100-p;a.write("<div ");a.writeControlData(c);a.addClass("sapUiSplitter");a.addStyle("width",c.getWidth());a.addStyle("height",c.getHeight());a.writeStyles();a.writeClasses();a.write(">");a.write("<div id=\""+c.getId()+"_firstPane\" ");if(c.getShowScrollBars()){a.addStyle("overflow","auto");}else{a.addStyle("overflow","hidden");}if(o==sap.ui.core.Orientation.Vertical){a.addClass("sapUiVSplitterFirstPane");a.addStyle("width",p+"%");}else if(o==sap.ui.core.Orientation.Horizontal){a.addClass("sapUiHSplitterFirstPane");a.addStyle("height",p+"%");}a.writeClasses();a.writeStyles();a.write(">");C=c.getFirstPaneContent();l=C.length;for(i=0;i<l;i++){a.renderControl(C[i]);}a.write("</div>");a.write("<div  id=\""+c.getId()+"_SB\" tabIndex=\"0\" role=\"separator\" title=\""+c.getText("SPLITTER_MOVE")+"\"");if(o==sap.ui.core.Orientation.Vertical){if(c.getSplitterBarVisible()){a.addClass("sapUiVerticalSplitterBar");}else{a.addClass("sapUiVerticalSplitterBarHidden");}a.addStyle("width",0+"%");}else if(o==sap.ui.core.Orientation.Horizontal){if(c.getSplitterBarVisible()){a.addClass("sapUiHorizontalSplitterBar");}else{a.addClass("sapUiHorizontalSplitterBarHidden");}a.addStyle("height",0+"%");}a.writeClasses();a.writeStyles();a.write(">");a.write("</div>");a.write("<div id=\""+c.getId()+"_secondPane\" ");if(c.getShowScrollBars()){a.addStyle("overflow","auto");}else{a.addStyle("overflow","hidden");}if(o==sap.ui.core.Orientation.Vertical){a.addClass("sapUiVSplitterSecondPane");a.addStyle("width",d+'%');}else if(o==sap.ui.core.Orientation.Horizontal){a.addClass("sapUiHSplitterSecondPane");a.addStyle("height",d+'%');}a.writeClasses();a.writeStyles();a.write(">");C=c.getSecondPaneContent();l=C.length;for(i=0;i<l;i++){a.renderControl(C[i]);}a.write("</div>");a.write("</div>");};
return S;},true);
sap.ui.predefine('sap/ui/commons/Tab',['jquery.sap.global','./Panel','./library'],function(q,P,l){"use strict";
var T=P.extend("sap.ui.commons.Tab",{metadata:{library:"sap.ui.commons",properties:{verticalScrolling:{type:"sap.ui.core.Scrolling",group:"Behavior",defaultValue:sap.ui.core.Scrolling.None},horizontalScrolling:{type:"sap.ui.core.Scrolling",group:"Behavior",defaultValue:sap.ui.core.Scrolling.None},closable:{type:"boolean",group:"Misc",defaultValue:false},selected:{type:"boolean",group:"Behavior",defaultValue:false,deprecated:true}}}});
T.prototype.init=function(){this.oScrollDomRef=null;};
T.prototype.rerender=function(){var p=this.getParent();if(p){p.rerender();}};
T.prototype.invalidate=function(){var p=this.getParent();if(p){p.invalidate();}};
T.prototype.onAfterRendering=function(){this.oScrollDomRef=this.getDomRef("panel");if(this.oScrollDomRef){var s=this.getProperty("scrollTop")||0;this.oScrollDomRef.scrollTop=s;var a=this.getProperty("scrollLeft")||0;this.oScrollDomRef.scrollLeft=a;}};
T.prototype.getScrollLeft=function(){var s=0;if(this.oScrollDomRef){s=this.oScrollDomRef.scrollLeft;this.setProperty("scrollLeft",s,true);}return s;};
T.prototype.setScrollLeft=function(p){this.setProperty("scrollLeft",p,true);if(this.oScrollDomRef){this.bIgnoreScrollEvent=true;this.oScrollDomRef.scrollLeft=p;}return this;};
T.prototype.getScrollTop=function(){var s=0;if(this.oScrollDomRef){s=this.oScrollDomRef.scrollTop;this.setProperty("scrollTop",s,true);}return s;};
T.prototype.setScrollTop=function(p){this.setProperty("scrollTop",p,true);if(this.oScrollDomRef){this.bIgnoreScrollEvent=true;this.oScrollDomRef.scrollTop=p;}return this;};
T.prototype.setEnabled=function(e){if(e==this.getEnabled()){return this;}var d=this.getDomRef();var p=this.getParent();if(!d||(!e&&q(this.getDomRef()).hasClass("sapUiTabSel"))||(e&&p&&p.getSelectedIndex&&p.getSelectedIndex()<0)){this.setProperty("enabled",e,false);if(p&&p._getActualSelectedIndex){var i=p._getActualSelectedIndex();p.setProperty('selectedIndex',i,true);}}else{this.setProperty("enabled",e,true);q(this.getDomRef()).toggleClass("sapUiTab",e).toggleClass("sapUiTabDsbl",!e).attr("aria-disabled",!e);}return this;};
T.prototype.setWidth=function(w){this.setProperty("width",w,true);return this;};
T.prototype.setApplyContentPadding=function(p){this.setProperty("applyContentPadding",p,true);return this;};
T.prototype._handleTrigger=function(e){};
return T;},true);
sap.ui.predefine('sap/ui/commons/TabStrip',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/delegate/ItemNavigation','sap/ui/core/Icon','sap/ui/core/delegate/ScrollEnablement','sap/ui/Device',"./TabStripRenderer"],function(q,l,C,I,a,S,D,T){"use strict";
var b=C.extend("sap.ui.commons.TabStrip",{metadata:{library:"sap.ui.commons",properties:{height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},selectedIndex:{type:"int",group:"Misc",defaultValue:0},enableTabReordering:{type:"boolean",group:"Behavior",defaultValue:false}},defaultAggregation:"tabs",aggregations:{tabs:{type:"sap.ui.commons.Tab",multiple:true,singularName:"tab"},_leftArrowControl:{type:"sap.ui.core.Icon",multiple:false,visibility:"hidden"},_rightArrowControl:{type:"sap.ui.core.Icon",multiple:false,visibility:"hidden"}},events:{select:{parameters:{index:{type:"int"}}},close:{parameters:{index:{type:"int"}}}}}});
b.SCROLL_SIZE=320;b.ANIMATION_DURATION=sap.ui.getCore().getConfiguration().getAnimation()?200:0;b.SCROLL_ANIMATION_DURATION=sap.ui.getCore().getConfiguration().getAnimation()?500:0;
b.prototype.init=function(){this._bInitialized=true;this._bRtl=sap.ui.getCore().getConfiguration().getRTL();this._iCurrentScrollLeft=0;this._iMaxOffsetLeft=null;this._scrollable=null;this._oScroller=new S(this,this.getId()+"-tablist",{horizontal:!this.getEnableTabReordering(),vertical:false,nonTouchScrolling:true});this.data("sap-ui-fastnavgroup","true",true);};
b.prototype.setEnableTabReordering=function(v){this.setProperty("enableTabReordering",v,true);if(this._oScroller){this._oScroller.setHorizontal(!v);}return this;};
b.prototype.onBeforeRendering=function(){if(this._sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this._sResizeListenerId);this._sResizeListenerId=null;}};
b.prototype.onAfterRendering=function(){if(this._oScroller){this._oScroller.setIconTabBar(this,q.proxy(this._updateScrollingAppearance,this),null);}this._initItemNavigation();this._updateScrollingAppearance();this._sResizeListenerId=sap.ui.core.ResizeHandler.register(this.getDomRef(),q.proxy(this._updateScrollingAppearance,this));var t=this.getTabs();var s=this.getSelectedIndex();var o=t[s];if(this._oScroller&&o&&o.$().length>0){if(!this._oScroller._$Container){this._oScroller.onAfterRendering();}this._scrollIntoView(o.$(),b.SCROLL_ANIMATION_DURATION);}for(var i=0;i<t.length;i++){t[i].onAfterRendering();}};
b.prototype.createTab=function(t,c){var o=new sap.ui.core.Title({text:t}),d=new sap.ui.commons.Tab();d.setTitle(o);d.addContent(c);this.addTab(d);return d;};
b.prototype.selectTabByDomRef=function(d){var i=this.getItemIndex(d);if(i>-1){if((i!=this.getSelectedIndex())&&(this.getTabs()[i].getEnabled())){var o=this.getSelectedIndex();this.setProperty('selectedIndex',i,true);this.rerenderPanel(o,true);this.oItemNavigation.setSelectedIndex(this.oItemNavigation.getFocusedIndex());}}};
b.prototype.onsapspace=function(e){var s=e.target;this.selectTabByDomRef(s);};
b.prototype.onsapspacemodifiers=b.prototype.onsapspace;b.prototype.onsapenter=b.prototype.onsapspace;b.prototype.onsapentermodifiers=b.prototype.onsapspace;
b.prototype.onsapdelete=function(e){var s=e.target;var i=this.getItemIndex(s);if(i>-1&&this.getTabs()[i].getClosable()){this.fireClose({index:i});}};
b.prototype.getFocusDomRef=function(){return this.getDomRef().firstChild;};
b.prototype.exit=function(){this._bInitialized=false;this._iCurrentScrollLeft=null;this._iMaxOffsetLeft=null;this._scrollable=null;if(this._oScroller){this._oScroller.destroy();this._oScroller=null;}if(this._sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this._sResizeListenerId);this._sResizeListenerId=null;}if(this.oItemNavigation){this.removeDelegate(this.oItemNavigation);this.oItemNavigation.destroy();delete this.oItemNavigation;}};
b.prototype.getItemIndex=function(d){var i;if(!d.id||d.id.search("-close")!=-1){var o=q(d).parentByAttribute("id");i=o.id;}else{i=d.id;}for(var c=0,t=this.getTabs();c<t.length;c++){if(i==t[c].getId()){return c;}}return-1;};
b.prototype.removeTab=function(e){var i=e;if(typeof(e)=="string"){e=sap.ui.getCore().byId(e);}if(typeof(e)=="object"){i=this.indexOfTab(e);}var t=this.getTabs()[i];if(t.getVisible()){t.setProperty("visible",false,true);this.hideTab(i);t.setProperty("visible",true,true);}if(this.getSelectedIndex()>i){this.setProperty('selectedIndex',this.getSelectedIndex()-1,true);}return this.removeAggregation("tabs",i,true);};
b.prototype.setSelectedIndex=function(s){var o=this.getSelectedIndex();if(s==o){return this;}var t=this.getTabs();var c=t[s];if(this._oScroller&&c&&c.$().length>0){this._scrollIntoView(c.$(),b.SCROLL_ANIMATION_DURATION);}if(!c&&!this.getDomRef()){this.setProperty('selectedIndex',s,false);}else if(c&&c.getEnabled()&&c.getVisible()){this.setProperty('selectedIndex',s,true);if(this.getDomRef()&&!this.invalidated){this.rerenderPanel(o);if(this.oItemNavigation){var v=0;var d=-1;for(var i=0;i<t.length;i++){c=t[i];if(c.getVisible()===false){continue;}if(i==s){d=v;break;}v++;}this.oItemNavigation.setSelectedIndex(d);}}}else{this._warningInvalidSelectedIndex(s,c);}return this;};
b.prototype.closeTab=function(i){var t=this.getTabs()[i];if(!t||!t.getClosable()||!t.getVisible()){return;}t.setProperty("visible",false,true);this.hideTab(i);};
b.prototype.hideTab=function(c){var t=this.getTabs()[c];if(!this.getDomRef()){return;}var f=this.oItemNavigation.getFocusedIndex();var v=parseInt(t.$().attr("aria-posinset"),10)-1;var F=sap.ui.getCore().getCurrentFocusedControlId();t.$().remove();if(this.iVisibleTabs==1){this.setProperty('selectedIndex',-1,true);t.$("panel").remove();}else if(c==this.getSelectedIndex()){var n=c+1;while(n<this.getTabs().length&&(!this.getTabs()[n].getEnabled()||!this.getTabs()[n].getVisible())){n++;}if(n==this.getTabs().length){n=c-1;while(n>=0&&(!this.getTabs()[n].getEnabled()||!this.getTabs()[n].getVisible())){n--;}}this.setProperty('selectedIndex',n,true);this.rerenderPanel(c);}else{this.toggleTabClasses(this.getSelectedIndex(),this.getSelectedIndex());}this.iVisibleTabs--;var v=0;var d=[];var s=-1;var e=false;for(var i=0;i<this.getTabs().length;i++){var t=this.getTabs()[i];if(F==t.getId()){e=true;}if(t.getVisible()===false){continue;}if(i==this.getSelectedIndex()){s=v;}v++;t.$().attr("aria-posinset",v).attr("aria-setsize",this.iVisibleTabs);d.push(t.getDomRef());}if(v<=f){f--;}this.oItemNavigation.setItemDomRefs(d);this.oItemNavigation.setSelectedIndex(s);this.oItemNavigation.setFocusedIndex(f);if(e){this.oItemNavigation.focusItem(f);}this._updateScrollingAppearance();};
b.prototype.rerenderPanel=function(o,f){var t=this.getTabs();var n=this.getSelectedIndex();var c=t[n];var O=t[o];q.sap.delayedCall(0,this,function(){if(!this._bInitialized){return;}var $=this.$().find('.sapUiTabPanel');if(c){if($.length>0){var r=sap.ui.getCore().createRenderManager();this.getRenderer().renderTabContents(r,c);r.flush($[0]);r.destroy();}var N=c.getId();$.attr("id",N+"-panel").attr("aria-labelledby",N);}else{$.empty();}O.setProperty("scrollTop",$.scrollTop(),true);O.setProperty("scrollLeft",$.scrollLeft(),true);if(c){c.onAfterRendering();}if(f){this.fireSelect({index:n});}});if(c){this.toggleTabClasses(o,n);}};
b.prototype.toggleTabClasses=function(o,n){var t=this.getTabs();var c=t[o];if(c){c.$().toggleClass("sapUiTabSel sapUiTab").attr("aria-selected",false);}var B=o-1;while(B>=0&&!t[B].getVisible()){B--;}if(B>=0){t[B].$().removeClass("sapUiTabBeforeSel");}var A=o+1;while(A<t.length&&!t[A].getVisible()){A++;}if(A<t.length){t[A].$().removeClass("sapUiTabAfterSel");}c=t[n];if(c){c.$().toggleClass("sapUiTabSel sapUiTab").attr("aria-selected",true);}B=n-1;while(B>=0&&!t[B].getVisible()){B--;}if(B>=0){t[B].$().addClass("sapUiTabBeforeSel");}A=n+1;while(A<t.length&&!t[A].getVisible()){A++;}if(A<t.length){t[A].$().addClass("sapUiTabAfterSel");}};
b.prototype._originalInvalidate=b.prototype.invalidate;
b.prototype.invalidate=function(){this.invalidated=true;b.prototype._originalInvalidate.apply(this,arguments);};
b.prototype._warningInvalidSelectedIndex=function(s,t){var d="";if(!t){d="Tab not exists";}else if(!t.getEnabled()){d="Tab disabled";}else if(!t.getVisible()){d="Tab not visible";}q.sap.log.warning("SelectedIndex "+s+" can not be set",d,"sap.ui.commons.TabStrip");};
b.prototype.onkeydown=function(e){if(e.which===q.sap.KeyCodes.ESCAPE){this._stopMoving();}};
b.prototype.onclick=function(e){var s=e.target;var $=q(s);if(s.className=="sapUiTabClose"){var i=this.getItemIndex($.parentByAttribute("id"));if(i>-1){this.fireClose({index:i});}}};
b.prototype.onmousedown=function(e){var L=!e.button;var i=this._isTouchMode(e);if(!i&&!L){return;}var s=e.target;var $=q(s);if(s.className=="sapUiTabClose"){e.preventDefault();e.stopPropagation();e.target=null;return;}this.selectTabByDomRef(s);if(!this.getEnableTabReordering()){return;}var c=$.closest(".sapUiTab, .sapUiTabSel, .sapUiTabDsbl");if(c.length===1){this._onTabMoveStart(c,e,i);}};
b.prototype._onTabMoveStart=function($,e,i){this._disableTextSelection();e.preventDefault();$.zIndex(this.$().zIndex()+10);var c=this.getItemIndex(e.target);var t=this.getTabs()[c];var d=this.$().find('.sapUiTabBarCnt').children();var f=q.inArray($[0],d);var w=$.outerWidth();this._dragContext={index:f,tabIndex:c,isTouchMode:i,startX:i?e.originalEvent.targetTouches[0].pageX:e.pageX,tab:t,tabWidth:w,tabCenter:$.position().left+w/2};this._aMovedTabIndexes=[];var g=q(document);if(i){g.bind("touchmove",q.proxy(this._onTabMove,this));g.bind("touchend",q.proxy(this._onTabMoved,this));}else{g.mousemove(q.proxy(this._onTabMove,this));g.mouseup(q.proxy(this._onTabMoved,this));}};
b.prototype._onTabMove=function(e){var d=this._dragContext;if(!d){return;}var c=this._isTouchMode(e);if(c){e.preventDefault();}var p=c?e.targetTouches[0].pageX:e.pageX;var f=p-d.startX;d.tab.$().css({left:f});var $,x,o,r,g=this.$().find('.sapUiTabBarCnt').children(),m=this._aMovedTabIndexes,R=sap.ui.getCore().getConfiguration().getRTL();for(var i=0;i<g.length;i++){if(i==d.index){continue;}$=q(g[i]);x=$.position().left;o=parseFloat($.css('left'));if(!isNaN(o)){x-=o;}if(i<d.index!=R){r=x+$.outerWidth()>d.tabCenter+f;this._onAnimateTab($,d.tabWidth,r,m,i);}else{r=x<d.tabCenter+f;this._onAnimateTab($,-d.tabWidth,r,m,i);}}};
b.prototype._onAnimateTab=function($,d,r,m,i){var c=q.inArray(i,m);var e=c!=-1;if(r&&!e){$.stop(true,true);$.animate({left:d},b.ANIMATION_DURATION);m.push(i);}else if(!r&&e){$.stop(true,true);$.animate({left:0},b.ANIMATION_DURATION);m.splice(c,1);}};
b.prototype._onTabMoved=function(e){var d=this._dragContext;if(!d){return;}this._stopMoving();var m=this._aMovedTabIndexes;if(m.length==0){return;}var $=d.tab.$(),c,f=this.$().find('.sapUiTabBarCnt').children();var n=m[m.length-1],s=n,N=this.getItemIndex(f[n]);this.removeAggregation('tabs',d.tab,true);this.insertAggregation('tabs',d.tab,N,true);if(n>d.index){$.insertAfter(q(f[n]));}else{$.insertBefore(q(f[n]));}f=this.$().find('.sapUiTabBarCnt').children();if(!d.tab.getEnabled()){for(var i=0;i<f.length;i++){c=q(f[i]);if(c.hasClass('sapUiTabSel')){s=i;N=this.getItemIndex(c[0]);break;}}}this.setProperty('selectedIndex',N,true);f.removeClass('sapUiTabAfterSel');f.removeClass('sapUiTabBeforeSel');for(var i=0;i<f.length;i++){c=q(f[i]);c.attr("aria-posinset",i+1);if(i==s-1){c.addClass('sapUiTabBeforeSel');}else if(i==s+1){c.addClass('sapUiTabAfterSel');}}$.focus();this._initItemNavigation();};
b.prototype._stopMoving=function(){var d=this._dragContext;if(!d){return;}var $=d.tab.$();$.css('z-index','');var c=this.$().find('.sapUiTabBarCnt').children();c.stop(true,true);c.css('left','');this._dragContext=null;var e=q(document);if(d.isTouchMode){e.unbind("touchmove",this._onTabMove);e.unbind("touchend",this._onTabMoved);}else{e.unbind("mousemove",this._onTabMove);e.unbind("mouseup",this._onTabMoved);}this._enableTextSelection();};
b.prototype._isTouchMode=function(e){return!!e.originalEvent["touches"];};
b.prototype._initItemNavigation=function(){var f=this.getDomRef('tablist'),t=f.childNodes,c=[],s=-1;for(var i=0;i<t.length;i++){c.push(t[i]);if(q(t[i]).hasClass("sapUiTabSel")){s=i;}}if(!this.oItemNavigation){this.oItemNavigation=new I();this.oItemNavigation.attachEvent(I.Events.AfterFocus,this._onItemNavigationAfterFocus,this);this.oItemNavigation.setCycling(false);this.addDelegate(this.oItemNavigation);}this.oItemNavigation.setRootDomRef(f);this.oItemNavigation.setItemDomRefs(c);this.oItemNavigation.setSelectedIndex(s);};
b.prototype._disableTextSelection=function(e){q(e||document.body).attr("unselectable","on").addClass('sapUiTabStripNoSelection').bind("selectstart",function(E){E.preventDefault();return false;});};
b.prototype._enableTextSelection=function(e){q(e||document.body).attr("unselectable","off").removeClass('sapUiTabStripNoSelection').unbind("selectstart");};
b.prototype._getActualSelectedIndex=function(){var s=Math.max(0,this.getSelectedIndex());var t=this.getTabs();var o=t[s];if(o&&o.getVisible()&&o.getEnabled()){return s;}for(var i=0;i<t.length;i++){var c=t[i];if(c.getVisible()&&c.getEnabled()){return i;}}return 0;};
b.prototype._getLeftArrowControl=function(){var i=this.getAggregation('_leftArrowControl');var t=this;if(!i){i=new a({src:'sap-icon://navigation-left-arrow',noTabStop:true,useIconTooltip:false,tooltip:'',press:function(e){t._scroll(-b.SCROLL_SIZE,b.SCROLL_ANIMATION_DURATION);}}).addStyleClass('sapUiTabStripScrollIcon sapUiTabStripLeftScrollIcon');this.setAggregation("_leftArrowControl",i,true);}return i;};
b.prototype._getRightArrowControl=function(){var i=this.getAggregation('_rightArrowControl');var t=this;if(!i){i=new a({src:'sap-icon://navigation-right-arrow',noTabStop:true,useIconTooltip:false,tooltip:'',press:function(e){t._scroll(b.SCROLL_SIZE,b.SCROLL_ANIMATION_DURATION);}}).addStyleClass('sapUiTabStripScrollIcon sapUiTabStripRightScrollIcon');this.setAggregation("_rightArrowControl",i,true);}return i;};
b.prototype._scroll=function(d,i){var s=this.getDomRef("scrollCont").scrollLeft,c;if(this._bRtl&&D.browser.firefox){c=s-d;if(c<-this._iMaxOffsetLeft){c=-this._iMaxOffsetLeft;}if(c>0){c=0;}}else{c=s+d;if(c<0){c=0;}if(c>this._iMaxOffsetLeft){c=this._iMaxOffsetLeft;}}if(this._oScroller){this._oScroller.scrollTo(c,0,i);}this._iCurrentScrollLeft=c;};
b.prototype._scrollIntoView=function($,d){var c=this.$("tablist"),t=c.innerWidth()-c.width(),i=$.outerWidth(true),e=$.position().left-t/2,s=this.getDomRef("scrollCont"),f=s.scrollLeft,g=this.$("scrollCont").width(),n=f;if(e<0||e>g-i){if(this._bRtl&&D.browser.firefox){if(e<0){n+=e+i-g;}else{n+=e;}}else{if(e<0){n+=e;}else{n+=e+i-g;}}this._iCurrentScrollLeft=n;if(this._oScroller){this._oScroller.scrollTo(n,0,d);}}};
b.prototype._hasScrolling=function(){var t=this.getDomRef("tablist"),s=this.getDomRef("scrollCont"),c=t&&(t.scrollWidth>s.clientWidth);this.$().toggleClass("sapUiTabStripScrollable",c);return c;};
b.prototype._updateScrollingAppearance=function(){var t=this.getDomRef("tablist"),s=this.getDomRef("scrollCont"),i,r,c,d=false,e=false;if(this._hasScrolling()&&t&&s){if(this._bRtl&&D.browser.firefox){i=-s.scrollLeft;}else{i=s.scrollLeft;}r=t.scrollWidth;c=s.clientWidth;if(Math.abs(r-c)===1){r=c;}if(i>0){d=true;}if((r>c)&&(i+c<r)){e=true;}}this.$().toggleClass("sapUiTabStripScrollBack",d).toggleClass("sapUiTabStripScrollForward",e);this._iMaxOffsetLeft=Math.abs(q(s).width()-q(t).width());};
b.prototype._onItemNavigationAfterFocus=function(e){var i=e.getParameter("index"),$=e.getParameter('event');if(!$){return;}var c=q($.target);if(!c||$.keyCode===undefined){return;}if(i!==null&&i!==undefined){var n=q(c.parent().children()[i]);if(n&&n.length){this._scrollIntoView(n,0);}}};
return b;},true);
sap.ui.predefine('sap/ui/commons/TabStripRenderer',['jquery.sap.global'],function(q){"use strict";var T=function(){};
T.render=function(r,c){var a=r;var b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");var C=c.getId();a.write("<div role='presentation'");a.addClass("sapUiTabStrip");a.addStyle("height",c.getHeight());a.addStyle("width",c.getWidth());a.writeClasses();a.writeStyles();a.writeControlData(c);a.write('><div class="sapUiTabBar"');if(c.getTooltip_AsString()){a.writeAttributeEscaped('title',c.getTooltip_AsString());}a.write("><div class=\"sapUiTabMenu\"></div>");a.renderControl(c._getLeftArrowControl());a.write('<div id="'+C+'-scrollCont" class="sapUiTabStripScrollContainer">');a.write('<ul id="'+C+'-tablist" class="sapUiTabBarCnt" role="tablist">');var t=c.getTabs();var w=false;var s=c.getSelectedIndex();if(s<0){s=0;c.setProperty('selectedIndex',0,true);}var S=t[s];if(!S||!S.getVisible()||!S.getEnabled()){c._warningInvalidSelectedIndex(s,S);w=true;}c.iVisibleTabs=0;for(var i=0;i<t.length;i++){var o=t[i];if(o.getVisible()===false){continue;}c.iVisibleTabs++;}var v=0;for(var i=0;i<t.length;i++){var o=t[i];if(o.getVisible()===false){continue;}if(w&&o.getEnabled()){c.setProperty('selectedIndex',i,true);s=i;w=false;}a.write("<li");if(o.getEnabled()==false){a.addClass("sapUiTabDsbl");}else if(i==s){a.addClass("sapUiTabSel");}else{a.addClass("sapUiTab");}if(i==s-1){a.addClass("sapUiTabBeforeSel");}else if(i==s+1){a.addClass("sapUiTabAfterSel");}a.writeControlData(o);a.writeAttribute("tabidx",i);v++;a.writeAttribute("tabindex","-1");a.writeAttribute("role","tab");a.writeAccessibilityState(o,{selected:i==s,controls:o.getId()+"-panel",disabled:!o.getEnabled(),posinset:v,setsize:c.iVisibleTabs});if(o.getClosable()){a.writeAccessibilityState(o,{describedby:o.getId()+"-close"});}a.writeClasses();var d=o.getTitle();if(d&&d.getTooltip_AsString()){a.writeAttributeEscaped('title',d.getTooltip_AsString());}else if(o.getTooltip_AsString()){a.writeAttributeEscaped('title',o.getTooltip_AsString());}a.write(">");if(d){var I=d.getIcon();if(I){var e=[];var A={"title":null};e.push("sapUiTabIco");a.writeIcon(I,e,A);}a.writeEscaped(d.getText());}else{q.sap.log.warning("No title configured for "+o+". Either set a string as 'text' property or an sap.ui.core.Title as 'title' aggregation.");}if(o.getClosable()){a.write("<button id='"+o.getId()+"-close' type=\"button\" tabindex= \"-1\" class=\"sapUiTabClose\" title=\""+b.getText("TAB_CLOSE_TEXT")+"\"></button>");}a.write("</li>");}a.write("</ul></div>");a.renderControl(c._getRightArrowControl());a.write("</div>");if(w){c.setProperty('selectedIndex',-1,true);s=-1;a.write("<div id=\""+C+"-panel"+"\" role=\"tabpanel\"");a.addClass("sapUiTabPanel");if(c.getHeight()){a.addClass("sapUiTabPanelHeight");}a.writeClasses();a.write("></div>");}else{for(var i=0;i<t.length;i++){var o=t[i];if(i!=s||o.getVisible()===false){continue;}a.write("<div id=\""+o.getId()+"-panel"+"\" role=\"tabpanel\" aria-labelledby=\""+o.getId()+"\"");a.addClass("sapUiTabPanel");if(c.getHeight()){a.addClass("sapUiTabPanelHeight");}a.writeClasses();a.write(">");T.renderTabContents(a,o);a.write("</div>");}}a.write("</div>");c.invalidated=false;};
T.renderTabContents=function(r,c){var C=c.getContent(),l=C.length;for(var i=0;i<l;i++){r.renderControl(C[i]);}};
return T;},true);
sap.ui.predefine('sap/ui/commons/TextArea',['jquery.sap.global','./TextField','./library',"./TextAreaRenderer"],function(q,T,l,a){"use strict";
var b=T.extend("sap.ui.commons.TextArea",{metadata:{library:"sap.ui.commons",properties:{height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},cols:{type:"int",group:"Dimension",defaultValue:null},rows:{type:"int",group:"Dimension",defaultValue:null},wrapping:{type:"sap.ui.core.Wrapping",group:"Appearance",defaultValue:null},cursorPos:{type:"int",group:"Appearance",defaultValue:null},explanation:{type:"string",group:"Misc",defaultValue:null},labeledBy:{type:"string",group:"Identification",defaultValue:null,deprecated:true}}}});
b.prototype.exit=function(){this._detachEventHandler();};
b.prototype.onBeforeRendering=function(){this._detachEventHandler();};
b.prototype.onAfterRendering=function(){T.prototype.onAfterRendering.apply(this,arguments);this._attachEventHandler();};
b.prototype._attachEventHandler=function(){var $=this.$();this.proChHandlerId=$.bind('propertychange',q.proxy(this.oninput,this));};
b.prototype._detachEventHandler=function(){var $=this.$();if(this.proChHandlerId){$.unbind('propertychange',this.oninput);this.proChHandlerId=null;}};
b.prototype.onfocusin=function(e){T.prototype.onfocusin.apply(this,arguments);this.bFocus=true;e.preventDefault();};
b.prototype.onsapfocusleave=function(e){T.prototype.onsapfocusleave.apply(this,arguments);var f=this.getFocusDomRef();if(f&&!!sap.ui.Device.browser.firefox){if(f.selectionStart!=f.selectionEnd){q(f).selectText(f.selectionStart,f.selectionStart);}}this.bFocus=false;e.preventDefault();e.stopPropagation();};
b.prototype.applyFocusInfo=function(f){T.prototype.applyFocusInfo.apply(this,arguments);return this;};
b.prototype.onkeypress=function(e){T.prototype.onkeypress.apply(this,arguments);if(!this.getEditable()||!this.getEnabled()||this.getMaxLength()<=0){return;}var k=q.sap.KeyCodes;var K=e.which||e.keyCode;var d=this.getDomRef();if(document.selection){var s=document.selection.createRange();if(s.text.length>0){return;}}else{if(d.selectionStart!=d.selectionEnd){return;}}if(d.value.length>=this.getMaxLength()&&(K>k.DELETE||K==k.ENTER||K==k.SPACE)&&!e.ctrlKey){e.preventDefault();e.stopPropagation();}};
b.prototype.onkeyup=function(e){var d=this.getDomRef();this.setProperty('cursorPos',q(d).cursorPos(),true);T.prototype.onkeyup.apply(this,arguments);};
b.prototype.onsapenter=function(e){e.stopPropagation();};
b.prototype.onsapnext=function(e){if(q(this.getFocusDomRef()).data("sap.InNavArea")&&e.keyCode!=q.sap.KeyCodes.END){e.preventDefault();return;}this._checkCursorPosForNav(e,true);};
b.prototype.onsapprevious=function(e){if(q(this.getFocusDomRef()).data("sap.InNavArea")&&e.keyCode!=q.sap.KeyCodes.HOME){e.preventDefault();return;}this._checkCursorPosForNav(e,false);};
b.prototype.onsapnextmodifiers=b.prototype.onsapnext;b.prototype.onsappreviousmodifiers=b.prototype.onsapprevious;b.prototype.onsapend=b.prototype.onsapnext;b.prototype.onsaphome=b.prototype.onsapprevious;
b.prototype.onmouseup=function(e){var d=this.getDomRef();this.setProperty('cursorPos',q(d).cursorPos(),true);};
b.prototype.onpaste=function(e){if(!this.getEditable()||!this.getEnabled()||this.getMaxLength()<=0){return;}var d=this.getDomRef();if(d.value.length>=this.getMaxLength()&&d.selectionStart==d.selectionEnd){e.preventDefault();e.stopPropagation();}};
b.prototype.oninput=function(e){if(e.originalEvent&&e.originalEvent.propertyName&&e.originalEvent.propertyName.toLowerCase()!="value"){return;}if(this.getEditable()&&this.getEnabled()&&this.getMaxLength()>0){var d=this.getDomRef();if(d.value.length>this.getMaxLength()){d.value=d.value.substring(0,this.getMaxLength());}}T.prototype.oninput.apply(this,arguments);var D=this.getDomRef();this.setProperty('cursorPos',q(D).cursorPos(),true);};
b.prototype.setMaxLength=function(m){this.setProperty('maxLength',m,true);var d=this.getDomRef();if(d&&d.value.length>m&&m>0){d.value=d.value.substring(0,m);}var v=this.getValue();if(v.length>m&&m>0){this.setProperty('value',v.substring(0,m));}return this;};
b.prototype.setCursorPos=function(c){this.setProperty('cursorPos',c,true);if(this.bFocus){q(this.getDomRef()).cursorPos(c);}return this;};
return b;},true);
sap.ui.predefine('sap/ui/commons/TextAreaRenderer',['jquery.sap.global','./TextFieldRenderer','sap/ui/core/Renderer'],function(q,T,R){"use strict";var a=R.extend(T);
a.getInnerTagName=function(){return('textarea');};
a.renderInnerAttributes=function(r,t){var b=r;b.addClass("sapUiTxtA");b.addStyle('overflow','auto');if(t.getWidth()&&t.getWidth()!=''){}else{if(t.getCols()&&t.getCols()!=''){b.writeAttribute('cols',t.getCols());}}if(t.getHeight()&&t.getHeight()!=''){b.addStyle('height',t.getHeight());b.addStyle('margin-top','0');b.addStyle('margin-bottom','0');}else{if(t.getRows()&&t.getRows()!=''){b.writeAttribute('rows',t.getRows());}}switch(t.getWrapping()){case(sap.ui.core.Wrapping.Soft):b.writeAttribute('wrap','soft');break;case(sap.ui.core.Wrapping.Hard):b.writeAttribute('wrap','hard');break;case(sap.ui.core.Wrapping.Off):b.writeAttribute('wrap','off');break;}};
a.renderARIAInfo=function(r,t){r.writeAccessibilityState(t,{role:t.getAccessibleRole().toLowerCase()||'textbox',labelledby:t.getLabeledBy()?(t.getLabeledBy()+" "+t.getAriaDescribedBy().join(" ")):undefined,required:t.getRequired(),readonly:!t.getEditable(),multiline:true,autocomplete:"none",invalid:t.getValueState()==sap.ui.core.ValueState.Error});};
a.renderInnerContent=function(r,t){var b=r;var v=t.getValue();var p=t.getPlaceholder();if(v.length>t.getMaxLength()&&t.getMaxLength()>0){v=v.substring(0,t.getMaxLength());}if(!sap.ui.Device.support.input.placeholder&&p&&!v){b.writeEscaped(p);}else{b.writeEscaped(v);}};
return a;},true);
sap.ui.predefine('sap/ui/commons/TextField',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/ValueStateSupport',"./TextFieldRenderer"],function(q,l,C,V,T){"use strict";
var a=C.extend("sap.ui.commons.TextField",{metadata:{interfaces:["sap.ui.commons.ToolbarItem","sap.ui.core.IFormContent"],library:"sap.ui.commons",properties:{value:{type:"string",group:"Data",defaultValue:'',bindable:"bindable"},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:sap.ui.core.TextDirection.Inherit},enabled:{type:"boolean",group:"Behavior",defaultValue:true},editable:{type:"boolean",group:"Behavior",defaultValue:true},required:{type:"boolean",group:"Appearance",defaultValue:false},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},maxLength:{type:"int",group:"Behavior",defaultValue:0},valueState:{type:"sap.ui.core.ValueState",group:"Data",defaultValue:sap.ui.core.ValueState.None},textAlign:{type:"sap.ui.core.TextAlign",group:"Appearance",defaultValue:sap.ui.core.TextAlign.Begin},imeMode:{type:"sap.ui.core.ImeMode",group:"Behavior",defaultValue:sap.ui.core.ImeMode.Auto},design:{type:"sap.ui.core.Design",group:"Appearance",defaultValue:sap.ui.core.Design.Standard},helpId:{type:"string",group:"Behavior",defaultValue:''},accessibleRole:{type:"sap.ui.core.AccessibleRole",group:"Accessibility",defaultValue:sap.ui.core.AccessibleRole.Textbox},name:{type:"string",group:"Misc",defaultValue:null},placeholder:{type:"string",group:"Appearance",defaultValue:null}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{change:{parameters:{newValue:{type:"string"}}},liveChange:{parameters:{liveValue:{type:"string"}}}}}});
a.prototype.init=function(){};
a.prototype.onAfterRendering=function(){if(sap.ui.Device.browser.internet_explorer){var $=q(this.getInputDomRef());this._sRenderedValue=$.val();}};
a.prototype.onfocusin=function(e){if(this.getEditable()&&this.getEnabled()&&this.getRenderer().onfocus){this.getRenderer().onfocus(this);}};
a.prototype.onsapfocusleave=function(e){this._doOnEscape(e);this._checkChange(e);if(this.getEditable()&&this.getEnabled()&&this.getRenderer().onblur){this.getRenderer().onblur(this);}var f=q(this.getFocusDomRef());if(f.data("sap.InNavArea")===false){f.data("sap.InNavArea",true);}};
a.prototype.onsapenter=function(e){this._checkChange(e);};
a.prototype._checkChange=function(e){var i=this.getInputDomRef(),n=i&&i.value,o=this.getValue();if(this.getEditable()&&this.getEnabled()&&(o!=n)){this.setProperty("value",n,true);this.fireChange({newValue:n});}};
a.prototype.onselectstart=function(e){if(!this.getEnabled()){e.preventDefault();e.stopPropagation();}};
a.prototype._checkCursorPosForNav=function(e,f){var r=sap.ui.getCore().getConfiguration().getRTL();var b=f?r:!r;var $=q(this.getInputDomRef());var p=$.cursorPos();var L=$.val().length;if(r){p=L-p;}if((!b&&p!=L)||(b&&p!=0)){e.stopPropagation();}};
a.prototype.onsapnext=function(e){if(e.keyCode!=q.sap.KeyCodes.ARROW_DOWN){if(q(this.getFocusDomRef()).data("sap.InNavArea")&&e.keyCode!=q.sap.KeyCodes.END){e.preventDefault();return;}this._checkCursorPosForNav(e,true);}};
a.prototype.onsapprevious=function(e){if(e.keyCode!=q.sap.KeyCodes.ARROW_UP){if(q(this.getFocusDomRef()).data("sap.InNavArea")&&e.keyCode!=q.sap.KeyCodes.HOME){e.preventDefault();return;}this._checkCursorPosForNav(e,false);}};
a.prototype.onsapnextmodifiers=a.prototype.onsapnext;a.prototype.onsappreviousmodifiers=a.prototype.onsapprevious;a.prototype.onsapend=a.prototype.onsapnext;a.prototype.onsaphome=a.prototype.onsapprevious;
a.prototype.onsapexpand=function(e){var i=q(this.getFocusDomRef()).data("sap.InNavArea");if(i||i===false){e.stopPropagation();return;}};
a.prototype.onsapcollapse=a.prototype.onsapexpand;
a.prototype.onsapescape=function(e){var v=this.getProperty("value");this._bEsc=true;this._sValue=v;var i=this.getInputDomRef();if(i&&i.value!==v&&!this._propagateEsc){e.stopPropagation();}if(!sap.ui.Device.browser.firefox){this._doOnEscape(e);}};
a.prototype.onkeydown=function(e){if(e.which==q.sap.KeyCodes.Z&&e.ctrlKey&&!e.altKey){e.preventDefault();}};
a.prototype.onkeypress=function(e){this._doOnEscape(e);var k=e.which;if(k>0&&k!==q.sap.KeyCodes.ESCAPE){var f=q(this.getFocusDomRef());if(f.data("sap.InNavArea")){f.data("sap.InNavArea",false);}}};
a.prototype._doOnEscape=function(e){if(this._bEsc){var i=this.getInputDomRef();if(i){if(i.value!==this._sValue){q(i).val(this._sValue);}var f=q(this.getFocusDomRef());if(f.data("sap.InNavArea")===false){f.data("sap.InNavArea",true);}}this._fireLiveChange(e);this._bEsc=undefined;this._sValue=undefined;}};
a.prototype.onkeyup=function(e){if(e.keyCode==q.sap.KeyCodes.F2){var f=q(this.getFocusDomRef());if(f.data("sap.InNavArea")){f.data("sap.InNavArea",false);}else if(f.data("sap.InNavArea")===false){f.data("sap.InNavArea",true);}}else if((sap.ui.Device.browser.msie&&sap.ui.Device.browser.version<10)&&(e.which===q.sap.KeyCodes.DELETE||e.which===q.sap.KeyCodes.BACKSPACE)){this._fireLiveChange(e);}};
a.prototype.oninput=function(e){if(!this._realOninput(e)){return;}this._fireLiveChange(e);};
if(sap.ui.Device.browser.internet_explorer){a.prototype.onpaste=function(e){var c,p,m;c=e.clipboardData||window.clipboardData;p=c.getData('Text');if(p){m=p.replace(/(?:\r\n|\r|\n)/g,' ').replace(/\s+$/,"");c.setData("Text",m);}};}
a.prototype._realOninput=function(e){if(sap.ui.Device.browser.internet_explorer){var $=q(this.getInputDomRef());var r=this._sRenderedValue;this._sRenderedValue=undefined;if(r==$.val()){return false;}}return true;};
a.prototype._fireLiveChange=function(e){if(this.getEnabled()&&this.getEditable()){var L=q(this.getInputDomRef()).val();this.fireLiveChange({liveValue:L});}};
a.prototype.setValueState=function(v){var o=this.getValueState();this.setProperty("valueState",v,true);v=this.getValueState();if(o==v){return this;}if(!this.getDomRef()){return this;}if(this.getRenderer().setValueState){this.getRenderer().setValueState(this,o,v);}if(this.delayedCallId){q.sap.clearDelayedCall(this.delayedCallId);this.delayedCallId=null;}if(sap.ui.core.ValueState.Success==v){this.delayedCallId=q.sap.delayedCall(3000,this,"removeValidVisualization");}return this;};
a.prototype.removeValidVisualization=function(){if(this.getRenderer().removeValidVisualization){this.getRenderer().removeValidVisualization(this);}};
a.prototype.setEditable=function(e){var o=this.getEditable();this.setProperty('editable',e,true);e=this.getEditable();if(o!=e){if(this.getDomRef()&&this.getRenderer().setEditable){this.getRenderer().setEditable(this,e);}}return this;};
a.prototype.setEnabled=function(e){var o=this.getEnabled();this.setProperty('enabled',e,true);e=this.getEnabled();if(o!=e){if(this.getDomRef()&&this.getRenderer().setEnabled){this.getRenderer().setEnabled(this,e);}}return this;};
a.prototype.setRequired=function(r){var o=this.getRequired();this.setProperty('required',r,true);r=this.getRequired();if(o!=r){if(this.getDomRef()){if(this.getRenderer().setRequired){this.getRenderer().setRequired(this,r);}}this.fireEvent("requiredChanged",{required:r});}return this;};
a.prototype.setDesign=function(d){var o=this.getDesign();this.setProperty('design',d,true);d=this.getDesign();if(o!=d){if(this.getDomRef()){if(this.getRenderer().setDesign){this.getRenderer().setDesign(this,d);}}}return this;};
a.prototype.setValue=function(v){var n=v;if(n&&n.length>this.getMaxLength()&&this.getMaxLength()>0){n=n.substring(0,this.getMaxLength());}this.setProperty("value",n,true);n=this.getValue();var i=this.getInputDomRef();if(i&&i.value!==n){if(!sap.ui.Device.support.input.placeholder){if(n){this.$().removeClass('sapUiTfPlace');i.value=n;}else if(document.activeElement!==i){this.$().addClass('sapUiTfPlace');var p=this.getPlaceholder();if(this.getRenderer().convertPlaceholder){p=this.getRenderer().convertPlaceholder(this);}i.value=p;}else{i.value="";}}else{i.value=n;}this._sRenderedValue=n;}return this;};
a.prototype.setTooltip=function(t){this._refreshTooltipBaseDelegate(t);this.setAggregation("tooltip",t,true);var i=this.getInputDomRef();if(i){var s=V.enrichTooltip(this,this.getTooltip_AsString());q(i).attr("title",s||"");if(this._getRenderOuter()){q(this.getDomRef()).attr("title",s||"");}}return this;};
a.prototype.getInputDomRef=function(){if(!this._getRenderOuter()){return this.getDomRef()||null;}else{return this.getDomRef("input")||null;}};
a.prototype.applyFocusInfo=function(f){this.focus();this._restoreUnsavedUserInput(f.userinput);return this;};
a.prototype.getFocusInfo=function(){return{id:this.getId(),userinput:this._getUnsavedUserInputInfo()};};
a.prototype.getLiveValue=function(){var i=this.getInputDomRef();if(i){return q(i).val();}else{return this.getValue();}};
a.prototype.ondrop=function(e){if(sap.ui.Device.browser.firefox){this.focus();}};
a.prototype._getRenderOuter=function(){if(this.bRenderOuter==undefined){var r=this.getRenderer();if(r.renderOuterAttributes||r.renderOuterContentBefore||r.renderOuterContent){this.bRenderOuter=true;}else{this.bRenderOuter=false;}}return this.bRenderOuter;};
a.prototype.getIdForLabel=function(){if(!this._getRenderOuter()){return this.getId();}else{return this.getId()+'-input';}};
a.prototype.getFocusDomRef=function(){return this.getInputDomRef();};
a.prototype._getUnsavedUserInputInfo=function(){var $=this.$();if($.length&&$.hasClass("sapUiTfFoc")&&!$.hasClass("sapUiTfPlace")&&this.getEnabled()&&this.getEditable()){var d=q(this.getInputDomRef());var v=d.val();var s=this.getValue();var S=0;var i=0;if(typeof(d.get(0).selectionStart)==="number"){S=d.get(0).selectionStart;i=d.get(0).selectionEnd;}return{userinput:v,value:s,cursorPos:d.cursorPos(),selStart:S,selEnd:i};}return null;};
a.prototype._restoreUnsavedUserInput=function(u){if(u&&this.getEnabled()&&this.getEditable()&&this.getValue()==u.value){var v=u.userinput;if(v&&v.length>this.getMaxLength()&&this.getMaxLength()>0){v=v.substring(0,this.getMaxLength());}var d=q(this.getInputDomRef());if(v!=u.value){d.val(v);}d.cursorPos(u.cursorPos);if(u.selStart!=u.selEnd){d.selectText(u.selStart,u.selEnd);}}};
a.prototype.getAccessibilityInfo=function(){return{role:"textbox",type:sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons").getText("ACC_CTR_TYPE_INPUT"),description:this.getValue()||"",focusable:this.getEnabled(),enabled:this.getEnabled(),editable:this.getEnabled()&&this.getEditable()};};
return a;},true);
sap.ui.predefine('sap/ui/commons/TextFieldRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/core/ValueStateSupport'],function(q,R,V){"use strict";var T={};
T.render=function(o,t){var a=o,r=T;var w=t.getWidth();var b=V.enrichTooltip(t,t.getTooltip_AsString());var c=t._getRenderOuter();if(c){a.write("<div");a.writeControlData(t);a.addClass("sapUiTfBack");this.renderStyles(a,t);if(b){a.writeAttributeEscaped('title',b);}var s;if(w&&w!=''){s='width: '+w+';';}if(this.renderOuterAttributes){this.renderOuterAttributes(a,t);}if(s){a.writeAttribute('style',s);}a.writeStyles();a.writeClasses();a.write(">");if(this.renderOuterContentBefore){this.renderOuterContentBefore(a,t);}}if(this.getInnerTagName){a.write('<'+this.getInnerTagName());}else{a.write("<input");}a.addClass("sapUiTf");if(!c){a.writeControlData(t);a.addClass("sapUiTfBack");this.renderStyles(a,t);if(w&&w!=''){a.addStyle("width",w);}}else{a.writeAttribute('id',t.getId()+'-input');a.addClass("sapUiTfInner");a.addStyle("width",'100%');}if(b){a.writeAttributeEscaped('title',b);}if(t.getName()){a.writeAttributeEscaped('name',t.getName());}if(!t.getEditable()&&t.getEnabled()){a.writeAttribute('readonly','readonly');}if(this.renderTextFieldEnabled){this.renderTextFieldEnabled(a,t);}else if(!t.getEnabled()){a.writeAttribute('disabled','disabled');a.writeAttribute('tabindex','-1');}else if(!t.getEditable()){a.writeAttribute('tabindex','0');}else{a.writeAttribute('tabindex','0');}var d=t.getTextDirection();if(d){a.addStyle("direction",d.toLowerCase());}var e=r.getTextAlign(t.getTextAlign(),d);if(e){a.addStyle("text-align",e);}switch(t.getImeMode()){case sap.ui.core.ImeMode.Inactive:a.addStyle('ime-mode','inactive');break;case sap.ui.core.ImeMode.Active:a.addStyle('ime-mode','active');break;case sap.ui.core.ImeMode.Disabled:a.addStyle('ime-mode','disabled');break;}if(t.getDesign()==sap.ui.core.Design.Monospace){a.addClass('sapUiTfMono');}if(t.getMaxLength()){a.writeAttribute("maxLength",t.getMaxLength());}if(this.renderInnerAttributes){this.renderInnerAttributes(a,t);}if(this.renderARIAInfo){this.renderARIAInfo(a,t);}var p=t.getPlaceholder();if(p){if(this.convertPlaceholder){p=this.convertPlaceholder(t);}if(sap.ui.Device.support.input.placeholder){a.writeAttributeEscaped('placeholder',p);}}a.writeStyles();a.writeClasses();if(this.getInnerTagName){a.write(">");}else{a.write(" value=\"");if(!sap.ui.Device.support.input.placeholder&&p&&!t.getValue()){a.writeEscaped(p);}else{a.writeEscaped(t.getValue());}a.write("\"");a.write("/>");}if(this.getInnerTagName){if(this.renderInnerContent){this.renderInnerContent(a,t);}a.write('</'+this.getInnerTagName()+'>');}if(c){if(this.renderOuterContent){this.renderOuterContent(a,t);}a.write("</div>");}};
T.renderStyles=function(r,t){r.addClass('sapUiTfBrd');if(t.getEnabled()){if(!t.getEditable()){r.addClass("sapUiTfRo");}else{r.addClass("sapUiTfStd");}}else{r.addClass("sapUiTfDsbl");}switch(t.getValueState()){case(sap.ui.core.ValueState.Error):r.addClass('sapUiTfErr');break;case(sap.ui.core.ValueState.Success):r.addClass('sapUiTfSucc');break;case(sap.ui.core.ValueState.Warning):r.addClass('sapUiTfWarn');break;}if(t.getRequired()){r.addClass('sapUiTfReq');}if(t.getPlaceholder()&&!sap.ui.Device.support.input.placeholder){r.addClass('sapUiTfPlace');}};
T.onfocus=function(t){var o=t.$();var a;o.addClass("sapUiTfFoc");if(!sap.ui.Device.support.input.placeholder&&!t.getValue()&&t.getPlaceholder()){if(t._getRenderOuter()){a=t.$("input");}else{a=o;}o.removeClass("sapUiTfPlace");a.val("");}};
T.onblur=function(t){var o=t.$();var a;o.removeClass("sapUiTfFoc");var p=t.getPlaceholder();if(!sap.ui.Device.support.input.placeholder){if(t._getRenderOuter()){a=t.$("input");}else{a=o;}if(!a.val()&&p){o.addClass("sapUiTfPlace");if(this.convertPlaceholder){p=this.convertPlaceholder(t);}a.val(p);}}};
T.setValueState=function(t,o,n){var a=t.$();var b;var r=t._getRenderOuter();if(r){b=t.$("input");}else{b=a;}switch(o){case(sap.ui.core.ValueState.Error):a.removeClass('sapUiTfErr');b.removeAttr('aria-invalid');break;case(sap.ui.core.ValueState.Success):a.removeClass('sapUiTfSucc');break;case(sap.ui.core.ValueState.Warning):a.removeClass('sapUiTfWarn');break;}switch(n){case(sap.ui.core.ValueState.Error):a.addClass('sapUiTfErr');b.attr('aria-invalid',true);break;case(sap.ui.core.ValueState.Success):a.addClass('sapUiTfSucc');break;case(sap.ui.core.ValueState.Warning):a.addClass('sapUiTfWarn');break;}var c=V.enrichTooltip(t,t.getTooltip_AsString());if(c){a.attr('title',c);if(r){t.$("input").attr('title',c);}}else{a.removeAttr('title');if(r){t.$("input").removeAttr('title');}}};
T.setEditable=function(t,e){if(!t.getEnabled()){return;}var o=t.$();var a;if(t._getRenderOuter()){a=t.$("input");}else{a=o;}if(e){o.removeClass('sapUiTfRo').addClass('sapUiTfStd');a.removeAttr('readonly');a.removeAttr('aria-readonly');}else{o.removeClass('sapUiTfStd').addClass('sapUiTfRo');a.attr('readonly','readonly');a.attr('aria-readonly',true);}};
T.setEnabled=function(t,e){var o=t.$();var a;if(t._getRenderOuter()){a=t.$("input");}else{a=o;}if(e){if(t.getEditable()){o.removeClass('sapUiTfDsbl').addClass('sapUiTfStd').removeAttr('aria-disabled');a.removeAttr('disabled').removeAttr('aria-disabled').attr('tabindex','0');}else{o.removeClass('sapUiTfDsbl').addClass('sapUiTfRo').removeAttr('aria-disabled');a.removeAttr('disabled').removeAttr('aria-disabled').attr('tabindex','0').attr('readonly','readonly').attr('aria-readonly',true);}}else{if(t.getEditable()){o.removeClass('sapUiTfStd').addClass('sapUiTfDsbl').attr('aria-disabled','true');a.attr('disabled','disabled').attr('aria-disabled','true').attr('tabindex','-1');}else{o.removeClass('sapUiTfRo').addClass('sapUiTfDsbl').attr('aria-disabled','true');a.removeAttr('readonly').removeAttr('aria-readonly').attr('disabled','disabled').attr('aria-disabled','true').attr('tabindex','-1');}}};
T.removeValidVisualization=function(t){var o=t.$();if(o){o.removeClass("sapUiTfSucc");}else{q.sap.delayedCall(1000,T,"removeValidVisualization",[t]);}};
T.setDesign=function(t,d){t.$().toggleClass('sapUiTfMono',(d==sap.ui.core.Design.Monospace));};
T.setRequired=function(t,r){var o;if(t._getRenderOuter()){o=t.$("input");}else{o=t.$();}t.$().toggleClass('sapUiTfReq',r);if(r){o.attr("aria-required",true);}else{o.removeAttr("aria-required");}};
T.renderARIAInfo=function(r,t){var p={role:t.getAccessibleRole().toLowerCase(),multiline:false,autocomplete:'none'};if(t.getValueState()==sap.ui.core.ValueState.Error){p["invalid"]=true;}r.writeAccessibilityState(t,p);};
T.getTextAlign=R.getTextAlign;return T;},true);
sap.ui.predefine('sap/ui/commons/TextView',['jquery.sap.global','./library','sap/ui/core/Control',"./TextViewRenderer"],function(q,l,C,T){"use strict";
var a=C.extend("sap.ui.commons.TextView",{metadata:{interfaces:["sap.ui.commons.ToolbarItem","sap.ui.core.IFormContent"],library:"sap.ui.commons",properties:{text:{type:"string",defaultValue:'',bindable:"bindable"},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:sap.ui.core.TextDirection.Inherit},enabled:{type:"boolean",group:"Behavior",defaultValue:true},helpId:{type:"string",group:"Behavior",defaultValue:''},accessibleRole:{type:"sap.ui.core.AccessibleRole",group:"Accessibility"},design:{type:"sap.ui.commons.TextViewDesign",group:"Data",defaultValue:sap.ui.commons.TextViewDesign.Standard},wrapping:{type:"boolean",group:"Appearance",defaultValue:true},semanticColor:{type:"sap.ui.commons.TextViewColor",group:"Appearance",defaultValue:sap.ui.commons.TextViewColor.Default},textAlign:{type:"sap.ui.core.TextAlign",group:"Appearance",defaultValue:sap.ui.core.TextAlign.Begin},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null}},associations:{ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}}}});
a.prototype.setText=function(t){this.setProperty("text",t,true);var d=this.getDomRef();if(d){t=this.getText();d.innerHTML=q.sap.encodeHTML(t).replace(/&#xa;/g,"<br>");if(!this.getTooltip_AsString()){d.title=t;}}return this;};
a.prototype.getAccessibilityInfo=function(){return{description:this.getText()};};
return a;},true);
sap.ui.predefine('sap/ui/commons/TextViewRenderer',['jquery.sap.global','sap/ui/core/Renderer'],function(q,R){"use strict";var T={};
T.render=function(r,t){var a=r;this.applyEnabledStyles(r,t);this.applyTextDesign(r,t);if(!t.getWrapping()){a.addClass("sapUiTvWrap");}if(t.getWidth()){a.addStyle("width",t.getWidth());}a.write("<span");a.writeControlData(t);a.addClass("sapUiTv");if(t.getTooltip_AsString()){a.writeAttributeEscaped("title",t.getTooltip_AsString());}else if(t.getText()){a.writeAttributeEscaped("title",t.getText());}var s=t.getTextDirection();if(s){a.addStyle("direction",s.toLowerCase());}var A=T.getTextAlign(t.getTextAlign(),s);if(A){A=A.charAt(0).toUpperCase()+A.substring(1);a.addClass("sapUiTvAlign"+A);}a.writeAttribute('tabindex','-1');a.writeAccessibilityState(t,{role:t.getAccessibleRole()?t.getAccessibleRole().toLowerCase():undefined,invalid:t.getSemanticColor()==sap.ui.commons.TextViewColor.Negative,disabled:!t.getEnabled()});a.writeClasses();a.writeStyles();a.write(">");a.writeEscaped(t.getText(),true);a.write("</span>");};
T.applyTextDesign=function(r,t){var d=t.getDesign();var a=sap.ui.commons.TextViewDesign;if(d==a.Standard){return;}switch(d){case(a.Bold):r.addClass("sapUiTvEmph");break;case(a.H1):r.addClass("sapUiTvH1");break;case(a.H2):r.addClass("sapUiTvH2");break;case(a.H3):r.addClass("sapUiTvH3");break;case(a.H4):r.addClass("sapUiTvH4");break;case(a.H5):r.addClass("sapUiTvH5");break;case(a.H6):r.addClass("sapUiTvH6");break;case(a.Italic):r.addClass("sapUiTvItalic");break;case(a.Small):r.addClass("sapUiTvSmall");break;case(a.Monospace):r.addClass("sapUiTvMono");break;case(a.Underline):r.addClass("sapUiTvULine");break;default:break;}};
T.applyEnabledStyles=function(r,t){if(!t.getEnabled()){r.addClass("sapUiTvDsbl");t.allowTextSelection(false);}else{switch(t.getSemanticColor()){case(sap.ui.commons.TextViewColor.Negative):r.addClass('sapUiTvErr');break;case(sap.ui.commons.TextViewColor.Positive):r.addClass('sapUiTvSucc');break;case(sap.ui.commons.TextViewColor.Critical):r.addClass('sapUiTvWarn');break;}}};
T.getTextAlign=R.getTextAlign;return T;},true);
sap.ui.predefine('sap/ui/commons/Title',['jquery.sap.global','./library','sap/ui/core/Title'],function(q,l,T){"use strict";
var a=T.extend("sap.ui.commons.Title",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return a;},true);
sap.ui.predefine('sap/ui/commons/ToggleButton',['jquery.sap.global','./Button',"./ToggleButtonRenderer"],function(q,B,T){"use strict";
var a=B.extend("sap.ui.commons.ToggleButton",{metadata:{library:"sap.ui.commons",properties:{pressed:{type:"boolean",group:"Data",defaultValue:false}}}});
a.prototype.onclick=function(e){if(this.getEnabled()){this.setPressed(!this.getPressed());if(this.$().is(":visible")){this.firePress({pressed:this.getPressed()});}}e.preventDefault();e.stopPropagation();};
a.prototype.setPressed=function(p){var r;if(p!==this.getProperty("pressed")){r=this.getRenderer();this.setProperty("pressed",p,true);if(!this.getPressed()){r.ondeactivePressed(this);}else{r.onactivePressed(this);}r.updateImage(this);}return this;};
a.prototype.onAfterRendering=function(){var r=this.getRenderer();if(!this.getPressed()){r.ondeactivePressed(this);}else{r.onactivePressed(this);}};
a.prototype.getAccessibilityInfo=function(){var i=B.prototype.getAccessibilityInfo.apply(this,arguments);if(this.getPressed()){i.description=((i.description||"")+" "+sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons").getText("ACC_CTR_STATE_PRESSED")).trim();}return i;};
return a;},true);
sap.ui.predefine('sap/ui/commons/ToggleButtonRenderer',['jquery.sap.global','./ButtonRenderer','sap/ui/core/Renderer'],function(q,B,R){"use strict";var T=R.extend(B);
T.renderButtonAttributes=function(r,t){r.addClass("sapUiToggleBtn");if(t.getPressed()){r.addClass("sapUiToggleBtnPressed");r.writeAttribute('aria-pressed',true);}else{r.writeAttribute('aria-pressed',false);}};
T.onactivePressed=function(t){t.$().addClass("sapUiToggleBtnPressed").attr('aria-pressed',true);};
T.ondeactivePressed=function(t){t.$().removeClass("sapUiToggleBtnPressed").attr('aria-pressed',false);};
T.updateImage=function(t){t.$("img").attr('src',this._getIconForState(t,"base"));};
T._getIconForState=function(b,s){var i;switch(s){case"mouseout":case"focus":case"blur":case"base":return b.getPressed()&&b.getIconSelected()?b.getIconSelected():b.getIcon();case"active":i=b.getIconSelected();return i?i:b.getIcon();case"mouseover":case"deactive":i=b.getIconHovered();if(i){return i;}else if(b.getPressed()&&b.getIconSelected()){return b.getIconSelected();}else{return b.getIcon();}}return b.getIcon();};
return T;},true);
sap.ui.predefine('sap/ui/commons/ToolbarRenderer',['jquery.sap.global'],function(q){"use strict";var T={};
T.render=function(r,t){var a=r;var b=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");a.write("<div role='toolbar' tabindex='0'");a.writeControlData(t);if(t.getWidth()){a.addStyle("width",t.getWidth());}var s=t.getTooltip_AsString();if(s){a.writeAttributeEscaped("title",s);}a.addClass("sapUiTb");a.addClass("sapUiTbDesign"+t.getDesign());if(t.getStandalone()){a.addClass("sapUiTbStandalone");}a.writeStyles();a.writeClasses();a.write(">");var R=t.getRightItems();var c=R.length;var h=c>0;var I="<div class='sapUiTbInner' id='"+t.getId()+"-inner"+"'>";if(h){a.write("<div class='sapUiTbCont sapUiTbContLeft'>"+I);}else{a.write("<div class='sapUiTbCont'>"+I);}var d=t.getItems();var l=d.length;for(var i=0;i<l;i++){var o=d[i];if(o){if(o instanceof sap.ui.commons.ToolbarSeparator){T.renderSeparator(a,o);}else{a.renderControl(o);}}}a.write("<div id='");a.write(t.getId());a.write("-mn' class='sapUiTbOB' role='button' aria-haspopup='true' title='"+b.getText("TOOLBAR_OVERFLOW")+"' tabindex='-1'></div></div></div>");if(h){a.write("<div class='sapUiTbInnerRight' >");for(var i=0;i<c;i++){var o=R[i];if(o){if(o instanceof sap.ui.commons.ToolbarSeparator){T.renderSeparator(a,o);}else{a.renderControl(o);}}}a.write("</div>");}a.write("</div>");};
T.renderSeparator=function(r,t){if(t.getDisplayVisualSeparator()){r.write("<span ");r.writeElementData(t);if(t.getDesign()===sap.ui.commons.ToolbarSeparatorDesign.FullHeight){r.write(" class='sapUiTbSeparator sapUiTbSepFullHeight' role='separator'></span>");}else{r.write(" class='sapUiTbSeparator' role='separator'></span>");}}else{r.write("<span ");r.writeElementData(t);r.write(" class='sapUiTbSpacer' role='separator'></span>");}};
T.fillOverflowPopup=function(t){var p=t.getDomRef("pu");if(!p){p=T.initOverflowPopup(t).firstChild;}var $=q(p.parentNode),v=t.getVisibleItemInfo(true).count,o=t.getDomRef().firstChild.firstChild,P=0,c=o.firstChild,O=t.getId()+"-mn",i=$.width(),b=0;while(c){var n=c.nextSibling;if(P>=v){if(c.id===O){break;}b=b<q(c).outerWidth(true)?q(c).outerWidth(true):b;p.appendChild(c);}c=n;P++;}if(b>i){var a=12;$.width(b+a);}};
T.initOverflowPopup=function(t){var s=sap.ui.getCore().getStaticAreaRef();var p=document.createElement("div");p.className="sapUiTbDD sapUiTbDesignFlat";p.innerHTML="<div id='"+t.getId()+"-pu' data-sap-ui="+t.getId()+" tabindex='0' role='menu'></div>";s.appendChild(p);return p;};
T.emptyOverflowPopup=function(t,m){var p=t.getDomRef("pu"),d=t.getDomRef(),c=null,M='',a=[];if(m===undefined){m=true;}if(p){if(m&&d){c=d.firstChild.firstChild;M='insertBefore';a=[t.getDomRef("mn")];}else if(!m){c=p;M='removeChild';}else{q.sap.log.error("The renderer 'sap.ui.commons.ToolbarRenderer' cannot empty the toolbar overflow popup.");return;}while(p.hasChildNodes()){var A=[p.firstChild].concat(a);c[M].apply(c,A);}if(d&&t.sOriginalStylePropertyWidth){q(d).width(t.sOriginalStylePropertyWidth);t.sOriginalStylePropertyWidth=null;}}};
T.getPopupArea=function(t){return t.getDomRef("pu");};
T.setActive=function(t){t.$("mn").addClass("sapUiTbOBAct");};
T.unsetActive=function(t){t.$("mn").removeClass("sapUiTbOBAct");};
return T;},true);
sap.ui.predefine('sap/ui/commons/ToolbarSeparator',['jquery.sap.global','./library','sap/ui/core/Element'],function(q,l,E){"use strict";
var T=E.extend("sap.ui.commons.ToolbarSeparator",{metadata:{interfaces:["sap.ui.commons.ToolbarItem"],library:"sap.ui.commons",properties:{displayVisualSeparator:{type:"boolean",group:"Appearance",defaultValue:true},design:{type:"sap.ui.commons.ToolbarSeparatorDesign",group:"Misc",defaultValue:null}}}});
T.prototype.getFocusDomRef=function(){return undefined;};
return T;},true);
sap.ui.predefine('sap/ui/commons/Tree',['jquery.sap.global','./library','sap/ui/core/Control',"./TreeRenderer"],function(q,l,C,T){"use strict";
var a=C.extend("sap.ui.commons.Tree",{metadata:{library:"sap.ui.commons",properties:{title:{type:"string",group:"Misc",defaultValue:null},width:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:'auto'},height:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:'auto'},showHeader:{type:"boolean",group:"Misc",defaultValue:true},showHeaderIcons:{type:"boolean",group:"Misc",defaultValue:true},showHorizontalScrollbar:{type:"boolean",group:"Misc",defaultValue:false},minWidth:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:null},selectionMode:{type:"sap.ui.commons.TreeSelectionMode",group:"Behavior",defaultValue:sap.ui.commons.TreeSelectionMode.Legacy}},defaultAggregation:"nodes",aggregations:{nodes:{type:"sap.ui.commons.TreeNode",multiple:true,singularName:"node",bindable:"bindable"}},events:{select:{allowPreventDefault:true,parameters:{node:{type:"sap.ui.commons.TreeNode"},nodeContext:{type:"object"}}},selectionChange:{parameters:{nodes:{type:"sap.ui.commons.TreeNode[]"},nodeContexts:{type:"object[]"}}}}}});
a.prototype.resizeListenerId;
a.prototype.init=function(){this.bAllCollapsed=false;this.allowTextSelection(false);this.iOldScrollTop=null;this.mSelectedNodes={};this.mSelectedContexts={};this.aLeadSelection=null;var R=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");this.oCollapseAllButton=new sap.ui.commons.Button(this.getId()+"-CollapseAll",{icon:this.getIconPrefix()+"CollapseAll.png",tooltip:R.getText("TREE_COLLAPSE_ALL"),lite:true});this.oExpandAllButton=new sap.ui.commons.Button(this.getId()+"-ExpandAll",{icon:this.getIconPrefix()+"ExpandAll.png",tooltip:R.getText("TREE_EXPAND_ALL"),lite:true});this.oCollapseAllButton.attachPress(this.onCollapseAll,this);this.oExpandAllButton.attachPress(this.onExpandAll,this);this.oCollapseAllButton.addStyleClass("sapUiTreeCol");this.oExpandAllButton.addStyleClass("sapUiTreeExp");};
a.prototype.exit=function(){if(this.oCollapseAllButton){this.oCollapseAllButton.destroy();this.oCollapseAllButton=null;}if(this.oExpandAllButton){this.oExpandAllButton.destroy();this.oExpandAllButton=null;}};
a.SelectionType={Select:"Select",Toggle:"Toggle",Range:"Range"};
a.prototype.onThemeChanged=function(){if(this.oCollapseAllButton&&this.oExpandAllButton){this.oCollapseAllButton.setIcon(this.getIconPrefix()+"CollapseAll.png");this.oExpandAllButton.setIcon(this.getIconPrefix()+"ExpandAll.png");}};
a.prototype.onExpandAll=function(){this.expandAll();};
a.prototype.onCollapseAll=function(){this.collapseAll();};
a.prototype.expandAll=function(){var n=this._getNodes();for(var i=0;i<n.length;i++){n[i].expand(true,true);this._adjustSelectionOnExpanding(n[i]);}};
a.prototype.collapseAll=function(){var n=this._getNodes();for(var i=0;i<n.length;i++){n[i].collapse(true,true);this._adjustSelectionOnCollapsing(n[i]);}this._adjustFocus();};
a.prototype.onsapdown=function(e){this.moveFocus(false);e.preventDefault();};
a.prototype.onsapup=function(e){this.moveFocus(true);e.preventDefault();};
a.prototype.onsaphome=function(e){this.placeFocus(this.getFirstSibling(e.target));e.preventDefault();};
a.prototype.onsaphomemodifiers=function(e){this.placeFocus(this.getFirst());e.preventDefault();};
a.prototype.onsapend=function(e){this.placeFocus(this.getLastSibling(e.target));e.preventDefault();};
a.prototype.onsapendmodifiers=function(e){this.placeFocus(this.getLast());e.preventDefault();};
a.prototype.onsapcollapseall=function(e){if(this.bAllCollapsed){this.expandAll();}else{this.collapseAll();}this.bAllCollapsed=!this.bAllCollapsed;};
a.prototype.getIconPrefix=function(){var i="themes/"+sap.ui.getCore().getConfiguration().getTheme()+"/";if(!sap.ui.getCore().getConfiguration().getRTL()){i+="img/tree/";}else{i+="img-RTL/tree/";}return sap.ui.resource("sap.ui.commons",i);};
a.prototype.getFirstSibling=function(d){var D=q(d).siblings(".sapUiTreeNode:visible").first();if(D.length){return D[0];}return null;};
a.prototype.getLastSibling=function(d){var D=q(d).siblings(".sapUiTreeNode:visible").last();if(D.length){return D[0];}return null;};
a.prototype.getFirst=function(){var d=this.$().find(".sapUiTreeNode:visible").first();if(d.length){return d[0];}return null;};
a.prototype.getLast=function(){var d=this.$().find(".sapUiTreeNode:visible").last();if(d.length){return d[0];}return null;};
a.prototype.moveFocus=function(m){var c=q(".sapUiTreeNode:focus");if(c.length){var o=sap.ui.getCore().byId(c[0].id);var d=this.$().find(".sapUiTreeNode:visible");var e=d.index(c[0]);var n=e;if(m){n--;}else{n++;}if(n>=0&&n<d.length){var D=d.eq(n);var N=sap.ui.getCore().byId(D[0].id);o.blur();N.focus();}}};
a.prototype._adjustFocus=function(){var f=this.$().find('.sapUiTreeNode[tabIndex="0"]');if(!f.is(':visible')){var d=this.$().find(".sapUiTreeNode");var c=d.index(f[0]);var D=d.filter(":lt("+c+")");var e=D.filter(":visible");var n=e[e.length-1];if(n){n.setAttribute("tabindex","0");if(q(".sapUiTreeNode:focus").is(":not(:visible)")){n.focus();}}}};
a.prototype.placeFocus=function(d){if(!d){return;}var D=this.$().find(".sapUiTreeNode[tabIndex='0']");if(D.length){D[0].setAttribute("tabindex","-1");}d.setAttribute("tabindex","0");var t=sap.ui.getCore().byId(d.id);t.focus();};
a.prototype._adjustSelectionOnExpanding=function(e){if(!e){return;}var E=[];if(e.getSelectedForNodes().length){E.push(e);}r(e,E,null);var $=e.$();if($&&$.hasClass('sapUiTreeNodeSelectedParent')){$.removeClass('sapUiTreeNodeSelectedParent');}var s=e.$('children').find('.sapUiTreeNodeExpanded.sapUiTreeNodeSelectedParent');s.removeClass('sapUiTreeNodeSelectedParent');};
function r(n,e,f){var I=n.getExpanded(),N=false,c=I&&!!n.getSelectedForNodes().length,F=(f||I)?f:n,i;for(i=0;i<e.length;i++){if(e[i].getSelectedForNodes().indexOf(n.getId())!==-1){N=true;e[i].removeAssociation("selectedForNodes",n,true);}}if(F&&N&&F!==n){if(F.getSelectedForNodes().indexOf(n.getId())===-1){F.addAssociation("selectedForNodes",n,true);}F.$().addClass('sapUiTreeNodeSelectedParent');}if(c){e.push(n);}var d=n._getNodes();for(i=0;i<d.length;i++){r(d[i],e,F);}if(c){e.pop(n);}}
function b(n,R){var N=n._getNodes(),c;for(var i=0;i<N.length;i++){c=N[i];if(c.getIsSelected()){R.addAssociation("selectedForNodes",c,true);}b(c,R);}}
a.prototype._adjustSelectionOnCollapsing=function(c){if(!c){return;}b(c,c);if(c.getSelectedForNodes().length){var $=c.$();if($&&!$.hasClass('sapUiTreeNodeSelectedParent')){$.addClass('sapUiTreeNodeSelectedParent');}}};
a.prototype.isTreeBinding=function(n){return(n=="nodes");};
a.prototype.updateNodes=function(R){var n,N,k,c,i;if(R==="filter"){n=this.getAggregation("nodes");c=n.length;for(i=0;i<c;i++){n[i].destroy();}this.mSelectedNodes={};}this.updateAggregation("nodes");for(k in this.mSelectedContexts){N=this.getNodeByContext(this.mSelectedContexts[k]);if(N){N.setIsSelected(true);}else{this.mSelectedContexts=this._removeItemFromObject(this.mSelectedContexts,k);}}};
a.prototype._removeItemFromObject=function(o,k){var K,R={};for(K in o){if(K!==k){R[K]=o[K];}}return R;};
a.prototype.getNodeContext=function(n){var B=this.getBindingInfo("nodes"),m=B&&B.model;return n.getBindingContext(m);};
a.prototype.getNodeByContext=function(c){var B=this.getBindingInfo("nodes"),m=B&&B.model;return this.findNode(this,function(n){var o=n.getBindingContext(m);return(c&&o&&c.getPath()===o.getPath());});};
a.prototype.findNode=function(n,m){var f,t=this;if(m(n)){return n;}q.each(n._getNodes(),function(i,n){f=t.findNode(n,m);if(f){return false;}});return f;};
a.prototype.setSelectionMode=function(m){m=this.validateProperty("selectionMode",m);if(this.getSelectionMode()!=m){this.setProperty("selectionMode",m);this._delSelection();}return this;};
a.prototype.getSelection=function(){for(var i in this.mSelectedNodes){return this.mSelectedNodes[i];}return null;};
a.prototype.setSelection=function(n,s,t){var d=true;if(!s){d=this.fireSelect({node:n,nodeContext:this.getNodeContext(n)});}if(d){switch(this.getSelectionMode()){case sap.ui.commons.TreeSelectionMode.Legacy:case sap.ui.commons.TreeSelectionMode.Single:this._setSelectedNode(n,s);break;case sap.ui.commons.TreeSelectionMode.Multi:if(t==a.SelectionType.Range){this._setSelectedNodeMapRange(n,s);}else if(t==a.SelectionType.Toggle){this._setSelectedNodeMapToggle(n,s);}else{this._setSelectedNode(n,s);}break;case sap.ui.commons.TreeSelectionMode.None:break;}}};
a.prototype.onAfterRendering=function(){if(this.iOldScrollTop){this.$("TreeCont").scrollTop(this.iOldScrollTop);}};
a.prototype.invalidate=function(){var t=this;C.prototype.invalidate.apply(this,arguments);if(this.iSelectionUpdateTimer){return;}this.iSelectionUpdateTimer=setTimeout(function(){t.mSelectedNodes={};t.mSelectedContexts=[];t.updateSelection(t,true);t.iSelectionUpdateTimer=null;},0);};
a.prototype._addSelectedNodeContext=function(c){var p;if(c&&c.sPath){p=c.sPath;if(this.getSelectionMode()===sap.ui.commons.TreeSelectionMode.Multi){if(!(p in this.mSelectedContexts)){this.mSelectedContexts[p]=c;}}else{this.mSelectedContexts={};this.mSelectedContexts[p]=c;}}};
a.prototype.updateSelection=function(n,e){var t=this;q.each(n._getNodes(),function(i,n){if(n.getIsSelected()){switch(t.getSelectionMode()){case sap.ui.commons.TreeSelectionMode.None:q.sap.log.warning("Added selected nodes in a tree with disabled selection");n.setIsSelected(false);break;case sap.ui.commons.TreeSelectionMode.Legacy:if(q.isEmptyObject(t.mSelectedNodes)){t.mSelectedNodes[n.getId()]=n;t._addSelectedNodeContext(t.getNodeContext(n));}break;case sap.ui.commons.TreeSelectionMode.Single:if(q.isEmptyObject(t.mSelectedNodes)==false){q.sap.log.warning("Added multiple selected nodes in single select tree");n.setIsSelected(false);}else{t.mSelectedNodes[n.getId()]=n;t._addSelectedNodeContext(t.getNodeContext(n));}break;case sap.ui.commons.TreeSelectionMode.Multi:if(!e){q.sap.log.warning("Added selected node inside collapsed node in multi select tree");n.setIsSelected(false);}else{t.mSelectedNodes[n.getId()]=n;t._addSelectedNodeContext(t.getNodeContext(n));}break;}}t.updateSelection(n,e&&n.getExpanded());});};
a.prototype.onBeforeRendering=function(){this.iOldScrollTop=this.$("TreeCont").scrollTop();};
a.prototype._setSelectedNode=function(n,s){var t=this,c=this.getNodeContext(n);q.each(this.mSelectedNodes,function(i,n){t._delMultiSelection(n,s);});n._select(s,true);this.mSelectedNodes[n.getId()]=n;this._addSelectedNodeContext(c);this.oLeadSelection=n;if(!s){this.fireSelectionChange({nodes:[n],nodeContexts:[c]});}};
a.prototype._setSelectedNodeMapToggle=function(n,s){this._setNodeSelection(n,!n.getIsSelected(),s);};
a.prototype._setSelectedNodeMapRange=function(n,s){var S,c=[],d=[],e,E,f,t;if(this.mSelectedNodes[n.getId()]==n){return;}else{if(this._getNodes().length>0){S=this._getSelectableNodes();e=S.indexOf(this.oLeadSelection);E=S.indexOf(n);f=e<E?e:E;t=e<E?E:e;for(var i=f;i<=t;i++){this._setMultiSelection(S[i],s);}}}if(!s){q.map(this.mSelectedNodes,function(n){c.push(n);});q.map(this.mSelectedContexts,function(o){d.push(o);});this.fireSelectionChange({nodes:c,nodeContexts:d});}};
a.prototype._getSelectableNodes=function(n){var s=[];function c(n){q.each(n,function(i,N){if(N.getSelectable()){s.push(N);}if(N.getExpanded()){c(N._getNodes());}});}c(this._getNodes());return s;};
a.prototype._setNodeSelection=function(n,i,s){var S=[],c=[],v;if(this.getSelectionMode()==sap.ui.commons.TreeSelectionMode.Single){if(i){var o=this.getSelection();this._setSelectedNode(n,s);if(!n.isVisible()){v=this._getVisibleNode(n);this._adjustSelectionOnCollapsing(v);}if(o&&!o.isVisible()){v=this._getVisibleNode(o);this._adjustSelectionOnExpanding(v);}return;}else{this._delMultiSelection(n,s);if(!n.isVisible()){v=this._getVisibleNode(n);this._adjustSelectionOnExpanding(v);}}}if(i){this._setMultiSelection(n,s);this.oLeadSelection=n;}else{this._delMultiSelection(n,s);this.oLeadSelection=n;}if(!s){q.map(this.mSelectedNodes,function(n){S.push(n);});q.map(this.mSelectedContexts,function(d){c.push(d);});this.fireSelectionChange({nodes:S,nodeContexts:c});}};
a.prototype._setMultiSelection=function(s,S){if(!s){return;}s._select(S);this.mSelectedNodes[s.getId()]=s;this._addSelectedNodeContext(this.getNodeContext(s));};
a.prototype._delMultiSelection=function(s){var c;if(!s){return;}s._deselect();this.mSelectedNodes=this._removeItemFromObject(this.mSelectedNodes,s.getId());c=s.getBindingContext();if(c&&c.sPath){if(c.sPath in this.mSelectedContexts){this.mSelectedContexts=this._removeItemFromObject(this.mSelectedContexts,c.sPath);}}};
a.prototype._delSelection=function(){var t=this;if(this.oSelectedNode){this.oSelectedNode._deselect();}if(q.isEmptyObject(this.mSelectedNodes)==false){q.each(this.mSelectedNodes,function(i,n){t._delMultiSelection(n);});}};
a.prototype._getNodes=function(){return this.mAggregations.nodes||[];};
a.prototype._getVisibleNode=function(n){var p=n.getParent();if(p.isVisible()){var v=p;}else{v=this._getVisibleNode(p);}return v;};
return a;},true);
sap.ui.predefine('sap/ui/commons/TreeNode',['jquery.sap.global','./library','sap/ui/core/CustomStyleClassSupport','sap/ui/core/Element'],function(q,l,C,E){"use strict";
var T=E.extend("sap.ui.commons.TreeNode",{metadata:{library:"sap.ui.commons",properties:{text:{type:"string",group:"Misc",defaultValue:null},expanded:{type:"boolean",group:"Misc",defaultValue:true},hasExpander:{type:"boolean",group:"Misc",defaultValue:false},icon:{type:"sap.ui.core.URI",group:"Misc",defaultValue:null},isSelected:{type:"boolean",group:"Misc",defaultValue:false},selectable:{type:"boolean",group:"Misc",defaultValue:true}},defaultAggregation:"nodes",aggregations:{nodes:{type:"sap.ui.commons.TreeNode",multiple:true,singularName:"node"}},associations:{selectedForNodes:{type:"sap.ui.commons.TreeNode",multiple:true,singularName:"selectedForNode",visibility:"hidden"},ariaDescribedBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaDescribedBy"},ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"}},events:{toggleOpenState:{parameters:{opened:{type:"boolean"}}},selected:{}}}});
T.prototype.getSelectedForNodes=function(){return this.getAssociation("selectedForNodes",[]);};
T.ANIMATION_DURATION=600;C.apply(T.prototype);
T.prototype.expand=function(b,d){this.setProperty("expanded",true,true);var a=null;if(!d){a=e.bind(this);}var D=this.$();if(D.hasClass("sapUiTreeNodeCollapsed")){D.toggleClass("sapUiTreeNodeCollapsed");D.toggleClass("sapUiTreeNodeExpanded");D.attr("aria-expanded","true");var o=this.$("children");if(o){if(b){o.show();}else{o.stop(true,true);o.show(T.ANIMATION_DURATION,a);}o.css({display:'block'});}this.fireToggleOpenState({opened:true});}if(b){var n=this._getNodes();for(var i=0;i<n.length;i++){n[i].expand(b,true);}a&&a();}};
T.prototype.collapse=function(b,d){this.setProperty("expanded",false,true);var a=null;if(!d){a=c.bind(this);}var D=this.$();if(D.hasClass("sapUiTreeNodeExpanded")){D.toggleClass("sapUiTreeNodeCollapsed");D.toggleClass("sapUiTreeNodeExpanded");D.attr("aria-expanded","false");var o=this.$("children");if(o){if(b){o.hide();}else{o.stop(true,true);o.hide(T.ANIMATION_DURATION,a);}}this.fireToggleOpenState({opened:false});}if(b){var n=this._getNodes();for(var i=0;i<n.length;i++){n[i].collapse(b,true);}a&&a();}};
T.prototype.select=function(s){var t=this.getTree();if(t){t.setSelection(this,s);}else{this._select();}};
function e(){var t=this.getTree();if(t){t._adjustSelectionOnExpanding(this);}}
function c(){var t=this.getTree();if(t){t._adjustSelectionOnCollapsing(this);t._adjustFocus();}}
T.prototype._select=function(s){this.setProperty("isSelected",true,true);if(!s){this.fireSelected();}if(this.getDomRef()){this.$().closest(".sapUiTreeNode").addClass("sapUiTreeNodeSelected").attr("aria-selected","true");this.scrollIntoView();}};
T.prototype._deselect=function(s){this.setProperty("isSelected",false,true);if(this.getDomRef()){this.$().removeClass("sapUiTreeNodeSelected").removeAttr("aria-selected");}};
T.prototype._getNodes=function(){return this.mAggregations.nodes||[];};
T.prototype.hasSelectedHiddenChild=function(){var n=this._getNodes();for(var i=0;i<n.length;i++){if((!n[i].isVisible()&&n[i].getIsSelected())||n[i].hasSelectedHiddenChild()){return true;}}return false;};
T.prototype.setIsSelected=function(i){var t=this.getTree();if(!this.getSelectable()){return this;}if(i==this.getProperty("isSelected")){return this;}if(t){t._setNodeSelection(this,i,true);}else{this.setProperty("isSelected",i,true);}return this;};
T.prototype.setSelectable=function(s){if(!s&&this.getIsSelected()){this.setIsSelected(false);}this.setProperty("selectable",s);return this;};
T.prototype.onclick=function(o){var d=o.target,t=this.getTree();if(q(d).is(".sapUiTreeNode")||q(d).is(".sapUiTreeNodeNotSelectable")){if(q(d).is(".sapUiTreeNodeNotSelectable")){d=q(d).closest(".sapUiTreeNode")[0];}if(q(d).hasClass("sapUiTreeNodeExpanded")){this.collapse();}else{this.expand();}t.placeFocus(d);d.focus();}else if(q(d).is(".sapUiTreeNodeContent")||q(d).is(".sapUiTreeIcon")){var s=sap.ui.commons.Tree.SelectionType.Select;if(t.getSelectionMode()==sap.ui.commons.TreeSelectionMode.Multi){if(o.shiftKey){s=sap.ui.commons.Tree.SelectionType.Range;}if(o.metaKey||o.ctrlKey){s=sap.ui.commons.Tree.SelectionType.Toggle;}}t.setSelection(this,false,s);d=q(d).closest(".sapUiTreeNode")[0];t.placeFocus(d);d.focus();}};
T.prototype.onsapselect=function(o){if(this.getSelectable()){this.getTree().setSelection(this);}else if(this.getExpanded()){this.collapse();}else{this.expand();}};
T.prototype.onsapexpand=function(o){this.expand();};
T.prototype.onsapcollapse=function(o){this.collapse();};
T.prototype.onsapleft=function(o){if(sap.ui.getCore().getConfiguration().getRTL()){this.expand();}else{this.collapse();}o.preventDefault();};
T.prototype.onsapright=function(o){if(sap.ui.getCore().getConfiguration().getRTL()){this.collapse();}else{this.expand();}o.preventDefault();};
T.prototype.focus=function(){var d=this.getFocusDomRef();if(d){d.setAttribute("tabindex","0");d.focus();}};
T.prototype.blur=function(){var d=this.getFocusDomRef();if(d){d.setAttribute("tabindex","-1");}};
T.prototype.getTree=function(){var p=this.getParent();while(p instanceof T){p=p.getParent();}return p;};
T.prototype.hasChildren=function(){var s=this._getNodes();if(s.length){return true;}return false;};
T.prototype.isVisible=function(){var p=this.getParent();while(p instanceof T){if(!p.getExpanded()){return false;}p=p.getParent();}return true;};
T.prototype.scrollIntoView=function(){var n=this.$(),t=this.getTree().$(),$=t.find(".sapUiTreeCont"),o=n[0].offsetTop,s=$.scrollTop(),h=$.height(),N,O=n[0].offsetLeft,S=$.scrollLeft(),w=$.width(),i;if(o>s+h||o<s){N=o-Math.floor(h*0.5);N=Math.max(N,0);}if(O>S+w||O<S){i=O-Math.floor(w*0.5);i=Math.max(i,0);}if(N!==undefined||i!==undefined){var m={};if(N!==undefined){m.scrollTop=N;}if(i!==undefined){m.scrollLeft=i;}$.stop(true,true).animate(m);}};
T.prototype.getTooltip_AsString=function(){var t;var o=this.getTooltip();if(typeof o==="string"||o instanceof String){t=o;}if(!t){t=this.getText();}return t;};
return T;},true);
sap.ui.predefine('sap/ui/commons/TreeRenderer',['jquery.sap.global'],function(q){"use strict";var T={};
T.render=function(r,t){var a=r;T.bFirstNodeRendered=false;a.write("<div");a.writeControlData(t);a.addClass("sapUiTree");if(t.getHeight()!=""&&t.getHeight()!="auto"){a.addClass("sapUiTreeFixedHeight");}if(!t.getShowHeader()){a.addClass("sapUiTreeTransparent");}a.writeClasses();a.addStyle("width",t.getWidth()||"auto");a.addStyle("height",t.getHeight());a.addStyle("min-width",t.getMinWidth());a.writeStyles();a.writeAttribute('role','tree');a.write(">");if(t.getShowHeader()){a.write("<div id=\""+t.getId()+"-Header\" class=\"sapUiTreeHeader\"");a.writeAttribute('role','heading');a.write(">");a.write("<div class='sapUiTreeTitle'");if(t.getTooltip_AsString()){a.writeAttributeEscaped("title",t.getTooltip_AsString());}a.write(">");a.writeEscaped(t.getTitle());a.write("</div>");if(t.getShowHeaderIcons()){a.write("<div id='"+t.getId()+"-TBCont' class='sapUiTreeTbCont'");a.writeAttribute('role','toolbar');a.write(">");a.renderControl(t.oCollapseAllButton);a.renderControl(t.oExpandAllButton);a.write("</div>");}a.write("</div>");}a.write("<div id=\""+t.getId()+"-TreeCont\"");a.addClass("sapUiTreeCont");var s=t.getShowHorizontalScrollbar();if(s){a.addClass("sapUiTreeContScroll");}else{a.addClass("sapUiTreeContNoScroll");}a.writeClasses();a.write(">");a.write("<ul class=\"sapUiTreeList\">");var n=t.getNodes();for(var i=0;i<n.length;i++){T.renderNode(a,n[i],1,n.length,i+1);}a.write("</ul>");a.write("</div>");a.write("</div>");};
T.renderNode=function(r,n,l,s,p){var a=r;var e;a.write("<li");a.writeElementData(n);a.addClass("sapUiTreeNode");if(n.getExpanded()&&(n.getHasExpander()||n.hasChildren())){a.addClass("sapUiTreeNodeExpanded");e=true;}else if(!n.getExpanded()&&(n.getHasExpander()||n.hasChildren())){a.addClass("sapUiTreeNodeCollapsed");e=false;}if(n.getSelectable()&&n.getIsSelected()){a.addClass("sapUiTreeNodeSelected");a.writeAttribute('aria-selected','true');}if(!e&&n.hasSelectedHiddenChild()){a.addClass("sapUiTreeNodeSelectedParent");a.writeAttribute('aria-selected','true');}a.writeClasses(n);var P={role:'treeitem',level:l,setsize:s,posinset:p};if(e){P["expanded"]=true;}else{if(n.getHasExpander()){P["expanded"]=false;}}a.writeAccessibilityState(n,P);a.writeAttributeEscaped("title",n.getTooltip_AsString());if(!T.bFirstNodeRendered){a.write("tabindex='0'");T.bFirstNodeRendered=true;}a.write(">");a.write("<span");a.addClass("sapUiTreeNodeContent");if(!n.getSelectable()){a.addClass("sapUiTreeNodeNotSelectable");}a.writeClasses();a.write(">");if(n.getIcon()){a.writeIcon(n.getIcon(),"sapUiTreeIcon",{"title":null});}a.writeEscaped(n.getText());a.write("</span>");a.write("</li>");if(n.getNodes()){var S=n.getNodes();a.write("<ul");a.writeAttribute("id",n.getId()+"-children");a.addClass("sapUiTreeChildrenNodes");if(!e){a.addClass("sapUiTreeHiddenChildrenNodes");}else{a.writeAttribute("style","display: block;");}a.writeClasses();a.write(">");l++;for(var i=0;i<S.length;i++){T.renderNode(a,S[i],l,S.length,i+1);}a.write("</ul>");}};
return T;},true);
sap.ui.predefine('sap/ui/commons/TriStateCheckBox',['jquery.sap.global','./library','sap/ui/core/Control',"./TriStateCheckBoxRenderer"],function(q,l,C,T){"use strict";
var a=C.extend("sap.ui.commons.TriStateCheckBox",{metadata:{library:"sap.ui.commons",properties:{selectionState:{type:"sap.ui.commons.TriStateCheckBoxState",group:"Data",defaultValue:sap.ui.commons.TriStateCheckBoxState.Unchecked},text:{type:"string",group:"Appearance",defaultValue:null},enabled:{type:"boolean",group:"Behavior",defaultValue:true},editable:{type:"boolean",group:"Behavior",defaultValue:true},valueState:{type:"sap.ui.core.ValueState",group:"Data",defaultValue:sap.ui.core.ValueState.None},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},textDirection:{type:"sap.ui.core.TextDirection",group:"Appearance",defaultValue:sap.ui.core.TextDirection.Inherit}},events:{change:{parameters:{selectionState:{type:"string"}}}}}});
a.prototype.onclick=function(e){if(!!sap.ui.Device.browser.internet_explorer&&(!this.getEnabled())){this.$().attr("tabindex",0).addClass("sapUiTriCbFoc");}this.userToggle(e);};
a.prototype.onfocusout=function(e){if(!!sap.ui.Device.browser.internet_explorer&&(!this.getEnabled())){this.$().attr("tabindex",-1).removeClass("sapUiTriCbFoc");}};
a.prototype.onsapspace=function(e){e.preventDefault();this.userToggle(e);};
a.prototype.userToggle=function(e){if(this.getEnabled()&&this.getEditable()){if(this.getSelectionState()==='Mixed'||this.getSelectionState()==="Unchecked"){this.toggle("Checked");}else{this.toggle("Unchecked");}this.fireChange({selectionState:this.getSelectionState()});}else{this.getDomRef().focus();}};
a.prototype.toggle=function(d){if(d in sap.ui.commons.TriStateCheckBoxState){this.setSelectionState(d);}};
return a;},true);
sap.ui.predefine('sap/ui/commons/TriStateCheckBoxRenderer',['jquery.sap.global','sap/ui/core/ValueStateSupport'],function(q,V){"use strict";var T={};
T.render=function(r,c){var m=0;var R=false;var e=!!c.getEnabled();var a=!!c.getEditable();var i=false;var b=false;var s=c.getSelectionState();var d=s.toLowerCase();if(d=="checked"){d=true;}else if(d=="unchecked"){d=false;}var t=V.enrichTooltip(c,c.getTooltip_AsString());var f="sapUiAriaLabel"+c.getIdForLabel();if(c.getValueState()!=null){i=sap.ui.core.ValueState.Error==c.getValueState();b=sap.ui.core.ValueState.Warning==c.getValueState();}r.write("<span");r.writeControlData(c);r.addClass("sapUiTriCb");if(!!c.getWidth()){r.writeAttribute("style","width:"+c.getWidth()+";");}r.writeAccessibilityState(c,{"role":sap.ui.core.AccessibleRole.Checkbox.toLowerCase(),"checked":d});r.writeClasses();if(!e){m=-1;}r.writeAttribute("tabIndex",m);r.write(">");r.write("<span");r.writeAccessibilityState(c,{"labelledby":f});if(t){r.writeAttributeEscaped("title",t);}if(!e){R=true;m=-1;r.write(" disabled='disabled'");}if(!a){R=true;}if(R){r.write(" readOnly='readOnly'");}r.addClass("sapUiTriCbInner");if(!e){r.addClass("sapUiTriCbDis");}if(!a){r.addClass("sapUiTriCbRo");}if(i){r.addClass("sapUiTriCbErr");}else if(b){r.addClass("sapUiTriCbWarn");}if(s==="Checked"){r.addClass("sapUiTriCbCheck");}else if(s==="Mixed"){r.addClass("sapUiTriCbMix");}r.writeClasses();r.write(">");r.write("</span>");if(c.getText()){this.renderText(f,r,c.getText(),c.getTextDirection());}r.write("</span>");};
T.renderText=function(l,r,t,e){var R=r;R.write("<span id="+l+" class=\"sapUiTriCbLbl\"");if(!e||e==sap.ui.core.TextDirection.Inherit){R.write(">");R.writeEscaped(t);}else{R.write(" style=\"direction:"+e.toLowerCase()+";\">");R.writeEscaped(t);}R.write("</span>");};
return T;},true);
sap.ui.predefine('sap/ui/commons/ValueHelpField',['jquery.sap.global','./TextField','./library','sap/ui/core/IconPool','sap/ui/core/theming/Parameters',"./ValueHelpFieldRenderer"],function(q,T,l,I,P,V){"use strict";
var a=T.extend("sap.ui.commons.ValueHelpField",{metadata:{library:"sap.ui.commons",properties:{iconURL:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:null},iconHoverURL:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:null},iconDisabledURL:{type:"sap.ui.core.URI",group:"Appearance",defaultValue:null}},events:{valueHelpRequest:{}}}});
a.prototype.onBeforeRendering=function(){this.sIconDsblUrl="sap-icon://value-help";this.sIconRegularUrl="sap-icon://value-help";this.sIconHoverUrl="sap-icon://value-help";};
a.prototype.onmouseover=function(e){if(e.target.id==this.getId()+'-icon'&&this.getEnabled()&&this.getEditable()&&!this.bIsIconURI){if(this.getIconHoverURL()){this.sIconHoverUrl=this.getIconHoverURL();}else if(this.getIconURL()){this.sIconHoverUrl=this.sIconRegularUrl;}else{this.sIconHoverUrl="sap-icon://value-help";}var i=q.sap.byId(e.target.id);i.attr('src',this.sIconHoverUrl);}};
a.prototype.onmouseout=function(e){if(e.target.id==this.getId()+'-icon'&&this.getEnabled()&&this.getEditable()&&!this.bIsIconURI){var i=q.sap.byId(e.target.id);i.attr('src',this.sIconRegularUrl);}};
a.prototype.onclick=function(e){if(e.target.id==this.getId()+'-icon'&&this.getEnabled()&&this.getEditable()){this.fireValueHelpRequest({});}};
a.prototype.setEnabled=function(e){var o=this.getEnabled();T.prototype.setEnabled.apply(this,arguments);if(this.getDomRef()&&o!=e&&!this.bIsIconURI){var i=this.$("icon");if(e){i.attr('src',this.sIconRegularUrl);i.removeClass('sapUiTfValueHelpDsblIcon');i.addClass('sapUiTfValueHelpRegularIcon');}else{i.attr('src',this.sIconRegularUrl);i.removeClass('sapUiTfValueHelpRegularIcon');i.addClass('sapUiTfValueHelpDsblIcon');}}return this;};
a.prototype.setEditable=function(e){var o=this.getEditable();T.prototype.setEditable.apply(this,arguments);if(this.getDomRef()&&o!=e&&!this.bIsIconURI){var i=this.$("icon");if(e){i.removeClass('sapUiTfValueHelpDsblIcon');i.addClass('sapUiTfValueHelpRegularIcon');}else{i.removeClass('sapUiTfValueHelpRegularIcon');i.addClass('sapUiTfValueHelpDsblIcon');}}return this;};
a.prototype.onsapshow=function(e){this._checkChange(e);this.fireValueHelpRequest({});e.preventDefault();e.stopPropagation();};
a.prototype.getTooltip_AsString=function(){var t=T.prototype.getTooltip_AsString.apply(this,arguments);if(this.getEnabled()&&this.getEditable()){var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");var s=r.getText("VHF_TOOLTIP");return(t?t+" - ":"")+s;}else{return t;}};
a.prototype.onThemeChanged=function(e){if(this.getDomRef()){this.invalidate();}};
a.prototype.exit=function(){this.sIconRegularUrl=undefined;this.sIconHoverUrl=undefined;this.sIconDsblUrl=undefined;};
return a;},true);
sap.ui.predefine('sap/ui/commons/ValueHelpFieldRenderer',['jquery.sap.global','./TextFieldRenderer'],function(q,T){"use strict";var V=sap.ui.core.Renderer.extend(T);
V.renderOuterAttributes=function(r,c){r.addClass("sapUiTfCombo");r.writeAttribute("aria-owns",c.getId()+'-input '+c.getId()+'-icon');};
V.renderOuterContent=function(r,c){var i=c.getIconURL();var C=[];var a={};a["id"]=c.getId()+"-icon";a["role"]="button";C.push("sapUiTfValueHelpIcon");if(i&&sap.ui.core.IconPool.isIconURI(i)){c.bIsIconURI=true;a.title=c.getTooltip_AsString();}else{c.bIsIconURI=false;if(c.getEnabled()&&c.getEditable()){C.push("sapUiTfValueHelpRegularIcon");}i=this.renderIcon(r,c,C);}r.writeIcon(i,C,a);};
V.renderIcon=function(r,c,C){var i="";if(!c.getEnabled()){if(c.getIconDisabledURL()){c.sIconDsblUrl=c.getIconDisabledURL();}else if(c.getIconURL()){c.sIconDsblUrl=c.getIconURL();C.push('sapUiTfValueHelpDsblIcon');}i=c.sIconDsblUrl;}else{if(c.getIconURL()){c.sIconRegularUrl=c.getIconURL();}i=c.sIconRegularUrl;}return i;};
return V;},true);
sap.ui.predefine('sap/ui/commons/form/Form',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/form/Form',"./FormRenderer"],function(q,l,F,a){"use strict";
var b=F.extend("sap.ui.commons.form.Form",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return b;},true);
sap.ui.predefine('sap/ui/commons/form/FormContainer',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/form/FormContainer'],function(q,l,F){"use strict";
var a=F.extend("sap.ui.commons.form.FormContainer",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return a;},true);
sap.ui.predefine('sap/ui/commons/form/FormElement',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/form/FormElement'],function(q,l,F){"use strict";
var a=F.extend("sap.ui.commons.form.FormElement",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return a;},true);
sap.ui.predefine('sap/ui/commons/form/FormLayout',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/form/FormLayout',"./FormLayoutRenderer"],function(q,l,F,a){"use strict";
var b=F.extend("sap.ui.commons.form.FormLayout",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return b;},true);
sap.ui.predefine('sap/ui/commons/form/FormLayoutRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/layout/form/FormLayoutRenderer'],function(q,R,F){"use strict";var a=R.extend(F);return a;},true);
sap.ui.predefine('sap/ui/commons/form/FormRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/layout/form/FormRenderer'],function(q,R,F){"use strict";var a=R.extend(F);return a;},true);
sap.ui.predefine('sap/ui/commons/form/GridContainerData',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/form/GridContainerData'],function(q,l,G){"use strict";
var a=G.extend("sap.ui.commons.form.GridContainerData",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return a;},true);
sap.ui.predefine('sap/ui/commons/form/GridElementData',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/form/GridElementData'],function(q,l,G){"use strict";
var a=G.extend("sap.ui.commons.form.GridElementData",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return a;},true);
sap.ui.predefine('sap/ui/commons/form/GridLayout',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/form/GridLayout',"./GridLayoutRenderer"],function(q,l,G,a){"use strict";
var b=G.extend("sap.ui.commons.form.GridLayout",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return b;},true);
sap.ui.predefine('sap/ui/commons/form/GridLayoutRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/layout/form/GridLayoutRenderer'],function(q,R,G){"use strict";var a=R.extend(G);return a;},true);
sap.ui.predefine('sap/ui/commons/form/ResponsiveLayout',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/form/ResponsiveLayout',"./ResponsiveLayoutRenderer"],function(q,l,R,a){"use strict";
var b=R.extend("sap.ui.commons.form.ResponsiveLayout",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return b;},true);
sap.ui.predefine('sap/ui/commons/form/ResponsiveLayoutRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/layout/form/ResponsiveLayoutRenderer'],function(q,R,a){"use strict";var b=R.extend(a);return b;},true);
sap.ui.predefine('sap/ui/commons/form/SimpleForm',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/form/SimpleForm',"./SimpleFormRenderer"],function(q,l,S,a){"use strict";
var b=S.extend("sap.ui.commons.form.SimpleForm",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return b;},true);
sap.ui.predefine('sap/ui/commons/form/SimpleFormRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/layout/form/SimpleFormRenderer'],function(q,R,S){"use strict";var a=R.extend(S);return a;},true);
sap.ui.predefine('sap/ui/commons/layout/AbsoluteLayout',['jquery.sap.global','./PositionContainer','sap/ui/commons/library','sap/ui/core/Control',"./AbsoluteLayoutRenderer"],function(q,P,l,C,A){"use strict";
var a=C.extend("sap.ui.commons.layout.AbsoluteLayout",{metadata:{library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'},verticalScrolling:{type:"sap.ui.core.Scrolling",group:"Behavior",defaultValue:sap.ui.core.Scrolling.Hidden},horizontalScrolling:{type:"sap.ui.core.Scrolling",group:"Behavior",defaultValue:sap.ui.core.Scrolling.Hidden}},defaultAggregation:"positions",aggregations:{positions:{type:"sap.ui.commons.layout.PositionContainer",multiple:true,singularName:"position"}}}});
(function(){
a.prototype.setWidth=function(w){return s(this,"width",w,"LYT_SIZE");};
a.prototype.setHeight=function(h){return s(this,"height",h,"LYT_SIZE");};
a.prototype.setVerticalScrolling=function(v){return s(this,"verticalScrolling",v,"LYT_SCROLL");};
a.prototype.setHorizontalScrolling=function(h){return s(this,"horizontalScrolling",h,"LYT_SCROLL");};
a.prototype.insertPosition=function(p,i){var h=!!this.getDomRef();this.insertAggregation("positions",p,i,h);if(h&&p&&p.getControl()){this.contentChanged(p,"CTRL_ADD");}return this;};
a.prototype.addPosition=function(p){var h=!!this.getDomRef();this.addAggregation("positions",p,h);if(h&&p&&p.getControl()){this.contentChanged(p,"CTRL_ADD");}return this;};
a.prototype.removePosition=function(p){var h=!!this.getDomRef();var r=this.removeAggregation("positions",p,h);if(r){c([r]);this.contentChanged(r,"CTRL_REMOVE");}return r;};
a.prototype.removeAllPositions=function(){c(this.getPositions());var h=!!this.getDomRef();var r=this.removeAllAggregation("positions",h);if(h){this.contentChanged(r,"CTRL_REMOVE_ALL");}return r;};
a.prototype.destroyPositions=function(){c(this.getPositions());var h=!!this.getDomRef();this.destroyAggregation("positions",h);if(h){this.contentChanged(null,"CTRL_REMOVE_ALL");}return this;};
a.prototype.getContent=function(){var e=[];var p=this.getPositions();for(var i=0;i<p.length;i++){e.push(p[i].getControl());}return e;};
a.prototype.addContent=function(o,p){var e=P.createPosition(o,p);this.addPosition(e);return this;};
a.prototype.insertContent=function(o,i,p){var e=P.createPosition(o,p);this.insertPosition(e,i);return this;};
a.prototype.removeContent=function(v){var i=v;if(typeof(v)=="string"){v=sap.ui.getCore().byId(v);}if(typeof(v)=="object"){i=this.indexOfContent(v);}if(i>=0&&i<this.getContent().length){this.removePosition(i);return v;}return null;};
a.prototype.removeAllContent=function(){var e=this.getContent();this.removeAllPositions();return e;};
a.prototype.indexOfContent=function(o){var e=this.getContent();for(var i=0;i<e.length;i++){if(o===e[i]){return i;}}return-1;};
a.prototype.destroyContent=function(){this.destroyPositions();return this;};
a.prototype.setPositionOfChild=function(o,p){var i=this.indexOfContent(o);if(i>=0){var e=this.getPositions()[i];e.updatePosition(p);return true;}return false;};
a.prototype.getPositionOfChild=function(o){var i=this.indexOfContent(o);if(i>=0){var p=this.getPositions()[i];return p.getComputedPosition();}return{};};
a.prototype.exit=function(){c(this.getPositions());};
a.prototype.doBeforeRendering=function(){var p=this.getPositions();if(!p||p.length==0){return;}for(var i=0;i<p.length;i++){var o=p[i];o.reinitializeEventHandlers(true);b(o,true);}};
a.prototype.onAfterRendering=function(){var p=this.getPositions();if(!p||p.length==0){return;}for(var i=0;i<p.length;i++){p[i].reinitializeEventHandlers();}};
a.cleanUpControl=function(o){if(o&&o[S]){o.removeDelegate(o[S]);o[S]=undefined;}};
a.prototype.contentChanged=function(p,e){switch(e){case"CTRL_POS":sap.ui.commons.layout.AbsoluteLayoutRenderer.updatePositionStyles(p);b(p);p.reinitializeEventHandlers();break;case"CTRL_CHANGE":b(p,true);sap.ui.commons.layout.AbsoluteLayoutRenderer.updatePositionedControl(p);p.reinitializeEventHandlers();break;case"CTRL_REMOVE":sap.ui.commons.layout.AbsoluteLayoutRenderer.removePosition(p);p.reinitializeEventHandlers(true);break;case"CTRL_REMOVE_ALL":sap.ui.commons.layout.AbsoluteLayoutRenderer.removeAllPositions(this);var f=p;if(f){for(var i=0;i<f.length;i++){f[i].reinitializeEventHandlers(true);}}break;case"CTRL_ADD":b(p,true);sap.ui.commons.layout.AbsoluteLayoutRenderer.insertPosition(this,p);p.reinitializeEventHandlers();break;case"LYT_SCROLL":sap.ui.commons.layout.AbsoluteLayoutRenderer.updateLayoutScolling(this);break;case"LYT_SIZE":sap.ui.commons.layout.AbsoluteLayoutRenderer.updateLayoutSize(this);break;}};
var S="__absolutelayout__delegator";var c=function(p){for(var i=0;i<p.length;i++){var o=p[i];var e=o.getControl();if(e){a.cleanUpControl(e);}}};var b=function(p,r){var o=p.getControl();if(o){a.cleanUpControl(o);if(!r){d(o);}var D=(function(e){return{onAfterRendering:function(){d(e);}};}(o));o[S]=D;o.addDelegate(D,true);}};var d=function(o){var e=false;if(o.getParent()&&o.getParent().getComputedPosition){var p=o.getParent().getComputedPosition();if(p.top&&p.bottom||p.height){q(o.getDomRef()).css("height","100%");e=true;}if(p.left&&p.right||p.width){q(o.getDomRef()).css("width","100%");e=true;}if(e){sap.ui.commons.layout.AbsoluteLayoutRenderer.updatePositionStyles(o.getParent());}}return e;};var s=function(t,p,v,e){var h=!!t.getDomRef();t.setProperty(p,v,h);if(h){t.contentChanged(null,e);}return t;};}());return a;},true);
sap.ui.predefine('sap/ui/commons/layout/AbsoluteLayoutRenderer',['jquery.sap.global'],function(q){"use strict";var A={};(function(){
A.render=function(r,c){var a=r;c.doBeforeRendering();a.write("<div");a.writeControlData(c);a.addClass("sapUiLayoutAbs");a.addClass("sapUiLayoutAbsOvrflwY"+c.getVerticalScrolling());a.addClass("sapUiLayoutAbsOvrflwX"+c.getHorizontalScrolling());a.writeClasses();var s="width:"+c.getWidth()+";height:"+c.getHeight()+";";a.writeAttribute("style",s);var t=c.getTooltip_AsString();if(t){a.writeAttributeEscaped("title",t);}a.write(">");var p=c.getPositions();if(p&&p.length>0){for(var i=0;i<p.length;i++){var P=p[i];var C=P.getControl();if(C){a.write("<div");a.writeElementData(P);a.writeAttribute("class","sapUiLayoutAbsPos");a.writeAttribute("style",g(P));t=P.getTooltip_AsString();if(t){a.writeAttributeEscaped("title",t);}a.write(">");a.renderControl(C);a.write("</div>");}}}a.write("</div>");};
A.updateLayoutSize=function(l){q(l.getDomRef()).css("width",l.getWidth()).css("height",l.getHeight());};
A.updateLayoutScolling=function(l){var L=q(l.getDomRef());for(var s in sap.ui.core.Scrolling){L.removeClass("sapUiLayoutAbsOvrflwY"+s).removeClass("sapUiLayoutAbsOvrflwX"+s);}L.addClass("sapUiLayoutAbsOvrflwY"+l.getVerticalScrolling()).addClass("sapUiLayoutAbsOvrflwX"+l.getHorizontalScrolling());};
A.updatePositionStyles=function(p){q(p.getDomRef()).attr("style",g(p));};
A.removePosition=function(p){q(p.getDomRef()).remove();};
A.removeAllPositions=function(l){q(l.getDomRef()).html("");};
A.updatePositionedControl=function(p){A.updatePositionStyles(p);var r=sap.ui.getCore().createRenderManager();r.renderControl(p.getControl());r.flush(p.getDomRef());r.destroy();};
A.insertPosition=function(l,p){var i=l.indexOfPosition(p);var P=l.getPositions();var o=null;while(i>0){i--;if(P[i].getDomRef()){o=P[i];break;}}var h="<div id=\""+p.getId()+"\" data-sap-ui=\""+p.getId()+"\" class=\"sapUiLayoutAbsPos\"></div>";if(!o){q(l.getDomRef()).prepend(h);}else{q(o.getDomRef()).after(h);}A.updatePositionedControl(p);};
var g=function(p){var P=p.getComputedPosition();var a=function(p,b,s,v){if(v){b.push(s+":"+v+";");}};var b=[];a(p,b,"top",P.top);a(p,b,"bottom",P.bottom);a(p,b,"left",P.left);a(p,b,"right",P.right);a(p,b,"width",P.width);a(p,b,"height",P.height);return b.join("");};}());return A;},true);
sap.ui.predefine('sap/ui/commons/layout/BorderLayout',['jquery.sap.global','sap/ui/commons/library','sap/ui/core/Control',"./BorderLayoutRenderer"],function(q,l,C,B){"use strict";
var a=C.extend("sap.ui.commons.layout.BorderLayout",{metadata:{library:"sap.ui.commons",properties:{rtl:{type:"boolean",group:"Appearance",defaultValue:false,deprecated:true},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:'100%'}},aggregations:{top:{type:"sap.ui.commons.layout.BorderLayoutArea",multiple:false},begin:{type:"sap.ui.commons.layout.BorderLayoutArea",multiple:false},center:{type:"sap.ui.commons.layout.BorderLayoutArea",multiple:false},end:{type:"sap.ui.commons.layout.BorderLayoutArea",multiple:false},bottom:{type:"sap.ui.commons.layout.BorderLayoutArea",multiple:false}}}});
a.prototype._getOrCreateArea=function(A,c){var T=sap.ui.commons.layout.BorderLayoutAreaTypes,t=this,o;function b(m){var d;if(c){d=new sap.ui.commons.layout.BorderLayoutArea({id:t.getId()+"--"+A,areaId:A,content:c});t[m](d);}return d;}if(!T.hasOwnProperty(A)){throw new Error("Invalid Area Id '"+A+"'");}switch(A){case T.top:o=this.getTop()||b("setTop");break;case T.begin:o=this.getBegin()||b("setBegin");break;case T.center:o=this.getCenter()||b("setCenter");break;case T.end:o=this.getEnd()||b("setEnd");break;case T.bottom:o=this.getBottom()||b("setBottom");break;default:break;}return o;};
a.prototype.getArea=function(A,c){return this._getOrCreateArea(A,c?[]:null);};
a.prototype.createArea=function(A,c){return this._getOrCreateArea(A,Array.prototype.slice.call(arguments,1));};
a.prototype.getAreaById=function(A){return this._getOrCreateArea(A,[]);};
a.prototype.getAreaData=function(A){var o=this.getAreaById(A);return o?{size:o.getSize(),visible:o.getVisible(),overflowX:o.getOverflowX(),overflowY:o.getOverflowY(),contentAlign:o.getContentAlign()}:{};};
a.prototype.setAreaData=function(A,d){this.getArea(A,true).applySettings(d);return this;};
a.prototype.addContent=function(A){var o=this.getArea(A,true),i;for(var i=1;i<arguments.length;i++){o.addContent(arguments[i]);}return this;};
a.prototype.insertContent=function(A,I){var o=this.getArea(A,true),i;for(i=2;i<arguments.length;i++){o.insertContent(arguments[i],I++);}return this;};
a.prototype.removeContent=function(A,e){var o=this.getAreaById(A);if(o){o.removeContent(e);}return this;};
a.prototype.removeAllContent=function(A){var o=this.getAreaById(A);if(o){o.removeAllContent();}return this;};
a.prototype.getContent=function(A){var o=this.getAreaById(A);return o?o.getContent():[];};
a.prototype.indexOfContent=function(A,c){var o=this.getAreaById(A);return o?o.indexOfContent(c):-1;};
a.prototype.destroyContent=function(A){this.getAreaById(A,true).destroyContent();return this;};
return a;},true);
sap.ui.predefine('sap/ui/commons/layout/BorderLayoutArea',['jquery.sap.global','sap/ui/commons/library','sap/ui/core/CustomStyleClassSupport','sap/ui/core/Element'],function(q,l,C,E){"use strict";
var B=E.extend("sap.ui.commons.layout.BorderLayoutArea",{metadata:{library:"sap.ui.commons",properties:{areaId:{type:"sap.ui.commons.layout.BorderLayoutAreaTypes",group:"Identification",defaultValue:sap.ui.commons.layout.BorderLayoutAreaTypes.top,deprecated:true},overflowX:{type:"string",group:"Misc",defaultValue:'auto'},overflowY:{type:"string",group:"Misc",defaultValue:'auto'},contentAlign:{type:"string",group:"Misc",defaultValue:'left'},size:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:'100px'},visible:{type:"boolean",group:"Misc",defaultValue:true}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"}}}});
C.apply(B.prototype);
B.prototype.getAreaId=function(){var p=this.getParent();return(p&&p instanceof sap.ui.commons.layout.BorderLayout)?this.sParentAggregationName:undefined;};
B.prototype.setVisible=function(v,b){var a=this.getAreaId();if(a==="center"||!b){this.setProperty("visible",v);return this;}this.setProperty("visible",v,true);this.getParent().getMetadata().getRenderer().animate(this,v);return this;};
return B;},true);
sap.ui.predefine('sap/ui/commons/layout/BorderLayoutRenderer',['jquery.sap.global','jquery.sap.encoder'],function(q){"use strict";var B={};(function(){
B.render=function(R,c){var a={top:c.getTop(),begin:c.getBegin(),center:c.getCenter(),end:c.getEnd(),bottom:c.getBottom()};var A={top:s(a.top),begin:s(a.begin),center:s(a.center),end:s(a.end),bottom:s(a.bottom)};var b=sap.ui.getCore().getConfiguration().getRTL();R.write("<div");R.writeControlData(c);R.addClass("sapUiBorderLayout");R.addStyle("width",c.getWidth());R.addStyle("height",c.getHeight());R.writeClasses();R.writeStyles();R.write(">");if(a.top){r(R,"top",a.top,A,b);}if(a.begin){r(R,"begin",a.begin,A,b);}if(a.center&&a.center.getVisible()){r(R,"center",a.center,A,b);}if(a.end){r(R,"end",a.end,A,b);}if(a.bottom){r(R,"bottom",a.bottom,A,b);}R.write("</div>");};
B.animate=function(a,v){var R=sap.ui.getCore().getConfiguration().getRTL();var e=v?a.getSize():"0";switch(a.getAreaId()){case"top":$(a,"top").animate({height:e});$(a,"begin").animate({top:e});$(a,"center").animate({top:e});$(a,"end").animate({top:e});break;case"begin":$(a,"begin").animate({width:e});$(a,"center").animate(R?{right:e}:{left:e});break;case"end":$(a,"center").animate(R?{left:e}:{right:e});$(a,"end").animate({width:e});break;case"bottom":$(a,"begin").animate({bottom:e});$(a,"center").animate({bottom:e});$(a,"end").animate({bottom:e});$(a,"bottom").animate({height:e});break;default:break;}};
function s(a){var S=a&&a.getVisible()&&a.getSize();return S||"0";}
function r(R,a,A,m,b){var c=A.getContent();var l=c.length;R.write("<div");R.writeAttribute("id",A.getId());switch(a){case"top":R.addClass("sapUiBorderLayoutTop");R.addStyle("height",m.top);break;case"begin":R.addClass("sapUiBorderLayoutBegin");R.addStyle("width",m.begin);R.addStyle("top",m.top);R.addStyle("bottom",m.bottom);break;case"center":R.addClass("sapUiBorderLayoutCenter");R.addStyle("top",m.top);R.addStyle("right",b?m.begin:m.end);R.addStyle("bottom",m.bottom);R.addStyle("left",b?m.end:m.begin);break;case"end":R.addClass("sapUiBorderLayoutEnd");R.addStyle("width",m.end);R.addStyle("top",m.top);R.addStyle("bottom",m.bottom);break;case"bottom":R.addClass("sapUiBorderLayoutBottom");R.addStyle("height",m.bottom);break;default:break;}R.addStyle("overflow-x",q.sap.encodeHTML(A.getOverflowX()||""));R.addStyle("overflow-y",q.sap.encodeHTML(A.getOverflowY()||""));var d=A.getContentAlign();if(b){if(d==="right"){d="left";}else if(d==="left"){d="right";}}R.addStyle("text-align",q.sap.encodeHTML(d||""));R.writeClasses(A);R.writeStyles();R.write(">");for(var i=0;i<l;i++){R.renderControl(c[i]);}R.write("</div>");}
function $(a,A){var o=a.getParent().getArea(A);return o?o.$():q();}
}());return B;},true);
sap.ui.predefine('sap/ui/commons/layout/HorizontalLayout',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/HorizontalLayout',"./HorizontalLayoutRenderer"],function(q,l,H,a){"use strict";
var b=H.extend("sap.ui.commons.layout.HorizontalLayout",{metadata:{library:"sap.ui.commons"}});
return b;},true);
sap.ui.predefine('sap/ui/commons/layout/HorizontalLayoutRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/layout/HorizontalLayoutRenderer'],function(q,R,H){"use strict";var a=R.extend(H);return a;},true);
sap.ui.predefine('sap/ui/commons/layout/MatrixLayout',['jquery.sap.global','./MatrixLayoutCell','./MatrixLayoutRow','sap/ui/commons/library','sap/ui/core/Control','sap/ui/core/EnabledPropagator',"./MatrixLayoutRenderer"],function(q,M,a,l,C,E,b){"use strict";
var c=C.extend("sap.ui.commons.layout.MatrixLayout",{metadata:{library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},layoutFixed:{type:"boolean",group:"Appearance",defaultValue:true},columns:{type:"int",group:"Appearance",defaultValue:null},widths:{type:"sap.ui.core.CSSSize[]",group:"Appearance",defaultValue:null}},defaultAggregation:"rows",aggregations:{rows:{type:"sap.ui.commons.layout.MatrixLayoutRow",multiple:true,singularName:"row"}}}});
E.call(c.prototype,true,true);
c.prototype.createRow=function(){var r=new a();this.addRow(r);for(var i=0;i<arguments.length;i++){var o=arguments[i];var d;if(o instanceof M){d=o;}else if(o instanceof C){d=new M({content:o});}else if(o instanceof Object&&o.height){r.setHeight(o.height);}else{var t=o?o.toString():"";d=new M({content:new sap.ui.commons.TextView({text:t})});}r.addCell(d);}return this;};
c.prototype.setWidths=function(w){var s;if(!q.isArray(w)){s=q.makeArray(arguments);}else{s=w;}for(var i=0;i<s.length;i++){if(s[i]==""||!s[i]){s[i]="auto";}}this.setProperty("widths",s);return this;};
return c;},true);
sap.ui.predefine('sap/ui/commons/layout/MatrixLayoutCell',['jquery.sap.global','sap/ui/commons/library','sap/ui/core/CustomStyleClassSupport','sap/ui/core/Element'],function(q,l,C,E){"use strict";
var M=E.extend("sap.ui.commons.layout.MatrixLayoutCell",{metadata:{library:"sap.ui.commons",aggregatingType:"MatrixLayoutRow",properties:{backgroundDesign:{type:"sap.ui.commons.layout.BackgroundDesign",defaultValue:'Transparent'},colSpan:{type:"int",defaultValue:1},hAlign:{type:"sap.ui.commons.layout.HAlign",defaultValue:'Begin'},padding:{type:"sap.ui.commons.layout.Padding",defaultValue:'End'},rowSpan:{type:"int",defaultValue:1},separation:{type:"sap.ui.commons.layout.Separation",defaultValue:'None'},vAlign:{type:"sap.ui.commons.layout.VAlign",defaultValue:'Middle'}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"}}}});
C.apply(M.prototype);return M;},true);
sap.ui.predefine('sap/ui/commons/layout/MatrixLayoutRenderer',['jquery.sap.global'],function(q){"use strict";var M={};
M.render=function(R,m){var a=R;var r=M;var b=sap.ui.getCore().getConfiguration().getRTL();var i=0;var j=0;var c=0;var l=0;var o;var C;var d;var e;var f;var s;var v;var B;a.write("<TABLE role=\"presentation\"");a.writeControlData(m);a.write(" cellpadding=\"0\" cellspacing=\"0\"");a.addStyle("border-collapse","collapse");var g=m.getWidth();if(g){a.addStyle("width",g);}var h=m.getHeight();if(h&&h!='auto'){a.addStyle("height",h);e=r.getValueUnit(h);}if(m.getLayoutFixed()){a.addStyle("table-layout","fixed");if(!g){a.addStyle("width","100%");}}a.addClass("sapUiMlt");a.writeStyles();a.writeClasses();if(m.getTooltip_AsString()){a.writeAttributeEscaped('title',m.getTooltip_AsString());}a.write('>');var k=m.getRows();var n=m.getColumns();if(n<1){for(i=0;i<k.length;i++){o=k[i];C=o.getCells();if(n<C.length){n=C.length;}}}if(n>0){var w=m.getWidths();a.write("<colgroup>");for(j=0;j<n;j++){a.write("<col");if(w&&w[j]&&w[j]!="auto"){a.addStyle('width',w[j]);a.writeStyles();}a.write("></col>");}a.write("</colgroup>");}var D=true;var p=false;a.write('<TBODY style="width: 100%; height: 100%">');for(i=0;i<k.length;i++){o=k[i];var t=o.getHeight();if(t=="auto"){t="";}if(t&&e){f=r.getValueUnit(t);if(f.Unit=='%'&&e.Unit!='%'){t=(e.Value*f.Value/100)+e.Unit;}}a.write("<tr");a.writeElementData(o);a.writeClasses(o);if(o.getTooltip_AsString()){a.writeAttributeEscaped('title',o.getTooltip_AsString());}B=sap.ui.Device.browser.edge||sap.ui.Device.browser.internet_explorer&&sap.ui.Device.browser.version>=9;if(B&&t){a.addStyle("height",t);a.writeStyles();}a.write(">");C=o.getCells();var u=n;if(n<1){u=C.length;}p=false;var y=0;if(!o.RowSpanCells){o.RowSpanCells=0;}else{p=true;}for(j=0;j<u;j++){if(j>=(u-y-o.RowSpanCells)){break;}var z=C[j];a.write("<td");if(t&&(!z||z.getRowSpan()==1)){a.addStyle("height",t);}if(z){a.writeElementData(z);if(z.getTooltip_AsString()){a.writeAttributeEscaped('title',z.getTooltip_AsString());}if(m.getLayoutFixed()&&z.getContent().length>0){a.addStyle("overflow","hidden");}var H=r.getHAlignClass(z.getHAlign(),b);if(H){a.addClass(H);}v=r.getVAlign(z.getVAlign());if(v){a.addStyle("vertical-align",v);}if(z.getColSpan()>1){a.writeAttribute("colspan",z.getColSpan());y=y+z.getColSpan()-1;p=true;}if(z.getRowSpan()>1){a.writeAttribute("rowspan",z.getRowSpan());var V=0;var U="";for(var x=0;x<z.getRowSpan();x++){var A=k[i+x];if(!A){U=false;break;}if(!A.RowSpanCells){A.RowSpanCells=0;}if(x>0){A.RowSpanCells=A.RowSpanCells+z.getColSpan();}var E=A.getHeight();if(!E||E=="auto"){U=false;}else{var F=r.getValueUnit(E);if(F.Unit=='%'&&e.Unit!='%'){F.Value=(e.Value*f.Value/100);F.Unit=e.Unit;}if(U==""){U=F.Unit;}else if(U!=F.Unit){U=false;}V=V+F.Value;}}if(U!=false){s=V+U;a.addStyle("height",s);}}a.addClass(r.getBackgroundClass(z.getBackgroundDesign()));a.addClass(r.getSeparationClass(z.getSeparation()));if(!m.getLayoutFixed()||!t){a.addClass(r.getPaddingClass(z.getPadding()));a.addClass("sapUiMltCell");}else{a.addStyle("white-space","nowrap");}a.writeClasses(z);}a.writeStyles();a.write(">");if(z){if(m.getLayoutFixed()&&t){a.write('<div');if(z.getRowSpan()!=1&&s&&s.search('%')==-1){a.addStyle("height",s);}else if(t.search('%')!=-1||(z.getRowSpan()!=1&&!s)){a.addStyle("height",'100%');}else{a.addStyle("height",t);}a.addStyle("display","inline-block");if(v){a.addStyle("vertical-align",v);}a.writeStyles();a.writeClasses(false);a.write("></div>");a.write('<div');a.addStyle("display","inline-block");if(v){a.addStyle("vertical-align",v);}if(z.getRowSpan()!=1&&s&&s.search('%')==-1){a.addStyle("max-height",s);}else if(t.search('%')!=-1||(z.getRowSpan()!=1&&!s)){a.addStyle("max-height",'100%');}else{a.addStyle("max-height",t);}var G="0";var I="";var J="0";d=z.getContent();for(c=0,l=d.length;c<l;c++){if(d[c].getHeight&&d[c].getHeight()!=""){var K=r.getValueUnit(d[c].getHeight());if(K){if(I==""){I=K.Unit;}if(I!=K.Unit){I="%";G="100";break;}if(K.Unit=="%"){if(parseFloat(G)<parseFloat(K.Value)){G=K.Value;if(G!="100"){J=10000/parseFloat(G);}}}}}}if(G!="0"){a.addStyle("height",G+I);}a.addStyle("white-space","normal");a.addStyle("width","100%");a.writeStyles();a.writeClasses(false);a.write("><div");a.addStyle("overflow","hidden");a.addStyle("text-overflow","inherit");if(G!="0"){if(J!="0"){a.addStyle("height",J+"%");}else{a.addStyle("height","100%");}}a.addClass("sapUiMltCell");a.addClass(r.getPaddingClass(z.getPadding()));a.writeStyles();a.writeClasses(false);a.write(">");}d=z.getContent();for(c=0,l=d.length;c<l;c++){R.renderControl(d[c]);}if(m.getLayoutFixed()&&t){a.write("</div></div>");}}a.write("</td>");}a.write("</tr>");o.RowSpanCells=undefined;if(!p){D=false;}}if(D&&sap.ui.Device.browser.internet_explorer&&sap.ui.Device.browser.version>=9){a.write("<tr style='height:0;'>");for(i=0;i<n;i++){a.write("<td></td>");}a.write("</tr>");}a.write("</TBODY></TABLE>");};
M.getHAlignClass=function(h,r){var c="sapUiMltCellHAlign";switch(h){case sap.ui.commons.layout.HAlign.Begin:return null;case sap.ui.commons.layout.HAlign.Center:return c+"Center";case sap.ui.commons.layout.HAlign.End:return c+(r?"Left":"Right");case sap.ui.commons.layout.HAlign.Left:return r?c+"Left":null;case sap.ui.commons.layout.HAlign.Right:return r?null:c+"Right";default:return null;}};
M.getVAlign=function(v){switch(v){case sap.ui.commons.layout.VAlign.Bottom:return"bottom";case sap.ui.commons.layout.VAlign.Middle:return"middle";case sap.ui.commons.layout.VAlign.Top:return"top";default:return null;}};
M.getBackgroundClass=function(b){switch(b){case sap.ui.commons.layout.BackgroundDesign.Border:return"sapUiMltBgBorder";case sap.ui.commons.layout.BackgroundDesign.Fill1:return"sapUiMltBgFill1";case sap.ui.commons.layout.BackgroundDesign.Fill2:return"sapUiMltBgFill2";case sap.ui.commons.layout.BackgroundDesign.Fill3:return"sapUiMltBgFill3";case sap.ui.commons.layout.BackgroundDesign.Header:return"sapUiMltBgHeader";case sap.ui.commons.layout.BackgroundDesign.Plain:return"sapUiMltBgPlain";case sap.ui.commons.layout.BackgroundDesign.Transparent:return null;default:return null;}};
M.getPaddingClass=function(p){switch(p){case sap.ui.commons.layout.Padding.None:return"sapUiMltPadNone";case sap.ui.commons.layout.Padding.Begin:return"sapUiMltPadLeft";case sap.ui.commons.layout.Padding.End:return"sapUiMltPadRight";case sap.ui.commons.layout.Padding.Both:return"sapUiMltPadBoth";case sap.ui.commons.layout.Padding.Neither:return"sapUiMltPadNeither";default:return null;}};
M.getSeparationClass=function(s){switch(s){case sap.ui.commons.layout.Separation.None:return null;case sap.ui.commons.layout.Separation.Small:return"sapUiMltSepS";case sap.ui.commons.layout.Separation.SmallWithLine:return"sapUiMltSepSWL";case sap.ui.commons.layout.Separation.Medium:return"sapUiMltSepM";case sap.ui.commons.layout.Separation.MediumWithLine:return"sapUiMltSepMWL";case sap.ui.commons.layout.Separation.Large:return"sapUiMltSepL";case sap.ui.commons.layout.Separation.LargeWithLine:return"sapUiMltSepLWL";default:return null;}};
M.getValueUnit=function(s){var v=0;var u="";var p=s.search('px');if(p>-1){u="px";v=parseInt(s.slice(0,p),10);return({Value:v,Unit:u});}p=s.search('pt');if(p>-1){u="pt";v=parseFloat(s.slice(0,p));return({Value:v,Unit:u});}p=s.search('in');if(p>-1){u="in";v=parseFloat(s.slice(0,p));return({Value:v,Unit:u});}p=s.search('mm');if(p>-1){u="mm";v=parseFloat(s.slice(0,p));return({Value:v,Unit:u});}p=s.search('cm');if(p>-1){u="cm";v=parseFloat(s.slice(0,p));return({Value:v,Unit:u});}p=s.search('em');if(p>-1){u="em";v=parseFloat(s.slice(0,p));return({Value:v,Unit:u});}p=s.search('ex');if(p>-1){u="ex";v=parseFloat(s.slice(0,p));return({Value:v,Unit:u});}p=s.search('%');if(p>-1){u="%";v=parseFloat(s.slice(0,p));return({Value:v,Unit:u});}};
return M;},true);
sap.ui.predefine('sap/ui/commons/layout/MatrixLayoutRow',['jquery.sap.global','sap/ui/commons/library','sap/ui/core/CustomStyleClassSupport','sap/ui/core/Element'],function(q,l,C,E){"use strict";
var M=E.extend("sap.ui.commons.layout.MatrixLayoutRow",{metadata:{library:"sap.ui.commons",aggregatingType:"MatrixLayout",properties:{height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null}},defaultAggregation:"cells",aggregations:{cells:{type:"sap.ui.commons.layout.MatrixLayoutCell",multiple:true,singularName:"cell"}}}});
C.apply(M.prototype);return M;},true);
sap.ui.predefine('sap/ui/commons/layout/PositionContainer',['jquery.sap.global','sap/ui/commons/library','sap/ui/core/Element'],function(q,l,E){"use strict";
var P=E.extend("sap.ui.commons.layout.PositionContainer",{metadata:{library:"sap.ui.commons",properties:{top:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},bottom:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},left:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},right:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},centerHorizontally:{type:"boolean",group:"Dimension",defaultValue:false},centerVertically:{type:"boolean",group:"Dimension",defaultValue:false}},defaultAggregation:"control",aggregations:{control:{type:"sap.ui.core.Control",multiple:false}}}});
(function(){
P.prototype.setControl=function(C){c(this);if(this.getDomRef()){this.setAggregation("control",C,true);n(this,C?"CTRL_CHANGE":"CTRL_REMOVE");}else{if(this.getParent()&&this.getParent().getDomRef()){this.setAggregation("control",C,true);if(C){n(this,"CTRL_ADD");}}else{this.setAggregation("control",C);}}if(C){C.attachEvent("_change",o,this);}return this;};
P.prototype.destroyControl=function(){c(this);var S=!!this.getDomRef();this.destroyAggregation("control",S);if(S){n(this,"CTRL_REMOVE");}return this;};
P.prototype.setTop=function(t){s(this,"top",t,true);return this;};
P.prototype.setBottom=function(B){s(this,"bottom",B,true);return this;};
P.prototype.setLeft=function(L){s(this,"left",L,true);return this;};
P.prototype.setRight=function(r){s(this,"right",r,true);return this;};
P.prototype.setCenterHorizontally=function(C){s(this,"centerHorizontally",C,true);return this;};
P.prototype.setCenterVertically=function(C){s(this,"centerVertically",C,true);return this;};
P.prototype.updatePosition=function(p){if(!p){p={};}s(this,"centerHorizontally",p.centerHorizontally?p.centerHorizontally:null);s(this,"centerVertically",p.centerVertically?p.centerVertically:null);s(this,"left",p.left?p.left:null);s(this,"right",p.right?p.right:null);s(this,"top",p.top?p.top:null);var N=s(this,"bottom",p.bottom?p.bottom:null);if(N){n(this,"CTRL_POS");}};
P.prototype.getComputedPosition=function(){var t=this.getTop();var B=this.getBottom();var L=this.getLeft();var r=this.getRight();var w=null;var h=null;var C=this.getControl();if(C){if(this.getCenterHorizontally()){L="50%";r=null;}else{if(!a(this,C,"width","left",L,"right",r)){r=undefined;}if(!L&&!r){L="0px";}}if(this.getCenterVertically()){t="50%";B=null;}else{if(!a(this,C,"height","top",t,"bottom",B)){B=undefined;}if(!t&&!B){t="0px";}}w=b(C,"width");h=b(C,"height");}return{top:t,bottom:B,left:L,right:r,width:w,height:h};};
P.createPosition=function(C,p){var d=new P();d.setControl(C);if(p){if(p.left){d.setLeft(p.left);}if(p.right){d.setRight(p.right);}if(p.top){d.setTop(p.top);}if(p.bottom){d.setBottom(p.bottom);}if(p.centerHorizontally){d.setCenterHorizontally(p.centerHorizontally);}if(p.centerVertically){d.setCenterVertically(p.centerVertically);}}return d;};
P.prototype.reinitializeEventHandlers=function(C){if(this._sResizeListenerId){sap.ui.core.ResizeHandler.deregister(this._sResizeListenerId);this._sResizeListenerId=null;}if(!C&&this.getDomRef()&&(this.getCenterHorizontally()||this.getCenterVertically())){var t=this;var d=function(){var r=q(t.getDomRef());if(t.getCenterHorizontally()){r.css("margin-left","-"+r.children().outerWidth()/2+"px");}if(t.getCenterVertically()){r.css("margin-top","-"+r.children().outerHeight()/2+"px");}};this._sResizeListenerId=sap.ui.core.ResizeHandler.register(this.getDomRef(),d);d();}};
P.prototype.exit=function(p){this.reinitializeEventHandlers(true);};
P.prototype.init=function(){this._disableWidthCheck=true;this._disableHeightCheck=false;};
var s=function(t,p,v,N){var S=!!t.getDomRef();t.setProperty(p,v,S);if(S&&N){n(t,"CTRL_POS");}return S;};var n=function(t,C){var L=t.getParent();if(L){L.contentChanged(t,C);}};var c=function(t){var C=t.getControl();if(C){sap.ui.commons.layout.AbsoluteLayout.cleanUpControl(C);C.detachEvent("_change",o,t);}};var a=function(p,C,d,e,v,f,V){if(v&&V){var L=p.getParent();var h=g(C,d);if(h){var i=C[h._sGetter]();if(!(!i||i==""||i=="auto"||i=="inherit")){q.sap.log.warning("Position "+f+"="+V+" ignored, because child control "+C.getId()+" has fixed "+d+" ("+i+").","","AbsoluteLayout '"+(L?L.getId():"_undefined")+"'");return false;}}else{if((d==="width"&&!p._disableWidthCheck)||(d==="height"&&!p._disableHeightCheck)){q.sap.log.warning("Position "+f+"="+V+" ignored, because child control "+C.getId()+" not resizable.","","AbsoluteLayout '"+(L?L.getId():"_undefined")+"'");return false;}}}return true;};var g=function(C,p){var d=C.getMetadata().getProperty(p);if(d&&d.type==='sap.ui.core.CSSSize'){return d;}return null;};var b=function(C,d){var p=g(C,d);if(p){var v=C[p._sGetter]();if(v&&q.sap.endsWith(v,"%")){return v;}}return null;};var o=function(e){var p=e.getParameter("name");var d=this.getParent();if((p==="width"||p==="height")&&d&&d.getDomRef()){n(this,"CTRL_POS");}};}());return P;},true);
sap.ui.predefine('sap/ui/commons/layout/ResponsiveFlowLayout',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/ResponsiveFlowLayout',"./ResponsiveFlowLayoutRenderer"],function(q,l,R,a){"use strict";
var b=R.extend("sap.ui.commons.layout.ResponsiveFlowLayout",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return b;},true);
sap.ui.predefine('sap/ui/commons/layout/ResponsiveFlowLayoutData',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/ResponsiveFlowLayoutData'],function(q,l,R){"use strict";
var a=R.extend("sap.ui.commons.layout.ResponsiveFlowLayoutData",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return a;},true);
sap.ui.predefine('sap/ui/commons/layout/ResponsiveFlowLayoutRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/layout/ResponsiveFlowLayoutRenderer'],function(q,R,a){"use strict";var b=R.extend(a);return b;},true);
sap.ui.predefine('sap/ui/commons/layout/VerticalLayout',['jquery.sap.global','sap/ui/commons/library','sap/ui/layout/VerticalLayout',"./VerticalLayoutRenderer"],function(q,l,V,a){"use strict";
var b=V.extend("sap.ui.commons.layout.VerticalLayout",{metadata:{deprecated:true,library:"sap.ui.commons"}});
return b;},true);
sap.ui.predefine('sap/ui/commons/layout/VerticalLayoutRenderer',['jquery.sap.global','sap/ui/core/Renderer','sap/ui/layout/VerticalLayoutRenderer'],function(q,R,V){"use strict";var a=R.extend(V);return a;},true);
sap.ui.predefine('sap/ui/commons/library',['jquery.sap.global','sap/ui/base/DataType','sap/ui/core/library','sap/ui/layout/library','sap/ui/unified/library'],function(q,D){"use strict";sap.ui.getCore().initLibrary({name:"sap.ui.commons",version:"1.60.23",dependencies:["sap.ui.core","sap.ui.layout","sap.ui.unified"],types:["sap.ui.commons.ButtonStyle","sap.ui.commons.HorizontalDividerHeight","sap.ui.commons.HorizontalDividerType","sap.ui.commons.LabelDesign","sap.ui.commons.MenuBarDesign","sap.ui.commons.MessageType","sap.ui.commons.PaginatorEvent","sap.ui.commons.RatingIndicatorVisualMode","sap.ui.commons.RowRepeaterDesign","sap.ui.commons.SplitterSize","sap.ui.commons.TextViewColor","sap.ui.commons.TextViewDesign","sap.ui.commons.TitleLevel","sap.ui.commons.ToolbarDesign","sap.ui.commons.ToolbarSeparatorDesign","sap.ui.commons.TreeSelectionMode","sap.ui.commons.TriStateCheckBoxState","sap.ui.commons.enums.AreaDesign","sap.ui.commons.enums.BorderDesign","sap.ui.commons.enums.Orientation","sap.ui.commons.form.GridElementCells","sap.ui.commons.form.SimpleFormLayout","sap.ui.commons.layout.BackgroundDesign","sap.ui.commons.layout.BorderLayoutAreaTypes","sap.ui.commons.layout.HAlign","sap.ui.commons.layout.Padding","sap.ui.commons.layout.Separation","sap.ui.commons.layout.VAlign","sap.ui.commons.ColorPickerMode"],interfaces:["sap.ui.commons.FormattedTextViewControl","sap.ui.commons.ToolbarItem"],controls:["sap.ui.commons.Accordion","sap.ui.commons.ApplicationHeader","sap.ui.commons.AutoComplete","sap.ui.commons.Button","sap.ui.commons.Callout","sap.ui.commons.CalloutBase","sap.ui.commons.Carousel","sap.ui.commons.CheckBox","sap.ui.commons.ColorPicker","sap.ui.commons.ComboBox","sap.ui.commons.DatePicker","sap.ui.commons.Dialog","sap.ui.commons.DropdownBox","sap.ui.commons.FileUploader","sap.ui.commons.FormattedTextView","sap.ui.commons.HorizontalDivider","sap.ui.commons.Image","sap.ui.commons.ImageMap","sap.ui.commons.InPlaceEdit","sap.ui.commons.Label","sap.ui.commons.Link","sap.ui.commons.ListBox","sap.ui.commons.Menu","sap.ui.commons.MenuBar","sap.ui.commons.MenuButton","sap.ui.commons.Message","sap.ui.commons.MessageBar","sap.ui.commons.MessageList","sap.ui.commons.MessageToast","sap.ui.commons.Paginator","sap.ui.commons.Panel","sap.ui.commons.PasswordField","sap.ui.commons.ProgressIndicator","sap.ui.commons.RadioButton","sap.ui.commons.RadioButtonGroup","sap.ui.commons.RangeSlider","sap.ui.commons.RatingIndicator","sap.ui.commons.ResponsiveContainer","sap.ui.commons.RichTooltip","sap.ui.commons.RoadMap","sap.ui.commons.RowRepeater","sap.ui.commons.SearchField","sap.ui.commons.SegmentedButton","sap.ui.commons.Slider","sap.ui.commons.Splitter","sap.ui.commons.Tab","sap.ui.commons.TabStrip","sap.ui.commons.TextArea","sap.ui.commons.TextField","sap.ui.commons.TextView","sap.ui.commons.ToggleButton","sap.ui.commons.Toolbar","sap.ui.commons.Tree","sap.ui.commons.TriStateCheckBox","sap.ui.commons.ValueHelpField","sap.ui.commons.form.Form","sap.ui.commons.form.FormLayout","sap.ui.commons.form.GridLayout","sap.ui.commons.form.ResponsiveLayout","sap.ui.commons.form.SimpleForm","sap.ui.commons.layout.AbsoluteLayout","sap.ui.commons.layout.BorderLayout","sap.ui.commons.layout.HorizontalLayout","sap.ui.commons.layout.MatrixLayout","sap.ui.commons.layout.ResponsiveFlowLayout","sap.ui.commons.layout.VerticalLayout"],elements:["sap.ui.commons.AccordionSection","sap.ui.commons.Area","sap.ui.commons.FileUploaderParameter","sap.ui.commons.MenuItem","sap.ui.commons.MenuItemBase","sap.ui.commons.MenuTextFieldItem","sap.ui.commons.ResponsiveContainerRange","sap.ui.commons.RoadMapStep","sap.ui.commons.RowRepeaterFilter","sap.ui.commons.RowRepeaterSorter","sap.ui.commons.SearchProvider","sap.ui.commons.Title","sap.ui.commons.ToolbarSeparator","sap.ui.commons.TreeNode","sap.ui.commons.form.FormContainer","sap.ui.commons.form.FormElement","sap.ui.commons.form.GridContainerData","sap.ui.commons.form.GridElementData","sap.ui.commons.layout.BorderLayoutArea","sap.ui.commons.layout.MatrixLayoutCell","sap.ui.commons.layout.MatrixLayoutRow","sap.ui.commons.layout.PositionContainer","sap.ui.commons.layout.ResponsiveFlowLayoutData"]});sap.ui.commons.ButtonStyle={Emph:"Emph",Accept:"Accept",Reject:"Reject",Default:"Default"};sap.ui.commons.ColorPickerMode=sap.ui.unified.ColorPickerMode;sap.ui.commons.HorizontalDividerHeight={Ruleheight:"Ruleheight",Small:"Small",Medium:"Medium",Large:"Large"};sap.ui.commons.HorizontalDividerType={Area:"Area",Page:"Page"};sap.ui.commons.LabelDesign={Bold:"Bold",Standard:"Standard"};sap.ui.commons.MenuBarDesign={Standard:"Standard",Header:"Header"};sap.ui.commons.MessageType={Error:"Error",Warning:"Warning",Success:"Success"};sap.ui.commons.PaginatorEvent={First:"First",Previous:"Previous",Goto:"Goto",Next:"Next",Last:"Last"};sap.ui.commons.RatingIndicatorVisualMode={Full:"Full",Half:"Half",Continuous:"Continuous"};sap.ui.commons.RowRepeaterDesign={Standard:"Standard",Transparent:"Transparent",BareShell:"BareShell"};sap.ui.commons.SplitterSize=D.createType('sap.ui.commons.SplitterSize',{isValid:function(v){return/^((0*|([0-9]+|[0-9]*\.[0-9]+)([pP][xX]|%)))$/.test(v);}},D.getType('string'));sap.ui.commons.TextViewColor={Default:"Default",Positive:"Positive",Negative:"Negative",Critical:"Critical"};sap.ui.commons.TextViewDesign={Standard:"Standard",Bold:"Bold",H1:"H1",H2:"H2",H3:"H3",H4:"H4",H5:"H5",H6:"H6",Italic:"Italic",Small:"Small",Monospace:"Monospace",Underline:"Underline"};sap.ui.commons.TitleLevel=sap.ui.core.TitleLevel;sap.ui.commons.ToolbarDesign={Standard:"Standard",Transparent:"Transparent",Flat:"Flat"};sap.ui.commons.ToolbarSeparatorDesign={Standard:"Standard",FullHeight:"FullHeight"};sap.ui.commons.TreeSelectionMode={Multi:"Multi",Single:"Single",None:"None",Legacy:"Legacy"};sap.ui.commons.TriStateCheckBoxState={Unchecked:"Unchecked",Mixed:"Mixed",Checked:"Checked"};sap.ui.commons.enums=sap.ui.commons.enums||{};sap.ui.commons.enums.AreaDesign={Plain:"Plain",Fill:"Fill",Transparent:"Transparent"};sap.ui.commons.enums.BorderDesign={Box:"Box",None:"None"};sap.ui.commons.enums.Orientation={horizontal:"horizontal",vertical:"vertical"};sap.ui.commons.form=sap.ui.commons.form||{};sap.ui.commons.form.GridElementCells=sap.ui.layout.form.GridElementCells;sap.ui.commons.form.SimpleFormLayout=sap.ui.layout.form.SimpleFormLayout;sap.ui.commons.layout=sap.ui.commons.layout||{};sap.ui.commons.layout.BackgroundDesign={Border:"Border",Fill1:"Fill1",Fill2:"Fill2",Fill3:"Fill3",Header:"Header",Plain:"Plain",Transparent:"Transparent"};sap.ui.commons.layout.BorderLayoutAreaTypes={top:"top",begin:"begin",center:"center",end:"end",bottom:"bottom"};sap.ui.commons.layout.HAlign={Begin:"Begin",Center:"Center",End:"End",Left:"Left",Right:"Right"};sap.ui.commons.layout.Padding={None:"None",Begin:"Begin",End:"End",Both:"Both",Neither:"Neither"};sap.ui.commons.layout.Separation={None:"None",Small:"Small",SmallWithLine:"SmallWithLine",Medium:"Medium",MediumWithLine:"MediumWithLine",Large:"Large",LargeWithLine:"LargeWithLine"};sap.ui.commons.layout.VAlign={Bottom:"Bottom",Middle:"Middle",Top:"Top"};sap.ui.lazyRequire("sap.ui.commons.MessageBox","alert confirm show");sap.ui.lazyRequire("sap.ui.commons.MenuItemBase","new extend getMetadata");sap.ui.commons.Orientation={"Vertical":sap.ui.core.Orientation.Vertical,"Horizontal":sap.ui.core.Orientation.Horizontal,"vertical":sap.ui.core.Orientation.Vertical,"horizontal":sap.ui.core.Orientation.Horizontal};if(!sap.ui.unified.ColorPickerHelper||!sap.ui.unified.ColorPickerHelper.bFinal){sap.ui.unified.ColorPickerHelper={isResponsive:function(){return false;},factory:{createLabel:function(c){return new sap.ui.commons.Label(c);},createInput:function(i,c){return new sap.ui.commons.TextField(i,c);},createSlider:function(i,c){if(c&&c.step){c.smallStepWidth=c.step;delete c.step;}return new sap.ui.commons.Slider(i,c);},createRadioButtonGroup:function(c){if(c&&c.buttons){c.items=c.buttons;delete c.buttons;}return new sap.ui.commons.RadioButtonGroup(c);},createRadioButtonItem:function(c){return new sap.ui.core.Item(c);}},bFinal:false};}if(!sap.ui.layout.form.FormHelper||!sap.ui.layout.form.FormHelper.bFinal){sap.ui.layout.form.FormHelper={createLabel:function(T,i){return new sap.ui.commons.Label(i,{text:T});},createButton:function(i,p,c){var a=this;var _=function(B){var o=new B(i,{lite:true});o.attachEvent('press',p,a);c.call(a,o);};var b=sap.ui.require("sap/ui/commons/Button");if(b){_(b);}else{sap.ui.require(["sap/ui/commons/Button"],_);}},setButtonContent:function(b,T,s,i,I){b.setText(T);b.setTooltip(s);b.setIcon(i);b.setIconHovered(I);},addFormClass:function(){return null;},setToolbar:function(T){return T;},bArrowKeySupport:true,bFinal:false};}if(!sap.ui.unified.FileUploaderHelper||!sap.ui.unified.FileUploaderHelper.bFinal){sap.ui.unified.FileUploaderHelper={createTextField:function(i){var T=new sap.ui.commons.TextField(i);return T;},setTextFieldContent:function(T,w){T.setWidth(w);},createButton:function(){var b=new sap.ui.commons.Button();return b;},addFormClass:function(){return"sapUiCFUM";},bFinal:false};}var t=q.sap.getObject("sap.ui.table.TableHelper",4);if(!t||!t.bFinal){q.sap.setObject("sap.ui.table.TableHelper",{createLabel:function(c){return new sap.ui.commons.Label(c);},createTextView:function(c){if(c&&!c.wrapping){c.wrapping=false;}return new sap.ui.commons.TextView(c);},addTableClass:function(){return"sapUiTableCommons";},bFinal:false});}if(!sap.ui.layout.GridHelper||!sap.ui.layout.GridHelper.bFinal){sap.ui.layout.GridHelper={getLibrarySpecificClass:function(){return"sapUiRespGridOverflowHidden";},bFinal:false};}return sap.ui.commons;});
sap.ui.predefine('sap/ui/commons/Carousel',['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/ResizeHandler','sap/ui/core/delegate/ItemNavigation',"./CarouselRenderer"],function(q,a,C,R,I,b){"use strict";
var c=C.extend("sap.ui.commons.Carousel",{metadata:{library:"sap.ui.commons",properties:{orientation:{type:"sap.ui.commons.enums.Orientation",group:"Misc",defaultValue:sap.ui.commons.enums.Orientation.horizontal},width:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:null},height:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:null},defaultItemHeight:{type:"int",group:"Misc",defaultValue:150},defaultItemWidth:{type:"int",group:"Misc",defaultValue:150},animationDuration:{type:"int",group:"Misc",defaultValue:500},visibleItems:{type:"int",group:"Misc",defaultValue:null},handleSize:{type:"int",group:"Misc",defaultValue:22},firstVisibleIndex:{type:"int",group:"Appearance",defaultValue:0}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content",bindable:"bindable"}}}});
c.prototype.init=function(){this._visibleItems=0;this.data("sap-ui-fastnavgroup","true",true);};
c.prototype.exit=function(){if(this.sResizeListenerId){R.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}this._destroyItemNavigation();};
c.prototype.onclick=function(e){var s=this.getId();switch(e.target){case q.sap.byId(s+'-prevbutton')[0]:this.showPrevious();break;case q.sap.byId(s+'-nextbutton')[0]:this.showNext();break;default:return;}};
c.prototype.onBeforeRendering=function(){if(this.sResizeListenerId){R.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}};
c.prototype.onAfterRendering=function(){if(this.getOrientation()=="vertical"){this._sAnimationAttribute='margin-top';}else{if(sap.ui.getCore().getConfiguration().getRTL()){this._sAnimationAttribute='margin-right';}else{this._sAnimationAttribute='margin-left';}}this.showElementWithId(this._getItemIdByIndex(this.getFirstVisibleIndex()));this.calculateAndSetSize();this.oDomRef=this.getDomRef();this.sResizeListenerId=R.register(this.oDomRef,q.proxy(this.onresize,this));this._initItemNavigation();};
c.prototype._initItemNavigation=function(){var $=this.$("scrolllist");if(!this._oItemNavigation){this._oItemNavigation=new I();this._oItemNavigation.setCycling(true);this.addDelegate(this._oItemNavigation);this._oItemNavigation.attachEvent(I.Events.AfterFocus,function(e){var d=this.$("contentarea"),s=this.$("scrolllist");var o=e.getParameter("event");if(o&&o.type=="mousedown"){var f=false;for(var i=0;i<s.children().length;i++){var g=s.children()[i];if(o.target.id==g.id){f=true;break;}}if(!f){o.target.focus();}}if(sap.ui.getCore().getConfiguration().getRTL()){d.scrollLeft(s.width()-d.width());}else{d.scrollLeft(0);}},this);}this._oItemNavigation.setRootDomRef($[0]);this._oItemNavigation.setItemDomRefs($.children());};
c.prototype._destroyItemNavigation=function(){if(this._oItemNavigation){this._oItemNavigation.destroy();this._oItemNavigation=undefined;}};
c.prototype.onThemeChanged=function(e){this.calculateAndSetSize();};
c.prototype.onfocusin=function(e){var $=q(e.target);if(!this._bIgnoreFocusIn&&($.hasClass("sapUiCrslBefore")||$.hasClass("sapUiCrslAfter"))){this._leaveActionMode();q(this._oItemNavigation.getFocusedDomRef()||this._oItemNavigation.getRootDomRef()).focus();}};
c.prototype.onsaptabnext=function(e){var $=this.$();if(this._bActionMode){if($.find(".sapUiCrslScl").lastFocusableDomRef()===e.target){$.find(".sapUiCrslScl").firstFocusableDomRef().focus();e.preventDefault();e.stopPropagation();}}else{if(this._oItemNavigation.getFocusedDomRef()===e.target){this._bIgnoreFocusIn=true;$.find(".sapUiCrslAfter").focus();this._bIgnoreFocusIn=false;}}};
c.prototype.onsaptabprevious=function(e){var $=this.$();if(this._bActionMode){if($.find(".sapUiCrslScl").firstFocusableDomRef()===e.target){$.find(".sapUiCrslScl").lastFocusableDomRef().focus();e.preventDefault();e.stopPropagation();}}else{if(this._oItemNavigation.getFocusedDomRef()===e.target&&q.sap.containsOrEquals($.find(".sapUiCrslScl").get(0),e.target)){this._bIgnoreFocusIn=true;$.find(".sapUiCrslBefore").focus();this._bIgnoreFocusIn=false;}}};
c.prototype.onsapescape=function(e){this._leaveActionMode(e);};
c.prototype.onsapnext=function(e){var $=q(e.target);var s=this.$("scrolllist");s.stop(true,true);if($.hasClass('sapUiCrslItm')&&$.nextAll(':visible').length<2){this.showNext();e.preventDefault();}};
c.prototype.onsapprevious=function(e){var $=q(e.target);var s=this.$("scrolllist");s.stop(true,true);if($.hasClass('sapUiCrslItm')&&$.prevAll(':visible').length<2){this.showPrevious();e.preventDefault();}};
c.prototype.onkeydown=function(e){var $=this.$();if(!this._bActionMode&&e.keyCode==q.sap.KeyCodes.F2||e.keyCode==q.sap.KeyCodes.ENTER){if($.find(".sapUiCrslScl li:focus").length>0){this._enterActionMode($.find(".sapUiCrslScl li:focus :sapFocusable").get(0));e.preventDefault();e.stopPropagation();}}else if(this._bActionMode&&e.keyCode==q.sap.KeyCodes.F2){this._leaveActionMode(e);}};
c.prototype.onmouseup=function(e){if(this.$().find(".sapUiCrslScl li :focus").length>0){this._enterActionMode(this.$().find(".sapUiCrslScl li :focus").get(0));}else{this._leaveActionMode(e);}};
if(sap.ui.Device.support.touch){c.prototype.onswipeleft=function(e){this.showNext();};c.prototype.onswiperight=function(e){this.showPrevious();};}
c.prototype._enterActionMode=function(d){if(d&&!this._bActionMode){this._bActionMode=true;this.removeDelegate(this._oItemNavigation);q(this._oItemNavigation.getFocusedDomRef()).attr("tabindex","-1");this.$("scrolllist").attr("aria-activedescendant",q(this._oItemNavigation.getFocusedDomRef()).attr("id"));q(d).focus();}};
c.prototype._leaveActionMode=function(e){if(this._bActionMode){this._bActionMode=false;this.addDelegate(this._oItemNavigation);q(this._oItemNavigation.getFocusedDomRef()).attr("tabindex","0");this.$("scrolllist").removeAttr("aria-activedescendant");if(e){if(q(e.target).closest("li[tabindex=-1]").length>0){var i=q(this._oItemNavigation.aItemDomRefs).index(q(e.target).closest("li[tabindex=-1]").get(0));this._oItemNavigation.focusItem(i,null);}else{if(q.sap.containsOrEquals(this.$().find(".sapUiCrslScl").get(0),e.target)){this._oItemNavigation.focusItem(this._oItemNavigation.getFocusedIndex(),null);}}}else{this._oItemNavigation.focusItem(this._oItemNavigation.getFocusedIndex(),null);}}};
c.prototype.onresize=function(e){if(!this.getDomRef()){if(this.sResizeListenerId){R.deregister(this.sResizeListenerId);this.sResizeListenerId=null;}return;}this.calculateAndSetSize();};
c.prototype.showPrevious=function(){var t=this,A={},s=this.$("scrolllist");var $,d;A[this._sAnimationAttribute]=0;if(s.children('li').length<2){return;}s.stop(true,true);s.css(this._sAnimationAttribute,-this._iMaxWidth);$=s.children('li:last');d=s.children('li:first');this._showAllItems();$.insertBefore(d);s.append($.sapExtendedClone(true));s.animate(A,this.getAnimationDuration(),function(){s.children('li:last').remove();t.setProperty("firstVisibleIndex",t._getContentIndex(s.children('li:first').attr('id')),true);t._hideInvisibleItems();});};
c.prototype.showNext=function(){var t=this,A={},s=this._sAnimationAttribute,S=this.$("scrolllist");var $;A[this._sAnimationAttribute]=-this._iMaxWidth;if(S.children('li').length<2){return;}S.stop(true,true);this._showAllItems();$=S.children('li:first');$.appendTo(S);$.sapExtendedClone(true).insertBefore(S.children('li:first'));S.animate(A,this.getAnimationDuration(),function(){S.children('li:first').remove();q(this).css(s,'0px');t.setProperty("firstVisibleIndex",t._getContentIndex(S.children('li:first').attr('id')),true);t._hideInvisibleItems();});};
c.prototype.showElementWithId=function(e){this._showAllItems();var s=this.$("scrolllist"),i;e=this.getId()+"-item-"+e;i=s.children('li').index(q.sap.byId(e));s.children('li:lt('+i+')').appendTo(s);this._hideInvisibleItems();};
c.prototype.calculateAndSetSize=function(){var s=this.getId();var d=this._getDimensions();var m=d.maxWidth;var e=d.maxHeight;var f;var v=this.getVisibleItems();var M=q.sap.byId(s);var n=q.sap.byId(s+'-nextbutton');var p=q.sap.byId(s+'-prevbutton');var $=q.sap.byId(s+'-contentarea');this._showAllItems();if(this.getContent().length<=0){return;}if(this.getWidth()&&this.getOrientation()=="vertical"){m=M.width();}if(this.getHeight()&&this.getOrientation()=="horizontal"){e=M.height();}this.$().addClass('sapUiCrsl'+q.sap.charToUpperCase(this.getOrientation(),0));if(this.getOrientation()=="horizontal"){f=M.width()-this.getHandleSize()*2-1;$.css('left',this.getHandleSize()+"px").css('right',this.getHandleSize()+"px");if(v==0){v=Math.floor(f/m);}m=f/v;this._iMaxWidth=m;var g=e+"px";$.find('.sapUiCrslItm').css("width",m+"px").css("height",e+"px").css("display","inline-block");p.css("height",e).css("line-height",g);n.css("height",e).css("line-height",g);$.height(e);M.height(e);var V=this.getContent().length<v?this.getContent().length:v;if(this.getWidth()){M.width(this.getWidth());}else{var D=M.width()-(m*V+(this.getHandleSize()*2-1));if(D>5){M.width(m*V+(this.getHandleSize()*2-1));}}}else{f=M.height()-this.getHandleSize()*2-1;$.css('top',this.getHandleSize()+"px").css('bottom',this.getHandleSize()+"px");if(v==0){v=Math.floor(f/e);}e=f/v;this._iMaxWidth=e;$.find('.sapUiCrslItm').css("width",m+"px").css("height",e+"px").css("display","block");p.width(m).after($);n.width(m);$.width(m);M.width(m);}this._visibleItems=v;this._hideInvisibleItems();};
c.prototype._getDimensions=function(){var d=this.getContent();var m=0;var f=0;for(var i=0;i<d.length;i++){var g,h;try{g=d[i].getWidth();if(g.substr(-1)=="%"){g=this.getDefaultItemWidth();}}catch(e){g=this.getDefaultItemWidth();}try{h=d[i].getHeight();if(h.substr(-1)=="%"){h=this.getDefaultItemHeight();}}catch(e){h=this.getDefaultItemHeight();}m=Math.max(m,parseInt(g,10));f=Math.max(f,parseInt(h,10));}if(m==0||isNaN(m)){m=this.getDefaultItemWidth();}if(f==0||isNaN(f)){f=this.getDefaultItemHeight();}return{maxWidth:m,maxHeight:f};};
c.prototype.getFocusDomRef=function(){return this.$("scrolllist");};
c.prototype._showAllItems=function(){var $=this.$("contentarea");$.find('.sapUiCrslItm').show().css("display","inline-block");};
c.prototype._hideInvisibleItems=function(){var $=this.$("contentarea");$.find('.sapUiCrslItm:gt('+(this._visibleItems-1)+')').hide();};
c.prototype._getContentIndex=function(i){var d=i.split("-item-");return q.inArray(sap.ui.getCore().byId(d[1]),this.getContent());};
c.prototype._getItemIdByIndex=function(i){var o=this.getContent()[i];if(!o){return null;}return o.getId();};
c.prototype.setFirstVisibleIndex=function(f){if(f>this.getContent().length-1){q.sap.log.warning("The index is invalid. There are less items available in the carousel.");return this;}this.setProperty("firstVisibleIndex",f,true);this.showElementWithId(this._getItemIdByIndex(f));if(this._oItemNavigation){this._oItemNavigation.focusItem(f);}return this;};
//Licensed under the terms of the MIT source code license

(function(o){
q.fn.sapExtendedClone=function(){var r=o.apply(this,arguments);var m=this.find('textarea').add(this.filter('textarea'));var d=r.find('textarea').add(r.filter('textarea'));var e=this.find('select').add(this.filter('select'));var f=r.find('select').add(r.filter('select'));for(var i=0,l=m.length;i<l;++i){q(d[i]).val(q(m[i]).val());}for(var i=0,l=e.length;i<l;++i){f[i].selectedIndex=e[i].selectedIndex;}return r;};
})(q.fn.clone);return c;},true);
sap.ui.require.preload({
	"sap/ui/commons/manifest.json":'{"_version":"1.9.0","sap.app":{"id":"sap.ui.commons","type":"library","embeds":[],"applicationVersion":{"version":"1.60.23"},"title":"Common basic controls, mainly intended for desktop scenarios","description":"Common basic controls, mainly intended for desktop scenarios","ach":"CA-UI5-CTR","resources":"resources.json","offline":true},"sap.ui":{"technology":"UI5","supportedThemes":["base","sap_hcb"]},"sap.ui5":{"dependencies":{"minUI5Version":"1.60","libs":{"sap.ui.core":{"minVersion":"1.60.23"},"sap.ui.layout":{"minVersion":"1.60.23"},"sap.ui.unified":{"minVersion":"1.60.23"}}},"library":{"i18n":"messagebundle.properties","content":{"controls":["sap.ui.commons.Accordion","sap.ui.commons.ApplicationHeader","sap.ui.commons.AutoComplete","sap.ui.commons.Button","sap.ui.commons.Callout","sap.ui.commons.CalloutBase","sap.ui.commons.Carousel","sap.ui.commons.CheckBox","sap.ui.commons.ColorPicker","sap.ui.commons.ComboBox","sap.ui.commons.DatePicker","sap.ui.commons.Dialog","sap.ui.commons.DropdownBox","sap.ui.commons.FileUploader","sap.ui.commons.FormattedTextView","sap.ui.commons.HorizontalDivider","sap.ui.commons.Image","sap.ui.commons.ImageMap","sap.ui.commons.InPlaceEdit","sap.ui.commons.Label","sap.ui.commons.Link","sap.ui.commons.ListBox","sap.ui.commons.Menu","sap.ui.commons.MenuBar","sap.ui.commons.MenuButton","sap.ui.commons.Message","sap.ui.commons.MessageBar","sap.ui.commons.MessageList","sap.ui.commons.MessageToast","sap.ui.commons.Paginator","sap.ui.commons.Panel","sap.ui.commons.PasswordField","sap.ui.commons.ProgressIndicator","sap.ui.commons.RadioButton","sap.ui.commons.RadioButtonGroup","sap.ui.commons.RangeSlider","sap.ui.commons.RatingIndicator","sap.ui.commons.ResponsiveContainer","sap.ui.commons.RichTooltip","sap.ui.commons.RoadMap","sap.ui.commons.RowRepeater","sap.ui.commons.SearchField","sap.ui.commons.SegmentedButton","sap.ui.commons.Slider","sap.ui.commons.Splitter","sap.ui.commons.Tab","sap.ui.commons.TabStrip","sap.ui.commons.TextArea","sap.ui.commons.TextField","sap.ui.commons.TextView","sap.ui.commons.ToggleButton","sap.ui.commons.Toolbar","sap.ui.commons.Tree","sap.ui.commons.TriStateCheckBox","sap.ui.commons.ValueHelpField","sap.ui.commons.form.Form","sap.ui.commons.form.FormLayout","sap.ui.commons.form.GridLayout","sap.ui.commons.form.ResponsiveLayout","sap.ui.commons.form.SimpleForm","sap.ui.commons.layout.AbsoluteLayout","sap.ui.commons.layout.BorderLayout","sap.ui.commons.layout.HorizontalLayout","sap.ui.commons.layout.MatrixLayout","sap.ui.commons.layout.ResponsiveFlowLayout","sap.ui.commons.layout.VerticalLayout"],"elements":["sap.ui.commons.AccordionSection","sap.ui.commons.Area","sap.ui.commons.FileUploaderParameter","sap.ui.commons.MenuItem","sap.ui.commons.MenuItemBase","sap.ui.commons.MenuTextFieldItem","sap.ui.commons.ResponsiveContainerRange","sap.ui.commons.RoadMapStep","sap.ui.commons.RowRepeaterFilter","sap.ui.commons.RowRepeaterSorter","sap.ui.commons.SearchProvider","sap.ui.commons.Title","sap.ui.commons.ToolbarSeparator","sap.ui.commons.TreeNode","sap.ui.commons.form.FormContainer","sap.ui.commons.form.FormElement","sap.ui.commons.form.GridContainerData","sap.ui.commons.form.GridElementData","sap.ui.commons.layout.BorderLayoutArea","sap.ui.commons.layout.MatrixLayoutCell","sap.ui.commons.layout.MatrixLayoutRow","sap.ui.commons.layout.PositionContainer","sap.ui.commons.layout.ResponsiveFlowLayoutData"],"types":["sap.ui.commons.ButtonStyle","sap.ui.commons.HorizontalDividerHeight","sap.ui.commons.HorizontalDividerType","sap.ui.commons.LabelDesign","sap.ui.commons.MenuBarDesign","sap.ui.commons.MessageType","sap.ui.commons.PaginatorEvent","sap.ui.commons.RatingIndicatorVisualMode","sap.ui.commons.RowRepeaterDesign","sap.ui.commons.SplitterSize","sap.ui.commons.TextViewColor","sap.ui.commons.TextViewDesign","sap.ui.commons.TitleLevel","sap.ui.commons.ToolbarDesign","sap.ui.commons.ToolbarSeparatorDesign","sap.ui.commons.TreeSelectionMode","sap.ui.commons.TriStateCheckBoxState","sap.ui.commons.enums.AreaDesign","sap.ui.commons.enums.BorderDesign","sap.ui.commons.enums.Orientation","sap.ui.commons.form.GridElementCells","sap.ui.commons.form.SimpleFormLayout","sap.ui.commons.layout.BackgroundDesign","sap.ui.commons.layout.BorderLayoutAreaTypes","sap.ui.commons.layout.HAlign","sap.ui.commons.layout.Padding","sap.ui.commons.layout.Separation","sap.ui.commons.layout.VAlign","sap.ui.commons.ColorPickerMode"],"interfaces":["sap.ui.commons.FormattedTextViewControl","sap.ui.commons.ToolbarItem"]}}}}',
/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
	"sap/ui/commons/Accordion.js":function(){sap.ui.loader.config({shim:{'sap/ui/thirdparty/jqueryui/jquery-ui-mouse':{deps:['sap/ui/thirdparty/jqueryui/jquery-ui-widget']},'sap/ui/thirdparty/jqueryui/jquery-ui-sortable':{deps:['sap/ui/thirdparty/jqueryui/jquery-ui-core','sap/ui/thirdparty/jqueryui/jquery-ui-mouse','sap/ui/thirdparty/jqueryui/jquery-ui-widget']}}});sap.ui.define(['jquery.sap.global','./library','sap/ui/core/Control',"./AccordionRenderer",'sap/ui/thirdparty/jqueryui/jquery-ui-core','sap/ui/thirdparty/jqueryui/jquery-ui-widget','sap/ui/thirdparty/jqueryui/jquery-ui-mouse','sap/ui/thirdparty/jqueryui/jquery-ui-sortable'],function(q,l,C,A){"use strict";
var a=C.extend("sap.ui.commons.Accordion",{metadata:{library:"sap.ui.commons",properties:{width:{type:"sap.ui.core.CSSSize",group:"Misc",defaultValue:'200px'},openedSectionsId:{type:"string",group:"Misc",defaultValue:null}},defaultAggregation:"sections",aggregations:{sections:{type:"sap.ui.commons.AccordionSection",multiple:true,singularName:"section"}},events:{sectionOpen:{parameters:{openSectionId:{type:"string"},closeSectionIds:{type:"string[]"}}},sectionClose:{parameters:{closeSectionId:{type:"string"}}},sectionsReorder:{parameters:{movedSectionId:{type:"string"},newIndex:{type:"int"}}}}}});
a.CARD_1=1;a.CARD_0_1=2;a.aAccordions=[];
a.prototype.init=function(){this.bInitialRendering=true;this.activationMode=a.CARD_1;this.rb=sap.ui.getCore().getLibraryResourceBundle("sap.ui.commons");this.aSectionTitles=[];a.aAccordions.push(this);};
a.prototype.onsapspace=function(e){this.onclick(e);};
a.prototype.onsappagedownmodifiers=function(e){var t=q(e.target);var p=t.parentsUntil('.sapUiAcd');var d=p[p.length-1];var n=q(d).next();while(!this.getCorrespondingSection(n[0]).getEnabled()){n=n.next();}n=n[0];this.openSection(n.id);var s=this.getSections();s[this.__idxOfSec(n.id)].focus();e.preventDefault();e.stopPropagation();};
a.prototype.onsappageupmodifiers=function(e){var t=q(e.target);var p=t.parentsUntil('.sapUiAcd');var s=p[p.length-1];var n=q(s).prev();while(!this.getCorrespondingSection(n[0]).getEnabled()){n=n.prev();}n=n[0];this.openSection(n.id);var S=this.getSections();S[this.__idxOfSec(n.id)].focus();e.preventDefault();e.stopPropagation();};
a.prototype.onsapupmodifiers=function(e){e.preventDefault();e.stopPropagation();var p=q(e.target).parentsUntil('.sapUiAcd');var d=p[p.length-1];if(this.__idxOfSec(d.id)===0){return;}var D=q(d).prev().first()[0];var i=false;if(this.__idxOfSec(D.id)===0){i=true;}this.dropSection(d,D,i);var s=this.getSections();s[this.__idxOfSec(d.id)].focus();};
a.prototype.onsapdownmodifiers=function(e){e.preventDefault();e.stopPropagation();var p=q(e.target).parentsUntil('.sapUiAcd');var d=p[p.length-1];if(this.__idxOfSec(d.id)==this.getSections().length-1){return;}var D=q(d).next().first()[0];this.dropSection(d,D,false);var s=this.getSections();s[this.__idxOfSec(d.id)].focus();};
a.prototype.onsapprevious=function(e){if(e.srcControl.getMetadata().getName()!="sap.ui.commons.AccordionSection"){return;}e.preventDefault();e.stopPropagation();var c=this.getCurrentSection(e.target),n=null;if(c.id==this.getSections()[0].getId()){n=q(c).find("div.sapUiAcdSectionHdr");if(n){n.focus();}}if(c){var p=q(c).prev();while(p&&q(p).hasClass("sapUiAcdSectionDis")){p=q(p).prev();}if(p){n=q(p).find("div.sapUiAcdSectionHdr");if(n){n.focus();}}}};
a.prototype.onsapnext=function(e){if(e.srcControl.getMetadata().getName()!="sap.ui.commons.AccordionSection"){return;}e.preventDefault();e.stopPropagation();var c=this.getCurrentSection(e.target);if(c){var n=q(c).next();while(n&&q(n).hasClass("sapUiAcdSectionDis")){n=q(n).next();}if(n){var N=q(n).find("div.sapUiAcdSectionHdr");if(N){N.focus();}}}};
a.prototype.onsaphome=function(e){e.preventDefault();e.stopPropagation();var f=this.getSections()[0].getDomRef();if(q(f).hasClass("sapUiAcdSectionDis")){f=q(f).next();while(f&&q(f).hasClass("sapUiAcdSectionDis")){f=q(f).next();}}if(f){var n=q(f).find("div.sapUiAcdSectionHdr");if(n){n.focus();}}};
a.prototype.onsapend=function(e){e.preventDefault();e.stopPropagation();var n=this.getSections().length;var f=this.getSections()[n-1].getDomRef();if(q(f).hasClass("sapUiAcdSectionDis")){f=q(f).prev();while(f&&q(f).hasClass("sapUiAcdSectionDis")){f=q(f).prev();}}if(f){var N=q(f).find("div.sapUiAcdSectionHdr");if(N){N.focus();}}};
a.prototype.getCurrentSection=function(d){var c=d;while(!q(c).hasClass("sapUiAcdSection")){c=q(c).parent();}return c[0];};
a.prototype.dropSection=function(d,D,b){var o=q(d).parent()[0];var c=q(o).children(".sapUiAcdSection").toArray();var i=q.inArray(D,c);if(b){i-=1;}this.moveSection(d.id,i);};
a.prototype.moveSection=function(s,t){var o=this.__idxOfSec(s);if(t==o){return;}var S=this.aSectionTitles[o];this.aSectionTitles.splice(o,1);var b=this.getSections();var c=b[o];this.removeSection(o,true);if(t!=-1){this.aSectionTitles.splice(t,0,S);}else{this.aSectionTitles.splice(0,0,S);}this.insertSection(c,t,true);this.fireSectionsReorder({movedSectionId:s,newIndex:t});};
a.prototype._onSortChange=function(e,u){e.preventDefault();e.stopPropagation();var d=u.item[0];var S=u.item[0].getAttribute("Id");var D=q(d).parent()[0];var c=q(D).children(".sapUiAcdSection").toArray();var i=q.inArray(d,c);this.moveSection(S,i);};
a.prototype.onclick=function(e){if(e.srcControl.getId()==this.getId()){return;}var t=q(e.target);if(t.hasClass("sapUiAcdSectionCont")){return;}if(!(q(e.target).control(0)instanceof sap.ui.commons.AccordionSection)){return;}var d=e.srcControl.getDomRef();var s=this.getCorrespondingSection(d);if(s&&!s.getEnabled()){return;}if(e.srcControl.getCollapsed()){this.openSection(d.id);}else{this.closeSection(d.id);}e.preventDefault();e.stopPropagation();var S=this.getSections();S[this.__idxOfSec(d.id)].focus();};
a.prototype.openSection=function(s){var i=this.__idxOfSec(s);var S=this.getSections(),c=[];if(this.activationMode==a.CARD_0_1||this.activationMode==a.CARD_1){c=this.closeOpenedSections();}S[i]._setCollapsed(false);this.fireSectionOpen({openSectionId:s,closeSectionIds:c});};
a.prototype.closeSection=function(s){var i=this.__idxOfSec(s);var S=this.getSections();S[i]._setCollapsed(true);this.fireSectionClose({closeSectionId:s});};
a.prototype.closeOpenedSections=function(){var c=[];var s=this.getSections();for(var i=0;i<s.length;i++){if(!s[i].getCollapsed()){s[i]._setCollapsed(true);c.push(s[i].getId());}}return c;};
a.prototype.openDefaultSections=function(){var s=this.getSections();var d=this.getOpenedSectionsId().split(",");for(var i=0;i<d.length;i++){var o=s[this.__idxOfSec(d[i])];o._setCollapsed(false);}};
a.prototype.getNumberOfOpenedSections=function(){var o=0;var s=this.getSections();for(var i=0;i<s.length;i++){if(s[i].getCollapsed()==false){o++;}}return o;};
a.prototype.addSection=function(s){this.addAggregation("sections",s);if((this.getOpenedSectionsId()==null||this.getOpenedSectionsId()=="")&&s.getEnabled()){this.setOpenedSectionsId(s.getId());}this.aSectionTitles.push(s.getTitle());};
a.prototype.__idxOfSec=function(s){if(typeof(s)=="string"){s=sap.ui.getCore().byId(s);}return this.indexOfSection(s);};
a.prototype.setOpenedSectionsId=function(o){var s=this.getSections();var d=o.split(",");if(d.length==1){if(this.__idxOfSec(o)<0){this.setProperty("openedSectionsId",o);return this;}if(s[this.__idxOfSec(o)].getEnabled()){this.setProperty("openedSectionsId",o);}else{for(var i=0;i<s.length;i++){if(s[i].getEnabled()){this.setProperty("openedSectionsId",s[i].getId());return this;}}}}else if(d.length==0){return this;}else{var c;for(var i=0;i<d.length;i++){if(s[this.__idxOfSec(d[i])].getEnabled()){if(c){c+=","+d[i];}else{c=d[i];}}}if(c){this.setProperty("openedSectionsId",c);}}return this;};
a.prototype.getCorrespondingSection=function(d){if(q(d).hasClass("sapUiAcdSection")){var b=q(d).parent();var o=b[0];var s=q(o).children();var i=s.index(d);var c=this.getSections();return c[i-1];}};
a.prototype.isLastSection=function(s){var S=this.getSections();return(q.inArray(s,S)===S.length-1);};
a.prototype.onAfterRendering=function(){var c=sap.ui.getCore(),t=this;function b(){var d=t.getDomRef();d.style.height=d.clientHeight-7+"px";}if(c.isThemeApplied()){b();}else{c.attachThemeChanged(b,this);}this.$().sortable({handle:"> div.sapUiAcdSectionHdr > div",stop:q.proxy(this._onSortChange,this)});};
return a;},true);
}
},"sap/ui/commons/library-preload"
);
//# sourceMappingURL=library-preload.js.map