/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/base/ManagedObject','./Core','sap/ui/thirdparty/URI',"sap/base/Log","sap/base/strings/escapeRegExp","sap/ui/thirdparty/jquery"],function(M,C,U,L,a,q){"use strict";var c=sap.ui.getCore().getConfiguration();var l=c.getLanguage();var s=c.getAppCacheBusterMode()==="sync";var b=c.getAppCacheBusterMode()==="batch";var S={index:{},active:false};var v,d,f,x,E;var g=document.baseURI.replace(/\?.*|#.*/g,"");var u=U(sap.ui.require.toUrl("")+"/../");var o=u.toString();if(u.is("relative")){u=u.absoluteTo(g);}var B=u.normalize().toString();var r=U("resources").absoluteTo(B).toString();var F=new RegExp("^"+a(r));var h=function(e){if(e.length>0&&e.slice(-1)!=="/"){e+="/";}return e;};var R=function(B,e){var i=S.index;var j;var k;var m;if(Array.isArray(B)&&!b){B.forEach(function(D){R(D,e);});}else if(Array.isArray(B)&&b){var n=h(B[0]);var p=[];L.debug("sap.ui.core.AppCacheBuster.register(\""+n+"\"); // BATCH MODE!");var t=A.normalizeURL(n);L.debug("  --> normalized to: \""+t+"\"");B.forEach(function(D){k=h(D);var G=A.normalizeURL(k);if(!i[m]){p.push(G);}});if(p.length>0){var k=t+"sap-ui-cachebuster-info.json?sap-ui-language="+l;j={url:k,type:"POST",async:!s&&!!e,dataType:"json",contentType:"text/plain",data:p.join("\n"),success:function(D){A.onIndexLoaded(k,D);q.extend(i,D);},error:function(){L.error("Failed to batch load AppCacheBuster index file from: \""+k+"\".");}};}}else{B=h(B);L.debug("sap.ui.core.AppCacheBuster.register(\""+B+"\");");m=A.normalizeURL(B);L.debug("  --> normalized to: \""+m+"\"");if(!i[m]){var k=m+"sap-ui-cachebuster-info.json?sap-ui-language="+l;j={url:k,async:!s&&!!e,dataType:"json",success:function(D){A.onIndexLoaded(k,D);i[m]=D;},error:function(){L.error("Failed to load AppCacheBuster index file from: \""+k+"\".");}};}}if(j){var I=A.onIndexLoad(j.url);if(I!=null){L.info("AppCacheBuster index file injected for: \""+k+"\".");j.success(I);}else{if(j.async){var w=e.startTask("load "+k);var y=j.success,z=j.error;q.extend(j,{success:function(D){y.apply(this,arguments);e.finishTask(w);},error:function(){z.apply(this,arguments);e.finishTask(w,false);}});}L.info("Loading AppCacheBuster index file from: \""+k+"\".");q.ajax(j);}}};var A={boot:function(e){var i=c.getAppCacheBuster();if(i&&i.length>0){i=i.slice();var j=true;var V=String(i[0]).toLowerCase();if(i.length===1){if(V==="true"||V==="x"){var u=U(o);i=u.is("relative")?[u.toString()]:[];}else if(V==="false"){j=false;}}if(j){A.init();R(i,e);}}},init:function(){S.active=true;v=M.prototype.validateProperty;d=Object.getOwnPropertyDescriptor(HTMLScriptElement.prototype,"src");f=Object.getOwnPropertyDescriptor(HTMLLinkElement.prototype,"href");var i=A.convertURL;var n=A.normalizeURL;var I=function(e){if(this.active===true&&e&&typeof(e)==="string"){e=n(e);return!e.match(F);}return false;}.bind(S);x=XMLHttpRequest.prototype.open;XMLHttpRequest.prototype.open=function(e,p){if(p&&I(p)){arguments[1]=i(p);}x.apply(this,arguments);};E=XMLHttpRequest.prototype.open;M.prototype.validateProperty=function(p,V){var t=this.getMetadata(),P=t.getProperty(p),w;if(P&&P.type==="sap.ui.core.URI"){w=Array.prototype.slice.apply(arguments);try{if(I(w[1])){w[1]=i(w[1]);}}catch(e){}}return v.apply(this,w||arguments);};var j=function(e){var p={get:e.get,set:function(t){if(I(t)){t=i(t);}e.set.call(this,t);},enumerable:e.enumerable,configurable:e.configurable};p.set._sapUiCoreACB=true;return p;};var k=false;try{Object.defineProperty(HTMLScriptElement.prototype,"src",j(d));}catch(m){L.error("Your browser doesn't support redefining the src property of the script tag. Disabling AppCacheBuster as it is not supported on your browser!\nError: "+m);k=true;}try{Object.defineProperty(HTMLLinkElement.prototype,"href",j(f));}catch(m){L.error("Your browser doesn't support redefining the href property of the link tag. Disabling AppCacheBuster as it is not supported on your browser!\nError: "+m);k=true;}if(k){this.exit();}},exit:function(){M.prototype.validateProperty=v;if(XMLHttpRequest.prototype.open===E){XMLHttpRequest.prototype.open=x;}var e;if((e=Object.getOwnPropertyDescriptor(HTMLScriptElement.prototype,"src"))&&e.set&&e.set._sapUiCoreACB===true){Object.defineProperty(HTMLScriptElement.prototype,"src",d);}if((e=Object.getOwnPropertyDescriptor(HTMLLinkElement.prototype,"href"))&&e.set&&e.set._sapUiCoreACB===true){Object.defineProperty(HTMLLinkElement.prototype,"href",f);}S.index={};S.active=false;S={index:{},active:false};},register:function(B){R(B);},convertURL:function(e){L.debug("sap.ui.core.AppCacheBuster.convertURL(\""+e+"\");");var i=S.index;if(i&&e&&!/^#/.test(e)){var n=A.normalizeURL(e);L.debug("  --> normalized to: \""+n+"\"");if(n&&A.handleURL(n)){for(var B in i){var m=i[B],j,k;if(B&&n.length>=B.length&&n.slice(0,B.length)===B){j=n.slice(B.length);k=j.match(/([^?#]*)/)[1];if(m[k]){e=B+"~"+m[k]+"~/"+j;L.debug("  ==> rewritten to \""+e+"\";");break;}}}}}return e;},normalizeURL:function(e){var u=U(e||"./");if(u.is("relative")){u=u.absoluteTo(g);}return u.normalizeProtocol().normalizeHostname().normalizePort().normalizePath().toString();},handleURL:function(e){return true;},onIndexLoad:function(e){return null;},onIndexLoaded:function(e,i){}};var H=c.getAppCacheBusterHooks();if(H){["handleURL","onIndexLoad","onIndexLoaded"].forEach(function(e){if(typeof H[e]==="function"){A[e]=H[e];}});}return A;},true);
