/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/thirdparty/jquery','./Core','./Component','sap/base/Log','sap/base/util/ObjectPath'],function(q,C,a,L,O){"use strict";var b="sap.ui.viewReplacements",c="sap.ui.viewExtensions",d="sap.ui.viewModifications",e="sap.ui.controllerExtensions",f="sap.ui.controllerReplacements";var m={};function g(t,o,i){var s=o&&typeof o==="string"?o:(o&&a.getOwnerIdFor(o));if(s){var j=a.get(s);var k=j&&j.getMetadata().getComponentName();var l=m[k+"::"+s];if(l&&l[t]&&i(l[t])){return false;}else{l=m[k];if(l&&l[t]&&i(l[t])){return false;}}}else{q.each(m,function(k,l){if(l&&l[t]&&i(l[t])){return false;}});}}var h={log:function(){if(window.console){window.console.log(m);}},activateForComponent:function(s){L.info("CustomizingConfiguration: activateForComponent('"+s+"')");var F=s+".Component";sap.ui.requireSync(F.replace(/\./g,"/"));var o=O.get(F).getMetadata().getCustomizing();m[s]=o;L.debug("CustomizingConfiguration: customizing configuration for component '"+s+"' loaded: "+JSON.stringify(o));},deactivateForComponent:function(s){if(m[s]){L.info("CustomizingConfiguration: deactivateForComponent('"+s+"')");delete m[s];}},activateForComponentInstance:function(o){L.info("CustomizingConfiguration: activateForComponentInstance('"+o.getId()+"')");var s=o.getMetadata().getComponentName(),k=s+"::"+o.getId(),i=o.getManifest()["sap.ui5"]&&o.getManifest()["sap.ui5"]["extends"]&&o.getManifest()["sap.ui5"]["extends"]["extensions"];m[k]=i;L.debug("CustomizingConfiguration: customizing configuration for component '"+k+"' loaded: "+JSON.stringify(i));},deactivateForComponentInstance:function(o){var s=o.getMetadata().getComponentName(),k=s+"::"+o.getId();if(m[k]){L.info("CustomizingConfiguration: deactivateForComponent('"+k+"')");delete m[k];}},getViewReplacement:function(v,o){var r;g(b,o,function(i){r=i[v];return!!r;});return r;},getViewExtension:function(v,E,o){var r;g(c,o,function(i){r=i[v]&&i[v][E];return!!r;});return r;},getControllerExtension:function(s,o){var r;g(e,o,function(i){r=i[s];return!!r;});return r;},getControllerReplacement:function(s,o){var r;g(f,o,function(i){r=i[s];return!!r;});return r;},getCustomProperties:function(v,s,o){var S;g(d,o,function(i){var j=i[v]&&i[v][s];var u={};var V=false;if(j){q.each(j,function(n,k){if(n==="visible"){V=true;u[n]=k;L.info("Customizing: custom value for property '"+n+"' of control '"+s+"' in View '"+v+"' applied: "+k);}else{L.warning("Customizing: custom value for property '"+n+"' of control '"+s+"' in View '"+v+"' ignored: only the 'visible' property can be customized.");}});if(V){S=S||{};q.extend(S,u);}}});return S;},hasCustomProperties:function(v,o){var s={};g(d,o,function(i){if(!!i[v]){s=i[v];}});return!q.isEmptyObject(s);}};if(sap.ui.getCore().getConfiguration().getDisableCustomizing()){L.info("CustomizingConfiguration: disabling Customizing now");q.each(h,function(n,A){if(typeof A==="function"){h[n]=function(){};}});}return h;},true);
