/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/Device","../UIArea","sap/ui/thirdparty/jquery","sap/ui/dom/jquery/control"],function(D,U,q){"use strict";var a={},d=null,o=null,v=null,V=[],b=[],c=null,$,g,C,t;function e(E,S){if(!E){return;}if(E.addStyleClass){E.addStyleClass(S);}else{E.$().addClass(S);}}function r(E,S){if(!E){return;}if(E.removeStyleClass){E.removeStyleClass(S);}else{E.$().removeClass(S);}}function f(E,i){var y=q(E.target).control(0,true);if(!y){return;}var N=q.Event(null,E);N.type=i;y.getUIArea()._handleEvent(N);}function s(d,E){if(D.browser.msie||!d||!d.getDragGhost){return;}var i=d.getDragGhost();if(!i){return;}if(!g){g=q('<div class="sapUiDnDGhostContainer"></div>');q(document.body).append(g);}g.append(i);window.setTimeout(function(){g.empty();},0);var O=E.originalEvent;O.dataTransfer.setDragImage(i,O.offsetX,O.offsetY);}function h(E){var i={},I,y=E.originalEvent.dataTransfer,z=function(T,A){if(y&&T=="text"||(D.browser!="msie"&&D.browser!="edge")){y.setData(T,A);}};return{setData:function(K,A){A=""+A;i[K]=A;z(K,A);},getData:function(K){return i[K];},setTextData:function(A){A=""+A;i["text/plain"]=A;i["text"]=A;z("text/plain",A);z("text",A);},getTextData:function(){return i["text/plain"];},setComplexData:function(K,A){i[K]=A;},getComplexData:function(K){return i[K];},getIndicator:function(){return $&&$[0];},setIndicatorConfig:function(A){I=A;},getIndicatorConfig:function(A){return I;},getDragControl:function(){return d;},getDropControl:function(){return v;},setDropControl:function(A){v=A;},getDropInfo:function(){return b[0]||null;},getDropPosition:function(){return C;}};}function j(E){l();r(d,"sapUiDnDDragging");d=o=v=c=null;C="";V=[];b=[];}function k(){if($){return $;}$=q("<div class='sapUiDnDIndicator'></div>");q(sap.ui.getCore().getStaticAreaRef()).append($);return $;}function l(){if($){$.removeAttr("style").hide();}}function m(E,i,y,z){if(!i){return;}var I=E.dragSession&&E.dragSession.getIndicatorConfig(),A=i.getBoundingClientRect(),P=window.pageYOffset,B=window.pageXOffset,F=k(),R,S={},G={top:A.top+P,bottom:A.bottom+P,left:A.left+B,right:A.right+B,width:A.width,height:A.height};if(!y||y=="On"){R="On";z="";}else if(z=="Horizontal"){var H=E.pageX-G.left;S.height=G.height;S.top=G.top;if(y=="Between"){S.width="";if(H<G.width*0.5){R="Before";S.left=G.left;}else{R="After";S.left=G.right;}}else if(y=="OnOrBetween"){if(H<G.width*0.25){R="Before";S.left=G.left;S.width="";}else if(H>G.width*0.75){R="After";S.left=G.right;S.width="";}else{R="On";}}}else{var J=E.pageY-G.top;S.width=G.width;S.left=G.left;if(y=="Between"){S.height="";if(J<G.height*0.5){R="Before";S.top=G.top;}else{R="After";S.top=G.bottom;}}else if(y=="OnOrBetween"){if(J<G.height*0.25){R="Before";S.top=G.top;S.height="";}else if(J>G.height*0.75){R="After";S.top=G.bottom;S.height="";}else{R="On";}}}if(I&&I.display=="none"){return R;}if(R=="On"){S.top=G.top;S.left=G.left;S.width=G.width;S.height=G.height;y=R;}else{y="Between";}F.attr("data-drop-layout",z);F.attr("data-drop-position",y);F.css(q.extend(S,I)).show();return R;}function n(i){var P=i.getParent(),S=(i.getDragDropConfig)?i.getDragDropConfig():[],y=(P&&P.getDragDropConfig)?P.getDragDropConfig():[];return S.concat(y);}function p(d){var i=n(d);return i.filter(function(y){return y.isDraggable(d);});}function u(o,i,E){var y=n(o);i=i||[];return y.filter(function(z){return!z.isA("sap.ui.core.dnd.IDragInfo");}).concat(i).filter(function(z){if(!z.isDroppable(o,E)){return false;}var A=z.getGroupName();if(!A){return true;}return i.some(function(B){return B.getGroupName()==A;});});}function w(E,i){E.preventDefault();var y=i.getDropEffect().toLowerCase();E.originalEvent.dataTransfer.dropEffect=y;}function x(E,i,v){var T=i.getTargetAggregation();if(!T){return m(E,v.getDomRef());}var y;if(E.getMark("DragWithin")==T){y=v.getDomRefForSetting(T);}y=y||v.getDomRef();return m(E,y,i.getDropPosition(true),i.getDropLayout(true));}a.preprocessEvent=function(E){if(c&&E.type.indexOf("dr")==0){E.dragSession=c;}var i="onbefore"+E.type;if(a[i]){a[i](E);}};a.postprocessEvent=function(E){var i="onafter"+E.type;if(a[i]){a[i](E);}};a.onbeforedragstart=function(E){if(!E.target.draggable){return;}if(/^(input|textarea)$/i.test(document.activeElement.tagName)){E.target.getAttribute("data-sap-ui-draggable")&&E.preventDefault();return;}d=q(E.target).control(0,true);if(!d){return;}V=p(d);if(!V.length){return;}if(D.browser.firefox&&E.originalEvent.dataTransfer.types.length===0){E.originalEvent.dataTransfer.setData("ui5/dummyDataForFirefox","data");}E.dragSession=c=h(E);};a.onafterdragstart=function(E){if(!V.length||E.isDefaultPrevented()){j();return;}V=E.isMarked("NonDraggable")?[]:V.filter(function(i){return i.fireDragStart(E);});if(!V.length){E.preventDefault();j();return;}s(d,E);e(d,"sapUiDnDDragging");};a.onbeforedragenter=function(E){var y=q(E.target).control(0,true);if(y&&o===y){E.setMark("DragWithin","SameControl");}else{t=Date.now();o=y;}var z=[];v=y;for(var i=0;i<20&&v;i++,v=v.getParent()){z=u(v,V,E);if(z.length){break;}}if(E.getMark("DragWithin")!="SameControl"){b=z;if(c){c.setIndicatorConfig(null);}}if(!b.length){v=null;}else if(!c){E.dragSession=c=h(E);}};a.onafterdragenter=function(E){if(!v||E.isMarked("NonDroppable")){b=[];}else if(E.getMark("DragWithin")!="SameControl"){b=b.filter(function(y){return y.fireDragEnter(E);});}var i=b[0];if(!i||i.getDropEffect()=="None"){l();C="";}else{w(E,i);C=x(E,i,v);}};a.onbeforedragover=function(E){var i=Date.now();if(i-t>=1000){f(E,"longdragover");t=i;}};a.onafterdragover=function(E){var i=b[0];if(!i||i.getDropEffect()=="None"){return;}b.forEach(function(y){y.fireDragOver(E);});w(E,i);if(i&&i.getDropPosition(true)=="On"){return;}C=x(E,i,v);};a.onbeforedrop=function(E){if(b.length){E.preventDefault();}};a.onafterdrop=function(E){b.forEach(function(i){i.fireDrop(E);});this.iDragEndTimer=window.requestAnimationFrame(this.onafterdragend.bind(this,E));};a.onafterdragend=function(E){this.iDragEndTimer=window.cancelAnimationFrame(this.iDragEndTimer);V.forEach(function(i){i.fireDragEnd(E);});j();};U.addEventPreprocessor(a.preprocessEvent);U.addEventPostprocessor(a.postprocessEvent);return a;},true);
