/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/ManagedObject","sap/ui/base/BindingParser","sap/ui/core/Element","sap/ui/model/BindingMode","sap/ui/model/CompositeBinding","sap/ui/model/json/JSONModel","sap/ui/model/base/ManagedObjectModel","sap/base/util/ObjectPath","sap/base/Log"],function(M,B,E,a,C,J,b,O,L){"use strict";var c={resolveEventHandler:function(n,o){var h;n=n.trim();if(sap.ui.getCore().getConfiguration().getControllerCodeDeactivated()){h=function(){};}else{var s=n.indexOf("("),f=n;if(s>0){f=n.substring(0,s).trim();}else if(s===0){throw new Error("Event handler name starts with a bracket, must start with a function name "+"(or with a dot followed by controller-local function name): "+n);}switch(f.indexOf('.')){case 0:h=o&&O.get(f.slice(1),o);break;case-1:h=o&&o[f];if(h!=null){break;}default:h=O.get(f);}if(h&&s>0){var i=n.lastIndexOf(")");if(i>s){if(n.substring(s).indexOf("{=")>-1){L.warning("It looks like an event handler parameter contains a binding expression ({=...}). This is not allowed and will cause an error later on "+"because the entire event handler is already considered an expression: "+n);}h=(function(f,o){return function(d){var p,S,j=n;if(n.indexOf("$parameters")>-1){p=new J(d.mParameters);}if(n.indexOf("$source")>-1){S=new b(d.getSource());}var G={"$controller":o,$event:d};if(f.indexOf(".")>0){var k=f.split(".")[0];G[k]=window[k];}else if(f.indexOf(".")===-1){if(o&&o[f]){j="$controller."+j;}else if(window[f]){G[f]=window[f];}}var l=B.parseExpression(j.replace(/^\./,"$controller."),0,{oContext:o},G);if(l.result){try{g(l.result,d.getSource(),o,p,S);}catch(e){e.message="Error when evaluating event handler '"+n+"': "+e.message;throw e;}}if(p){p.destroy();}if(S){S.destroy();}};})(f,o);}else{L.error("Syntax error in event handler '"+n+"': arguments must be enclosed in a pair of brackets");}}}if(typeof h==="function"){h._sapui_handlerName=n;return[h,o];}L.warning("Event handler name '"+n+"' could not be resolved to an event handler function");}};function g(o,e,d,p,s){var t;o.mode=a.OneWay;if(!o.parts){o.parts=[];o.parts[0]={path:o.path,targetType:o.targetType,type:o.type,suspended:o.suspended,formatOptions:o.formatOptions,constraints:o.constraints,model:o.model,mode:o.mode};delete o.path;delete o.targetType;delete o.mode;delete o.model;}for(var i=0;i<o.parts.length;i++){var P=o.parts[i];if(typeof P=="string"){P={path:P};o.parts[i]=P;}if(!P.path&&P.parts){throw new Error("Bindings in event handler parameters cannot use parts. Just use one single path.");}var S=P.path.indexOf(">");if(S>0){P.model=P.path.substr(0,S);P.path=P.path.substr(S+1);}}var f,h,j=[];o.parts.forEach(function(P){var m;if(P.model==="$parameters"){m=p;f=p.createBindingContext("/");}else if(P.model==="$source"){m=s;f=s.createBindingContext("/");}else{m=e.getModel(P.model);f=e.getBindingContext(P.model);}t=P.type;if(typeof t=="string"){k=O.get(t);if(typeof k!=="function"){throw new Error("Cannot find type \""+t+"\" used for binding \""+P.path+"\"!");}t=new k(P.formatOptions,P.constraints);}h=m.bindProperty(P.path,f,o.parameters);h.setType(t,P.targetType||"any");h.setFormatter(P.formatter);h.setBindingMode(a.OneTime);j.push(h);});if(j.length>1||(o.formatter&&o.formatter.textFragments)){t=o.type;if(typeof t=="string"){var k=O.get(t);t=new k(o.formatOptions,o.constraints);}h=new C(j,o.useRawValues,o.useInternalValues);h.setType(t,P.targetType||"any");h.setBindingMode(a.OneTime);}else{h=j[0];}h.setFormatter(o.formatter);h.initialize();return h.getExternalValue();}return c;});
