/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
(function(){"use strict";function d(){sap.ui.define('sap/ui/core/plugin/LessSupport',['sap/ui/thirdparty/jquery','sap/ui/core/Core','sap/ui/core/ThemeCheck','sap/base/Log','sap/base/util/UriParameters'],function(q,C,T,L,U){var a="library.source";var b="library";var c=function(){};c.prototype.startPlugin=function(o,O){L.info("Starting LessSupport plugin.");L.warning("  NOT FOR PRODUCTIVE USAGE! LessSupport is an experimental feature which might change in future!");var u=new U(window.location.href);var n=u.get("sap-ui-xx-noless");if(n){n=n.toLowerCase();}try{if(n!=="false"&&(window.top.JsUnit||(window.sap.ui.test&&window.sap.ui.test.qunit))){L.info("  LessSupport has been deactivated for JSUnit Testrunner or QUnit.");return;}}catch(e){}if(n&&n!=="false"){L.info("  LessSupport has been deactivated by URL parameter.");return;}else{L.info("  LessSupport can be deactivated by adding the following parameter to your URL: \"sap-ui-xx-noless=X\".");}window.less=window.less||{env:"development",relativeUrls:true,errorReporting:function(m,i,r){if(m==="add"&&window.console){window.console.error("Failed to parse: "+r,i);}}};sap.ui.requireSync("sap/ui/thirdparty/less");this.oCore=o;this.bActive=true;this.oCore.includeLibraryTheme=q.proxy(this.includeLibraryTheme,this);this.oCore.applyTheme=q.proxy(this.applyTheme,this);var f=this,g=false;var l=[];q("link[id^=sap-ui-theme-]").each(function(){var _=f.initLink(this);g=_||g;if(_){l.push(this.id.substr(13));}});this.refreshLess(g);var j=0;function k(){var m=true;var p;for(var i=0;i<l.length;i++){p=T.checkStyle("less:"+l[i],true);if(p){q(document.getElementById("sap-ui-theme-"+l[i])).attr("data-sap-ui-ready","true");}m=m&&p;}j++;if(j>100){m=true;L.warning("LessSupport: Max theme check cycles reached.");}if(m){T.themeLoaded=true;setTimeout(function(){o.fireThemeChanged({theme:o.sTheme});},0);}else{f.iCheckThemeAppliedTimeout=setTimeout(k,100);}}if(g){this.iCheckThemeAppliedTimeout=setTimeout(k,100);}};c.prototype.stopPlugin=function(){L.info("Stopping LessSupport plugin.");if(this.bActive){clearTimeout(this.iCheckThemeAppliedTimeout);delete this.iCheckThemeAppliedTimeout;q("link[id^=sap-ui-theme-]").each(function(){var l=this.id.substr(13);q(document.getElementById("less:"+l)).remove();});delete this.oCore.includeLibraryTheme;delete this.oCore.applyTheme;this.oCore=null;}};c.prototype.initLink=function(l){var u=this.updateLink(l);q("<style>").attr("id","less:"+l.id.substr(13)).attr("type","text/css").attr("media",this.media||"screen").insertAfter(l);return u;};c.prototype.updateLink=function(l){var s=l.id.substr(13);var p;if((p=s.indexOf("-["))>0){s=s.substr(0,p);}var B=this.oCore._getThemePath(s,this.oCore.sTheme);var i=this.getLastModified(B+a+".less");var e=this.getLastModified(B+b+".css");var u=(i==0&&e>0)||i>e;if(!u){var f=this.oCore._getThemePath(s,"base");var g=this.getLastModified(f+a+".less");var j=this.getLastModified(f+b+".css");u=(g==0&&j>0)||g>j;}var F=(u)?a:b;L.debug("LessSupport.updateLink: "+B+F+": "+(u?"LESS":"CSS"));if(!u){if(l.title){delete l.title;}l.rel="stylesheet";l.href=B+F+".css";this.unregisterLink(l);return false;}l.title=s;l.rel="stylesheet/less";l.href=B+F+".less";this.registerLink(l);return true;};c.prototype.getLastModified=function(u){var l;q.ajax({url:u,type:"HEAD",async:false,success:function(e,f,x){var s=x.getResponseHeader("Last-Modified");l=s?Date.parse(s):0;},error:function(x,e,f){l=-1;}});L.debug("CSS/LESS head-check: "+u+"; last-modified: "+l);return l;};c.prototype.applyTheme=function(s,e){sap.ui.core.Core.prototype.applyTheme.apply(this.oCore,arguments);var f=this,u=false;q("link[id^=sap-ui-theme-]").each(function(){u=f.updateLink(this)||u;});this.refreshLess(u);};c.prototype.includeLibraryTheme=function(l){sap.ui.core.Core.prototype.includeLibraryTheme.apply(this.oCore,arguments);var e=this,u=false;q("link[id='sap-ui-theme-"+l+"']").each(function(){u=e.initLink(this)||u;});this.refreshLess(u);};c.prototype.registerLink=function(l){if(window.less&&window.less.sheets){var i=window.less.sheets.indexOf(l);if(i===-1){window.less.sheets.push(l);}}};c.prototype.unregisterLink=function(l){if(window.less&&window.less.sheets){var s=l.id.substr(13);var i=window.less.sheets.indexOf(l);if(i>=0){window.less.sheets.splice(i,1);q(document.getElementById("less:"+s)).html("");}}};c.prototype.refreshLess=function(u){if(u){if(!document.getElementById("sap-ui-ide-less-mode")){q("<span>").attr("id","sap-ui-ide-less-mode").css("position","absolute").css("right","10px").css("bottom","10px").css("padding","10px").css("border","3px solid red").css("border-radius","10px").css("opacity","0.75").css("color","black").css("background-color","white").css("font-weight","bold").css("z-index","99999").append(q("<span>").text("LESS MODE").css({"display":"block","text-align":"center"})).append(q("<a>").attr("href","#").text("Deactivate").attr("title","Less mode is active. Click to deactivate it (requires page refresh).").css({"float":"left","clear":"left","font-size":"0.75em","text-decoration":"underline","margin-right":"0.5em"}).bind("click",function(e){e.preventDefault();if(window.confirm("Deactivating the Less Mode refreshes the page. Do you want to proceed?")){var s=window.location.search;window.location.search=(s.charAt(0)==="?"?(s+"&"):"?")+"sap-ui-xx-noless=true";}})).append(q("<a>").attr("href","#").text("Hide").attr("title","Less mode is active. Click to hide this information.").css({"float":"right","font-size":"0.75em","text-decoration":"underline"}).bind("click",function(e){e.preventDefault();q(this).parent().css("display","none");})).appendTo(window.document.body);}}else{q("#sap-ui-ide-less-mode").remove();}if(window.less&&window.less.refresh&&window.less.sheets.length>0){var l={};var m={};q(window.less.sheets).each(function(){m[this.href]=q(this).attr("id").substr(13);});var f=window.less.tree.Rule.prototype.eval;window.less.tree.Rule.prototype.eval=function(e){if(this.variable&&typeof this.name==="string"&&this.name.indexOf("@_PRIVATE_")!==0){var s=m[this.currentFileInfo.rootFilename];if(!s){L.warning("LessSupport: could not find libary ("+this.currentFileInfo.rootFilename+")");}var v=l[s];if(!v){v=l[s]={};}try{v[this.name.substr(1)]=this.value.eval(e).toCSS(e);}catch(g){}}return f.apply(this,arguments);};window.less.refresh();var P=sap.ui.requireSync('sap/ui/core/theming/Parameters');P._setOrLoadParameters(l);window.less.tree.Rule.prototype.eval=f;}};var t=new c();sap.ui.getCore().registerPlugin(t);c.refresh=function(){t.refreshLess(true);if(t.oCore.oThemeCheck){t.oCore.oThemeCheck.fireThemeChangedEvent(false);}};return c;},true);}if(!(window.sap&&window.sap.ui&&window.sap.ui.define)){var h=function(){document.removeEventListener("DOMContentLoaded",h,false);d();};document.addEventListener("DOMContentLoaded",h,false);}else{d();}}());
