/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/base/Log","sap/ui/core/ComponentContainer","sap/ui/core/library"],function(L,C,c){"use strict";return{display:function(d){var s=Promise.resolve();return this._display(d,s).catch(function(v){if(v instanceof Error){return Promise.reject(v);}else{return v;}});},_display:function(d,s){if(this._oParent){s=this._oParent._display(d,s);}return this._place(d,s);},_place:function(d,s){if(d instanceof Promise){s=d;d=undefined;}var o=this._oOptions,t=this,O,n,a,e,p;if(o.name&&o.type){n=this._getEffectiveObjectName(o.name);switch(o.type){case"View":a={name:n,type:o.viewType,id:o.id,async:true};break;case"Component":a=Object.assign({},o.options||{},{name:n,id:o.id});break;default:throw new Error("The given type "+o.type+" isn't support by sap.ui.core.routing.Target");}O=this._oCache._get(a,o.type,this._bUseRawViewId);if(!(O instanceof Promise)){if(O.isA("sap.ui.core.mvc.View")){p=O.loaded();}else{p=Promise.resolve(O);}}else{p=O;}s=s.then(function(P){return p.then(function(O){return{object:O,parentInfo:P||{}};},function(e){return Promise.reject({name:o._name,error:e});});}).then(function(v){var V=t._isValid(v.parentInfo);O=v.object;if(O.isA("sap.ui.core.mvc.View")){t._bindTitleInTitleProvider(O);t._addTitleProviderAsDependent(O);}if(V!==true){e=V;return t._refuseInvalidTarget(o._name,e);}var b=v.parentInfo.view,f=v.parentInfo.control,g=Promise.resolve(f);if(b&&b.isA("sap.ui.core.UIComponent")){b=b.getRootControl();}if(!b&&o.rootView){b=sap.ui.getCore().byId(o.rootView);if(!b){e="Did not find the root view with the id "+o.rootView;return t._refuseInvalidTarget(o._name,e);}}if(o.controlId){if(b){g=b.loaded().then(function(h){return h.byId(o.controlId);});}g=g.then(function(h){if(!h){h=sap.ui.getCore().byId(o.controlId);}if(!h){e="Control with ID "+o.controlId+" could not be found";return t._refuseInvalidTarget(o._name,e);}else{return h;}}).catch(function(){e="Something went wrong during loading the root view with id "+o.rootView;return t._refuseInvalidTarget(o._name,e);});}return g;}).then(function(b){var f,g,h;if(b.error){return b;}if(O.isA("sap.ui.core.UIComponent")){f=O;g=f.getId()+"-container";O=sap.ui.getCore().byId(g);if(!O){O=new C(g,{component:f,height:"100%",width:"100%",lifecycle:sap.ui.core.ComponentLifecycle.Application});h=f.exit;f.exit=function(){if(h){h.apply(this);}O.destroy();};}}t._beforePlacingViewIntoContainer({container:b,view:O,data:d});var A=b.getMetadata().getJSONKeys()[o.controlAggregation];if(!A){e="Control "+o.controlId+" does not have an aggregation called "+o.controlAggregation;return t._refuseInvalidTarget(o._name,e);}if(o.clearControlAggregation===true){b[A._sRemoveAllMutator]();}L.info("Did place the "+o.type.toLowerCase()+" '"+n+"' with the id '"+O.getId()+"' into the aggregation '"+o.controlAggregation+"' of a control with the id '"+b.getId()+"'",t);b[A._sMutator](O);t.fireDisplay({view:O.isA("sap.ui.core.mvc.View")?O:undefined,object:O,control:b,config:t._oOptions,data:d});return{name:o._name,view:O,control:b};});}else{s=s.then(function(){return{name:o._name};});}return s;},_isValid:function(p){var o=this._oOptions,a=p&&p.control,h=(a||o.controlId),i=true,l="";if(!h){l="The target "+o._name+" has no controlId set and no parent so the target cannot be displayed.";i=false;}if(!o.controlAggregation){l="The target "+o._name+" has a control id or a parent but no 'controlAggregation' was set, so the target could not be displayed.";i=false;}if(l){L.error(l,this);}return i||l;},_refuseInvalidTarget:function(n,m){if(m){L.error(m,this);}return{name:n,error:m};}};});
