/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/thirdparty/URI','../Element','sap/base/util/UriParameters','sap/base/Log','sap/ui/thirdparty/jquery'],function(U,E,a,L,q){"use strict";var c=window["sap-ui-config"]||{};var s=0;if(c['xx-nosync']==='warn'||/(?:\?|&)sap-ui-xx-nosync=(?:warn)/.exec(window.location.search)){s=1;}if(c['xx-nosync']===true||c['xx-nosync']==='true'||/(?:\?|&)sap-ui-xx-nosync=(?:x|X|true)/.exec(window.location.search)){s=2;}var P={};var p=null;var t=null;var b=[];var r=/url[\s]*\('?"?([^\'")]*)'?"?\)/;var u=new a(window.location.href).get("sap-ui-xx-no-inline-theming-parameters")!=="true";function d(){p=null;}function e(i,T){var M=r.exec(i);if(M){var j=new U(M[1]);if(j.is("relative")){var N=j.absoluteTo(T).normalize().path();i="url('"+N+"')";}}return i;}function m(C,N,T){for(var i in N){if(typeof C[i]==="undefined"){C[i]=e(N[i],T);}}return C;}function f(N,T){if(typeof N["default"]!=="object"){N={"default":N,"scopes":{}};}p=p||{};p["default"]=p["default"]||{};p["scopes"]=p["scopes"]||{};m(p["default"],N["default"],T);if(typeof N["scopes"]==="object"){for(var S in N["scopes"]){p["scopes"][S]=p["scopes"][S]||{};m(p["scopes"][S],N["scopes"][S],T);}}}function g(C){q("link[id^=sap-ui-theme-]").each(function(){C(this.getAttribute("id"));});}function l(i){var k=document.getElementById(i);if(!k){L.warning("Could not find stylesheet element with ID",i,"sap.ui.core.theming.Parameters");return;}var S=k.href;var T=new U(S).filename("").query("").toString();var w=sap.ui.getCore().isThemeApplied();if(!w){L.warning("Parameters have been requested but theme is not applied, yet.","sap.ui.core.theming.Parameters");}if(w&&u){var $=q(k);var D=$.css("background-image");var x=/\(["']?data:text\/plain;utf-8,(.*?)['"]?\)$/i.exec(D);if(x&&x.length>=2){var y=x[1];if(y.charAt(0)!=="{"&&y.charAt(y.length-1)!=="}"){try{y=decodeURIComponent(y);}catch(z){L.warning("Could not decode theme parameters URI from "+S);}}try{var A=q.parseJSON(y);f(A,T);return;}catch(z){L.warning("Could not parse theme parameters from "+S+". Loading library-parameters.json as fallback solution.");}}}var B=S.replace(/\/library([^\/.]*)\.(?:css|less)($|[?#])/,function(j,C,F){return"/library-parameters.json"+(F?F:"");});if(s===2){L.error("[nosync] Loading library-parameters.json ignored",B,"sap.ui.core.theming.Parameters");return;}else if(s===1){L.error("[nosync] Loading library-parameters.json with sync XHR",B,"sap.ui.core.theming.Parameters");}q.ajax({url:B,dataType:'json',async:false,success:function(C,F,G){if(Array.isArray(C)){for(var j=0;j<C.length;j++){var A=C[j];f(A,T);}}else{f(C,T);}},error:function(j,C,F){L.error("Could not load theme parameters from: "+B,F);}});}function h(){if(!p){f({},"");t=sap.ui.getCore().getConfiguration().getTheme();g(l);}return p;}function n(){b.forEach(l);b=[];}P._addLibraryTheme=function(i){if(p){b.push("sap-ui-theme-"+i);}};function o(O){var i=h();if(O.scopeName){i=i["scopes"][O.scopeName];}else{i=i["default"];}var j=i[O.parameterName];if(typeof j==="undefined"&&typeof O.parameterName==="string"){var I=O.parameterName.indexOf(":");if(I!==-1){O.parameterName=O.parameterName.substr(I+1);}j=i[O.parameterName];}if(O.loadPendingParameters&&typeof j==="undefined"){n();j=o({parameterName:O.parameterName,scopeName:O.scopeName,loadPendingParameters:false});}return j;}function v(j,S){for(var i=0;i<S.length;i++){var C=S[i];for(var k=0;k<C.length;k++){var w=C[k];var x=o({parameterName:j,scopeName:w});if(x){return x;}}}return o({parameterName:j});}P._getScopes=function(A){if(A&&!p){return;}var i=h();var S=Object.keys(i["scopes"]);return S;};P.getActiveScopesFor=function(i){var S=[];if(i instanceof E){var j=i.getDomRef();n();var k=this._getScopes();if(j){var N=function(w){var x=j.classList;return x&&x.contains(w);};while(j){var F=k.filter(N);if(F.length>0){S.push(F);}j=j.parentNode;}}else{var C=function(w){return typeof i.hasStyleClass==="function"&&i.hasStyleClass(w);};while(i){var F=k.filter(C);if(F.length>0){S.push(F);}i=typeof i.getParent==="function"&&i.getParent();}}}return S;};P.get=function(N,k){var w;if(!sap.ui.getCore().isInitialized()){L.warning("Called sap.ui.core.theming.Parameters.get() before core has been initialized. "+"This could lead to bad performance and sync XHR as inline parameters might not be available, yet. "+"Consider using the API only when required, e.g. onBeforeRendering.");}if(arguments.length===0){n();var x=h();return q.extend({},x["default"]);}if(!N){return undefined;}if(k instanceof E){n();var S=this.getActiveScopesFor(k);if(typeof N==="string"){return v(N,S);}else if(Array.isArray(N)){var y={};for(var j=0;j<N.length;j++){var z=N[j];y[z]=v(z,S);}return y;}}else{if(typeof N==="string"){w=o({parameterName:N,loadPendingParameters:true});return w;}else if(Array.isArray(N)){var y={};for(var i=0;i<N.length;i++){var z=N[i];y[z]=P.get(z);}return y;}}};P._setOrLoadParameters=function(i){p={"default":{},"scopes":{}};t=sap.ui.getCore().getConfiguration().getTheme();g(function(I){var j=I.substr(13);if(i[j]){q.extend(p["default"],i[j]);}else{l(I);}});};P.reset=function(){var O=arguments[0]===true;if(!O||sap.ui.getCore().getConfiguration().getTheme()!==t){d();}};P._getThemeImage=function(i,F){i=i||"sapUiGlobalLogo";var j=P.get(i);if(j){var k=r.exec(j);if(k){j=k[1];}else if(j==="''"||j==="none"){j=null;}}if(!!F&&!j){return sap.ui.resource('sap.ui.core','themes/base/img/1x1.gif');}return j;};return P;},true);
