/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["jquery.sap.global","sap/base/Log","sap/base/util/JSTokenizer","sap/base/util/ObjectPath","sap/ui/base/BindingParser","sap/ui/base/ManagedObject","sap/ui/base/SyncPromise","sap/ui/core/XMLTemplateProcessor","sap/ui/model/BindingMode","sap/ui/model/CompositeBinding","sap/ui/model/Context","sap/ui/performance/Measurement"],function(q,L,J,O,B,M,S,X,a,C,b,c){"use strict";var N="http://schemas.sap.com/sapui5/extension/sap.ui.core.template/1",x="sap.ui.core.util.XMLPreprocessor",p=[x],P=x+"/getResolvedBinding",s=x+"/insertFragment",d=x+".process",o=S.resolve(),f=S.resolve(true),t=Object.prototype.toString,v={},W=M.extend("sap.ui.core.util._with",{metadata:{properties:{any:"any"},aggregations:{child:{multiple:false,type:"sap.ui.core.util._with"}}}}),R=W.extend("sap.ui.core.util._repeat",{metadata:{aggregations:{list:{multiple:true,type:"n/a",_doesNotRequireFactory:true}}},updateList:function(){}});function g(w,m,i,e){function n(u){if(!e){e=w.getBinding("any");if(e instanceof C){e=e.getBindings();if(i!==undefined){e=e[i];}}}return Array.isArray(e)?e[u]:e;}function r(u){return u instanceof b?u.getPath():u.getModel().resolve(u.getPath(),u.getContext());}return{getInterface:function(u,y){var z,A,D;if(typeof u==="string"){y=u;u=undefined;}n();if(Array.isArray(e)){if(u>=0&&u<e.length){A=e[u];}else{throw new Error("Invalid index of part: "+u);}}else if(u!==undefined){throw new Error("Not the root formatter of a composite binding");}else if(y){A=e;}else{throw new Error("Missing path");}if(y){D=A.getModel();if(y.charAt(0)!=='/'){z=A instanceof b?A:D.createBindingContext(A.getPath(),A.getContext());}A=D.createBindingContext(y,z);if(!A){throw new Error("Model could not create binding context synchronously: "+D);}}return g(null,m,undefined,A);},getModel:function(u){var y=n(u);return y&&y.getModel();},getPath:function(u){var y=n(u);return y&&r(y);},getSetting:function(u){if(u==="bindingContexts"||u==="models"){throw new Error("Illegal argument: "+u);}return m[u];}};}function h(w,m,n,r,A){var V=false;function u(I,i){var F=I.formatter,y,z=I.model;if(I.path&&I.path.indexOf(">")>0){z=I.path.slice(0,I.path.indexOf(">"));}y=w.getModel(z);if(F&&F.requiresIContext===true){F=I.formatter=F.bind(null,g(w,n,i));}if(F&&A&&(y&&y.$$valueAsPromise||i===undefined&&V)){I.formatter=function(){var D=this;return S.all(arguments).then(function(E){return F.apply(D,E);});};I.formatter.textFragments=F.textFragments;}I.mode=a.OneTime;I.parameters=I.parameters||{};I.parameters.scope=r;if(A&&y&&y.$$valueAsPromise){V=I.parameters.$$valueAsPromise=true;}}try{if(m.parts){m.parts.forEach(u);}u(m);w.bindProperty("any",m);return w.getBinding("any")?S.resolve(w.getAny()):null;}catch(e){return S.reject(e);}finally{w.unbindProperty("any",true);}}function j(e,m){var i=-1;function n(F){if(F){return e[i];}i+=1;if(i<e.length){return m(e[i],i,e).then(n);}}return e.length?n():o;}function k(e){var A,m=e.attributes,T="<"+e.nodeName,i,n;for(i=0,n=m.length;i<n;i+=1){A=m.item(i);T+=" "+A.name+'="'+A.value+'"';}return T+(e.childNodes.length?">":"/>");}function l(e,i){return i.visitNode(e);}return{plugIn:function(V,n,e){var i=v[n];if(V!==null&&typeof V!=="function"||V===l){throw new Error("Invalid visitor: "+V);}if(!n||n===N||n==="sap.ui.core"||n.indexOf(" ")>=0){throw new Error("Invalid namespace: "+n);}L.debug("Plug-in visitor for namespace '"+n+"', local name '"+e+"'",V,x);if(e){n=n+" "+e;i=v[n]||i;}v[n]=V;return i||l;},visitNodeWrapper:l,process:function(r,V,m){var u=V.caller,D=L.isLoggable(L.Level.DEBUG,x),w=D,y=V.name,F={},z,A=0,E={},G=V._supportInfo,H=L.isLoggable(L.Level.WARNING,x);function I(i){return{find:function(n,p1){try{return S.resolve(j(n,p1));}catch(e){return S.reject(e);}},getContext:function(e){var n,p1,q1;e=e||"";if(e[0]==="{"){throw new Error("Must be a simple path, not a binding: "+e);}n=B.simpleParser("{"+e+"}");p1=i.getModel(n.model);if(!p1){throw new Error("Unknown model '"+n.model+"': "+e);}q1=p1.resolve(n.path,i.getBindingContext(n.model));if(!q1){throw new Error("Cannot resolve path: "+e);}return p1.createBindingContext(q1);},getResult:function(e,n){return $(e,n,i,true);},getSettings:function(){return m;},getViewInfo:function(){return q.extend(true,{},V);},insertFragment:function(e,n){return _(e,n,i);},visitAttribute:function(e,n){return k1(e,n,i);},visitAttributes:function(e){return l1(e,i);},visitChildNodes:function(n){return m1(n,i);},visitNode:function(n){try{return n1(n,i);}catch(e){return S.reject(e);}},"with":function(e,n){var p1,q1=false,z,r1=new W();if(!n){i.setChild(r1);}for(z in e){p1=e[z];q1=true;r1.setModel(p1.getModel(),z);r1.bindObject({model:z,path:p1.getPath()});}return q1||n?I(r1):this;}};}function K(e){if(D){L.debug(Y()+Array.prototype.slice.call(arguments,1).join(" "),e&&k(e),x);}}function Q(e){if(D){L.debug(Y()+"Finished","</"+e.nodeName+">",x);}}function T(e,i){e=e+k(i);L.error(e,u,x);throw new Error(u+": "+e);}function U(e){var p1,q1=Array.prototype.filter.call(e.childNodes,s1),i,n,r1=false;function s1(u1){return u1.nodeType===1;}function t1(u1,v1){return u1.namespaceURI===N&&u1.localName===v1;}if(!q1.length||!t1(q1[0],"then")){return null;}for(i=1,n=q1.length;i<n;i+=1){p1=q1[i];if(r1){T("Expected </"+e.prefix+":if>, but instead saw ",p1);}if(t1(p1,"else")){r1=true;}else if(!t1(p1,"elseif")){T("Expected <"+e.prefix+":elseif> or <"+e.prefix+":else>, but instead saw ",q1[i]);}}return q1;}function Y(){return(A<10?"[ ":"[")+A+"] ";}function Z(z){return z&&z.charAt(0)==="."?O.get(z.slice(1),E):O.get(z||"",E)||O.get(z||"");}function $(i,n,p1,q1,r1){var s1,t1;c.average(P,"",p);try{s1=B.complexParser(i,E,q1,true,true,true)||i;}catch(e){return S.reject(e);}if(s1.functionsNotFound){if(q1){o1(n,'Function name(s)',s1.functionsNotFound.join(", "),'not found');}c.end(P);return null;}if(typeof s1==="object"){t1=h(p1,s1,m,E,!V.sync);if(q1&&!t1){o1(n,'Binding not ready');}else if(V.sync&&t1&&t1.isPending()){T("Async formatter in sync view in "+i+" of ",n);}}else{t1=S.resolve(s1);if(r1){r1();}}c.end(P);return t1;}function _(e,i,n){var p1,q1=V.sync?X.loadTemplate:X.loadTemplatePromise,r1=y;n.$mFragmentContexts=n.$mFragmentContexts||{};if(n.$mFragmentContexts[e]){T("Cyclic reference to fragment '"+e+"' ",i);}A++;K(i,"fragmentName =",e);n.$mFragmentContexts[e]=true;y=e;c.average(s,"",p);p1=F[e];if(!p1){F[e]=p1=S.resolve(q1(e,"fragment"));}return p1.then(function(s1){s1=i.ownerDocument.importNode(s1,true);c.end(s);return c1(s1).then(function(){if(s1.namespaceURI==="sap.ui.core"&&s1.localName==="FragmentDefinition"){return a1(s1,n,i);}i.parentNode.insertBefore(s1,i);return n1(s1,n);});}).then(function(){i.parentNode.removeChild(i);y=r1;n.$mFragmentContexts[e]=false;Q(i);A--;});}function a1(e,i,n){return m1(e,i).then(function(){var p1;n=n||e;while((p1=e.firstChild)){n.parentNode.insertBefore(p1,n);}});}function b1(e,i){var n=o1.bind(null,e,'Constant test condition'),p1=$(e.getAttribute("test"),e,i,true,n)||S.resolve(false);return p1.catch(function(ex){o1(e,'Error in formatter:',ex);}).then(function(q1){var r1=!!q1&&q1!=="false";if(D){if(typeof q1==="string"){q1=JSON.stringify(q1);}else if(q1===undefined){q1="undefined";}else if(Array.isArray(q1)){q1="[object Array]";}K(e,"test ==",q1,"-->",r1);}return r1;});}function c1(e){var n={},p1=e.getAttributeNodeNS(N,"require"),q1,r1;function s1(){return new S(function(t1){sap.ui.require(r1,function(){var u1=arguments;Object.keys(n).forEach(function(v1,i){E[v1]=u1[i];});t1();});});}if(p1&&p1.value){q1=p1.value;e.removeAttributeNode(p1);if(q1[0]==="{"){n=J.parseJS(q1);r1=Object.keys(n).map(function(i){return n[i];});return s1();}r1=q1.split(" ").map(function(i){return i.replace(/\./g,"/");});if(!V.sync){return s1();}r1.forEach(sap.ui.requireSync);}return o;}function d1(e,i,n){var p1=$(i.value,e,n,false);if(!p1){K(e,'Binding not ready for attribute',i.name);return o;}return p1.then(function(q1){if(q1===undefined){K(e,"Removed attribute",i.name);e.removeAttributeNode(i);}else if(q1!==i.value){switch(typeof q1){case"boolean":case"number":case"string":K(e,i.name,"=",q1);i.value=q1;break;default:K(e,"Ignoring",t.call(q1),"value for attribute",i.name);}}},function(q1){K(e,"Error in formatter of attribute",i.name,q1);});}function e1(e,i){var z=e.getAttribute("name"),n,p1,q1=e.getAttribute("value");if(z&&z[0]==="."){z=z.slice(1);}if(!z||z.includes(".")){T("Missing proper relative name in ",e);}n=Z(q1);if(!n){T("Invalid value in ",e);}p1=E[z];E[z]=n;return a1(e,i).then(function(){e.parentNode.removeChild(e);E[z]=p1;});}function f1(e,i){var n=e.getAttribute("name"),p1=$(n,e,i,true);if(!p1){return f;}return p1.then(function(z){var q1=sap.ui.require("sap/ui/core/CustomizingConfiguration"),r1;if(z!==n){K(e,"name =",z);}if(q1){r1=q1.getViewExtension(y,z,V.componentId);if(r1&&r1.className==="sap.ui.core.Fragment"&&r1.type==="XML"){return _(r1.fragmentName,e,i);}}return true;},function(ex){o1(e,'Error in formatter:',ex);return true;});}function g1(e,i){var n=e.getAttribute("fragmentName"),p1=$(n,e,i,true);if(!p1){return o;}return p1.then(function(n){var q1=E;E=Object.create(E);return _(n,e,i).then(function(){E=q1;});},function(ex){o1(e,'Error in formatter:',ex);});}function h1(i,e){A++;return j(U(i)||[i],function(n){if(n.localName==="else"){return f;}if(n.localName==="then"){n=i;}return b1(n,e);}).then(function(n){return(n?a1(n,e,i):o).then(function(){i.parentNode.removeChild(i);Q(i);A--;});});}function i1(e,n){var p1=e.getAttribute("list")||"",q1=B.complexParser(p1,E,false,true,true,true),r1,s1,t1,u1,v1,w1=e.getAttribute("var");if(w1===""){T("Missing variable name for ",e);}if(!q1){T("Missing binding for ",e);}if(q1.functionsNotFound){o1(e,'Function name(s)',q1.functionsNotFound.join(", "),'not found');}u1=new R();n.setChild(u1);q1.mode=a.OneTime;u1.bindAggregation("list",q1);s1=u1.getBinding("list");u1.unbindAggregation("list",true);t1=q1.model;if(!s1){T("Missing model '"+t1+"' in ",e);}s1.enableExtendedChangeDetection();r1=s1.getContexts(q1.startIndex,q1.length);if(!V.sync&&r1.dataRequested){v1=new S(function(i){s1.attachEventOnce("change",i);}).then(function(){return s1.getContexts(q1.startIndex,q1.length);});}else{v1=S.resolve(r1);}w1=w1||t1;u1.setModel(s1.getModel(),w1);A++;K(e,"Starting");return v1.then(function(r1){return j(r1,function(x1,i){var y1=(i===r1.length-1)?e:e.cloneNode(true);u1.setBindingContext(x1,w1);K(e,w1,"=",x1.getPath());return a1(y1,u1,e);}).then(function(){Q(e);A--;e.parentNode.removeChild(e);});});}function j1(e,i){var n,p1,q1,r1,s1=e.getAttribute("helper"),t1,u1=e.getAttribute("path"),v1,w1,x1=e.getAttribute("var");if(x1===""){T("Missing variable name for ",e);}q1=new W();i.setChild(q1);n=B.simpleParser("{"+u1+"}");x1=x1||n.model;if(s1||x1){p1=i.getModel(n.model);if(!p1){T("Missing model '"+n.model+"' in ",e);}w1=p1.resolve(n.path,i.getBindingContext(n.model));if(!w1){T("Cannot resolve path for ",e);}t1=p1.createBindingContext(w1);if(s1){r1=Z(s1);if(typeof r1!=="function"){T("Cannot resolve helper for ",e);}t1=r1(t1);}v1=S.resolve(t1);if(V.sync&&v1.isPending()){T("Async helper in sync view in ",e);}v1=v1.then(function(t1){if(t1 instanceof b){p1=t1.getModel();w1=t1.getPath();}else if(t1!==undefined){if(typeof t1!=="string"||t1===""){T("Illegal helper result '"+t1+"' in ",e);}w1=t1;}q1.setModel(p1,x1);q1.bindObject({model:x1,path:w1});});}else{w1=u1;q1.bindObject(w1);v1=o;}return v1.then(function(){A++;K(e,x1,"=",w1);if(q1.getBindingContext(x1)===i.getBindingContext(x1)){o1(e,'Set unchanged path:',w1);q1=i;}return a1(e,q1).then(function(){e.parentNode.removeChild(e);Q(e);A--;});});}function k1(e,i,n){if(G){G({context:undefined,env:{caller:"visitAttribute",before:{name:i.name,value:i.value}}});}return d1(e,i,n).then(function(){if(G){G({context:undefined,env:{caller:"visitAttribute",after:{name:i.name,value:i.value}}});}});}function l1(e,i){function n(p1,q1){return p1.name.localeCompare(q1.name);}return j(Array.prototype.slice.apply(e.attributes).sort(n),function(p1){return k1(e,p1,i);});}function m1(n,e){return j(Array.prototype.slice.apply(n.childNodes),function(i){return n1(i,e);});}function n1(n,e){var i;function p1(){return l1(n,e).then(function(){return m1(n,e);}).then(function(){if(G){G({context:n,env:{caller:"visitNode",after:{name:n.tagName}}});}});}if(n.nodeType!==1){return o;}if(G){G({context:n,env:{caller:"visitNode",before:{name:n.tagName}}});}if(n.namespaceURI===N){switch(n.localName){case"alias":return e1(n,e);case"if":return h1(n,e);case"repeat":return i1(n,e);case"with":return j1(n,e);default:T("Unexpected tag ",n);}}else if(n.namespaceURI==="sap.ui.core"){switch(n.localName){case"ExtensionPoint":return f1(n,e).then(function(q1){if(q1){return p1();}});case"Fragment":if(n.getAttribute("type")==="XML"){return g1(n,e);}break;}}else{i=v[n.namespaceURI+" "+n.localName]||v[n.namespaceURI];if(i){A++;K(n,"Calling visitor");return i(n,I(e)).then(function(q1){if(q1!==undefined){T("Unexpected return value from visitor for ",n);}Q(n);A--;});}}return p1();}function o1(e){if(H){if(!w){w=true;L.warning("Warning(s) during processing of "+u,null,x);}L.warning(Y()+Array.prototype.slice.call(arguments,1).join(" "),e&&k(e),x);}}c.average(d,"",p);m=m||{};if(D){K(undefined,"Start processing",u);if(m.bindingContexts instanceof b){K(undefined,"undefined =",m.bindingContexts);}else{for(z in m.bindingContexts){K(undefined,z,"=",m.bindingContexts[z]);}}}if(G){G({context:r,env:{caller:"view",viewinfo:q.extend(true,{},V),settings:q.extend(true,{},m),clone:r.cloneNode(true),type:"template"}});}return c1(r).then(function(){return n1(r,new W({models:m.models,bindingContexts:m.bindingContexts}));}).then(function(){K(undefined,"Finished processing",u);c.end(d);return r;}).unwrap();}};},true);
