/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/ManagedObject","sap/ui/base/ManagedObjectMetadata","sap/base/util/ObjectPath","sap/ui/util/XMLHelper","sap/base/Log"],function(M,a,O,X,L){"use strict";return{bySelector:function(s,A,v){var c=this.getControlIdBySelector(s,A);return this._byId(c,v);},getControlIdBySelector:function(s,A){if(!s){return undefined;}if(typeof s==="string"){s={id:s};}var c=s.id;if(s.idIsLocal){if(A){c=A.createId(c);}else{throw new Error("App Component instance needed to get a control's ID from selector");}}else{var p=/^application-[^-]*-[^-]*-component---/igm;var h=!!p.exec(s.id);if(h){c=c.replace(/^application-[^-]*-[^-]*-component---/g,"");if(A){c=A.createId(c);}else{throw new Error("App Component instance needed to get a control's ID from selector");}}}return c;},getSelector:function(c,A,m){var C=c;if(typeof C!=="string"){C=(c)?this.getId(c):undefined;}else if(!A){throw new Error("App Component instance needed to get a selector from string ID");}if(m&&(m.id||m.idIsLocal)){throw new Error("A selector of control with the ID '"+C+"' was requested, "+"but core properties were overwritten by the additionally passed information.");}var v=this.checkControlId(C,A);if(!v){throw new Error("Generated ID attribute found - to offer flexibility a stable control ID is needed to assign the changes to, but for this control the ID was generated by SAPUI5 "+C);}var s=Object.assign({},m,{id:"",idIsLocal:false});if(this.hasLocalIdSuffix(C,A)){var l=A.getLocalId(C);s.id=l;s.idIsLocal=true;}else{s.id=C;}return s;},checkControlId:function(c,A,s){var C=c instanceof M?c.getId():c;var i=a.isGeneratedId(C);if(!i||this.hasLocalIdSuffix(c,A)){return true;}else{var h=C.indexOf("--")!==-1;if(!s&&!h){L.warning("Generated id attribute found, to offer flexibility a stable control id is needed "+"to assign the changes to, but for this control the id was generated by SAPUI5",C);}return false;}},hasLocalIdSuffix:function(c,A){var C=(c instanceof M)?c.getId():c;if(!A){L.error("determination of a local id suffix failed due to missing app component for "+C);return false;}return!!A.getLocalId(C);},_checkAndPrefixIdsInFragment:function(f,I){var p=X.getParseError(f);if(p.errorCode!==0){throw new Error(f.parseError.reason);}var c=f.documentElement;var r=[],C=[];if(c.localName==="FragmentDefinition"){r=this._getElementNodeChildren(c);}else{r=[c];}C=[].concat(r);function o(b){C.push(b);}for(var i=0,n=r.length;i<n;i++){this._traverseXmlTree(o,r[i]);}for(var j=0,m=C.length;j<m;j++){if(C[j].getAttribute("id")){C[j].setAttribute("id",I+"."+C[j].getAttribute("id"));}else{throw new Error("At least one control does not have a stable ID");}}return c;},_getElementNodeChildren:function(N){var c=[];var b=N.childNodes;for(var i=0,n=b.length;i<n;i++){if(b[i].nodeType===1){c.push(b[i]);}}return c;},_isInstanceOf:function(e,t){var i=O.get(t);if(typeof i==="function"){return e instanceof i;}else{return false;}},_hasInterface:function(e,i){var I=e.getMetadata().getInterfaces();return I.indexOf(i)!==-1;},_getControlMetadataInXml:function(c){var C=this._getControlTypeInXml(c);jQuery.sap.require(C);var b=O.get(C);return b.getMetadata();},_getControlTypeInXml:function(c){var C=c.namespaceURI;C=C?C+".":"";C+=c.localName;return C;},_traverseXmlTree:function(c,r){function b(p,C,i){var A;if(!i){var m=this._getControlMetadataInXml(C);A=m.getAllAggregations();}var d=this._getElementNodeChildren(C);d.forEach(function(o){var I=A&&A[o.localName];b.call(this,C,o,I);if(!I){c(o);}}.bind(this));}b.call(this,r,r,false);},setVisible:function(c,v){},getVisible:function(c){},setStashed:function(c,s){},getStashed:function(c){},bindProperty:function(c,p,b){},unbindProperty:function(c,p){},setProperty:function(c,p,P){},getProperty:function(c,p){},isPropertyInitial:function(c,p){},setPropertyBinding:function(c,p,P){},getPropertyBinding:function(c,p){},createControl:function(c,A,v,s,S,b){},applySettings:function(c,s){},getId:function(c){},getParent:function(c){},getControlType:function(c){},getAllAggregations:function(c){},getAggregation:function(p,n){},insertAggregation:function(p,A,o,i,v){},removeAggregation:function(p,A,o){},removeAllAggregation:function(p,A){},getBindingTemplate:function(c,A){},updateAggregation:function(p,A){},findIndexInParentAggregation:function(c){},getParentAggregationName:function(c,p){},validateType:function(c,A,p,f,i){},instantiateFragment:function(f,n,v){},destroy:function(c){},getChangeHandlerModulePath:function(c){}};});
