/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery",'sap/ui/Device','sap/base/util/includes','sap/base/util/isPlainObject','sap/ui/dt/DesignTimeStatus'],function(q,D,i,a,b){"use strict";var U={};var S='sap.ui.dt';U.wrapError=function(e){var E=e instanceof Error&&e||new Error();if(typeof e==='string'){E.message=e;}return E;};U.isForeignError=function(e,l){if(e instanceof Error){return e.name.indexOf(l||S)===-1;}else{throw U.createError('Util#isForeignError','Wrong parameter specified');}};U.createError=function(l,m,L){var e=new Error();var s=(L||S)+(l?'.'+l:'');e.name='Error in '+s;e.message=m;return e;};U.errorToString=function(e){if(typeof e==='string'){return e;}else if(e instanceof Error){var E=e.toString();if(e.stack){E+='\n'+e.stack.replace(E,'').trim();}return E;}else{throw U.createError('Util#errorToString','Wrong parameter specified');}};U.propagateError=function(e,l,m,L){var E=U.wrapError(e);if(U.isForeignError(E,L)){var s=(L||S)+'.'+l;var o=(E.name||'')+E.message;E.name='Error in '+s;E.message=U.printf('{0}. Original error: {1}',m,o||'¯\\_(ツ)_/¯');}return E;};U.printf=function(s){var A=Array.prototype.slice.call(arguments,1);return s.replace(/{(\d+)}/g,function(m,I){return typeof A[I]!=='undefined'?A[I]:m;});};U.curry=function(o){var A=o.length;var r=function(){var c=Array.prototype.slice.call(arguments);if(c.length>=A){return o.apply(this,c);}else{return function(){return r.apply(this,c.concat(Array.prototype.slice.call(arguments)));};}};return r;};U.objectValues=function(o){return q.map(o,function(v){return v;});};U.intersection=function(A,c){return A.filter(function(v){return c.indexOf(v)>-1;});};U.isInteger=function(v){return q.isNumeric(v)&&Math.ceil(v)===v;};U.castArray=function(v){var r=[];if(v){if(!Array.isArray(v)){r.push(v);}else{r=v;}}return r;};U.wrapIntoPromise=function(h){if(!q.isFunction(h)){throw U.createError("Util#wrapIntoPromise",U.printf("Invalid argument specified. Function is expected, but '{0}' is given",typeof h),"sap.ui.dt");}return function(){var A=Array.prototype.slice.call(arguments);return Promise.resolve().then(function(){return h.apply(null,A);});};};U.isWebkit=function(){return D.browser.webkit&&(D.browser.safari||D.browser.chrome&&D.browser.mobile);};U.pick=function(s,p){s=a(s)?s:{};var P=(Array.isArray(p)?p:(arguments.length>1?[p]:[]));P=P.map(function(v){return String(v);});return Object.keys(s).reduce(function(r,c){if(i(P,c)){r[c]=s[c];}return r;},{});};U.waitForSynced=function(o,d){return function(){var A=arguments;return new Promise(function(r,R){if(d.getStatus()===b.SYNCING){d.attachEventOnce("synced",function(){r(o.apply(null,A));});d.attachEventOnce("syncFailed",R);}else{r(o.apply(null,A));}});};};return U;},true);
