/*
 * ! UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/base/Object","sap/ui/base/ManagedObject","sap/ui/dt/ElementUtil","sap/ui/dt/DOMUtil","sap/ui/dt/OverlayUtil"],function(B,M,E,D,O){"use strict";var a=M.extend("sap.ui.dt.plugin.ElementMover",{metadata:{library:"sap.ui.dt",properties:{movableTypes:{type:"string[]",defaultValue:["sap.ui.core.Element"]}},associations:{}}});a.prototype._getMovableTypes=function(){return this.getProperty("movableTypes")||[];};a.prototype.isMovableType=function(e){var m=this._getMovableTypes();return m.some(function(t){return B.isA(e,t);});};a.prototype.checkMovable=function(o){return true;};a.prototype.getMovedOverlay=function(){return this._oMovedOverlay;};a.prototype.setMovedOverlay=function(m){if(m){this._source=O.getParentInformation(m);}else{delete this._source;}this._oMovedOverlay=m;};a.prototype._getSource=function(){return this._source;};a.prototype.activateAllValidTargetZones=function(d,A){this._iterateAllAggregations(d,this._activateValidTargetZone.bind(this),A);};a.prototype._activateValidTargetZone=function(A,s){if(this.checkTargetZone(A)){A.setTargetZone(true);if(s){A.addStyleClass(s);}}};a.prototype.checkTargetZone=function(A,o,b){var m=o?o:this.getMovedOverlay();var g=A.getGeometry();var G=g&&g.size.height>0&&g.size.width>0;if((b&&!G)||!b&&!D.isVisible(A.getDomRef())||!(A.getElement().getVisible&&A.getElement().getVisible())){return false;}var p=A.getElement();if(!p.getParent()){return false;}var c=m.getElement();var s=A.getAggregationName();if(E.isValidForAggregation(p,s,c)){return true;}};a.prototype._deactivateTargetZone=function(A,s){A.setTargetZone(false);if(s){A.removeStyleClass(s);}};a.prototype.activateTargetZonesFor=function(o,A){this._iterateOverlayAggregations(o,this._activateValidTargetZone.bind(this),A);};a.prototype.deactivateTargetZonesFor=function(o,A){this._iterateOverlayAggregations(o,this._deactivateTargetZone.bind(this),A);};a.prototype.deactivateAllTargetZones=function(d,A){this._iterateAllAggregations(d,this._deactivateTargetZone.bind(this),A);};a.prototype._iterateAllAggregations=function(d,s,A){var o=d.getElementOverlays();o.forEach(function(b){this._iterateOverlayAggregations(b,s,A);},this);};a.prototype._iterateOverlayAggregations=function(o,s,A){var b=o.getAggregationOverlays();b.forEach(function(c){s(c,A);});};a.prototype.repositionOn=function(m,t){var o=m.getElement();var T=O.getParentInformation(t);var A;var p=m.getParentAggregationOverlay();var r=m.getRelevantContainer();var P=m.getParentElementOverlay();if(p&&P){var s=p.getAggregationName();A=P.getDesignTimeMetadata().getAggregation(s);}if(T.index!==-1){if(A&&A.beforeMove){A.beforeMove(r,o);}E.insertAggregation(T.parent,T.aggregation,o,T.index);if(A&&A.afterMove){A.afterMove(r,o);}}};a.prototype.insertInto=function(m,t){var o=m.getElement();var T=t.getElement();var A;var p=m.getParentAggregationOverlay();var r=m.getRelevantContainer();var P=m.getParentElementOverlay();if(p&&P){var s=p.getAggregationName();A=P.getDesignTimeMetadata().getAggregation(s);}var b=E.getAggregation(t.getElement(),t.getAggregationName());var i=b.indexOf(o);if(!(i>-1&&i===b.length-1)){if(A&&A.beforeMove){A.beforeMove(r,o);}var c=t.getAggregationName();E.addAggregation(T,c,o);if(A&&A.afterMove){A.afterMove(r,o);}}};a.prototype._compareSourceAndTarget=function(s,t){var p;for(p in s){switch(typeof(s[p])){case'object':if(s[p].getId()!==t[p].getId()){return false;}break;default:if(s[p]!==t[p]){return false;}}}return true;};return a;},true);
