/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/base/util/Version','sap/ui/events/PseudoEvents','sap/ui/events/checkMouseEnterOrLeave','sap/ui/events/ControlEvents','sap/ui/Device','sap/ui/events/TouchToMouseMapping','sap/ui/thirdparty/jquery','sap/ui/thirdparty/jquery-mobile-custom','sap/ui/dom/jquery/control'],function(V,P,c,C,D,T,q){"use strict";var e={};e.aAdditionalControlEvents=[];e.aAdditionalPseudoEvents=[];e._createSimulatedEvent=function(s,o,h){var H="__"+s+"Handler";var S="sap"+s;this.aAdditionalControlEvents.push(S);this.aAdditionalPseudoEvents.push({sName:s,aTypes:[S],fnCheck:function(E){return true;}});q.event.special[S]={add:function(a){var t=this,$=q(this),A={domRef:t,eventName:s,sapEventName:S,eventHandle:a};var f=function(E){h(E,A);};a.__sapSimulatedEventHandler=f;for(var i=0;i<o.length;i++){$.on(o[i],f);}},remove:function(a){var $=q(this);var h=a.__sapSimulatedEventHandler;$.removeData(H+a.guid);for(var i=0;i<o.length;i++){q.event.remove(this,o[i],h);}}};};e._handleMouseToTouchEvent=function(E,o){var d=q(o.domRef);if(E.isMarked("delayedMouseEvent")){return;}if(!(E.type!="mouseout"||(E.type==="mouseout"&&c(E,o.domRef)))){var s=true;var a=d.data("__touchstart_control");if(a){var b=window.document.getElementById(a);if(b&&c(E,b)){s=false;}}if(s){return;}}var n=q.event.fix(E.originalEvent||E);n.type=o.sapEventName;if(n.isMarked("firstUIArea")){n.setMark("handledByUIArea",false);}var t=[{identifier:1,pageX:n.pageX,pageY:n.pageY,clientX:n.clientX,clientY:n.clientY,screenX:n.screenX,screenY:n.screenY,target:n.target,radiusX:1,radiusY:1,rotationAngle:0}];switch(o.eventName){case"touchstart":case"touchmove":n.touches=n.changedTouches=n.targetTouches=t;break;case"touchend":n.changedTouches=t;n.touches=n.targetTouches=[];break;}if(o.eventName==="touchstart"||d.data("__touch_in_progress")){d.data("__touch_in_progress","X");var f=q.fn.control?q(E.target).control(0):null;if(f){d.data("__touchstart_control",f.getId());}if(E.type==="mouseout"){n.setMarked("fromMouseout");}if(E.type!=="dragstart"){o.eventHandle.handler.call(o.domRef,n);}if((o.eventName==="touchend"||E.type==="dragstart")&&!n.isMarked("fromMouseout")){d.removeData("__touch_in_progress");d.removeData("__touchstart_control");}}};e._initTouchEventSimulation=function(){this._createSimulatedEvent("touchstart",["mousedown"],this._handleMouseToTouchEvent);this._createSimulatedEvent("touchend",["mouseup","mouseout"],this._handleMouseToTouchEvent);this._createSimulatedEvent("touchmove",["mousemove","dragstart"],this._handleMouseToTouchEvent);};e._initContextMenuSimulation=function(){var s=function(E,o){var n=q.event.fix(E.originalEvent||E);n.type=o.sapEventName;if(!window.getSelection||!window.getSelection()||window.getSelection().toString()===""){o.eventHandle.handler.call(o.domRef,n);}};this._createSimulatedEvent("contextmenu",["taphold"],s);};e._initMouseEventSimulation=function(b){var f=false,m=q.vmouse.moveDistanceThreshold,s,S,o,O,l;var a=function(E,g,M){var n=q.event.fix(E.originalEvent||E);n.type=g.sapEventName;delete n.touches;delete n.changedTouches;delete n.targetTouches;n.screenX=M.screenX;n.screenY=M.screenY;n.clientX=M.clientX;n.clientY=M.clientY;n.ctrlKey=M.ctrlKey;n.altKey=M.altKey;n.shiftKey=M.shiftKey;n.button=0;return n;};var t=function(E,g){if(E.isMarked("handledByTouchToMouse")){return;}E.setMarked("handledByTouchToMouse");if(!f){var h=E.originalEvent.touches[0];f=(Math.abs(h.pageX-s)>m||Math.abs(h.pageY-S)>m);}if(b){if(l&&E.timeStamp-l<50){return;}l=E.timeStamp;}var n=a(E,g,E.touches[0]);setTimeout(function(){n.setMark("handledByUIArea",false);g.eventHandle.handler.call(g.domRef,n);},0);};var d=function(E,g){if(E.isMarked("handledByTouchToMouse")){return;}E.setMarked("handledByTouchToMouse");var n,N,h;function i(){return a(E,g,g.eventName==="mouseup"?E.changedTouches[0]:E.touches[0]);}if(E.type==="touchstart"){var j=E.originalEvent.touches[0];f=false;l=0;s=j.pageX;S=j.pageY;o=Math.round(j.pageX-q(E.target).offset().left);O=Math.round(j.pageY-q(E.target).offset().top);n=i();setTimeout(function(){n.setMark("handledByUIArea",false);g.eventHandle.handler.call(g.domRef,n);},0);}else if(E.type==="touchend"){N=i();h=!f;setTimeout(function(){N.setMark("handledByUIArea",false);g.eventHandle.handler.call(g.domRef,N);if(h){N.type="click";N.getPseudoTypes=q.Event.prototype.getPseudoTypes;N.setMark("handledByUIArea",false);N.offsetX=o;N.offsetY=O;g.eventHandle.handler.call(g.domRef,N);}},0);}};this._createSimulatedEvent("mousedown",["touchstart"],d);this._createSimulatedEvent("mousemove",["touchmove"],t);this._createSimulatedEvent("mouseup",["touchend","touchcancel"],d);};e._init=function(E){this.aAdditionalControlEvents.push("swipe","tap","swipeleft","swiperight","scrollstart","scrollstop");this.aAdditionalPseudoEvents.push({sName:"swipebegin",aTypes:["swipeleft","swiperight"],fnCheck:function(o){var r=sap.ui.getCore().getConfiguration().getRTL();return(r&&o.type==="swiperight")||(!r&&o.type==="swipeleft");}});this.aAdditionalPseudoEvents.push({sName:"swipeend",aTypes:["swipeleft","swiperight"],fnCheck:function(o){var r=sap.ui.getCore().getConfiguration().getRTL();return(!r&&o.type==="swiperight")||(r&&o.type==="swipeleft");}});if(V(q.fn.jquery).compareTo("1.9.1")<0){E=E.concat(this.aAdditionalControlEvents);}else{E=this.aAdditionalControlEvents.concat(E);}for(var i=0;i<this.aAdditionalPseudoEvents.length;i++){P.addEvent(this.aAdditionalPseudoEvents[i]);}return E;};if(D.browser.webkit&&/Mobile/.test(navigator.userAgent)&&D.support.touch){T.init(window.document);e.disableTouchToMouseHandling=T.disableTouchToMouseHandling;}if(!e.disableTouchToMouseHandling){e.disableTouchToMouseHandling=q.noop;}if(D.support.touch){C.events.push("touchstart","touchend","touchmove","touchcancel");}(function initTouchEventSupport(){e.touchEventMode="SIM";if(D.support.touch){e.touchEventMode="ON";q.event.props.push("touches","targetTouches","changedTouches");}var E=!(D.os.windows_phone&&D.os.version<10);if(E){e._initTouchEventSimulation();}if(D.os.ios){e._initContextMenuSimulation();}if(D.support.touch&&E){e.disableTouchToMouseHandling();e._initMouseEventSimulation(D.os.blackberry);}C.events=e._init(C.events);}());return e;});
