/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/fl/LrepConnector","sap/ui/fl/Utils","sap/ui/fl/variants/util/VariantUtil","sap/base/strings/formatMessage","sap/base/Log","sap/ui/thirdparty/jquery","sap/base/util/LoaderExtensions"],function(L,U,V,f,a,q,b){"use strict";var C=function(){};C._isOn=true;C._entries={};C._switches={};C._oFlexDataPromise=undefined;C.getSwitches=function(){return C._switches;};C.isActive=function(){return C._isOn;};C.setActive=function(A){C._isOn=A;};C.getFlexDataPromise=function(){return C._oFlexDataPromise;};C.getEntries=function(){return C._entries;};C.clearEntries=function(){C._entries={};};C.getEntry=function(c,A){if(!C._entries[c]){C._entries[c]={};}if(!C._entries[c][A]){C._entries[c][A]={file:{changes:{changes:[],contexts:[],variantSection:{},ui2personalization:{}}}};}return C._entries[c][A];};C.clearEntry=function(c,A){C.getEntry(c,A);C._entries[c][A]={};};C._deleteEntry=function(c,A){if(C._entries[c]&&C._entries[c][A]){delete C._entries[c][A];}if(q.isEmptyObject(C._entries[c])){delete C._entries[c];}};C.getChangesFillingCache=function(l,c,p,i){var s=c.name;var A=c.appVersion||U.DEFAULT_APP_VERSION;var o=C.getEntry(s,A);if(o.promise&&!i){return o.promise;}var d=C._getChangesFromBundle(p);if(p&&p.cacheKey==="<NO CHANGES>"){var e=d.then(function(h){o.file={changes:{changes:h,contexts:[],variantSection:{},ui2personalization:{}},componentClassName:s};return o.file;});o.promise=e;return e;}var F=l.loadChanges(c,p);var g=F.then(function(r){return r;},function(E){var m="";if(E.messages&&E.messages.length!=0&&E.messages[0].text){m=E.messages[0].text;}var h=f("Loading changes for {0} failed!\nError code: {1}\nMessage: {2}",c.name,E.code,m);a.error(h);return Promise.resolve({changes:{changes:[],contexts:[],variantSection:{},ui2personalization:{}}});});var e=Promise.all([d,g]).then(function(v){var h=v[0];var m=v[1];if(m&&m.changes){if(m.changes.settings&&m.changes.settings.switchedOnBusinessFunctions){m.changes.settings.switchedOnBusinessFunctions.forEach(function(k){C._switches[k]=true;});}var j=h.concat(m.changes.changes);m.changes.changes=C._removeDuplicates(j);}o.file=m;return o.file;},function(h){C._deleteEntry(s,A);throw h;});o.promise=e;C._oFlexDataPromise=F;return e;};C._getChangesFromBundle=function(p){var c=p&&p.appName;if(!c){return Promise.resolve([]);}var r=p.appName.replace(/\./g,"/")+"/changes/changes-bundle.json";var d=!!sap.ui.loader._.getModuleState(r);if(d){return Promise.resolve(b.loadResource(r));}else{var o=sap.ui.getCore().getConfiguration();if(o.getDebug()||o.isFlexBundleRequestForced()){try{return Promise.resolve(b.loadResource(r));}catch(e){a.warning("flexibility did not find a changesBundle.json  for the application");}}return Promise.resolve([]);}};C._removeDuplicates=function(c){var d=[];c=c.filter(function(o){var F=o.fileName;var e=d.indexOf(F)!==-1;if(e){return false;}d.push(F);return true;});return c;};C.NOTAG="<NoTag>";C._concatControlVariantIdWithCacheKey=function(c,s){if(!s){return c;}return c===C.NOTAG?c.replace(/>$/,''.concat('-',s,'>')):c.concat('-',s);};C.getCacheKey=function(c,A){if(!c||!c.name||!c.appVersion||!A){a.warning("Not all parameters were passed to determine a flexibility cache key.");return Promise.resolve(C.NOTAG);}return this.getChangesFillingCache(L.createConnector(),c).then(function(w){if(w&&w.etag){return w.etag;}else{return C.NOTAG;}}).then(function(s){var v=A.getModel("$FlexVariants");var d=v?v.getCurrentControlVariantIds():[];return C._concatControlVariantIdWithCacheKey(s,d.join("-"));});};C._getChangeArray=function(c){var s=c.name;var A=c.appVersion||U.DEFAULT_APP_VERSION;var e=C.getEntry(s,A);return e.file.changes.changes;};C.addChange=function(c,o){var d=C._getChangeArray(c);if(!d){return;}d.push(o);};C.updateChange=function(c,o){var d=C._getChangeArray(c);if(!d){return;}for(var i=0;i<d.length;i++){if(d[i].fileName===o.fileName){d.splice(i,1,o);break;}}};C.deleteChange=function(c,o){var d=C._getChangeArray(c);if(!d){return;}for(var i=0;i<d.length;i++){if(d[i].fileName===o.fileName){d.splice(i,1);break;}}};C.getPersonalization=function(r,A,c,i){var m={name:r,appVersion:A};return this.getChangesFillingCache(L.createConnector(),m).then(function(R){if(!R||!R.changes||!R.changes.ui2personalization||!R.changes.ui2personalization[c]){return i?undefined:[];}if(!i){return R.changes.ui2personalization[c]||[];}return R.changes.ui2personalization[c].filter(function(e){return e.itemName===i;})[0];});};C.setPersonalization=function(p){if(!p||!p.reference||!p.containerKey||!p.itemName||!p.content){return Promise.reject("not all mandatory properties were provided for the storage of the personalization");}return L.createConnector().send("/sap/bc/lrep/ui2personalization/","PUT",p,{}).then(this._addPersonalizationToEntries.bind(this,p));};C._addPersonalizationToEntries=function(p){Object.keys(this._entries[p.reference]).forEach(function(v){var e=this._entries[p.reference][v];var P=e.file.changes.ui2personalization;if(!P[p.containerKey]){P[p.containerKey]=[];}P[p.containerKey].push(p);}.bind(this));};C.deletePersonalization=function(r,c,i){if(!r||!c||!i){return Promise.reject("not all mandatory properties were provided for the storage of the personalization");}var u="/sap/bc/lrep/ui2personalization/?reference=";u+=r+"&containerkey="+c+"&itemname="+i;return L.createConnector().send(u,"DELETE",{}).then(this._removePersonalizationFromEntries.bind(this,r,c,i));};C._removePersonalizationFromEntries=function(r,c,i){var d=[];Object.keys(this._entries[r]).forEach(function(A){var g=this.getPersonalization(r,A,c);var G=this.getPersonalization(r,A,c,i);var D=Promise.all([g,G]).then(function(p){var I=p[0];var t=p[1];var n=I.indexOf(t);I.splice(n,1);});d.push(D);}.bind(this));return Promise.all(d);};return C;},true);
