/*
 * ! UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/fl/Utils","sap/ui/fl/registry/ChangeRegistry","sap/ui/fl/FlexControllerFactory","sap/ui/core/util/reflection/JsControlTreeModifier","sap/ui/core/Element","sap/ui/base/ManagedObject","sap/ui/fl/variants/VariantManagement","sap/ui/core/Component","sap/ui/thirdparty/jquery"],function(U,C,F,J,E,M,V,a,q){"use strict";var b="sap-ui-fl-control-variant-id";var c={_determineParameters:function(o){var A=U.getAppComponentForControl(o);var f=F.createForControl(A);var r=A.getRootControl();var v=U.getViewForControl(o);var d=A.getModel("$FlexVariants");var p={rootControl:r,view:v,variantModel:d,variantManagement:{},flexController:f};var e;var g;q.makeArray(p.rootControl.$().find(".sapUiFlVarMngmt")).map(function(h){e=sap.ui.getCore().byId(h.id);if(e.getMetadata().getName()==="sap.ui.fl.variants.VariantManagement"){g=e.getFor();g.forEach(function(s){p.variantManagement[s]=p.variantModel._getLocalId(h.id,A);});}});return p;},_getVariantManagement:function(o,p){p=p||this._determineParameters(o);var f=function(o){if(!p.variantManagement[o.getId()]&&o.getParent()&&o.getId()!==p.rootControl.getId()){return f(o.getParent());}else if(!o.getParent()||o.getId()===p.rootControl.getId()){return p.variantManagement[o.getId()]||"";}else{return p.variantManagement[o.getId()];}};return f(o);},clearVariantParameterInURL:function(o){var u=[];var A=U.getAppComponentForControl(o);var v=A instanceof a?A.getModel("$FlexVariants"):undefined;if(!v){U.setTechnicalURLParameterValues(undefined,b,u);return U.log.warning("Variant model could not be found on the provided control");}if(o instanceof V){var s=v._getLocalId(o.getId(),A);var m=v.getVariantIndexInURL(s);if(m.index>-1){m.parameters[b].splice(m.index,1);u=m.parameters[b].slice(0);}}v.updateHasherEntry({parameters:u,updateURL:true,component:A});},activateVariant:function(e,v){var o;return Promise.resolve().then(function(){if(typeof e==='string'||e instanceof String){o=a.get(e);if(!(o instanceof a)){o=sap.ui.getCore().byId(e);if(!(o instanceof E)){throw new Error("No valid component or control found for the provided ID");}}}else if(e instanceof a||e instanceof E){o=e;}var A=U.getAppComponentForControl(o);if(!A){throw new Error("A valid variant management control or component (instance or ID) should be passed as parameter");}var d=A.getModel("$FlexVariants");if(!d){throw new Error("No variant management model found for the passed control or application component");}var s=d.getVariantManagementReference(v).variantManagementReference;if(!s){throw new Error("A valid control or component, and a valid variant/ID combination are required");}return d.updateCurrentVariant(s,v,A);})["catch"](function(d){U.log.error(d);return Promise.reject(d);});},_checkChangeSpecificData:function(o,l){if(!o.changeSpecificData){return"No changeSpecificData available";}if(!o.changeSpecificData.changeType){return"No valid changeType";}if(!(o.selectorControl instanceof E)){return"No valid selectorControl";}var s=o.selectorControl.getMetadata().getName();var d=C.getInstance().getChangeHandler(o.changeSpecificData.changeType,s,o.selectorControl,J,l);if(!d){return"No valid ChangeHandler";}if(!d.revertChange){return"ChangeHandler has no revertChange function";}},addPersonalizationChanges:function(p){var s=[];var l=U.getCurrentLayer(true);var P=[];p.controlChanges.forEach(function(o){var m={};Object.assign(m,{developerMode:false,layer:l});var d=this._checkChangeSpecificData(o,l);if(d){P.push(function(){return Promise.reject({change:o,message:d});});return;}var e=this._determineParameters(o.selectorControl);if(!p.ignoreVariantManagement){if(!o.changeSpecificData.variantReference){var v=this._getVariantManagement(o.selectorControl,e);if(v){var f=e.variantModel.oData[v].currentVariant;o.changeSpecificData.variantReference=f;}}}else{delete o.changeSpecificData.variantReference;}P.push(function(){return e.flexController.createAndApplyChange(Object.assign(m,o.changeSpecificData),o.selectorControl).then(function(A){s.push(A);});});}.bind(this));return U.execPromiseQueueSequentially(P).then(function(){return s;});},saveChanges:function(d,m){if(!(m instanceof M)){U.log.error("A valid sap.ui.base.ManagedObject instance is required as a parameter");return;}return F.createForControl(m)._oChangePersistence.saveSequenceOfDirtyChanges(d);},hasVariantManagement:function(o){return!!this._getVariantManagement(o);}};return c;},true);
