/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/fl/Change","sap/ui/fl/DefaultVariant","sap/ui/fl/StandardVariant","sap/ui/fl/Utils","sap/ui/fl/ChangePersistenceFactory"],function(C,d,s,U,a){"use strict";var P=function(c,S){this._oControl=c;this._sStableIdPropertyName=S||'id';this._sStableId=this._getStableId();this._sComponentName=U.getComponentClassName(c);if(!this._sComponentName){U.log.error("The Control does not belong to an SAPUI5 component. Variants and Changes for this control might not work as expected.");}this._oAppDescriptor=U.getAppDescriptor(c);this._sSiteId=U.getSiteId(c);this._oChangePersistence=a.getChangePersistenceForControl(this._oControl);this._oChanges={};};P.prototype._getStableId=function(){if(!this._oControl){return undefined;}if((this._sStableIdPropertyName)&&(this._sStableIdPropertyName!=='id')){var S;try{S=this._oControl.getProperty(this._sStableIdPropertyName);}catch(e){S="";}return S;}if(typeof this._oControl.getId!=='function'){return undefined;}return this._oControl.getId();};P.prototype.getChanges=function(){var p={appDescriptor:this._oAppDescriptor,siteId:this._sSiteId,includeVariants:true};if(!jQuery.isEmptyObject(this._oChanges)){return Promise.resolve(this._oChanges);}return this._oChangePersistence.getChangesForVariant(this._sStableIdPropertyName,this._sStableId,p).then(function(c){this._oChanges=c;return this._oChanges;}.bind(this));};P.prototype.getChange=function(c){if(!c){U.log.error("sap.ui.fl.Persistence.getChange : sChangeId is not defined");return undefined;}return this._oChanges[c];};P.prototype.addChange=function(p){return this._oChangePersistence.addChangeForVariant(this._sStableIdPropertyName,this._sStableId,p);};P.prototype.getExecuteOnSelect=function(){return this.getChanges().then(function(c){return s.getExecuteOnSelect(c);});};P.prototype.getExecuteOnSelectSync=function(){return s.getExecuteOnSelect(this._oChanges);};P.prototype.setExecuteOnSelectSync=function(e){var p,c;var b={};b[this._sStableIdPropertyName]=this._sStableId;p={executeOnSelect:e,reference:this._sComponentName,selector:b};c=s.updateExecuteOnSelect(this._oChanges,e);if(c){return c;}c=s.createChangeObject(p);var f=c.getId();this._oChanges[f]=c;return c;};P.prototype.getDefaultVariantId=function(){return this.getChanges().then(function(c){return d.getDefaultVariantId(c);});};P.prototype.getDefaultVariantIdSync=function(){return d.getDefaultVariantId(this._oChanges);};P.prototype.setDefaultVariantIdSync=function(D){var p,c;var b={};b[this._sStableIdPropertyName]=this._sStableId;p={defaultVariantId:D,reference:this._sComponentName,selector:b,validAppVersions:{creation:this._oChangePersistence._mComponent.appVersion,from:this._oChangePersistence._mComponent.appVersion}};c=d.updateDefaultVariantId(this._oChanges,D);if(c){return c;}c=d.createChangeObject(p);var e=c.getId();this._oChanges[e]=c;return c;};P.prototype.saveAll=function(){return this._oChangePersistence.saveAllChangesForVariant(this._sStableId);};P.prototype.isVariantDownport=function(){var l,i;l=U.getCurrentLayer();i=U.isHotfixMode();return((l==='VENDOR')&&(i));};return P;},true);
