/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/Control","./library","sap/ui/core/ResizeHandler","./AlignedFlowLayoutRenderer","sap/ui/dom/units/Rem"],function(C,l,R,A,a){"use strict";var b=C.extend("sap.ui.layout.AlignedFlowLayout",{metadata:{library:"sap.ui.layout",properties:{minItemWidth:{type:"sap.ui.core.AbsoluteCSSSize",defaultValue:"12rem"},maxItemWidth:{type:"sap.ui.core.AbsoluteCSSSize",defaultValue:"24rem"}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true},endContent:{type:"sap.ui.core.Control",multiple:true}}}});b.prototype.init=function(){this._iEndItemWidth=-1;this._sResizeListenerId=R.register(this,this.onResize.bind(this));};b.prototype.exit=function(){if(this._sResizeListenerId){R.deregister(this._sResizeListenerId);this._sResizeListenerId="";}};b.prototype._onRenderingOrThemeChanged=function(){var d=this.getDomRef(),e=this.getDomRef("endItem"),E=this.getContent().length&&d&&e;if(E){var L=window.getComputedStyle(d,null),i=L.getPropertyValue("padding-top"),m=e.style;if(sap.ui.getCore().getConfiguration().getRTL()){m.left=L.getPropertyValue("padding-left");}else{m.right=L.getPropertyValue("padding-right");}m.bottom=i;}this.reflow({domRef:d,endItemDomRef:e});if(E){d.lastElementChild.style.width=this._iEndItemWidth+"px";}};b.prototype.onAfterRendering=b.prototype._onRenderingOrThemeChanged;b.prototype.onThemeChanged=b.prototype._onRenderingOrThemeChanged;b.prototype.onResize=function(e,d,E){if(e&&(e.size.width===e.oldSize.width)){return;}this.reflow({domRef:d,endItemDomRef:E});};b.prototype.reflow=function(s){if(this.getContent().length===0){return;}s=s||{};var d=s.domRef||this.getDomRef();if(!d||!d.offsetParent){return;}var c=this.getRenderer().CSS_CLASS+"OneLine",e=true;var E=s.endItemDomRef||this.getDomRef("endItem"),L=this.getLastItemDomRef();if(E&&L){var m=d.lastElementChild.style;m.height="";m.display="";d.classList.remove(c);var i=E.offsetHeight,f=E.offsetWidth,g=L.offsetLeft,h;if(sap.ui.getCore().getConfiguration().getRTL()){h=g;}else{var r=g+L.offsetWidth;h=d.offsetWidth-r;}this._iEndItemWidth=f;e=h>=f;if(e){if(this.checkItemsWrapping(d)){if(E.offsetTop<L.offsetTop){m.height=i+"px";m.display="block";}else{m.height="0";m.display="";}}else{if(E.offsetTop<L.offsetTop){m.height=i+"px";}m.display="block";}}else{m.height=i+"px";m.display="block";}}if(!this.checkItemsWrapping(d)&&e){d.classList.add(c);}else{d.classList.remove(c);}};b.prototype.checkItemsWrapping=function(d){d=d||this.getDomRef();if(!d){return false;}var f=d.firstElementChild,L=this.getLastItemDomRef();if(!f||!L){return false;}var F=f.offsetTop,i=L.offsetTop,c=f.offsetHeight;if(i>=(F+c)){return true;}L=this.getDomRef("endItem");return!!L&&(i>=(F+c));};b.prototype.getLastItemDomRef=function(){var c=this.getContent(),i=c.length;if(i){var o=c[i-1],d=o.getDomRef();if(d){return d.parentElement;}}return null;};b.prototype.getLastVisibleDomRef=function(){return this.getDomRef("endItem")||this.getLastItemDomRef();};b.prototype.getNumberOfSpacers=function(){var c=this.getContent().length;if(c===0){return 0;}var s=c,m=this.getMinItemWidth(),M;if(m.lastIndexOf("rem")!==-1){M=a.toPx(m);}else if(m.lastIndexOf("px")!==-1){M=parseFloat(m);}if(M){var i=Math.max(document.documentElement.clientWidth,window.screen.width);s=Math.abs(i/M);}s=Math.min(s,c-2);s=Math.max(1,s);return Math.floor(s);};return b;});
