/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/Device","sap/ui/layout/library"],function(D,l){"use strict";var G=l.GridPosition;var a={};a.render=function(r,c){var I=/^([X][L](?:[0-9]|1[0-1]))? ?([L](?:[0-9]|1[0-1]))? ?([M](?:[0-9]|1[0-1]))? ?([S](?:[0-9]|1[0-1]))?$/i;var S=/^([X][L](?:[1-9]|1[0-2]))? ?([L](?:[1-9]|1[0-2]))? ?([M](?:[1-9]|1[0-2]))? ?([S](?:[1-9]|1[0-2]))?$/i;r.write("<div");r.writeControlData(c);r.addClass("sapUiRespGrid");var m=c._getCurrentMediaContainerRange(D.media.RANGESETS.SAP_STANDARD_EXTENDED).name;r.addClass("sapUiRespGridMedia-Std-"+m);var h=c.getHSpacing();if(h==0.5){h="05";}else if((h!==0)&&(h!==1)&&(h!==2)){h=1;}r.addClass("sapUiRespGridHSpace"+h);var v=c.getVSpacing();if(v==0.5){v="05";}else if((v!==0)&&(v!==1)&&(v!==2)){v=1;}r.addClass("sapUiRespGridVSpace"+v);var p=c.getPosition();if(p){p=p.toUpperCase();if(p===G.Center.toUpperCase()){r.addClass("sapUiRespGridPosCenter");}else if(p===G.Right.toUpperCase()){r.addClass("sapUiRespGridPosRight");}}r.writeClasses();var w=c.getWidth();if(w!=="100%"&&w!=="auto"&&w!=="inherit"){if(h==0){w="width: "+w;}else{w="width: -webkit-calc("+w+" - "+h+"rem); width: calc("+w+" - "+h+"rem); ";}r.writeAttribute("style",w);}var R=c._getAccessibleRole();var A;if(R){A={role:R};}r.writeAccessibilityState(c,A);r.write(">");var b=c.getContent();var d=c.getDefaultSpan();var e=["","XL3","L3","M6","S12"];var f=["","XL0","L0","M0","S0"];var g=S.exec(d);var k=c._getSpanXLChanged();var n=c._getIndentXLChanged();var s=c.getDefaultIndent();var o=I.exec(s);for(var i=0;i<b.length;i++){r.write("<div");var L=c._getLayoutDataForControl(b[i]);var C=false;if(!b[i].getVisible()){r.addClass("sapUiRespGridSpanInvisible");}if(L){var B=false;if(L.getLinebreak()===true){r.addClass("sapUiRespGridBreak");}else{if(L.getLinebreakXL()===true){B=true;r.addClass("sapUiRespGridBreakXL");}if(L.getLinebreakL()===true){if(!B&&!L._getLinebreakXLChanged()){r.addClass("sapUiRespGridBreakXL");}r.addClass("sapUiRespGridBreakL");}if(L.getLinebreakM()===true){r.addClass("sapUiRespGridBreakM");}if(L.getLinebreakS()===true){r.addClass("sapUiRespGridBreakS");}}var q;var t;var u=L.getSpan();if(!u||!u.lenght==0){q=g;}else{q=S.exec(u);if(/XL/gi.test(u)){C=true;}}if(q){for(var j=1;j<q.length;j++){var x=q[j];if(!x){x=g[j];if(!x){x=e[j];}}if(x.substr(0,1)==="L"){t=x.substr(1,2);}var y=L.getSpanXL();var z=L.getSpanL();var E=L.getSpanM();var F=L.getSpanS();x=x.toUpperCase();if((x.substr(0,2)==="XL")&&(y>0)&&(y<13)){r.addClass("sapUiRespGridSpanXL"+y);C=true;}else if((x.substr(0,1)==="L")&&(z>0)&&(z<13)){r.addClass("sapUiRespGridSpanL"+z);t=z;}else if((x.substr(0,1)==="M")&&(E>0)&&(E<13)){r.addClass("sapUiRespGridSpanM"+E);}else if((x.substr(0,1)==="S")&&(F>0)&&(F<13)){r.addClass("sapUiRespGridSpanS"+F);}else{if((x.substr(0,2)!=="XL")||k||C){r.addClass("sapUiRespGridSpan"+x);}}}if(!k&&!C){r.addClass("sapUiRespGridSpanXL"+t);}}var H;var J;var K=L.getIndent();if(!K||K.length==0){H=o;}else{H=I.exec(K);if(/XL/gi.test(K)){n=true;}}if(!H){H=o;if(!H){H=undefined;}}var M=L.getIndentXL();var N=L.getIndentL();var O=L.getIndentM();var P=L.getIndentS();if(H){for(var j=1;j<H.length;j++){var Q=H[j];if(!Q){if(o&&o[j]){Q=o[j];}else{Q=f[j];}}if(Q){Q=Q.toUpperCase();if(Q.substr(0,1)==="L"){J=Q.substr(1,2);}if((Q.substr(0,2)==="XL")&&(M>0)&&(M<12)){r.addClass("sapUiRespGridIndentXL"+M);n=true;}else if((Q.substr(0,1)==="L")&&(N>0)&&(N<12)){r.addClass("sapUiRespGridIndentL"+N);J=N;}else if((Q.substr(0,1)==="M")&&(O>0)&&(O<12)){r.addClass("sapUiRespGridIndentM"+O);}else if((Q.substr(0,1)==="S")&&(P>0)&&(P<12)){r.addClass("sapUiRespGridIndentS"+P);}else{if(!(/^(XL0)? ?(L0)? ?(M0)? ?(S0)?$/.exec(Q))){r.addClass("sapUiRespGridIndent"+Q);}}}}if(!n){if(J&&J>0){r.addClass("sapUiRespGridIndentXL"+J);}}}if(!L.getVisibleXL()){r.addClass("sapUiRespGridHiddenXL");}if(!L.getVisibleL()){r.addClass("sapUiRespGridHiddenL");}if(!L.getVisibleM()){r.addClass("sapUiRespGridHiddenM");}if(!L.getVisibleS()){r.addClass("sapUiRespGridHiddenS");}var T=L.getMoveBackwards();if(T&&T.length>0){var U=I.exec(T);if(U){for(var j=1;j<U.length;j++){var V=U[j];if(V){r.addClass("sapUiRespGridBwd"+V.toUpperCase());}}}}var W=L.getMoveForward();if(W&&W.length>0){var X=I.exec(W);if(X){for(var j=1;j<X.length;j++){var Y=X[j];if(Y){r.addClass("sapUiRespGridFwd"+Y.toUpperCase());}}}}if(L._sStylesInternal){r.addClass(L._sStylesInternal);}}if(!L){var x="";if(g){for(var j=1;j<g.length;j++){x=g[j];if(!x){if((j==1)&&(g[j+1])){x="X"+g[j+1];}else{x=e[j];}}r.addClass("sapUiRespGridSpan"+x.toUpperCase());}}else{for(var j=1;j<e.length;j++){x=e[j];r.addClass("sapUiRespGridSpan"+x.toUpperCase());}}var Q="";if(o){for(var j=1;j<o.length;j++){Q=o[j];if(!Q){if((j==1)&&(o[j+1])){Q="X"+o[j+1];}else{Q=f[j];}}if(((Q.substr(0,1)!=="X")&&(Q.substr(1,1)!=="0"))||((Q.substr(0,1)=="X")&&(Q.substr(2,1)!=="0"))){r.addClass("sapUiRespGridIndent"+Q.toUpperCase());}}}}r.writeClasses();r.write(">");r.renderControl(b[i]);r.write("</div>");}r.write("</div>");};return a;},true);
