/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/core/Control','sap/ui/layout/library','sap/ui/layout/ResponsiveFlowLayout','sap/ui/layout/ResponsiveFlowLayoutData','./Form','./FormContainer','./FormElement','./FormLayout','./ResponsiveLayoutRenderer'],function(C,l,R,a,F,b,c,d,e){"use strict";var f=d.extend("sap.ui.layout.form.ResponsiveLayout",{metadata:{library:"sap.ui.layout"}});var P=C.extend("sap.ui.layout.form.ResponsiveLayoutPanel",{metadata:{aggregations:{"content":{type:"sap.ui.layout.ResponsiveFlowLayout",multiple:false}},associations:{"container":{type:"sap.ui.layout.form.FormContainer",multiple:false},"layout":{type:"sap.ui.layout.form.ResponsiveLayout",multiple:false}}},getLayoutData:function(){var i=sap.ui.getCore().byId(this.getContainer());var L=sap.ui.getCore().byId(this.getLayout());var j;if(L&&i){j=L.getLayoutDataForElement(i,"sap.ui.layout.ResponsiveFlowLayoutData");}return j;},getCustomData:function(){var i=sap.ui.getCore().byId(this.getContainer());if(i){return i.getCustomData();}},refreshExpanded:function(){var i=sap.ui.getCore().byId(this.getContainer());if(i){if(i.getExpanded()){this.$().removeClass("sapUiRLContainerColl");}else{this.$().addClass("sapUiRLContainerColl");}}},renderer:function(i,j){var t=sap.ui.getCore().byId(j.getContainer());var L=sap.ui.getCore().byId(j.getLayout());var u=j.getContent();if(!t||!L){return;}var E=t.getExpandable();var T=t.getTooltip_AsString();var v=t.getToolbar();var w=t.getTitle();i.write("<div");i.writeControlData(j);i.addClass("sapUiRLContainer");if(E&&!t.getExpanded()){i.addClass("sapUiRLContainerColl");}if(v){i.addClass("sapUiFormContainerToolbar");}else if(w){i.addClass("sapUiFormContainerTitle");}if(T){i.writeAttributeEscaped('title',T);}i.writeClasses();L.getRenderer().writeAccessibilityStateContainer(i,t);i.write(">");L.getRenderer().renderHeader(i,v,w,t._oExpandButton,E,false,t.getId());if(u){i.write("<div");i.addClass("sapUiRLContainerCont");i.writeClasses();i.write(">");i.renderControl(u);i.write("</div>");}i.write("</div>");}});f.prototype.init=function(){this.mContainers={};this._defaultLayoutData=new a({margin:false});};f.prototype.exit=function(){for(var i in this.mContainers){q.call(this,i);}if(this._mainRFLayout){this._mainRFLayout.destroy();delete this._mainRFLayout;}this._defaultLayoutData.destroy();delete this._defaultLayoutData;};f.prototype.onBeforeRendering=function(E){var i=this.getParent();if(!i||!(i instanceof F)){return;}i._bNoInvalidate=true;_.call(this,i);s.call(this,i);i._bNoInvalidate=false;};f.prototype.toggleContainerExpanded=function(i){var j=i.getId();if(this.mContainers[j]&&this.mContainers[j][0]){var t=this.mContainers[j][0];t.refreshExpanded();}};f.prototype.onLayoutDataChange=function(E){var S=E.srcControl;var i;var j;var t;if(S instanceof b){if(this._mainRFLayout){this._mainRFLayout.onLayoutDataChange(E);}}else if(S instanceof c){j=S.getParent().getId();if(this.mContainers[j]&&this.mContainers[j][1]){this.mContainers[j][1].onLayoutDataChange(E);}}else{var u=S.getParent();if(u instanceof c){i=u.getParent();j=i.getId();t=u.getId();if(this.mContainers[j]&&this.mContainers[j][2]&&this.mContainers[j][2][t]){if(this.mContainers[j][2][t][1]){var v=u.getFields();o.call(this,this.mContainers[j][2][t][1],v);}this.mContainers[j][2][t][0].onLayoutDataChange(E);}}}};f.prototype.onsapup=function(E){this.onsapleft(E);};f.prototype.onsapdown=function(E){this.onsapright(E);};f.prototype.getContainerRenderedDomRef=function(i){if(this.getDomRef()){var j=i.getId();if(this.mContainers[j]){if(this.mContainers[j][0]){var t=this.mContainers[j][0];return t.getDomRef();}else if(this.mContainers[j][1]){var u=this.mContainers[j][1];return u.getDomRef();}}}return null;};f.prototype.getElementRenderedDomRef=function(E){if(this.getDomRef()){var i=E.getParent();var j=E.getId();var t=i.getId();if(this.mContainers[t]){if(this.mContainers[t][2]){var u=this.mContainers[t][2];if(u[j]){var v=u[j][0];return v.getDomRef();}}}}return null;};function _(j){var v=j.getVisibleFormContainers();var V=v.length;var t;var u;var w;var x;var i=0;for(i=0;i<V;i++){t=v[i];t._checkProperties();u=t.getId();w=undefined;x=undefined;if(this.mContainers[u]&&this.mContainers[u][1]){x=this.mContainers[u][1];}else{x=m.call(this,t,undefined);}var T=t.getTitle();var y=t.getToolbar();if(y||T||t.getExpandable()){if(this.mContainers[u]&&this.mContainers[u][0]){w=this.mContainers[u][0];}else{w=g.call(this,t,x);n(x,true);}x.removeStyleClass("sapUiRLContainer");}else{if(this.mContainers[u]&&this.mContainers[u][0]){h(this.mContainers[u][0]);n(x,false);}x.addStyleClass("sapUiRLContainer");}var z=k.call(this,t,x);this.mContainers[u]=[w,x,z];}var O=Object.keys(this.mContainers).length;if(V<O){for(u in this.mContainers){var A=false;for(i=0;i<V;i++){t=v[i];if(u==t.getId()){A=true;break;}}if(!A){q.call(this,u);}}}}function g(i,j){var t=i.getId();var u=new P(t+"--Panel",{container:i,layout:this,content:j});return u;}function h(i){i.setContent(null);i.setLayout(null);i.setContainer(null);i.destroy();}function k(j,t){var u=j.getId();var E=j.getVisibleFormElements();var v=E.length;var w={};if(this.mContainers[u]&&this.mContainers[u][2]){w=this.mContainers[u][2];}var x;var y;var L=-1;var z;var A;var i=0;for(i=0;i<v;i++){z=E[i];A=z.getId();r.call(this,j,z,w,t,i);if(w[A]){x=w[A][0];L=t.indexOfContent(x);if(L!=v){t.removeContent(x);t.insertContent(x,v);L=v;}}else{x=m.call(this,j,z);x.addStyleClass("sapUiRLElement");if(z.getLabel()){x.addStyleClass("sapUiRLElementWithLabel");}w[A]=[x,undefined];L++;t.insertContent(x,L);}var B=z.getFields();if(z.getLabel()&&B.length>1){if(w[A][1]){y=w[A][1];}else{y=m.call(this,j,z,true);y.addStyleClass("sapUiRLElementFields");w[A][1]=y;}o.call(this,y,B);}else{if(w[A][1]){y=w[A][1];p(y);w[A][1]=undefined;}}}var O=Object.keys(w).length;if(v<O){for(A in w){var D=false;for(i=0;i<v;i++){z=E[i];if(A==z.getId()){D=true;break;}}if(!D){if(w[A][1]){y=w[A][1];p(y);}x=w[A][0];t.removeContent(x);p(x);delete w[A];}}}return w;}function m(i,E,j){var I;if(E&&!j){I=E.getId()+"--RFLayout";}else if(E&&j){I=E.getId()+"--content--RFLayout";}else if(i){I=i.getId()+"--RFLayout";}else{return false;}var t=new R(I);t.__myParentLayout=this;t.__myParentContainerId=i.getId();if(E){t.__myParentElementId=E.getId();if(!j){t.getContent=function(){var E=sap.ui.getCore().byId(this.__myParentElementId);if(E){var u=[];var L=E.getLabelControl();var v=E.getFields();if(!L||v.length<=1){u=v;if(L){u.unshift(L);}}else{var w=this.__myParentLayout;var x=this.__myParentContainerId;var y=E.getId();if(L){u.push(L);}if(w.mContainers[x]&&w.mContainers[x][2]&&w.mContainers[x][2][y]&&w.mContainers[x][2][y][1]){u.push(w.mContainers[x][2][y][1]);}}return u;}else{return false;}};t._addContentClass=function(u,v){if(v==0){var E=sap.ui.getCore().byId(this.__myParentElementId);if(E){var L=E.getLabelControl();if(u==L){return"sapUiFormElementLbl";}}}return null;};}else{t.getContent=function(){var E=sap.ui.getCore().byId(this.__myParentElementId);if(E){return E.getFields();}else{return false;}};}}else if(i){t._getAccessibleRole=function(){var i=sap.ui.getCore().byId(this.__myParentContainerId);var L=this.__myParentLayout;if(L._mainRFLayout&&!i.getToolbar()&&!i.getTitle()&&!i.getExpandable()&&i.getAriaLabelledBy().length>0){return"form";}};t.getAriaLabelledBy=function(){var i=sap.ui.getCore().byId(this.__myParentContainerId);if(i&&!i.getToolbar()&&!i.getTitle()&&!i.getExpandable()){return i.getAriaLabelledBy();}return[];};}if((E&&!j)||(!E&&!i.getToolbar()&&!i.getTitle()&&!i.getExpandable())){n(t,false);}else{t.setLayoutData(new a({margin:false}));}return t;}function n(i,O){if(O){if(i.__originalGetLayoutData){i.getLayoutData=i.__originalGetLayoutData;delete i.__originalGetLayoutData;}}else if(!i.__originalGetLayoutData){i.__originalGetLayoutData=i.getLayoutData;i.getLayoutData=function(){var L=this.__myParentLayout;var j=sap.ui.getCore().byId(this.__myParentContainerId);var E=sap.ui.getCore().byId(this.__myParentElementId);var t;if(E){t=L.getLayoutDataForElement(E,"sap.ui.layout.ResponsiveFlowLayoutData");}else if(j){t=L.getLayoutDataForElement(j,"sap.ui.layout.ResponsiveFlowLayoutData");}if(t){return t;}else if(E){return L._defaultLayoutData;}};}}function o(j,t){var L;var w=0;for(var i=0;i<t.length;i++){var u=t[i];L=this.getLayoutDataForElement(u,"sap.ui.layout.ResponsiveFlowLayoutData");if(L){w=w+L.getWeight();}else{w++;}}L=j.getLayoutData();if(L){L.setWeight(w);}else{j.setLayoutData(new a({weight:w}));}}function p(i){if(i.__myParentContainerId){i.__myParentContainerId=undefined;}if(i.__myParentElementId){i.__myParentElementId=undefined;}i.__myParentLayout=undefined;i.destroy();}function q(i){var j=this.mContainers[i];var t;var E=j[2];if(E){for(var u in E){if(E[u][1]){p(E[u][1]);}t=E[u][0];p(t);delete E[u];}}t=j[1];if(t){t.removeAllContent();p(t);}var v=j[0];if(v){h(v);}delete this.mContainers[i];}function r(i,E,j,t,I){var u=E.getId();var v=u+"--RFLayout";var w=sap.ui.getCore().byId(v);if(!j[u]&&w){var O=w.__myParentContainerId;j[u]=this.mContainers[O][2][u];t.insertContent(w,I);w.__myParentContainerId=i.getId();if(j[u][1]){j[u][1].__myParentContainerId=i.getId();}delete this.mContainers[O][2][u];}}function s(t){var v=t.getVisibleFormContainers();var u;var L=v.length;var w=0;var i=0;var j=0;if(L>1){if(!this._mainRFLayout){this._mainRFLayout=new R(t.getId()+"--RFLayout").setParent(this);}else{var x=this._mainRFLayout.getContent();w=x.length;var E=false;for(i=0;i<w;i++){var y=x[i];u=undefined;if(y.getContainer){u=sap.ui.getCore().byId(y.getContainer());}else{u=sap.ui.getCore().byId(y.__myParentContainerId);}if(u&&u.isVisible()){var V=v[j];if(u!=V){E=true;break;}var z=this.mContainers[u.getId()];if(z[0]&&z[0]!=y){E=true;break;}if(!z[0]&&z[1]&&z[1]!=y){E=true;break;}j++;}else{this._mainRFLayout.removeContent(y);}}if(E){this._mainRFLayout.removeAllContent();w=0;}}if(w<L){var S=0;if(w>0){S=w--;}for(i=S;i<L;i++){u=v[i];var A=u.getId();if(this.mContainers[A]){if(this.mContainers[A][0]){this._mainRFLayout.addContent(this.mContainers[A][0]);}else if(this.mContainers[A][1]){this._mainRFLayout.addContent(this.mContainers[A][1]);}}}}}}return f;});
