/*
 * ! UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['../json/JSONModel','sap/ui/base/ManagedObject','./XMLNodeUtils','sap/ui/core/util/reflection/XmlTreeModifier'],function(J,M,U,X){"use strict";var a=J.extend("sap.ui.model.base.XMLNodeAttributesModel",{constructor:function(n,c,C){this.oCallback=c;this.oNode=n;this.sContext=C;this.getMetadata();J.apply(this,[n]);},evalMode:{simple:"",binding:"@binding",bindingStr:"@bindingStr",data:"@data",metaContext:"@metaContext"}});a.prototype.getMetadata=function(){if(!this.oMetadata){var n=this.oNode.namespaceURI,c=U.findControlClass(n,U.localName(this.oNode));this.oMetadata=c.getMetadata();this.mAggregations=this.oMetadata.getAllAggregations();this.mProperties=this.oMetadata.getAllProperties();this.mSpecialSettings=this.oMetadata._mAllSpecialSettings;this.mEvent=this.oMetadata.getAllEvents();}return this.oMetadata;};a.prototype.getVisitor=function(){return this.oCallback;};a.prototype.getProperty=function(p,c){p=p||"/";var r,C=p.length==0;var e=this.evalMode.simple;p=this.resolve(p,c);p=p.substring(1);var P=p.split("/");var d=P.indexOf("@data");var m=P.indexOf("@metaContext");if(d>-1){e=this.evalMode.data;P.splice(d,1);}else if(m>-1){var b=P.slice(0,m);var s=P.slice(m+1,P.length);var o=this._diveDeep(b,C,this.evalMode.metaContext);r=this._getAnnotation(s,o);return r;}else{var l=P[P.length-1];if(l.startsWith("@")){P.splice(-1,1);e=l;}}if(P[0]=="metadataContexts"){var f=this.oNode.getAttribute("metadataContexts");if(P.length==1){r=f;}else{var g=M.bindingParser(f);switch(P[1]){case"model":r=g.model;break;case"data":P.splice(1,1);r=this._diveDeep(P,C,this.evalMode.data);break;default:r=f;break;}}}else{r=this._diveDeep(P,C,e);}return r;};a.prototype.getAggregation=a.prototype.getProperty;a.prototype.getSpecialSetting=a.prototype.getProperty;a.prototype.getEvent=a.prototype.getProperty;a.prototype._diveDeep=function(p,c,e){var r=this._getTopProperty(p[0],e);if(p.length>1){p.shift();for(var i=0;i<p.length;i++){if(r){r=r[p[i]];}}}return r;};a.prototype._getTopProperty=function(p,e){var r=null;var P;if(p.length==0){return this.oNode;}if(this.mProperties.hasOwnProperty(p)){P=this.mProperties[p];if(e===this.evalMode.simple){e=this.evalMode.data;}if(!this.oNode.hasAttribute(p)){r=P.defaultValue;}else{r=this.oNode.getAttribute(p);}}else if(this.mAggregations.hasOwnProperty(p)){if(this.oNode.hasAttribute(p)){r=this.oNode.getAttribute(p);}else{r=X.getAggregation(this.oNode,p);}}else if(!this.mSpecialSettings.hasOwnProperty(p)&&!this.mEvents.hasOwnProperty(p)){r=null;}else{if(this.oNode.hasAttribute(p)){r=this.oNode.getAttribute(p);}}var b=M.bindingParser(r);switch(e){case this.evalMode.simple:break;case this.evalMode.binding:r=b;break;case this.evalMode.bindingStr:if(!b){r="";}break;case this.evalMode.metaContext:var m={};if(b){if(typeof b==="string"){b=M.bindingParser("{"+b+"}");}var o=this.oCallback.getSettings().models[b.model];if(o){m.metaModel=o.getMetaModel();if(m.metaModel&&m.metaModel.getMetaContext){m.metaContext=m.metaModel.getMetaContext(b.path);m.schema=m.metaModel.getProperty(m.metaContext.getPath());}}r=m;}return r;case this.evalMode.data:if(b){var R=null;try{R=this.oCallback.getResult(r);}catch(c){}if(R){r=R;}}break;}if(r){if(P){var s=U.parseScalarType(P.type,r,p);if(!(typeof s==="object"&&s.path)){r=s;}}}return r;};a.prototype._getObject=function(p,c,C){p=this.resolve(p,c);var i,o=this.getProperty(p,c);if(Array.isArray(o)){var l=o;var P=function(b){return function(){return p+"/"+b;};};for(i=0;i<l.length;i++){l[i].getPath=P(i);}return l;}return o;};a.prototype.getContextName=function(){return this.sContext;};a.prototype._getAnnotation=function(p,m){var A=m.schema;var i=0;while(A&&p[i]){A=A[p[i]];i++;}return A;};return a;});
