/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./_AnnotationHelperBasics","sap/base/Log","sap/ui/thirdparty/jquery"],function(_,L,q){"use strict";var b={"Bool":"false"},B={"Bool":"true"},d={"fiscalyear":"IsFiscalYear","fiscalyearperiod":"IsFiscalYearPeriod","year":"IsCalendarYear","yearmonth":"IsCalendarYearMonth","yearmonthday":"IsCalendarDate","yearquarter":"IsCalendarYearQuarter","yearweek":"IsCalendarYearWeek"},f={"interval":"SingleInterval","multi-value":"MultiValue","single-value":"SingleValue"},l="sap.ui.model.odata.ODataMetaModel",s={"bday":"Contact","city":"Contact/adr","country":"Contact/adr","email":"Contact/email","familyname":"Contact/n","givenname":"Contact/n","honorific":"Contact/n","middlename":"Contact/n","name":"Contact","nickname":"Contact","note":"Contact","org":"Contact","org-role":"Contact","org-unit":"Contact","photo":"Contact","pobox":"Contact/adr","region":"Contact/adr","street":"Contact/adr","suffix":"Contact/n","tel":"Contact/tel","title":"Contact","zip":"Contact/adr","class":"Event","dtend":"Event","dtstart":"Event","duration":"Event","fbtype":"Event","location":"Event","status":"Event","transp":"Event","wholeday":"Event","body":"Message","from":"Message","received":"Message","sender":"Message","subject":"Message","completed":"Task","due":"Task","percent-complete":"Task","priority":"Task"},r=/(\w+)(?:;type=([\w,]+))?/,v={"email":{typeMapping:{"home":"home","pref":"preferred","work":"work"},v4EnumType:"com.sap.vocabularies.Communication.v1.ContactInformationType",v4PropertyAnnotation:"com.sap.vocabularies.Communication.v1.IsEmailAddress"},"tel":{typeMapping:{"cell":"cell","fax":"fax","home":"home","pref":"preferred","video":"video","voice":"voice","work":"work"},v4EnumType:"com.sap.vocabularies.Communication.v1.PhoneType",v4PropertyAnnotation:"com.sap.vocabularies.Communication.v1.IsPhoneNumber"}},V={creatable:{"Org.OData.Capabilities.V1.InsertRestrictions":{"Insertable":b}},pageable:{"Org.OData.Capabilities.V1.SkipSupported":b,"Org.OData.Capabilities.V1.TopSupported":b},"requires-filter":{"Org.OData.Capabilities.V1.FilterRestrictions":{"RequiresFilter":B}},topable:{"Org.OData.Capabilities.V1.TopSupported":b}},m={"city":"locality","email":"address","familyname":"surname","givenname":"given","honorific":"prefix","middlename":"additional","name":"fn","org-role":"role","org-unit":"orgunit","percent-complete":"percentcomplete","tel":"uri","zip":"code"},a={"sap:filterable":["Org.OData.Capabilities.V1.FilterRestrictions","NonFilterableProperties"],"sap:required-in-filter":["Org.OData.Capabilities.V1.FilterRestrictions","RequiredProperties"],"sap:sortable":["Org.OData.Capabilities.V1.SortRestrictions","NonSortableProperties"]},c=/^com\.sap\.vocabularies\.Common\.v1\.ValueList(#.*)?$/,w=L.Level.WARNING,U;U={addEntitySetAnnotation:function(o,e,t,n,D){if(t==="EntitySet"&&e.value===n){if(D){q.extend(true,o,V[e.name]);}else{q.extend(o,V[e.name]);}}},addFilterRestriction:function(p,e){var F,g=f[p["sap:filter-restriction"]];if(!g){if(L.isLoggable(w,l)){L.warning("Unsupported sap:filter-restriction: "+p["sap:filter-restriction"],e.entityType+"."+p.name,l);}return;}F=e["com.sap.vocabularies.Common.v1.FilterExpressionRestrictions"]||[];F.push({"Property":{"PropertyPath":p.name},"AllowedExpressions":{"EnumMember":"com.sap.vocabularies.Common.v1.FilterExpressionType/"+g}});e["com.sap.vocabularies.Common.v1.FilterExpressionRestrictions"]=F;},addNavigationFilterRestriction:function(n,e){var N=e["Org.OData.Capabilities.V1.NavigationRestrictions"]||{};N.RestrictedProperties=N.RestrictedProperties||[];N.RestrictedProperties.push({"FilterRestrictions":{"Filterable":b},"NavigationProperty":{"NavigationPropertyPath":n.name}});e["Org.OData.Capabilities.V1.NavigationRestrictions"]=N;},addPropertyToAnnotation:function(e,E,p){var n=a[e],t=n[0],C=n[1],A=E[t]||{},g=A[C]||[];g.push({"PropertyPath":p.name});A[C]=g;E[t]=A;},addSapSemantics:function(t){if(t.property){t.property.forEach(function(p){var A,i,M,S,T,e=p["sap:semantics"],g,h,o,j,k;if(!e){return;}if(e==="url"){p["Org.OData.Core.V1.IsURL"]=B;return;}if(e in d){g="com.sap.vocabularies.Common.v1."+d[e];p[g]=B;return;}M=r.exec(e);if(!M){if(L.isLoggable(w,l)){L.warning("Unsupported sap:semantics: "+e,t.name+"."+p.name,l);}return;}if(M[2]){e=M[1];k=U.getV4TypesForV2Semantics(e,M[2],p,t);}j=v[e];i=e==="tel"||e==="email";h=s[e];if(h){A=h.split("/");g="com.sap.vocabularies.Communication.v1."+A[0];t[g]=t[g]||{};o=t[g];S=A[1];if(S){o[S]=o[S]||(i?[]:{});if(i){T={};o[S].push(T);o=T;}else{o=o[S];}}o[m[e]||e]={"Path":p.name};if(k){o.type={"EnumMember":k};}}if(j){p[j.v4PropertyAnnotation]=p[j.v4PropertyAnnotation]||B;}});}},addUnitAnnotations:function(S,M){function p(t){(t||[]).forEach(function(T){(T.property||[]).forEach(function(P){var A,e,o,u,g=P["sap:unit"],h;if(g){u={"Path":g};o=_.followPath({getModel:function(){return M;},getPath:function(){return T.$path;}},u);if(o&&o.resolvedPath){h=M.getProperty(o.resolvedPath);e=h["sap:semantics"];if(e==="unit-of-measure"){A="Org.OData.Measures.V1.Unit";}else if(e==="currency-code"){A="Org.OData.Measures.V1.ISOCurrency";}else if(L.isLoggable(w,l)){L.warning("Unsupported sap:semantics='"+e+"' at sap:unit='"+g+"'; "+"expected 'currency-code' or 'unit-of-measure'",T.namespace+"."+T.name+"/"+P.name,l);}if(A&&!(A in P)){P[A]=u;}}else if(L.isLoggable(w,l)){L.warning("Path '"+g+"' for sap:unit cannot be resolved",T.namespace+"."+T.name+"/"+P.name,l);}}});});}S.forEach(function(o){p(o.complexType);p(o.entityType);});},addV4Annotation:function(o,e,t){switch(e.name){case"aggregation-role":if(e.value==="dimension"){o["com.sap.vocabularies.Analytics.v1.Dimension"]=B;}else if(e.value==="measure"){o["com.sap.vocabularies.Analytics.v1.Measure"]=B;}break;case"display-format":if(e.value==="NonNegative"){o["com.sap.vocabularies.Common.v1.IsDigitSequence"]=B;}else if(e.value==="UpperCase"){o["com.sap.vocabularies.Common.v1.IsUpperCase"]=B;}break;case"pageable":case"topable":U.addEntitySetAnnotation(o,e,t,"false",false);break;case"creatable":U.addEntitySetAnnotation(o,e,t,"false",true);break;case"deletable":case"deletable-path":U.handleXableAndXablePath(o,e,t,"Org.OData.Capabilities.V1.DeleteRestrictions","Deletable");break;case"updatable":case"updatable-path":U.handleXableAndXablePath(o,e,t,"Org.OData.Capabilities.V1.UpdateRestrictions","Updatable");break;case"requires-filter":U.addEntitySetAnnotation(o,e,t,"true",true);break;case"field-control":o["com.sap.vocabularies.Common.v1.FieldControl"]={"Path":e.value};break;case"heading":o["com.sap.vocabularies.Common.v1.Heading"]={"String":e.value};break;case"label":o["com.sap.vocabularies.Common.v1.Label"]={"String":e.value};break;case"precision":o["Org.OData.Measures.V1.Scale"]={"Path":e.value};break;case"quickinfo":o["com.sap.vocabularies.Common.v1.QuickInfo"]={"String":e.value};break;case"text":o["com.sap.vocabularies.Common.v1.Text"]={"Path":e.value};break;case"visible":if(e.value==="false"){o["com.sap.vocabularies.Common.v1.FieldControl"]={"EnumMember":"com.sap.vocabularies.Common.v1.FieldControlType/Hidden"};o["com.sap.vocabularies.UI.v1.Hidden"]=B;}break;default:}},calculateEntitySetAnnotations:function(e,E){if(E.property){E.property.forEach(function(p){if(p["sap:filterable"]==="false"){U.addPropertyToAnnotation("sap:filterable",e,p);}if(p["sap:required-in-filter"]==="true"){U.addPropertyToAnnotation("sap:required-in-filter",e,p);}if(p["sap:sortable"]==="false"){U.addPropertyToAnnotation("sap:sortable",e,p);}if(p["sap:filter-restriction"]){U.addFilterRestriction(p,e);}});}if(E.navigationProperty){E.navigationProperty.forEach(function(n){if(n["sap:filterable"]==="false"){U.addNavigationFilterRestriction(n,e);U.addPropertyToAnnotation("sap:filterable",e,n);}U.handleCreatableNavigationProperty(e,n);});}},findIndex:function(A,e,p){var i,n;p=p||"name";if(A){for(i=0,n=A.length;i<n;i++){if(A[i][p]===e){return i;}}}return-1;},findObject:function(A,e,p){var i=U.findIndex(A,e,p);return i<0?null:A[i];},getChildAnnotations:function(A,Q,i){var o=i?A.EntityContainer:A.propertyAnnotations;return o&&o[Q]||{};},getFromContainer:function(e,A,n,g){var k,R=g?undefined:null;if(e){k=U.findIndex(e[A],n);if(k>=0){R=g?e.$path+"/"+A+"/"+k:e[A][k];}}return R;},getObject:function(M,A,Q,e){var g,R=e?undefined:null,S,i,n,N;Q=Q||"";i=Q.lastIndexOf(".");n=Q.slice(0,i);N=Q.slice(i+1);S=U.getSchema(M,n);if(S){g=S[A];if(g){g.forEach(function(t){if(t.name===N){R=e?t.$path:t;return false;}});}}return R;},getSchema:function(M,n){var S=null,e=Array.isArray(M)?M:M.getObject("/dataServices/schema");if(e){e.forEach(function(o){if(o.namespace===n){S=o;return false;}});}return S;},getV4TypesForV2Semantics:function(S,t,p,T){var R=[],o=v[S];if(o){t.split(",").forEach(function(e){var g=o.typeMapping[e];if(g){R.push(o.v4EnumType+"/"+g);}else if(L.isLoggable(w,l)){L.warning("Unsupported type for sap:semantics: "+e,T.name+"."+p.name,l);}});}return R.join(" ");},getValueLists:function(p){var M,n,Q,e={};for(n in p){M=c.exec(n);if(M){Q=(M[1]||"").slice(1);e[Q]=p[n];}}return e;},handleCreatableNavigationProperty:function(e,n){var C=n["sap:creatable"],g=n["sap:creatable-path"],i,N={"NavigationPropertyPath":n.name},h;if(C&&g){L.warning("Inconsistent service","Use either 'sap:creatable' or 'sap:creatable-path' at navigation property "+"'"+e.entityType+"/"+n.name+"'",l);C="false";g=undefined;}if(C==="false"||g){i=e["Org.OData.Capabilities.V1.InsertRestrictions"]=e["Org.OData.Capabilities.V1.InsertRestrictions"]||{};h=i["NonInsertableNavigationProperties"]=i["NonInsertableNavigationProperties"]||[];if(g){N={"If":[{"Not":{"Path":g}},N]};}h.push(N);}},handleXableAndXablePath:function(o,e,t,T,p){var g=p.toLowerCase(),h;if(t!=="EntitySet"){return;}if(o["sap:"+g]&&o["sap:"+g+"-path"]){L.warning("Inconsistent service","Use either 'sap:"+g+"' or 'sap:"+g+"-path'"+" at entity set '"+o.name+"'",l);h=b;}else if(g!==e.name){h={"Path":e.value};}else if(e.value==="false"){h=b;}if(h){o[T]=o[T]||{};o[T][p]=h;}},liftSAPData:function(o,t){if(!o.extensions){return;}o.extensions.forEach(function(e){if(e.namespace==="http://www.sap.com/Protocols/SAPData"){o["sap:"+e.name]=e.value;U.addV4Annotation(o,e,t);}});switch(t){case"Property":if(o["sap:updatable"]==="false"){if(o["sap:creatable"]==="false"){o["Org.OData.Core.V1.Computed"]=B;}else{o["Org.OData.Core.V1.Immutable"]=B;}}break;case"EntitySet":if(o["sap:searchable"]!=="true"){o["Org.OData.Capabilities.V1.SearchRestrictions"]={"Searchable":b};}break;default:}},merge:function(A,D,M){var S=D.dataServices.schema;if(!S){return;}S.forEach(function(o,i){var e;delete o.annotations;U.liftSAPData(o);o.$path="/dataServices/schema/"+i;e=o["sap:schema-version"];if(e){o["Org.Odata.Core.V1.SchemaVersion"]={String:e};}q.extend(o,A[o.namespace]);U.visitParents(o,A,"association",function(g,C){U.visitChildren(g.end,C);});U.visitParents(o,A,"complexType",function(C,g){U.visitChildren(C.property,g,"Property");U.addSapSemantics(C);});U.visitParents(o,A,"entityType",U.visitEntityType);U.visitParents(o,A,"entityContainer",function(E,C){U.visitChildren(E.associationSet,C);U.visitChildren(E.entitySet,C,"EntitySet",S);U.visitChildren(E.functionImport,C,"",null,U.visitParameters.bind(this,A,o,E));});});U.addUnitAnnotations(S,M);},visitChildren:function(C,e,t,S,g,i){if(!C){return;}if(i){C=C.slice(i);}C.forEach(function(o){U.liftSAPData(o,t);});C.forEach(function(o){var E;if(t==="EntitySet"){E=U.getObject(S,"entityType",o.entityType);U.calculateEntitySetAnnotations(o,E);}if(g){g(o);}q.extend(o,e[o.name||o.role]);});},visitEntityType:function(e,C){U.visitChildren(e.property,C,"Property");U.visitChildren(e.navigationProperty,C);U.addSapSemantics(e);},visitParameters:function(A,S,e,F){var g;if(!F.parameter){return;}g=U.getChildAnnotations(A,S.namespace+"."+e.name,true);F.parameter.forEach(function(p){U.liftSAPData(p);q.extend(p,g[F.name+"/"+p.name]);});},visitParents:function(S,A,e,C,i){var p=S[e];function g(P,j){var Q=S.namespace+"."+P.name,h=U.getChildAnnotations(A,Q,e==="entityContainer");U.liftSAPData(P);P.namespace=S.namespace;P.$path=S.$path+"/"+e+"/"+j;C(P,h);q.extend(P,A[Q]);}if(!p){return;}if(i!==undefined){g(p[i],i);}else{p.forEach(g);}}};return U;},false);
