/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./lib/_Helper","sap/base/Log","sap/ui/base/SyncPromise","sap/ui/model/Context"],function(_,L,S,B){"use strict";function f(o,p,e,b){var E,P=[o.fetchValue(p,null,b)],r=o.getPath(p);if(e){P.push(o.oModel.getMetaModel().fetchUI5Type(r));}return S.all(P).then(function(R){var t=R[1],v=R[0];if(v&&typeof v==="object"){E=new Error("Accessed value is not primitive: "+r);E.isNotPrimitive=true;throw E;}return e?t.formatValue(v,"string"):v;});}var C=B.extend("sap.ui.model.odata.v4.Context",{constructor:function(m,b,p,i,o){B.call(this,m,p);this.oBinding=b;this.oCreatePromise=o&&Promise.resolve(o).then(function(){});this.oSyncCreatePromise=o&&S.resolve(o);this.iIndex=i;}}),c="sap.ui.model.odata.v4.Context";C.prototype._delete=function(g){var t=this;if(this.isTransient()){return this.oBinding._delete(g,"n/a",this);}return this.fetchCanonicalPath().then(function(s){return t.oBinding._delete(g,s.slice(1),t);});};C.prototype.checkUpdate=function(){this.oModel.getDependentBindings(this).forEach(function(d){d.checkUpdate();});};C.prototype.created=function(){return this.oCreatePromise;};C.prototype.delete=function(g){var G,t=this;this.oBinding.checkSuspended();this.oModel.checkGroupId(g);G=this.oModel.lockGroup(g,true,this);return this._delete(G).catch(function(e){G.unlock(true);t.oModel.reportError("Failed to delete "+t,c,e);throw e;});};C.prototype.destroy=function(){this.oModel.getDependentBindings(this).forEach(function(d){d.setContext(undefined);});this.oBinding=undefined;this.oModel=undefined;B.prototype.destroy.apply(this);};C.prototype.fetchCanonicalPath=function(){return this.oModel.getMetaModel().fetchCanonicalPath(this);};C.prototype.fetchValue=function(p,l,b){if(this.iIndex===-2){return S.resolve();}return this.oBinding.fetchValue(p&&p[0]==="/"?p:_.buildPath(this.sPath,p),l,b);};C.prototype.getBinding=function(){return this.oBinding;};C.prototype.getCanonicalPath=_.createGetMethod("fetchCanonicalPath",true);C.prototype.getGroupId=function(){return this.oBinding.getGroupId();};C.prototype.getIndex=function(){if(this.oBinding.aContexts&&this.oBinding.aContexts[-1]){return this.iIndex+1;}return this.iIndex;};C.prototype.getObject=function(p){return _.publicClone(this.getValue(p));};C.prototype.getProperty=function(p,e){var E,s;this.oBinding.checkSuspended();s=f(this,p,e,true);if(s.isRejected()){s.caught();E=s.getResult();if(E.isNotPrimitive){throw E;}else if(!E.$cached){L.warning(E.message,p,c);}}return s.isFulfilled()?s.getResult():undefined;};C.prototype.getQueryOptionsForPath=function(p){return this.oBinding.getQueryOptionsForPath(p);};C.prototype.getUpdateGroupId=function(){return this.oBinding.getUpdateGroupId();};C.prototype.getValue=function(p){var s,t=this;this.oBinding.checkSuspended();s=this.fetchValue(p,null,true).catch(function(e){if(!e.$cached){t.oModel.reportError("Unexpected error",c,e);}});if(s.isFulfilled()){return s.getResult();}};C.prototype.hasPendingChanges=function(){return this.oModel.getDependentBindings(this).some(function(d){return d.hasPendingChanges();});};C.prototype.isTransient=function(){return this.oSyncCreatePromise&&this.oSyncCreatePromise.isPending();};C.prototype.patch=function(d){return this.withCache(function(o,p){o.patch(p,d);},"");};C.prototype.refresh=function(g,a){if(!this.oBinding.refreshSingle){throw new Error("Refresh is only supported for contexts of a list binding");}this.oModel.checkGroupId(g);this.oBinding.refreshSingle(this,this.oModel.lockGroup(g,true,this),a);};C.prototype.requestCanonicalPath=_.createRequestMethod("fetchCanonicalPath");C.prototype.requestObject=function(p){this.oBinding.checkSuspended();return Promise.resolve(this.fetchValue(p)).then(_.publicClone);};C.prototype.requestProperty=function(p,e){this.oBinding.checkSuspended();return Promise.resolve(f(this,p,e));};C.prototype.setIndex=function(i){this.iIndex=i;};C.prototype.toString=function(){var i="";if(this.iIndex!==undefined){i="["+this.iIndex+(this.isTransient()?"|transient":"")+"]";}return this.sPath+i;};C.prototype.withCache=function(p,P){if(this.iIndex===-2){return S.resolve();}return this.oBinding.withCache(p,P[0]==="/"?P:_.buildPath(this.sPath,P));};return{create:function(m,b,p,i,o){if(p[0]!=="/"){throw new Error("Not an absolute path: "+p);}if(p.slice(-1)==="/"){throw new Error("Unsupported trailing slash: "+p);}return new C(m,b,p,i,o);}};},false);
