/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./ODataBinding","./lib/_Cache","sap/base/Log","sap/ui/base/SyncPromise","sap/ui/model/ChangeReason","sap/ui/model/PropertyBinding"],function(a,_,L,S,C,P){"use strict";var c="sap.ui.model.odata.v4.ODataPropertyBinding",d=S.resolve({}),s={AggregatedDataStateChange:true,change:true,dataReceived:true,dataRequested:true,DataStateChange:true};var O=P.extend("sap.ui.model.odata.v4.ODataPropertyBinding",{constructor:function(m,p,o,b){P.call(this,m,p);a.call(this);if(p.slice(-1)==="/"){throw new Error("Invalid path: "+p);}if(b){this.checkBindingParameters(b,["$$groupId"]);this.sGroupId=b.$$groupId;}else{this.sGroupId=undefined;}this.oCheckUpdateCallToken=undefined;this.mQueryOptions=this.oModel.buildQueryOptions(b,false);this.oCachePromise=S.resolve();this.fetchCache(o);this.oContext=o;this.bHasDeclaredType=undefined;this.bInitial=true;this.sPathWithFetchTypeError=undefined;this.vValue=undefined;m.bindingCreated(this);},metadata:{publicMethods:[]}});a(O.prototype);O.prototype.attachEvent=function(e){if(!(e in s)){throw new Error("Unsupported event '"+e+"': v4.ODataPropertyBinding#attachEvent");}return P.prototype.attachEvent.apply(this,arguments);};O.prototype.checkUpdate=function(f,b,g,v){var D=false,r=this.oModel.resolve(this.sPath,this.oContext),o={forceUpdate:r&&(f||this.oCheckUpdateCallToken&&this.oCheckUpdateCallToken.forceUpdate)},p={data:{}},t=this.oType,e=this;this.oCheckUpdateCallToken=o;if(this.bHasDeclaredType===undefined){this.bHasDeclaredType=!!t;}if(arguments.length<4){v=Promise.resolve(this.oCachePromise.then(function(h){if(h){return h.fetchValue(e.lockGroup(g||e.getGroupId()),undefined,function(){D=true;e.fireDataRequested();},e);}if(!e.oContext){return undefined;}if(e.oContext.getIndex()===-2){o.forceUpdate=false;}return e.oContext.fetchValue(e.sPath,e);}).then(function(v){if(!v||typeof v!=="object"||(e.sInternalType==="any"&&e.sPath[e.sPath.lastIndexOf("/")+1]==="#")){return v;}L.error("Accessed value is not primitive",r,c);},function(E){e.oModel.reportError("Failed to read path "+r,c,E);if(E.canceled){o.forceUpdate=false;return e.vValue;}p={error:E};}));if(r&&!this.bHasDeclaredType&&this.sInternalType!=="any"){t=this.oModel.getMetaModel().fetchUI5Type(r);}}return S.all([v,t]).then(function(R){var T=R[1],v=R[0];if(o===e.oCheckUpdateCallToken){e.oCheckUpdateCallToken=undefined;e.setType(T,e.sInternalType);if(o.forceUpdate||e.vValue!==v){e.bInitial=false;e.vValue=v;e._fireChange({reason:b||C.Change});}e.checkDataState();}if(D){e.fireDataReceived(p);}});};O.prototype.deregisterChange=function(){var t=this;this.withCache(function(o,p){o.deregisterChange(p,t);}).catch(function(e){t.oModel.reportError("Error in deregisterChange",c,e);});};O.prototype.destroy=function(){this.deregisterChange();this.oModel.bindingDestroyed(this);this.oCachePromise=undefined;this.oContext=undefined;this.mQueryOptions=undefined;this.vValue=undefined;P.prototype.destroy.apply(this,arguments);};O.prototype.doCreateCache=function(r,q){return _.createProperty(this.oModel.oRequestor,r,q);};O.prototype.doFetchQueryOptions=function(){return d;};O.prototype.getUnitOrCurrencyPath=function(){var m=this.oModel.getMetaModel(),r=this.oModel.resolve(this.sPath,this.oContext),A=m.getObject("@",m.getMetaContext(r)),M=A&&(A["@Org.OData.Measures.V1.Unit"]||A["@Org.OData.Measures.V1.ISOCurrency"]);return M&&M.$Path;};O.prototype.getValue=function(){return this.vValue;};O.prototype.getValueListType=function(){var r=this.getModel().resolve(this.sPath,this.oContext);if(!r){throw new Error(this+" is not resolved yet");}return this.getModel().getMetaModel().getValueListType(r);};O.prototype.onChange=function(v){this.checkUpdate(undefined,undefined,undefined,v);};O.prototype.refreshInternal=function(g,b){this.fetchCache(this.oContext);if(b){this.checkUpdate(true,C.Refresh,g);}};O.prototype.requestValueListInfo=function(){var r=this.getModel().resolve(this.sPath,this.oContext);if(!r){throw new Error(this+" is not resolved yet");}return this.getModel().getMetaModel().requestValueListInfo(r);};O.prototype.requestValueListType=function(){var r=this.getModel().resolve(this.sPath,this.oContext);if(!r){throw new Error(this+" is not resolved yet");}return this.getModel().getMetaModel().requestValueListType(r);};O.prototype.resetInvalidDataState=function(){if(this.getDataState().isControlDirty()){this._fireChange({reason:C.Change});}};O.prototype.resume=function(){throw new Error("Unsupported operation: resume");};O.prototype.resumeInternal=function(b){this.fetchCache(this.oContext);if(b){this.checkUpdate();}};O.prototype.setContext=function(o){if(this.oContext!==o){if(this.bRelative){this.deregisterChange();}this.oContext=o;if(this.bRelative){this.fetchCache(this.oContext);this.checkUpdate(false,C.Context);}}};O.prototype.setType=function(t){var o=this.oType;if(t&&t.getName()==="sap.ui.model.odata.type.DateTimeOffset"){t.setV4();}P.prototype.setType.apply(this,arguments);if(!this.bInitial&&o!==t){this._fireChange({reason:C.Change});}};O.prototype.setValue=function(v,g){var G,t=this;function r(e){t.oModel.reportError("Failed to update path "+t.oModel.resolve(t.sPath,t.oContext),c,e);return e;}this.checkSuspended();this.oModel.checkGroupId(g);if(typeof v==="function"||(v&&typeof v==="object")){throw r(new Error("Not a primitive value"));}if(this.vValue===undefined){throw r(new Error("Must not change a property before it has been read"));}if(this.vValue!==v){G=t.lockGroup(g,true);this.oCachePromise.then(function(o){if(o){r(new Error("Cannot set value on this binding"));}else{return t.oModel.getMetaModel().fetchUpdateData(t.sPath,t.oContext).then(function(R){return t.withCache(function(o,b,B){var f=false;function e(E){r(E);if(f){B.firePatchCompleted(false);f=false;}}function p(){f=true;B.firePatchSent();}G.setGroupId(B.getUpdateGroupId());return o.update(G,R.propertyPath,v,e,R.editUrl,b,t.getUnitOrCurrencyPath(),B.isPatchWithoutSideEffects(),p).then(function(){if(f){B.firePatchCompleted(true);}});},R.entityPath);});}}).catch(function(e){G.unlock(true);r(e);});}};O.prototype.suspend=function(){throw new Error("Unsupported operation: suspend");};return O;});
