/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./_AggregationHelper","./_Cache","./_Helper","./_Parser","sap/base/Log","sap/ui/base/SyncPromise","sap/ui/thirdparty/jquery"],function(_,a,b,c,L,S,q){"use strict";var r=/,|%2C|%2c/,d=new RegExp("^"+c.sODataIdentifier+"(?:"+c.sWhitespace+"+(?:asc|desc))?$"),e=new RegExp(c.sWhitespace+"+");function f(R,s,A,Q){var m={},F,g,M;a.call(this,R,s,Q,true);this.oAggregation=A;if(_.hasMinOrMax(A.aggregate)){if(A.groupLevels.length){throw new Error("Unsupported group levels together with min/max");}this.oMeasureRangePromise=new Promise(function(h,i){M=h;});g=_.buildApply(A,Q,m);this.oFirstLevel=a.create(R,s,g,true);this.oFirstLevel.getResourcePath=f.getResourcePath.bind(this.oFirstLevel,A,Q);this.oFirstLevel.handleResponse=f.handleResponse.bind(this.oFirstLevel,null,m,M,this.oFirstLevel.handleResponse);}else if(A.groupLevels.length){if(Q.$count){throw new Error("Unsupported system query option: $count");}if(Q.$filter){throw new Error("Unsupported system query option: $filter");}F=f.filterAggregationForFirstLevel(A);g=q.extend({},Q,{$orderby:f.filterOrderby(Q.$orderby,F)});delete g.$count;g=_.buildApply(F,g);g.$count=true;this.oFirstLevel=a.create(R,s,g,true);this.oFirstLevel.calculateKeyPredicate=f.calculateKeyPredicate.bind(null,F,this.oFirstLevel.aElements.$byPredicate);}else{this.oFirstLevel=a.create(R,s,Q,true);this.oFirstLevel.getResourcePath=f.getResourcePath.bind(this.oFirstLevel,A,Q);this.oFirstLevel.handleResponse=f.handleResponse.bind(this.oFirstLevel,A,null,null,this.oFirstLevel.handleResponse);}}f.prototype=Object.create(a.prototype);f.prototype.fetchValue=function(g,p,D,l){var t=this;if(p==="$count"){if(!this.mQueryOptions.$count){L.error("Failed to drill-down into $count, invalid segment: $count",this.toString(),"sap.ui.model.odata.v4.lib._Cache");return S.resolve();}if(!this.oMeasureRangePromise){return this.oFirstLevel.fetchValue(g,p).then(function(){return t.oFirstLevel.iLeafCount;});}}return this.oFirstLevel.fetchValue(g,p,D,l);};f.prototype.getMeasureRangePromise=function(){return this.oMeasureRangePromise;};f.prototype.read=function(i,l,p,g,D){var R=this.oFirstLevel.read(i,l,p,g,D);if(!this.oMeasureRangePromise){return R.then(function(o){o.value.forEach(function(E){E["@$ui5.node.isExpanded"]=false;E["@$ui5.node.isTotal"]=true;E["@$ui5.node.level"]=1;});return o;});}return R;};f.prototype.toString=function(){return this.oRequestor.getServiceUrl()+this.sResourcePath+this.oRequestor.buildQueryString(this.sMetaPath,_.buildApply(this.oAggregation,this.mQueryOptions),false,true);};f.calculateKeyPredicate=function(A,B,g,t,m){var F=A.groupLevels[0],l=b.formatLiteral(g[F],t[m][F].$Type),p="("+encodeURIComponent(F)+"="+encodeURIComponent(l)+")";function s(o){return JSON.stringify(b.publicClone(o));}if(p in B){throw new Error("Multi-unit situation detected: "+s(g)+" vs. "+s(B[p]));}b.setPrivateAnnotation(g,"predicate",p);};f.create=function(R,s,A,Q){return new f(R,s,A,Q);};f.filterAggregationForFirstLevel=function(A){function g(t,k){t[k]=this[k];return t;}function h(m,F){return Object.keys(m).filter(F).reduce(g.bind(m),{});}function i(s){return A.aggregate[s].subtotals;}function j(G){return A.groupLevels.indexOf(G)>=0;}return{aggregate:h(A.aggregate,i),group:h(A.group,j),groupLevels:A.groupLevels};};f.filterOrderby=function(o,A){if(o){return o.split(r).filter(function(O){var n;if(d.test(O)){n=O.split(e)[0];return n in A.aggregate||n in A.group||A.groupLevels.indexOf(n)>=0;}return true;}).join(",");}};f.getResourcePath=function(A,Q,s,E){Q=q.extend({},Q,{$skip:s,$top:E-s});Q=_.buildApply(A,Q,null,this.bFollowUp);this.bFollowUp=true;return this.sResourcePath+this.oRequestor.buildQueryString(this.sMetaPath,Q,false,true);};f.handleResponse=function(A,m,M,h,s,E,R,t){var g,i={},o;function j(k){i[k]=i[k]||{};return i[k];}if(m){o=R.value.shift();R["@odata.count"]=o.UI5__count;for(g in m){j(m[g].measure)[m[g].method]=o[g];}M(i);this.handleResponse=h;}else{o=R.value[0];if("UI5__count"in o){this.iLeafCount=parseInt(o.UI5__count,10);R["@odata.count"]=this.iLeafCount+1;if(s>0){R.value.shift();}}if(s===0){Object.keys(o).forEach(function(k){if(k.startsWith("UI5grand__")){o[k.slice(10)]=o[k];}});Object.keys(A.aggregate).forEach(function(k){o[k]=o[k]||null;});Object.keys(A.group).forEach(function(G){o[G]=null;});}}h.call(this,s,E,R,t);};return f;},false);
