/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define('sap/ui/qunit/QUnitUtils',['jquery.sap.global','sap/base/util/ObjectPath','sap/ui/Device','sap/ui/base/DataType','sap/ui/events/KeyCodes',"sap/base/strings/camelize","sap/base/strings/capitalize","sap/base/util/UriParameters","sap/base/Log","sap/ui/dom/jquery/control"],function(q,O,D,f,K,g,h,U,L){"use strict";if(typeof QUnit!=='undefined'){var k=!(parseFloat(QUnit.version)>=2.0);var p=new U(window.location.href);if(k){QUnit.equals=window.equals=window.equal;}var t=p.get("sap-ui-qunittimeout");if(t!=null||!("testTimeout"in QUnit.config)){if(!t||isNaN(t)){t="30000";}QUnit.config.testTimeout=parseInt(t,10);}if(k){QUnit.config.reorder=false;}if(window["sap-ui-qunit-coverage"]!=="client"&&/x|true/i.test(p.get("coverage-report"))){QUnit.done(function(a,b){if(window._$blanket){var c=window.QUnit;window.QUnit=undefined;sap.ui.requireSync("sap/ui/thirdparty/blanket");window.QUnit=c;window.blanket.report({});}});}}q.now=function(){return Date.now();};if(D.browser.phantomJS){var $=q.fn.is;q.fn.is=function(s){if(s===":focus"){return this.get(0)===document.activeElement;}return $.apply(this,arguments);};var u=Date,w=u.parse;Date=function(d){if(arguments.length===1&&typeof d==='string'){return new u(Date.parse(d));}var a=Array.prototype.slice.call(arguments);a.unshift(window);if(this instanceof u){return new(Function.prototype.bind.apply(u,a));}else{return u.apply(window,a);}};var y=function(d){var M=w.apply(Date,arguments);if(d&&typeof d==="string"){var m=/^(\d{4})(?:-(\d+)?-(\d+))(?:[T ](\d+):(\d+)(?::(\d+)(?:\.(\d+))?)?)?(?:Z(-?\d*))?$/.exec(d);if(m&&parseInt(m[1],10)>=2034){M+=24*60*60*1000;}}return M;};Object.defineProperties(Date,{"parse":{value:y,enumerable:false},"toString":{value:function(){return u.toString.call(this);},enumerable:false},"now":{value:u.now,enumerable:false},"UTC":{value:u.UTC,enumerable:false},"prototype":{value:u.prototype,enumerable:false}});}var Q={};Q.delayTestStart=function(d){QUnit.config.autostart=false;if(d){window.setTimeout(function(){QUnit.start();},d);}else{q(function(){QUnit.start();});}};var z=q.noop;try{new q.Event({type:"mousedown"}).preventDefault();}catch(e){z=function(o){if(o){o.preventDefault=o.preventDefault||q.noop;o.stopPropagation=o.stopPropagation||q.noop;o.stopImmediatePropagation=o.stopImmediatePropagation||q.noop;}};var A=q.Event;q.Event=function(s,a){var b=new A(s,a);z(b.originalEvent);return b;};q.Event.prototype=A.prototype;}function B(s,T,P){var o=q.Event({type:s});if(T!=null){o.target=T;}if(P){for(var x in P){o[x]=P[x];if(x==='originalEvent'){z(o[x]);}else{o.originalEvent[x]=P[x];}}}return o;}Q.triggerEvent=function(s,T,P){if(typeof(T)=="string"){T=T?document.getElementById(T):null;}var o=B(s,null,P);q(T).trigger(o);};Q.triggerTouchEvent=function(s,T,P,a){if(typeof(T)=="string"){T=T?document.getElementById(T):null;}var o=B(s,T,P),b=q(T).control(0),c=(a==null?'on':a)+s;if(b&&b[c]){b[c].call(b,o);}};function C(s){if(!s){return undefined;}if(!isNaN(s)){var a=Object.keys(K).filter(function(b){return K[b]===s;});if(a.length===1){s=a[0];}}if(s.toLowerCase().startsWith("numpad_")){return"NUMPAD";}}function E(s){if(!isNaN(s)){s=F(s);}if(!s){return undefined;}s=s.toLowerCase();s=g(s.replace(/_/g,"-"));var a=h(s);if(a.startsWith("Digit")){return a.substring("Digit".length);}else if(a.startsWith("Numpad")){a=a.substring("Numpad".length);}switch(a){case"Break":return"Pause";case"Space":return" ";case"Print":return"PrintScreen";case"Windows":return"Meta";case"Sleep":return"Standby";case"TurnOff":return"PowerOff";case"Asterisk":return"*";case"Plus":return"+";case"Minus":return"-";case"Comma":return",";case"Slash":return"/";case"OpenBracket":return";";case"Dot":return".";case"Pipe":return"|";case"Semicolon":return";";case"Equals":return"=";case"SingleQUote":return"=";case"Backslash":return"\\";case"GreatAccent":return"`";default:return a;}}function F(i){for(var s in K){if(K.hasOwnProperty(s)){if(K[s]===i){return s;}}}}Q.triggerKeyEvent=function(s,T,a,S,b,c){var P={};var d=!isNaN(a);P.keyCode=d?a:K[a];if(d){a=F(a);}P.key=E(a);P.location=C(a);P.which=P.keyCode;P.shiftKey=S;P.altKey=b;P.metaKey=c;P.ctrlKey=c;Q.triggerEvent(s,T,P);};Q.triggerKeydown=function(T,s,S,a,c){Q.triggerKeyEvent("keydown",T,s,S,a,c);};Q.triggerKeyup=function(T,s,S,a,c){Q.triggerKeyEvent("keyup",T,s,S,a,c);};Q.triggerKeyboardEvent=function(T,s,S,a,c){Q.triggerKeydown(T,s,S,a,c);};Q.triggerKeypress=function(T,c,s,a,b){var _=c&&c.toUpperCase();if(K[_]===null){QUnit.ok(false,"Invalid character for triggerKeypress: '"+c+"'");}var d=c.charCodeAt(0);var P={};P.charCode=d;P.which=d;P.key=E(_);P.location=C(_);P.shiftKey=!!s;P.altKey=!!a;P.metaKey=!!b;P.ctrlKey=!!b;Q.triggerEvent("keypress",T,P);};Q.triggerCharacterInput=function(i,c,v){Q.triggerKeypress(i,c);if(typeof(i)=="string"){i=i?document.getElementById(i):null;}var I=q(i);if(typeof v!=="undefined"){I.val(v);}else{I.val(I.val()+c);}};Q.triggerMouseEvent=function(T,s,o,i,P,a,b){var c={};c.offsetX=o;c.offsetY=i;c.pageX=P;c.pageY=a;c.button=b;Q.triggerEvent(s,T,c);};var G={'normal':400,'bold':700};q.fn.extend({_sapTest_dataEvents:function(){var a=this[0];return a?q._data(a,"events"):null;},_sapTest_cssFontWeight:function(){var v=this.css("font-weight");return v?G[v]||v:v;}});(function(){function m(a){L.info(a);}var M={"boolean":[false,true],"int":[0,1,5,10,100],"float":[NaN,0.0,0.01,3.14,97.7],"string":["","some","very long otherwise not normal and so on whatever","<"+"script>alert('XSS attack!');</"+"script>"]};var v=Object.create(M);function x(o){return o&&!(o instanceof Array)?[o]:o;}Q.resetDefaultTestValues=function(T){if(typeof T==="string"){delete v[T];}else{v=Object.create(M);}};Q.setDefaultTestValues=function(T,V){if(typeof T==="string"){v[T]=x(V);}else if(typeof T==="object"){q.extend(v,T);}};Q.createSettingsDomain=function(c,P){function a(T){if(v[T]){return v[T];}try{q.sap.require(T);}catch(e){}var i=O.get(T);if(!(i instanceof f)){var r=[];for(var n in i){r.push(i[n]);}v[T]=r;return r;}return[];}var c=new c().getMetadata().getClass();var P=P||{};var b={};var o=c.getMetadata().getAllProperties();for(var d in o){b[d]=x(P[d])||a(o[d].type);}return b;};Q.genericTest=function(c,a,T){if(T&&T.skip===true){return;}var c=new c().getMetadata().getClass();var T=T||{};var o=Q.createSettingsDomain(c,T.allPairTestValues||{});m("domain");for(var n in o){var l=o[n].length;var s=[];s.push("  ",n,":","[");for(var i=0;i<l;i++){s.push(o[n][i],",");}s.push("]");m(s.join(""));}function b(r,R){return r+R.substring(0,1).toUpperCase()+R.substring(1);}function d(j,S){var r={};for(var R in S){if(j[b("get",R)]){r[R]=j[b("get",R)]();}}return r;}var j;var S;var H=new Q.AllPairsGenerator(o);var I=[];while(H.hasNext()){I.push(H.next());}var J=0;function N(){m("testNextCombination("+J+")");if(J>=I.length){m("last combination -> done");QUnit.start();return;}j=new c(S);var r=d(j,S);QUnit.deepEqual(r,S,"settings");j.placeAt(a);m("before explicit rerender");j.getUIArea().rerender();m("after explicit rerender");m("info");setTimeout(P,0);}QUnit.stop(15000);N();function P(){m("continueAfterRendering("+J+")");var R=I[I.length-J-1];for(var V in R){var r=j[b("set",V)](R[V]);QUnit.equal(j[b("get",V)](),R[V],"setter for property '"+V+"'");QUnit.ok(r==j,"setter for property '"+V+"' supports chaining (after rendering)");}J=J+1;setTimeout(N,0);}};Q.suppressErrors=function(s){if(s!==false){m("suppress global errors");}else{m("reenable global errors");}};Q.RandomPairsGenerator=function(d){var i=0;for(var n in d){if(d[n]&&!(d[n]instanceof Array)){d[n]=[d[n]];}if(d[n]&&d[n].length>0){if(i==0){i=d[n].length;}else{i=i*d[n].length;}}}function a(b){var s={};for(var j in d){var l=d[j]&&d[j].length;if(l==1){s[j]=d[j][0];}else if(l>1){var c=b%l;s[j]=d[j][c];b=(b-c)/l;}}return s;}this.hasNext=function(){return true;};this.next=function(){return a(Math.floor(100*i*Math.random()));};};Q.AllPairsGenerator=function(o){var l=[];for(var n in o){l.push({name:n,n:o[n].length,values:o[n]});}var N=l.length;var r=[];var s=[];var H=0;for(var a=0;a<N-1;a++){var I=l[a];for(var b=a+1;b<N;b++){var J=l[b];s[a*N+b]=H;for(var i=I.n*J.n;i>0;i--){r[H++]=0;}}}function P(a,b,c,d){return s[a*N+b]+c*l[b].n+d;}function R(){var V=[];function W(a,Z){var a1={va:Z,pairs:0,redundant:0};for(var c=0;c<N;c++){var b1;if(c<a){b1=r[P(c,a,V[c],Z)];}else if(c>a){var j=P(a,c,Z,0),c1=j+l[c].n;for(b1=r[j];b1>0&&i<c1;j++){if(r[j]<b1){b1=r[j];}}}a1.redundant=a1.redundant+b1;if(b1==0){a1.pairs++;}}return a1;}for(var d=0;d<N;d++){var X=l[d];var Y=W(d,0);for(var Z=1;Z<X.n;Z++){var _=W(d,Z);if(_.pairs>Y.pairs||(_.pairs==Y.pairs&&_.redundant<Y.redundant)){Y=_;}}V[d]=Y.va;}return V;}this.hasNext=function(){return H>0;};var S;var T=-1;this.next=function(){S=R();T=0;var c={};for(var a=0;a<N;a++){for(var b=a+1;b<N;b++){var i=P(a,b,S[a],S[b]);if(r[i]==0){H--;T++;}r[i]++;}c[l[a].name]=l[a].values[S[a]];}return c;};this.lastPairs=function(){return T;};};}());O.set("sap.ui.test.qunit",Q);window.qutils=Q;return Q;},true);
