/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/core/Core',"sap/base/util/ObjectPath","sap/base/Log"],function(C,O,L){"use strict";var a={};a._aControlsThatCannotBeRenderedGenerically=["sap.ui.comp.smartform.Group","sap.ui.comp.smartform.GroupElement","sap.ui.core.UIComponent","sap.ui.core.mvc.HTMLView","sap.ui.core.mvc.JSONView","sap.ui.core.mvc.JSView","sap.ui.core.mvc.XMLView","sap.ui.core.mvc.TemplateView","sap.ui.core.mvc.View","sap.ui.core.tmpl.Template","sap.m.FacetFilterItem","sap.m.LightBox","sap.m.Menu","sap.m.NotificationListItem","sap.m.NotificationListBase","sap.m.internal.NumericInput","sap.m.QuickViewBase","sap.m.QuickViewGroup","sap.m.QuickViewGroupElement","sap.m.TabStripItem","sap.m.TimePickerSlider","sap.m.TimePickerSliders","sap.m.UploadCollectionToolbarPlaceholder","sap.m.Wizard","sap.tnt.NavigationList","sap.ui.demokit.IndexLayout._Tile","sap.ui.layout.BlockLayoutRow","sap.ui.richtexteditor.RichTextEditor","sap.ui.richtexteditor.ToolbarWrapper","sap.ui.suite.TaskCircle","sap.ui.table.ColumnMenu","sap.ui.unified.Menu","sap.ui.ux3.ActionBar","sap.ui.ux3.ExactList.LB","sap.ui.ux3.NotificationBar","sap.ui.rta.ContextMenu","sap.ui.rta.AddElementsDialog","sap.ui.comp.valuehelpdialog.ValueHelpDialog","sap.chart.Chart","sap.makit.Chart","sap.me.TabContainer","sap.suite.ui.microchart.InteractiveBarChart","sap.suite.ui.microchart.InteractiveDonutChart","sap.uxap.AnchorBar","sap.uxap.BlockBase","sap.uxap.BreadCrumbs","sap.uxap.ObjectPageHeader","sap.uxap.ObjectPageSubSection","sap.uiext.inbox.SubstitutionRulesManager","sap.uiext.inbox.composite.InboxTaskTitleControl","sap.uiext.inbox.InboxFormattedTextView","sap.uiext.inbox.InboxToggleTextView","sap.uiext.inbox.InboxTaskDetails","sap.viz.ui5.controls.common.BaseControl","sap.viz.ui5.controls.VizRangeSlider","sap.viz.ui5.core.BaseChart","sap.viz.ui5.controls.VizTooltip"];a.controlCanBeRendered=function(e){if(!a.controlCanBeInstantiated(e)){return false;}if(a._aControlsThatCannotBeRenderedGenerically.indexOf(e)>-1){return false;}return true;};a.controlCanBeInstantiated=function(e){if(["sap.ui.codeeditor.CodeEditor","sap.ui.demokit.IndexLayout._Tile","sap.ui.commons.SearchField","sap.ui.commons.SearchField.CB","sap.ui.commons.SearchFieldCB","sap.ui.commons.Tab","sap.ui.comp.transport.TransportDialog","sap.ui.core.ComponentContainer","sap.ui.core.mvc.View","sap.ui.core.mvc.XMLView","sap.ui.core.XMLComposite","sap.ui.core.mvc.JSView","sap.ui.core.mvc.JSONView","sap.ui.core.mvc.HTMLView","sap.ui.core.mvc.TemplateView","sap.ui.mdc.FilterBar","sap.ui.mdc.XMLComposite","sap.ui.mdc.ValueHelpDialog","sap.ui.mdc.FilterField","sap.makit.Chart","sap.ui.rta.AddElementsDialog","sap.ui.rta.ContextMenu"].indexOf(e)>-1){return false;}var o=O.get(e);if(!o){return false;}var m=o.getMetadata();if(m.isAbstract()){return false;}return true;};var k=["sap.ui.core","sap.chart","sap.f","sap.m","sap.makit","sap.me","sap.ndc","sap.suite.ui.microchart","sap.tnt","sap.ui.codeeditor","sap.ui.commons","sap.ui.comp","sap.ui.dt","sap.ui.fl","sap.ui.generic.app","sap.ui.generic.template","sap.ui.layout","sap.ui.mdc","sap.ui.richtexteditor","sap.ui.rta","sap.ui.suite","sap.ui.table","sap.ui.unified","sap.ui.ux3","sap.uxap","sap.viz"];var b=function(e){if(k.indexOf(e)>-1){return true;}else{return false;}};function g(E,I){var m=sap.ui.getCore().getLoadedLibraries(),n,N,o,i;o=sap.ui.getVersionInfo();for(i=0;i<o.libraries.length;i++){n=o.libraries[i].name;if(jQuery.inArray(n,E)===-1&&!m[n]){L.info("Libary '"+n+"' is not loaded!");try{sap.ui.getCore().loadLibrary(n);N=true;}catch(e){}}}if(N){m=sap.ui.getCore().getLoadedLibraries();}E.forEach(function(q){m[q]=undefined;});if(!I){for(var p in m){if(!b(p)){m[p]=undefined;}}}return m;}function c(e){var m=sap.ui.getCore().getLoadedLibraries(),n,i;for(i=0;i<e.length;i++){if(!m[e[i]]){sap.ui.getCore().loadLibrary(e[i]);n=true;}}if(n){m=sap.ui.getCore().getLoadedLibraries();}for(var o in m){if(e.indexOf(o)===-1){m[o]=undefined;}}return m;}var d=function(e,E,i,Q){var m=e?c(e):g(E,i);Q.test("Should load at least one library and some controls",function(n){n.expect(2);var o=false;for(var p in m){if(m[p]){if(!o){n.ok(m[p],"Should have loaded at least one library");o=true;}var q=m[p].controls?m[p].controls.length:0;if(q>0){n.ok(q>0,"Should find at least 10 controls in a library");break;}}}});return m;};var s=function(e,E,i,I){if(!e){return false;}if(E.indexOf(e)>-1){return false;}if(!i&&!a.controlCanBeRendered(e)){return false;}if(!I&&!a.controlCanBeInstantiated(e)){return false;}return true;};var l=function(e,E,I,m,n){return new Promise(function(r,o){var p=0;var q=function(i){if(i<e.length){var t=e[i];h(t,E,I,m,n).then(function(u){if(u){p++;}q(i+1);});}else{r(p);}};q(0);});};function h(e,E,i,I,m){return new Promise(function(r){var n=false;if(s(e,E,i,I)){n=true;var o=O.get(e||"");m(e,o,{canInstantiate:a.controlCanBeInstantiated(e),canRender:a.controlCanBeRendered(e)});}window.setTimeout(function(){r(n);},0);});}a.run=function(e,o){window.setTimeout(function(){_(e,o);},1);};function _(e,o){if(!o){o={};}var D=o.done||function(){};var i=o.librariesToTest||undefined;var E=o.excludedLibraries||[];var m=o.excludedControls||[];var I=(o.includeDistLayer!==undefined)?o.includeDistLayer:false;var n=(o.includeElements!==undefined)?o.includeElements:false;var p=(o.includeNonRenderable!==undefined)?o.includeNonRenderable:true;var q=(o.includeNonInstantiable!==undefined)?o.includeNonInstantiable:false;var Q=o.qunit;if(Q){Q.test("Checking the given QUnit object",function(t){t.ok(true,"The given QUnit should be able to assert");});}else{var r=function(){};var t={ok:function(v,T){if(!v){throw new Error(T);}},expect:r};Q={module:r,test:function(v,e){e(t);}};}Q.test("Checking the given options",function(t){t.ok(o.librariesToTest===undefined||jQuery.isArray(o.librariesToTest),"The given librariesToTest must be undefined or an array, but is: "+o.librariesToTest);t.ok(o.excludedLibraries===undefined||jQuery.isArray(o.excludedLibraries),"The given excludedLibraries must be undefined or an array, but is: "+o.excludedLibraries);t.ok(o.excludedControls===undefined||jQuery.isArray(o.excludedControls),"The given excludedControls must be undefined or an array, but is: "+o.excludedControls);t.ok(o.includeDistLayer===undefined||typeof o.includeDistLayer==="boolean","The given includeDistLayer must be undefined or a boolean, but is: "+o.includeDistLayer);t.ok(o.includeElements===undefined||typeof o.includeElements==="boolean","The given includeElements must be undefined or a boolean, but is: "+o.includeElements);t.ok(o.includeNonRenderable===undefined||typeof o.includeNonRenderable==="boolean","The given includeNonRenderable must be undefined or a boolean, but is: "+o.includeNonRenderable);t.ok(o.includeNonInstantiable===undefined||typeof o.includeNonInstantiable==="boolean","The given includeNonInstantiable must be undefined or a boolean, but is: "+o.includeNonInstantiable);t.ok(D===undefined||typeof D==="function","The given done callback must be undefined or a function, but is: "+D);});var u=d(i,E,I,Q);f(u,n,m,p,q,e).then(function(R){D({testedControlCount:R[0],testedLibraryCount:R[1]});});}function f(m,I,e,n,o,p){return new Promise(function(r){var q=0,t=0;var u=[];for(var v in m){u.push(v);}var w=function(i){if(i<u.length){var v=u[i];j(m,v,I,e,n,o,p).then(function(R){q+=R[0];if(R[1]){t++;}w(i+1);});}else{r([q,t]);}};w(0);});}function j(m,e,i,E,I,n,o){return new Promise(function(r){var p=m[e];if(!p){r([0,false]);return;}var q=p.controls;if(i){q=q.concat(p.elements.slice());}l(q,E,I,n,o).then(function(A){r([A,true]);});});}return a;},true);
