/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/fl/Utils","sap/ui/fl/registry/Settings","sap/ui/dt/OverlayUtil","sap/ui/dt/DOMUtil","sap/m/MessageBox","sap/base/Log"],function(q,F,S,O,D,M,L){"use strict";var U={};U.RESOLVED_PROMISE=Promise.resolve(true);U._sFocusableOverlayClass=".sapUiDtOverlaySelectable";U._sRtaStyleClassName='';U.getRtaStyleClassName=function(){return U._sRtaStyleClassName;};U.setRtaStyleClassName=function(l){if(l==="USER"){U._sRtaStyleClassName="";}else if(F.getLayerIndex(l)>-1){U._sRtaStyleClassName="sapContrast sapContrastPlus";}};U.isExtensibilityEnabledInSystem=function(c){var C=F.getComponentClassName(c);if(!C||C==""){return Promise.resolve(false);}return S.getInstance(C).then(function(s){if(s.isModelS){return s.isModelS();}return false;});};U.isServiceUpToDate=function(c){return this.isExtensibilityEnabledInSystem(c).then(function(e){if(e){return new Promise(function(r,R){sap.ui.require(["sap/ui/fl/fieldExt/Access"],function(A){var m=c.getModel();if(m){var s=A.isServiceOutdated(m.sServiceUrl);if(s){A.setServiceValid(m.sServiceUrl);sap.ui.getCore().getEventBus().publish("sap.ui.core.UnrecoverableClientStateCorruption","RequestReload",{});return R();}}return r();});});}});};U.isCustomFieldAvailable=function(c){return this.isExtensibilityEnabledInSystem(c).then(function(s){if(!s){return false;}else if(!c.getModel()){return false;}else{return new Promise(function(r,R){sap.ui.require(["sap/ui/fl/fieldExt/Access"],function(A){var a=c.getModel().sServiceUrl;var e=this.getBoundEntityType(c).name;var d;try{d=A.getBusinessContexts(a,e);}catch(E){L.error("exception occured in sap.ui.fl.fieldExt.Access.getBusinessContexts",E);r(false);}return Promise.resolve(d).then(function(o){if(o&&Array.isArray(o.BusinessContexts)&&o.BusinessContexts.length>0){o.EntityType=e;return r(o);}return r(false);}).catch(function(E){if(E){if(Array.isArray(E.errorMessages)){for(var i=0;i<E.errorMessages.length;i++){L.error(E.errorMessages[i].text);}}}return r(false);});}.bind(this),R);}.bind(this));}}.bind(this));};U.openRemoveConfirmationDialog=function(e,t){var T=sap.ui.getCore().getLibraryResourceBundle("sap.ui.rta");var s;return new Promise(function(r,a){s=T.getText("CTX_REMOVE_TITLE");var d={messageText:t,titleText:s,icon:"sap-icon://question-mark",removeText:T.getText("BTN_FREP_REMOVE"),cancelText:T.getText("BTN_FREP_CANCEL")};var m=new sap.ui.model.json.JSONModel();m.setData(d);var f;var c=function(){if(f){f.close();f.destroy();f=null;}};var o={removeField:function(){c();r(true);},closeDialog:function(){c();r(false);}};if(!f){f=sap.ui.xmlfragment("sap.ui.rta.view.RemoveElementDialog",o);f.setModel(m);}f.addStyleClass(U.getRtaStyleClassName());f.open();});};U.isOverlaySelectable=function(o){return o.isSelectable()&&D.isVisible(o.getDomRef());};U.getPropertyValue=function(e,p){var m=e.getMetadata().getPropertyLikeSetting(p);var P=m._sGetter;return e[P]();};U.getOverlayInstanceForDom=function(d){var i=q(d).attr("id");if(i){return sap.ui.getCore().byId(i);}};U.getFocusedOverlay=function(){if(document.activeElement){var e=sap.ui.getCore().byId(document.activeElement.id);if(e instanceof sap.ui.dt.ElementOverlay){return e;}}};U.getFocusableParentOverlay=function(o){if(!o){return undefined;}var f=o.getParentElementOverlay();while(f&&!f.getSelectable()){f=f.getParentElementOverlay();}return f;};U.getFirstFocusableDescendantOverlay=function(o){return O.getFirstDescendantByCondition(o,this.isOverlaySelectable);};U.getLastFocusableDescendantOverlay=function(o){return O.getLastDescendantByCondition(o,this.isOverlaySelectable);};U.getNextFocusableSiblingOverlay=function(o){var N=true;var n=O.getNextSiblingOverlay(o);while(n&&!this.isOverlaySelectable(n)){n=O.getNextSiblingOverlay(n);}if(!n){n=this._findSiblingOverlay(o,N);}return n;};U.getPreviousFocusableSiblingOverlay=function(o){var P=false;var p=O.getPreviousSiblingOverlay(o);while(p&&!this.isOverlaySelectable(p)){p=O.getPreviousSiblingOverlay(p);}if(!p){p=this._findSiblingOverlay(o,P);}return p;};U._findSiblingOverlay=function(o,n){var p=o.getParentElementOverlay();if(p){var s=n?O.getNextSiblingOverlay(p):O.getPreviousSiblingOverlay(p);if(!s){return this._findSiblingOverlay(p,n);}else{var d=n?this.getFirstFocusableDescendantOverlay(s):this.getLastFocusableDescendantOverlay(s);return d;}}else{return undefined;}};U.getIndex=function(p,c,a,g){var i;if(g&&typeof g==="function"){i=g.call(null,p,c);}else{var m=p.getMetadata();var A=m.getAggregation(a);var G=A._sGetter;var C=p[G]();if(Array.isArray(C)){if(c){i=C.indexOf(c)+1;}else{i=C.length;}}else{i=0;}}return i;};U.createFieldLabelId=function(p,e,b){return(p.getId()+"_"+e+"_"+b).replace("/","_");};U.getBoundEntityType=function(e,m){m||(m=e.getModel());var b=e.getBindingContext();if(b){return U.getEntityTypeByPath(m,b.getPath())||{};}return{};};U.openNewWindow=function(u){window.open(u,"_blank");};U.getElementBindingPaths=function(e){var p={};if(e.mBindingInfos){for(var i in e.mBindingInfos){var P=e.mBindingInfos[i].parts[0].path?e.mBindingInfos[i].parts[0].path:"";P=P.split("/")[P.split("/").length-1];p[P]={valueProperty:i};}}return p;};U.getFiori2Renderer=function(){var c=U.getUshellContainer()||{};return typeof c.getRenderer==="function"?c.getRenderer("fiori2"):undefined;};U.getUshellContainer=function(){return sap.ushell&&sap.ushell.Container;};U.getEntityTypeByPath=function(m,p){return m.oMetadata&&m.oMetadata._getEntityTypeByPath(p);};U.mergeWith=function(d,s,c){if(!(typeof c==="function")){throw new Error('In order to use mergeWith() utility function fnCustomizer should be provided!');}for(var a in s){if(s.hasOwnProperty(a)){d[a]=d.hasOwnProperty(a)?c(d[a],s[a],a,d,s):s[a];}}return d;};U.extendWith=function(d,s,c){if(!(typeof c==="function")){throw new Error('In order to use extendWith() utility function fnCustomizer should be provided!');}for(var a in s){if(s.hasOwnProperty(a)){if(c(d[a],s[a],a,d,s)){d[a]=s[a];}}}};U.isElementInViewport=function(d){if(d instanceof q){d=d.get(0);}var r=d.getBoundingClientRect();return(r.top>=0&&r.left>=0&&r.bottom<=(window.innerHeight||document.documentElement.clientHeight)&&r.right<=(window.innerWidth||document.documentElement.clientWidth));};U._showMessageBox=function(m,t,s,e,a){var r=sap.ui.getCore().getLibraryResourceBundle("sap.ui.rta");var b=r.getText(s,e?[e.message||e]:undefined);var T=r.getText(t);var A=a?r.getText(a):M.Action.OK;return new Promise(function(c){M.show(b,{icon:m,title:T,onClose:c,actions:A,styleClass:U.getRtaStyleClassName()});});};U.omit=function(o,p){var n=Object.assign({},o);p.forEach(function(P){delete n[P];});return n;};return U;},true);
