/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/core/mvc/Controller","sap/ui/rta/appVariant/manageApps/webapp/model/models","sap/ui/rta/appVariant/Utils","sap/m/MessageBox","sap/ui/rta/Utils","sap/ui/rta/appVariant/Feature","sap/ui/rta/RuntimeAuthoring","sap/ui/core/BusyIndicator","sap/ui/rta/appVariant/AppVariantUtils","sap/base/i18n/ResourceBundle"],function(C,M,A,a,R,b,c,B,d,e){"use strict";var _,f,m,i;return C.extend("sap.ui.rta.appVariant.manageApps.webapp.controller.ManageApps",{onInit:function(){_=this.getOwnerComponent().getIdRunningApp();f=this.getOwnerComponent().getIsOverviewForKeyUser();m=sap.ui.require.toUrl("sap/ui/rta/appVariant/manageApps/")+"webapp";i=e.create({url:m+"/i18n/i18n.properties"});B.show();return A.getAppVariantOverview(_,f).then(function(g){B.hide();if(g.length){return this._arrangeOverviewDataAndBindToModel(g).then(function(g){return this._highlightNewCreatedAppVariant(g);}.bind(this));}else{d.publishEventBus();return this._showMessageWhenNoAppVariantsExist();}}.bind(this))["catch"](function(E){d.publishEventBus();var o=d.buildErrorInfo("MSG_MANAGE_APPS_FAILED",E);o.overviewDialog=true;B.hide();return d.showRelevantDialog(o,false);});},_showMessageWhenNoAppVariantsExist:function(){var s=i.getText("MSG_APP_VARIANT_OVERVIEW_SAP_DEVELOPER");var t=i.getText("TITLE_APP_VARIANT_OVERVIEW_SAP_DEVELOPER");return new Promise(function(r){a.show(s,{icon:a.Icon.INFORMATION,title:t,onClose:r,styleClass:R.getRtaStyleClassName()});});},_highlightNewCreatedAppVariant:function(g){var t=this.byId("Table1");g.forEach(function(o,h){if(o.currentStatus){if(t.getItems().length>=h){t.getItems()[h].focus();}}});return Promise.resolve();},_arrangeOverviewDataAndBindToModel:function(g){var h=g.filter(function(n){return n.appId===_;});var o=h[0];if(o){o.currentStatus=i.getText("MAA_CURRENTLY_ADAPTING");}g=g.filter(function(n){return n.appId!==_;});g.unshift(o);var r=g.filter(function(n){return n.isOriginal;});var j=r[0];g=g.filter(function(n){return!n.isOriginal;});g.unshift(j);var k={appVariants:g};var l=M.createModel(k);this.getView().setModel(l);return Promise.resolve(g);},formatRowHighlight:function(v){if(v===i.getText("MAA_CURRENTLY_ADAPTING")){return"Success";}else if(v===i.getText("MAA_NEW_APP_VARIANT")){return"Information";}return"None";},getModelProperty:function(s,g){return this.getView().getModel().getProperty(s,g);},handleUiAdaptation:function(E){var n=sap.ushell.Container.getService("CrossApplicationNavigation");var s=this.getModelProperty("semanticObject",E.getSource().getBindingContext());var g=this.getModelProperty("action",E.getSource().getBindingContext());var p=this.getModelProperty("params",E.getSource().getBindingContext());var N;if(s&&g&&p){N={target:{semanticObject:s,action:g},params:p};c.enableRestart("CUSTOMER");n.toExternal(N);d.publishEventBus();return true;}else{return false;}},saveAsAppVariant:function(E){d.publishEventBus();var D=this.getModelProperty("descriptorUrl",E.getSource().getBindingContext());B.show();return A.getDescriptor(D).then(function(o){B.hide();return b.onSaveAsFromOverviewDialog(o,false);});},copyId:function(E){var s=this.getModelProperty("appId",E.getSource().getBindingContext());d.copyId(s);}});});
