/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/base/ManagedObject','sap/ui/dt/ElementUtil','sap/ui/dt/OverlayUtil','sap/ui/dt/OverlayRegistry','sap/ui/fl/Utils','sap/ui/dt/Util','sap/base/util/merge','sap/ui/rta/command/AppDescriptorCommand'],function(M,E,O,a,F,D,m,A){"use strict";function e(x,y){var B=O.getAggregationInformation(x);if(B.elementId){var z=a.getOverlay(B.elementId);var P=z.getParentElementOverlay();var G=P?O.isInAggregationBinding(P,P.sParentAggregationName):false;if(G){throw D.createError("CommandFactory#evaluateTemplateBinding","Multiple template bindings are not supported","sap.ui.rta");}var T=E.extractTemplateId(B);if(T){return{templateSelector:B.elementId,originalSelector:T,content:{boundAggregation:B.aggregation}};}}return undefined;}function g(x){var y=(typeof x==="string")?sap.ui.getCore().byId(x):x;var z=a.getOverlay(y);if(z){var B=O.getAggregationInformation(z);return E.extractTemplateId(B);}else{return y.getId();}}function b(x){if(!x){throw new Error("adjustment for template failed");}}function c(x,y,z){var B;var J=false;if(typeof(z)==="string"){B=z;}else{B=z&&z.changeType;J=z&&z.jsOnly;}if(!B){return false;}y.setChangeType(B);y.setJsOnly(J);return true;}function d(x,S,y){var z={changeType:"addXML"};if(y){jQuery.extend(z,y.getAction("addXML",x));}return z;}function f(S){S.element=sap.ui.getCore().byId(g(S.element));b(S.element);}function h(x,S,y){var N=S.element||sap.ui.getCore().byId(S.element.id);var z=y.getActionDataFromAggregations("createContainer",N)[0];return z;}function i(S){S.element=sap.ui.getCore().byId(g(S.element));b(S.element);S.parentId=g(S.parentId);b(S.parentId);}function j(x,S,y){var z=S.movedElements[0].element||sap.ui.getCore().byId(S.movedElements[0].id);var B=y.getAction("move",z);if(!B&&y.getMetadata().getName()==="sap.ui.dt.ElementDesignTimeMetadata"){B=y.getActionDataFromAggregations("move",x).filter(function(G){return G.aggregation===S.source.aggregation;})[0];}return B;}function k(S){S.element=sap.ui.getCore().byId(g(S.element));b(S.element);S.source.parent=sap.ui.getCore().byId(g(S.source.parent));b(S.source.parent);S.target.parent=sap.ui.getCore().byId(g(S.target.parent));b(S.target.parent);S.movedElements.forEach(function(x){x.element=sap.ui.getCore().byId(g(x.element));b(x.element);});}function l(x,S,y){var R=S.renamedElement;var z=y.getAction("rename",R);return z;}function n(S){S.element=sap.ui.getCore().byId(g(S.element));b(S.element);S.renamedElement=sap.ui.getCore().byId(g(S.renamedElement));b(S.renamedElement);}function o(x,S,y){var R=S.removedElement;if(!R){R=x;}else if(!(R instanceof M)){throw new Error("No valid 'removedElement' found");}var z=y.getAction("remove",R);return z;}function p(S){S.element=sap.ui.getCore().byId(g(S.element));b(S.element);S.removedElement=sap.ui.getCore().byId(g(S.removedElement));b(S.removedElement);}function q(x,S,y){var z=S.source;var B=y.getAction("combine",z);return B;}function r(S){S.element=sap.ui.getCore().byId(g(S.element));b(S.element);S.source=sap.ui.getCore().byId(g(S.source));b(S.source);S.combineFields.forEach(function(x){x=sap.ui.getCore().byId(g(x));b(x);});}function s(x,S,y){var z=S.source;var B=y.getAction("split",z);return B;}function t(S){S.element=sap.ui.getCore().byId(g(S.element));b(S.element);S.parentElement=sap.ui.getCore().byId(g(S.parentElement));b(S.parentElement);S.source=sap.ui.getCore().byId(g(S.source));b(S.source);}function u(x,S,y){var N=S.element;var z=y.getAction("addODataProperty",N);return z;}function v(x,S,y){var R=S.element;var z=y.getAction("reveal",R);return z;}var C={"composite":{clazz:'sap.ui.rta.command.CompositeCommand'},"property":{clazz:'sap.ui.rta.command.Property'},"bindProperty":{clazz:'sap.ui.rta.command.BindProperty'},"addXML":{clazz:'sap.ui.rta.command.AddXML',configure:d,adjustForBinding:f},"createContainer":{clazz:'sap.ui.rta.command.CreateContainer',configure:h,adjustForBinding:i},"move":{clazz:'sap.ui.rta.command.Move',configure:j,adjustForBinding:k},"remove":{clazz:'sap.ui.rta.command.Remove',configure:o,adjustForBinding:p},"rename":{clazz:'sap.ui.rta.command.Rename',configure:l,adjustForBinding:n},"addODataProperty":{clazz:'sap.ui.rta.command.AddODataProperty',configure:u},"reveal":{clazz:'sap.ui.rta.command.Reveal',configure:v},"combine":{clazz:'sap.ui.rta.command.Combine',configure:q,adjustForBinding:r},"split":{clazz:'sap.ui.rta.command.Split',configure:s,adjustForBinding:t},"switch":{clazz:'sap.ui.rta.command.ControlVariantSwitch'},"duplicate":{clazz:'sap.ui.rta.command.ControlVariantDuplicate'},"setTitle":{clazz:'sap.ui.rta.command.ControlVariantSetTitle'},"configure":{clazz:'sap.ui.rta.command.ControlVariantConfigure'},"settings":{clazz:'sap.ui.rta.command.Settings'},"addLibrary":{clazz:'sap.ui.rta.command.appDescriptor.AddLibrary'},"appDescriptor":{clazz:'sap.ui.rta.command.AppDescriptorCommand'}};function _(x,y,S,z,B,V){y=y[0].toLowerCase()+y.slice(1);var G=C[y];var H=B;if(!G){return Promise.reject(D.createError("CommandFactory#_getCommandFor","Command '"+y+"' doesn't exist, check typing","sap.ui.rta"));}return new Promise(function(R){var I=G.clazz;sap.ui.require([I.replace(/\./g,"/")],function(J){R(J);});}).then(function(I){var J,K,P,L,T;var N=x instanceof M;if(y!=="appDescriptor"&&y!=="composite"){S=Object.assign({},S,{selector:N?null:x});}S=Object.assign({},S,{element:N?x:undefined,name:y});if(G.configure){J=G.configure(x,S,z);}if(N){K=a.getOverlay(x);}if(J&&J.changeOnRelevantContainer){Object.assign(S,{element:K.getRelevantContainer()});x=S.element;}if(K&&x.sParentAggregationName){T=e(K,x);}if(T){if(G.adjustForBinding){G.adjustForBinding(S);}H=m(T,H);}L=new I(S);var Q=true;if(G.configure){Q=c(x,L,J);}P=Q&&L.prepare(H,V);if(P){return L;}else{L.destroy();return undefined;}});}var w=M.extend("sap.ui.rta.command.CommandFactory",{metadata:{library:"sap.ui.rta",properties:{"flexSettings":{type:"object"}},associations:{},events:{}}});w.prototype.init=function(){this.setProperty("flexSettings",{layer:"CUSTOMER",developerMode:true});};w.prototype.setFlexSettings=function(x){this.setProperty("flexSettings",jQuery.extend(this.getFlexSettings(),x));};w.prototype.getCommandFor=function(x,y,S,z,V){return _(x,y,S,z,this.getFlexSettings(),V);};w.getCommandFor=function(x,y,S,z,B){if(!B){B={layer:"CUSTOMER",developerMode:true};}if(B.scenario||B.baseId){var L=F.buildLrepRootNamespace(B.baseId,B.scenario,B.projectId);B.rootNamespace=L;B.namespace=L+"changes/";}return _(x,y,S,z,B);};return w;},true);
