/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery",'sap/ui/rta/plugin/Plugin','sap/ui/dt/Overlay','sap/ui/dt/ElementUtil','sap/ui/dt/OverlayUtil','sap/ui/dt/OverlayRegistry','sap/ui/rta/Utils','sap/ui/dt/DOMUtil',"sap/ui/events/KeyCodes"],function(q,P,O,E,a,b,U,D,K){"use strict";var R={_manageClickEvent:function(e){var o=e.getSource?e.getSource():e;if(o.isSelected()&&this.isRenameAvailable(o)&&this.isRenameEnabled([o])){o.attachBrowserEvent("click",R._onClick,this);}else{o.detachBrowserEvent("click",R._onClick,this);}},startEdit:function(p){this._bPreventMenu=true;this._oEditedOverlay=p.overlay;var e=p.overlay.getElement();var d=this._oEditedOverlay.getDesignTimeMetadata();var v=d.getAssociatedDomRef(e,p.domRef);if(!U.isElementInViewport(v)){v.get(0).scrollIntoView();}this._$oEditableControlDomRef=q(v);var w=0;var o=b.getOverlay(v instanceof q?v.get(0).id:v.id);if(!o){o=this._oEditedOverlay;var _=q(E.getDomRef(e));var c=this._$oEditableControlDomRef.parent();var C=parseInt(_.outerWidth(),10);if(!isNaN(C)){var i=parseInt(this._$oEditableControlDomRef.outerWidth(),10);var f=parseInt(c.outerWidth(),10);w=C-i;if(w<0&&f){if(c.get(0).id!==_.get(0).id&&c.children(":visible").length===1&&c.children(":visible").get(0).id===this._$oEditableControlDomRef.get(0).id&&C>f){w=C-f;}else{w=0;}}}}var g=q("<div class='sapUiRtaEditableField'></div>").css({"white-space":"nowrap","overflow":"hidden","width":"calc(100% - ("+w+"px))"}).appendTo(o.$());this._$editableField=q("<div contentEditable='true'></div>").appendTo(g);if(this._$oEditableControlDomRef.text()===""){this._$oEditableControlDomRef.text("_?_");this._$editableField.text("");}else{this._$editableField.text(this._$oEditableControlDomRef.text());}this.setOldValue(R._getCurrentEditableFieldText.call(this));D.copyComputedStyle(this._$oEditableControlDomRef,this._$editableField);this._$editableField.children().remove();this._$editableField.css('visibility','hidden');this._$editableField.css({"-moz-user-modify":"read-write","-webkit-user-modify":"read-write","-ms-user-modify":"read-write","user-modify":"read-write","text-overflow":"clip","white-space":"nowrap"});if(sap.ui.Device.browser.name=="ed"&&e.getMetadata().getName()=="sap.ui.fl.variants.VariantManagement"){this._$editableField.css({"line-height":"normal"});}O.getMutationObserver().ignoreOnce({target:this._$oEditableControlDomRef.get(0)});this._$editableField.one("focus",R._onEditableFieldFocus.bind(this));this._$editableField.on("blur",R._onEditableFieldBlur.bind(this));this._$editableField.on("keydown",R._onEditableFieldKeydown.bind(this));this._$editableField.on("dragstart",R._stopPropagation.bind(this));this._$editableField.on("drag",R._stopPropagation.bind(this));this._$editableField.on("dragend",R._stopPropagation.bind(this));this._$editableField.on("click",R._stopPropagation.bind(this));this._$editableField.on("mousedown",R._stopPropagation.bind(this));setTimeout(function(){this._$oEditableControlDomRef.css("visibility","hidden");g.offset({left:this._$oEditableControlDomRef.offset().left});this._$editableField.offset({left:this._$oEditableControlDomRef.offset().left});this._$editableField.offset({top:this._$oEditableControlDomRef.offset().top});this._$editableField.css('visibility','');this._$editableField.focus();p.overlay.setSelected(true);sap.ui.getCore().getEventBus().publish('sap.ui.rta',p.pluginMethodName,{overlay:p.overlay,editableField:this._$editableField});}.bind(this),0);},_setDesignTime:function(d){this._aSelection=[];var o=this.getDesignTime();if(o){o.getSelectionManager().detachChange(R._onDesignTimeSelectionChange,this);}P.prototype.setDesignTime.apply(this,arguments);if(d){d.getSelectionManager().attachChange(R._onDesignTimeSelectionChange,this);this._aSelection=this.getSelectedOverlays();}},_onDesignTimeSelectionChange:function(e){var s=e.getParameter("selection");this._aSelection.forEach(R._manageClickEvent,this);s.forEach(R._manageClickEvent,this);this._aSelection=s;},_stopPropagation:function(e){e.stopPropagation();},_preventDefault:function(e){e.preventDefault();},_onEditableFieldFocus:function(e){var c=e.target;var r=document.createRange();r.selectNodeContents(c);var s=window.getSelection();s.removeAllRanges();s.addRange(r);},_stopEdit:function(r,p){var o;this._bPreventMenu=false;if(this._$oEditableControlDomRef.text()==="_?_"){this._$oEditableControlDomRef.text("");}this._oEditedOverlay.$().find(".sapUiRtaEditableField").remove();O.getMutationObserver().ignoreOnce({target:this._$oEditableControlDomRef.get(0)});this._$oEditableControlDomRef.css("visibility","visible");if(r){o=this._oEditedOverlay;o.setSelected(true);o.focus();}delete this._$editableField;delete this._$oEditableControlDomRef;delete this._oEditedOverlay;delete this._bBlurOrKeyDownStarted;sap.ui.getCore().getEventBus().publish('sap.ui.rta',p,{overlay:o});},_onEditableFieldBlur:function(e){return R._handlePostRename.call(this,false);},_handlePostRename:function(r,e){if(!this._bBlurOrKeyDownStarted){this._bBlurOrKeyDownStarted=true;if(e){R._preventDefault.call(this,e);R._stopPropagation.call(this,e);}return this._emitLabelChangeEvent().then(function(f){this.stopEdit(r);if(typeof f==="function"){f();}}.bind(this));}return Promise.resolve();},_onEditableFieldKeydown:function(e){switch(e.keyCode){case K.ENTER:return R._handlePostRename.call(this,true,e);case K.ESCAPE:this.stopEdit(true);R._preventDefault.call(this,e);break;case K.DELETE:R._stopPropagation.call(this,e);break;default:}return Promise.resolve();},_getCurrentEditableFieldText:function(){var t=this._$editableField.text().trim();return t===""?'\xa0':t;},_onClick:function(e){var o=sap.ui.getCore().byId(e.currentTarget.id);if(this.isRenameEnabled([o])&&!e.metaKey&&!e.ctrlKey){this.startEdit(o);R._preventDefault.call(this,e);}},_exit:function(){if(this._$oEditableControlDomRef){this.stopEdit(false);}}};return R;},true);
