/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/rta/plugin/Plugin",'sap/ui/dt/ElementUtil','sap/ui/dt/OverlayRegistry','sap/ui/rta/Utils','sap/ui/fl/Utils','sap/ui/dt/Util','sap/ui/core/StashedControlSupport','sap/ui/dt/ElementDesignTimeMetadata',"sap/base/Log"],function(q,P,E,O,U,F,D,S,a,L){"use strict";function _(s,o){var p,r=o.getRelevantContainer(!s),R=O.getOverlay(r);if(s){p=o.getParentElementOverlay();}else{p=o;}return{relevantContainerOverlay:R,parentOverlay:p,relevantContainer:r,parent:p&&p.getElement()};}function b(p,C){return C.sParentAggregationName;}function c(p,s){var o=p.getElement();var i=E.getAggregation(o,s).filter(function(C){var n=O.getOverlay(C);if(!this.hasStableId(n)){return false;}var r=p.getRelevantContainer(true);var R=O.getOverlay(r);var t=p;var u=false;do{u=!t.getElementVisibility();if(u){break;}if(t===R){break;}else{t=t.getParentElementOverlay();}}while(t);if(u){return true;}return n.getElementVisibility()===false;},this);var m=S.getStashedControls(o.getId());return i.concat(m);}var d=true,e=false;function f(r,m,p,s,C){var n=[];var i;var o;if(m.addODataProperty){var t=m.aggregation;var u=m.addODataProperty.designTimeMetadata;i=u.getAggregationDescription(t,p);if(i){o=s?i.singular:i.plural;n.push(o);}}if(m.reveal){m.reveal.controlTypeNames.forEach(function(i){o=s?i.singular:i.plural;n.push(o);});}var N=n.reduce(function(v,w){if(v.indexOf(w)===-1){v.push(w);}return v;},[]);var T=sap.ui.getCore().getLibraryResourceBundle("sap.ui.rta");if(N.length===1){o=N[0];}else if(C){o=C;}else{o=T.getText("MULTIPLE_CONTROL_NAME");}return T.getText(r,[o]);}function g(){return{designTimeMetadata:new a({data:{name:{singular:function(){return sap.ui.getCore().getLibraryResourceBundle("sap.uxap").getText("SECTION_CONTROL_NAME");},plural:function(){return sap.ui.getCore().getLibraryResourceBundle("sap.uxap").getText("SECTION_CONTROL_NAME_PLURAL");}},actions:{reveal:{changeType:"unstashControl",getAggregationName:b}}}}),action:{changeType:"unstashControl",getAggregationName:b}};}function h(m,r){var R;m.reveal.elements.some(function(i){if(i.element.getId()===r.getId()){R=i;return false;}});return R;}var A=P.extend("sap.ui.rta.plugin.additionalElements.AdditionalElementsPlugin",{metadata:{library:"sap.ui.rta",properties:{analyzer:"object",dialog:"object",commandFactory:"object"},associations:{},events:{}},getContextMenuTitle:function(o,i){var p=_(o,i);var m=this._getActions(o,i);return f("CTX_ADD_ELEMENTS",m,p.parent,d);},isAvailable:function(o,i){return i.every(function(m){return this._isEditableByPlugin(m,o);},this);},isEnabled:function(o,i){if(i.length>1){return false;}var m=i[0];var p;var I;if(o){p=m.getParentElementOverlay();if(p){I=true;}else{I=false;}}else{var n=this._getActions(o,m);if(n.reveal&&n.reveal.elements.length===0&&!n.addODataProperty){I=false;}else{I=true;}}return I;},registerElementOverlay:function(o){var m=o.getElement().getModel();if(m){var M=m.getMetaModel();if(M&&M.loaded){M.loaded().then(function(){this.evaluateEditable([o],{onRegistration:true});}.bind(this));}}P.prototype.registerElementOverlay.apply(this,arguments);},_getRevealActions:function(s,o){var p=_(s,o);var i=[p.parentOverlay];if(p.relevantContainer!==p.parent){i=E.findAllSiblingsInContainer(p.parent,p.relevantContainer).map(function(n){return O.getOverlay(n);}).filter(function(o){return o;});}var m;if(s){m=[o.getParentAggregationOverlay().getAggregationName()];}else{m=p.parentOverlay.getAggregationOverlays().filter(function(n){return!n.getDesignTimeMetadata().isIgnored(p.parent);}).map(function(n){return n.getAggregationName();});}var r=m.reduce(this._getRevealActionFromAggregations.bind(this,i),{});return r;},_getRevealActionFromAggregations:function(p,i,s){var I=p.reduce(function(m,o){return o?m.concat(c.call(this,o,s)):m;}.bind(this),[]);var r=I.reduce(this._invisibleToReveal.bind(this),{elements:[],controlTypeNames:[]});if(r.elements.length>0){i[s]={reveal:r};}return i;},_invisibleToReveal:function(r,i){var t=i.getMetadata().getName();var o;var R;var m=false;if(t==="sap.ui.core._StashedControl"){var s=g();o=s.designTimeMetadata;R=s.action;m=true;}else{var n=O.getOverlay(i);if(n){o=n.getDesignTimeMetadata();R=o&&o.getAction("reveal",i);if(R&&R.changeType){var p=i;if(R.changeOnRelevantContainer){p=n.getRelevantContainer();}if(this.hasChangeHandler(R.changeType,p)){if(R.changeOnRelevantContainer){var u=_(true,n);m=this.hasStableId(u.relevantContainerOverlay)&&this.hasStableId(u.parentOverlay);}else{m=true;}if(!R.getAggregationName){R.getAggregationName=b;}}}}}if(m){r.elements.push({element:i,designTimeMetadata:o,action:R});var N=o.getName(i);if(N){r.controlTypeNames.push(N);}}return r;},_getAddODataPropertyActions:function(s,o){var p=_(s,o);var i=p.parentOverlay.getDesignTimeMetadata();var m=i.getActionDataFromAggregations("addODataProperty",p.parent);var C=p.parent;var n=function(r,t){if(t){if(t.changeOnRelevantContainer){C=p.relevantContainer;}var u=O.getOverlay(C);if(t.changeType&&this.hasChangeHandler(t.changeType,C)&&this.hasStableId(u)){r[t.aggregation]={addODataProperty:{designTimeMetadata:i,action:t}};}return r;}};if(m&&m.length>0){return m.reduce(n.bind(this),{});}},_getActions:function(s,o){var r=this._getRevealActions(s,o);var m=this._getAddODataPropertyActions(s,o);var i=q.extend(true,r,m);var n=Object.keys(i);if(n.length===0){return{};}else if(n.length>1){L.error("reveal or addODataProperty action defined for more than 1 aggregation, that is not yet possible");}var p=n[0];i[p].aggregation=p;return i[p];},_hasRevealActionsOnChildren:function(o){var r=this._getRevealActions(false,o);return Object.keys(r).length>0;},showAvailableElements:function(o,i,I,C){var m=i[0];var p=_(o,m);var s=o&&m.getElement();var n=[];var r=this._getActions(o,m);if(r.reveal){n.push(this.getAnalyzer().enhanceInvisibleElements(p.parent,r));}if(r.addODataProperty){r.addODataProperty.relevantContainer=m.getRelevantContainer(!o);n.push(this.getAnalyzer().getUnboundODataProperties(p.parent,r.addODataProperty));}if(r.aggregation||C){this._setDialogTitle(r,p.parent,C);}return Promise.resolve().then(function(){if(r.addODataProperty){return U.isServiceUpToDate(p.parent);}}).then(function(){if(r.addODataProperty){this.getDialog()._oCustomFieldButton.setVisible(true);return U.isCustomFieldAvailable(p.parent);}else{this.getDialog()._oCustomFieldButton.setVisible(false);}}.bind(this)).then(function(t){if(t){this._oCurrentFieldExtInfo=t;this.getDialog().setCustomFieldEnabled(true);this.getDialog().detachEvent('openCustomField',this._onOpenCustomField,this);this.getDialog().attachEvent('openCustomField',null,this._onOpenCustomField,this);}}.bind(this)).then(j.bind(null,n)).then(function(t){this.getDialog().setElements(t);return this.getDialog().open().then(function(){return this._createCommands(p,s,r,I);}.bind(this)).catch(function(u){if(u instanceof Error){throw u;}});}.bind(this)).catch(function(t){if(t instanceof Error){throw t;}else{L.info("Service not up to date, skipping add dialog","sap.ui.rta");}});},_setDialogTitle:function(m,p,C){var s=f("HEADER_ADDITIONAL_ELEMENTS",m,p,e,C);this.getDialog().setTitle(s);if(C){this.getDialog()._oList.setNoDataText(this.getDialog()._oTextResources.getText("MSG_NO_FIELDS",C.toLowerCase()));}},_onOpenCustomField:function(o){var C=sap.ushell&&sap.ushell.Container&&sap.ushell.Container.getService("CrossApplicationNavigation");var H=(C&&C.hrefForExternal({target:{semanticObject:"CustomField",action:"develop"},params:{businessContexts:this._oCurrentFieldExtInfo.BusinessContexts,serviceName:this._oCurrentFieldExtInfo.ServiceName,serviceVersion:this._oCurrentFieldExtInfo.ServiceVersion,entityType:this._oCurrentFieldExtInfo.EntityType}}));U.openNewWindow(H);},_createCommands:function(p,s,m,i){var n=this.getDialog().getSelectedElements();if(n.length>0){return this.getCommandFactory().getCommandFor(p.parent,"composite").then(function(C){var o=Promise.resolve();n.forEach(function(r){switch(r.type){case"invisible":o=o.then(this._createCommandsForInvisibleElement.bind(this,C,r,p,s,m,i));break;case"odata":o=o.then(this._createCommandsForODataElement.bind(this,C,r,p,s,m,i));break;default:L.error("Can't create command for untreated element.type "+r.type);}},this);return o.then(function(){return C;});}.bind(this)).then(function(C){this.fireElementModified({"command":C});}.bind(this)).catch(function(M){throw D.propagateError(M,"AdditionalElementsPlugin#_createCommands","Error occured during _createCommands execution","sap.ui.rta.plugin");});}return Promise.resolve();},_createCommandsForInvisibleElement:function(C,s,p,o,m,i){return this._createRevealCommandForInvisible(s,m,p,o).then(function(r){C.addCommand(r);return this._createMoveCommandForInvisible(s,m,p,o,i);}.bind(this)).then(function(M){if(M){C.addCommand(M);}else{L.warning("No move action configured for "+p.parent.getMetadata().getName()+", aggregation: "+m.aggregation,"sap.ui.rta");}return C;});},_createCommandsForODataElement:function(C,s,p,o,m,i){var n=p.parentOverlay.getAggregationOverlay(m.aggregation);var r=n.getDesignTimeMetadata();var t=r.getAction("addODataProperty",p.parent);var u=t.changeHandlerSettings;var R;if(u&&u.content){R=u.content.requiredLibraries;}return Promise.resolve().then(function(){if(R){return this._createCommandForAddLibrary(p,m,R,r).then(function(v){C.addCommand(v);});}}.bind(this)).then(this._createCommandForOData.bind(this,s,m,p,o,i)).then(function(v){C.addCommand(v);return C;});},_createCommandForOData:function(s,m,p,o,i){var n=p.parentOverlay.getAggregationOverlay(m.aggregation);var r=n.getDesignTimeMetadata();var t=r.getAction("addODataProperty",p.parent);var C=t.changeHandlerSettings;var u;if(C&&C.key){u=C.key.oDataServiceVersion;}var R=p.parent;if(t.changeOnRelevantContainer){R=p.relevantContainer;}var v=U.getIndex(p.parent,o,m.aggregation,r.getData().getIndex);var w=this._getChangeHandler(t.changeType,R);var V;if(p.parentOverlay.getVariantManagement&&w&&w.revertChange){V=p.parentOverlay.getVariantManagement();}var M=F.getAppComponentForControl(p.parent).getManifest();var x=F.getODataServiceUriFromManifest(M);return this.getCommandFactory().getCommandFor(p.parent,"addODataProperty",{newControlId:U.createFieldLabelId(R,s.entityType,s.bindingPath),index:i!==undefined?i:v,bindingString:s.bindingPath,entityType:s.entityType,parentId:p.parent.getId(),oDataServiceVersion:u,oDataServiceUri:x,propertyName:s.name},r,V);},_createCommandForAddLibrary:function(p,m,r,o){var C=F.getAppComponentForControl(p.relevantContainer);var M=C.getManifest();var R=M["sap.app"].id;return this.getCommandFactory().getCommandFor(p.publicParent,"addLibrary",{reference:R,parameters:{libraries:r},appComponent:C},o);},_createRevealCommandForInvisible:function(s,m,p,o){var r=E.getElementInstance(s.elementId);var R=O.getOverlay(r);var i=h(m,r);var n=i.designTimeMetadata;var t=i.action;if(!R){var u=k(r,p,R);R=O.getOverlay(u);}var v;var w;var T=r.getMetadata().getName();if(T==="sap.ui.core._StashedControl"){w=r;}if(R){v=this.getVariantManagementReference(R,t,false,w);}if(t.changeOnRelevantContainer){return this.getCommandFactory().getCommandFor(r,"reveal",{revealedElementId:r.getId(),directParent:p.parent},n,v);}return this.getCommandFactory().getCommandFor(r,"reveal",{},n,v);},_createMoveCommandForInvisible:function(s,m,p,o,i){var r=E.getElementInstance(s.elementId);var R=O.getOverlay(r);var n;if(R){n=R.getParentAggregationOverlay().getAggregationName();}else{var t=h(m,r);n=t.action.getAggregationName(p.parent,r);}var u=k(r,p,R);var T=p.parent;var v=U.getIndex(p.parent,o,n);var w=U.getIndex(u,r,n)-1;v=i!==undefined?i:l(u,T,w,v);if(v!==w||p.parent!==r.getParent()){var x=O.getOverlay(r)?O.getOverlay(r).getParentAggregationOverlay():p.relevantContainerOverlay;var y=x.getDesignTimeMetadata();var M=y.getAction("move",r);var V;if(M){V=this.getVariantManagementReference(O.getOverlay(r),M,true);}return this.getCommandFactory().getCommandFor(p.relevantContainer,"move",{movedElements:[{element:r,sourceIndex:w,targetIndex:v}],source:{parent:u,aggregation:n},target:{parent:T,aggregation:n}},y,V);}return Promise.resolve();},_isEditable:function(o){return{asSibling:this._isEditableCheck.call(this,o,true),asChild:this._isEditableCheck.call(this,o,false)};},_isEditableCheck:function(o,i){var m=false;var p=_(i,o);if(!p.relevantContainerOverlay){return false;}var n=this._getActions(i,o);if(n.addODataProperty){var r=n.addODataProperty.action;m=r&&r.aggregation===o.getParentAggregationOverlay().getAggregationName();}if(!m&&n.reveal){m=true;}if(!m&&!i){m=this._hasRevealActionsOnChildren(o)||this.checkAggregationsOnSelf(p.parentOverlay,"addODataProperty");}if(m){m=this.hasStableId(o)&&this.hasStableId(p.parentOverlay);}return m;},getMenuItems:function(m){var o=true;var p="CTX_ADD_ELEMENTS_AS_SIBLING";var r=20;var I="sap-icon://add";var M=[];for(var i=0;i<2;i++){if(this.isAvailable(o,m)){var s=this.getContextMenuTitle.bind(this,o);M.push({id:p,text:s,handler:function(o,m){return this.showAvailableElements(o,m);}.bind(this,o),enabled:this.isEnabled.bind(this,o),rank:r,icon:I,group:"Add"});}o=false;p="CTX_ADD_ELEMENTS_AS_CHILD";r=30;}return M;}});function j(p){return Promise.all(p).then(function(i){var m=i[0]||[];if(m&&i[1]){m=m.concat(i[1]);}return m;});}function k(r,p,R){var o;if(R){o=R.getParentElementOverlay().getElement();}if(!o&&r.sParentId){o=sap.ui.getCore().byId(r.sParentId);}else if(!o){o=p.parent;}return o;}function l(s,t,i,T){if(s===t&&i<T&&i>-1){return T-1;}return T;}return A;});
