/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/dt/OverlayRegistry","sap/ui/dt/ElementOverlay","sap/ui/dt/AggregationOverlay","sap/ui/rta/Utils","sap/ui/dt/Util","sap/ui/dt/Overlay","sap/ui/dt/ElementUtil","sap/base/util/deepEqual","sap/base/Log","sap/base/util/merge","sap/ui/thirdparty/jquery"],function(O,E,A,R,D,a,b,d,L,m,q){"use strict";return function(r,p){var o={};o._getOutline=function(i,c){var e;if(!c&&D.isInteger(i)){c=i;i=undefined;}var I=[];if(!i){I=r._oDesignTime.getRootElements().map(function(s){return O.getOverlay(s);});}else{var P=O.getOverlay(i);if(!P){throw D.createError("services.Outline#get","Cannot find element with id= "+i+". A valid or empty value for the initial element id should be provided.","sap.ui.rta");}I.push(P);}e=I.map(function(f){return this._getChildrenNodes(f,c);},this);return e;};o._getChildrenNodes=function(c,i,P){var v=D.isInteger(i);if(c.getShouldBeDestroyed()){return{};}var e=this._getNodeProperties(c,P)||{};var C=c.getChildren();if((!v||(v&&i>0))&&C.length>0&&!q.isEmptyObject(e)){i=v?i-1:i;e.elements=C.map(function(f){return this._getChildrenNodes(f,i,f.getParent());},this).filter(function(f){return!q.isEmptyObject(f);});}return e;};o._getNodeProperties=function(c,P){var e;var s;var i;var t;var I=false;var f=c.getElement();var g=f.getId();var h=f.getMetadata().getName();var j=c.getDesignTimeMetadata();var k=j.getData();var l=(k.palette&&k.palette.icons&&k.palette.icons.svg||undefined);if(c instanceof E){t="element";i=j.getLabel(f);I=c.getEditable();e=j.getName(f);}else{t="aggregation";s=c.getAggregationName();i=j.getLabel(f);e=P.getAggregation(s)?P.getDesignTimeMetadata().getAggregationDescription(s,f):undefined;}var n={id:g,technicalName:s?s:h,editable:I,type:t};if(i!==g&&i!==undefined){n.instanceName=i;}if(e&&e.singular){n.name=e.singular;}if(l!==undefined){n.icon=l;}return n;};o._removeDuplicate=function(c,e){return c.filter(function(u){return!d(e,u,Infinity);});};o._updatesHandler=function(e){var P=e.getParameters();if(this.sStatus==="initial"){this.aUpdates=[];}var c=m({},P);var s=c.id?O.getOverlay(c.id).getElement().getId():undefined;var t=c.targetId?O.getOverlay(c.targetId).getElement().getId():undefined;switch(e.getId()){case"elementOverlayCreated":if(P.elementOverlay.isRoot()){var f=P.elementOverlay.getElement().getId();c.element=o._getOutline(f)[0];c.type="new";break;}return;case"elementOverlayAdded":c.element=o._getOutline(s)[0];c.targetId=t;c.type="new";break;case"elementOverlayMoved":c.element=o._getOutline(s,0)[0];c.targetId=t;c.type="move";break;case"elementOverlayDestroyed":var g=c.elementOverlay.getParentAggregationOverlay();if((g instanceof A&&!g._bIsBeingDestroyed)||c.elementOverlay.isRoot()){c.element={};c.element.id=c.elementOverlay.getElement()?c.elementOverlay.getElement().getId():c.elementOverlay.getAssociation("element");c.type="destroy";break;}return;case"elementOverlayEditableChanged":c.element={id:s,editable:c.editable};c.type="editableChange";break;case"elementPropertyChanged":c.element=o._getOutline(s,0)[0];c.type="elementPropertyChange";break;}c=R.omit(c,["elementOverlay","editable","target","id","elementId"]);this.aUpdates=o._removeDuplicate(this.aUpdates,c);this.aUpdates.push(c);if(this.sStatus==="initial"){setTimeout(function(){if(Array.isArray(this.aUpdates)&&this.aUpdates.length>0){this.sStatus="initial";p("update",this.aUpdates);}}.bind(o),200);}this.sStatus="processing";};o.destroy=function(){r._oDesignTime.detachEvent("elementOverlayCreated",this._updatesHandler,this);r._oDesignTime.detachEvent("elementOverlayAdded",this._updatesHandler,this);r._oDesignTime.detachEvent("elementOverlayMoved",this._updatesHandler,this);r._oDesignTime.detachEvent("elementOverlayDestroyed",this._updatesHandler,this);r._oDesignTime.detachEvent("elementPropertyChanged",this._updatesHandler,this);r._oDesignTime.detachEvent("elementOverlayEditableChanged",this._updatesHandler,this);delete this.aUpdates;delete this.sStatus;};o.aUpdates=[];o.sStatus="initial";r._oDesignTime.attachEvent("elementOverlayCreated",o._updatesHandler,o);r._oDesignTime.attachEvent("elementOverlayAdded",o._updatesHandler,o);r._oDesignTime.attachEvent("elementOverlayMoved",o._updatesHandler,o);r._oDesignTime.attachEvent("elementOverlayDestroyed",o._updatesHandler,o);r._oDesignTime.attachEvent("elementPropertyChanged",o._updatesHandler,o);r._oDesignTime.attachEvent("elementOverlayEditableChanged",o._updatesHandler,o);return{events:["update"],exports:{get:o._getOutline.bind(o)},destroy:o.destroy.bind(o)};};});
