/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/dt/OverlayRegistry","sap/ui/dt/Util","sap/ui/dt/Overlay","sap/ui/dt/ElementUtil","sap/base/util/merge"],function(O,D,a,E,m){"use strict";return function(r){var p={};p._getDesignTimeProperties=function(c){var o=O.getOverlay(c);if(!o){return D.createError("services.Property#get","A valid control id was not passed","sap.ui.rta");}var e=E.getElementInstance(c);var M=e.getMetadata().getAllProperties();var d=o.getDesignTimeMetadata();var b=m({},d.getData());var f=b.properties||{};var g=b.annotations||{};var l=b.getLabel;return Promise.all([p._getConsolidatedAnnotations(g,e),p._getConsolidatedProperties(f||{},M,e),p._getResolvedFunction(l,e),p._getResolvedLinks(b.links,e)]).then(function(P){return Object.assign({},P[0]&&!jQuery.isEmptyObject(P[0])&&{annotations:P[0]},P[1]&&{properties:P[1]},P[2]&&{label:P[2]},b.name&&{name:d.getName(e)},!jQuery.isEmptyObject(P[3])&&{links:P[3]});});};p._getConsolidatedProperties=function(d,M,e){var f=Object.keys(M).reduce(function(F,k){F[k]={value:e.getProperty(k),virtual:false,type:M[k].type,name:M[k].name,ignore:false,group:M[k].group,deprecated:M[k].deprecated,defaultValue:M[k].defaultValue,visibility:M[k].visibility};var b=p._getBindingInfo(k,e);Object.assign(F[k],b&&{binding:b});return F;},{});return Promise.all(Object.keys(d).map(function(k){return p._getResolvedFunction(d[k].ignore,e).then(function(i){if(typeof i!=="boolean"||typeof i==="undefined"){throw D.createError("services.Property#get","Invalid ignore property value found in designtime for element with id "+e.getId()+" .","sap.ui.rta");}if(i){delete f[k];}else if(!f[k]){if(d[k].virtual===true){return p._getEvaluatedVirtualProperty(d,k,e);}else{var b={};b[k]={value:d[k],virtual:false,ignore:i};return b;}}return{};});})).then(function(F){return F.reduce(function(c,o){return Object.assign(c,o);},f);});};p._getEvaluatedVirtualProperty=function(d,P,e){var b={};b[P]={value:d[P].get(e),virtual:true,type:d[P].type,name:d[P].name,group:d[P].group,ignore:false};var B=p._getBindingInfo(P,e);return p._getResolvedFunction(d[P].possibleValues,e).then(function(v){Object.assign(b[P],B&&{binding:B},v&&{possibleValues:v});return b;});};p._getConsolidatedAnnotations=function(d,e){return Promise.all(Object.keys(d).map(function(k){return p._getResolvedFunction(d[k].ignore,e).then(function(i){var f={};if(typeof i!=="boolean"&&typeof i!=="undefined"){throw D.createError("services.Property#get","Invalid ignore property value found in designtime for element with id "+e.getId()+" .","sap.ui.rta");}d[k].ignore=i;if(!i){f[k]=Object.assign({},d[k]);return p._getResolvedLinks(f[k].links,e).then(function(l){if(!jQuery.isEmptyObject(l)){f[k].links=l;}return f;});}});})).then(function(f){return f.reduce(function(c,F){return Object.assign(c,F);},{});});};p._getResolvedLinks=function(l,e){var t=[];var R=Object.assign({},l);Object.keys(R).forEach(function(L){if(Array.isArray(R[L])){R[L].forEach(function(o){t.push(D.wrapIntoPromise(function(){if(typeof o.text==="function"){return o.text(e);}})(o).then(function(s){o.text=s?s:o.text;}));});}});return Promise.all(t).then(function(){return R;});};p._getBindingInfo=function(k,e){var P=e.getBindingInfo(k);if(!P){return;}return m({parts:P.parts,bindingValues:{values:P.binding.getValue()}},P.binding.getOriginalValue&&{bindingValues:{originalValues:P.binding.getOriginalValue()}},P.bindingString&&{bindingString:P.bindingString});};p._getResolvedFunction=function(P,e){return D.wrapIntoPromise(function(){return typeof P==="function"?P(e):(P||false);})(P,e);};return{exports:{get:p._getDesignTimeProperties.bind(p)}};};});
