/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["jquery.sap.global","sap/ui/support/supportRules/RuleSet","sap/ui/support/supportRules/WindowCommunicationBus","sap/ui/support/supportRules/WCBChannels","sap/ui/support/supportRules/RuleSerializer","sap/ui/support/supportRules/Constants","sap/ui/support/supportRules/util/Utils"],function(q,R,C,c,b,d,U){"use strict";var g=(function(){var a;return function(u){if(!a){a=document.createElement('a');}a.href=u;return a.href.replace(/\/$/,'');};})();var s="sprt";var S=q.sap.getModulePath("sap.ui.support");var f=S.replace('/sap/ui/support','');var A=g(f);var h=!U.isDistributionOpenUI5(sap.ui.getVersionInfo())&&U.canLoadInternalRules();var j={};j._mRuleSets={};j._mRuleSets[d.TEMP_RULESETS_NAME]={lib:{name:d.TEMP_RULESETS_NAME},ruleset:new R({name:d.TEMP_RULESETS_NAME})};j.getRuleSets=function(){return this._mRuleSets;};j.addRuleSet=function(l,r){this._mRuleSets[l]=r;};j.getRuleSet=function(l){return this._mRuleSets[l];};j._fetchSupportRuleSets=function(r,l){var t=this,L=l||sap.ui.getCore().getLoadedLibraries(),o=this._fetchLibraryNamesWithSupportRules(L);var m=new Promise(function(a){R.versionInfo=sap.ui.getVersionInfo();o.then(function(e){var i=t._fetchLibraryFiles(e,j._fetchRuleSet);Promise.all(i).then(function(){t._bRulesCreated=true;C.publish(c.UPDATE_SUPPORT_RULES,{sRuleSet:b.serialize(t._mRuleSets),oVersionInfo:R.versionInfo});a();if(r&&typeof r==="function"){r();}});});});return m;};j.loadAdditionalRuleSets=function(l){var t=this,L=t._fetchLibraryFiles(l,t._fetchRuleSet);Promise.all(L).then(function(){t._bRulesCreated=true;C.publish(c.UPDATE_SUPPORT_RULES,{sRuleSet:b.serialize(t._mRuleSets)});});};j._fetchLibraryNamesWithSupportRules=function(l){return new Promise(function(m){var L={publicRules:[],internalRules:[],allRules:[]};l=l||{};var a=[];Object.keys(l).forEach(function(e){var M=new Promise(function(r){var i=A+"/"+e.replace(/\./g,'/')+"/.supportrc";q.ajax({type:"GET",dataType:"json",url:i,success:function(k){r({lib:e,rcData:k});},error:function(){r({lib:e,rcData:null});}});});a.push(M);});Promise.all(a).then(function(e){e.forEach(function(i){if(i.rcData){var H=false;if(i.rcData.publicRules){L.publicRules.push(i.lib);H=true;}if(h&&i.rcData.internalRules){L.internalRules.push(i.lib);H=true;}if(H&&L.allRules.indexOf(i.lib)<0){L.allRules.push(i.lib);}}m(L);});});});};j._fetchLibraryFiles=function(l,p,a){var e=[],t=this,i=q.sap.getModulePath("sap.ui.support"),k=i.replace("sap/ui/support",""),H=h&&l.internalRules.length>0,P=0,r=l.publicRules.length;var m=sap.ui.getCore().getConfiguration().getSupportMode();var n=m&&m.indexOf("silent")>-1;if(H){r+=l.internalRules.length;}function o(){P+=1;var u=Math.ceil((P/r)*100);C.publish(c.CURRENT_LOADING_PROGRESS,{value:u});}if(l.publicRules.length>0){l.publicRules.forEach(function(L){var u=t._registerLibraryPath(L,i,k);if(u){var v=t._requireRuleSet(u.customizableLibName,p);if(!n&&!a){v.then(function(){o();});}e.push(v);}});}if(h&&l.internalRules.length>0){l.internalRules.forEach(function(L){var u=t._registerLibraryPath(L,i,k);if(u){var v=t._requireRuleSet(u.internalLibName,p);if(!n&&!a){v.then(function(){o();});}e.push(v);}});}return e;};j._registerLibraryPath=function(l,a,e){if(this._mRuleSets[l]){return null;}var i=l.replace(/\./g,"/");var k=l;var m=this._getLoadFromSupportOrigin();if(m){k+='.'+s;q.sap.registerModulePath(k,e+l.replace(/\./g,"/"));}var n=k+'.internal';var o=e.replace('resources/','')+'test-resources/'+i+'/internal';q.sap.registerModulePath(n,o);return{internalLibName:n,customizableLibName:k};};j._requireRuleSet=function(l,p){var t=this;return new Promise(function(r){try{sap.ui.require([l.replace(/\./g,"/")+"/library.support"],function(){p.call(t,l);r();},r);}catch(e){r();}});};j._fetchRuleSet=function(l){try{var n,L,o,a=q.sap.getObject(l).library.support;if(!a){throw"The library.support file was not fetched successfully.";}n=l.replace("."+s,"").replace(".internal","");L=q.extend({},a);o=this._mRuleSets[n];if(!(L.ruleset instanceof R)){L=this._createRuleSet(L);}if(o){o.ruleset._mRules=q.extend(o.ruleset._mRules,L.ruleset._mRules);}else{o=L;}this._mRuleSets[n]=o;}catch(e){q.sap.log.error("["+d.SUPPORT_ASSISTANT_NAME+"] Failed to load RuleSet for "+l+" library",e);}};j._getLoadFromSupportOrigin=function(){var l=false;var a=new window.URI(q.sap.getModulePath("sap.ui.core"));var e=new window.URI(q.sap.getModulePath("sap.ui.support"));if(a.protocol()!==e.protocol()||a.host()!==e.host()){l=true;}return l;};j.fetchNonLoadedRuleSets=function(l){var n=[],L={};sap.ui.getVersionInfo().libraries.forEach(function(o){L[o.name]=o;});this._fetchLibraryNamesWithSupportRules(L).then(function(o){o.allRules.forEach(function(a){if(l.indexOf(a)<0){n.push(a);}});C.publish(c.POST_AVAILABLE_LIBRARIES,{libNames:n});});};j._onLibraryChanged=function(e){var t=this;if(e.getParameter("stereotype")==="library"&&j._bRulesCreated){t._oMainPromise=j._fetchSupportRuleSets();}};j.updateRuleSets=function(r){this._oMainPromise=j._fetchSupportRuleSets(r);};j._createRuleSet=function(l){var L={name:l.name,niceName:l.niceName};var r=new R(L);for(var i=0;i<l.ruleset.length;i++){var a=l.ruleset[i];if(q.isArray(a)){for(var k=0;k<a.length;k++){r.addRule(a[k]);}}else{r.addRule(a);}}return{lib:L,ruleset:r};};j.getAllRules=function(){var r={};Object.keys(this._mRuleSets).map(function(l){r=q.extend(r,this._mRuleSets[l].ruleset.getRules());},this);return r;};j.getAllRuleDescriptors=function(){var r=this.getAllRules();return Object.keys(r).map(function(a){return{libName:r[a].libName,ruleId:a};});};return j;},true);
