/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["./TableExtension","sap/ui/core/delegate/ItemNavigation","./TableUtils","./TableKeyboardDelegate2","sap/ui/Device","sap/ui/dom/containsOrEquals","sap/ui/thirdparty/jquery"],function(T,I,a,b,D,c,q){"use strict";var d=false;function e(o){if(D.browser.msie){if(!d){q("head").append("<style type=\"text/css\">"+"/* Avoid focus outline problems in tables */\n"+".sapUiTableStatic[data-sap-ui-table-focus]{}"+"</style>");d=true;}var C=a.getCellInfo(o)||{};if(C.cell){C.cell.attr("data-sap-ui-table-focus",Date.now());}}}var f={_forward:function(t,o){var i=t._getItemNavigation();if(i!=null&&!t._getKeyboardExtension()._isItemNavigationSuspended()&&!o.isMarked("sapUiTableSkipItemNavigation")){i["on"+o.type](o);}},onfocusin:function(o){f._forward(this,o);e(o.target);},onsapfocusleave:function(o){f._forward(this,o);},onmousedown:function(o){f._forward(this,o);},onsapnext:function(o){f._forward(this,o);},onsapnextmodifiers:function(o){f._forward(this,o);},onsapprevious:function(o){f._forward(this,o);},onsappreviousmodifiers:function(o){f._forward(this,o);},onsappageup:function(o){f._forward(this,o);},onsappagedown:function(o){f._forward(this,o);},onsaphome:function(o){f._forward(this,o);},onsaphomemodifiers:function(o){f._forward(this,o);},onsapend:function(o){f._forward(this,o);},onsapendmodifiers:function(o){f._forward(this,o);},onsapkeyup:function(o){f._forward(this,o);}};var E={onfocusin:function(o){var i=this._getKeyboardExtension();if(!i._bIgnoreFocusIn){i.initItemNavigation();if(g.isItemNavigationInvalid(this)){o.setMarked("sapUiTableInitItemNavigation");}}else{o.setMarked("sapUiTableIgnoreFocusIn");}if(o.target&&o.target.id===this.getId()+"-rsz"){o.preventDefault();o.setMarked("sapUiTableSkipItemNavigation");}}};var g={_initItemNavigation:function(o){var t=o.getTable();var $=t.$();var C=a.getVisibleColumnCount(t);var j=C;var H=a.hasRowHeader(t);var k=a.hasRowActions(t);var l=a.hasFixedColumns(t);var m=[],r,R,n,p,s;if(l){n=$.find(".sapUiTableCtrlFixed.sapUiTableCtrlRowFixed:not(.sapUiTableCHT)");p=$.find(".sapUiTableCtrlFixed.sapUiTableCtrlRowScroll:not(.sapUiTableCHT)");s=$.find(".sapUiTableCtrlFixed.sapUiTableCtrlRowFixedBottom:not(.sapUiTableCHT)");}var u=$.find(".sapUiTableCtrlScroll.sapUiTableCtrlRowFixed:not(.sapUiTableCHT)");var v=$.find(".sapUiTableCtrlScroll.sapUiTableCtrlRowScroll:not(.sapUiTableCHT)");var w=$.find(".sapUiTableCtrlScroll.sapUiTableCtrlRowFixedBottom:not(.sapUiTableCHT)");if(H){r=$.find(".sapUiTableRowHdr").get();j++;}if(k){R=$.find(".sapUiTableRowAction").get();j++;}for(var i=0;i<t.getVisibleRowCount();i++){if(H){m.push(r[i]);}if(l){m=m.concat(n.find("tr[data-sap-ui-rowindex=\""+i+"\"]").find("td[tabindex]").get());}m=m.concat(u.find("tr[data-sap-ui-rowindex=\""+i+"\"]").find("td[tabindex]").get());if(l){m=m.concat(p.find("tr[data-sap-ui-rowindex=\""+i+"\"]").find("td[tabindex]").get());}m=m.concat(v.find("tr[data-sap-ui-rowindex=\""+i+"\"]").find("td[tabindex]").get());if(l){m=m.concat(s.find("tr[data-sap-ui-rowindex=\""+i+"\"]").find("td[tabindex]").get());}m=m.concat(w.find("tr[data-sap-ui-rowindex=\""+i+"\"]").find("td[tabindex]").get());if(k){m.push(R[i]);}}if(t.getColumnHeaderVisible()){var x=[];var F=$.find(".sapUiTableCHT.sapUiTableCtrlFixed>tbody>tr");var S=$.find(".sapUiTableCHT.sapUiTableCtrlScroll>tbody>tr");for(var i=0;i<a.getHeaderRowCount(t);i++){if(H){x.push(t.getDomRef("selall"));}if(F.length){x=x.concat(q(F.get(i)).find(".sapUiTableCol").get());}if(S.length){x=x.concat(q(S.get(i)).find(".sapUiTableCol").get());}if(k){x.push($.find(".sapUiTableRowActionHeader").children().get(0));}}m=x.concat(m);}if(!o._itemNavigation){o._itemNavigation=new I();o._itemNavigation.setTableMode(true);o._itemNavigation.attachEvent(I.Events.AfterFocus,function(y){var z=a.getFocusedItemInfo(t);z.header=a.getHeaderRowCount(t);z.domRef=null;if(z.row>=z.header){o._oLastFocusedCellInfo=z;}},t);}o._itemNavigation.setColumns(j);o._itemNavigation.setRootDomRef($.find(".sapUiTableCnt").get(0));o._itemNavigation.setItemDomRefs(m);o._itemNavigation.setFocusedIndex(g.getInitialItemNavigationIndex(o));o._itemNavigationInvalidated=false;},getInitialItemNavigationIndex:function(o){return a.hasRowHeader(o.getTable())?1:0;},isItemNavigationInvalid:function(o){return!o._itemNavigation||o._itemNavigationInvalidated;}};var h=T.extend("sap.ui.table.TableKeyboardExtension",{_init:function(t,s,S){this._itemNavigation=null;this._itemNavigationInvalidated=false;this._itemNavigationSuspended=false;this._delegate=new b(s);this._actionMode=false;t.addEventDelegate(E,t);t.addEventDelegate(this._delegate,t);t.addEventDelegate(f,t);t._getItemNavigation=function(){return this._itemNavigation;}.bind(this);return"KeyboardExtension";},_debug:function(){this._ExtensionHelper=g;this._ItemNavigationDelegate=f;this._ExtensionDelegate=E;},destroy:function(){var t=this.getTable();if(t){t.removeEventDelegate(E);t.removeEventDelegate(this._delegate);t.removeEventDelegate(f);}if(this._itemNavigation){this._itemNavigation.destroy();this._itemNavigation=null;}if(this._delegate){this._delegate.destroy();this._delegate=null;}T.prototype.destroy.apply(this,arguments);}});h.prototype.initItemNavigation=function(){if(g.isItemNavigationInvalid(this)){g._initItemNavigation(this);}};h.prototype.invalidateItemNavigation=function(){this._itemNavigationInvalidated=true;};h.prototype.setActionMode=function(i){if(i===true&&!this._actionMode&&this._delegate.enterActionMode){this._actionMode=this._delegate.enterActionMode.apply(this.getTable(),Array.prototype.slice.call(arguments,1))===true;}else if(i===false&&this._actionMode&&this._delegate.leaveActionMode){this._actionMode=false;this._delegate.leaveActionMode.apply(this.getTable(),Array.prototype.slice.call(arguments,1));}};h.prototype.isInActionMode=function(){return this._actionMode;};h.prototype.updateNoDataAndOverlayFocus=function(p){var t=this.getTable();if(!t||!t.getDomRef()){return;}if(t.getShowOverlay()){if(c(t.getDomRef(),p)){t.$("overlay").focus();}}else if(a.isNoDataVisible(t)){if(c(t.getDomRef("sapUiTableCnt"),p)){t.$("noDataCnt").focus();}}else if(c(t.getDomRef("noDataCnt"),p)||c(t.getDomRef("overlay"),p)){a.focusItem(t,g.getInitialItemNavigationIndex(this));}};h.prototype._suspendItemNavigation=function(){this._itemNavigationSuspended=true;};h.prototype._resumeItemNavigation=function(){this._itemNavigationSuspended=false;};h.prototype._isItemNavigationSuspended=function(){return this._itemNavigationSuspended;};h.prototype._getLastFocusedCellInfo=function(){var H=a.getHeaderRowCount(this.getTable());if(!this._oLastFocusedCellInfo||this._oLastFocusedCellInfo.header!=H){var i=a.getFocusedItemInfo(this.getTable());var j=g.getInitialItemNavigationIndex(this);return{cellInRow:j,row:H,header:H,cellCount:i.cellCount,columnCount:i.columnCount,cell:i.columnCount*H+j};}return this._oLastFocusedCellInfo;};h.prototype._setSilentFocus=function(o){this._bIgnoreFocusIn=true;this._setFocus(o);this._bIgnoreFocusIn=false;};h.prototype._setFocus=function(o){if(!o){return;}var t=this.getTable();var C=a.getCellInfo(o);if(C.cell&&t){var $=q(o);if($.attr("tabindex")!="0"){var j=t._getItemNavigation();if(j&&j.aItemDomRefs){for(var i=0;i<j.aItemDomRefs.length;i++){if(j.aItemDomRefs[i]){j.aItemDomRefs[i].setAttribute("tabindex","-1");}}}$.attr("tabindex","0");}}o.focus();};h.prototype._getTableType=function(){return this._type;};return h;});
