/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/Device','sap/ui/unified/Menu','sap/ui/unified/MenuItem','sap/ui/core/Popup',"sap/ui/thirdparty/jquery"],function(D,M,a,P,q){"use strict";P.setInitialZIndex(10);var b={TableUtils:null,openContextMenu:function(t,e,h,f,E){if(!t||!e){return;}if(f==null){f=true;}var T=q(e);var $=b.TableUtils.getCell(t,T);if(!$){return;}var c=b.TableUtils.getCellInfo($);var C=c.columnIndex;var r=c.rowIndex;var d;if(c.isOfType(b.TableUtils.CELLTYPE.COLUMNHEADER)){var g=$.find(".sapUiTableColDropDown").length>0;if(D.system.desktop||g){b.removeColumnHeaderCellMenu(t,C);d=true;if(f){d=t.fireColumnSelect({column:t.getColumns()[C]});}if(d){b.openColumnContextMenu(t,C,h,$);}}else{b.applyColumnHeaderCellMenu(t,C,$);}}else if(c.isOfType(b.TableUtils.CELLTYPE.ANYCONTENTCELL)){d=true;if(f){var R=b.TableUtils.getRowColCell(t,r,C,C>=0);var o=R.row;var i;var j=t.getBindingInfo("rows");if(j){i=o.getBindingContext(j.model);}var k=t.getContextMenu();if(k){k.setBindingContext(i);}if(C>=0){d=t.fireCellContextmenu({rowIndex:o.getIndex(),columnIndex:C,columnId:R.column.getId(),cellControl:R.cell,rowBindingContext:i,cellDomRef:$[0]});}if(d){d=t.fireBeforeOpenContextMenu({rowIndex:o.getIndex(),columnIndex:R.column?C:null,contextMenu:k});}}if(d){b.openDataCellContextMenu(t,c,h,E);}}},openColumnContextMenu:function(t,c,h,C){if(!t||c==null||c<0){return;}if(h==null){h=false;}var o=t.getColumns();if(c>=o.length){return;}var d=o[c];if(!d.getVisible()){return;}for(var i=0;i<o.length;i++){if(o[i]!==d){b.closeColumnContextMenu(t,i);}}b.closeDataCellContextMenu(t);var e=C&&C.attr("colspan");if(e&&e!=="1"){return;}d._openMenu(C&&C[0]||d.getDomRef(),h);},closeColumnContextMenu:function(t,c){if(!t||c==null||c<0){return;}var C=t.getColumns();if(c>=C.length){return;}var o=C[c];o._closeMenu();},openDataCellContextMenu:function(t,c,h,e){if(!t||!c||!c.cell||c.rowIndex>=b.TableUtils.getNonEmptyVisibleRowCount(t)){return;}var C=c.columnIndex;var r=c.rowIndex;if(h==null){h=false;}var o=t.getColumns();if(C>=o.length){return;}var d=o[C];if(d&&!d.getVisible()){return;}var R=t.getRows()[r];if(b.hasContextMenu(t)){var $=R.$();var s=$.hasClass("sapUiAnalyticalTableSum");var g=$.hasClass("sapUiTableGroupHeader");if(!s&&!g){t.getContextMenu().openAsContextMenu(e,c.cell);}}else if(t.getEnableCellFilter()&&d&&d.isFilterableByMenu()){if(!t._oCellContextMenu){t._oCellContextMenu=new M(t.getId()+"-cellcontextmenu");var f=new a({text:b.TableUtils.getResourceText("TBL_FILTER")});f._onSelect=function(d,r){var l=this.getContextByIndex(r);var F=d.getFilterProperty();var n=l.getProperty(F);if(this.getEnableCustomFilter()){this.fireCustomFilter({column:d,value:n});}else{this.filter(d,n);}};f.attachSelect(f._onSelect.bind(t,d,R.getIndex()));t._oCellContextMenu.addItem(f);t.addDependent(t._oCellContextMenu);}else{var m=t._oCellContextMenu.getItems()[0];m.mEventRegistry.select[0].fFunction=m._onSelect.bind(t,d,R.getIndex());}if(!b.TableUtils.Grouping.isInGroupingRow(c.cell)){var j=c.cell[0];var k=t._oCellContextMenu.bOpen&&t._oCellContextMenu.oOpenerRef!==j;if(k){b.closeDataCellContextMenu(t);}for(var i=0;i<o.length;i++){b.closeColumnContextMenu(t,i);}t._oCellContextMenu.open(h,j,P.Dock.BeginTop,P.Dock.BeginBottom,j,"none none");}}},closeDataCellContextMenu:function(t){if(!t){return;}var m=t._oCellContextMenu;var c=m!=null&&m.bOpen;if(c){m.close();}},cleanupDataCellContextMenu:function(t){if(!t||!t._oCellContextMenu){return;}t._oCellContextMenu.destroy();t._oCellContextMenu=null;},applyColumnHeaderCellMenu:function(t,c,T){if(!t||c==null||c<0){return;}var C=t.getColumns();if(c>=C.length){return;}var d=T&&T.attr("colspan");if(d&&d!=="1"){return;}var o=C[c];if(o.getVisible()&&(o.getResizable()||o._menuHasItems())){var $=T||o.$();var e=$.find(".sapUiTableColCell");var f=$.find(".sapUiTableColCellMenu").length>0;if(!f){b.removeColumnHeaderCellMenu(t);e.hide();var s="";if(o._menuHasItems()){s="<div class='sapUiTableColDropDown'></div>";}var g="";if(o.getResizable()){g="<div class='sapUiTableColResizer''></div>";}var h=q("<div class='sapUiTableColCellMenu'>"+s+g+"</div>");$.append(h);$.on("focusout",function(t,c){b.removeColumnHeaderCellMenu(t);this.off("focusout");}.bind($,t,c));}}},removeColumnHeaderCellMenu:function(t){var c=t&&t.$().find(".sapUiTableCHT .sapUiTableColCellMenu");if(c.length){c.parent().find(".sapUiTableColCell").show();c.remove();}},hasContextMenu:function(t){return t&&t.getContextMenu();}};return b;},true);
