/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/Device','sap/ui/thirdparty/URI',"sap/ui/thirdparty/jquery",'sap/ui/test/_LogCollector','sap/ui/test/_OpaLogger','sap/ui/test/_ParameterValidator','sap/ui/test/_UsageReport'],function(D,U,$,_,a,b,c){"use strict";var l=a.getLogger("sap.ui.test.Opa"),L=_.getInstance(),q=[],d={},t=-1,s,Q,i,e,v=new b({errorPrefix:"sap.ui.test.Opa#waitFor"});L.start();function f(C,r){if(window["sap-ui-debug"]){r.timeout=r.debugTimeout;}var u=new Date();w();function w(){l.timestamp("opa.check");L.getAndClearLog();var R=C();e=r._stack;if(R.error){Q.reject(r);return;}if(R.result){g();return;}var P=(new Date()-u)/1000;if(r.timeout===0||r.timeout>P){t=setTimeout(w,r.pollingInterval);return;}k("Opa timeout after "+r.timeout+" seconds",r);if(r.error){try{r.error(r,R.arguments);}finally{Q.reject(r);}}else{Q.reject(r);}}}function g(){if(!q.length){if(Q){Q.resolve();}return true;}var r=q.shift();t=setTimeout(function(){f(r.callback,r.options);},(O.config.asyncPolling?r.options.pollingInterval:0)+O.config.executionDelay);}function h(w,N){var r=w.get();if(r){var u=q.splice(q.length-r,r);u.forEach(function(x){x.options._nestedIn=N;});q=u.concat(q);}}function j(E){var r=E.toString();if(E.stack){r+="\n"+E.stack;}var u="Exception thrown by the testcode:'"+r+"'";return u;}function k(E,r,u){var w=L.getAndClearLog();if(w){E+="\nThis is what Opa logged:\n"+w;}if(!u&&r._stack){E+=n(r);}if(r.errorMessage){r.errorMessage+="\n"+E;}else{r.errorMessage=E;}l.error(r.errorMessage,"Opa");}function m(r){r=(r||0)+2;if(D.browser.mozilla){r=r-1;}var E=new Error(),u=E.stack;if(!u){try{throw E();}catch(w){u=w.stack;}}if(!u){return"";}u=u.split("\n");u.splice(0,r);return u.join("\n");}function n(r){var R="\nCallstack:\n";if(r._stack){R+=r._stack;delete r._stack;}else{R+="Unknown";}if(r._nestedIn){R+=n(r._nestedIn);delete r._nestedIn;}return R;}var O=function(r){this.and=this;$.extend(this,r);};O.config={};O.extendConfig=function(r){var C=["actions","assertions","arrangements"];C.filter(function(A){return!!r[A];}).forEach(function(A){var N=r[A];var u=Object.getPrototypeOf(r[A]);var w=O.config[A];var x=Object.getPrototypeOf(O.config[A]);for(var K in w){if(!(K in N)){N[K]=w[K];}}for(var P in x){if(!(P in N)){u[P]=x[P];}}});O.config=$.extend(true,O.config,r,o);a.setLevel(O.config.logLevel);};O._parseParam=function(P){if(P&&P.match(/^true$/i)){return true;}if(P&&P.match(/^false$/i)){return false;}var V=parseInt(P,10);return(typeof V==='number'&&isNaN(V))?P:V;};O._extractOpaUriParams=function(){var P='opa';var r={};var u=new U().search(true);for(var w in u){if(w.indexOf(P)==0){r[w.substr(P.length,1).toLowerCase()+w.substr(P.length+1)]=this._parseParam(u[w]);}}return r;};var o=O._extractOpaUriParams();var p=0;var I=D.browser.safari&&!D.browser.phantomJS;if(D.browser.msie||D.browser.edge||I){p=50;}O.resetConfig=function(){O.config=$.extend({arrangements:new O(),actions:new O(),assertions:new O(),timeout:15,pollingInterval:400,debugTimeout:0,_stackDropCount:0,executionDelay:p,asyncPolling:false},o);};O.getContext=function(){return d;};O.emptyQueue=function emptyQueue(){if(i){throw new Error("Opa is emptying its queue. Calling Opa.emptyQueue() is not supported at this time.");}i=true;s=null;Q=$.Deferred();g();return Q.promise().fail(function(r){q=[];if(s){var E=s.qunitTimeout?"QUnit timeout after "+s.qunitTimeout+" seconds":"Queue was stopped manually";r._stack=s.qunitTimeout&&e||m(1);k(E,r);}}).always(function(){q=[];t=-1;Q=null;e=null;i=false;});};O.stopQueue=function stopQueue(){O._stopQueue();};O._stopQueue=function(r){q=[];if(!Q){l.warning("stopQueue was called before emptyQueue, queued tests have never been executed","Opa");}else{if(t!==-1){clearTimeout(t);}s=r||{};Q.reject(s);}};O.resetConfig();O._usageReport=new c(O.config);a.setLevel(O.config.logLevel);O.prototype={getContext:O.getContext,waitFor:function(r){var u=$.Deferred(),F=O._createFilteredConfig(O._aConfigValuesForWaitFor);r=$.extend({},F,r);this._validateWaitFor(r);r._stack=m(1+r._stackDropCount);delete r._stackDropCount;var w=$.extend({},this);u.promise(w);q.push({callback:function(){var C=true;if(r.check){try{C=r.check.apply(this,arguments);}catch(E){var x="Failure in Opa check function\n"+j(E);k(x,r,E.stack);u.reject(r);return{error:true,arguments:arguments};}}if(s){return{result:true,arguments:arguments};}if(!C){return{result:false,arguments:arguments};}if(r.success){var W=O._getWaitForCounter();try{r.success.apply(this,arguments);}catch(E){var x="Failure in Opa success function\n"+j(E);k(x,r,E.stack);u.reject(r);return{error:true,arguments:arguments};}finally{h(W,r);}}u.resolve();return{result:true,arguments:arguments};}.bind(this),options:r});return w;},extendConfig:O.extendConfig,emptyQueue:O.emptyQueue,iWaitForPromise:function(P){return this._schedulePromiseOnFlow(P);},_schedulePromiseOnFlow:function(P,r){r=r||{};var u={};r.check=function(){if(!u.started){u.started=true;P.then(function(){u.done=true;},function(w){u.errorMessage="Error while waiting for promise scheduled on flow"+(w?", details: "+w:"");});}if(u.errorMessage){throw new Error(u.errorMessage);}else{return!!u.done;}};return this.waitFor(r);},_validateWaitFor:function(P){v.validate({validationInfo:O._validationInfo,inputToValidate:P});}};O._createFilteredOptions=function(A,S){var F={};A.forEach(function(K){var C=S[K];if(C===undefined){return;}F[K]=C;});return F;};O._createFilteredConfig=function(A){return O._createFilteredOptions(A,O.config);};O._getWaitForCounter=function(){var r=q.length;return{get:function(){var u=q.length-r;return Math.max(u,0);}};};O._aConfigValuesForWaitFor=["errorMessage","timeout","debugTimeout","pollingInterval","_stackDropCount","asyncPolling"];O._validationInfo={error:"func",check:"func",success:"func",timeout:"numeric",debugTimeout:"numeric",pollingInterval:"numeric",_stackDropCount:"numeric",errorMessage:"string",asyncPolling:"bool"};return O;},true);
