/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["jquery.sap.sjax","sap/base/Log","sap/base/util/UriParameters","sap/ui/core/Core","sap/ui/thirdparty/URI"],function(q,L,U,C,a){"use strict";var r=/\/\$batch($|\?)/,j="application/json;charset=UTF-8;IEEE754Compatible=true",m={},M="\r\nContent-Type: application/http\r\n"+"Content-Transfer-Encoding: binary\r\n\r\nHTTP/1.1 ",u=new U(window.location.href),A=u.get("autoRespondAfter"),R=u.get("realOData"),b=/^(\S+) (\S+)$/,c=/^(GET|DELETE|PATCH|POST) (\S+) HTTP\/1\.1$/,d={},p=R==="true"||R==="proxy",f=p||R==="direct",s=u.get("supportAssistant")==="true",T,v="DataServiceVersion",V=v.toLowerCase(),g="OData-Version",h=g.toLowerCase();if(f){document.title=document.title+" (real OData)";}function k(o,e,P){var i=QUnit.objectType(o),E=QUnit.objectType(e),n;if(i==="string"&&E==="regexp"){if(!e.test(o)){throw new Error(P+": actual value "+o+" does not match expected reg.exp. "+e);}return;}if(i!==E){throw new Error(P+": actual type "+i+" does not match expected type "+E);}if(i==="array"){if(o.length<e.length){throw new Error(P+": array length: "+o.length+" < "+e.length);}}if(i==="array"||i==="object"){for(n in e){k(o[n],e[n],P==="/"?P+n:P+"/"+n);}}else if(o!==e){throw new Error(P+": actual value "+o+" does not match expected value "+e);}}function l(o,e,i,E){try{k(o,e,"/");QUnit.assert.pushResult({result:E,actual:o,expected:e,message:i});}catch(n){QUnit.assert.pushResult({result:!E,actual:o,expected:e,message:(i||"")+" failed because of "+n.message});}}T={awaitRendering:function(){if(sap.ui.getCore().getUIDirty()){return new Promise(function(e){function i(){if(sap.ui.getCore().getUIDirty()){setTimeout(i,1);}else{e();}}i();});}},deepContains:function(o,e,i){l(o,e,i,true);},notDeepContains:function(o,e,i){l(o,e,i,false);},useFakeServer:function(S,B,F){function i(N,O,P){var Q=P.requestBody,W,X=[""];W=y(Q);Q.split(W).slice(1,-1).forEach(function(Y){var Z,$=P.requestHeaders,_,a1,b1;Y=Y.slice(Y.indexOf("\r\n\r\n")+4);_=y(Y);Z=c.exec(_);if(Z){a1=O[Z[1]+" "+N+Z[2]];if(a1){try{b1="200\r\nContent-Type: "+j+"\r\n";Object.keys(a1[1]).forEach(function(c1){var d1=c1.toLowerCase();if(d1===V||d1===h){return;}b1+=c1+": "+a1[1][c1]+"\r\n";});b1+=t(D($,a1[1]))+"\r\n"+JSON.stringify(JSON.parse(a1[2]))+"\r\n";L.info(_,R==="logMock"?b1:null,"sap.ui.test.TestUtils");}catch(e){b1=n(_,500,"Invalid JSON");}}else if(Z[1]==="PATCH"||Z[1]==="POST"){b1="200\r\nContent-Type: "+j+"\r\n"+t(D($))+"\r\n"+E(Y);}else if(Z[1]==="DELETE"){b1="204\r\n"+"Content-Length: 0\r\n"+t(D($))+"\r\n\r\n";}}X.push(M+(b1||H(_)));});X.push("--\r\n");J([200,{"Content-Type":"multipart/mixed;boundary="+W.slice(2)},X.join(W)],P);}function n(e,N,O){L.error(e,O,"sap.ui.test.TestUtils");return N+"\r\nContent-Type: text/plain\r\n\r\n"+O+"\r\n";}function o(){var e,N,O,P,Q,W={};for(Q in F){O=F[Q];e=O.headers||{};P=O.responseHeaders||{};if(O.source){N=I(B+O.source);e["Content-Type"]=e["Content-Type"]||w(O.source);}else{N=O.message||"";}if(!Q.includes(" ")){Q="GET "+Q;}W[Q]=[O.code||200,e,N,P];}return W;}function t(e){return e&&e.length?e.join(": ")+"\r\n":"";}function w(N){if(/\.xml$/.test(N)){return"application/xml";}if(/\.json$/.test(N)){return j;}return"application/x-octet-stream";}function x(e){J([200,{"Content-Type":j},e.requestBody],e);}function y(e){return e.slice(0,e.indexOf("\r\n"));}function z(e,N){var O;N=N.toLowerCase();for(O in e){if(O.toLowerCase()===N){return e[O];}}}function D(e,N){var O=z(N,g),P=z(N,v),Q=[];if(!O&&!P){O=z(e,g);P=z(e,v);}if(O){Q.push(g);Q.push(O);}else if(P){Q.push(v);Q.push(P);}return Q;}function E(e){return e.slice(e.indexOf("\n\r\n")+3);}function G(e,N){var O=N.url;if(r.test(O)){i(O.slice(0,O.indexOf("/$batch")+1),e,N);}else{x(N);}}function H(e){return n(e,404,"No mock data found");}function I(P){var e=m[P],N;if(!e){N=q.sap.sjax({url:P,dataType:"text"});if(!N.success){throw new Error(P+": resource not found");}m[P]=e=N.data;}return e;}function J(e,N){var O=e[1],P=D({},O);if(P.length===0){P=D(N.requestHeaders);if(P.length>0){O=q.extend({},O);O[P[0]]=P[1];}}L.info(N.url,R==="logMock"?e[2]:null,"sap.ui.test.TestUtils");N.respond(e[0],O,e[2]);}function K(){var P,e,N,O=o(),Q;N=sinon.fakeServer.create();S.add(N);N.autoRespond=true;if(A){N.autoRespondAfter=parseInt(A,10);}for(Q in O){P=Q.split(" ");N.respondWith(P[0],P[1],J.bind(null,O[Q]));}N.respondWith("DELETE",/.*/,J.bind(null,[204,{},""]));N.respondWith("HEAD",/.*/,J.bind(null,[200,{},""]));N.respondWith("PATCH",/.*/,x);N.respondWith("POST",/.*/,G.bind(null,O));e=N.restore;N.restore=function(){sinon.FakeXMLHttpRequest.filters=[];e.apply(this,arguments);};sinon.xhr.supportsCORS=q.support.cors;sinon.FakeXMLHttpRequest.useFilters=true;sinon.FakeXMLHttpRequest.addFilter(function(W,Q){return W!=="DELETE"&&W!=="HEAD"&&W!=="PATCH"&&W!=="POST"&&!(W+" "+Q in O);});}B=sap.ui.require.toUrl(B).replace(/(^|\/)resources\/(~[-a-zA-Z0-9_.]*~\/)?/,"$1test-resources/")+"/";K();},withNormalizedMessages:function(e){var S=sinon.sandbox.create();try{var o=sap.ui.getCore(),G=o.getLibraryResourceBundle;S.stub(o,"getLibraryResourceBundle").returns({getText:function(K,n){var t=K,w=G.call(o).getText(K),i;for(i=0;i<10;i+=1){if(w.indexOf("{"+i+"}")>=0){t+=" "+(i>=n.length?"{"+i+"}":n[i]);}}return t;}});e.apply(this);}finally{S.verifyAndRestore();}},isRealOData:function(){return f;},isSupportAssistant:function(){return s;},getRealOData:function(){return R?"&realOData="+R:"";},getBaseUri:function(){var e;if(document.baseURI){return document.baseURI;}e=document.getElementsByTagName("base");return e[0]&&e[0].href||location.href;},proxy:function(e){var P;if(!p){return e;}P=sap.ui.require.toUrl("sap/ui").replace("resources/sap/ui","proxy");return new a(P+e,T.getBaseUri()).pathname().toString();},retrieveData:function(K){var e=d[K];delete d[K];return e;},setData:function(K,e){d[K]=e;},setupODataV4Server:function(S,F,e,i){var n={};if(f){return;}if(!i){i="/";}else if(i.slice(-1)!=="/"){i+="/";}Object.keys(F).forEach(function(o){var t=b.exec(o),w,x;if(t){w=t[1]||"GET";x=t[2];}else{w="GET";x=o;}if(!x.startsWith("/")){x=i+x;}n[w+" "+x]=F[o];});T.useFakeServer(S,e||"sap/ui/core/qunit/odata/v4/data",n);}};return T;},true);
