/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/core/Control','sap/ui/Device','sap/m/Button','sap/m/ResponsivePopover','./ColorPicker','./library','sap/m/library'],function(C,D,B,R,a,l,L){"use strict";var P=L.PlacementType;var b=l.ColorPickerMode,c=l.ColorPickerDisplayMode;var d=C.extend("sap.ui.unified.ColorPickerPopover",{metadata:{library:"sap.ui.unified",publicMethods:["openBy","close"],properties:{colorString:{type:"string",group:"Misc",defaultValue:null},mode:{type:"sap.ui.unified.ColorPickerMode",group:"Appearance",defaultValue:b.HSV},displayMode:{type:"sap.ui.unified.ColorPickerDisplayMode",group:"Appearance",defaultValue:c.Default}},events:{change:{parameters:{r:{type:"int"},g:{type:"int"},b:{type:"int"},h:{type:"int"},s:{type:"int"},v:{type:"int"},l:{type:"int"},hex:{type:"string"},alpha:{type:"string"}}}}},renderer:{}});var o=sap.ui.getCore().getLibraryResourceBundle("sap.ui.unified");var F={COLOR_PICKER_PROPS:{colorString:"setColorString",mode:"setMode",displayMode:"setDisplayMode"},POPOVER_METHODS:{getDomRef:"",close:""}};d.prototype.init=function(){this._oPopover=null;this._bPopoverDestroying=null;};d.prototype.exit=function(){this._bPopoverDestroying=true;if(this._oPopover){this._oPopover.removeDelegate(this._oPopover._onAfterRenderingDelegate);this._oPopover.destroy();this._oPopover=null;}};d.prototype.openBy=function(e){return R.prototype.openBy.apply(this._ensurePopover(),arguments);};d.prototype._getColorPicker=function(){return this._ensurePopover().getContent()[0];};d.prototype._ensurePopover=function(){if(!this._oPopover){this._oPopover=this._createPopover();}return this._oPopover;};d.prototype._createPopover=function(){var p,e=this._createColorPicker(),f,t=this;p=new R(this.getId()+"-colorPickerPopover",{showHeader:D.system.phone,placement:P.VerticalPreferredBottom,showArrow:false,showCloseButton:false,beginButton:new B({text:o.getText("COLOR_PICKER_SUBMIT"),press:function(){t.fireChange(t._oLastChangeCPParams);p.close();}}),endButton:new B({text:o.getText("COLOR_PICKER_CANCEL"),press:function(){p.close();}}),title:o.getText("COLOR_PICKER_TITLE"),content:e});e.attachEvent("change",function(E){this._handleChange(E);}.bind(this));f={onAfterRendering:function(){var $=this.$();$.attr("aria-modal","true");$.attr("aria-label",this.getTitle());}};p.addEventDelegate(f,p);p._onAfterRenderingDelegate=f;return p;};d.prototype._handleChange=function(e){var t={};this._oLastChangeCPParams=jQuery.extend(t,e.getParameters());delete this._oLastChangeCPParams.id;return this;};d.prototype._createColorPicker=function(){var e=new a(this.getId()+"-color_picker");return e;};d.prototype.setProperty=function(p,v,s){var t;if(F.COLOR_PICKER_PROPS[p]!==undefined){t=F.COLOR_PICKER_PROPS[p]||p;a.prototype[t].call(this._getColorPicker(),v);}return C.prototype.setProperty.apply(this,arguments);};Object.keys(F.POPOVER_METHODS).forEach(function(s){var t=F.POPOVER_METHODS[s]||s;d.prototype[s]=function(){if(this._bPopoverDestroying){return null;}var p=this._ensurePopover();return p[t].apply(p,arguments);};});return d;});
