/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','sap/ui/commons/Button','sap/ui/core/Control','sap/ui/core/theming/Parameters','./library',"./FeederRenderer"],function(q,B,C,P,l,F){"use strict";var a=C.extend("sap.ui.ux3.Feeder",{metadata:{library:"sap.ui.ux3",properties:{thumbnailSrc:{type:"sap.ui.core.URI",group:"Data",defaultValue:null},text:{type:"string",group:"Data",defaultValue:null},type:{type:"sap.ui.ux3.FeederType",group:"Appearance",defaultValue:sap.ui.ux3.FeederType.Large},placeholderText:{type:"string",group:"Appearance",defaultValue:null}},events:{submit:{parameters:{text:{type:"string"}}}}}});a.prototype.init=function(){this.rb=sap.ui.getCore().getLibraryResourceBundle("sap.ui.ux3");this.oSendButton=new B(this.getId()+"-send",{style:sap.ui.commons.ButtonStyle.Emph,icon:"sap-icon://feeder-arrow"}).setParent(this);this.oSendButton.attachEvent('press',this.handleSendButtonPress,this);};a.prototype.initSendButton=function(){if(this.getText()==""){this.oSendButton.setProperty('enabled',false,true);}};a.prototype.exit=function(){this.rb=undefined;this.oInput=undefined;if(this.oSendButton){this.oSendButton.destroy();delete this.oSendButton;}};a.prototype.onAfterRendering=function(){this.oInput=this.$("input");};a.prototype.onclick=function(e){var t=e.target.getAttribute('ID');switch(t){case(this.getId()+'-send'):break;case(this.getId()+'-input'):break;default:break;}};a.prototype.onfocusin=function(e){this.oInput.find(".sapUiFeederEmptyText").remove();};a.prototype.onfocusout=function(e){var t=this.oInput.text();if(t==""){this.oInput.empty();this.oInput.append(sap.ui.ux3.FeederRenderer.getEmptyTextInfo(this));}this.setProperty("text",t,true);};a.prototype.getFocusDomRef=function(){return this.getDomRef("input");};a.prototype.onkeyup=function(e){if(this.oInput.text()==""){this.oSendButton.setEnabled(false);}else{this.oSendButton.setEnabled(true);}};a.prototype.handleSendButtonPress=function(e){var t=this.getMultilineText(this.oInput);this.setProperty("text",t,true);this.fireSubmit({text:t});this.setText('');};a.prototype.getMultilineText=function(I){function p(n){var b;var t='';for(var i=0;i<n.length;i++){b=n[i];if(b.nodeType===3||b.nodeType===4){if(!((!!sap.ui.Device.browser.internet_explorer||!!sap.ui.Device.browser.edge)&&b.nodeValue==='\xA0')){t+=b.nodeValue.replace(/\n/g,'');}}if(b.nodeName==='DIV'||b.nodeName==='P'||(b.nodeName==='BR'&&!sap.ui.Device.browser.webkit)){if(b.nodeName==='BR'&&!!sap.ui.Device.browser.firefox&&i===n.length-1&&q(b).attr("type")==="_moz"){continue;}if(!((!!sap.ui.Device.browser.internet_explorer||!!sap.ui.Device.browser.edge)&&t==='')&&!((!!sap.ui.Device.browser.firefox||!!sap.ui.Device.browser.webkit)&&t===''&&b.nodeName==='P')&&!(!!sap.ui.Device.browser.webkit&&b.nodeName==='P'&&b.textContent.match(/^(\n)*$/))){t+='\n';}}if(b.nodeType!==8){t+=p(b.childNodes);}}return t;}return p(I.get(0).childNodes);};a.prototype.getThumbnailSrc=function(){var t=this.getProperty("thumbnailSrc");if(!t||t==""){var p=this.getParent();if(p&&(p instanceof sap.ui.ux3.Feed||p instanceof sap.ui.ux3.FeedChunk)){t=p.getFeederThumbnailSrc();}}return t;};a.prototype.onpaste=function(e){if(!!sap.ui.Device.browser.firefox){q.sap.delayedCall(10,this,"onAfterPaste");}};a.prototype.onAfterPaste=function(){var c=this.oInput.get(0).childNodes;for(var i=0;i<c.length;i++){var o=c[i];if(o.nodeName=="PRE"){q(o).css("overflow","hidden");}}};return a;},true);
