/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','sap/ui/core/Icon'],function(q,I){"use strict";var N={};(function(){N.render=function(o,i){w(o,i);W(o,i);c(o,i);};var w=function(o,i){o.write("<div");o.writeControlData(i);if(i.getVisibleStatus()===sap.ui.ux3.NotificationBarStatus.None){if(i.$().length>0){if(i._resizeFrom){i.$().stop().animate({height:0},"fast",function(){i.$().css("display","none");o.addStyle("display","none");o.writeAttribute("aria-hidden","true");});}else{o.addStyle("display","none");o.writeAttribute("aria-hidden","true");}}else{o.addStyle("display","none");o.writeAttribute("aria-hidden","true");}}else{o.writeAttribute("aria-hidden","false");o.addStyle("display","block");}o.writeStyles();o.addClass("sapUiNotificationBar");if(i._resizeTo){if(i._resizeFrom==sap.ui.ux3.NotificationBarStatus.Max){if(i._resizeTo==sap.ui.ux3.NotificationBarStatus.Default){o.addClass("sapUiNotificationBarMaximized");}}}o.writeClasses();o.write(">");f(o,i);};var r=function(o,i){var s=i.getVisibleStatus();if(s!=="None"){var k=i.getId()+"-toggler";o.write("<div");o.writeAttribute("id",k);o.addClass("sapUiBarToggle");if(s!=="Min"){o.addClass("sapUiBarToggleWide");}o.writeClasses();if(i.getAlwaysShowToggler()){o.addStyle("display","block");o.writeStyles();}o.write(">");R(o,i,"ArrowUp");R(o,i,"ArrowDown");R(o,i,"BarUp");R(o,i,"BarDown");o.write("</div>");}else{o.addStyle("display","none");o.writeStyles();}};var R=function(o,i,s){o.write("<div");var k=i.getId()+"-"+s;o.writeAttribute("id",k);var S=i.getVisibleStatus();var H=true;var t="";switch(s){case"ArrowUp":if(S==="Default"){H=false;}t=i._oResBundle.getText("NOTIBAR_TITLE_ENLARGE");break;case"ArrowDown":if(S==="Max"){H=false;}t=i._oResBundle.getText("NOTIBAR_TITLE_MINIMIZE");break;case"BarUp":if(S==="Min"){H=false;}t=i._oResBundle.getText("NOTIBAR_TITLE_BAR_UP");break;case"BarDown":if(S==="Max"||S==="Default"){H=false;}t=i._oResBundle.getText("NOTIBAR_TITLE_BAR_DOWN");break;}o.writeAttributeEscaped("title",t);if(H){o.addClass("sapUiBarToggleHide");}o.addClass("sapUiBarToggle"+s);o.addClass("sapUiBarToggleItem");o.writeClasses();o.write(">");o.write("</div>");};var f=function(o,i){o.write("<div");var s=i.getId()+"-hoverItem";o.writeAttribute("id",""+s);var S=i.getVisibleStatus();if(S==="Min"){o.addStyle("top","-"+sap.ui.ux3.NotificationBar.HOVER_ITEM_HEIGHT+"px");o.addStyle("display","block");}else{o.addStyle("display","none");}if(i.getDomRef()){var $=q(i.getDomRef());var k=$.width()+"px";o.addStyle("width",k);}o.writeStyles();o.addClass("sapUiNotiHover");o.writeClasses();o.write(">");o.write("</div>");};var W=function(o,i){if(i.getResizeEnabled()){r(o,i);}if(i.hasItems()){if(i.getVisibleStatus()==sap.ui.ux3.NotificationBarStatus.Max){a(o,i);}else{b(o,i);}}};var a=function(o,k){var n=k.getNotifiers();var m=k.getMessageNotifier();var s="";o.write("<div");o.writeAttribute("id",k.getId()+"-containers");o.addClass("sapUiNotifierContainers");o.writeClasses();o.write(">");if(m&&m.hasItems()){m.destroyAggregation("views",true);s=m.getId()+"-messageNotifierView";var M=C(s,m);m.addAggregation("views",M,true);o.renderControl(M);}if(n.length>0){for(var i=0;i<n.length;i++){if(n[i].hasItems()){n[i].destroyAggregation("views",true);s=n[i].getId()+"-notifierView";var v=C(s,n[i]);n[i].addAggregation("views",v,true);o.renderControl(v);}}}o.write("</div");};var b=function(o,k){var n=k.getNotifiers();var m=k.getMessageNotifier();o.write("<ul");o.writeAttribute("id",k.getId()+"-notifiers");o.addClass("sapUiNotifiers");o.writeClasses();o.write(">");var M=false;for(var i=0;i<n.length;i++){if(n[i].hasItems()){M=true;break;}}var l=(m&&m.hasItems())?true:false;if(M){e(o,n);}if(M&&l){o.write("<li");o.addClass("sapUiNotifierSeparator");o.writeClasses();o.write(">");o.write("&nbsp;");o.write("</li>");}if(l){h(o,m,k);}o.write("</ul>");};var c=function(o,i){o.write("</div>");};var d=function(o,n,m){var i=n.getId();o.write("<li");o.writeElementData(n);o.addClass("sapUiNotifier");o.writeClasses();o.writeAttribute("tabindex","-1");o.writeAttribute("aria-describedby",i+'-description>');o.write(">");g(o,n.getIcon(),m);o.write('<div id="'+i+'-description"');o.addStyle("display","none");o.writeStyles();o.write(">");o.write("</div>");var k=n.getMessages().length;if(k>0){o.write('<div id="'+i+'-counter" role="tooltip"');o.addClass("sapUiNotifierMessageCount");if(m){o.addClass("sapUiMessage");}o.writeClasses();o.write(">");if(k>99){k=">99";}o.write(k);o.write("</div>");}o.write("</li>");};var C=function(s,n){var o=new sap.ui.ux3.NotificationBar.NotifierView(s,{title:n.getTitle(),renderMode:"maximized"});if(n._bEnableMessageSelect){o.addStyleClass("sapUiNotifierSelectable");}var m=n.getMessages();for(var i=0;i<m.length;i++){var M=m[i];var k=new sap.ui.ux3.NotificationBar.MessageView(s+"-messageView-"+M.getId(),{text:M.getText(),timestamp:M.getTimestamp()});k._message=M;k.setIcon(M.getIcon()||M.getDefaultIcon("32x32"));o.addMessage(k);}return o;};var e=function(o,n){for(var i=0;i<n.length;i++){d(o,n[i],false);}};var g=function(o,u,m){if(u==null||u==""){var i=new I({useIconTooltip:false});i.addStyleClass("sapUiNotifierIcon");if(m){i.setSrc("sap-icon://alert");}else{i.setSrc("sap-icon://notification-2");}o.renderControl(i);return;}o.write("<img alt=\"\"");o.addClass("sapUiNotifierIcon");o.writeClasses();o.writeAttributeEscaped("src",u);o.write("/>");};var h=function(o,n,i){d(o,n,true);j(o,n,i);};var j=function(o,m,n){if(m.hasItems()){var M=m.getMessages();var l=M[M.length-1];var i=m._oMessageArea;i._message=l;var s=n.getId()+"-inplaceMessage-"+i._message.getId();o.write("<li");o.writeAttribute("id",s);o.addClass("sapUiInPlaceMessage");o.writeClasses();if(n._gapMessageArea){var k=n._gapMessageArea+"px";o.addStyle("margin-left",k);o.writeStyles();}o.write(">");if(l.getText()!=""){o.write("<div");o.writeControlData(i);o.writeAttribute("tabindex","-1");o.addClass("sapUiNotifierMessageText");o.addClass("sapUiInPlaceMessage");if(m._bEnableMessageSelect&&!i._message.getReadOnly()){o.addClass("sapUiInPlaceMessageSelectable");}o.writeClasses();o.write(">");o.writeEscaped(l.getText());o.write("</div>");}if(l.getTimestamp()!=""){o.write("<div");o.addClass("sapUiNotifierMessageTimestamp");o.addClass("sapUiInPlaceMessage");o.writeClasses();o.write(">");o.writeEscaped(l.getTimestamp());o.write("</div>");}o.write("</li>");}};}());return N;},true);
