/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2018 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/base/Metadata","sap/ui/core/CustomData","sap/ui/base/ManagedObjectObserver","./AnchorBar","sap/m/Button","sap/m/MenuButton","sap/m/Menu","sap/m/MenuItem","sap/ui/core/IconPool"],function(q,M,C,a,A,B,b,c,d,I){"use strict";var e=M.createClass("sap.uxap._helpers.AB",{constructor:function(o){this._oObjectPageLayout=o;this._iScrollDuration=o._iScrollToSectionDuration;this._iFocusMoveDelay=this._iScrollDuration-100;this._oObserver=new a(this._proxyStateChanges.bind(this));this._aMenusWithAttachPressHandler=[];}});e.prototype.getObjectPageLayout=function(){return this._oObjectPageLayout;};e.prototype._proxyStateChanges=function(o){var O=o.object,g=this._findExistingClone(O),p=o.name,v=o.current,s="set"+f(p);if(g){g[s].call(g,v);}};e.prototype._findExistingClone=function(o){var g,s=o.getId()+"-__clone",h=this._getAnchorBar(),i=h.getContent();i.some(function(j){if(j.getId().indexOf(s)===0){g=j;return true;}});return g;};e.prototype._getAnchorBar=function(){var o=this.getObjectPageLayout(),g=o.getAggregation("_anchorBar");if(!g){g=new A({id:o.getId()+"-anchBar",showPopover:o.getShowAnchorBarPopover(),backgroundDesign:o.getBackgroundDesignAnchorBar()});this.getObjectPageLayout().setAggregation("_anchorBar",g,true);}return g;};e.prototype._buildAnchorBar=function(){var s=this.getObjectPageLayout().getSections()||[],o=this._getAnchorBar(),p=q.proxy(o._handleDirectScroll,o),g,h,m,i;if(o&&this.getObjectPageLayout().getShowAnchorBar()){o._resetControl();this._oObserver.disconnect();s.forEach(function(S){if(!S.getVisible()||!S._getInternalVisible()){return;}var j,k=S.getSubSections()||[];j=this._buildAnchorBarButton(S,true);if(j){o.addContent(j);if(j instanceof b){var l=new c({});j.enhanceAccessibilityState=function(E,n){var r=o.getContent(),t=r.indexOf(E.getParent());if(t!==-1){n.role="menuitemradio";n.type="button";n.setsize=r.length;n.posinset=t+1;}};l._setCustomEnhanceAccStateFunction(function(E,n){n.controls=E.data("sectionId");});j.setMenu(l);}k.forEach(function(n){if(!n.getVisible()||!n._getInternalVisible()){return;}var r=this._buildAnchorBarButton(n,false);if(r){o.addContent(r);}if(j instanceof b){i=n.getCustomAnchorBarButton();if(i){g=i.getText();h=i.getIcon();}else{g=n._getInternalTitle()||n.getTitle();h='';}m=new d({"text":g,"icon":h});m.addCustomData(new C({key:"sectionId",value:n.getId()}));m.attachPress(p);j.getMenu().addItem(m);}},this);}},this);}};e.prototype._moveFocusOnSection=function(s){var S=s.data(),o=sap.ui.getCore().byId(S.sectionId),O=this.getObjectPageLayout(),i=o.isA("sap.uxap.ObjectPageSubSection"),g=(o&&!O.getUseIconTabBar())||(O.getUseIconTabBar()&&i),F=this._iFocusMoveDelay;if(g){setTimeout(o.$()["focus"].bind(o.$()),F);}if(O.getUseIconTabBar()&&i){var D={"onAfterRendering":function(){this.removeEventDelegate(D);setTimeout(this.$()["focus"].bind(this.$()),F);}.bind(o)};o.addEventDelegate(D);}};e.prototype._instantiateAnchorBarButton=function(i,s,g){var o=i?new b({type:"Transparent",buttonMode:"Split",useDefaultActionOnly:true,ariaDescribedBy:s,id:g}):new B({ariaDescribedBy:s,id:g});return o;};e.prototype._buildAnchorBarButton=function(s,i){var o=null,O=this.getObjectPageLayout(),g,h=this._getAnchorBar(),j,H,v,S=s.getAggregation("subSections"),p=q.proxy(h._handleDirectScroll,h);if(s.getVisible()&&s._getInternalVisible()){g=s.getCustomAnchorBarButton();if(!g){j=h.getId()+"-"+s.getId()+"-anchor";if(i){if(S&&S.length>1){v=S.filter(function(k){return k.getVisible()&&k._getInternalVisible();}).length;}}H=i&&v>1&&h.getShowPopover();if(H){o=this._instantiateAnchorBarButton(true,s,j);o.attachDefaultAction(p);o._getButtonControl().attachPress(function(){this.getParent().focus();});o._getButtonControl().attachArrowPress(function(){var k=o._getButtonControl();if(this._aMenusWithAttachPressHandler[k.getId()]){return;}o.getMenu().attachItemSelected(function(E){this._moveFocusOnSection(E.getParameter("item"));},this);this._aMenusWithAttachPressHandler[k.getId()]=true;},this);o.addCustomData(new C({key:"bHasSubMenu",value:true}));}else{o=this._instantiateAnchorBarButton(false,s,j);o.attachPress(p);o.attachPress(function(E){this._moveFocusOnSection(E.getSource());},this);}var t=(s._getInternalTitle()!="")?s._getInternalTitle():s.getTitle();o.setText(t);}else{o=g.clone();o.attachPress(p);o.attachPress(function(E){this._moveFocusOnSection(E.getSource());},this);this._oObserver.observe(g,{properties:true});}O._oSectionInfo[s.getId()].buttonId=o.getId();o.addCustomData(new C({key:"sectionId",value:s.getId()}));o.addCustomData(new C({key:"bTitleVisible",value:s._getInternalTitleVisible()}));if(!i){o.addCustomData(new C({key:"secondLevel",value:true}));}}return o;};function f(n){return n.substring(0,1).toUpperCase()+n.substring(1);}return e;},false);
